//тест моторов плоттера
//36,8 шага на 1 миллиметр сдвига. Поле рисования 120мм*120мм, картинки 120*120 пикселей, изменение координат на 1 пиксель 14,11 единиц.
// Так получаем переводной коэффициент 2.608 шага на 1 изменения координаты.
#include "ESP32_Servo.h" 
#include <Adafruit_GFX.h>
#include <Adafruit_ST7735.h>
#include <SPI.h>
#define TFT_CS     5
#define TFT_RST    13
#define TFT_DC     12
// TFT_SCL 18   
// TFT_SDA 23 
Adafruit_ST7735 tft = Adafruit_ST7735(TFT_CS,  TFT_DC, TFT_RST);


// выводы для подключения модуля ULN2003 к Arduino (мотор X координаты)
#define in1 3 //
#define in2 1 //
#define in3 26 //
#define in4 25 //
// выводы для подключения модуля ULN2003 к Arduino (мотор Y координаты)
#define in11 17 //
#define in22 16 //
#define in33 27 //
#define in44 14 //
#define button_PIN 4 // 4 пин подключения встроенной кнопки


int dl=3;//длительность (мс) подачи тока в фазу мотора
bool f1=1;//переменные хранения состояния фаз радиального мотора (ток включен,ток отключен)
bool f2=1;//
bool f3=0;//
bool f4=0;//
bool f11=1;//переменные хранения состояния фаз углового мотора (ток включен,ток отключен)
bool f22=1;//
bool f33=0;//
bool f44=0;//
float M=1.0;//коэффициент масштабирования
int ris=-1;//счётчик выбранного для отрисовки изображения или пункта меню

// setup servo
int servoPin = 22;
int PEN_DOWN = 150; // angle of servo when pen is down
int PEN_UP = 60;   // angle of servo when pen is up
Servo penServo;
long Y=0;//переменная хранения моментов времени
byte FLAG=2;//
int X1=0;int Y1=0;//
bool FL_st=true;//флаг стоп рисование
bool FL_otr=true;//флаг для отличия вывода картинки на экран или в отрисовку
byte FL_home=1;//
 
void setup() {
    pinMode(in1, OUTPUT);//выводы для управления фазами моторов
    pinMode(in2, OUTPUT);
    pinMode(in3, OUTPUT);
    pinMode(in4, OUTPUT);
    pinMode(in11, OUTPUT);
    pinMode(in22, OUTPUT);
    pinMode(in33, OUTPUT);
    pinMode(in44, OUTPUT);
  //
  pinMode(button_PIN,INPUT_PULLUP);//вывод для управляющей кнопки
  penServo.attach(servoPin,544,2500);
   penServo.write(PEN_UP);
 //
 tft.initR(INITR_BLACKTAB);
 tft.cp437(true);//для правильного отображения русского алфавита
 tft.setRotation(1);
 tft.fillScreen(tft.Color565(0,0,0));
 zastavka_1();//заставка на экран
 //  
  delay(1000);  
}

void loop() {
 ///////////////////////////////////
 if(digitalRead(button_PIN)==LOW){
 delay(300);
 if(digitalRead(button_PIN)==LOW){FL_otr=false;zastavka_2();otrisovka();}else{tft.fillScreen(tft.Color565(0,0,0));ris++;if(ris>19){ris=-1;zastavka_1();}FL_otr=true;otrisovka();}// 
 }
 if(FL_st==false){zastavka_3();FL_st=true;penup();PD(0,0);X1=0;Y1=0;M=1.0;ris=-1;stoptok();zastavka_1();}//условие аварийной остановки рисования и его реализация

}
///////////////////////////////////////
void schag_1(){//шаг по часовой стрелке
 bool c=f4;f4=f3;f3=f2;f2=f1;f1=c; 
 digitalWrite(in1, f1); digitalWrite(in2, f2); digitalWrite(in3, f3); digitalWrite(in4, f4);
 
}
//////////////////////////////////////
void schag_2(){//шаг против часовой стрелки
 bool c=f1;f1=f2;f2=f3;f3=f4;f4=c; 
 digitalWrite(in1, f1); digitalWrite(in2, f2); digitalWrite(in3, f3); digitalWrite(in4, f4);
 
}
//////////////////////////////////////
void stoptok(){
 digitalWrite(in1, 0); digitalWrite(in2, 0); digitalWrite(in3, 0); digitalWrite(in4, 0);
 digitalWrite(in11, 0); digitalWrite(in22, 0); digitalWrite(in33, 0); digitalWrite(in44, 0);
 }
//////////////////////////////////////
void schag_11(){//шаг по часовой стрелке
 bool cc=f44;f44=f33;f33=f22;f22=f11;f11=cc; 
 digitalWrite(in11, f11); digitalWrite(in22, f22); digitalWrite(in33, f33); digitalWrite(in44, f44);

}
//////////////////////////////////////
void schag_22(){//шаг против часовой стрелки
 bool cc=f11;f11=f22;f22=f33;f33=f44;f44=cc; 
 digitalWrite(in11, f11); digitalWrite(in22, f22); digitalWrite(in33, f33); digitalWrite(in44, f44);
 
}
/////////////////////////////////////
void PD(int X2,int Y2){
//  
if(FL_otr){
X2=X2*M/14;Y2=Y2*M/14;  
  tft.drawLine(16+X1,128-Y1,16+X2,128-Y2,ST7735_WHITE);
X1=X2;Y1=Y2;  
  }  
 // 
if(FL_st==true&&!FL_otr){ 
X2=X2*M;Y2=Y2*M;   
int Nx=abs(X1-X2)*2.608;//число шагов соответствующего мотора на заданные изменение координат
int Ny=abs(Y1-Y2)*2.608;
if(Nx==0){Nx=1;}if(Ny==0){Ny=1;}
int Kx=0;int Ky=0;//счётчики шагов
long Ym1;long Ym2; Ym1=Ym2=micros();
long DL_1=0;long DL_2=0;
if(Nx>Ny){DL_1=3000;DL_2=(DL_1*Nx)/Ny;}else{DL_2=3000;DL_1=(DL_2*Ny)/Nx;}
while(Kx<Nx||Ky<Ny){
if(micros()-Ym1>DL_1&&Kx<Nx){Ym1=micros();Kx++;if(X1-X2>0){schag_1();}else{if(X1-X2<0){schag_2();}}}
if(micros()-Ym2>DL_2&&Ky<Ny){Ym2=micros();Ky++;if(Y1-Y2>0){schag_11();}else{if(Y1-Y2<0){schag_22();}}}  
}
X1=X2;Y1=Y2;
if(digitalRead(button_PIN)==LOW){FL_st=false;delay(300);}//условие аварийной остановки рисования и его реализация    
}
}
//////////////////////////////////////
void PU(int X2,int Y2){
if(FL_otr){
X2=X2*M/14;Y2=Y2*M/14;  
X1=X2;Y1=Y2;
}    
if(FL_st==true&&!FL_otr){  
penup();PD(X2,Y2);pendown();  
}
}
//////////////////////////////////////
void penup(){//вверх маркер
  if(!FL_otr){
  stoptok();  
  penServo.attach(servoPin,544,2500);
  for(int i=PEN_DOWN;i>=PEN_UP;i--){
  penServo.write(i);
  delay(2*dl/1);
  }
 penServo.detach(); 
}
}
///////////////////
void pendown(){//вниз маркер
 if(!FL_otr){ 
  stoptok(); 
  penServo.attach(servoPin,544,2500);
for(int i=PEN_UP;i<=PEN_DOWN;i++){
  penServo.write(i);
  delay(2*dl/1);
  } 
 penServo.detach(); 
}
}
///////////////////////////////////////
void otrisovka(){
if(ris==0){home_();return;} 
if(ris==1){ris_1();}
if(ris==2){ris_2();}
if(ris==3){ris_3();}
if(ris==4){ris_4();}
if(ris==5){ris_5();}
if(ris==6){ris_6();}
if(ris==7){ris_7();}
if(ris==8){ris_8();}
if(ris==9){ris_9();}
if(ris==10){ris_10();}
if(ris==11){ris_11();}
if(ris==12){ris_12();}
if(ris==13){ris_13();}
if(ris==14){ris_14();}
if(ris==15){ris_15();}
if(ris==16){ris_16();}
if(ris==17){ris_17();}
if(ris==18){ris_18();}
if(ris==19){ris_19();}
if(!FL_otr){ris=-1;zastavka_1();}  
}
////////////////////////////////////////////////////////////////////
/* Функция перекодировки русских букв из UTF-8 в Win-1251 */
String utf8rus(String source)
{
  int i,k;
  String target;
  unsigned char n;
  char m[2] = { '0', '\0' };

  k = source.length(); i = 0;

  while (i < k) {
    n = source[i]; i++;

    if (n >= 0xC0) {
      switch (n) {
        case 0xD0: {
          n = source[i]; i++;
          if (n == 0x81) { n = 0xA8; break; }
          if (n >= 0x90 && n <= 0xBF) n = n + 0x30;
          break;
        }
        case 0xD1: {
          n = source[i]; i++;
          if (n == 0x91) { n = 0xB8; break; }
          if (n >= 0x80 && n <= 0x8F) n = n + 0x70;
          break;
        }
      }
    }
    m[0] = n; target = target + String(m);
  }
return target;
}
////////////////////////////////////////////////////////////////////
void zastavka_1(){//заставка на экран
tft.fillScreen(tft.Color565(0,0,0));
tft.setCursor(20, 40); tft.setTextSize(3); tft.setTextColor(ST7735_GREEN);tft.println(utf8rus("ПЛОТТЕР"));
tft.setCursor(30, 70); tft.setTextSize(2); tft.setTextColor(ST7735_GREEN);tft.println(utf8rus("ВЕРСИЯ 01"));
}
///////////////////////////////////////
void zastavka_2(){//заставка на экран при отрисовке картинки
tft.fillScreen(tft.Color565(0,0,0));
tft.setCursor(20, 40); tft.setTextSize(2); tft.setTextColor(ST7735_YELLOW);tft.println(utf8rus("   ИДЁТ"));
tft.setCursor(30, 70); tft.setTextSize(2); tft.setTextColor(ST7735_YELLOW);tft.println(utf8rus("ОТРИСОВКА"));  
}
///////////////////////////////////////
void zastavka_3(){//заставка на экран при аварийной остановке рисования
tft.fillScreen(tft.Color565(0,0,0));
tft.setCursor(20, 40); tft.setTextSize(2); tft.setTextColor(ST7735_RED);tft.println(utf8rus(" СТОП !"));
tft.setCursor(30, 70); tft.setTextSize(2); tft.setTextColor(ST7735_RED);tft.println(utf8rus("ОТРИСОВКА"));  
}
///////////////////////////////////////
void delay_(int T){//функция задержки времени
long Yde=millis();
while(millis()-Yde<T){
while(digitalRead(button_PIN)==LOW){
//HHHHHHHHHHHHHHHHHHHH
if(FL_home==1){schag_11();delay(3);}
if(FL_home==2){schag_2();delay(3);}
if(FL_home==3){schag_22();delay(3);}
if(FL_home==4){schag_1();delay(3);}
if(FL_home==5){return;}
}
}
stoptok();
}
////////////////////////////////////////
void home_(){//страница меню для установки пера по координатам (0,0)
tft.fillScreen(tft.Color565(0,0,0));
tft.setCursor(50, 60); tft.setTextSize(1); tft.setTextColor(ST7735_YELLOW);tft.println(utf8rus("ДОМОЙ-(0,0);"));
tft.drawTriangle(80, 10, 50, 20, 110, 20,tft.Color565(255,255,0) );
tft.drawTriangle(80, 120, 50, 110, 110, 110,tft.Color565(255,255,0));
tft.drawTriangle(150, 64, 140, 34, 140, 94,tft.Color565(255,255,0) );
tft.drawTriangle(10, 64, 20, 34, 20, 94,tft.Color565(255,255,0) );
delay(300);
while(digitalRead(button_PIN)==HIGH){  
//HHHHHHHHHHHHHHHHHHHH 
if(FL_home==5&&digitalRead(button_PIN)==LOW){delay(300);return;}    
FL_home++;if(FL_home>5){FL_home=1;}
if(FL_home==1){tft.drawTriangle(80, 10, 50, 20, 110, 20,tft.Color565(255,255,255) );tft.setCursor(50, 60); tft.setTextSize(1); tft.setTextColor(ST7735_YELLOW);tft.println(utf8rus("ДОМОЙ-(0,0);"));}
if(FL_home==2){tft.drawTriangle(150, 64, 140, 34, 140, 94,tft.Color565(255,255,255) );tft.drawTriangle(80, 10, 50, 20, 110, 20,tft.Color565(255,255,0) );}
if(FL_home==3){tft.drawTriangle(80, 120, 50, 110, 110, 110,tft.Color565(255,255,255));tft.drawTriangle(150, 64, 140, 34, 140, 94,tft.Color565(255,255,0) );}
if(FL_home==4){tft.drawTriangle(10, 64, 20, 34, 20, 94,tft.Color565(255,255,255) );tft.drawTriangle(80, 120, 50, 110, 110, 110,tft.Color565(255,255,0));}
if(FL_home==5){tft.setCursor(50, 60); tft.setTextSize(1); tft.setTextColor(ST7735_WHITE);tft.println(utf8rus("ДОМОЙ-(0,0);"));tft.drawTriangle(10, 64, 20, 34, 20, 94,tft.Color565(255,255,0) );}
delay_(1000);
}
}
///////////////////////////////////////
////РИСУНКИ
void ris_1(){//клоун
M=0.45;// 
PD(1562,3697);pendown();
PD(1520,3679);PD(1482,3658);PD(1448,3634);PD(1416,3605);PD(1387,3572);PD(1359,3532);PD(1331,3486);PD(1302,3433);PD(1239,3301);PD(1185,3179);PD(1162,3120);PD(1143,3085);PD(1127,3067);
PD(1109,3062);PD(1078,3056);PD(1046,3040);PD(1028,3024);PD(1019,3005);PD(1017,2974);PD(1020,2922);PD(1029,2849);PD(1039,2801);PD(1044,2786);PD(1043,2780);PD(1034,2784);PD(1013,2797);PD(978,2815);
PD(940,2826);PD(901,2832);PD(861,2831);PD(823,2824);PD(788,2812);PD(758,2794);PD(734,2770);PD(711,2728);PD(697,2678);PD(689,2640);PD(682,2625);PD(662,2633);PD(621,2653);PD(591,2666);PD(558,2674);
PD(520,2679);PD(478,2681);PD(430,2680);PD(398,2674);PD(373,2659);PD(344,2633);PD(319,2605);PD(304,2581);PD(298,2552);PD(296,2510);PD(298,2474);PD(303,2443);PD(312,2416);PD(325,2392);PD(344,2360);
PD(353,2341);PD(336,2330);PD(295,2316);PD(243,2291);PD(188,2251);PD(138,2205);PD(104,2158);PD(90,2116);PD(85,2072);PD(90,2033);PD(104,1994);PD(125,1957);PD(152,1922);PD(183,1893);PD(216,1869);PD(250,1854);
PD(284,1849);PD(311,1848);PD(322,1842);PD(318,1824);PD(303,1788);PD(289,1723);PD(282,1641);PD(286,1576);PD(299,1529);PD(310,1510);PD(324,1495);PD(342,1481);PD(364,1469);PD(407,1456);PD(465,1452);PD(522,1455);
PD(563,1466);PD(578,1474);PD(587,1474);PD(592,1467);PD(593,1451);PD(603,1406);PD(629,1358);PD(665,1314);PD(706,1283);PD(733,1271);PD(763,1262);PD(795,1257);PD(827,1256);PD(859,1258);PD(888,1263);PD(914,1272);
PD(934,1284);PD(969,1311);PD(1022,1188);PD(1072,1086);PD(1116,1013);PD(1159,960);PD(1125,960);PD(1077,968);PD(1009,988);PD(953,1004);PD(900,1013);PD(851,1015);PD(806,1011);PD(767,1000);PD(733,983);PD(705,960);
PD(684,930);PD(668,878);PD(655,796);PD(646,694);PD(640,582);PD(639,471);PD(642,371);PD(649,292);PD(662,244);PD(672,230);PD(686,219);PD(705,210);PD(729,204);PD(791,199);PD(872,203);PD(947,215);PD(1033,234);
PD(1118,257);PD(1192,282);PD(1249,301);PD(1328,325);PD(1376,337);PD(1408,342);PD(1427,340);PD(1441,332);PD(1482,307);PD(1545,287);PD(1620,273);PD(1700,268);PD(1776,272);PD(1812,279);PD(1865,263);PD(1985,209);
PD(2107,156);PD(2219,117);PD(2322,93);PD(2413,85);PD(2439,87);PD(2466,95);PD(2491,108);PD(2514,125);PD(2536,145);PD(2554,168);PD(2569,194);PD(2580,222);PD(2602,321);PD(2626,454);PD(2646,586);PD(2654,679);
PD(2654,714);PD(2651,744);PD(2645,769);PD(2636,790);PD(2623,807);PD(2606,822);PD(2584,836);PD(2557,849);PD(2516,865);PD(2471,873);PD(2403,873);PD(2293,869);PD(2096,859);PD(2173,910);PD(2240,957);PD(2288,997);
PD(2325,1041);PD(2361,1096);PD(2405,1170);PD(2451,1129);PD(2483,1105);PD(2520,1086);PD(2561,1072);PD(2604,1062);PD(2648,1058);PD(2692,1059);PD(2734,1066);PD(2773,1078);PD(2831,1114);PD(2888,1166);PD(2913,1195);
PD(2934,1224);PD(2949,1251);PD(2956,1276);PD(2963,1302);PD(2971,1317);PD(2985,1325);PD(3006,1326);PD(3051,1339);PD(3109,1371);PD(3166,1413);PD(3207,1456);PD(3220,1478);PD(3230,1506);PD(3238,1538);PD(3243,1571);
PD(3244,1604);PD(3243,1633);PD(3238,1657);PD(3230,1674);PD(3221,1687);PD(3219,1696);PD(3224,1704);PD(3237,1713);PD(3269,1737);PD(3306,1771);PD(3328,1797);PD(3339,1820);PD(3343,1850);PD(3342,1897);PD(3337,1941);
PD(3329,1971);PD(3316,1993);PD(3295,2014);PD(3255,2048);PD(3286,2069);PD(3307,2088);PD(3316,2105);PD(3326,2123);PD(3351,2146);PD(3368,2163);PD(3381,2183);PD(3390,2205);PD(3396,2229);PD(3397,2281);PD(3386,2334);
PD(3363,2385);PD(3332,2428);PD(3312,2446);PD(3291,2461);PD(3269,2472);PD(3244,2478);PD(3213,2484);PD(3197,2493);PD(3190,2512);PD(3189,2547);PD(3187,2580);PD(3180,2604);PD(3166,2626);PD(3141,2650);PD(3111,2674);
PD(3082,2693);PD(3052,2706);PD(3021,2715);PD(2989,2719);PD(2956,2718);PD(2921,2712);PD(2883,2702);PD(2867,2698);PD(2857,2700);PD(2852,2706);PD(2850,2719);PD(2840,2748);PD(2812,2782);PD(2774,2813);PD(2733,2835);
PD(2677,2849);PD(2614,2850);PD(2550,2839);PD(2492,2817);PD(2424,2783);PD(2434,2819);PD(2443,2869);PD(2451,2935);PD(2453,2977);PD(2451,3005);PD(2442,3025);PD(2424,3045);PD(2405,3060);PD(2380,3071);PD(2350,3080);
PD(2317,3086);PD(2246,3095);PD(2231,3174);PD(2219,3235);PD(2211,3272);PD(2224,3293);PD(2258,3318);PD(2307,3344);PD(2323,3308);PD(2339,3278);PD(2358,3258);PD(2384,3249);PD(2419,3246);PD(2455,3250);PD(2485,3260);
PD(2499,3266);PD(2509,3266);PD(2517,3258);PD(2524,3241);PD(2537,3216);PD(2553,3197);PD(2571,3184);PD(2591,3178);PD(2612,3178);PD(2632,3185);PD(2652,3199);PD(2671,3220);PD(2687,3243);PD(2693,3260);PD(2690,3279);
PD(2678,3305);PD(2657,3351);PD(2716,3347);PD(2747,3346);PD(2771,3349);PD(2790,3357);PD(2807,3371);PD(2825,3394);PD(2835,3417);PD(2837,3439);PD(2831,3459);PD(2818,3475);PD(2798,3488);PD(2771,3497);PD(2739,3500);
PD(2715,3501);PD(2702,3507);PD(2696,3523);PD(2695,3553);PD(2693,3579);PD(2688,3601);PD(2680,3620);PD(2668,3634);PD(2655,3644);PD(2639,3649);PD(2621,3649);PD(2602,3643);PD(2572,3618);PD(2548,3581);PD(2537,3557);
PD(2530,3547);PD(2523,3551);PD(2513,3567);PD(2491,3597);PD(2464,3615);PD(2432,3620);PD(2397,3611);PD(2364,3592);PD(2342,3567);PD(2332,3537);PD(2334,3502);PD(2336,3489);PD(2335,3478);PD(2330,3468);PD(2318,3457);
PD(2268,3431);PD(2173,3389);PD(2149,3412);PD(2105,3469);PD(2047,3543);PD(1983,3609);PD(1919,3662);PD(1858,3699);PD(1828,3710);PD(1793,3718);PD(1755,3722);PD(1716,3724);PD(1636,3717);PD(1562,3697);PU(1857,3675);
PD(1917,3630);PD(1995,3555);PD(2068,3473);PD(2112,3408);PD(2125,3380);PD(2128,3362);PD(2120,3348);PD(2101,3332);PD(2089,3323);PD(2073,3316);PD(2050,3311);PD(2015,3307);PD(1894,3303);PD(1674,3302);PD(1281,3302);
PD(1291,3342);PD(1316,3405);PD(1357,3480);PD(1405,3550);PD(1451,3600);PD(1507,3639);PD(1568,3670);PD(1637,3689);PD(1718,3696);PD(1796,3691);PD(1857,3675);PU(2664,3569);PD(2660,3529);PD(2644,3497);PD(2632,3486);
PD(2620,3479);PD(2605,3477);PD(2591,3480);PD(2581,3487);PD(2574,3499);PD(2570,3514);PD(2569,3532);PD(2575,3569);PD(2592,3601);PD(2605,3614);PD(2618,3621);PD(2629,3624);PD(2640,3622);PD(2649,3615);PD(2656,3604);
PD(2661,3589);PD(2664,3569);PU(2475,3576);PD(2504,3543);PD(2515,3518);PD(2508,3496);PD(2484,3474);PD(2452,3453);PD(2427,3445);PD(2405,3450);PD(2382,3467);PD(2371,3480);PD(2363,3494);PD(2358,3508);PD(2357,3524);
PD(2360,3538);PD(2366,3552);PD(2375,3565);PD(2388,3576);PD(2414,3592);PD(2436,3597);PD(2456,3592);PD(2475,3576);PU(2791,3471);PD(2801,3468);PD(2807,3460);PD(2809,3448);PD(2808,3434);PD(2796,3403);PD(2773,3378);
PD(2752,3367);PD(2733,3362);PD(2711,3364);PD(2681,3371);PD(2655,3381);PD(2638,3391);PD(2628,3402);PD(2625,3416);PD(2628,3429);PD(2637,3441);PD(2651,3453);PD(2668,3463);PD(2707,3477);PD(2745,3478);PD(2770,3473);
PD(2791,3471);PU(2574,3463);PD(2590,3447);PD(2596,3422);PD(2591,3395);PD(2575,3373);PD(2563,3366);PD(2548,3363);PD(2533,3365);PD(2518,3370);PD(2505,3377);PD(2494,3387);PD(2486,3399);PD(2484,3412);PD(2485,3429);
PD(2491,3443);PD(2499,3454);PD(2510,3463);PD(2524,3468);PD(2539,3470);PD(2556,3468);PD(2574,3463);PU(2389,3435);PD(2386,3420);PD(2365,3401);PD(2334,3380);PD(2300,3366);PD(2252,3344);PD(2200,3309);PD(2143,3257);
PD(2081,3189);PD(2043,3146);PD(2011,3115);PD(1986,3096);PD(1969,3089);PD(1961,3093);PD(1962,3110);PD(1973,3139);PD(1995,3181);PD(2037,3237);PD(2096,3293);PD(2169,3346);PD(2252,3395);PD(2310,3424);PD(2349,3439);
PD(2373,3442);PD(2389,3435);PU(2482,3371);PD(2500,3347);PD(2506,3331);PD(2503,3318);PD(2491,3302);PD(2461,3278);PD(2428,3267);PD(2396,3268);PD(2369,3282);PD(2350,3304);PD(2342,3325);PD(2355,3346);PD(2384,3376);
PD(2416,3403);PD(2438,3413);PD(2456,3401);PD(2482,3371);PU(2647,3315);PD(2656,3293);PD(2660,3273);PD(2660,3254);PD(2656,3237);PD(2648,3223);PD(2637,3213);PD(2623,3206);PD(2605,3203);PD(2582,3208);PD(2563,3222);
PD(2549,3242);PD(2541,3265);PD(2539,3289);PD(2543,3312);PD(2554,3331);PD(2572,3344);PD(2600,3354);PD(2618,3354);PD(2631,3342);PD(2647,3315);PU(2031,3275);PD(2027,3265);PD(2008,3243);PD(1979,3203);PD(1947,3152);
PD(1916,3095);PD(1554,3086);PD(1297,3082);PD(1188,3083);PD(1193,3114);PD(1215,3174);PD(1243,3235);PD(1266,3270);PD(1295,3277);PD(1365,3282);PD(1482,3283);PD(1657,3282);PD(1919,3278);PD(2031,3275);PU(2193,3222);
PD(2201,3188);PD(2210,3144);PD(2218,3090);PD(2132,3090);PD(2072,3093);PD(2046,3099);PD(2107,3176);PD(2176,3246);PD(2185,3238);PD(2193,3222);PU(2389,3044);PD(2408,3029);PD(2420,3013);PD(2426,2991);PD(2427,2961);
PD(2416,2881);PD(2390,2782);PD(2356,2692);PD(2326,2639);PD(2282,2617);PD(2218,2602);PD(2037,2598);PD(1718,2602);PD(1395,2611);PD(1199,2622);PD(1122,2632);PD(1089,2730);PD(1065,2829);PD(1054,2927);PD(1053,2983);
PD(1057,3013);PD(1069,3028);PD(1094,3037);PD(1196,3053);PD(1375,3064);PD(1620,3070);PD(1919,3071);PD(2151,3069);PD(2286,3065);PD(2356,3057);PD(2389,3044);PU(2763,2794);PD(2796,2767);PD(2819,2733);PD(2831,2699);
PD(2829,2666);PD(2825,2647);PD(2830,2640);PD(2848,2647);PD(2881,2667);PD(2926,2687);PD(2968,2695);PD(3009,2690);PD(3055,2674);PD(3097,2652);PD(3131,2626);PD(3150,2596);PD(3160,2560);PD(3161,2542);PD(3159,2526);
PD(3155,2513);PD(3147,2505);PD(3136,2497);PD(3131,2488);PD(3130,2480);PD(3134,2473);PD(3153,2462);PD(3186,2458);PD(3242,2455);PD(3282,2442);PD(3311,2414);PD(3339,2366);PD(3354,2332);PD(3365,2300);PD(3370,2270);
PD(3369,2241);PD(3362,2214);PD(3350,2187);PD(3332,2160);PD(3308,2132);PD(3259,2088);PD(3216,2059);PD(3191,2045);PD(3185,2031);PD(3195,2022);PD(3223,2018);PD(3242,2016);PD(3258,2009);PD(3273,1998);PD(3286,1984);
PD(3303,1944);PD(3309,1892);PD(3307,1863);PD(3303,1836);PD(3295,1811);PD(3284,1790);PD(3271,1772);PD(3255,1757);PD(3237,1746);PD(3217,1740);PD(3190,1730);PD(3177,1714);PD(3179,1694);PD(3196,1671);PD(3211,1640);
PD(3217,1597);PD(3211,1547);PD(3196,1499);PD(3172,1457);PD(3141,1420);PD(3104,1391);PD(3062,1370);PD(3018,1360);PD(2972,1360);PD(2910,1370);PD(2917,1310);PD(2918,1284);PD(2916,1261);PD(2909,1239);PD(2898,1217);
PD(2862,1175);PD(2804,1127);PD(2772,1107);PD(2742,1094);PD(2708,1088);PD(2663,1087);PD(2593,1093);PD(2530,1111);PD(2502,1123);PD(2478,1138);PD(2458,1154);PD(2444,1171);PD(2437,1192);PD(2439,1225);PD(2453,1279);
PD(2481,1366);PD(2525,1502);PD(2554,1599);PD(2574,1650);PD(2595,1675);PD(2635,1689);PD(2671,1707);PD(2702,1731);PD(2729,1760);PD(2754,1798);PD(2778,1844);PD(2801,1901);PD(2825,1968);PD(2842,2024);PD(2853,2071);
PD(2860,2110);PD(2860,2143);PD(2855,2171);PD(2844,2194);PD(2827,2214);PD(2804,2231);PD(2762,2247);PD(2710,2254);PD(2655,2251);PD(2608,2238);PD(2595,2234);PD(2587,2236);PD(2583,2244);PD(2582,2261);PD(2578,2303);
PD(2567,2350);PD(2550,2398);PD(2528,2446);PD(2502,2491);PD(2472,2532);PD(2441,2567);PD(2409,2594);PD(2359,2626);PD(2383,2674);PD(2413,2719);PD(2452,2757);PD(2500,2787);PD(2552,2809);PD(2607,2822);PD(2662,2824);
PD(2715,2815);PD(2763,2794);PU(981,2781);PD(1022,2760);PD(1049,2738);PD(1067,2708);PD(1082,2664);PD(1090,2635);PD(1089,2615);PD(1081,2599);PD(1063,2580);PD(1026,2534);PD(987,2466);PD(951,2386);PD(923,2304);
PD(900,2221);PD(825,2221);PD(787,2220);PD(758,2215);PD(735,2205);PD(714,2189);PD(689,2158);PD(670,2122);PD(658,2080);PD(652,2034);PD(654,1986);PD(662,1936);PD(677,1886);PD(698,1836);PD(731,1783);PD(774,1733);
PD(822,1691);PD(869,1662);PD(893,1648);PD(909,1623);PD(922,1572);PD(938,1480);PD(953,1397);PD(957,1354);PD(949,1333);PD(929,1312);PD(911,1300);PD(889,1291);PD(863,1286);PD(835,1284);PD(777,1290);PD(721,1310);
PD(701,1322);PD(682,1339);PD(665,1358);PD(650,1380);PD(629,1428);PD(621,1479);PD(618,1511);PD(611,1521);PD(568,1501);PD(529,1486);PD(494,1477);PD(461,1473);PD(430,1475);PD(401,1482);PD(373,1494);PD(347,1511);
PD(325,1538);PD(311,1575);PD(304,1619);PD(303,1668);PD(309,1718);PD(322,1766);PD(341,1809);PD(367,1844);PD(387,1868);PD(395,1882);PD(373,1884);PD(320,1881);PD(288,1879);PD(259,1881);PD(234,1886);PD(211,1895);
PD(191,1909);PD(172,1927);PD(155,1949);PD(140,1977);PD(121,2027);PD(114,2076);PD(121,2123);PD(140,2167);PD(177,2210);PD(232,2253);PD(292,2289);PD(347,2309);PD(381,2317);PD(395,2327);PD(385,2348);PD(360,2385);
PD(343,2411);PD(332,2438);PD(326,2468);PD(325,2505);PD(330,2561);PD(346,2603);PD(358,2619);PD(375,2632);PD(394,2644);PD(418,2653);PD(466,2663);PD(516,2661);PD(572,2646);PD(636,2619);PD(689,2593);PD(714,2582);
PD(718,2596);PD(720,2629);PD(727,2675);PD(745,2723);PD(763,2752);PD(785,2775);PD(810,2792);PD(839,2803);PD(871,2807);PD(905,2805);PD(942,2796);PD(981,2781);PU(2395,2570);PD(2443,2527);PD(2481,2481);PD(2509,2423);
PD(2532,2352);PD(2548,2279);PD(2554,2213);PD(2559,2165);PD(2568,2145);PD(2578,2149);PD(2582,2159);PD(2591,2178);PD(2611,2201);PD(2629,2215);PD(2652,2225);PD(2678,2230);PD(2705,2231);PD(2732,2228);PD(2758,2221);
PD(2782,2210);PD(2801,2194);PD(2815,2179);PD(2825,2163);PD(2831,2145);PD(2834,2125);PD(2828,2073);PD(2807,1995);PD(2785,1929);PD(2762,1873);PD(2739,1825);PD(2714,1786);PD(2687,1754);PD(2658,1730);PD(2627,1712);
PD(2592,1700);PD(2572,1692);PD(2558,1677);PD(2546,1652);PD(2533,1611);PD(2499,1500);PD(2466,1401);PD(2433,1312);PD(2400,1234);PD(2366,1166);PD(2331,1108);PD(2295,1058);PD(2258,1016);PD(2196,964);PD(2119,914);
PD(2033,869);PD(1943,834);PD(1886,817);PD(1829,807);PD(1755,803);PD(1648,803);PD(1534,805);PD(1463,811);PD(1413,825);PD(1359,849);PD(1290,890);PD(1228,939);PD(1171,998);PD(1121,1066);PD(1077,1144);PD(1038,1232);
PD(1006,1331);PD(979,1439);PD(954,1563);PD(938,1633);PD(931,1647);PD(918,1663);PD(900,1679);PD(878,1692);PD(837,1717);PD(801,1748);PD(769,1783);PD(742,1822);PD(720,1863);PD(703,1905);PD(691,1948);PD(684,1991);
PD(683,2032);PD(687,2071);PD(696,2107);PD(711,2138);PD(731,2164);PD(758,2184);PD(790,2197);PD(828,2201);PD(852,2200);PD(869,2194);PD(880,2183);PD(889,2165);PD(896,2150);PD(903,2141);PD(910,2137);PD(917,2139);
PD(927,2156);PD(931,2191);PD(935,2235);PD(946,2285);PD(962,2339);PD(983,2393);PD(1007,2445);PD(1034,2493);PD(1062,2534);PD(1091,2565);PD(1126,2598);PD(1518,2582);PD(1786,2575);PD(2012,2575);PD(2182,2582);
PD(2283,2596);PD(2313,2605);PD(2330,2609);PD(2352,2598);PD(2395,2570);PU(989,975);PD(1069,952);PD(1136,937);PD(1184,923);PD(1222,902);PD(1268,871);PD(1339,833);PD(1388,807);PD(1412,791);PD(1415,777);
PD(1404,759);PD(1389,718);PD(1383,663);PD(1383,598);PD(1175,584);PD(1053,573);PD(965,559);PD(935,551);PD(915,543);PD(905,535);PD(907,526);PD(921,526);PD(941,533);PD(1021,547);PD(1174,559);PD(1379,569);
PD(1387,492);PD(1397,430);PD(1405,388);PD(1407,373);PD(1404,364);PD(1393,358);PD(1373,356);PD(1296,337);PD(1164,296);PD(1066,266);PD(978,243);PD(902,227);PD(836,219);PD(782,218);PD(739,224);PD(707,238);
PD(687,260);PD(675,352);PD(672,527);PD(677,715);PD(690,848);PD(706,905);PD(730,945);PD(745,960);PD(762,971);PD(783,981);PD(807,988);PD(852,997);PD(889,998);PD(930,991);PD(989,975);PU(2560,823);PD(2587,808);
PD(2608,790);PD(2621,766);PD(2629,735);PD(2629,692);PD(2624,635);PD(2614,561);PD(2598,467);PD(2580,367);PD(2563,288);PD(2547,227);PD(2530,181);PD(2512,149);PD(2491,127);PD(2466,114);PD(2436,106);PD(2402,104);
PD(2358,108);PD(2305,118);PD(2246,133);PD(2119,174);PD(1994,227);PD(1849,299);PD(1849,357);PD(1851,414);PD(1857,467);PD(1865,518);PD(1981,533);PD(2074,541);PD(2155,537);PD(2192,529);PD(2227,519);PD(2262,505);
PD(2297,487);PD(2339,464);PD(2360,454);PD(2369,455);PD(2371,466);PD(2349,488);PD(2297,516);PD(2229,544);PD(2163,562);PD(2088,567);PD(2008,562);PD(1942,553);PD(1899,546);PD(1885,547);PD(1877,556);PD(1875,577);
PD(1875,614);PD(1873,678);PD(1864,730);PD(1850,776);PD(1923,799);PD(1999,816);PD(2101,830);PD(2227,839);PD(2373,844);PD(2441,844);PD(2491,841);PD(2530,834);PD(2560,823);PU(1816,759);PD(1826,748);PD(1834,732);
PD(1839,710);PD(1843,683);PD(1843,608);PD(1834,504);PD(1826,431);PD(1819,378);PD(1810,340);PD(1797,316);PD(1778,303);PD(1750,297);PD(1712,297);PD(1661,299);PD(1602,303);PD(1554,309);PD(1516,317);PD(1486,329);
PD(1464,345);PD(1447,365);PD(1435,391);PD(1427,423);PD(1416,507);PD(1411,608);PD(1412,669);PD(1417,707);PD(1427,732);PD(1444,752);PD(1465,769);PD(1494,778);PD(1547,781);PD(1637,779);PD(1756,771);PD(1816,759);
PU(1360,2468);PD(1316,2446);PD(1271,2410);PD(1248,2382);PD(1229,2351);PD(1214,2318);PD(1205,2289);PD(1201,2264);PD(1204,2248);PD(1215,2242);PD(1233,2251);PD(1282,2284);PD(1321,2305);PD(1359,2317);PD(1407,2324);
PD(1472,2335);PD(1517,2351);PD(1533,2362);PD(1544,2375);PD(1550,2389);PD(1552,2406);PD(1548,2428);PD(1536,2446);PD(1518,2461);PD(1494,2471);PD(1465,2478);PD(1433,2480);PD(1397,2476);PD(1360,2468);PU(1511,2433);
PD(1520,2420);PD(1522,2407);PD(1519,2395);PD(1511,2384);PD(1480,2365);PD(1431,2352);PD(1365,2339);PD(1302,2323);PD(1259,2311);PD(1242,2313);PD(1252,2342);PD(1278,2378);PD(1312,2412);PD(1345,2434);PD(1394,2449);
PD(1442,2454);PD(1464,2453);PD(1484,2449);PD(1500,2442);PD(1511,2433);PU(1815,2440);PD(1791,2419);PD(1779,2400);PD(1777,2384);PD(1785,2369);PD(1805,2357);PD(1835,2348);PD(1876,2340);PD(1928,2334);PD(1982,2328);
PD(2022,2321);PD(2050,2310);PD(2070,2296);PD(2087,2282);PD(2098,2276);PD(2105,2279);PD(2111,2290);PD(2113,2304);PD(2109,2322);PD(2101,2341);PD(2090,2362);PD(2058,2403);PD(2018,2437);PD(1994,2451);PD(1968,2461);
PD(1940,2467);PD(1913,2470);PD(1885,2468);PD(1859,2463);PD(1836,2453);PD(1815,2440);PU(1976,2441);PD(2000,2430);PD(2033,2403);PD(2062,2372);PD(2074,2348);PD(2073,2340);PD(2067,2336);PD(2055,2337);PD(2038,2342);
PD(1989,2353);PD(1921,2357);PD(1861,2361);PD(1825,2373);PD(1817,2382);PD(1815,2392);PD(1820,2404);PD(1832,2417);PD(1856,2433);PD(1886,2444);PD(1917,2449);PD(1945,2447);PD(1962,2443);PD(1976,2441);PU(1408,2278);
PD(1386,2263);PD(1367,2244);PD(1352,2223);PD(1340,2199);PD(1327,2147);PD(1327,2094);PD(1332,2068);PD(1339,2043);PD(1350,2021);PD(1364,2001);PD(1380,1985);PD(1400,1972);PD(1422,1964);PD(1446,1961);PD(1487,1969);
PD(1525,1989);PD(1555,2019);PD(1572,2055);PD(1574,2105);PD(1565,2167);PD(1548,2225);PD(1527,2262);PD(1498,2281);PD(1469,2290);PD(1439,2289);PD(1408,2278);PU(1517,2244);PD(1536,2205);PD(1548,2149);PD(1550,2092);
PD(1540,2052);PD(1532,2039);PD(1528,2036);PD(1525,2044);PD(1524,2063);PD(1518,2095);PD(1502,2121);PD(1477,2139);PD(1446,2145);PD(1421,2139);PD(1401,2121);PD(1388,2095);PD(1383,2062);PD(1382,2047);PD(1379,2037);
PD(1374,2033);PD(1368,2034);PD(1356,2050);PD(1346,2083);PD(1344,2128);PD(1353,2171);PD(1372,2208);PD(1397,2238);PD(1426,2259);PD(1457,2269);PD(1473,2268);PD(1488,2264);PD(1503,2256);PD(1517,2244);PU(1479,2114);
PD(1491,2089);PD(1495,2054);PD(1491,2018);PD(1479,1992);PD(1461,1985);PD(1440,1989);PD(1420,2002);PD(1407,2024);PD(1405,2053);PD(1414,2088);PD(1429,2118);PD(1445,2131);PD(1462,2126);PD(1479,2114);PU(1808,2266);
PD(1790,2239);PD(1778,2205);PD(1771,2167);PD(1770,2127);PD(1774,2088);PD(1783,2051);PD(1797,2019);PD(1816,1994);PD(1835,1978);PD(1853,1968);PD(1875,1964);PD(1902,1964);PD(1931,1969);PD(1951,1979);PD(1968,2000);
PD(1988,2036);PD(2007,2077);PD(2015,2106);PD(2011,2137);PD(1998,2182);PD(1987,2212);PD(1974,2239);PD(1960,2260);PD(1947,2272);PD(1912,2283);PD(1870,2285);PD(1832,2280);PD(1808,2266);PU(1963,2210);PD(1977,2177);
PD(1985,2150);PD(1986,2123);PD(1983,2094);PD(1971,2039);PD(1959,2084);PD(1944,2117);PD(1921,2146);PD(1894,2166);PD(1867,2173);PD(1846,2164);PD(1819,2142);PD(1788,2110);PD(1796,2166);PD(1809,2209);PD(1832,2243);
PD(1846,2255);PD(1863,2264);PD(1880,2270);PD(1899,2272);PD(1917,2269);PD(1933,2259);PD(1947,2240);PD(1963,2210);PU(1922,2110);PD(1928,2089);PD(1928,2067);PD(1924,2045);PD(1917,2024);PD(1906,2006);PD(1894,1993);
PD(1879,1985);PD(1864,1985);PD(1852,1992);PD(1841,2003);PD(1833,2019);PD(1827,2037);PD(1823,2078);PD(1833,2115);PD(1843,2129);PD(1854,2138);PD(1866,2143);PD(1879,2144);PD(1891,2141);PD(1903,2135);PD(1913,2124);
PD(1922,2110);PU(1040,2049);PD(1013,2020);PD(997,1995);PD(990,1969);PD(988,1937);PD(989,1907);PD(995,1885);PD(1006,1867);PD(1024,1850);PD(1062,1830);PD(1106,1821);PD(1153,1825);PD(1198,1842);PD(1227,1860);
PD(1245,1883);PD(1254,1916);PD(1256,1964);PD(1254,1993);PD(1247,2017);PD(1234,2039);PD(1215,2062);PD(1193,2080);PD(1172,2094);PD(1151,2101);PD(1130,2102);PD(1109,2098);PD(1087,2088);PD(1064,2071);PD(1040,2049);
PU(1219,2025);PD(1226,1993);PD(1227,1956);PD(1223,1919);PD(1214,1891);PD(1197,1871);PD(1173,1857);PD(1145,1847);PD(1115,1843);PD(1086,1845);PD(1059,1852);PD(1038,1865);PD(1024,1884);PD(1015,1926);PD(1019,1964);
PD(1039,2001);PD(1074,2038);PD(1107,2064);PD(1129,2077);PD(1148,2077);PD(1171,2067);PD(1201,2046);PD(1219,2025);PU(2650,2074);PD(2620,2045);PD(2599,2007);PD(2586,1967);PD(2585,1930);PD(2589,1913);PD(2592,1907);
PD(2596,1911);PD(2602,1926);PD(2625,1983);PD(2645,2023);PD(2666,2048);PD(2688,2063);PD(2710,2078);PD(2715,2090);PD(2705,2100);PD(2693,2101);PD(2675,2092);PD(2650,2074);PU(762,2039);PD(777,2028);PD(811,2012);
PD(834,2000);PD(856,1982);PD(876,1961);PD(892,1937);PD(907,1914);PD(918,1902);PD(925,1900);PD(929,1908);PD(927,1936);PD(914,1965);PD(890,1993);PD(857,2018);PD(824,2034);PD(793,2044);PD(771,2046);PD(762,2039);
PU(2330,2012);PD(2304,1994);PD(2284,1971);PD(2270,1944);PD(2261,1915);PD(2259,1885);PD(2263,1856);PD(2274,1830);PD(2292,1808);PD(2326,1785);PD(2370,1771);PD(2417,1765);PD(2462,1770);PD(2489,1782);PD(2509,1804);
PD(2522,1833);PD(2530,1867);PD(2530,1904);PD(2524,1940);PD(2510,1975);PD(2489,2005);PD(2460,2023);PD(2418,2031);PD(2372,2027);PD(2330,2012);PU(2498,1937);PD(2508,1903);PD(2510,1881);PD(2504,1862);PD(2489,1839);
PD(2464,1814);PD(2433,1800);PD(2399,1794);PD(2366,1796);PD(2335,1806);PD(2310,1823);PD(2292,1847);PD(2286,1877);PD(2292,1909);PD(2307,1946);PD(2326,1977);PD(2345,1995);PD(2375,1999);PD(2420,2000);PD(2451,1996);
PD(2471,1988);PD(2485,1970);PD(2498,1937);PU(1542,1897);PD(1499,1869);PD(1482,1851);PD(1474,1835);PD(1456,1809);PD(1441,1791);PD(1426,1785);PD(1405,1787);PD(1369,1799);PD(1318,1812);PD(1270,1815);PD(1223,1807);
PD(1180,1790);PD(1141,1763);PD(1106,1728);PD(1076,1683);PD(1051,1630);PD(1038,1591);PD(1033,1555);PD(1036,1507);PD(1047,1434);PD(1059,1367);PD(1074,1308);PD(1091,1256);PD(1113,1208);PD(1139,1164);PD(1172,1120);
PD(1211,1076);PD(1257,1029);PD(1318,972);PD(1366,934);PD(1410,909);PD(1461,889);PD(1528,872);PD(1604,863);PD(1685,860);PD(1768,864);PD(1848,875);PD(1922,892);PD(1987,915);PD(2039,943);PD(2068,968);PD(2102,1006);
PD(2140,1053);PD(2179,1108);PD(2251,1222);PD(2300,1324);PD(2314,1367);PD(2324,1412);PD(2329,1461);PD(2331,1517);PD(2330,1564);PD(2327,1605);PD(2321,1641);PD(2311,1674);PD(2297,1703);PD(2280,1729);PD(2259,1755);
PD(2232,1779);PD(2203,1803);PD(2178,1816);PD(2147,1820);PD(2103,1818);PD(2029,1805);PD(1964,1782);PD(1906,1754);PD(1898,1792);PD(1884,1824);PD(1857,1859);PD(1822,1892);PD(1782,1918);PD(1758,1927);PD(1730,1932);
PD(1699,1934);PD(1665,1933);PD(1599,1920);PD(1542,1897);PU(1751,1905);PD(1795,1886);PD(1830,1860);PD(1856,1819);PD(1876,1764);PD(1886,1707);PD(1884,1655);PD(1867,1611);PD(1834,1563);PD(1793,1519);PD(1748,1487);
PD(1713,1474);PD(1675,1468);PD(1637,1469);PD(1599,1476);PD(1564,1490);PD(1533,1510);PD(1507,1535);PD(1487,1565);PD(1467,1621);PD(1458,1675);PD(1460,1727);PD(1472,1775);PD(1495,1818);PD(1527,1854);PD(1569,1884);
PD(1620,1905);PD(1654,1914);PD(1683,1917);PD(1714,1914);PD(1751,1905);PU(2201,1774);PD(2225,1756);PD(2246,1737);PD(2264,1714);PD(2278,1690);PD(2300,1632);PD(2310,1562);PD(2312,1518);PD(2310,1474);PD(2303,1430);
PD(2293,1386);PD(2258,1295);PD(2206,1197);PD(2161,1126);PD(2121,1068);PD(2082,1021);PD(2045,985);PD(2006,956);PD(1963,935);PD(1916,918);PD(1863,906);PD(1789,893);PD(1721,885);PD(1659,882);PD(1601,883);
PD(1548,889);PD(1499,899);PD(1452,914);PD(1407,934);PD(1347,975);PD(1274,1041);PD(1203,1116);PD(1151,1184);PD(1124,1239);PD(1099,1311);PD(1079,1394);PD(1065,1486);PD(1061,1530);PD(1063,1565);PD(1073,1599);
PD(1092,1641);PD(1128,1704);PD(1163,1748);PD(1182,1763);PD(1205,1774);PD(1231,1782);PD(1258,1788);PD(1287,1789);PD(1317,1788);PD(1346,1783);PD(1373,1774);PD(1399,1761);PD(1415,1748);PD(1423,1732);
PD(1425,1710);PD(1432,1651);PD(1450,1588);PD(1476,1533);PD(1504,1497);PD(1551,1471);PD(1611,1455);PD(1673,1449);PD(1730,1456);PD(1758,1467);PD(1786,1482);PD(1813,1502);PD(1837,1525);PD(1860,1551);PD(1879,1579);
PD(1894,1608);PD(1904,1637);PD(1920,1693);PD(1939,1728);PD(1969,1751);PD(2019,1774);PD(2080,1796);PD(2125,1803);PD(2162,1796);PD(2201,1774);PU(2060,1588);PD(2065,1575);PD(2076,1555);PD(2081,1540);PD(2080,1520);
PD(2073,1497);PD(2062,1470);PD(2025,1410);PD(1971,1345);PD(1925,1299);PD(1881,1267);PD(1833,1245);PD(1772,1228);PD(1721,1222);PD(1662,1223);PD(1598,1231);PD(1533,1244);PD(1471,1263);PD(1416,1285);PD(1370,1309);
PD(1338,1336);PD(1303,1385);PD(1272,1443);PD(1252,1496);PD(1247,1531);PD(1251,1558);PD(1245,1570);PD(1231,1566);PD(1211,1545);PD(1183,1520);PD(1156,1510);PD(1137,1505);PD(1129,1494);PD(1132,1489);PD(1140,1486);
PD(1153,1486);PD(1170,1489);PD(1194,1492);PD(1211,1487);PD(1225,1470);PD(1243,1437);PD(1275,1382);PD(1311,1336);PD(1336,1312);PD(1365,1290);PD(1398,1271);PD(1434,1253);PD(1512,1224);PD(1596,1205);PD(1680,1197);
PD(1762,1200);PD(1800,1206);PD(1835,1214);PD(1868,1226);PD(1897,1242);PD(1950,1283);PD(2005,1338);PD(2055,1400);PD(2091,1459);PD(2109,1493);PD(2124,1511);PD(2140,1517);PD(2165,1516);PD(2208,1508);PD(2156,1537);
PD(2117,1562);PD(2096,1580);PD(2086,1589);PD(2075,1594);PD(2065,1594);PD(2060,1588);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_2(){//Маша
M=0.6;// 
PD(981,2726);pendown();
PD(858,2669);PD(716,2594);PD(583,2518);PD(491,2457);PD(432,2409);PD(377,2358);PD(325,2302);PD(276,2242);PD(230,2177);PD(187,2106);PD(145,2030);PD(106,1947);PD(83,1894);PD(70,1848);PD(65,1793);
PD(63,1714);PD(65,1633);PD(71,1578);PD(87,1530);PD(117,1468);PD(180,1361);PD(255,1253);PD(309,1178);PD(353,1105);PD(384,1042);PD(395,1000);PD(385,974);PD(361,942);PD(333,915);PD(309,903);PD(282,900);PD(260,893);
PD(245,882);PD(240,868);PD(231,849);PD(209,830);PD(193,818);PD(186,808);PD(187,798);PD(196,785);PD(205,772);PD(208,762);PD(207,753);PD(200,745);PD(188,725);PD(183,701);PD(185,688);PD(191,681);PD(202,680);PD(222,684);
PD(259,693);PD(292,701);PD(307,703);PD(317,700);PD(323,691);PD(327,675);PD(331,659);PD(338,649);PD(350,644);PD(367,642);PD(385,644);PD(396,650);PD(403,662);PD(406,680);PD(412,699);PD(423,714);PD(443,726);
PD(474,738);PD(509,749);PD(527,752);PD(533,747);PD(531,735);PD(505,649);PD(485,569);PD(474,506);PD(473,470);PD(474,454);PD(471,439);PD(463,423);PD(452,409);PD(438,392);PD(430,371);PD(425,345);PD(423,310);
PD(425,272);PD(432,243);PD(448,216);PD(477,183);PD(500,162);PD(521,146);PD(541,135);PD(561,129);PD(581,129);PD(600,133);PD(621,143);PD(642,158);PD(664,174);PD(681,180);PD(698,177);PD(722,164);PD(747,152);
PD(777,145);PD(816,142);PD(868,143);PD(929,144);PD(967,140);PD(994,125);PD(1027,95);PD(1065,64);PD(1103,44);PD(1141,33);PD(1178,33);PD(1213,42);PD(1245,61);PD(1274,89);PD(1298,127);PD(1309,151);PD(1316,174);
PD(1319,195);PD(1318,215);PD(1312,235);PD(1301,255);PD(1287,275);PD(1267,296);PD(1240,330);PD(1233,351);PD(1230,384);PD(1212,446);PD(1198,497);PD(1188,559);PD(1181,626);PD(1178,694);PD(1178,755);PD(1182,806);
PD(1190,839);PD(1202,849);PD(1238,851);PD(1285,861);PD(1329,877);PD(1357,893);PD(1375,902);PD(1409,906);PD(1466,905);PD(1552,900);PD(1624,896);PD(1687,893);PD(1736,891);PD(1764,889);PD(1784,891);PD(1802,898);
PD(1818,908);PD(1831,923);PD(1850,967);PD(1860,1029);PD(1862,1075);PD(1859,1104);PD(1849,1125);PD(1829,1144);PD(1803,1176);PD(1792,1208);PD(1786,1234);PD(1771,1254);PD(1751,1265);PD(1729,1264);PD(1714,1251);
PD(1707,1229);PD(1700,1201);PD(1683,1173);PD(1668,1156);PD(1656,1149);PD(1639,1152);PD(1613,1164);PD(1552,1181);PD(1462,1188);PD(1386,1189);PD(1355,1191);PD(1375,1214);PD(1422,1264);PD(1454,1301);PD(1482,1339);
PD(1505,1381);PD(1524,1425);PD(1543,1482);PD(1554,1541);PD(1558,1629);PD(1559,1771);PD(1556,1938);PD(1545,2057);PD(1535,2106);PD(1521,2154);PD(1502,2204);PD(1479,2258);PD(1414,2375);PD(1329,2500);
PD(1285,2558);PD(1243,2608);PD(1205,2646);PD(1174,2670);PD(1137,2695);PD(1102,2722);PD(1076,2742);PD(1054,2749);PD(1025,2744);PD(981,2726);PU(1009,2694);PD(961,2665);PD(924,2639);PD(900,2623);PD(881,2620);
PD(846,2602);PD(783,2544);PD(700,2456);PD(610,2350);PD(534,2246);PD(472,2143);PD(424,2040);PD(389,1933);PD(361,1836);PD(329,1730);PD(311,1671);PD(301,1622);PD(297,1576);PD(299,1524);PD(309,1450);PD(323,1403);
PD(331,1392);PD(334,1392);PD(333,1405);PD(329,1432);PD(322,1472);PD(319,1511);PD(320,1552);PD(324,1595);PD(344,1697);PD(381,1827);PD(433,1984);PD(483,2111);PD(536,2214);PD(591,2296);PD(669,2391);PD(745,2476);
PD(805,2538);PD(837,2561);PD(864,2572);PD(903,2599);PD(955,2634);PD(1013,2667);PD(1037,2679);PD(1057,2687);PD(1074,2688);PD(1091,2682);PD(1130,2643);PD(1192,2561);PD(1258,2471);PD(1275,2437);PD(1236,2453);
PD(1136,2513);PD(1103,2530);PD(1067,2541);PD(1022,2547);PD(960,2550);PD(840,2551);PD(778,2493);PD(714,2427);PD(653,2353);PD(597,2277);PD(549,2200);PD(509,2126);PD(479,2059);PD(463,2001);PD(461,1956);
PD(470,1920);PD(481,1898);PD(486,1894);PD(490,1895);PD(493,1902);PD(494,1915);PD(501,1943);PD(514,1974);PD(532,2008);PD(549,1960);PD(566,1912);PD(590,1954);PD(610,1999);PD(618,2043);PD(624,2054);PD(634,2055);
PD(642,2068);PD(651,2115);PD(661,2193);PD(670,2296);PD(683,2338);PD(713,2388);PD(755,2440);PD(806,2489);PD(824,2503);PD(844,2513);PD(865,2521);PD(890,2525);PD(950,2524);PD(1030,2512);PD(1089,2497);PD(1128,2475);
PD(1142,2459);PD(1153,2440);PD(1163,2416);PD(1171,2388);PD(1195,2300);PD(1207,2289);PD(1205,2315);PD(1192,2371);PD(1178,2425);PD(1173,2450);PD(1178,2453);PD(1191,2443);PD(1208,2420);PD(1221,2389);
PD(1228,2366);PD(1236,2359);PD(1236,2376);PD(1229,2405);PD(1223,2421);PD(1221,2433);PD(1223,2438);PD(1229,2439);PD(1252,2423);PD(1290,2385);PD(1326,2339);PD(1360,2285);PD(1391,2226);PD(1417,2163);
PD(1439,2100);PD(1455,2039);PD(1464,1983);PD(1465,1935);PD(1462,1915);PD(1459,1903);PD(1455,1901);PD(1450,1908);PD(1439,1949);PD(1425,2029);PD(1411,2100);PD(1401,2125);PD(1401,2091);PD(1410,2018);
PD(1418,1943);PD(1417,1902);PD(1410,1897);PD(1403,1900);PD(1396,1909);PD(1389,1922);PD(1378,1956);PD(1377,1990);PD(1379,2040);PD(1372,2110);PD(1357,2194);PD(1356,2072);PD(1352,1995);PD(1344,1954);
PD(1339,1948);PD(1333,1952);PD(1327,1966);PD(1321,1991);PD(1315,2044);PD(1311,2108);PD(1310,2137);PD(1309,2155);PD(1308,2160);PD(1307,2163);PD(1306,2164);PD(1305,2162);PD(1299,2129);PD(1291,2056);
PD(1280,1991);PD(1269,1969);PD(1260,1967);PD(1256,1949);PD(1260,1927);PD(1269,1920);PD(1280,1928);PD(1291,1952);PD(1297,1968);PD(1301,1973);PD(1307,1965);PD(1315,1943);PD(1322,1925);PD(1330,1916);
PD(1337,1914);PD(1346,1919);PD(1356,1924);PD(1364,1922);PD(1373,1913);PD(1381,1897);PD(1391,1878);PD(1399,1869);PD(1408,1870);PD(1421,1878);PD(1432,1887);PD(1438,1883);PD(1438,1862);PD(1434,1820);
PD(1431,1745);PD(1439,1672);PD(1457,1580);PD(1464,1514);PD(1461,1465);PD(1448,1418);PD(1436,1393);PD(1420,1368);PD(1398,1344);PD(1370,1319);PD(1289,1261);PD(1166,1187);PD(1092,1146);PD(1041,1124);
PD(992,1116);PD(924,1115);PD(857,1116);PD(805,1124);PD(749,1145);PD(667,1184);PD(567,1237);PD(491,1287);PD(461,1312);PD(436,1336);PD(416,1360);PD(401,1384);PD(391,1411);PD(385,1446);PD(382,1488);PD(383,1537);
PD(393,1652);PD(416,1784);PD(440,1899);PD(449,1957);PD(449,1962);PD(448,1964);PD(446,1962);PD(443,1957);PD(434,1935);PD(422,1898);PD(394,1796);PD(373,1689);PD(358,1586);PD(353,1496);PD(354,1444);PD(360,1407);
PD(373,1376);PD(395,1342);PD(422,1310);PD(456,1278);PD(497,1247);PD(542,1217);PD(591,1189);PD(642,1164);PD(695,1142);PD(748,1125);PD(809,1106);PD(838,1095);PD(840,1088);PD(818,1084);PD(779,1084);PD(721,1094);
PD(648,1112);PD(562,1139);PD(541,1143);PD(538,1137);PD(552,1124);PD(580,1108);PD(624,1085);PD(576,1060);PD(473,1001);PD(437,971);PD(439,964);PD(444,961);PD(453,961);PD(465,964);PD(501,983);PD(553,1016);PD(595,1042);
PD(631,1060);PD(661,1069);PD(690,1072);PD(741,1071);PD(675,1037);PD(639,1015);PD(606,987);PD(574,948);PD(536,895);PD(487,816);PD(466,780);PD(475,779);PD(495,783);PD(508,787);PD(516,787);PD(519,784);PD(516,778);
PD(508,769);PD(498,764);PD(485,763);PD(471,765);PD(439,779);PD(408,806);PD(380,840);PD(369,868);PD(374,895);PD(395,927);PD(415,961);PD(423,993);PD(410,1046);PD(377,1119);PD(330,1199);PD(278,1269);PD(215,1357);
PD(152,1463);PD(118,1535);PD(100,1586);PD(93,1641);PD(93,1720);PD(94,1798);PD(102,1854);PD(119,1907);PD(152,1980);PD(200,2074);PD(252,2160);PD(308,2238);PD(371,2310);PD(439,2376);PD(515,2438);PD(599,2496);
PD(691,2551);PD(922,2672);PD(1043,2723);PD(1047,2721);PD(1042,2715);PD(1029,2706);PD(1009,2694);PU(1341,2441);PD(1390,2365);PD(1430,2294);PD(1463,2226);PD(1488,2158);PD(1507,2086);PD(1520,2009);PD(1529,1924);
PD(1534,1827);PD(1536,1677);PD(1529,1563);PD(1522,1515);PD(1511,1472);PD(1498,1432);PD(1482,1394);PD(1444,1331);PD(1386,1264);PD(1316,1197);PD(1239,1137);PD(1197,1110);PD(1166,1095);PD(1141,1091);PD(1115,1094);
PD(1101,1097);PD(1091,1100);PD(1088,1105);PD(1092,1111);PD(1124,1133);PD(1195,1173);PD(1290,1232);PD(1368,1292);PD(1400,1323);PD(1428,1353);PD(1451,1384);PD(1469,1414);PD(1483,1451);PD(1491,1504);PD(1495,1592);
PD(1496,1737);PD(1494,1880);PD(1489,1975);PD(1480,2043);PD(1465,2101);PD(1433,2190);PD(1392,2281);PD(1339,2378);PD(1271,2484);PD(1212,2575);PD(1181,2625);PD(1178,2631);PD(1179,2632);PD(1183,2630);PD(1189,2625);
PD(1208,2606);PD(1233,2577);PD(1291,2508);PD(1341,2441);PU(875,2589);PD(860,2576);PD(848,2575);PD(849,2585);PD(861,2596);PD(878,2607);PD(886,2609);PD(885,2603);PD(875,2589);PU(651,2256);PD(640,2209);PD(635,2159);
PD(625,2099);PD(600,2031);PD(566,1956);PD(562,2055);PD(559,2101);PD(555,2124);PD(552,2126);PD(546,2110);PD(530,2063);PD(508,2011);PD(494,1982);PD(486,1970);PD(482,1973);PD(481,1990);PD(490,2036);PD(515,2098);
PD(553,2170);PD(600,2242);PD(636,2288);PD(656,2305);PD(661,2295);PD(651,2256);PU(1472,1729);PD(1475,1681);PD(1476,1649);PD(1475,1640);PD(1473,1635);PD(1471,1634);PD(1468,1637);PD(1459,1680);PD(1454,1755);
PD(1453,1823);PD(1459,1847);PD(1465,1810);PD(1472,1729);PU(1765,1232);PD(1766,1223);PD(1767,1210);PD(1768,1193);PD(1770,1175);PD(1771,1153);PD(1769,1139);PD(1762,1131);PD(1751,1129);PD(1729,1126);PD(1711,1117);
PD(1698,1104);PD(1691,1087);PD(1692,1077);PD(1702,1071);PD(1722,1067);PD(1754,1064);PD(1801,1066);PD(1820,1074);PD(1803,1083);PD(1761,1087);PD(1724,1090);PD(1716,1099);PD(1734,1110);PD(1778,1118);PD(1805,1119);
PD(1820,1115);PD(1828,1103);PD(1832,1081);PD(1833,1043);PD(1830,1008);PD(1822,977);PD(1810,952);PD(1796,933);PD(1779,923);PD(1760,923);PD(1741,933);PD(1727,941);PD(1722,938);PD(1716,936);PD(1702,944);
PD(1691,951);PD(1679,954);PD(1667,952);PD(1654,947);PD(1635,939);PD(1621,940);PD(1612,949);PD(1609,965);PD(1613,970);PD(1623,960);PD(1627,955);PD(1630,955);PD(1631,960);PD(1631,970);PD(1626,1006);PD(1616,1063);
PD(1617,1076);PD(1626,1090);PD(1643,1106);PD(1667,1123);PD(1692,1141);PD(1711,1160);PD(1724,1179);PD(1731,1199);PD(1739,1224);PD(1750,1240);PD(1755,1243);PD(1760,1243);PD(1763,1240);PD(1765,1232);PU(1551,1116);
PD(1534,1082);PD(1527,1043);PD(1530,1001);PD(1544,957);PD(1548,944);PD(1544,938);PD(1531,936);PD(1507,938);PD(1451,945);PD(1383,952);PD(1341,959);PD(1308,970);PD(1278,988);PD(1245,1016);PD(1184,1071);
PD(1225,1092);PD(1258,1113);PD(1283,1135);PD(1299,1146);PD(1327,1153);PD(1373,1156);PD(1442,1157);PD(1582,1157);PD(1551,1116);PU(1623,1139);PD(1616,1122);PD(1600,1088);PD(1591,1064);PD(1585,1038);
PD(1584,1012);PD(1586,984);PD(1590,952);PD(1590,937);PD(1585,938);PD(1573,951);PD(1558,988);PD(1553,1036);PD(1559,1083);PD(1576,1118);PD(1592,1132);PD(1607,1141);PD(1618,1144);PD(1623,1139);PU(989,1041);
PD(994,1013);PD(988,997);PD(967,989);PD(927,988);PD(900,989);PD(884,992);PD(878,999);PD(881,1010);PD(886,1035);PD(889,1060);PD(891,1074);PD(898,1082);PD(912,1085);PD(934,1084);PD(956,1080);PD(972,1073);
PD(982,1060);PD(989,1041);PU(1125,1065);PD(1177,1035);PD(1244,989);PD(1301,943);PD(1326,914);PD(1307,904);PD(1261,896);PD(1209,892);PD(1168,895);PD(1126,918);PD(1075,961);PD(1031,1011);PD(1008,1051);
PD(1004,1070);PD(1007,1081);PD(1017,1085);PD(1036,1087);PD(1078,1080);PD(1125,1065);PU(854,1020);PD(845,996);PD(829,970);PD(807,943);PD(781,916);PD(753,892);PD(723,870);PD(693,853);PD(665,841);PD(604,823);
PD(554,812);PD(520,807);PD(508,811);PD(565,896);PD(646,992);PD(681,1014);PD(730,1035);PD(784,1050);PD(831,1057);PD(848,1057);PD(856,1052);PD(858,1040);PD(854,1020);PU(1604,999);PD(1601,993);PD(1599,993);
PD(1597,998);PD(1596,1008);PD(1597,1025);PD(1603,1026);PD(1607,1015);PD(1604,999);PU(1008,780);PD(989,771);PD(964,765);PD(935,762);PD(904,762);PD(873,765);PD(844,771);PD(819,780);PD(799,792);PD(783,805);
PD(772,817);PD(766,828);PD(765,839);PD(778,867);PD(811,907);PD(840,935);PD(864,950);PD(890,958);PD(924,960);PD(971,965);PD(998,978);PD(1003,978);PD(1009,963);PD(1015,935);PD(1020,896);PD(1026,844);PD(1027,812);
PD(1021,793);PD(1008,780);PU(1098,917);PD(1119,894);PD(1134,871);PD(1141,847);PD(1141,822);PD(1134,796);PD(1120,768);PD(1098,739);PD(1070,707);PD(1052,687);PD(1043,675);PD(1042,672);PD(1043,671);
PD(1047,672);PD(1053,675);PD(1078,692);PD(1101,711);PD(1116,727);PD(1129,734);PD(1139,695);PD(1149,604);PD(1162,494);PD(1181,412);PD(1205,350);PD(1149,303);PD(1099,264);PD(1049,232);PD(999,206);
PD(950,187);PD(902,176);PD(856,172);PD(814,176);PD(775,188);PD(705,224);PD(644,269);PD(593,322);PD(556,380);PD(542,412);PD(531,443);PD(524,474);PD(522,505);PD(527,577);PD(548,670);PD(562,724);
PD(572,749);PD(581,752);PD(591,737);PD(614,710);PD(652,684);PD(700,662);PD(754,643);PD(811,629);PD(866,622);PD(916,622);PD(957,631);PD(964,634);PD(968,637);PD(967,639);PD(961,641);PD(937,643);
PD(893,643);PD(852,645);PD(812,651);PD(773,659);PD(736,671);PD(701,686);PD(668,704);PD(639,725);PD(614,748);PD(576,787);PD(624,797);PD(668,811);PD(710,827);PD(731,837);PD(742,840);PD(747,835);
PD(748,821);PD(754,797);PD(771,776);PD(797,759);PD(830,746);PD(868,737);PD(909,734);PD(951,737);PD(992,746);PD(1012,755);PD(1028,764);PD(1040,774);PD(1047,788);PD(1052,826);PD(1046,886);PD(1041,938);
PD(1043,960);PD(1062,947);PD(1098,917);PU(340,820);PD(353,781);PD(370,752);PD(383,728);PD(384,697);PD(376,673);PD(366,664);PD(357,670);PD(353,691);PD(351,705);PD(346,715);PD(338,723);PD(328,729);
PD(300,731);PD(264,722);PD(229,713);PD(214,716);PD(220,731);PD(247,756);PD(270,775);PD(279,785);PD(275,789);PD(258,790);PD(233,794);PD(227,804);PD(239,815);PD(268,825);PD(290,831);PD(300,837);PD(301,845);
PD(294,857);PD(286,868);PD(285,873);PD(290,875);PD(303,873);PD(316,868);PD(326,857);PD(335,841);PD(340,820);PU(419,749);PD(402,754);PD(380,770);PD(361,793);PD(353,813);PD(364,815);PD(392,793);PD(416,764);
PD(419,749);PU(536,358);PD(547,335);PD(564,311);PD(585,288);PD(610,267);PD(667,226);PD(624,226);PD(600,229);PD(576,238);PD(551,256);PD(522,282);PD(487,320);PD(470,349);PD(467,361);PD(469,372);PD(474,382);
PD(483,392);PD(500,406);PD(513,406);PD(524,391);PD(536,358);PU(555,227);PD(576,216);PD(598,209);PD(618,205);PD(636,206);PD(670,214);PD(636,185);PD(611,166);PD(587,157);PD(563,158);PD(536,169);PD(509,193);
PD(482,231);PD(460,272);PD(452,305);PD(453,317);PD(458,320);PD(467,312);PD(481,294);PD(515,258);PD(555,227);PU(1230,286);PD(1248,262);PD(1256,237);PD(1253,221);PD(1243,203);PD(1229,184);PD(1212,167);
PD(1173,138);PD(1136,127);PD(1101,133);PD(1061,147);PD(1029,165);PD(1016,181);PD(1033,196);PD(1072,217);PD(1120,245);PD(1159,277);PD(1181,299);PD(1196,308);PD(1210,304);PD(1230,286);PU(1298,202);PD(1289,166);
PD(1266,126);PD(1236,91);PD(1205,69);PD(1165,63);PD(1120,71);PD(1080,87);PD(1066,100);PD(1080,107);PD(1120,104);PD(1156,101);PD(1181,103);PD(1202,115);PD(1226,138);PD(1257,176);PD(1270,203);PD(1274,219);
PD(1284,226);PD(1294,219);PD(1298,202);PU(886,2403);PD(857,2362);PD(838,2315);PD(827,2251);PD(820,2162);PD(810,2059);PD(797,2014);PD(784,2022);PD(774,2049);PD(767,2091);PD(763,2143);PD(762,2202);PD(765,2262);
PD(771,2320);PD(782,2371);PD(792,2406);PD(772,2371);PD(754,2325);PD(742,2265);PD(722,2189);PD(690,2105);PD(667,2047);PD(657,2002);PD(657,1985);PD(661,1972);PD(667,1964);PD(677,1961);PD(684,1968);PD(683,1983);
PD(681,1993);PD(687,2000);PD(700,2003);PD(724,2004);PD(748,2002);PD(765,1998);PD(776,1989);PD(783,1976);PD(794,1955);PD(806,1949);PD(815,1957);PD(820,1980);PD(821,1995);PD(824,1999);PD(830,1990);PD(840,1969);
PD(855,1927);PD(862,1884);PD(864,1868);PD(865,1860);PD(868,1859);PD(871,1867);PD(879,1882);PD(890,1884);PD(900,1899);PD(905,1950);PD(906,2025);PD(924,1976);PD(933,1952);PD(941,1941);PD(947,1940);PD(953,1950);
PD(963,1966);PD(974,1969);PD(984,1990);PD(993,2050);PD(1003,2125);PD(1012,2180);PD(1016,2206);PD(1017,2219);PD(1015,2221);PD(1011,2212);PD(997,2169);PD(981,2103);PD(958,2013);PD(942,1982);PD(934,2009);
PD(936,2096);PD(944,2194);PD(954,2251);PD(958,2263);PD(958,2269);PD(955,2270);PD(950,2265);PD(932,2225);PD(912,2148);PD(895,2060);PD(888,1987);PD(886,1926);PD(871,1976);PD(856,2013);PD(842,2035);
PD(835,2050);PD(831,2079);PD(832,2119);PD(836,2167);PD(854,2266);PD(879,2348);PD(901,2398);PD(910,2422);PD(904,2423);PD(886,2403);PU(748,2073);PD(747,2045);PD(743,2028);PD(734,2020);PD(720,2018);
PD(701,2019);PD(693,2027);PD(695,2049);PD(707,2090);PD(722,2126);PD(735,2134);PD(744,2116);PD(748,2073);PU(1032,2176);PD(1027,2072);PD(1017,1998);PD(1008,1972);PD(998,1952);PD(986,1938);PD(971,1929);
PD(961,1921);PD(964,1911);PD(975,1908);PD(992,1920);PD(1014,1946);PD(1040,1984);PD(1048,1995);PD(1052,1995);PD(1052,1982);PD(1048,1956);PD(1046,1935);PD(1047,1920);PD(1050,1912);PD(1055,1910);PD(1074,1926);
PD(1102,1967);PD(1129,2011);PD(1129,1971);PD(1130,1955);PD(1133,1944);PD(1138,1940);PD(1144,1942);PD(1151,1944);PD(1154,1940);PD(1154,1932);PD(1150,1919);PD(1147,1904);PD(1148,1895);PD(1152,1892);PD(1160,1895);
PD(1185,1916);PD(1216,1956);PD(1241,2000);PD(1253,2049);PD(1254,2114);PD(1245,2201);PD(1242,2225);PD(1239,2240);PD(1238,2245);PD(1237,2247);PD(1236,2247);PD(1236,2245);PD(1232,2209);PD(1228,2128);PD(1223,2051);
PD(1217,2001);PD(1208,1970);PD(1194,1952);PD(1179,1938);PD(1172,1934);PD(1172,1939);PD(1175,1954);PD(1183,1983);PD(1192,2011);PD(1196,2024);PD(1197,2029);PD(1195,2027);PD(1188,2018);PD(1181,2013);
PD(1175,2021);PD(1170,2043);PD(1167,2081);PD(1163,2166);PD(1159,2074);PD(1156,2024);PD(1153,2003);PD(1148,2009);PD(1142,2039);PD(1133,2097);PD(1127,2159);PD(1126,2187);PD(1124,2191);PD(1120,2169);
PD(1115,2119);PD(1103,2036);PD(1092,1978);PD(1086,1958);PD(1082,1953);PD(1078,1965);PD(1071,1997);PD(1063,2070);PD(1058,2166);PD(1053,2271);PD(1044,2308);PD(1036,2277);PD(1032,2176);PU(883,2249);PD(868,2187);
PD(862,2132);PD(863,2106);PD(865,2100);PD(869,2114);PD(875,2149);PD(888,2210);PD(902,2261);PD(911,2293);PD(912,2310);PD(901,2294);PD(883,2249);PU(1204,2103);PD(1204,2080);PD(1205,2067);PD(1206,2064);
PD(1207,2064);PD(1208,2066);PD(1209,2072);PD(1211,2103);PD(1209,2135);PD(1208,2140);PD(1207,2142);PD(1206,2141);PD(1205,2138);PD(1204,2125);PD(1204,2103);PU(714,1898);PD(708,1885);PD(703,1880);PD(698,1882);
PD(691,1891);PD(684,1901);PD(680,1905);PD(678,1902);PD(677,1892);PD(675,1880);PD(669,1881);PD(652,1878);PD(624,1856);PD(593,1824);PD(570,1789);PD(557,1743);PD(553,1686);PD(555,1651);PD(561,1631);PD(577,1621);
PD(605,1616);PD(627,1612);PD(649,1608);PD(669,1604);PD(683,1602);PD(724,1600);PD(773,1605);PD(812,1615);PD(824,1626);PD(810,1632);PD(787,1628);PD(776,1626);PD(769,1626);PD(766,1629);PD(768,1634);PD(759,1641);
PD(718,1635);PD(690,1631);PD(662,1632);PD(636,1636);PD(613,1644);PD(593,1655);PD(578,1669);PD(568,1685);PD(564,1703);PD(568,1734);PD(578,1763);PD(594,1790);PD(614,1814);PD(638,1834);PD(666,1849);PD(695,1859);
PD(725,1863);PD(746,1860);PD(766,1853);PD(785,1842);PD(801,1827);PD(816,1809);PD(828,1788);PD(837,1765);PD(842,1740);PD(845,1712);PD(844,1689);PD(839,1670);PD(831,1655);PD(822,1643);PD(819,1637);PD(822,1636);
PD(833,1640);PD(843,1647);PD(850,1662);PD(855,1683);PD(858,1706);PD(855,1758);PD(840,1805);PD(817,1840);PD(790,1863);PD(772,1877);PD(769,1892);PD(771,1901);PD(763,1905);PD(752,1900);PD(746,1888);PD(746,1883);
PD(743,1883);PD(739,1888);PD(735,1897);PD(729,1912);PD(725,1917);PD(720,1912);PD(714,1898);PU(1214,1877);PD(1202,1866);PD(1174,1853);PD(1140,1829);PD(1112,1794);PD(1093,1751);PD(1087,1705);PD(1089,1680);
PD(1096,1661);PD(1111,1644);PD(1135,1626);PD(1164,1607);PD(1191,1599);PD(1228,1600);PD(1287,1609);PD(1363,1624);PD(1404,1640);PD(1409,1646);PD(1410,1650);PD(1405,1650);PD(1397,1648);PD(1387,1647);
PD(1381,1653);PD(1379,1667);PD(1380,1692);PD(1376,1742);PD(1360,1799);PD(1349,1824);PD(1339,1843);PD(1330,1853);PD(1322,1853);PD(1315,1852);PD(1312,1860);PD(1306,1869);PD(1291,1868);PD(1276,1866);
PD(1270,1873);PD(1262,1882);PD(1242,1885);PD(1222,1883);PD(1214,1877);PU(1301,1833);PD(1324,1812);PD(1345,1776);PD(1362,1736);PD(1369,1700);PD(1360,1677);PD(1339,1650);PD(1322,1635);PD(1304,1628);
PD(1279,1627);PD(1245,1631);PD(1192,1644);PD(1161,1662);PD(1149,1685);PD(1144,1708);PD(1146,1731);PD(1155,1752);PD(1169,1770);PD(1188,1782);PD(1210,1788);PD(1235,1786);PD(1254,1779);PD(1269,1769);
PD(1280,1756);PD(1288,1741);PD(1292,1724);PD(1291,1706);PD(1286,1688);PD(1277,1669);PD(1252,1630);PD(1281,1657);PD(1299,1678);PD(1309,1701);PD(1310,1726);PD(1305,1750);PD(1293,1772);PD(1276,1790);
PD(1253,1802);PD(1226,1806);PD(1205,1804);PD(1185,1798);PD(1168,1788);PD(1154,1775);PD(1143,1760);PD(1135,1741);PD(1131,1721);PD(1132,1699);PD(1133,1670);PD(1129,1654);PD(1120,1653);PD(1108,1667);
PD(1102,1695);PD(1109,1735);PD(1127,1777);PD(1153,1812);PD(1186,1836);PD(1223,1847);PD(1262,1847);PD(1301,1833);PU(1195,1740);PD(1187,1723);PD(1186,1702);PD(1193,1683);PD(1205,1671);PD(1227,1670);
PD(1252,1678);PD(1263,1685);PD(1268,1689);PD(1265,1692);PD(1256,1693);PD(1246,1694);PD(1242,1696);PD(1245,1700);PD(1254,1706);PD(1265,1720);PD(1264,1734);PD(1251,1744);PD(1231,1749);PD(1210,1748);
PD(1195,1740);PU(967,1832);PD(957,1786);PD(952,1733);PD(952,1684);PD(958,1650);PD(962,1642);PD(965,1638);PD(967,1640);PD(969,1647);PD(973,1677);PD(975,1733);PD(978,1801);PD(978,1838);PD(976,1846);
PD(974,1847);PD(971,1842);PD(967,1832);PU(666,1788);PD(646,1760);PD(636,1729);PD(637,1697);PD(649,1664);PD(666,1641);PD(677,1638);PD(678,1651);PD(667,1679);PD(657,1704);PD(654,1721);PD(658,1738);
PD(670,1758);PD(694,1788);PD(718,1801);PD(745,1798);PD(778,1779);PD(805,1763);PD(818,1761);PD(814,1773);PD(793,1796);PD(779,1807);PD(763,1815);PD(746,1819);PD(729,1819);PD(696,1810);PD(666,1788);
PU(697,1744);PD(693,1718);PD(699,1697);PD(714,1684);PD(737,1682);PD(751,1687);PD(762,1696);PD(768,1708);PD(770,1722);PD(768,1735);PD(762,1747);PD(751,1756);PD(737,1761);PD(723,1761);PD(712,1758);
PD(702,1753);PD(697,1744);PU(964,1571);PD(948,1561);PD(948,1553);PD(963,1547);PD(991,1545);PD(1011,1544);PD(1027,1540);PD(1037,1532);PD(1041,1521);PD(1040,1510);PD(1032,1501);PD(1014,1494);
PD(986,1489);PD(955,1485);PD(934,1485);PD(919,1492);PD(906,1504);PD(895,1519);PD(890,1523);PD(889,1518);PD(892,1503);PD(897,1488);PD(910,1480);PD(936,1476);PD(981,1475);PD(1026,1475);PD(1052,1479);
PD(1065,1488);PD(1070,1504);PD(1069,1523);PD(1064,1540);PD(1054,1555);PD(1040,1566);PD(1023,1574);PD(1005,1577);PD(984,1576);PD(964,1571);PU(677,1413);PD(683,1401);PD(696,1394);PD(734,1388);PD(830,1369);
PD(895,1350);PD(927,1332);PD(943,1318);PD(971,1313);PD(1002,1318);PD(1029,1332);PD(1060,1348);PD(1105,1359);PD(1160,1367);PD(1095,1318);PD(1064,1297);PD(1034,1281);PD(1004,1272);PD(975,1269);PD(944,1272);
PD(912,1281);PD(879,1296);PD(842,1317);PD(777,1358);PD(744,1377);PD(737,1381);PD(735,1380);PD(736,1377);PD(739,1372);PD(765,1348);PD(813,1318);PD(838,1302);PD(855,1288);PD(863,1277);PD(862,1270);PD(857,1264);
PD(858,1256);PD(864,1246);PD(876,1233);PD(895,1221);PD(918,1213);PD(945,1208);PD(974,1206);PD(1002,1208);PD(1029,1213);PD(1053,1221);PD(1071,1233);PD(1091,1255);PD(1093,1266);PD(1081,1265);PD(1056,1250);
PD(1018,1234);PD(973,1229);PD(930,1234);PD(895,1250);PD(880,1262);PD(877,1267);PD(884,1267);PD(903,1262);PD(934,1254);PD(962,1250);PD(990,1251);PD(1017,1256);PD(1075,1281);PD(1140,1326);PD(1211,1376);
PD(1252,1397);PD(1265,1401);PD(1270,1411);PD(1267,1422);PD(1254,1424);PD(1225,1416);PD(1174,1397);PD(1137,1385);PD(1096,1377);PD(1051,1372);PD(1004,1369);PD(908,1374);PD(818,1391);PD(743,1412);PD(701,1422);
PD(682,1421);PD(677,1413);PU(967,1341);PD(968,1331);PD(961,1326);PD(950,1331);PD(945,1341);PD(947,1351);PD(951,1355);PD(959,1351);PD(967,1341);PU(1679,1015);PD(1686,982);PD(1703,958);PD(1715,949);PD(1721,946);
PD(1720,949);PD(1715,960);PD(1704,982);PD(1698,1006);PD(1697,1018);PD(1705,1025);PD(1723,1026);PD(1754,1023);PD(1784,1019);PD(1797,1019);PD(1795,1023);PD(1778,1032);PD(1744,1043);PD(1712,1050);PD(1695,1049);
PD(1685,1044);PD(1681,1033);PD(1679,1015);PU(1722,989);PD(1733,978);PD(1760,969);PD(1780,966);PD(1789,966);PD(1785,971);PD(1771,982);PD(1750,995);PD(1735,1001);PD(1725,999);PD(1722,989);PU(1112,960);PD(1149,931);
PD(1168,923);PD(1167,934);PD(1152,951);PD(1126,970);PD(1094,989);PD(1089,991);PD(1086,992);PD(1086,990);PD(1087,987);PD(1096,975);PD(1112,960);PU(682,934);PD(624,888);PD(597,860);PD(596,854);PD(602,854);
PD(616,858);PD(639,869);PD(678,892);PD(714,920);PD(744,949);PD(763,978);PD(769,988);PD(772,995);PD(773,997);PD(772,998);PD(770,998);PD(767,996);PD(740,978);PD(682,934);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_3(){//котик
M=0.4;// 
PD(1997,3960);pendown();
PD(1929,3933);PD(1857,3899);PD(1793,3862);PD(1748,3828);PD(1712,3794);PD(1638,3824);PD(1591,3839);PD(1544,3848);PD(1497,3850);PD(1452,3845);PD(1408,3834);PD(1365,3817);PD(1324,3793);PD(1286,3762);PD(1252,3732);
PD(1276,3779);PD(1289,3806);PD(1293,3818);PD(1288,3819);PD(1273,3811);PD(1245,3791);PD(1213,3758);PD(1184,3724);PD(1168,3697);PD(1161,3693);PD(1145,3695);PD(1120,3702);PD(1087,3715);PD(1032,3738);PD(978,3756);
PD(923,3771);PD(865,3783);PD(733,3797);PD(569,3802);PD(456,3801);PD(384,3799);PD(345,3793);PD(332,3783);PD(330,3734);PD(339,3642);PD(354,3537);PD(374,3438);PD(398,3346);PD(425,3262);PD(456,3186);PD(491,3119);
PD(528,3062);PD(569,3016);PD(599,2983);PD(619,2953);PD(633,2920);PD(642,2879);PD(649,2833);PD(649,2794);PD(639,2748);PD(618,2681);PD(593,2595);PD(566,2478);PD(536,2319);PD(500,2107);PD(494,2084);PD(484,2066);PD(470,2051);
PD(450,2039);PD(429,2026);PD(411,2010);PD(394,1990);PD(379,1967);PD(355,1909);PD(337,1834);PD(329,1779);PD(329,1741);PD(339,1706);PD(361,1658);PD(397,1598);PD(423,1566);PD(433,1557);PD(439,1539);PD(440,1510);
PD(437,1466);PD(430,1377);PD(377,1366);PD(314,1347);PD(251,1317);PD(201,1285);PD(176,1257);PD(174,1229);PD(178,1194);PD(187,1159);PD(200,1133);PD(204,1122);PD(201,1105);PD(193,1082);PD(178,1054);PD(157,1014);PD(146,963);
PD(141,872);PD(140,711);PD(143,495);PD(150,367);PD(165,302);PD(190,246);PD(225,199);PD(269,161);PD(323,131);PD(388,111);PD(462,98);PD(546,95);PD(610,96);PD(658,102);PD(702,116);PD(754,140);PD(799,165);PD(838,191);PD(870,219);
PD(896,251);PD(916,287);PD(932,327);PD(944,374);PD(951,426);PD(952,575);PD(939,779);PD(929,880);PD(918,967);PD(907,1033);PD(896,1067);PD(885,1086);PD(881,1099);PD(885,1110);PD(896,1123);PD(911,1155);PD(917,1201);PD(915,1231);
PD(907,1253);PD(889,1274);PD(858,1298);PD(812,1328);PD(783,1341);PD(767,1347);PD(756,1368);PD(750,1403);PD(748,1455);PD(752,1504);PD(763,1524);PD(798,1505);PD(859,1461);PD(921,1416);PD(958,1397);PD(967,1395);PD(971,1387);
PD(971,1373);PD(968,1352);PD(943,1229);PD(932,1139);PD(933,1070);PD(945,1008);PD(972,929);PD(1005,858);PD(1025,819);PD(1033,792);PD(1031,766);PD(1019,730);PD(1008,694);PD(1004,667);PD(1007,640);PD(1016,607);PD(1042,548);
PD(1082,492);PD(1135,438);PD(1204,384);PD(1249,354);PD(1292,329);PD(1333,311);PD(1373,297);PD(1414,289);PD(1455,286);PD(1500,287);PD(1548,292);PD(1607,302);PD(1645,313);PD(1672,330);PD(1696,356);PD(1724,393);PD(1743,430);
PD(1755,467);PD(1760,504);PD(1757,540);PD(1747,576);PD(1729,611);PD(1703,645);PD(1654,689);PD(1599,722);PD(1567,738);PD(1551,749);PD(1549,761);PD(1556,776);PD(1567,789);PD(1580,798);PD(1594,803);PD(1609,803);PD(1626,799);
PD(1642,791);PD(1659,778);PD(1675,762);PD(1724,714);PD(1785,670);PD(1857,632);PD(1942,598);PD(2029,575);PD(2106,568);PD(2142,570);PD(2175,575);PD(2207,585);PD(2237,598);PD(2278,616);PD(2318,628);PD(2336,636);PD(2356,651);
PD(2376,672);PD(2396,698);PD(2428,753);PD(2441,802);PD(2438,832);PD(2429,859);PD(2414,884);PD(2393,907);PD(2365,927);PD(2332,944);PD(2293,959);PD(2248,971);PD(2216,977);PD(2195,977);PD(2179,971);PD(2165,958);PD(2118,917);
PD(2056,880);PD(1985,849);PD(1912,828);PD(1867,818);PD(1845,811);PD(1844,807);PD(1864,806);PD(1927,811);PD(1994,830);PD(2061,861);PD(2125,903);PD(2167,933);PD(2197,949);PD(2221,954);PD(2248,951);PD(2308,933);PD(2357,908);
PD(2376,893);PD(2392,876);PD(2405,859);PD(2413,840);PD(2423,798);PD(2419,777);PD(2413,775);PD(2404,778);PD(2392,787);PD(2378,802);PD(2353,824);PD(2342,824);PD(2349,808);PD(2364,790);PD(2376,776);PD(2383,759);PD(2386,741);
PD(2383,722);PD(2375,703);PD(2363,685);PD(2347,669);PD(2327,656);PD(2297,641);PD(2282,638);PD(2277,649);PD(2276,677);PD(2269,715);PD(2252,745);PD(2239,758);PD(2234,760);PD(2236,752);PD(2245,731);PD(2256,697);PD(2256,668);
PD(2247,644);PD(2230,625);PD(2206,610);PD(2175,599);PD(2138,594);PD(2097,592);PD(2053,596);PD(2005,604);PD(1957,616);PD(1907,633);PD(1858,654);PD(1810,680);PD(1764,710);PD(1722,745);PD(1679,788);PD(1668,813);PD(1694,821);
PD(1743,824);PD(1766,825);PD(1783,827);PD(1789,828);PD(1792,829);PD(1793,830);PD(1791,831);PD(1816,852);PD(1899,896);PD(2002,949);PD(2072,992);PD(2099,1010);PD(2127,1020);PD(2164,1023);PD(2220,1022);PD(2308,1016);PD(2379,1009);
PD(2438,1008);PD(2505,1017);PD(2535,1023);PD(2558,1030);PD(2573,1037);PD(2575,1044);PD(2579,1050);PD(2599,1047);PD(2613,1044);PD(2620,1045);PD(2621,1050);PD(2618,1058);PD(2614,1065);PD(2613,1070);PD(2616,1071);PD(2622,1068);
PD(2640,1063);PD(2659,1067);PD(2671,1078);PD(2671,1091);PD(2669,1096);PD(2670,1098);PD(2673,1098);PD(2678,1095);PD(2692,1095);PD(2715,1104);PD(2744,1121);PD(2778,1143);PD(2851,1197);PD(2913,1256);PD(2965,1330);PD(3017,1424);
PD(3045,1484);PD(3060,1531);PD(3067,1578);PD(3068,1638);PD(3066,1687);PD(3061,1731);PD(3053,1771);PD(3042,1807);PD(3028,1841);PD(3010,1871);PD(2988,1899);PD(2963,1925);PD(2930,1952);PD(2895,1973);PD(2859,1988);PD(2821,1998);
PD(2780,2002);PD(2736,2000);PD(2688,1993);PD(2635,1981);PD(2547,1957);PD(2491,2012);PD(2442,2055);PD(2406,2083);PD(2391,2094);PD(2387,2111);PD(2393,2146);PD(2412,2211);PD(2432,2300);PD(2437,2351);PD(2434,2361);PD(2432,2363);
PD(2430,2355);PD(2429,2340);PD(2420,2292);PD(2400,2227);PD(2378,2146);PD(2364,2059);PD(2359,2021);PD(2352,1989);PD(2342,1963);PD(2329,1942);PD(2313,1925);PD(2293,1912);PD(2269,1903);PD(2241,1897);PD(2217,1894);PD(2196,1895);
PD(2175,1900);PD(2155,1909);PD(2114,1940);PD(2072,1990);PD(2025,2039);PD(1981,2067);PD(1960,2075);PD(1948,2084);PD(1944,2095);PD(1947,2110);PD(1954,2121);PD(1966,2132);PD(1981,2141);PD(1998,2146);PD(2021,2152);PD(2028,2155);
PD(2018,2157);PD(1990,2158);PD(1964,2159);PD(1952,2162);PD(1953,2169);PD(1963,2182);PD(1995,2203);PD(2040,2223);PD(2060,2230);PD(2072,2237);PD(2075,2239);PD(2076,2241);PD(2074,2243);PD(2070,2244);PD(2038,2238);PD(1998,2224);
PD(1971,2214);PD(1956,2211);PD(1948,2217);PD(1943,2231);PD(1942,2250);PD(1949,2258);PD(1971,2271);PD(2002,2302);PD(2027,2326);PD(2054,2340);PD(2096,2346);PD(2167,2348);PD(2261,2355);PD(2323,2369);PD(2345,2379);PD(2360,2392);
PD(2369,2408);PD(2373,2426);PD(2378,2462);PD(2402,2420);PD(2419,2396);PD(2427,2396);PD(2412,2427);PD(2376,2466);PD(2337,2498);PD(2309,2508);PD(2301,2508);PD(2301,2517);PD(2308,2535);PD(2323,2564);PD(2338,2597);PD(2348,2630);
PD(2355,2663);PD(2357,2696);PD(2355,2729);PD(2349,2759);PD(2339,2788);PD(2326,2815);PD(2297,2850);PD(2276,2865);PD(2267,2872);PD(2262,2894);PD(2259,2934);PD(2258,2994);PD(2259,3064);PD(2263,3108);PD(2273,3137);PD(2289,3159);
PD(2300,3172);PD(2306,3180);PD(2306,3182);PD(2306,3182);PD(2304,3182);PD(2300,3179);PD(2284,3167);PD(2271,3161);PD(2263,3162);PD(2259,3168);PD(2265,3193);PD(2290,3230);PD(2305,3248);PD(2311,3255);PD(2306,3253);PD(2292,3241);
PD(2269,3223);PD(2254,3219);PD(2245,3230);PD(2237,3255);PD(2223,3298);PD(2201,3347);PD(2187,3379);PD(2183,3404);PD(2191,3435);PD(2210,3484);PD(2228,3535);PD(2238,3586);PD(2240,3657);PD(2238,3770);PD(2234,3972);PD(2143,3975);
PD(2063,3972);PD(1997,3960);PU(2225,3930);PD(2226,3920);PD(2226,3915);PD(2224,3915);PD(2221,3920);PD(2209,3933);PD(2188,3935);PD(2156,3927);PD(2112,3907);PD(2051,3864);PD(1979,3799);PD(1916,3732);PD(1884,3683);PD(1878,3669);
PD(1870,3667);PD(1856,3680);PD(1834,3710);PD(1797,3752);PD(1765,3775);PD(1743,3785);PD(1738,3798);PD(1749,3815);PD(1777,3838);PD(1820,3866);PD(1866,3890);PD(1916,3912);PD(1967,3930);PD(2018,3944);PD(2069,3954);PD(2119,3960);
PD(2166,3961);PD(2194,3958);PD(2212,3953);PD(2221,3944);PD(2225,3930);PU(2213,3813);PD(2225,3717);PD(2230,3639);PD(2224,3583);PD(2209,3520);PD(2191,3465);PD(2175,3436);PD(2144,3454);PD(2086,3504);PD(2013,3564);PD(1949,3604);
PD(1908,3628);PD(1891,3648);PD(1903,3676);PD(1932,3721);PD(1971,3770);PD(2012,3813);PD(2052,3844);PD(2107,3881);PD(2157,3910);PD(2187,3923);PD(2198,3891);PD(2213,3813);PU(1586,3827);PD(1577,3813);PD(1547,3799);PD(1507,3778);
PD(1476,3755);PD(1466,3743);PD(1468,3739);PD(1485,3746);PD(1518,3762);PD(1574,3785);PD(1625,3794);PD(1676,3789);PD(1731,3769);PD(1761,3753);PD(1788,3732);PD(1812,3708);PD(1832,3680);PD(1848,3650);PD(1860,3618);PD(1867,3585);
PD(1870,3550);PD(1866,3489);PD(1858,3443);PD(1847,3408);PD(1868,3443);PD(1884,3488);PD(1891,3546);PD(1891,3614);PD(1963,3574);PD(2008,3546);PD(2051,3512);PD(2092,3472);PD(2130,3428);PD(2162,3382);PD(2189,3335);PD(2210,3289);
PD(2223,3244);PD(2226,3218);PD(2224,3200);PD(2214,3189);PD(2194,3178);PD(2148,3166);PD(2087,3161);PD(2049,3160);PD(2024,3154);PD(2006,3140);PD(1988,3116);PD(1974,3087);PD(1966,3055);PD(1963,3008);PD(1964,2939);PD(1970,2810);
PD(1905,2801);PD(1842,2788);PD(1779,2771);PD(1734,2757);PD(1714,2752);PD(1710,2778);PD(1705,2842);PD(1694,2914);PD(1675,2976);PD(1649,3027);PD(1617,3066);PD(1600,3080);PD(1581,3091);PD(1562,3099);PD(1543,3102);PD(1523,3102);
PD(1502,3097);PD(1482,3088);PD(1462,3075);PD(1439,3060);PD(1415,3051);PD(1384,3049);PD(1339,3051);PD(1308,3052);PD(1285,3052);PD(1273,3049);PD(1273,3045);PD(1307,3037);PD(1362,3034);PD(1400,3033);PD(1418,3029);PD(1418,3023);
PD(1404,3011);PD(1387,3002);PD(1366,2996);PD(1340,2994);PD(1307,2996);PD(1276,2998);PD(1259,2997);PD(1256,2996);PD(1255,2994);PD(1258,2991);PD(1263,2987);PD(1301,2979);PD(1352,2982);PD(1400,2992);PD(1424,3007);PD(1440,3036);
PD(1468,3062);PD(1500,3082);PD(1528,3090);PD(1563,3082);PD(1596,3064);PD(1630,3037);PD(1582,3038);PD(1556,3038);PD(1536,3031);PD(1518,3016);PD(1499,2992);PD(1481,2963);PD(1472,2937);PD(1471,2907);PD(1475,2865);PD(1482,2802);
PD(1486,2762);PD(1488,2752);PD(1493,2746);PD(1500,2743);PD(1508,2745);PD(1542,2753);PD(1592,2762);PD(1652,2770);PD(1643,2828);PD(1633,2871);PD(1621,2907);PD(1606,2935);PD(1589,2956);PD(1570,2969);PD(1550,2973);PD(1529,2968);
PD(1507,2953);PD(1477,2928);PD(1501,2973);PD(1519,3001);PD(1539,3019);PD(1561,3029);PD(1583,3029);PD(1605,3021);PD(1627,3004);PD(1648,2978);PD(1667,2945);PD(1684,2889);PD(1692,2832);PD(1692,2806);PD(1690,2785);PD(1684,2769);
PD(1676,2762);PD(1671,2758);PD(1670,2756);PD(1675,2754);PD(1683,2753);PD(1699,2748);PD(1700,2738);PD(1709,2734);PD(1741,2745);PD(1782,2760);PD(1806,2764);PD(1817,2756);PD(1820,2736);PD(1825,2703);PD(1840,2676);PD(1864,2654);PD(1898,2639);PD(1917,2631);PD(1931,2623);PD(1940,2613);PD(1945,2603);PD(1938,2578);PD(1912,2547);PD(1895,2533);PD(1876,2522);PD(1856,2515);PD(1834,2512);PD(1811,2513);PD(1788,2518);PD(1764,2527);PD(1740,2540);PD(1710,2560);PD(1696,2577);PD(1697,2591);PD(1712,2601);PD(1709,2604);PD(1692,2606);PD(1662,2607);PD(1623,2606);PD(1568,2605);PD(1547,2605);PD(1557,2603);PD(1599,2601);PD(1641,2597);PD(1664,2593);PD(1671,2585);PD(1665,2574);PD(1658,2564);PD(1656,2558);PD(1661,2555);PD(1674,2554);PD(1690,2551);PD(1708,2543);PD(1727,2530);PD(1746,2514);PD(1783,2469);PD(1818,2413);PD(1843,2369);PD(1866,2338);PD(1887,2320);PD(1908,2315);PD(1928,2323);PD(1949,2344);PD(1971,2378);PD(1994,2426);PD(2016,2473);PD(2036,2506);PD(2055,2528);PD(2076,2540);PD(2112,2561);PD(2143,2588);PD(2160,2607);PD(2166,2619);PD(2162,2629);PD(2149,2640);PD(2137,2650);PD(2131,2652);PD(2131,2647);PD(2135,2635);PD(2137,2615);PD(2129,2597);PD(2115,2579);PD(2094,2564);PD(2069,2552);PD(2041,2545);PD(2011,2542);PD(1983,2546);PD(1964,2552);PD(1955,2560);PD(1953,2573);PD(1956,2594);PD(1975,2632);PD(2005,2670);PD(2022,2688);PD(2035,2707);PD(2043,2726);PD(2046,2743);PD(2048,2761);PD(2052,2772);PD(2062,2778);PD(2076,2780);PD(2094,2776);PD(2097,2767);PD(2102,2761);PD(2127,2763);PD(2142,2765);PD(2152,2764);PD(2156,2760);PD(2153,2753);PD(2150,2742);PD(2158,2738);PD(2175,2742);PD(2178,2753);
PD(2167,2766);PD(2143,2778);PD(2127,2785);PD(2116,2792);PD(2110,2800);PD(2111,2807);PD(2130,2822);PD(2172,2836);PD(2199,2842);PD(2224,2843);PD(2247,2841);PD(2268,2835);PD(2286,2826);PD(2302,2814);PD(2316,2800);PD(2327,2782);PD(2340,2740);PD(2342,2689);PD(2330,2633);PD(2306,2571);PD(2273,2515);PD(2232,2469);PD(2180,2429);PD(2112,2390);PD(2076,2372);PD(2055,2364);PD(2048,2367);PD(2050,2381);PD(2055,2394);PD(2056,2398);PD(2052,2393);PD(2042,2379);PD(2014,2339);PD(1988,2309);PD(1963,2288);PD(1939,2276);PD(1913,2273);PD(1886,2278);PD(1857,2292);PD(1823,2314);PD(1799,2331);PD(1782,2339);PD(1774,2340);PD(1774,2333);PD(1775,2326);PD(1774,2321);PD(1769,2317);PD(1759,2315);PD(1722,2314);PD(1655,2317);PD(1599,2321);PD(1550,2329);PD(1507,2340);PD(1470,2355);PD(1439,2374);PD(1414,2397);PD(1393,2424);PD(1377,2455);PD(1361,2505);PD(1355,2540);PD(1357,2553);PD(1362,2562);PD(1369,2567);PD(1380,2570);PD(1389,2570);PD(1393,2572);PD(1392,2575);PD(1387,2578);PD(1373,2589);PD(1370,2605);PD(1378,2627);PD(1397,2653);PD(1417,2680);PD(1425,2698);PD(1439,2706);PD(1472,2709);PD(1494,2711);PD(1504,2713);PD(1503,2717);PD(1492,2725);PD(1471,2732);PD(1453,2730);PD(1446,2731);PD(1439,2741);PD(1432,2758);PD(1425,2781);PD(1415,2840);PD(1411,2907);PD(1410,2940);PD(1408,2960);PD(1404,2968);PD(1398,2965);PD(1371,2947);PD(1324,2934);PD(1263,2922);PD(1331,2925);PD(1397,2928);PD(1397,2879);PD(1402,2828);PD(1413,2776);PD(1419,2746);PD(1419,2724);PD(1410,2704);PD(1391,2680);PD(1370,2648);PD(1354,2614);PD(1345,2577);PD(1342,2539);PD(1346,2501);PD(1355,2464);PD(1371,2429);PD(1393,2397);PD(1415,2375);
PD(1439,2356);PD(1466,2339);PD(1495,2326);PD(1561,2307);PD(1637,2300);PD(1672,2299);PD(1694,2296);PD(1703,2292);PD(1699,2287);PD(1656,2273);PD(1565,2256);PD(1518,2251);PD(1470,2250);PD(1421,2252);PD(1373,2258);PD(1325,2267);PD(1279,2279);PD(1235,2294);PD(1194,2313);PD(1155,2331);PD(1133,2339);PD(1125,2337);PD(1126,2326);PD(1128,2314);PD(1128,2307);PD(1125,2303);PD(1118,2302);PD(1094,2311);PD(1051,2335);PD(1025,2353);PD(1000,2375);PD(980,2398);PD(965,2423);PD(951,2450);PD(943,2462);PD(938,2460);PD(934,2445);PD(927,2422);PD(917,2413);PD(909,2417);PD(901,2432);PD(892,2461);PD(882,2508);PD(872,2542);PD(860,2560);PD(855,2563);PD(851,2560);PD(848,2551);PD(847,2537);PD(841,2505);PD(828,2478);PD(818,2465);PD(810,2463);PD(802,2472);PD(792,2493);PD(773,2570);PD(755,2699);PD(740,2819);PD(728,2874);PD(713,2872);PD(691,2850);PD(663,2815);PD(663,2911);PD(667,2973);PD(679,3039);PD(698,3106);PD(723,3174);PD(753,3239);PD(788,3300);PD(825,3353);PD(865,3398);PD(914,3446);PD(950,3384);PD(978,3330);PD(995,3285);PD(1002,3262);PD(1009,3245);PD(1019,3234);PD(1030,3227);PD(1044,3226);PD(1062,3230);PD(1082,3238);PD(1106,3251);PD(1139,3273);PD(1168,3299);PD(1195,3329);PD(1217,3362);PD(1236,3397);PD(1249,3434);PD(1258,3471);PD(1262,3508);PD(1263,3549);PD(1268,3572);PD(1277,3582);PD(1293,3584);PD(1344,3577);PD(1405,3558);PD(1465,3532);PD(1510,3505);PD(1552,3469);PD(1552,3509);PD(1554,3549);PD(1595,3502);PD(1613,3479);PD(1626,3457);PD(1634,3434);PD(1637,3412);PD(1638,3393);PD(1640,3381);PD(1645,3378);PD(1652,3382);PD(1658,3395);PD(1657,3413);PD(1651,3436);PD(1640,3461);PD(1608,3513);
PD(1565,3557);PD(1526,3584);PD(1510,3586);PD(1514,3573);PD(1524,3563);PD(1534,3552);PD(1538,3535);PD(1535,3528);PD(1523,3527);PD(1502,3535);PD(1470,3550);PD(1398,3578);PD(1322,3594);PD(1283,3600);PD(1252,3608);PD(1228,3622);PD(1207,3641);PD(1170,3679);PD(1205,3720);PD(1240,3761);PD(1242,3721);PD(1242,3682);PD(1287,3734);PD(1336,3778);PD(1390,3811);PD(1443,3828);PD(1505,3837);PD(1558,3837);PD(1586,3827);PU(913,3752);PD(1014,3723);PD(1095,3690);PD(1158,3653);PD(1207,3611);PD(1226,3588);PD(1240,3566);PD(1249,3545);PD(1254,3524);PD(1254,3501);PD(1249,3475);PD(1240,3447);PD(1226,3415);PD(1198,3363);PD(1163,3316);PD(1123,3278);PD(1081,3250);PD(1052,3238);PD(1033,3242);PD(1018,3264);PD(1002,3309);PD(979,3364);PD(949,3416);PD(913,3462);PD(872,3501);PD(786,3555);PD(642,3634);PD(494,3712);PD(433,3752);PD(430,3757);PD(432,3762);PD(438,3765);PD(448,3768);PD(479,3773);PD(525,3778);PD(627,3785);PD(722,3784);PD(815,3773);PD(913,3752);PU(656,3604);PD(786,3532);PD(859,3487);PD(893,3460);PD(837,3392);PD(787,3325);PD(743,3249);PD(704,3165);PD(670,3071);PD(639,2973);PD(579,3034);PD(541,3079);PD(504,3135);PD(471,3201);PD(440,3275);PD(413,3356);PD(390,3441);PD(372,3530);PD(360,3620);PD(351,3691);PD(343,3744);PD(336,3785);PD(412,3739);PD(515,3682);PD(656,3604);PU(2244,3161);PD(2233,3146);PD(2208,3133);PD(2178,3125);PD(2152,3127);PD(2138,3129);PD(2131,3121);PD(2133,3109);PD(2145,3097);PD(2159,3084);PD(2157,3074);PD(2143,3069);PD(2118,3071);PD(2096,3072);PD(2077,3068);PD(2061,3057);PD(2049,3041);PD(2041,3017);PD(2036,2987);PD(2034,2951);PD(2035,2907);PD(2037,2856);PD(2035,2826);
PD(2028,2812);PD(2016,2808);PD(2007,2811);PD(1999,2820);PD(1992,2834);PD(1986,2854);PD(1978,2910);PD(1976,2987);PD(1977,3030);PD(1983,3065);PD(1992,3095);PD(2005,3117);PD(2022,3133);PD(2042,3143);PD(2065,3146);PD(2093,3143);PD(2127,3142);PD(2166,3154);PD(2200,3168);PD(2224,3173);PD(2239,3171);PD(2244,3161);PU(2242,2992);PD(2242,2938);PD(2240,2898);PD(2236,2873);PD(2230,2865);PD(2220,2876);PD(2215,2904);PD(2207,2956);PD(2189,3024);PD(2174,3067);PD(2169,3092);PD(2173,3103);PD(2184,3109);PD(2202,3113);PD(2216,3114);PD(2226,3112);PD(2233,3104);PD(2240,3066);PD(2242,2992);PU(2141,3051);PD(2160,3027);PD(2180,2986);PD(2195,2940);PD(2201,2900);PD(2200,2882);PD(2195,2870);PD(2189,2864);PD(2181,2865);PD(2165,2882);PD(2153,2920);PD(2143,2960);PD(2125,2988);PD(2115,2997);PD(2103,3002);PD(2089,3004);PD(2074,3001);PD(2056,2998);PD(2048,3001);PD(2050,3013);PD(2060,3035);PD(2075,3052);PD(2095,3061);PD(2118,3061);PD(2141,3051);PU(2125,2962);PD(2125,2945);PD(2112,2925);PD(2094,2913);PD(2077,2914);PD(2065,2927);PD(2060,2951);PD(2068,2969);PD(2086,2977);PD(2108,2976);PD(2125,2962);PU(1585,2941);PD(1588,2924);PD(1579,2905);PD(1562,2890);PD(1545,2887);PD(1528,2902);PD(1524,2923);PD(1526,2933);PD(1531,2941);PD(1539,2947);PD(1549,2949);PD(1571,2947);PD(1585,2941);PU(745,2465);PD(747,2202);PD(741,2039);PD(735,1987);PD(726,1957);PD(709,1939);PD(680,1925);PD(631,1900);PD(584,1870);PD(539,1836);PD(522,1899);PD(515,1968);PD(520,2071);PD(534,2198);PD(557,2338);PD(585,2480);PD(618,2614);PD(652,2729);PD(687,2814);PD(699,2836);PD(708,2845);PD(715,2842);PD(724,2828);PD(737,2719);PD(745,2465);
PU(2029,2750);PD(2028,2734);PD(2023,2717);PD(2013,2700);PD(1999,2685);PD(1983,2672);PD(1965,2662);PD(1946,2655);PD(1928,2653);PD(1893,2660);PD(1863,2678);PD(1851,2689);PD(1842,2702);PD(1838,2715);PD(1837,2728);PD(1842,2741);PD(1852,2753);PD(1868,2764);PD(1887,2774);PD(1933,2787);PD(1983,2790);PD(2004,2787);PD(2018,2780);PD(2025,2769);PD(2029,2750);PU(2014,2520);PD(2007,2488);PD(1980,2427);PD(1947,2367);PD(1923,2337);PD(1904,2332);PD(1887,2341);PD(1866,2369);PD(1837,2420);PD(1795,2498);PD(1843,2498);PD(1866,2496);PD(1883,2491);PD(1896,2482);PD(1905,2468);PD(1919,2450);PD(1929,2445);PD(1929,2460);PD(1919,2482);PD(1910,2510);PD(1915,2528);PD(1934,2536);PD(1966,2534);PD(1998,2527);PD(2014,2520);PU(833,2427);PD(836,2459);PD(847,2484);PD(853,2493);PD(858,2495);PD(863,2490);PD(868,2477);PD(882,2440);PD(903,2392);PD(918,2361);PD(926,2350);PD(929,2355);PD(930,2375);PD(935,2398);PD(945,2412);PD(951,2415);PD(955,2414);PD(958,2409);PD(960,2399);PD(968,2381);PD(988,2357);PD(1017,2327);PD(982,2285);PD(956,2241);PD(940,2187);PD(935,2132);PD(944,2083);PD(951,2063);PD(953,2052);PD(950,2048);PD(941,2050);PD(905,2058);PD(845,2067);PD(769,2077);PD(768,2297);PD(765,2517);PD(799,2455);PD(816,2424);PD(826,2409);PD(831,2411);PD(833,2427);PU(2359,2440);PD(2355,2422);PD(2348,2407);PD(2338,2395);PD(2324,2386);PD(2281,2375);PD(2217,2372);PD(2171,2373);PD(2146,2375);PD(2140,2380);PD(2151,2389);PD(2183,2412);PD(2221,2444);PD(2245,2462);PD(2266,2474);PD(2288,2479);PD(2314,2479);PD(2340,2476);PD(2355,2470);PD(2360,2458);PD(2359,2440);PU(1153,2289);PD(1215,2280);PD(1311,2258);PD(1372,2243);
PD(1423,2235);PD(1469,2232);PD(1516,2235);PD(1572,2238);PD(1584,2231);PD(1551,2214);PD(1475,2187);PD(1402,2169);PD(1329,2158);PD(1259,2155);PD(1193,2159);PD(1135,2169);PD(1086,2186);PD(1050,2209);PD(1027,2238);PD(1022,2255);PD(1020,2270);PD(1023,2283);PD(1029,2293);PD(1038,2300);PD(1049,2304);PD(1063,2304);PD(1079,2300);PD(1116,2291);PD(1153,2289);PU(1922,2237);PD(1931,2210);PD(1932,2170);PD(1926,2125);PD(1913,2083);PD(1902,2061);PD(1886,2043);PD(1868,2029);PD(1847,2018);PD(1823,2012);PD(1798,2011);PD(1770,2013);PD(1741,2021);PD(1710,2033);PD(1692,2047);PD(1683,2072);PD(1676,2115);PD(1664,2176);PD(1644,2214);PD(1630,2226);PD(1624,2229);PD(1624,2224);PD(1630,2208);PD(1645,2162);PD(1644,2129);PD(1624,2100);PD(1580,2063);PD(1531,2021);PD(1517,2004);PD(1540,2016);PD(1579,2043);PD(1623,2077);PD(1650,2094);PD(1657,2096);PD(1662,2095);PD(1664,2091);PD(1665,2084);PD(1650,2051);PD(1616,2004);PD(1566,1934);PD(1517,1850);PD(1475,1780);PD(1431,1721);PD(1386,1673);PD(1340,1639);PD(1295,1618);PD(1252,1611);PD(1232,1614);PD(1213,1620);PD(1195,1630);PD(1178,1644);PD(1161,1664);PD(1150,1685);PD(1145,1711);PD(1143,1746);PD(1138,1816);PD(1122,1874);PD(1090,1929);PD(1039,1991);PD(996,2038);PD(973,2072);PD(962,2102);PD(960,2138);PD(964,2193);PD(976,2237);PD(993,2273);PD(1010,2230);PD(1023,2207);PD(1040,2187);PD(1062,2172);PD(1090,2159);PD(1125,2150);PD(1166,2144);PD(1214,2141);PD(1270,2141);PD(1370,2148);PD(1462,2165);PD(1542,2192);PD(1607,2227);PD(1655,2250);PD(1714,2273);PD(1755,2284);PD(1784,2288);PD(1812,2284);PD(1849,2273);PD(1896,2253);PD(1922,2237);PU(883,2045);PD(929,2035);
PD(964,2020);PD(996,1998);PD(1034,1964);PD(1079,1913);PD(1109,1862);PD(1124,1803);PD(1129,1731);PD(1133,1689);PD(1145,1654);PD(1164,1626);PD(1190,1608);PD(1223,1597);PD(1260,1596);PD(1303,1604);PD(1350,1621);PD(1397,1650);PD(1425,1679);PD(1439,1699);PD(1449,1703);PD(1438,1668);PD(1396,1598);PD(1339,1518);PD(1283,1452);PD(1219,1387);PD(1317,1377);PD(1404,1364);PD(1478,1339);PD(1510,1324);PD(1539,1305);PD(1565,1285);PD(1587,1262);PD(1631,1212);PD(1712,1372);PD(1774,1509);PD(1810,1616);PD(1821,1662);PD(1828,1682);PD(1834,1679);PD(1840,1655);PD(1848,1584);PD(1851,1476);PD(1854,1380);PD(1861,1341);PD(1875,1347);PD(1897,1362);PD(1914,1374);PD(1928,1381);PD(1939,1383);PD(1948,1380);PD(1958,1359);PD(1961,1315);PD(1971,1249);PD(1995,1180);PD(2012,1147);PD(2031,1117);PD(2051,1091);PD(2072,1071);PD(2110,1041);PD(2074,1013);PD(1988,958);PD(1870,902);PD(1745,855);PD(1635,827);PD(1583,817);PD(1596,876);PD(1601,934);PD(1595,1002);PD(1583,1062);PD(1566,1094);PD(1561,1086);PD(1568,1056);PD(1577,1002);PD(1580,941);PD(1576,883);PD(1565,837);PD(1541,794);PD(1504,749);PD(1461,710);PD(1418,683);PD(1404,676);PD(1395,670);PD(1392,666);PD(1397,663);PD(1426,672);PD(1465,691);PD(1508,712);PD(1548,717);PD(1588,706);PD(1634,677);PD(1680,638);PD(1711,595);PD(1730,547);PD(1736,492);PD(1736,433);PD(1700,471);PD(1674,497);PD(1657,508);PD(1656,501);PD(1669,483);PD(1685,460);PD(1693,435);PD(1694,410);PD(1689,386);PD(1677,363);PD(1659,343);PD(1636,328);PD(1607,318);PD(1588,314);PD(1578,317);PD(1575,331);PD(1578,357);PD(1578,394);PD(1571,413);PD(1563,405);PD(1564,374);PD(1565,349);PD(1562,331);
PD(1551,319);PD(1532,309);PD(1510,301);PD(1486,300);PD(1453,305);PD(1407,316);PD(1322,345);PD(1244,383);PD(1175,428);PD(1117,479);PD(1071,533);PD(1038,588);PD(1028,616);PD(1021,644);PD(1019,672);PD(1022,699);PD(1033,737);PD(1047,755);PD(1068,753);PD(1096,732);PD(1104,726);PD(1109,723);PD(1110,723);PD(1109,727);PD(1098,745);PD(1075,776);PD(1015,866);PD(977,943);PD(966,982);PD(958,1022);PD(954,1066);PD(952,1115);PD(955,1175);PD(961,1231);PD(972,1286);PD(986,1341);PD(1020,1441);PD(1051,1507);PD(1066,1530);PD(1081,1546);PD(1098,1556);PD(1116,1562);PD(1147,1571);PD(1164,1580);PD(1148,1584);PD(1099,1576);PD(1026,1570);PD(942,1577);PD(859,1595);PD(786,1621);PD(742,1639);PD(715,1641);PD(710,1639);PD(708,1640);PD(708,1643);PD(711,1648);PD(727,1660);PD(749,1665);PD(785,1681);PD(831,1718);PD(873,1765);PD(896,1806);PD(898,1814);PD(898,1818);PD(896,1819);PD(893,1816);PD(882,1802);PD(864,1777);PD(837,1743);PD(807,1716);PD(774,1695);PD(739,1681);PD(703,1675);PD(667,1675);PD(631,1684);PD(598,1700);PD(580,1715);PD(570,1730);PD(566,1751);PD(567,1782);PD(571,1813);PD(579,1836);PD(594,1853);PD(618,1870);PD(688,1913);PD(730,1942);PD(750,1960);PD(756,1973);PD(758,1995);PD(761,2025);PD(762,2038);PD(764,2048);PD(770,2054);PD(779,2058);PD(816,2056);PD(883,2045);PU(2014,2036);PD(2044,2003);PD(2079,1946);PD(2113,1872);PD(2143,1789);PD(2152,1758);PD(2151,1736);PD(2138,1714);PD(2108,1683);PD(2065,1628);PD(2022,1556);PD(1989,1485);PD(1976,1435);PD(1968,1415);PD(1952,1403);PD(1926,1393);PD(1902,1381);PD(1889,1377);PD(1881,1383);PD(1878,1404);PD(1877,1445);PD(1869,1553);PD(1848,1685);
PD(1821,1807);PD(1794,1888);PD(1770,1939);PD(1765,1970);PD(1770,1979);PD(1779,1985);PD(1794,1989);PD(1813,1990);PD(1838,1988);PD(1856,1982);PD(1870,1970);PD(1882,1952);PD(1897,1928);PD(1905,1926);PD(1899,1946);PD(1884,1971);PD(1874,1993);PD(1876,2010);PD(1887,2017);PD(1905,2011);PD(1915,2007);PD(1918,2014);PD(1917,2031);PD(1921,2045);PD(1928,2054);PD(1940,2059);PD(1954,2060);PD(1972,2057);PD(1992,2049);PD(2014,2036);PU(2472,2005);PD(2532,1950);PD(2421,1899);PD(2323,1849);PD(2242,1799);PD(2205,1774);PD(2183,1762);PD(2171,1763);PD(2165,1774);PD(2153,1807);PD(2136,1851);PD(2117,1904);PD(2153,1891);PD(2190,1880);PD(2226,1877);PD(2260,1882);PD(2291,1892);PD(2318,1910);PD(2341,1933);PD(2359,1962);PD(2372,1997);PD(2387,2042);PD(2402,2060);PD(2427,2044);PD(2472,2005);PU(521,1827);PD(547,1744);PD(557,1700);PD(557,1687);PD(553,1678);PD(545,1671);PD(535,1662);PD(507,1645);PD(478,1637);PD(449,1638);PD(421,1646);PD(395,1662);PD(372,1685);PD(355,1713);PD(344,1747);PD(342,1776);PD(348,1791);PD(361,1788);PD(381,1770);PD(403,1750);PD(429,1734);PD(444,1727);PD(450,1726);PD(447,1729);PD(437,1738);PD(406,1770);PD(384,1805);PD(372,1841);PD(369,1879);PD(375,1916);PD(390,1952);PD(414,1986);PD(447,2018);PD(487,2049);PD(494,1966);PD(505,1891);PD(521,1827);PU(1685,2001);PD(1673,1966);PD(1655,1929);PD(1639,1892);PD(1641,1884);PD(1657,1902);PD(1683,1945);PD(1705,1982);PD(1716,1997);PD(1721,1991);PD(1722,1967);PD(1716,1917);PD(1702,1858);PD(1689,1812);PD(1688,1792);PD(1701,1808);PD(1717,1846);PD(1730,1892);PD(1736,1929);PD(1737,1947);PD(1742,1948);PD(1754,1930);PD(1772,1891);PD(1793,1838);
PD(1805,1782);PD(1808,1724);PD(1802,1661);PD(1787,1595);PD(1763,1524);PD(1730,1447);PD(1688,1363);PD(1621,1242);PD(1582,1288);PD(1541,1322);PD(1484,1352);PD(1416,1375);PD(1339,1390);PD(1273,1400);PD(1352,1507);PD(1420,1615);PD(1477,1722);PD(1535,1846);PD(1572,1919);PD(1598,1960);PD(1626,1990);PD(1658,2019);PD(1679,2031);PD(1685,2030);PD(1689,2025);PD(1688,2015);PD(1685,2001);PU(2777,1980);PD(2752,1978);PD(2728,1980);PD(2724,1981);PD(2722,1983);PD(2722,1984);PD(2724,1985);PD(2735,1986);PD(2752,1987);PD(2769,1986);PD(2779,1985);PD(2782,1984);PD(2782,1983);PD(2781,1981);PD(2777,1980);PU(2667,1940);PD(2639,1915);PD(2618,1905);PD(2586,1892);PD(2541,1861);PD(2501,1827);PD(2484,1803);PD(2490,1800);PD(2506,1818);PD(2525,1839);PD(2541,1849);PD(2542,1836);PD(2524,1806);PD(2499,1779);PD(2482,1772);PD(2476,1770);PD(2479,1754);PD(2489,1731);PD(2503,1709);PD(2524,1690);PD(2551,1679);PD(2582,1676);PD(2615,1681);PD(2634,1684);PD(2652,1685);PD(2668,1682);PD(2681,1675);PD(2697,1668);PD(2714,1666);PD(2732,1668);PD(2750,1674);PD(2786,1698);PD(2818,1734);PD(2831,1758);PD(2840,1784);PD(2847,1813);PD(2850,1843);PD(2850,1872);PD(2846,1899);PD(2839,1924);PD(2828,1945);PD(2817,1961);PD(2814,1971);PD(2819,1975);PD(2832,1976);PD(2870,1964);PD(2922,1935);PD(2957,1908);PD(2986,1877);PD(3009,1842);PD(3027,1803);PD(3039,1760);PD(3046,1715);PD(3048,1668);PD(3044,1619);PD(3035,1569);PD(3020,1518);PD(3001,1468);PD(2977,1418);PD(2948,1368);PD(2913,1321);PD(2874,1276);PD(2831,1233);PD(2780,1184);PD(2759,1157);PD(2755,1145);PD(2746,1133);PD(2742,1130);PD(2740,1130);PD(2741,1135);PD(2745,1142);
PD(2748,1150);PD(2748,1154);PD(2744,1156);PD(2736,1154);PD(2723,1144);PD(2721,1130);PD(2719,1120);PD(2711,1120);PD(2678,1115);PD(2616,1092);PD(2573,1076);PD(2524,1062);PD(2471,1051);PD(2416,1044);PD(2361,1039);PD(2306,1038);PD(2255,1041);PD(2208,1047);PD(2163,1057);PD(2129,1071);PD(2098,1091);PD(2066,1120);PD(2034,1155);PD(2010,1192);PD(1992,1230);PD(1981,1271);PD(1977,1315);PD(1980,1362);PD(1988,1413);PD(2004,1469);PD(2019,1512);PD(2039,1553);PD(2064,1593);PD(2093,1633);PD(2127,1672);PD(2166,1710);PD(2211,1747);PD(2261,1785);PD(2360,1846);PD(2483,1908);PD(2598,1956);PD(2673,1976);PD(2687,1975);PD(2691,1970);PD(2685,1959);PD(2667,1940);PU(2811,1937);PD(2830,1909);PD(2837,1872);PD(2834,1829);PD(2822,1786);PD(2803,1745);PD(2777,1711);PD(2763,1698);PD(2748,1688);PD(2732,1681);PD(2715,1679);PD(2687,1685);PD(2667,1702);
PD(2656,1729);PD(2656,1762);PD(2657,1791);PD(2650,1798);PD(2642,1778);PD(2639,1741);PD(2637,1717);PD(2633,1702);PD(2623,1695);PD(2608,1692);PD(2575,1691);PD(2550,1695);PD(2530,1702);PD(2515,1715);PD(2506,1727);PD(2505,1742);PD(2509,1759);PD(2518,1778);PD(2550,1814);PD(2596,1844);PD(2636,1866);PD(2653,1882);PD(2662,1902);PD(2684,1929);PD(2714,1951);PD(2747,1960);PD(2764,1960);PD(2781,1956);PD(2796,1948);PD(2811,1937);PU(2611,1870);PD(2580,1855);PD(2562,1850);PD(2559,1855);PD(2574,1870);PD(2600,1885);PD(2623,1891);PD(2630,1889);PD(2631,1885);PD(2624,1878);PD(2611,1870);PU(662,1654);PD(679,1649);PD(688,1640);PD(690,1621);PD(686,1590);PD(677,1547);PD(670,1525);PD(641,1520);PD(586,1520);PD(530,1523);PD(497,1530);PD(489,1536);PD(487,1544);PD(493,1554);PD(507,1568);PD(528,1594);PD(536,1619);PD(543,1641);PD(561,1659);PD(584,1670);PD(607,1669);PD(632,1662);PD(662,1654);PU(522,1609);PD(516,1595);PD(502,1581);PD(484,1571);PD(466,1566);PD(442,1574);PD(419,1592);PD(408,1605);PD(409,1612);PD(426,1616);PD(460,1617);PD(504,1615);PD(522,1609);PU(770,1610);PD(806,1592);PD(867,1573);PD(935,1558);PD(991,1552);PD(1029,1550);PD(1044,1547);PD(1034,1515);PD(1011,1469);PD(986,1429);PD(968,1411);PD(938,1425);PD(889,1458);PD(839,1495);PD(803,1523);PD(785,1533);PD(770,1538);PD(758,1537);PD(749,1530);PD(737,1497);PD(737,1439);PD(738,1396);PD(736,1371);PD(730,1359);PD(720,1357);PD(709,1365);PD(703,1382);PD(699,1413);PD(698,1461);PD(701,1540);PD(708,1592);PD(719,1611);PD(735,1622);PD(752,1621);PD(770,1610);PU(505,1494);PD(501,1489);PD(507,1483);PD(520,1478);PD(538,1474);PD(584,1470);
PD(629,1473);PD(647,1477);PD(661,1478);PD(670,1476);PD(675,1468);PD(674,1433);PD(662,1360);PD(649,1305);PD(631,1273);PD(617,1264);PD(599,1259);PD(576,1257);PD(546,1256);PD(518,1257);PD(496,1261);PD(479,1268);PD(467,1281);PD(454,1328);PD(452,1410);PD(452,1535);PD(485,1520);PD(506,1505);PD(505,1494);PU(682,1508);PD(650,1496);PD(597,1487);PD(529,1483);PD(597,1496);PD(648,1507);PD(675,1516);PD(682,1521);PD(690,1524);PD(691,1519);PD(682,1508);PU(437,1329);PD(434,1317);PD(421,1307);PD(399,1298);PD(365,1288);PD(302,1268);PD(250,1243);PD(206,1215);PD(275,1184);PD(317,1168);PD(363,1158);PD(425,1153);PD(515,1151);PD(654,1153);PD(753,1160);PD(789,1166);PD(818,1173);PD(841,1183);PD(858,1194);PD(888,1219);PD(831,1243);PD(778,1264);PD(727,1278);PD(693,1286);PD(675,1295);PD(671,1308);PD(676,1329);PD(683,1342);PD(696,1344);PD(723,1337);PD(769,1319);PD(836,1286);PD(879,1254);PD(897,1220);PD(902,1183);PD(900,1166);PD(895,1150);PD(887,1138);PD(875,1129);PD(860,1115);PD(856,1096);PD(864,1072);PD(883,1044);PD(897,1004);PD(909,926);PD(919,821);PD(927,702);PD(931,582);PD(931,472);PD(927,384);PD(917,332);PD(892,285);PD(851,238);PD(800,195);PD(741,159);PD(688,138);PD(630,123);PD(570,116);PD(507,115);PD(445,122);PD(385,136);PD(329,156);PD(278,183);PD(237,214);PD(211,244);PD(203,259);PD(200,273);PD(200,287);PD(204,300);PD(223,326);PD(257,349);PD(306,370);PD(368,387);PD(430,399);PD(487,408);PD(540,411);PD(591,411);PD(639,405);PD(684,396);PD(727,382);PD(769,363);PD(795,350);PD(810,346);PD(813,348);PD(807,357);PD(789,373);PD(765,387);PD(735,399);PD(701,409);PD(622,421);PD(533,425);
PD(443,420);PD(356,406);PD(317,396);PD(280,383);PD(248,368);PD(222,351);PD(191,333);PD(174,330);PD(165,428);PD(158,636);PD(156,853);PD(161,975);PD(177,1021);PD(202,1064);PD(221,1087);PD(235,1096);PD(249,1095);PD(268,1082);PD(286,1068);PD(295,1049);PD(298,1021);PD(298,975);PD(298,927);PD(306,881);PD(322,828);PD(351,755);PD(393,642);PD(412,563);PD(416,524);PD(419,508);PD(428,522);PD(446,555);PD(483,609);PD(540,677);PD(596,751);PD(649,839);PD(690,922);PD(706,981);PD(709,1008);PD(722,1029);PD(747,1047);PD(787,1065);PD(828,1085);PD(841,1098);PD(840,1108);PD(847,1122);PD(853,1130);PD(853,1137);PD(849,1143);PD(840,1149);PD(825,1151);PD(823,1146);PD(824,1130);PD(817,1108);PD(811,1093);PD(808,1088);PD(806,1094);PD(806,1112);PD(801,1134);PD(792,1143);PD(785,1133);PD(783,1108);PD(783,1085);PD(775,1081);PD(768,1091);PD(770,1103);PD(773,1109);PD(773,1112);PD(770,1112);PD(765,1109);PD(753,1096);PD(748,1080);PD(741,1066);PD(723,1055);PD(694,1046);PD(658,1039);PD(567,1034);PD(466,1043);PD(389,1060);PD(315,1086);PD(254,1116);PD(214,1146);PD(201,1180);PD(200,1222);PD(204,1243);PD(211,1263);PD(220,1278);PD(231,1288);PD(311,1327);PD(376,1348);PD(402,1352);PD(421,1350);PD(433,1342);PD(437,1329);PU(2898,1254);PD(2857,1215);PD(2815,1183);PD(2808,1178);PD(2805,1177);PD(2805,1179);PD(2808,1183);PD(2824,1199);PD(2850,1225);PD(2904,1273);PD(2931,1295);PD(2933,1296);PD(2934,1296);PD(2932,1293);PD(2929,1289);PD(2918,1276);PD(2898,1254);PU(411,1260);PD(393,1233);PD(371,1204);PD(356,1186);PD(342,1180);PD(322,1184);PD(289,1198);PD(233,1225);PD(282,1246);PD(358,1275);PD(399,1283);
PD(411,1282);PD(417,1279);PD(416,1272);PD(411,1260);PU(480,1242);PD(476,1230);PD(466,1221);PD(456,1210);PD(452,1195);PD(458,1193);PD(474,1211);PD(493,1231);PD(514,1241);PD(523,1242);PD(530,1239);PD(535,1234);PD(538,1225);PD(538,1217);PD(540,1214);PD(542,1217);PD(546,1225);PD(556,1236);PD(571,1242);PD(587,1236);PD(597,1225);PD(601,1219);PD(603,1217);PD(605,1221);PD(605,1229);PD(612,1244);PD(630,1254);PD(655,1261);PD(686,1263);PD(720,1261);PD(755,1254);PD(788,1244);PD(817,1229);PD(824,1224);PD(827,1220);PD(827,1215);PD(822,1211);PD(800,1201);PD(758,1188);PD(728,1181);PD(709,1181);PD(697,1193);PD(684,1218);PD(665,1263);PD(673,1219);PD(675,1195);PD(672,1180);PD(659,1172);PD(635,1166);PD(555,1157);PD(473,1159);PD(436,1163);PD(407,1169);PD(388,1176);PD(381,1185);PD(391,1209);PD(413,1235);PD(439,1256);PD(459,1260);PD(473,1251);PD(480,1242);PU(559,1023);PD(701,1023);PD(689,976);PD(667,910);PD(637,847);PD(599,783);PD(549,715);PD(500,659);PD(473,637);PD(470,651);PD(491,701);PD(513,754);PD(528,804);PD(529,814);PD(529,820);PD(529,822);PD(528,822);PD(527,821);PD(526,820);PD(518,802);PD(505,769);PD(488,722);PD(477,702);PD(471,705);PD(464,727);PD(459,749);PD(456,755);PD(454,743);PD(452,713);PD(447,663);PD(439,621);PD(433,602);PD(429,597);PD(425,606);PD(419,631);PD(400,691);PD(364,772);PD(344,820);PD(329,866);PD(319,912);PD(313,957);PD(308,1046);PD(361,1034);PD(442,1027);PD(559,1023);PU(1689,3516);PD(1681,3472);PD(1672,3436);PD(1668,3423);PD(1667,3417);PD(1671,3417);PD(1679,3425);PD(1694,3450);PD(1706,3488);PD(1716,3535);PD(1741,3497);PD(1761,3451);PD(1775,3394);
PD(1785,3327);PD(1820,3367);PD(1833,3381);PD(1840,3391);PD(1842,3394);PD(1842,3396);PD(1841,3396);PD(1839,3395);PD(1831,3392);PD(1825,3393);PD(1822,3397);PD(1820,3404);PD(1820,3412);PD(1818,3415);PD(1814,3412);PD(1808,3404);PD(1802,3397);PD(1797,3398);PD(1792,3408);PD(1788,3425);PD(1770,3469);PD(1738,3518);PD(1698,3570);PD(1689,3516);PU(1822,3449);PD(1822,3439);PD(1824,3434);PD(1827,3435);PD(1830,3440);PD(1833,3456);PD(1829,3467);PD(1823,3466);PD(1822,3449);PU(2032,3380);PD(2021,3354);PD(2024,3324);PD(2038,3297);PD(2060,3281);PD(2080,3270);PD(2088,3254);PD(2097,3234);PD(2117,3210);PD(2130,3200);PD(2143,3196);PD(2155,3197);PD(2166,3202);PD(2175,3212);PD(2181,3226);PD(2186,3245);PD(2187,3267);PD(2183,3300);PD(2170,3331);PD(2151,3358);PD(2128,3379);PD(2102,3394);PD(2076,3399);PD(2052,3395);PD(2032,3380);PU(2145,3349);PD(2158,3329);PD(2166,3308);PD(2170,3285);PD(2170,3261);PD(2162,3225);PD(2149,3208);PD(2141,3207);PD(2133,3212);PD(2125,3222);PD(2118,3237);PD(2097,3269);PD(2067,3296);PD(2045,3317);PD(2033,3341);PD(2032,3353);PD(2035,3363);PD(2041,3371);PD(2050,3377);PD(2077,3385);PD(2101,3383);PD(2124,3371);PD(2145,3349);PU(1422,3298);PD(1387,3260);PD(1362,3214);PD(1354,3190);PD(1350,3167);PD(1349,3147);PD(1353,3128);PD(1364,3108);PD(1378,3094);PD(1392,3086);PD(1408,3086);PD(1423,3092);PD(1438,3104);PD(1450,3122);PD(1461,3147);PD(1480,3173);PD(1511,3196);PD(1530,3209);PD(1543,3222);PD(1550,3238);PD(1552,3257);PD(1549,3283);PD(1541,3303);PD(1529,3318);PD(1512,3327);PD(1493,3329);PD(1471,3325);PD(1447,3315);PD(1422,3298);PU(1535,3271);PD(1536,3252);PD(1531,3237);
PD(1519,3224);PD(1499,3212);PD(1464,3184);PD(1439,3147);PD(1429,3127);PD(1419,3114);PD(1408,3108);PD(1398,3107);PD(1389,3113);PD(1381,3125);PD(1375,3142);PD(1372,3165);PD(1371,3194);PD(1377,3218);PD(1391,3241);PD(1417,3268);PD(1439,3288);PD(1460,3303);PD(1479,3311);PD(1496,3315);PD(1511,3312);PD(1522,3304);PD(1531,3290);PD(1535,3271);PU(2213,2756);PD(2228,2753);PD(2239,2757);PD(2238,2763);PD(2221,2764);PD(2212,2764);PD(2207,2762);PD(2207,2759);PD(2213,2756);PU(1246,2742);PD(1270,2740);PD(1295,2742);PD(1299,2743);PD(1301,2745);PD(1300,2746);PD(1298,2747);PD(1287,2748);PD(1270,2749);PD(1253,2748);PD(1243,2747);PD(1240,2746);PD(1240,2745);PD(1242,2743);PD(1246,2742);PU(1366,2728);PD(1383,2726);PD(1401,2728);PD(1405,2731);PD(1403,2733);PD(1395,2734);PD(1383,2735);PD(1371,2734);PD(1363,2733);PD(1362,2731);PD(1366,2728);PU(1658,2711);PD(1640,2700);PD(1616,2691);PD(1601,2687);PD(1596,2685);PD(1601,2684);PD(1617,2683);PD(1644,2688);PD(1665,2702);PD(1675,2716);PD(1677,2722);PD(1671,2721);PD(1658,2711);PU(1549,2699);PD(1565,2697);PD(1576,2701);PD(1575,2707);PD(1558,2708);PD(1548,2707);PD(1544,2705);PD(1544,2703);PD(1549,2699);PU(2163,2699);PD(2185,2697);PD(2206,2699);PD(2205,2705);PD(2180,2707);PD(2166,2706);PD(2158,2705);PD(2156,2704);PD(2157,2702);PD(2159,2701);PD(2163,2699);PU(1676,2671);PD(1692,2669);PD(1703,2673);PD(1702,2678);PD(1685,2680);PD(1675,2679);PD(1671,2677);PD(1671,2674);PD(1676,2671);PU(1161,2657);PD(1214,2655);PD(1267,2657);PD(1275,2658);PD(1279,2659);PD(1278,2660);PD(1273,2661);PD(1250,2662);PD(1214,2663);PD(1177,2662);PD(1155,2661);PD(1150,2660);PD(1149,2659);PD(1153,2658);PD(1161,2657);PU(1465,2657);PD(1509,2655);PD(1549,2657);PD(1555,2658);PD(1558,2659);PD(1556,2660);PD(1552,2661);PD(1533,2662);PD(1503,2663);PD(1474,2662);PD(1457,2661);PD(1453,2660);PD(1453,2659);PD(1457,2658);PD(1465,2657);PU(1771,2653);PD(1770,2643);PD(1777,2639);PD(1788,2643);PD(1792,2653);PD(1790,2663);PD(1786,2667);PD(1779,2663);PD(1771,2653);PU(1620,2643);PD(1637,2641);PD(1655,2643);PD(1659,2646);PD(1657,2648);PD(1649,2650);PD(1637,2650);PD(1625,2650);PD(1617,2648);PD(1616,2646);PD(1620,2643);PU(2018,2639);PD(2022,2629);PD(2032,2625);PD(2042,2629);PD(2046,2639);PD(2042,2649);PD(2032,2653);PD(2022,2649);PD(2018,2639);PU(1691,2629);PD(1708,2627);PD(1726,2629);PD(1729,2632);PD(1727,2634);PD(1720,2635);PD(1707,2636);PD(1695,2635);PD(1688,2634);PD(1686,2632);PD(1691,2629);PU(1437,2587);PD(1454,2584);PD(1472,2587);PD(1475,2589);PD(1473,2592);PD(1466,2593);PD(1453,2594);PD(1441,2593);PD(1434,2592);PD(1432,2589);PD(1437,2587);PU(1295,2558);PD(1311,2556);PD(1322,2560);PD(1321,2565);PD(1304,2567);PD(1294,2566);PD(1290,2564);PD(1290,2561);PD(1295,2558);PU(1884,2750);PD(1877,2737);PD(1880,2731);PD(1889,2734);PD(1902,2746);PD(1911,2760);PD(1906,2766);PD(1894,2761);PD(1884,2750);PU(1961,2754);PD(1952,2742);PD(1930,2736);PD(1915,2735);PD(1909,2733);PD(1912,2731);PD(1925,2728);PD(1946,2728);PD(1964,2736);PD(1975,2748);PD(1971,2762);PD(1964,2763);PD(1961,2754);PU(1719,2228);PD(1699,2213);PD(1695,2200);PD(1705,2191);PD(1730,2187);PD(1761,2191);PD(1791,2201);PD(1812,2215);PD(1820,2230);PD(1809,2240);PD(1781,2243);PD(1748,2239);PD(1719,2228);PU(1792,2215);PD(1767,2206);PD(1736,2201);PD(1719,2202);PD(1712,2204);PD(1713,2208);PD(1722,2215);PD(1747,2225);PD(1778,2230);PD(1794,2229);PD(1802,2227);PD(1801,2222);PD(1792,2215);PU(995,2131);PD(995,2109);PD(1013,2075);PD(1045,2035);PD(1088,1992);PD(1112,1973);PD(1131,1961);PD(1144,1958);PD(1151,1963);PD(1154,1969);PD(1155,1972);PD(1152,1973);PD(1147,1971);PD(1118,1986);PD(1069,2031);PD(1022,2081);PD(1002,2115);PD(1007,2127);PD(1020,2135);PD(1027,2139);PD(1030,2141);PD(1027,2143);PD(1020,2143);PD(1006,2141);PD(995,2131);PU(1592,2136);PD(1555,2125);PD(1479,2110);PD(1376,2091);PD(1451,2090);PD(1506,2094);PD(1562,2106);PD(1605,2121);PD(1623,2136);PD(1619,2143);PD(1611,2145);PD(1601,2143);PD(1592,2136);PU(1087,2039);PD(1123,2004);PD(1142,1990);PD(1133,2004);PD(1101,2039);PD(1065,2074);PD(1046,2088);PD(1054,2074);PD(1087,2039);PU(1143,1928);PD(1150,1921);PD(1166,1913);PD(1178,1912);PD(1178,1919);PD(1169,1928);PD(1157,1933);PD(1147,1933);PD(1143,1928);PU(1188,1827);PD(1189,1813);PD(1190,1805);PD(1191,1804);PD(1192,1804);PD(1194,1806);PD(1195,1810);PD(1197,1833);PD(1195,1853);PD(1190,1852);PD(1188,1827);PU(1201,1764);PD(1205,1743);PD(1214,1722);PD(1219,1714);PD(1223,1711);PD(1225,1712);PD(1226,1715);PD(1223,1732);PD(1214,1757);PD(1208,1768);PD(1204,1773);PD(1202,1771);PD(1201,1764);PU(1228,1681);PD(1226,1674);PD(1221,1670);PD(1213,1669);PD(1204,1672);PD(1191,1676);PD(1186,1676);PD(1188,1672);PD(1197,1664);PD(1205,1656);PD(1214,1653);PD(1222,1655);PD(1230,1662);PD(1239,1677);PD(1238,1689);PD(1230,1690);PD(1228,1681);PU(2246,1698);PD(2221,1682);PD(2199,1662);PD(2182,1639);PD(2169,1614);PD(2161,1590);PD(2160,1566);PD(2164,1544);PD(2176,1527);PD(2201,1513);PD(2233,1512);PD(2270,1520);PD(2308,1537);PD(2342,1560);PD(2372,1588);PD(2392,1619);PD(2399,1651);PD(2396,1675);PD(2388,1695);PD(2374,1709);PD(2356,1718);PD(2334,1721);PD(2308,1719);PD(2279,1711);PD(2246,1698);PU(2362,1699);PD(2378,1684);PD(2385,1659);PD(2380,1632);PD(2367,1605);PD(2348,1581);PD(2323,1561);PD(2295,1545);PD(2266,1535);PD(2236,1533);PD(2208,1538);PD(2194,1545);PD(2183,1554);PD(2177,1565);PD(2174,1578);PD(2181,1607);PD(2203,1643);PD(2239,1678);PD(2279,1699);PD(2300,1705);PD(2321,1707);PD(2342,1705);PD(2362,1699);PU(2907,1683);PD(2874,1664);PD(2842,1634);PD(2818,1602);PD(2810,1575);PD(2811,1561);PD(2813,1557);PD(2816,1563);PD(2821,1580);PD(2840,1612);PD(2874,1644);PD(2914,1669);PD(2949,1679);PD(2971,1675);PD(2988,1661);PD(3001,1639);PD(3010,1609);PD(3016,1573);PD(3018,1611);PD(3017,1633);PD(3011,1652);PD(3001,1667);PD(2987,1679);PD(2971,1687);PD(2951,1690);PD(2930,1689);PD(2907,1683);PU(2987,1547);PD(2974,1527);PD(2954,1510);PD(2928,1498);PD(2900,1491);PD(2872,1489);PD(2848,1492);PD(2829,1501);PD(2818,1517);PD(2815,1526);PD(2813,1529);PD(2812,1526);PD(2814,1516);PD(2822,1493);PD(2841,1477);PD(2867,1470);PD(2897,1473);PD(2933,1489);PD(2971,1515);PD(2999,1541);PD(3004,1559);PD(2995,1559);PD(2987,1547);PU(2105,1404);PD(2076,1375);PD(2056,1344);PD(2045,1315);PD(2043,1287);PD(2050,1263);PD(2066,1245);PD(2090,1232);PD(2122,1228);PD(2167,1236);PD(2213,1259);PD(2254,1291);PD(2285,1329);PD(2294,1349);PD(2298,1366);PD(2296,1383);PD(2289,1403);PD(2278,1421);PD(2264,1433);PD(2243,1438);PD(2210,1439);PD(2178,1437);PD(2152,1431);PD(2128,1420);PD(2105,1404);PU(2272,1403);PD(2282,1381);PD(2281,1355);PD(2269,1329);PD(2249,1303);PD(2223,1279);PD(2192,1260);PD(2158,1247);PD(2122,1242);PD(2101,1243);PD(2085,1248);PD(2072,1256);PD(2063,1266);PD(2058,1279);PD(2057,1295);PD(2060,1314);PD(2067,1335);PD(2090,1373);PD(2118,1403);PD(2157,1419);PD(2202,1424);PD(2224,1423);PD(2244,1419);PD(2260,1412);PD(2272,1403);PU(2702,1414);PD(2666,1387);PD(2639,1360);PD(2631,1349);PD(2631,1347);PD(2638,1352);PD(2654,1365);PD(2693,1392);PD(2736,1413);PD(2762,1420);PD(2779,1421);PD(2794,1415);PD(2811,1401);PD(2826,1384);PD(2831,1369);PD(2828,1350);PD(2817,1321);PD(2803,1295);PD(2786,1274);PD(2764,1257);PD(2735,1242);PD(2713,1231);PD(2698,1222);PD(2692,1216);PD(2695,1214);PD(2724,1219);PD(2753,1234);PD(2781,1256);PD(2806,1283);PD(2825,1313);PD(2838,1343);PD(2843,1372);PD(2838,1396);PD(2827,1412);PD(2814,1424);PD(2799,1433);PD(2783,1437);PD(2746,1433);PD(2702,1414);PU(2406,1305);PD(2363,1285);PD(2325,1258);PD(2295,1227);PD(2278,1197);PD(2279,1168);PD(2292,1136);PD(2305,1121);PD(2324,1110);PD(2346,1103);PD(2370,1100);PD(2397,1102);PD(2424,1107);PD(2452,1117);PD(2478,1130);PD(2521,1164);PD(2546,1201);PD(2553,1219);PD(2556,1237);PD(2555,1253);PD(2551,1269);PD(2543,1283);PD(2532,1295);PD(2518,1305);PD(2501,1312);PD(2481,1316);PD(2458,1316);PD(2433,1313);PD(2406,1305);PU(2537,1266);PD(2539,1236);PD(2532,1208);PD(2519,1183);PD(2499,1160);PD(2474,1141);PD(2444,1127);PD(2410,1118);PD(2373,1115);PD(2338,1119);PD(2313,1130);PD(2296,1148);PD(2289,1170);PD(2292,1194);PD(2304,1220);PD(2327,1246);PD(2359,1270);PD(2384,1282);PD(2412,1291);PD(2440,1295);PD(2468,1296);PD(2494,1294);PD(2515,1288);PD(2530,1278);PD(2537,1266);PU(2598,1287);PD(2602,1264);PD(2612,1240);PD(2627,1221);PD(2643,1214);PD(2650,1214);PD(2653,1216);PD(2650,1220);PD(2643,1225);PD(2627,1243);PD(2612,1270);PD(2607,1282);PD(2602,1290);PD(2599,1291);PD(2598,1287);PU(828,1000);PD(813,986);PD(813,971);PD(814,966);PD(811,963);PD(802,963);PD(789,967);PD(774,970);PD(767,971);PD(767,968);PD(776,961);PD(799,953);PD(824,954);PD(835,957);PD(841,956);PD(843,953);PD(841,947);PD(838,941);PD(840,938);PD(845,938);PD(855,941);PD(865,945);PD(870,950);PD(869,953);PD(864,957);PD(856,960);PD(853,965);PD(854,972);PD(861,981);PD(868,996);PD(864,1006);PD(849,1008);PD(828,1000);PU(854,988);PD(843,978);PD(828,974);PD(823,975);PD(822,978);PD(825,982);PD(833,988);PD(849,997);PD(857,1000);PD(859,997);PD(854,988);PU(734,944);PD(737,935);PD(745,931);PD(754,916);PD(759,879);PD(764,838);PD(772,817);PD(786,812);PD(809,821);PD(833,834);PD(849,840);PD(861,843);PD(869,850);PD(871,857);PD(864,861);PD(851,869);PD(847,890);PD(843,908);PD(833,910);PD(823,894);PD(818,868);PD(812,843);PD(796,827);PD(784,825);PD(778,831);PD(776,849);PD(779,881);PD(782,913);PD(780,933);PD(773,944);PD(761,950);PD(741,951);PD(734,944);PU(484,371);PD(508,369);PD(533,371);PD(537,373);PD(539,374);PD(538,375);PD(536,376);PD(525,378);PD(508,378);PD(491,378);PD(481,376);PD(478,375);PD(478,374);PD(480,373);PD(484,371);PU(357,353);PD(333,341);PD(326,333);PD(337,332);PD(364,339);PD(399,349);PD(430,357);PD(443,360);PD(446,363);PD(440,364);PD(423,364);PD(389,361);PD(357,353);PU(453,810);PD(454,801);PD(456,796);PD(458,796);PD(461,802);PD(464,817);PD(460,828);PD(454,827);PD(453,810);PU(2592,2925);PD(2641,2923);PD(2691,2925);PD(2700,2926);PD(2704,2927);PD(2704,2928);PD(2700,2929);PD(2680,2930);PD(2646,2931);PD(2611,2930);PD(2590,2929);PD(2584,2928);PD(2583,2927);PD(2585,2926);PD(2592,2925);PU(2467,2911);PD(2482,2909);PD(2493,2913);PD(2492,2918);PD(2475,2920);PD(2466,2919);PD(2461,2917);PD(2461,2914);PD(2467,2911);PU(2474,2784);PD(2496,2782);PD(2516,2784);PD(2515,2789);PD(2491,2791);PD(2476,2791);PD(2468,2789);PD(2467,2788);PD(2467,2787);PD(2469,2786);PD(2474,2784);PU(2636,2770);PD(2653,2768);PD(2671,2770);PD(2675,2773);PD(2673,2775);PD(2665,2777);PD(2653,2777);PD(2641,2777);PD(2633,2775);PD(2632,2773);PD(2636,2770);PU(2438,2714);PD(2454,2711);PD(2465,2715);PD(2464,2721);
PD(2447,2722);PD(2437,2721);PD(2433,2719);PD(2433,2717);PD(2438,2714);PU(2777,2671);PD(2794,2669);PD(2812,2671);PD(2816,2674);PD(2814,2676);PD(2806,2678);PD(2794,2678);PD(2782,2678);PD(2774,2676);PD(2773,2674);PD(2777,2671);PU(2337,2326);PD(2321,2297);PD(2316,2272);PD(2317,2267);PD(2321,2270);PD(2326,2279);PD(2333,2293);PD(2348,2335);PD(2358,2286);PD(2366,2237);PD(2369,2297);PD(2369,2336);PD(2365,2353);PD(2355,2349);PD(2337,2326);PU(2304,2215);PD(2314,2201);PD(2328,2194);PD(2343,2201);PD(2352,2215);PD(2355,2226);PD(2355,2229);PD(2351,2226);PD(2344,2215);PD(2335,2205);PD(2328,2202);PD(2322,2205);PD(2313,2215);PD(2305,2226);PD(2302,2229);PD(2302,2226);PD(2304,2215);PU(2293,2121);PD(2278,2024);PD(2266,1983);PD(2263,1973);PD(2264,1970);PD(2269,1976);PD(2278,1990);PD(2293,2028);PD(2300,2072);PD(2305,2113);PD(2314,2146);PD(2322,2166);PD(2316,2173);PD(2303,2158);PD(2293,2121);PU(2330,2122);PD(2330,2113);PD(2332,2108);PD(2335,2108);PD(2338,2114);PD(2341,2129);PD(2337,2141);PD(2331,2139);PD(2330,2122);PU(2316,2038);PD(2316,2028);PD(2318,2023);PD(2321,2024);PD(2324,2029);PD(2327,2045);PD(2323,2056);PD(2317,2055);PD(2316,2038);PU(2294,1980);PD(2290,1968);PD(2290,1963);PD(2293,1965);PD(2302,1971);PD(2312,1986);PD(2311,1997);PD(2303,1995);PD(2294,1980);PU(2194,1002);PD(2205,994);PD(2217,995);PD(2227,1003);PD(2229,1010);PD(2222,1014);PD(2207,1016);PD(2195,1012);PD(2194,1002);PU(2283,992);PD(2314,990);PD(2347,992);PD(2352,993);PD(2354,994);PD(2353,995);PD(2350,996);PD(2337,997);PD(2314,998);PD(2292,997);PD(2279,996);PD(2276,995);PD(2275,994);PD(2278,993);PD(2283,992);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_4(){//сова
M=0.4;// 
PD(2757,3978);pendown();
PD(2738,3959);PD(2714,3943);PD(2686,3928);PD(2653,3915);PD(2571,3894);PD(2468,3881);PD(2344,3866);PD(2251,3850);PD(2203,3839);PD(2172,3836);PD(2141,3840);PD(2096,3851);PD(2041,3858);
PD(1988,3854);PD(1963,3849);PD(1941,3849);PD(1921,3853);PD(1904,3861);PD(1872,3874);PD(1840,3879);PD(1809,3874);PD(1775,3861);PD(1754,3851);PD(1735,3848);PD(1716,3849);PD(1693,3857);PD(1671,3863);PD(1651,3865);
PD(1630,3862);PD(1606,3854);PD(1554,3838);PD(1493,3826);PD(1438,3811);PD(1400,3792);PD(1367,3775);PD(1325,3768);PD(1279,3760);PD(1236,3742);PD(1208,3730);PD(1166,3724);PD(1094,3724);PD(975,3728);PD(811,3738);
PD(695,3751);PD(652,3760);PD(618,3770);PD(590,3782);PD(569,3796);PD(552,3807);PD(539,3814);PD(528,3816);PD(520,3812);PD(511,3789);PD(508,3741);PD(510,3700);PD(515,3661);PD(525,3625);PD(539,3589);PD(557,3555);
PD(579,3520);PD(607,3486);PD(639,3450);PD(687,3401);PD(712,3367);PD(722,3336);PD(722,3294);PD(718,3233);PD(707,3192);PD(696,3157);PD(692,3114);PD(695,3076);PD(704,3055);PD(709,3035);PD(697,2996);PD(688,2970);
PD(683,2944);PD(682,2919);PD(684,2894);PD(690,2840);PD(691,2781);PD(697,2728);PD(711,2688);PD(727,2648);PD(737,2595);PD(740,2564);PD(746,2543);PD(757,2529);PD(773,2519);PD(788,2510);PD(798,2499);PD(803,2485);
PD(803,2469);PD(789,2429);PD(755,2378);PD(732,2345);PD(714,2313);PD(699,2279);PD(688,2242);PD(675,2151);PD(670,2025);PD(667,1913);PD(655,1837);PD(628,1767);PD(577,1678);PD(547,1624);PD(530,1586);PD(524,1554);
PD(526,1520);PD(529,1485);PD(522,1458);PD(500,1427);PD(457,1380);PD(423,1343);PD(399,1311);PD(386,1285);PD(383,1265);PD(390,1249);PD(409,1237);PD(437,1229);PD(477,1225);PD(538,1221);PD(480,1143);PD(441,1082);
PD(426,1044);PD(432,1032);PD(444,1024);PD(462,1019);PD(483,1018);PD(535,1027);PD(594,1050);PD(646,1076);PD(670,1087);PD(676,1076);PD(683,1051);PD(694,1026);PD(707,1016);PD(738,1023);PD(781,1042);PD(824,1065);
PD(857,1089);PD(875,1105);PD(888,1111);PD(899,1108);PD(914,1096);PD(929,1085);PD(943,1077);PD(956,1075);PD(970,1076);PD(1001,1095);PD(1041,1135);PD(1099,1198);PD(1132,1140);PD(1149,1113);PD(1170,1089);PD(1192,1070);
PD(1216,1054);PD(1240,1043);PD(1264,1037);PD(1286,1037);PD(1307,1043);PD(1327,1050);PD(1344,1050);PD(1363,1041);PD(1387,1022);PD(1432,989);PD(1477,964);PD(1525,951);PD(1581,946);PD(1630,949);PD(1659,960);PD(1675,966);
PD(1693,960);PD(1704,953);PD(1707,948);PD(1702,946);PD(1691,945);PD(1661,934);PD(1621,907);PD(1575,868);PD(1286,869);PD(1131,870);PD(1028,875);PD(957,884);PD(896,899);PD(816,923);PD(762,938);PD(727,947);PD(762,926);
PD(810,902);PD(875,879);PD(953,854);PD(882,851);PD(788,841);PD(660,824);PD(584,814);PD(512,808);PD(445,805);PD(382,807);PD(323,812);PD(270,821);PD(221,834);PD(176,851);PD(136,869);PD(116,876);PD(113,873);PD(127,861);
PD(170,834);PD(225,812);PD(288,795);PD(360,784);PD(437,778);PD(518,778);PD(602,785);PD(686,797);PD(758,807);PD(864,814);PD(1004,818);PD(1183,821);PD(1566,825);PD(1566,775);PD(1566,724);PD(1287,715);PD(1082,706);
PD(939,691);PD(822,664);PD(694,619);PD(627,595);PD(569,578);PD(522,568);PD(483,566);PD(416,566);PD(473,587);PD(558,624);PD(684,686);PD(758,721);PD(822,747);PD(877,765);PD(924,775);PD(966,781);PD(983,785);PD(978,787);
PD(953,789);PD(896,785);PD(840,775);PD(758,758);PD(562,741);PD(456,737);PD(358,744);PD(268,762);PD(183,792);PD(157,802);PD(142,807);PD(139,807);PD(139,805);PD(141,802);PD(147,797);PD(190,773);PD(253,745);PD(300,730);
PD(350,720);PD(417,715);PD(511,714);PD(689,713);PD(604,673);PD(526,641);PD(460,618);PD(415,604);PD(391,590);PD(386,583);PD(385,576);PD(388,567);PD(395,557);PD(410,546);PD(433,539);PD(461,536);PD(495,537);PD(579,552);
PD(677,584);PD(780,623);PD(851,646);PD(899,660);PD(902,543);PD(901,482);PD(898,442);PD(889,413);PD(873,389);PD(829,343);PD(771,295);PD(719,258);PD(690,248);PD(681,279);PD(677,341);PD(679,379);PD(683,412);PD(691,440);
PD(702,465);PD(717,486);PD(736,505);PD(760,523);PD(789,539);PD(835,562);PD(857,574);PD(863,581);PD(859,586);PD(833,579);PD(779,557);PD(745,540);PD(717,521);PD(694,500);PD(677,476);PD(664,448);PD(656,416);PD(651,379);
PD(649,336);PD(655,253);PD(670,194);PD(680,176);PD(690,169);PD(700,173);PD(710,189);PD(738,221);PD(793,268);PD(855,325);PD(900,380);PD(917,410);PD(926,439);PD(927,475);PD(924,529);PD(923,606);PD(930,649);PD(950,660);
PD(1001,667);PD(1098,672);PD(1257,675);PD(1434,677);PD(1529,675);PD(1555,672);PD(1571,667);PD(1581,660);PD(1589,651);PD(1615,622);PD(1649,603);PD(1695,591);PD(1758,584);PD(1799,583);PD(1830,586);PD(1850,591);
PD(1863,600);PD(1872,608);PD(1882,611);PD(1897,608);PD(1918,598);PD(1939,590);PD(1959,587);PD(1978,588);PD(1996,594);PD(2012,604);PD(2026,618);PD(2037,636);PD(2046,658);PD(2054,677);PD(2063,692);PD(2073,700);
PD(2085,703);PD(2113,691);PD(2151,656);PD(2188,625);PD(2226,609);PD(2246,606);PD(2264,607);PD(2283,612);PD(2300,621);PD(2320,626);PD(2338,618);PD(2362,610);PD(2395,612);PD(2438,621);PD(2484,628);PD(2508,635);
PD(2531,646);PD(2554,661);PD(2575,682);PD(2601,707);PD(2623,719);PD(2652,721);PD(2699,714);PD(2756,701);PD(2780,690);PD(2768,672);PD(2735,649);PD(2686,624);PD(2628,598);PD(2565,574);PD(2504,555);PD(2448,541);
PD(2405,536);PD(2370,532);PD(2357,522);PD(2360,516);PD(2371,513);PD(2388,512);PD(2410,515);PD(2534,538);PD(2624,563);PD(2696,595);PD(2769,642);PD(2808,670);PD(2836,683);PD(2862,684);PD(2896,676);PD(2953,660);
PD(2881,619);PD(2800,580);PD(2705,544);PD(2614,517);PD(2544,507);PD(2491,505);PD(2548,492);PD(2597,476);PD(2634,451);PD(2662,416);PD(2680,371);PD(2690,328);PD(2695,295);PD(2693,275);PD(2685,271);PD(2674,276);
PD(2654,286);PD(2627,299);PD(2596,313);PD(2542,341);PD(2507,366);PD(2485,395);PD(2469,433);PD(2458,473);PD(2457,430);PD(2458,408);PD(2463,388);PD(2471,369);PD(2483,351);PD(2520,319);PD(2574,291);PD(2635,257);
PD(2677,222);PD(2689,206);PD(2700,197);PD(2708,194);PD(2714,197);PD(2721,223);PD(2723,277);PD(2718,344);PD(2701,405);PD(2690,431);PD(2678,454);PD(2664,471);PD(2649,483);PD(2635,491);PD(2636,499);PD(2655,507);
PD(2695,518);PD(2782,546);PD(2881,588);PD(2958,622);PD(3020,637);PD(3094,636);PD(3209,622);PD(3311,613);PD(3399,614);PD(3475,624);PD(3540,643);PD(3574,660);PD(3581,670);PD(3562,670);PD(3519,662);PD(3475,654);
PD(3416,650);PD(3345,650);PD(3264,654);PD(3086,673);PD(2907,704);PD(2749,735);PD(2659,748);PD(2634,749);PD(2620,757);PD(2612,775);PD(2606,809);PD(2599,857);PD(2591,890);PD(2589,897);PD(2591,902);PD(2598,905);
PD(2611,905);PD(2662,900);PD(2754,886);PD(2918,862);PD(3054,845);PD(3167,835);PD(3260,833);PD(3340,838);PD(3409,850);PD(3472,869);PD(3533,896);PD(3557,908);PD(3572,916);PD(3576,919);PD(3578,921);PD(3577,922);
PD(3574,923);PD(3536,914);PD(3457,892);PD(3409,881);PD(3349,874);PD(3280,870);PD(3204,870);PD(3038,878);PD(2872,900);PD(2732,923);PD(2633,938);PD(2571,955);PD(2519,982);PD(2475,1009);PD(2431,1024);PD(2389,1033);
PD(2455,1099);PD(2483,1130);PD(2508,1163);PD(2527,1195);PD(2539,1222);PD(2546,1245);PD(2553,1266);PD(2558,1284);PD(2563,1295);PD(2568,1300);PD(2581,1298);PD(2600,1288);PD(2626,1270);PD(2674,1242);PD(2721,1229);
PD(2744,1228);PD(2765,1231);PD(2785,1238);PD(2804,1249);PD(2822,1259);PD(2842,1263);PD(2868,1262);PD(2904,1256);PD(2962,1251);PD(3018,1256);PD(3041,1261);PD(3060,1267);PD(3072,1275);PD(3076,1284);PD(3100,1294);
PD(3158,1298);PD(3215,1303);PD(3261,1316);PD(3278,1325);PD(3291,1335);PD(3299,1347);PD(3302,1359);PD(3283,1389);PD(3236,1435);PD(3168,1494);PD(3229,1496);PD(3259,1498);PD(3283,1503);PD(3304,1514);PD(3323,1531);
PD(3343,1553);PD(3355,1573);PD(3358,1590);PD(3352,1606);PD(3338,1620);PD(3314,1633);PD(3281,1646);PD(3239,1658);PD(3174,1676);PD(3146,1691);PD(3145,1698);PD(3152,1707);PD(3166,1717);PD(3186,1730);PD(3222,1755);
PD(3246,1778);PD(3253,1789);PD(3255,1798);PD(3254,1805);PD(3248,1810);PD(3225,1818);PD(3183,1826);PD(3140,1841);PD(3097,1869);PD(3056,1908);PD(3016,1957);PD(2980,2016);PD(2948,2081);PD(2922,2153);PD(2901,2230);
PD(2878,2324);PD(2856,2403);PD(2833,2458);PD(2802,2506);PD(2771,2541);PD(2743,2554);PD(2734,2556);PD(2728,2561);PD(2725,2568);PD(2725,2577);PD(2733,2600);PD(2752,2625);PD(2765,2642);PD(2774,2663);PD(2778,2693);
PD(2780,2732);PD(2784,2796);PD(2795,2839);PD(2802,2857);PD(2804,2880);PD(2801,2908);PD(2794,2946);PD(2787,2982);PD(2784,3009);PD(2786,3027);PD(2793,3038);PD(2804,3058);PD(2808,3083);PD(2801,3127);PD(2784,3185);
PD(2763,3239);PD(2743,3274);PD(2734,3282);PD(2728,3284);PD(2725,3282);PD(2724,3274);PD(2730,3239);PD(2746,3176);PD(2759,3116);PD(2761,3074);PD(2758,3061);PD(2752,3055);PD(2743,3054);PD(2732,3061);PD(2722,3067);
PD(2718,3062);PD(2722,3041);PD(2732,3003);PD(2747,2936);PD(2752,2893);PD(2749,2880);PD(2744,2872);PD(2736,2870);PD(2725,2872);PD(2710,2875);PD(2704,2869);PD(2707,2850);PD(2719,2811);PD(2733,2750);PD(2732,2702);
PD(2726,2681);PD(2719,2673);PD(2710,2676);PD(2694,2690);PD(2678,2702);PD(2671,2702);PD(2669,2685);PD(2670,2647);PD(2670,2619);PD(2667,2596);PD(2661,2578);PD(2653,2565);PD(2642,2556);PD(2629,2554);PD(2614,2557);
PD(2596,2565);PD(2581,2573);PD(2572,2572);PD(2569,2558);PD(2568,2529);PD(2565,2499);PD(2557,2473);PD(2546,2450);PD(2531,2433);PD(2515,2422);PD(2499,2418);PD(2484,2424);PD(2471,2438);PD(2463,2450);PD(2459,2454);
PD(2457,2451);PD(2455,2440);PD(2446,2412);PD(2426,2378);PD(2408,2358);PD(2391,2348);PD(2373,2346);PD(2347,2350);PD(2306,2352);PD(2279,2342);PD(2237,2327);PD(2163,2313);PD(2095,2301);PD(2040,2287);PD(1993,2269);
PD(1950,2246);PD(1926,2228);PD(1925,2221);PD(1945,2226);PD(1983,2244);PD(2012,2256);PD(2045,2265);PD(2080,2270);PD(2118,2272);PD(2190,2277);PD(2252,2290);PD(2306,2303);PD(2358,2304);PD(2385,2303);PD(2406,2307);
PD(2424,2318);PD(2444,2340);PD(2462,2357);PD(2481,2372);PD(2501,2382);PD(2520,2388);PD(2541,2392);PD(2558,2402);PD(2573,2419);PD(2588,2443);PD(2602,2464);PD(2619,2482);PD(2639,2497);PD(2659,2507);PD(2680,2513);
PD(2700,2514);PD(2720,2511);PD(2738,2502);PD(2769,2469);PD(2798,2416);PD(2825,2342);PD(2850,2245);PD(2874,2161);PD(2903,2083);PD(2936,2011);PD(2974,1947);PD(3014,1892);PD(3058,1847);PD(3103,1812);PD(3150,1789);
PD(3173,1780);PD(3183,1773);PD(3181,1765);PD(3168,1754);PD(3137,1740);PD(3104,1737);PD(3070,1745);PD(3038,1764);PD(3010,1782);PD(2995,1785);PD(2995,1774);PD(3013,1750);PD(3058,1709);PD(3116,1672);PD(3179,1641);
PD(3240,1621);PD(3286,1608);PD(3310,1594);PD(3315,1586);PD(3314,1577);PD(3309,1567);PD(3299,1555);PD(3262,1542);PD(3201,1539);PD(3139,1545);PD(3096,1559);PD(3074,1575);PD(3061,1582);PD(3056,1581);PD(3060,1572);
PD(3092,1532);PD(3154,1468);PD(3230,1386);PD(3257,1346);PD(3234,1338);PD(3192,1331);PD(3161,1329);PD(3130,1333);PD(3098,1342);PD(3066,1356);PD(3036,1373);PD(3007,1395);PD(2981,1421);PD(2958,1449);PD(2926,1488);
PD(2910,1496);PD(2917,1466);PD(2946,1421);PD(2985,1375);PD(3023,1343);PD(3044,1330);PD(3053,1321);PD(3050,1312);PD(3038,1302);PD(3011,1289);PD(2977,1282);PD(2938,1284);PD(2897,1292);PD(2855,1306);PD(2814,1325);
PD(2776,1350);PD(2742,1380);PD(2696,1421);PD(2683,1424);PD(2699,1395);PD(2746,1341);PD(2811,1271);PD(2774,1262);PD(2736,1260);PD(2697,1270);PD(2653,1295);PD(2611,1331);PD(2582,1368);PD(2574,1396);PD(2579,1414);
PD(2588,1448);PD(2600,1491);PD(2613,1541);PD(2638,1629);PD(2653,1665);PD(2662,1656);PD(2674,1634);PD(2692,1608);PD(2714,1589);PD(2728,1583);PD(2741,1584);PD(2756,1594);PD(2776,1614);PD(2793,1637);PD(2803,1658);
PD(2805,1681);PD(2802,1710);PD(2799,1738);PD(2800,1754);PD(2806,1762);PD(2819,1764);PD(2841,1767);PD(2858,1778);PD(2870,1794);PD(2876,1815);PD(2878,1841);PD(2873,1870);PD(2863,1903);PD(2848,1937);PD(2834,1967);
PD(2825,1996);PD(2821,2025);PD(2821,2055);PD(2817,2106);PD(2801,2159);PD(2774,2209);PD(2739,2249);PD(2718,2264);PD(2710,2264);PD(2714,2251);PD(2732,2228);PD(2752,2197);PD(2772,2153);PD(2787,2107);PD(2794,2069);
PD(2793,2058);PD(2789,2052);PD(2782,2050);PD(2773,2052);PD(2757,2056);PD(2754,2049);PD(2764,2028);PD(2788,1990);PD(2805,1961);PD(2818,1929);PD(2828,1895);PD(2834,1861);PD(2836,1823);PD(2835,1802);PD(2828,1794);
PD(2814,1795);PD(2784,1814);PD(2753,1853);PD(2726,1890);PD(2714,1897);PD(2717,1876);PD(2736,1827);PD(2749,1791);PD(2759,1756);PD(2764,1721);PD(2765,1690);PD(2762,1663);PD(2756,1641);PD(2745,1628);PD(2731,1623);
PD(2718,1628);PD(2706,1643);PD(2694,1666);PD(2683,1696);PD(2667,1772);PD(2659,1863);PD(2653,1950);PD(2642,2030);PD(2628,2084);PD(2616,2098);PD(2616,2060);PD(2625,1980);PD(2632,1882);PD(2627,1781);PD(2611,1678);
PD(2584,1573);PD(2557,1491);PD(2533,1411);PD(2510,1349);PD(2484,1301);PD(2456,1267);PD(2427,1249);PD(2407,1238);PD(2399,1226);PD(2408,1221);PD(2431,1230);PD(2462,1249);PD(2496,1276);PD(2529,1305);PD(2519,1270);
PD(2499,1224);PD(2468,1175);PD(2430,1132);PD(2392,1101);PD(2339,1078);PD(2278,1064);PD(2245,1057);PD(2216,1048);PD(2191,1034);PD(2169,1017);PD(2146,1001);PD(2118,989);PD(2087,982);PD(2055,979);PD(2023,981);
PD(1992,987);PD(1965,999);PD(1943,1015);PD(1923,1032);PD(1912,1038);PD(1906,1033);PD(1901,1017);PD(1889,993);PD(1870,976);PD(1843,966);PD(1812,963);PD(1777,967);PD(1739,979);PD(1701,997);PD(1664,1023);PD(1623,1052);
PD(1599,1063);PD(1595,1057);PD(1613,1033);PD(1631,1010);PD(1633,996);PD(1615,989);PD(1576,988);PD(1545,990);PD(1514,998);PD(1483,1010);PD(1451,1029);PD(1393,1073);PD(1355,1114);PD(1345,1131);PD(1342,1145);
PD(1348,1154);PD(1362,1157);PD(1374,1158);PD(1380,1161);PD(1383,1166);PD(1380,1172);PD(1362,1187);PD(1326,1205);PD(1299,1219);PD(1274,1238);PD(1252,1261);PD(1231,1291);PD(1191,1373);PD(1147,1493);PD(1107,1604);
PD(1085,1651);PD(1081,1638);PD(1087,1606);PD(1091,1569);PD(1085,1532);PD(1070,1502);PD(1048,1486);PD(1038,1487);PD(1028,1495);PD(1017,1511);PD(1007,1531);PD(989,1585);PD(978,1650);PD(969,1729);PD(954,1665);
PD(946,1639);PD(937,1619);PD(927,1605);PD(916,1597);PD(905,1596);PD(894,1601);PD(883,1613);PD(873,1633);PD(863,1690);PD(866,1765);PD(879,1840);PD(900,1898);PD(918,1933);PD(917,1947);PD(902,1935);PD(882,1905);
PD(862,1875);PD(847,1863);PD(840,1869);PD(835,1886);PD(833,1911);PD(833,1943);PD(840,2015);PD(854,2083);PD(863,2117);PD(866,2134);PD(863,2136);PD(854,2125);PD(839,2097);PD(826,2057);PD(816,2009);PD(808,1960);
PD(805,1912);PD(806,1871);PD(811,1842);PD(821,1827);PD(829,1817);PD(835,1794);PD(839,1757);PD(840,1706);PD(841,1646);PD(845,1609);PD(853,1586);PD(868,1572);PD(897,1560);PD(927,1559);PD(942,1562);PD(952,1561);
PD(958,1556);PD(960,1548);PD(969,1520);PD(991,1489);PD(1019,1464);PD(1044,1453);PD(1069,1462);PD(1091,1482);PD(1111,1511);PD(1119,1480);PD(1121,1436);PD(1112,1372);PD(1097,1305);PD(1078,1254);PD(1051,1210);
PD(1019,1170);PD(988,1140);PD(965,1129);PD(956,1131);PD(950,1137);PD(947,1147);PD(947,1162);PD(957,1202);PD(981,1259);PD(1006,1320);PD(1015,1362);PD(1014,1367);PD(1012,1368);PD(1010,1367);PD(1006,1363);PD(996,1346);
PD(982,1319);PD(947,1255);PD(912,1199);PD(872,1158);PD(822,1116);PD(773,1085);PD(738,1072);PD(730,1075);PD(724,1083);PD(721,1094);PD(720,1107);PD(726,1135);PD(742,1157);PD(769,1189);PD(800,1237);PD(823,1283);
PD(828,1307);PD(810,1293);PD(776,1252);PD(740,1205);PD(701,1168);PD(655,1135);PD(597,1102);PD(558,1084);PD(525,1074);PD(502,1073);PD(494,1080);PD(517,1118);PD(569,1187);PD(625,1257);PD(663,1295);PD(683,1314);
PD(691,1335);PD(691,1347);PD(686,1351);PD(677,1347);PD(659,1335);PD(616,1309);PD(571,1288);PD(526,1275);PD(485,1270);PD(451,1273);PD(437,1281);PD(469,1323);PD(545,1411);PD(615,1493);PD(662,1556);PD(676,1579);
PD(685,1598);PD(687,1612);PD(683,1620);PD(674,1622);PD(667,1611);PD(651,1584);PD(624,1550);PD(596,1522);PD(577,1510);PD(569,1512);PD(565,1519);PD(565,1530);PD(569,1546);PD(586,1590);PD(618,1650);PD(673,1751);
PD(703,1831);PD(717,1917);PD(720,2036);PD(724,2155);PD(738,2243);PD(750,2279);PD(765,2310);PD(783,2339);PD(806,2365);PD(821,2378);PD(839,2386);PD(857,2390);PD(875,2389);PD(891,2384);PD(906,2376);PD(917,2363);
PD(924,2347);PD(941,2319);PD(973,2296);PD(1009,2281);PD(1040,2282);PD(1062,2280);PD(1087,2265);PD(1103,2253);PD(1122,2246);PD(1148,2245);PD(1183,2248);PD(1213,2251);PD(1238,2250);PD(1257,2246);PD(1269,2239);
PD(1328,2225);PD(1461,2215);PD(1535,2213);PD(1588,2214);PD(1616,2217);PD(1621,2223);PD(1572,2234);PD(1470,2244);PD(1404,2249);PD(1354,2255);PD(1317,2265);PD(1288,2279);PD(1262,2293);PD(1241,2299);PD(1220,2297);
PD(1192,2287);PD(1165,2279);PD(1145,2277);PD(1127,2281);PD(1108,2292);PD(1094,2303);PD(1082,2317);PD(1074,2332);PD(1071,2347);PD(1070,2359);PD(1068,2364);PD(1065,2363);PD(1063,2354);PD(1052,2332);
PD(1037,2321);PD(1018,2319);PD(998,2325);PD(978,2338);PD(960,2358);PD(946,2383);PD(937,2413);PD(932,2441);PD(926,2456);PD(919,2459);PD(909,2454);PD(895,2445);PD(882,2441);PD(872,2443);PD(863,2451);PD(851,2483);
PD(847,2536);PD(846,2577);PD(843,2598);PD(838,2601);PD(828,2589);PD(810,2574);PD(793,2574);PD(781,2597);PD(776,2638);PD(779,2687);PD(790,2732);PD(798,2760);PD(796,2777);PD(788,2779);PD(775,2762);PD(762,2744);
PD(752,2742);PD(745,2751);PD(742,2770);PD(742,2795);PD(746,2825);PD(753,2855);PD(765,2884);PD(771,2898);PD(772,2905);PD(767,2906);PD(756,2903);PD(745,2901);PD(738,2906);PD(735,2920);PD(734,2944);PD(740,2993);
PD(755,3044);PD(770,3079);PD(775,3097);PD(769,3100);PD(752,3095);PD(741,3092);PD(735,3097);PD(734,3111);PD(738,3138);PD(750,3185);PD(768,3223);PD(791,3254);PD(814,3288);PD(840,3323);PD(800,3298);PD(780,3286);
PD(768,3281);PD(763,3284);PD(762,3295);PD(766,3318);PD(775,3343);PD(809,3381);PD(868,3428);PD(935,3473);PD(991,3501);PD(1011,3509);PD(1024,3517);PD(1031,3524);PD(1029,3529);PD(1002,3533);PD(961,3523);PD(910,3500);
PD(851,3464);PD(795,3430);PD(765,3415);PD(737,3431);PD(687,3471);PD(638,3525);PD(594,3590);PD(562,3654);PD(550,3706);PD(552,3723);PD(559,3730);PD(580,3728);PD(618,3717);PD(739,3699);PD(945,3684);PD(1120,3674);
PD(1233,3655);PD(1274,3641);PD(1311,3621);PD(1345,3596);PD(1381,3564);PD(1399,3549);PD(1412,3540);PD(1416,3538);PD(1419,3537);PD(1419,3539);PD(1418,3542);PD(1391,3584);PD(1361,3620);PD(1328,3651);PD(1293,3676);
PD(1238,3708);PD(1290,3724);PD(1333,3731);PD(1363,3730);PD(1388,3734);PD(1418,3754);PD(1438,3770);PD(1457,3778);PD(1479,3780);PD(1510,3776);PD(1550,3774);PD(1566,3780);PD(1579,3794);PD(1609,3810);PD(1631,3818);
PD(1651,3821);PD(1671,3818);PD(1693,3810);PD(1717,3802);PD(1737,3800);PD(1758,3805);PD(1784,3817);PD(1810,3830);PD(1831,3835);PD(1852,3833);PD(1878,3823);PD(1939,3810);PD(2018,3807);PD(2110,3811);PD(2049,3759);
PD(2009,3722);PD(1979,3685);PD(1958,3644);PD(1942,3598);PD(1939,3586);PD(1942,3585);PD(1950,3596);PD(1964,3618);PD(1995,3663);PD(2032,3701);PD(2076,3734);PD(2128,3761);PD(2190,3784);PD(2264,3803);PD(2350,3818);
PD(2450,3831);PD(2539,3841);PD(2609,3853);PD(2662,3865);PD(2699,3879);PD(2741,3898);PD(2762,3903);PD(2764,3886);PD(2755,3856);PD(2739,3821);PD(2718,3789);PD(2698,3766);PD(2683,3756);PD(2664,3759);PD(2635,3772);
PD(2590,3790);PD(2554,3794);PD(2522,3785);PD(2491,3763);PD(2474,3746);PD(2461,3725);PD(2451,3701);PD(2445,3673);PD(2440,3642);PD(2431,3623);PD(2416,3613);PD(2390,3607);PD(2348,3589);PD(2311,3559);PD(2292,3539);
PD(2270,3527);PD(2240,3522);PD(2194,3521);PD(2149,3518);PD(2112,3512);PD(2079,3500);PD(2043,3481);PD(1997,3449);PD(1955,3411);PD(1917,3366);PD(1885,3315);PD(1858,3260);PD(1837,3202);PD(1822,3140);PD(1813,3076);
PD(1806,2970);PD(1827,3066);PD(1851,3156);PD(1883,3238);PD(1922,3309);PD(1967,3370);PD(2018,3419);PD(2073,3455);PD(2102,3468);PD(2131,3478);PD(2162,3483);PD(2193,3485);PD(2225,3484);PD(2247,3479);PD(2262,3470);
PD(2273,3454);PD(2300,3411);PD(2329,3381);PD(2363,3364);PD(2402,3358);PD(2431,3357);PD(2447,3352);PD(2454,3340);PD(2455,3318);PD(2458,3281);PD(2464,3253);PD(2483,3229);PD(2515,3209);PD(2551,3196);PD(2581,3196);
PD(2595,3198);PD(2606,3189);PD(2615,3168);PD(2625,3131);PD(2635,3057);PD(2632,2982);PD(2616,2908);PD(2588,2837);PD(2548,2771);PD(2497,2711);PD(2437,2659);PD(2368,2616);PD(2328,2599);PD(2282,2586);PD(2232,2576);
PD(2180,2570);PD(2129,2568);PD(2080,2570);PD(2037,2576);PD(2001,2587);PD(1971,2601);PD(1956,2615);PD(1953,2638);PD(1957,2678);PD(1959,2720);PD(1954,2759);PD(1944,2794);PD(1928,2825);PD(1905,2852);PD(1877,2875);
PD(1844,2893);PD(1805,2907);PD(1757,2920);PD(1792,2896);PD(1829,2868);PD(1860,2842);PD(1883,2815);PD(1900,2787);PD(1911,2759);PD(1915,2730);PD(1914,2699);PD(1906,2666);PD(1880,2614);PD(1837,2559);PD(1813,2535);
PD(1790,2516);PD(1770,2502);PD(1754,2498);PD(1729,2504);PD(1701,2521);PD(1672,2546);PD(1644,2577);PD(1619,2612);PD(1599,2648);PD(1585,2683);PD(1580,2715);PD(1586,2752);PD(1602,2794);PD(1626,2837);PD(1655,2876);
PD(1673,2899);PD(1672,2905);PD(1652,2896);PD(1616,2872);PD(1578,2834);PD(1552,2793);PD(1543,2754);PD(1541,2705);PD(1546,2654);PD(1558,2611);PD(1556,2591);PD(1539,2570);PD(1509,2549);PD(1469,2529);PD(1423,2511);
PD(1372,2497);PD(1321,2487);PD(1271,2484);PD(1210,2488);PD(1151,2499);PD(1096,2519);PD(1046,2546);PD(999,2581);PD(958,2623);PD(921,2672);PD(889,2728);PD(856,2808);PD(835,2888);PD(826,2967);PD(828,3044);PD(843,3117);
PD(869,3186);PD(906,3249);PD(955,3305);PD(984,3330);PD(1014,3352);PD(1045,3370);PD(1078,3384);PD(1110,3394);PD(1144,3400);PD(1178,3402);PD(1212,3400);PD(1247,3395);PD(1282,3386);PD(1317,3373);PD(1352,3356);
PD(1420,3312);PD(1487,3253);PD(1543,3187);PD(1588,3118);PD(1621,3047);PD(1640,2977);PD(1645,2947);PD(1647,2940);PD(1646,2958);PD(1644,3001);PD(1635,3061);PD(1616,3120);PD(1587,3179);PD(1549,3235);PD(1504,3288);
PD(1452,3335);PD(1394,3377);PD(1332,3411);PD(1279,3430);PD(1224,3441);PD(1170,3443);PD(1116,3436);PD(1063,3422);PD(1012,3399);PD(964,3368);PD(919,3329);PD(879,3282);PD(846,3230);PD(821,3175);PD(802,3116);
PD(791,3055);PD(787,2993);PD(789,2930);PD(798,2867);PD(813,2806);PD(835,2746);PD(862,2690);PD(895,2637);PD(934,2589);PD(979,2546);PD(1029,2510);PD(1084,2481);PD(1139,2461);PD(1198,2449);PD(1257,2444);
PD(1317,2447);PD(1375,2456);PD(1430,2474);PD(1482,2498);PD(1528,2529);PD(1583,2571);PD(1634,2522);PD(1675,2486);PD(1711,2461);PD(1743,2446);PD(1771,2441);PD(1810,2463);PD(1870,2517);PD(1945,2595);PD(2005,2564);
PD(2040,2550);PD(2078,2540);PD(2121,2535);PD(2166,2533);PD(2212,2536);PD(2259,2543);PD(2305,2553);PD(2350,2568);PD(2394,2589);PD(2438,2616);PD(2481,2649);PD(2521,2686);PD(2558,2726);PD(2591,2769);PD(2618,2813);
PD(2639,2857);PD(2653,2900);PD(2663,2946);PD(2670,2993);PD(2673,3038);PD(2673,3082);PD(2669,3121);PD(2661,3154);PD(2649,3179);PD(2635,3206);PD(2639,3217);PD(2659,3231);PD(2682,3265);PD(2701,3305);PD(2709,3339);
PD(2712,3353);PD(2720,3365);PD(2734,3374);PD(2754,3381);PD(2794,3402);PD(2829,3439);PD(2843,3460);PD(2855,3481);PD(2862,3503);PD(2865,3524);PD(2861,3543);PD(2852,3563);PD(2839,3582);PD(2822,3601);PD(2802,3617);
PD(2781,3629);PD(2760,3638);PD(2739,3641);PD(2717,3642);PD(2704,3646);PD(2697,3656);PD(2695,3670);PD(2705,3700);PD(2731,3728);PD(2759,3755);PD(2780,3785);PD(2795,3824);PD(2808,3878);PD(2814,3927);PD(2813,3969);
PD(2806,3997);PD(2794,4008);PD(2779,3999);PD(2757,3978);PU(2630,3723);PD(2646,3690);PD(2652,3655);PD(2647,3621);PD(2633,3591);PD(2613,3576);PD(2592,3574);PD(2583,3579);PD(2575,3586);PD(2570,3596);PD(2568,3608);
PD(2564,3633);PD(2553,3655);PD(2546,3661);PD(2543,3656);PD(2543,3639);PD(2547,3610);PD(2551,3573);PD(2550,3553);PD(2543,3544);PD(2529,3542);PD(2518,3545);PD(2507,3552);PD(2497,3564);PD(2488,3580);PD(2475,3618);
PD(2469,3662);PD(2475,3690);PD(2488,3713);PD(2509,3732);PD(2533,3745);PD(2560,3751);PD(2587,3750);PD(2611,3741);PD(2630,3723);PU(2805,3574);PD(2819,3546);PD(2821,3516);PD(2812,3484);PD(2793,3452);PD(2776,3433);
PD(2759,3421);PD(2738,3417);PD(2711,3418);PD(2689,3421);PD(2672,3427);PD(2661,3435);PD(2655,3444);PD(2656,3454);PD(2663,3465);PD(2676,3475);PD(2695,3485);PD(2730,3502);PD(2744,3515);PD(2737,3521);PD(2708,3518);
PD(2679,3516);PD(2657,3524);PD(2644,3540);PD(2639,3564);PD(2644,3581);PD(2660,3593);PD(2682,3601);PD(2709,3604);PD(2737,3604);PD(2764,3599);PD(2788,3589);PD(2805,3574);PU(2479,3549);PD(2493,3537);PD(2501,3526);
PD(2504,3515);PD(2501,3505);PD(2494,3497);PD(2481,3490);PD(2464,3486);PD(2443,3484);PD(2392,3481);PD(2445,3467);PD(2479,3454);PD(2491,3440);PD(2483,3423);PD(2454,3404);PD(2422,3394);PD(2387,3395);PD(2356,3405);
PD(2333,3425);PD(2322,3441);PD(2316,3457);PD(2314,3474);PD(2315,3489);PD(2326,3519);PD(2347,3543);PD(2376,3560);PD(2409,3568);PD(2444,3565);PD(2479,3549);PU(2635,3504);PD(2631,3481);PD(2612,3453);PD(2596,3439);
PD(2583,3432);PD(2570,3432);PD(2557,3437);PD(2539,3455);PD(2529,3477);PD(2529,3499);PD(2539,3519);PD(2561,3530);PD(2590,3531);PD(2618,3521);PD(2635,3504);PU(2553,3402);PD(2561,3394);PD(2565,3381);PD(2567,3365);
PD(2565,3344);PD(2562,3320);PD(2562,3309);PD(2567,3311);PD(2578,3323);PD(2591,3350);PD(2596,3374);PD(2601,3395);PD(2612,3407);PD(2628,3410);PD(2646,3401);PD(2656,3389);PD(2663,3374);PD(2666,3357);PD(2666,3338);
PD(2655,3300);PD(2632,3267);PD(2608,3244);PD(2588,3234);PD(2566,3235);PD(2534,3246);PD(2516,3254);PD(2505,3265);PD(2499,3281);PD(2498,3305);PD(2500,3345);PD(2506,3380);PD(2515,3405);PD(2524,3415);PD(2536,3411);
PD(2553,3402);PU(1259,1208);PD(1286,1183);PD(1303,1161);PD(1310,1141);PD(1310,1119);PD(1305,1099);PD(1297,1085);PD(1285,1076);PD(1271,1074);PD(1254,1077);PD(1235,1085);PD(1214,1100);PD(1192,1120);PD(1158,1164);
PD(1138,1208);PD(1131,1258);PD(1136,1315);PD(1147,1374);PD(1174,1315);PD(1211,1259);PD(1259,1208);PU(2461,988);PD(2502,953);PD(2533,909);PD(2555,861);PD(2566,811);PD(2566,764);PD(2555,723);PD(2545,706);
PD(2532,691);PD(2516,680);PD(2498,673);PD(2483,671);PD(2476,673);PD(2474,681);PD(2478,696);PD(2485,725);PD(2488,757);PD(2487,789);PD(2482,822);PD(2474,854);PD(2463,884);PD(2448,911);PD(2430,936);PD(2407,957);
PD(2397,957);PD(2402,938);PD(2420,900);PD(2437,863);PD(2448,825);PD(2453,787);PD(2452,750);PD(2446,717);PD(2434,689);PD(2417,668);PD(2395,655);PD(2382,652);PD(2370,652);PD(2361,656);PD(2353,665);PD(2340,699);
PD(2328,756);PD(2315,820);PD(2301,871);PD(2286,905);PD(2272,917);PD(2270,902);PD(2280,865);PD(2293,805);PD(2300,737);PD(2299,697);PD(2295,673);PD(2285,659);PD(2269,651);PD(2248,646);PD(2228,647);PD(2208,653);
PD(2189,665);PD(2173,681);PD(2158,701);PD(2147,724);PD(2139,751);PD(2138,808);PD(2148,877);PD(2167,941);PD(2191,985);PD(2210,1001);PD(2233,1011);PD(2267,1015);PD(2320,1016);PD(2369,1015);PD(2407,1010);
PD(2436,1001);PD(2461,988);PU(2004,920);PD(2010,886);PD(2025,835);PD(2036,788);PD(2036,741);PD(2028,699);PD(2013,664);PD(1992,638);PD(1967,625);PD(1954,623);PD(1940,625);PD(1926,632);PD(1912,643);PD(1901,659);
PD(1894,683);PD(1892,717);PD(1894,768);PD(1901,847);PD(1911,896);PD(1917,911);PD(1917,917);PD(1912,914);PD(1901,903);PD(1880,867);PD(1865,810);PD(1857,744);PD(1858,682);PD(1861,651);PD(1859,632);PD(1852,621);
PD(1837,614);PD(1820,611);PD(1803,611);PD(1787,616);PD(1773,624);PD(1747,650);PD(1727,685);PD(1714,728);PD(1710,775);PD(1715,823);PD(1730,869);PD(1743,893);PD(1757,908);PD(1773,915);PD(1795,917);PD(1834,923);
PD(1874,938);PD(1906,957);PD(1919,975);PD(1932,978);PD(1961,967);PD(1992,944);PD(2004,920);PU(2131,931);PD(2114,922);PD(2073,917);PD(2050,918);PD(2034,921);PD(2025,926);PD(2025,931);PD(2045,942);PD(2083,945);
PD(2117,942);PD(2131,931);PU(1699,865);PD(1686,815);PD(1681,769);PD(1686,724);PD(1699,675);PD(1706,653);PD(1709,637);PD(1707,626);PD(1702,621);PD(1679,627);PD(1641,655);PD(1620,675);PD(1608,697);PD(1603,726);
PD(1602,769);PD(1603,813);PD(1608,842);PD(1620,863);PD(1641,883);PD(1679,911);PD(1702,918);PD(1707,912);PD(1709,902);PD(1706,886);PD(1699,865);PU(2117,818);PD(2116,786);PD(2112,764);PD(2106,752);PD(2097,748);
PD(2087,753);PD(2077,766);PD(2069,785);PD(2062,808);PD(2058,830);PD(2056,851);PD(2058,868);PD(2064,878);PD(2078,885);PD(2089,889);PD(2098,889);PD(2105,884);PD(2114,861);PD(2117,818);PU(2076,3165);PD(2053,3151);
PD(2031,3131);PD(2010,3108);PD(1990,3080);PD(1958,3019);PD(1940,2956);PD(1938,2905);PD(1945,2852);PD(1960,2801);PD(1983,2753);PD(2011,2710);PD(2045,2674);PD(2083,2647);PD(2124,2630);PD(2175,2624);PD(2224,2631);
PD(2270,2650);PD(2312,2679);PD(2348,2717);PD(2378,2764);PD(2399,2818);PD(2410,2879);PD(2412,2919);PD(2409,2957);PD(2402,2993);PD(2391,3027);PD(2377,3059);PD(2360,3087);PD(2339,3113);PD(2317,3136);PD(2291,3155);
PD(2264,3170);PD(2235,3181);PD(2205,3187);PD(2173,3189);PD(2141,3186);PD(2109,3178);PD(2076,3165);PU(2320,3058);PD(2330,3047);PD(2336,3034);PD(2340,3018);PD(2340,3001);PD(2332,2968);PD(2313,2945);PD(2288,2935);
PD(2263,2936);PD(2241,2944);PD(2223,2959);PD(2211,2979);PD(2205,3002);PD(2209,3025);PD(2223,3048);PD(2245,3067);PD(2269,3075);PD(2294,3072);PD(2320,3058);PU(1116,3109);PD(1093,3095);PD(1071,3075);PD(1050,3051);
PD(1030,3024);PD(999,2963);PD(981,2900);PD(978,2865);PD(978,2830);PD(983,2797);PD(991,2764);PD(1017,2704);PD(1053,2653);PD(1075,2631);PD(1099,2612);PD(1125,2596);PD(1152,2584);PD(1180,2575);PD(1209,2571);
PD(1239,2571);PD(1270,2575);PD(1294,2584);PD(1319,2598);PD(1345,2617);PD(1370,2641);PD(1393,2667);PD(1412,2694);PD(1428,2721);PD(1438,2747);PD(1448,2794);PD(1452,2838);PD(1451,2881);PD(1445,2923);
PD(1435,2961);PD(1420,2997);PD(1401,3029);PD(1379,3058);PD(1353,3083);PD(1325,3103);PD(1294,3119);PD(1261,3129);PD(1227,3133);PD(1191,3132);PD(1154,3124);PD(1116,3109);PU(1355,3021);PD(1364,2995);
PD(1369,2972);PD(1362,2950);PD(1345,2929);PD(1322,2913);PD(1298,2907);PD(1278,2911);PD(1260,2921);PD(1246,2936);PD(1235,2954);PD(1229,2974);PD(1228,2995);PD(1233,3014);PD(1245,3031);PD(1271,3045);
PD(1303,3048);PD(1334,3040);PD(1355,3021);PU(2420,2114);PD(2430,2075);PD(2437,2026);PD(2440,1997);PD(2439,1982);PD(2431,1978);PD(2414,1983);PD(2399,1986);PD(2390,1982);PD(2386,1969);PD(2385,1945);
PD(2377,1894);PD(2356,1850);PD(2342,1832);PD(2328,1820);PD(2314,1813);PD(2300,1813);PD(2287,1815);PD(2276,1812);PD(2266,1803);PD(2256,1789);PD(2234,1755);PD(2204,1719);PD(2187,1699);PD(2179,1687);
PD(2181,1681);PD(2191,1679);PD(2221,1696);PD(2255,1734);PD(2273,1758);PD(2292,1777);PD(2311,1789);PD(2328,1795);PD(2347,1800);PD(2362,1813);PD(2376,1836);PD(2392,1873);PD(2404,1902);PD(2417,1925);
PD(2428,1938);PD(2437,1942);PD(2449,1941);PD(2459,1949);PD(2465,1964);PD(2469,1984);PD(2465,2036);PD(2448,2094);PD(2431,2128);PD(2419,2144);PD(2414,2140);PD(2420,2114);PU(1291,1957);PD(1286,1902);
PD(1287,1854);PD(1290,1834);PD(1296,1822);PD(1307,1817);PD(1324,1818);PD(1340,1818);PD(1350,1811);PD(1354,1793);PD(1355,1758);PD(1358,1717);PD(1369,1697);PD(1392,1695);PD(1429,1709);PD(1449,1716);
PD(1463,1716);PD(1478,1709);PD(1494,1695);PD(1519,1676);PD(1542,1666);PD(1552,1665);PD(1559,1667);PD(1565,1672);PD(1566,1679);PD(1561,1689);PD(1547,1693);PD(1524,1704);PD(1499,1730);PD(1483,1751);
PD(1471,1759);PD(1457,1756);PD(1435,1743);PD(1417,1732);PD(1403,1727);PD(1393,1726);PD(1385,1731);PD(1378,1758);PD(1380,1809);PD(1383,1846);PD(1382,1867);PD(1377,1873);PD(1367,1867);PD(1347,1854);
PD(1322,1849);PD(1309,1850);PD(1302,1859);PD(1301,1877);PD(1305,1909);PD(1314,1958);PD(1321,1994);PD(1322,2011);PD(1314,2018);PD(1301,2000);PD(1291,1957);PU(1022,615);PD(1069,589);PD(1111,558);PD(1147,524);
PD(1178,487);PD(1204,446);PD(1224,401);PD(1239,353);PD(1249,301);PD(1254,248);PD(1252,226);PD(1209,240);PD(1142,273);PD(1078,310);PD(1046,337);PD(1035,385);PD(1029,461);PD(1024,552);PD(1016,587);
PD(1008,564);PD(1003,480);PD(1004,425);PD(1006,381);PD(1012,347);PD(1023,320);PD(1038,298);PD(1060,279);PD(1090,262);PD(1127,244);PD(1195,208);PD(1247,172);PD(1288,134);PD(1280,257);PD(1272,323);
PD(1258,384);PD(1238,440);PD(1213,490);PD(1181,534);PD(1145,571);PD(1103,602);PD(1056,627);PD(1004,645);PD(979,648);PD(983,637);PD(1022,615);PU(2287,442);PD(2265,411);PD(2252,384);PD(2245,353);PD(2244,310);
PD(2249,248);PD(2262,209);PD(2267,203);PD(2273,200);PD(2280,201);PD(2290,206);PD(2317,230);PD(2361,277);PD(2412,340);PD(2438,391);PD(2442,413);PD(2441,434);PD(2434,454);PD(2421,474);PD(2411,487);PD(2406,487);
PD(2405,472);PD(2409,440);PD(2412,405);PD(2406,379);PD(2387,352);PD(2348,315);PD(2280,248);PD(2270,296);PD(2267,338);PD(2274,378);PD(2294,417);PD(2326,456);PD(2347,483);PD(2347,494);PD(2322,478);PD(2287,442);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_5(){//миньон
M=0.37;// 
PD(1270,4280);pendown();
PD(1277,4264);PD(1293,4247);PD(1321,4214);PD(1350,4166);PD(1374,4114);PD(1386,4071);PD(1387,4048);PD(1381,4035);PD(1365,4026);PD(1336,4020);PD(1304,4017);PD(1283,4022);PD(1264,4041);PD(1239,4080);PD(1207,4130);PD(1193,4146);PD(1196,4130);PD(1219,4080);PD(1254,4010);PD(1209,4002);PD(1187,3999);PD(1171,3999);PD(1159,4005);PD(1150,4016);PD(1123,4054);PD(1088,4095);PD(1053,4130);PD(1024,4151);PD(1020,4153);PD(1019,4151);PD(1021,4146);PD(1026,4139);PD(1043,4116);PD(1070,4087);PD(1121,4026);PD(1143,3995);PD(1099,3969);PD(1051,3955);PD(1040,3973);PD(1017,4010);PD(986,4052);PD(948,4089);PD(914,4113);PD(893,4115);PD(895,4107);PD(909,4098);PD(938,4074);PD(978,4029);PD(1015,3981);PD(1030,3951);PD(1015,3938);PD(979,3919);PD(929,3893);PD(875,3954);PD(836,4000);PD(818,4024);PD(809,4037);PD(787,4051);PD(782,4054);PD(779,4053);PD(780,4048);PD(784,4040);PD(801,4015);PD(830,3979);PD(871,3929);PD(890,3899);PD(892,3881);PD(881,3865);PD(859,3847);PD(836,3840);PD(811,3844);PD(785,3859);PD(744,3880);PD(693,3889);PD(641,3888);PD(598,3875);PD(557,3852);PD(600,3862);PD(642,3869);PD(681,3869);PD(720,3861);PD(763,3844);PD(818,3820);PD(790,3789);PD(772,3773);PD(748,3762);PD(717,3755);PD(676,3751);PD(632,3746);PD(600,3738);PD(576,3726);PD(553,3706);PD(515,3666);PD(564,3694);PD(611,3716);PD(662,3731);PD(703,3738);PD(720,3732);PD(704,3703);PD(665,3649);PD(600,3551);PD(551,3450);PD(533,3401);PD(519,3353);PD(511,3308);PD(508,3267);PD(504,3232);PD(495,3210);PD(481,3028);PD(466,2611);PD(450,2195);PD(437,2018);PD(426,1979);PD(419,1907);PD(419,1834);PD(428,1794);PD(434,1784);PD(435,1776);PD(429,1769);PD(416,1761);PD(373,1731);PD(329,1689);PD(285,1639);PD(244,1584);PD(209,1527);PD(181,1472);PD(162,1422);PD(155,1380);PD(159,1356);PD(171,1330);PD(189,1304);PD(214,1277);PD(246,1251);PD(283,1226);PD(325,1202);PD(371,1180);PD(452,1143);PD(490,1123);PD(488,1110);PD(468,1092);PD(456,1081);PD(447,1067);PD(441,1051);PD(438,1033);PD(438,1016);PD(441,1000);PD(448,985);PD(459,974);PD(487,963);PD(528,964);PD(556,966);PD(577,961);PD(599,943);PD(628,909);PD(689,845);PD(761,785);PD(841,733);PD(926,691);PD(989,662);PD(1025,635);PD(1035,620);PD(1041,603);PD(1043,584);PD(1041,560);PD(1037,536);PD(1029,521);PD(1010,513);PD(978,507);PD(951,502);PD(929,496);PD(911,488);PD(897,477);PD(876,444);PD(861,391);PD(855,361);PD(854,337);PD(857,318);PD(865,304);PD(880,294);PD(902,286);PD(931,279);PD(969,274);PD(1023,270);PD(1084,271);PD(1150,276);PD(1216,284);PD(1279,295);PD(1333,308);PD(1374,322);PD(1400,337);PD(1409,381);PD(1415,473);PD(1420,600);PD(1548,604);PD(1676,608);PD(1685,533);PD(1691,463);PD(1693,399);PD(1695,373);PD(1700,352);PD(1710,334);PD(1726,320);PD(1748,308);PD(1777,298);PD(1815,290);PD(1863,282);PD(1942,275);PD(2022,275);PD(2100,282);PD(2177,298);PD(2205,307);PD(2221,316);PD(2228,331);PD(2230,354);PD(2233,383);PD(2241,392);PD(2259,383);PD(2289,368);PD(2321,359);PD(2358,360);PD(2397,370);PD(2437,388);PD(2476,414);PD(2512,446);PD(2544,484);PD(2570,526);PD(2597,603);PD(2623,710);PD(2635,788);PD(2641,863);PD(2639,961);PD(2630,1108);PD(2614,1318);PD(2592,1490);PD(2564,1634);PD(2527,1764);PD(2496,1876);PD(2476,1978);PD(2466,2048);PD(2454,2081);PD(2445,2128);PD(2441,2227);PD(2435,2408);PD(2421,2653);PD(2411,2870);PD(2414,2975);PD(2424,3017);PD(2426,3070);PD(2421,3128);PD(2407,3186);PD(2389,3258);PD(2372,3336);PD(2350,3421);PD(2313,3509);PD(2264,3599);PD(2203,3687);PD(2153,3758);PD(2136,3794);PD(2161,3815);PD(2201,3833);PD(2245,3844);PD(2280,3844);PD(2297,3840);PD(2307,3840);PD(2311,3843);PD(2309,3851);PD(2299,3859);PD(2285,3864);PD(2267,3866);PD(2245,3865);PD(2198,3854);PD(2153,3831);PD(2101,3796);PD(2066,3830);PD(2048,3848);PD(2039,3863);PD(2038,3877);PD(2045,3893);PD(2073,3922);PD(2117,3951);PD(2155,3972);PD(2170,3983);PD(2164,3986);PD(2136,3982);PD(2096,3964);PD(2050,3927);PD(2015,3898);PD(1984,3885);PD(1952,3890);PD(1916,3912);PD(1908,3918);PD(1902,3925);PD(1900,3932);PD(1903,3943);PD(1924,3980);PD(1971,4050);PD(1995,4085);PD(1956,4050);PD(1922,4013);PD(1895,3975);PD(1883,3955);PD(1871,3944);PD(1857,3941);PD(1837,3944);PD(1807,3953);PD(1795,3962);PD(1800,3977);PD(1820,4001);PD(1841,4027);PD(1846,4043);PD(1832,4038);PD(1806,4015);PD(1777,3993);PD(1745,3982);PD(1712,3981);PD(1682,3992);PD(1674,4001);PD(1674,4013);PD(1682,4033);PD(1700,4061);PD(1738,4109);PD(1774,4142);PD(1796,4160);PD(1801,4173);PD(1782,4172);PD(1751,4151);PD(1715,4116);PD(1679,4071);PD(1657,4041);PD(1637,4021);PD(1619,4011);PD(1599,4008);PD(1579,4009);PD(1570,4016);PD(1568,4034);PD(1572,4068);PD(1587,4126);PD(1609,4183);PD(1627,4224);PD(1630,4245);PD(1614,4234);PD(1591,4194);PD(1568,4138);PD(1551,4081);PD(1543,4045);PD(1535,4023);PD(1525,4013);PD(1514,4013);PD(1487,4019);PD(1452,4022);PD(1431,4023);PD(1418,4029);PD(1413,4040);PD(1411,4060);PD(1403,4105);PD(1381,4158);PD(1349,4211);PD(1312,4255);PD(1283,4279);PD(1270,4280);PU(1387,3954);PD(1388,3931);PD(1396,3923);PD(1407,3932);PD(1414,3955);PD(1418,3971);PD(1427,3981);PD(1444,3984);PD(1473,3984);PD(1516,3976);PD(1540,3962);PD(1546,3955);PD(1553,3953);PD(1561,3956);PD(1572,3964);PD(1592,3975);PD(1608,3971);PD(1619,3955);PD(1624,3926);PD(1626,3888);PD(1635,3923);PD(1642,3938);PD(1650,3948);PD(1660,3954);PD(1674,3954);PD(1705,3947);PD(1724,3939);PD(1733,3926);PD(1736,3906);PD(1736,3889);PD(1738,3883);PD(1744,3887);PD(1754,3900);PD(1765,3913);PD(1777,3919);PD(1793,3919);PD(1815,3913);PD(1834,3904);PD(1846,3894);PD(1852,3882);PD(1853,3865);PD(1851,3847);PD(1852,3840);PD(1858,3843);PD(1868,3857);PD(1880,3870);PD(1892,3875);PD(1910,3871);PD(1939,3858);PD(1961,3845);PD(1977,3832);PD(1987,3818);PD(1991,3804);PD(1992,3794);PD(1994,3789);PD(1996,3788);PD(2000,3793);PD(2005,3803);PD(2012,3808);PD(2021,3808);PD(2033,3802);PD(2070,3774);PD(2127,3718);PD(2170,3671);PD(2207,3624);PD(2238,3575);PD(2265,3524);PD(2310,3414);PD(2341,3311);PD(2351,3266);PD(2355,3229);PD(2355,3201);PD(2348,3185);PD(2338,3180);PD(2326,3181);PD(2312,3188);PD(2298,3201);PD(2267,3240);PD(2238,3295);PD(2202,3363);PD(2157,3422);PD(2105,3471);PD(2045,3509);PD(1980,3537);PD(1909,3554);PD(1834,3560);PD(1755,3553);PD(1681,3535);PD(1611,3507);PD(1550,3470);PD(1504,3428);PD(1466,3382);PD(1400,3446);PD(1365,3477);PD(1332,3504);PD(1298,3526);PD(1264,3544);PD(1228,3559);PD(1190,3569);PD(1150,3577);PD(1106,3581);PD(1033,3581);PD(964,3572);PD(902,3554);PD(845,3528);PD(795,3493);PD(752,3450);PD(717,3400);PD(690,3343);PD(672,3299);PD(655,3270);PD(636,3251);PD(610,3237);PD(566,3221);PD(544,3222);PD(538,3243);PD(542,3289);PD(551,3340);PD(565,3391);PD(584,3442);PD(606,3493);PD(633,3543);PD(663,3591);PD(696,3636);PD(732,3679);PD(753,3700);PD(770,3712);PD(786,3717);PD(800,3715);PD(812,3711);PD(817,3712);PD(816,3717);PD(807,3728);PD(799,3739);PD(798,3749);PD(802,3758);PD(811,3768);PD(823,3776);PD(833,3778);PD(843,3775);PD(855,3766);PD(867,3757);PD(873,3755);PD(874,3762);PD(869,3778);PD(866,3793);PD(868,3806);PD(877,3816);PD(892,3826);PD(906,3833);PD(917,3835);PD(924,3833);PD(929,3826);PD(936,3812);PD(945,3811);PD(951,3819);PD(950,3837);PD(949,3850);PD(955,3863);PD(968,3874);PD(989,3886);PD(1022,3902);PD(1038,3906);PD(1044,3898);PD(1044,3875);PD(1049,3847);PD(1060,3830);PD(1067,3828);PD(1071,3833);PD(1071,3845);PD(1070,3865);PD(1068,3895);PD(1075,3915);PD(1094,3931);PD(1125,3943);PD(1139,3946);PD(1150,3944);PD(1157,3938);PD(1161,3927);PD(1165,3915);PD(1167,3912);PD(1169,3918);PD(1170,3931);PD(1173,3945);PD(1180,3956);PD(1192,3964);PD(1209,3969);PD(1238,3971);PD(1255,3963);PD(1262,3946);PD(1259,3919);PD(1257,3906);PD(1258,3899);PD(1261,3897);PD(1267,3900);PD(1279,3917);PD(1284,3944);PD(1286,3960);PD(1292,3971);PD(1302,3979);PD(1317,3984);PD(1351,3988);PD(1374,3985);PD(1385,3974);PD(1387,3954);PU(1238,3535);PD(1290,3507);PD(1340,3473);PD(1385,3432);PD(1424,3385);PD(1465,3330);PD(1500,3385);PD(1536,3430);PD(1582,3466);PD(1640,3496);PD(1713,3521);PD(1754,3530);PD(1795,3536);PD(1836,3538);PD(1877,3535);PD(1917,3529);PD(1956,3519);PD(1993,3506);PD(2029,3490);PD(2064,3470);PD(2096,3448);PD(2126,3422);PD(2153,3394);PD(2177,3363);PD(2198,3330);PD(2215,3294);PD(2228,3257);PD(2241,3182);PD(2244,3092);PD(2238,3005);PD(2223,2939);PD(2188,2881);PD(2137,2823);PD(2076,2772);PD(2012,2735);PD(1969,2719);PD(1922,2708);PD(1873,2702);PD(1822,2701);PD(1772,2704);PD(1723,2713);PD(1676,2726);PD(1633,2745);PD(1560,2789);PD(1501,2839);PD(1465,2877);PD(1445,2893);PD(1424,2880);PD(1386,2849);PD(1338,2812);PD(1286,2782);PD(1233,2759);PD(1177,2744);PD(1120,2736);PD(1061,2736);PD(1001,2744);PD(941,2759);PD(882,2782);PD(829,2814);PD(783,2852);PD(745,2898);PD(714,2950);PD(691,3008);PD(677,3071);PD(672,3140);PD(676,3218);PD(690,3290);PD(714,3355);PD(747,3411);PD(790,3460);PD(841,3501);PD(901,3533);PD(969,3556);PD(1031,3564);PD(1105,3562);PD(1177,3552);PD(1238,3535);PU(619,2976);PD(652,2960);PD(682,2939);PD(708,2914);PD(731,2884);PD(760,2849);PD(792,2817);PD(828,2790);PD(867,2766);PD(908,2747);PD(951,2732);PD(995,2721);PD(1041,2714);PD(1087,2712);PD(1133,2714);PD(1179,2721);PD(1224,2732);PD(1268,2747);PD(1310,2767);PD(1350,2792);PD(1387,2821);PD(1439,2867);PD(1506,2808);PD(1555,2768);PD(1604,2735);PD(1653,2710);PD(1703,2691);PD(1753,2678);PD(1805,2673);PD(1857,2674);PD(1911,2681);PD(1964,2694);PD(2013,2710);PD(2059,2731);PD(2100,2756);PD(2138,2784);PD(2171,2817);PD(2200,2853);PD(2225,2893);PD(2241,2915);PD(2260,2934);PD(2281,2950);PD(2306,2962);PD(2344,2974);PD(2362,2976);PD(2381,2629);PD(2402,2107);PD(2405,2007);PD(2326,1916);PD(2246,1834);PD(2165,1762);PD(2084,1700);PD(1554,1702);PD(1214,1703);PD(1025,1715);PD(958,1729);PD(892,1750);PD(816,1781);PD(718,1823);PD(594,1881);PD(525,1923);PD(516,1935);PD(510,1950);PD(505,1974);PD(503,2013);PD(503,2153);PD(509,2413);PD(517,2757);PD(521,2939);PD(527,2986);PD(538,3006);PD(568,2997);PD(619,2976);PU(2454,1942);PD(2457,1867);PD(2337,1731);PD(2254,1640);PD(2209,1596);PD(2197,1589);PD(2191,1590);PD(2188,1599);PD(2187,1614);PD(2183,1639);PD(2172,1656);PD(2155,1667);PD(2136,1672);PD(2115,1669);PD(2095,1660);PD(2078,1643);PD(2066,1620);PD(2063,1604);PD(2065,1590);PD(2073,1577);PD(2087,1564);PD(2107,1542);PD(2110,1524);PD(2098,1512);PD(2085,1512);PD(2070,1523);PD(2052,1545);PD(2042,1564);PD(2036,1583);PD(2036,1602);PD(2040,1620);PD(2049,1637);PD(2064,1654);PD(2083,1671);PD(2107,1688);PD(2181,1745);PD(2274,1831);PD(2359,1918);PD(2407,1980);PD(2427,2010);PD(2441,2014);PD(2449,1991);PD(2454,1942);PU(652,1819);PD(754,1773);PD(863,1731);PD(973,1695);PD(1081,1665);PD(1103,1658);PD(1122,1650);PD(1135,1640);PD(1144,1627);PD(1149,1612);PD(1150,1594);PD(1147,1574);PD(1140,1551);PD(1133,1534);PD(1123,1521);PD(1112,1513);PD(1099,1510);PD(1081,1512);PD(1074,1518);PD(1078,1530);PD(1094,1547);PD(1108,1565);PD(1115,1584);PD(1115,1602);PD(1108,1619);PD(1097,1632);PD(1080,1643);PD(1059,1648);PD(1034,1648);PD(1013,1644);PD(1001,1636);PD(996,1620);PD(995,1593);PD(995,1541);PD(938,1562);PD(835,1608);PD(667,1688);PD(452,1791);PD(452,1871);PD(452,1953);PD(481,1921);PD(544,1877);PD(652,1819);PU(2527,1658);PD(2560,1501);PD(2582,1353);PD(2595,1201);PD(2600,1050);PD(2598,931);PD(2588,875);PD(2562,867);PD(2516,869);PD(2460,878);PD(2441,1156);PD(2425,1357);PD(2412,1453);PD(2406,1455);PD(2403,1441);PD(2401,1412);PD(2402,1370);PD(2406,1264);PD(2307,1233);PD(2235,1214);PD(2199,1212);PD(2187,1261);PD(2173,1363);PD(2159,1504);PD(2299,1647);PD(2400,1756);PD(2448,1820);PD(2455,1836);PD(2462,1842);PD(2470,1838);PD(2478,1824);PD(2499,1765);PD(2527,1658);PU(684,1652);PD(896,1554);PD(905,1458);PD(912,1355);PD(915,1247);PD(915,1163);PD(910,1129);PD(714,1183);PD(526,1245);PD(518,1259);PD(512,1289);PD(509,1334);PD(508,1393);PD(508,1527);PD(470,1517);PD(428,1499);PD(382,1470);PD(341,1439);PD(306,1415);PD(290,1405);PD(285,1399);PD(291,1393);PD(310,1386);PD(413,1343);PD(456,1318);PD(463,1289);PD(471,1238);PD(477,1198);PD(476,1179);PD(467,1174);PD(449,1178);PD(385,1203);PD(313,1238);PD(250,1277);PD(212,1308);PD(199,1327);PD(191,1345);PD(186,1365);PD(185,1386);PD(196,1435);PD(222,1497);PD(270,1570);PD(340,1653);PD(376,1691);PD(409,1721);PD(436,1742);PD(454,1750);PD(530,1721);PD(684,1652);PU(2021,1604);PD(2020,1576);PD(2022,1550);PD(2028,1529);PD(2037,1511);PD(2048,1498);PD(2062,1489);PD(2078,1485);PD(2097,1487);PD(2109,1490);PD(2118,1487);PD(2126,1479);PD(2132,1463);PD(2142,1399);PD(2153,1281);PD(2157,1240);PD(2161,1209);PD(2167,1188);PD(2178,1177);PD(2196,1173);PD(2222,1176);PD(2258,1185);PD(2307,1198);PD(2378,1216);PD(2410,1221);PD(2409,1187);PD(2386,1120);PD(2351,1042);PD(2311,974);PD(2273,921);PD(2230,874);PD(2181,832);PD(2127,795);PD(2065,761);PD(1997,731);PD(1921,704);PD(1836,680);PD(1774,670);PD(1689,662);PD(1588,658);PD(1478,657);PD(1367,658);PD(1263,663);PD(1173,671);PD(1103,682);PD(1017,705);PD(936,737);PD(861,777);PD(792,826);PD(728,883);PD(670,948);PD(617,1021);PD(570,1103);PD(547,1153);PD(538,1183);PD(539,1192);PD(543,1196);PD(551,1196);PD(562,1192);PD(749,1140);PD(921,1101);PD(929,1102);PD(934,1107);PD(938,1117);PD(941,1135);PD(945,1201);PD(945,1318);PD(945,1537);PD(1033,1507);PD(1119,1477);PD(1147,1511);PD(1159,1530);PD(1167,1552);PD(1170,1577);PD(1168,1609);PD(1161,1672);PD(1595,1672);PD(2028,1672);PD(2021,1604);PU(2170,1614);PD(2168,1589);PD(2154,1570);PD(2134,1559);PD(2111,1561);PD(2097,1574);PD(2089,1598);PD(2089,1623);PD(2098,1643);PD(2117,1651);PD(2140,1647);PD(2160,1634);PD(2170,1614);PU(1095,1606);PD(1095,1581);PD(1082,1559);PD(1061,1544);PD(1039,1542);PD(1022,1554);PD(1010,1573);PD(1004,1594);PD(1006,1614);PD(1013,1625);PD(1024,1633);PD(1037,1637);PD(1051,1637);PD(1065,1634);PD(1078,1628);PD(1088,1619);PD(1095,1606);PU(452,1417);PD(449,1373);PD(442,1357);PD(422,1367);PD(391,1383);PD(353,1401);PD(391,1442);PD(421,1470);PD(440,1482);PD(448,1462);PD(452,1417);PU(529,1044);PD(545,1012);PD(548,995);PD(537,989);PD(509,988);PD(480,993);PD(462,1008);PD(457,1031);PD(466,1060);PD(481,1080);PD(496,1085);PD(512,1073);PD(529,1044);PU(2414,878);PD(2403,858);PD(2399,817);PD(2398,791);PD(2394,774);PD(2386,765);PD(2375,762);PD(2353,758);PD(2332,748);PD(2312,732);PD(2295,712);PD(2280,689);PD(2268,663);PD(2260,636);PD(2258,608);PD(2254,569);PD(2245,533);PD(2233,502);PD(2224,474);PD(2218,460);PD(2212,456);PD(2201,462);PD(2183,478);PD(2151,499);PD(2121,508);PD(2099,509);PD(2081,511);PD(2068,517);PD(2059,526);PD(2048,557);PD(2046,612);PD(2046,698);PD(2115,731);PD(2152,750);PD(2190,775);PD(2229,805);PD(2267,838);PD(2334,910);PD(2382,979);PD(2420,1051);PD(2424,967);PD(2424,904);PD(2414,878);PU(2595,732);PD(2579,664);PD(2562,605);PD(2543,556);PD(2523,515);PD(2499,481);PD(2472,453);PD(2442,429);PD(2406,409);PD(2372,394);PD(2347,387);PD(2327,389);PD(2304,398);PD(2289,407);PD(2277,419);PD(2268,433);PD(2261,449);PD(2259,483);PD(2270,519);PD(2280,533);PD(2296,541);PD(2321,543);PD(2359,542);PD(2398,540);PD(2413,540);PD(2407,543);PD(2381,549);PD(2340,560);PD(2314,576);PD(2301,598);PD(2297,629);PD(2300,647);PD(2307,665);PD(2318,682);PD(2332,699);PD(2348,713);PD(2365,724);PD(2383,731);PD(2400,734);PD(2414,736);PD(2422,745);PD(2426,762);PD(2427,790);PD(2427,847);PD(2523,847);PD(2620,847);PD(2595,732);PU(2004,598);PD(2003,554);PD(1997,528);PD(1981,513);PD(1952,498);PD(1889,481);PD(1813,474);PD(1729,473);PD(1720,536);PD(1715,583);PD(1716,604);PD(1843,642);PD(1987,676);PD(1994,672);PD(2000,658);PD(2003,634);PD(2004,598);PU(1260,614);PD(1383,604);PD(1383,542);PD(1382,513);PD(1377,491);PD(1369,477);PD(1357,467);PD(1320,459);PD(1263,458);PD(1197,465);PD(1133,480);PD(1072,498);PD(1072,569);PD(1073,607);PD(1077,627);PD(1087,633);PD(1105,631);PD(1163,622);PD(1260,614);PU(2160,453);PD(2177,434);PD(2190,413);PD(2198,393);PD(2201,375);PD(2199,357);PD(2191,344);PD(2175,334);PD(2149,326);PD(2087,314);PD(2020,308);PD(1945,308);PD(1860,315);PD(1788,326);PD(1744,342);PD(1732,352);PD(1726,365);PD(1724,381);PD(1727,399);PD(1734,418);PD(1746,428);PD(1769,432);PD(1809,433);PD(1883,443);PD(1954,463);PD(2024,486);PD(2078,492);PD(2101,489);PD(2122,481);PD(2142,469);PD(2160,453);PU(1119,452);PD(1202,431);PD(1291,423);PD(1339,423);PD(1367,419);PD(1380,411);PD(1383,397);PD(1382,383);PD(1377,372);PD(1369,362);PD(1357,353);PD(1315,336);PD(1246,319);PD(1165,305);PD(1083,299);PD(1005,300);PD(938,309);PD(916,316);PD(903,325);PD(898,342);PD(897,371);PD(902,408);PD(913,436);PD(930,457);PD(954,471);PD(985,477);PD(1022,476);PD(1067,467);PD(1119,452);PU(947,3453);PD(905,3433);PD(866,3404);PD(831,3365);PD(801,3320);PD(777,3270);PD(761,3216);PD(752,3162);PD(752,3107);PD(758,3069);PD(768,3034);PD(782,3000);PD(800,2969);PD(820,2940);PD(844,2914);PD(870,2891);PD(900,2871);PD(931,2855);PD(964,2841);PD(1000,2831);PD(1037,2824);PD(1075,2822);PD(1114,2823);PD(1154,2828);PD(1195,2838);PD(1232,2851);PD(1267,2870);PD(1300,2894);PD(1331,2922);PD(1358,2953);PD(1380,2987);PD(1397,3021);PD(1408,3056);PD(1415,3103);PD(1416,3150);PD(1412,3196);PD(1403,3240);PD(1388,3283);PD(1369,3322);PD(1345,3358);PD(1317,3389);PD(1283,3415);PD(1243,3436);PD(1198,3452);PD(1149,3464);PD(1097,3470);PD(1046,3470);PD(995,3465);PD(947,3453);PU(1181,3436);PD(1231,3418);PD(1274,3395);PD(1310,3367);PD(1338,3333);PD(1360,3294);PD(1376,3248);PD(1385,3196);PD(1389,3137);PD(1388,3081);PD(1383,3043);PD(1370,3011);PD(1348,2976);PD(1320,2942);PD(1289,2914);PD(1255,2890);PD(1219,2871);PD(1180,2857);PD(1140,2848);PD(1100,2844);PD(1059,2844);PD(1019,2849);PD(980,2859);PD(942,2874);PD(906,2893);PD(874,2916);PD(844,2945);PD(818,2977);PD(797,3014);PD(784,3053);PD(776,3096);PD(775,3142);PD(779,3190);PD(789,3237);PD(805,3282);PD(825,3324);PD(849,3360);PD(891,3397);PD(945,3426);PD(1009,3446);PD(1081,3456);PD(1122,3450);PD(1181,3436);PU(1122,3220);PD(1091,3210);PD(1066,3192);PD(1048,3168);PD(1036,3141);PD(1031,3111);PD(1034,3081);PD(1046,3053);PD(1065,3027);PD(1094,3005);PD(1127,2994);PD(1161,2993);PD(1194,3000);PD(1224,3016);PD(1248,3038);PD(1264,3067);PD(1270,3102);PD(1267,3130);PD(1258,3155);PD(1244,3177);PD(1225,3196);PD(1203,3210);PD(1178,3219);PD(1150,3223);PD(1122,3220);PU(1164,3155);PD(1157,3130);PD(1140,3113);PD(1118,3108);PD(1095,3117);PD(1085,3127);PD(1081,3138);PD(1082,3149);PD(1088,3164);PD(1097,3175);PD(1108,3183);PD(1120,3187);PD(1133,3187);PD(1145,3184);PD(1155,3178);PD(1162,3168);PD(1164,3155);PU(1733,3442);PD(1705,3431);PD(1675,3414);PD(1644,3392);PD(1614,3367);PD(1559,3310);PD(1523,3253);PD(1506,3206);PD(1497,3157);PD(1496,3106);PD(1502,3056);PD(1515,3007);PD(1536,2960);PD(1563,2918);PD(1596,2880);PD(1626,2856);PD(1659,2836);PD(1694,2820);PD(1731,2808);PD(1770,2800);PD(1809,2797);PD(1849,2797);PD(1888,2801);PD(1927,2808);PD(1965,2819);PD(2000,2834);PD(2034,2852);PD(2065,2874);PD(2092,2899);PD(2116,2928);PD(2135,2959);PD(2159,3020);PD(2169,3085);PD(2168,3151);PD(2155,3216);PD(2132,3276);PD(2098,3331);PD(2055,3376);PD(2004,3411);PD(1940,3434);PD(1868,3448);PD(1796,3451);PD(1733,3442);PU(2007,3382);PD(2045,3355);PD(2077,3322);PD(2103,3284);PD(2122,3241);PD(2135,3193);PD(2141,3142);PD(2140,3088);PD(2132,3031);PD(2121,2989);PD(2107,2957);PD(2088,2929);PD(2060,2901);PD(2030,2877);PD(1997,2856);PD(1961,2840);PD(1925,2827);PD(1887,2819);PD(1849,2816);PD(1810,2817);PD(1772,2822);PD(1718,2838);PD(1670,2860);PD(1628,2889);PD(1593,2922);PD(1565,2960);PD(1543,3001);PD(1528,3045);PD(1520,3091);PD(1519,3137);PD(1525,3183);PD(1538,3228);PD(1559,3272);PD(1587,3313);PD(1622,3350);PD(1664,3383);PD(1714,3411);PD(1743,3420);PD(1778,3425);PD(1816,3426);PD(1857,3424);PD(1899,3418);PD(1939,3409);PD(1975,3397);PD(2007,3382);PU(1685,3155);PD(1668,3138);PD(1656,3118);PD(1648,3096);PD(1644,3073);PD(1645,3050);PD(1651,3028);PD(1661,3007);PD(1676,2989);PD(1695,2974);PD(1717,2964);PD(1741,2957);PD(1766,2956);PD(1790,2958);PD(1814,2965);PD(1834,2975);PD(1850,2990);PD(1865,3012);PD(1874,3034);PD(1879,3056);PD(1879,3078);PD(1875,3098);PD(1868,3118);PD(1857,3136);PD(1844,3152);PD(1828,3165);PD(1810,3175);PD(1791,3182);PD(1770,3186);PD(1749,3185);PD(1727,3180);PD(1706,3170);PD(1685,3155);PU(1757,3104);PD(1755,3088);PD(1750,3076);PD(1740,3069);PD(1724,3065);PD(1711,3065);PD(1700,3068);PD(1691,3074);PD(1685,3082);PD(1682,3103);PD(1693,3127);PD(1715,3142);PD(1735,3143);PD(1751,3130);PD(1757,3104);PU(1898,2381);PD(1816,2367);PD(1651,2355);PD(1460,2341);PD(1305,2321);PD(1239,2310);PD(1177,2304);PD(1115,2303);PD(1048,2306);PD(964,2309);PD(924,2301);PD(917,2292);PD(918,2277);PD(925,2257);PD(938,2231);PD(971,2183);PD(1014,2142);PD(1066,2107);PD(1127,2079);PD(1194,2057);PD(1266,2041);PD(1341,2032);PD(1418,2028);PD(1495,2032);PD(1570,2041);PD(1643,2057);PD(1712,2080);PD(1774,2108);PD(1829,2143);PD(1875,2185);PD(1911,2232);PD(1938,2291);PD(1955,2344);PD(1958,2366);PD(1958,2384);PD(1954,2395);PD(1946,2399);PD(1924,2393);PD(1898,2381);PU(1926,2326);PD(1915,2289);PD(1902,2265);PD(1896,2270);PD(1897,2297);PD(1904,2333);PD(1915,2361);PD(1924,2371);PD(1929,2368);PD(1930,2352);PD(1926,2326);PU(1891,2335);PD(1886,2321);PD(1875,2294);PD(1853,2266);PD(1820,2244);PD(1781,2233);PD(1743,2235);PD(1726,2242);PD(1715,2253);PD(1709,2267);PD(1708,2282);PD(1711,2297);PD(1720,2311);PD(1732,2322);PD(1750,2330);PD(1789,2337);PD(1836,2341);PD(1875,2340);PD(1891,2335);PU(1693,2294);PD(1691,2271);PD(1683,2252);PD(1670,2237);PD(1651,2226);PD(1628,2219);PD(1599,2216);PD(1566,2218);PD(1527,2224);PD(1506,2230);PD(1490,2239);PD(1478,2253);PD(1469,2272);PD(1462,2303);PD(1463,2320);PD(1503,2326);PD(1583,2328);PD(1646,2328);PD(1679,2324);PD(1691,2313);PD(1693,2294);PU(1439,2296);PD(1438,2280);PD(1432,2266);PD(1423,2253);PD(1410,2243);PD(1373,2227);PD(1321,2218);PD(1280,2216);PD(1251,2218);PD(1230,2225);PD(1214,2237);PD(1192,2260);PD(1188,2275);PD(1204,2284);PD(1239,2287);PD(1288,2292);PD(1334,2300);PD(1379,2309);PD(1412,2312);PD(1432,2307);PD(1439,2296);PU(1171,2259);PD(1182,2236);PD(1183,2221);PD(1170,2209);PD(1143,2194);PD(1101,2178);PD(1062,2175);PD(1026,2185);PD(989,2210);PD(966,2230);PD(951,2247);PD(945,2261);PD(948,2271);PD(959,2278);PD(980,2283);PD(1011,2285);PD(1051,2286);PD(1106,2285);PD(1140,2281);PD(1160,2273);PD(1171,2259);PU(1686,2127);PD(1696,2118);PD(1702,2111);PD(1702,2105);PD(1695,2099);PD(1663,2087);PD(1599,2073);PD(1541,2063);PD(1508,2064);PD(1499,2069);PD(1496,2076);PD(1498,2086);PD(1504,2100);PD(1518,2114);PD(1537,2125);PD(1562,2134);PD(1589,2140);PD(1617,2142);PD(1644,2141);PD(1667,2136);PD(1686,2127);PU(1448,2066);PD(1461,2054);PD(1461,2049);PD(1443,2048);PD(1405,2052);PD(1350,2058);PD(1314,2060);PD(1303,2061);PD(1299,2063);PD(1302,2067);PD(1312,2074);PD(1343,2086);PD(1381,2088);PD(1418,2081);PD(1448,2066);PU(1349,1314);PD(1345,1232);PD(1351,1172);PD(1358,1149);PD(1368,1129);PD(1382,1111);PD(1398,1095);PD(1421,1080);PD(1449,1068);PD(1482,1059);PD(1519,1052);PD(1601,1048);PD(1688,1057);PD(1726,1065);PD(1757,1075);PD(1780,1088);PD(1797,1105);PD(1809,1127);PD(1816,1156);PD(1819,1194);PD(1820,1240);PD(1818,1335);PD(1809,1385);PD(1800,1398);PD(1788,1404);PD(1772,1405);PD(1751,1401);PD(1676,1394);PD(1568,1392);PD(1463,1394);PD(1396,1401);PD(1374,1405);PD(1362,1397);PD(1355,1369);PD(1349,1314);PU(1795,1314);PD(1798,1236);PD(1792,1175);PD(1786,1151);PD(1777,1132);PD(1767,1116);PD(1754,1105);PD(1700,1089);PD(1614,1081);PD(1521,1081);PD(1449,1091);PD(1431,1099);PD(1415,1111);PD(1401,1129);PD(1389,1150);PD(1374,1207);PD(1369,1280);PD(1369,1362);PD(1580,1363);PD(1791,1363);PD(1795,1314);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_6(){//дед мороз
M=0.4;// 
PD(1755,4085);pendown();
PD(1706,4073);PD(1659,4058);PD(1614,4039);PD(1570,4016);PD(1483,3959);PD(1394,3883);PD(1344,3833);PD(1302,3785);PD(1268,3739);PD(1240,3692);PD(1220,3645);PD(1205,3597);PD(1196,3546);PD(1192,3493);PD(1190,3435);PD(1184,3397);PD(1171,3369);PD(1147,3340);PD(1116,3297);PD(1090,3245);PD(1069,3187);PD(1054,3124);PD(1045,3057);PD(1043,2990);PD(1047,2923);PD(1058,2858);PD(1063,2833);PD(1063,2813);PD(1059,2797);PD(1050,2785);PD(1036,2776);PD(1016,2770);PD(990,2767);PD(958,2766);PD(914,2770);PD(879,2782);PD(865,2790);PD(855,2800);PD(849,2810);PD(847,2822);PD(833,2847);PD(802,2887);PD(759,2928);PD(716,2955);PD(696,2962);PD(676,2966);PD(657,2966);PD(639,2962);PD(620,2958);PD(604,2961);PD(586,2973);PD(563,2996);PD(521,3041);PD(531,3186);PD(533,3251);PD(533,3296);PD(530,3322);PD(524,3330);PD(513,3348);PD(508,3395);PD(508,3459);PD(550,3429);PD(595,3405);PD(642,3391);PD(673,3389);PD(697,3393);PD(715,3404);PD(727,3419);PD(732,3439);PD(731,3464);PD(722,3492);PD(706,3524);PD(679,3569);PD(731,3594);PD(763,3614);PD(786,3638);PD(801,3663);PD(808,3689);PD(806,3714);PD(794,3736);PD(774,3753);PD(745,3763);PD(719,3770);PD(708,3778);PD(711,3793);PD(727,3816);PD(742,3848);PD(747,3887);PD(743,3925);PD(730,3957);PD(718,3968);PD(704,3976);PD(688,3981);PD(670,3982);PD(631,3974);PD(591,3953);PD(550,3921);PD(550,3962);PD(542,4002);PD(521,4041);PD(499,4062);PD(476,4074);PD(451,4077);PD(427,4072);PD(404,4060);PD(383,4040);PD(365,4013);PD(353,3979);PD(337,3924);PD(289,3953);PD(267,3963);PD(245,3970);PD(223,3974);PD(202,3973);PD(182,3969);PD(165,3961);PD(151,3950);PD(140,3936);PD(131,3910);PD(134,3883);PD(149,3854);PD(176,3820);PD(196,3799);PD(203,3786);PD(200,3779);PD(188,3773);PD(143,3757);PD(113,3739);PD(95,3716);PD(87,3687);PD(87,3663);PD(92,3647);PD(104,3634);PD(126,3621);PD(162,3605);PD(191,3598);PD(206,3596);PD(211,3588);PD(206,3573);PD(191,3550);PD(176,3517);PD(170,3473);PD(173,3432);PD(186,3404);PD(207,3390);PD(232,3388);PD(263,3399);PD(302,3422);PD(353,3456);PD(353,3401);PD(352,3375);PD(348,3357);PD(341,3347);PD(332,3344);PD(321,3339);PD(315,3319);PD(311,3280);PD(310,3216);PD(308,3130);PD(297,3071);PD(271,3023);PD(224,2968);PD(187,2921);PD(165,2877);PD(157,2830);PD(159,2771);PD(164,2743);PD(172,2717);PD(183,2695);PD(197,2675);PD(213,2660);PD(231,2648);PD(251,2641);PD(272,2639);PD(315,2639);PD(305,2248);PD(285,1377);PD(265,452);PD(261,261);PD(308,264);PD(342,266);PD(360,271);PD(378,561);PD(430,1609);PD(456,2133);PD(468,2373);PD(473,2412);PD(600,2350);PD(715,2300);PD(813,2266);PD(902,2251);PD(1008,2245);PD(1109,2247);PD(1185,2258);PD(1208,2263);PD(1224,2265);PD(1234,2263);PD(1239,2258);PD(1253,2235);PD(1280,2201);PD(1303,2167);PD(1310,2143);PD(1298,2136);PD(1269,2130);PD(1224,2126);PD(1164,2124);PD(1054,2116);PD(960,2097);PD(917,2083);PD(877,2066);PD(839,2044);PD(802,2019);PD(750,1988);PD(710,1976);PD(687,1971);PD(677,1961);PD(681,1956);PD(690,1953);PD(706,1953);PD(727,1956);PD(753,1959);PD(768,1958);PD(775,1951);PD(776,1936);PD(773,1923);PD(766,1911);PD(752,1901);PD(734,1892);PD(703,1879);PD(693,1870);PD(706,1866);PD(739,1870);PD(778,1872);PD(796,1863);PD(797,1856);PD(792,1846);PD(781,1835);PD(763,1823);PD(733,1804);PD(720,1789);PD(722,1780);PD(730,1779);PD(746,1786);PD(772,1802);PD(781,1808);PD(787,1810);PD(789,1809);PD(788,1804);PD(773,1781);PD(742,1738);PD(687,1672);PD(648,1637);PD(629,1621);PD(621,1606);PD(631,1602);PD(656,1614);PD(682,1630);PD(698,1635);PD(709,1627);PD(721,1607);PD(728,1590);PD(727,1576);PD(717,1562);PD(697,1545);PD(671,1519);PD(665,1504);PD(681,1506);PD(708,1524);PD(729,1539);PD(742,1544);PD(754,1540);PD(768,1525);PD(784,1504);PD(788,1487);PD(780,1468);PD(759,1444);PD(742,1420);PD(744,1411);PD(761,1419);PD(783,1439);PD(797,1453);PD(809,1459);PD(822,1456);PD(841,1445);PD(859,1432);PD(866,1421);PD(863,1408);PD(851,1389);PD(837,1361);PD(837,1348);PD(849,1352);PD(871,1374);PD(883,1387);PD(895,1396);PD(906,1400);PD(914,1398);PD(920,1389);PD(919,1371);PD(910,1343);PD(893,1302);PD(873,1259);PD(854,1230);PD(834,1212);PD(810,1201);PD(781,1186);PD(754,1165);PD(730,1137);PD(709,1101);PD(690,1059);PD(673,1009);PD(659,951);PD(648,886);PD(642,817);PD(646,753);PD(661,694);PD(688,640);PD(726,590);PD(776,543);PD(838,498);PD(913,456);PD(1012,409);PD(1095,375);PD(1167,351);PD(1161,291);PD(1159,263);PD(1160,240);PD(1164,219);PD(1172,200);PD(1199,168);PD(1242,141);PD(1295,121);PD(1363,105);PD(1442,94);PD(1525,88);PD(1609,87);PD(1687,92);PD(1756,102);PD(1810,117);PD(1841,129);PD(1863,132);PD(1885,124);PD(1915,106);PD(1946,87);PD(1981,76);PD(2033,72);PD(2115,71);PD(2212,73);PD(2299,79);PD(2375,89);PD(2441,103);PD(2494,121);PD(2535,142);PD(2563,166);PD(2577,193);PD(2580,210);PD(2584,228);PD(2588,243);PD(2591,255);PD(2600,266);PD(2620,278);PD(2649,290);PD(2685,302);PD(2765,328);PD(2846,362);PD(2925,401);PD(2999,444);PD(3066,489);PD(3121,535);PD(3163,578);PD(3188,618);PD(3198,636);PD(3214,652);PD(3233,666);PD(3255,676);PD(3326,708);PD(3399,751);PD(3467,798);PD(3518,845);PD(3540,872);PD(3558,900);PD(3572,930);PD(3583,961);PD(3595,1030);PD(3593,1108);PD(3575,1212);PD(3543,1314);PD(3500,1411);PD(3447,1501);PD(3383,1583);PD(3312,1655);PD(3273,1687);PD(3233,1715);PD(3191,1740);PD(3148,1761);PD(3124,1774);PD(3108,1784);PD(3101,1793);PD(3104,1799);PD(3125,1821);PD(3143,1855);PD(3158,1898);PD(3168,1947);PD(3173,1996);PD(3173,2042);PD(3167,2082);PD(3154,2111);PD(3139,2145);PD(3133,2189);PD(3128,2258);PD(3116,2327);PD(3097,2395);PD(3070,2462);PD(3036,2527);PD(2994,2590);PD(2946,2652);PD(2891,2711);PD(2788,2807);PD(2690,2886);PD(2596,2952);PD(2596,3064);PD(2595,3119);PD(2589,3169);PD(2579,3215);PD(2565,3258);PD(2547,3299);PD(2523,3338);PD(2493,3376);PD(2458,3413);PD(2417,3457);PD(2390,3495);PD(2370,3535);PD(2354,3584);PD(2328,3675);PD(2318,3728);PD(2319,3745);PD(2323,3758);PD(2330,3769);PD(2341,3780);PD(2360,3796);PD(2385,3805);PD(2423,3809);PD(2481,3810);PD(2591,3810);PD(2618,3751);PD(2632,3726);PD(2648,3704);PD(2667,3685);PD(2689,3669);PD(2736,3647);PD(2788,3638);PD(2841,3641);PD(2893,3657);PD(2918,3670);PD(2941,3686);PD(2962,3705);PD(2982,3728);PD(2998,3756);PD(3006,3787);PD(3008,3821);PD(3004,3855);PD(2993,3890);PD(2976,3922);PD(2953,3953);PD(2925,3979);PD(2900,3994);PD(2871,4004);PD(2838,4008);PD(2802,4007);PD(2766,4001);PD(2729,3991);PD(2694,3975);PD(2661,3955);PD(2601,3912);PD(2517,3951);PD(2424,3989);PD(2304,4026);PD(2169,4059);PD(2032,4085);PD(1939,4099);PD(1877,4104);PD(1824,4099);PD(1755,4085);PU(2043,4057);PD(2148,4037);PD(2248,4013);PD(2339,3988);PD(2421,3962);PD(2490,3935);PD(2543,3910);PD(2579,3885);PD(2594,3864);PD(2592,3850);PD(2578,3842);PD(2544,3839);PD(2484,3838);PD(2419,3837);PD(2379,3832);PD(2353,3820);PD(2327,3797);PD(2285,3755);PD(2230,3816);PD(2171,3868);PD(2102,3913);PD(2020,3950);PD(1925,3979);PD(1872,3992);PD(1823,4000);PD(1778,4004);PD(1734,4004);PD(1641,3990);PD(1531,3958);PD(1523,3956);PD(1522,3960);PD(1530,3967);PD(1545,3978);PD(1591,4003);PD(1658,4030);PD(1730,4054);PD(1792,4068);PD(1846,4075);PD(1902,4075);PD(1966,4069);PD(2043,4057);PU(508,4019);PD(519,3980);PD(529,3933);PD(538,3879);PD(601,3926);PD(628,3943);PD(650,3955);PD(669,3959);PD(685,3958);PD(697,3950);PD(707,3936);PD(713,3916);PD(717,3889);PD(718,3862);PD(713,3840);PD(700,3819);PD(679,3796);PD(638,3754);PD(684,3754);PD(727,3745);PD(763,3727);PD(782,3710);PD(789,3697);PD(787,3682);PD(776,3659);PD(763,3640);PD(746,3625);PD(725,3615);PD(698,3607);PD(658,3596);PD(638,3590);PD(645,3572);PD(670,3535);PD(692,3495);PD(704,3458);PD(705,3427);PD(694,3409);PD(666,3407);PD(625,3419);PD(580,3442);PD(543,3471);PD(512,3498);PD(491,3505);PD(483,3476);PD(480,3416);PD(480,3336);PD(430,3342);PD(403,3346);PD(388,3357);PD(381,3380);PD(378,3425);PD(374,3502);PD(315,3459);PD(268,3430);PD(231,3417);PD(217,3417);PD(206,3421);PD(197,3429);PD(190,3442);PD(189,3470);PD(198,3505);PD(214,3542);PD(236,3573);PD(247,3587);PD(250,3595);PD(245,3601);PD(231,3607);PD(176,3628);PD(138,3646);PD(115,3661);PD(104,3676);PD(101,3687);PD(102,3698);PD(106,3707);PD(114,3716);PD(143,3732);PD(190,3746);PD(255,3762);PD(206,3823);PD(174,3864);PD(158,3893);PD(158,3915);PD(172,3934);PD(196,3948);PD(226,3949);PD(262,3939);PD(302,3916);PD(340,3891);PD(358,3881);PD(364,3897);PD(371,3938);PD(384,3987);PD(404,4023);PD(432,4043);PD(462,4050);PD(476,4047);PD(489,4041);PD(500,4032);PD(508,4019);PU(2911,3962);PD(2936,3937);PD(2962,3893);PD(2983,3844);PD(2992,3803);PD(2986,3774);PD(2971,3746);PD(2949,3720);PD(2920,3697);PD(2886,3679);PD(2850,3666);PD(2813,3660);PD(2777,3662);PD(2747,3669);PD(2719,3680);PD(2695,3695);PD(2674,3713);PD(2657,3734);PD(2644,3758);PD(2634,3785);PD(2629,3814);PD(2626,3851);PD(2628,3876);PD(2637,3897);PD(2654,3917);PD(2679,3939);PD(2709,3957);PD(2742,3970);PD(2776,3978);PD(2812,3982);PD(2847,3981);PD(2881,3974);PD(2911,3962);PU(1916,3958);PD(2001,3933);PD(2077,3900);PD(2144,3858);PD(2202,3809);PD(2251,3751);PD(2291,3686);PD(2321,3613);PD(2342,3532);PD(2351,3461);PD(2351,3394);PD(2341,3337);PD(2324,3296);PD(2312,3283);PD(2299,3280);PD(2277,3286);PD(2241,3303);PD(2206,3322);PD(2185,3339);PD(2174,3362);PD(2167,3395);PD(2159,3438);PD(2146,3482);PD(2128,3526);PD(2106,3569);PD(2082,3608);PD(2056,3642);PD(2029,3670);PD(2002,3690);PD(1972,3705);PD(1936,3713);PD(1884,3717);PD(1806,3717);PD(1717,3716);PD(1644,3712);PD(1585,3706);PD(1537,3697);PD(1497,3684);PD(1463,3665);PD(1431,3642);PD(1398,3612);PD(1371,3577);PD(1357,3542);PD(1355,3526);PD(1358,3512);PD(1363,3499);PD(1373,3488);PD(1384,3456);PD(1387,3392);PD(1386,3312);PD(1321,3288);PD(1257,3262);PD(1239,3315);PD(1226,3384);PD(1221,3478);PD(1224,3540);PD(1233,3598);PD(1249,3652);PD(1272,3703);PD(1302,3750);PD(1338,3794);PD(1382,3836);PD(1434,3875);PD(1487,3908);PD(1543,3934);PD(1601,3955);PD(1661,3968);PD(1722,3976);PD(1786,3977);PD(1850,3971);PD(1916,3958);PU(1785,3660);PD(1786,3646);PD(1789,3634);PD(1795,3623);PD(1806,3614);PD(1847,3595);PD(1922,3570);PD(1969,3557);PD(2002,3550);PD(2027,3550);PD(2045,3556);PD(2060,3562);PD(2072,3561);PD(2083,3553);PD(2096,3536);PD(2114,3502);PD(2130,3460);PD(2141,3417);PD(2145,3380);PD(2144,3371);PD(2141,3364);PD(2135,3359);PD(2123,3355);PD(2079,3351);PD(2000,3350);PD(1930,3349);PD(1878,3344);PD(1841,3337);PD(1813,3326);PD(1769,3309);PD(1720,3302);PD(1686,3306);PD(1661,3316);PD(1645,3331);PD(1639,3349);PD(1643,3368);PD(1656,3387);PD(1679,3404);PD(1712,3418);PD(1743,3427);PD(1756,3433);PD(1752,3437);PD(1731,3440);PD(1695,3438);PD(1661,3424);PD(1633,3402);PD(1616,3374);PD(1608,3361);PD(1593,3351);PD(1567,3344);PD(1528,3337);PD(1467,3328);PD(1429,3320);PD(1421,3320);PD(1415,3330);PD(1412,3351);PD(1411,3384);PD(1413,3426);PD(1422,3453);PD(1446,3478);PD(1492,3512);PD(1555,3553);PD(1596,3570);PD(1618,3578);PD(1636,3599);PD(1646,3625);PD(1644,3651);PD(1642,3661);PD(1643,3671);PD(1648,3679);PD(1657,3685);PD(1685,3694);PD(1729,3697);PD(1760,3696);PD(1777,3691);PD(1784,3680);PD(1785,3660);PU(1987,3669);PD(2014,3655);PD(2032,3642);PD(2043,3628);PD(2046,3612);PD(2044,3599);PD(2039,3588);PD(2032,3580);PD(2021,3575);PD(1991,3576);PD(1953,3590);PD(1910,3606);PD(1875,3612);PD(1847,3617);PD(1819,3627);PD(1806,3636);PD(1800,3645);PD(1800,3655);PD(1806,3669);PD(1816,3681);PD(1831,3690);PD(1851,3695);PD(1874,3696);PD(1927,3690);PD(1987,3669);PU(1620,3643);PD(1620,3627);PD(1612,3613);PD(1594,3599);PD(1564,3584);PD(1509,3556);PD(1465,3526);PD(1438,3509);PD(1416,3503);PD(1399,3506);PD(1389,3516);PD(1384,3532);PD(1388,3553);PD(1400,3576);PD(1422,3601);PD(1456,3629);PD(1490,3652);PD(1522,3668);PD(1551,3677);PD(1577,3679);PD(1598,3675);PD(1613,3663);PD(1620,3643);PU(2455,3391);PD(2484,3355);PD(2509,3319);PD(2529,3281);PD(2546,3242);PD(2558,3201);PD(2567,3157);PD(2572,3111);PD(2574,3062);PD(2572,2994);PD(2566,2945);PD(2549,2899);PD(2520,2841);PD(2454,2735);PD(2358,2611);PD(2242,2478);PD(2111,2344);PD(2026,2266);PD(1977,2227);PD(1966,2223);PD(1964,2228);PD(1972,2244);PD(1990,2270);PD(2033,2344);PD(2077,2440);PD(2117,2546);PD(2148,2649);PD(2166,2756);PD(2177,2888);PD(2179,3015);PD(2172,3110);PD(2173,3124);PD(2186,3136);PD(2215,3149);PD(2265,3164);PD(2336,3184);PD(2369,3198);PD(2367,3209);PD(2352,3227);PD(2342,3242);PD(2338,3254);PD(2340,3268);PD(2349,3288);PD(2364,3331);PD(2371,3384);PD(2372,3409);PD(2375,3426);PD(2381,3438);PD(2390,3442);PD(2417,3430);PD(2455,3391);PU(1222,3295);PD(1229,3270);PD(1231,3253);PD(1229,3242);PD(1221,3234);PD(1195,3215);PD(1157,3185);PD(1139,3168);PD(1127,3155);PD(1124,3144);PD(1129,3135);PD(1167,3120);PD(1249,3104);PD(1338,3089);PD(1382,3074);PD(1391,3062);PD(1396,3046);PD(1397,3024);PD(1397,2994);PD(1403,2887);PD(1419,2758);PD(1439,2635);PD(1461,2547);PD(1492,2466);PD(1527,2391);PD(1566,2325);PD(1606,2272);PD(1637,2232);PD(1647,2215);PD(1616,2225);PD(1564,2249);PD(1501,2283);PD(1439,2321);PD(1357,2382);PD(1292,2443);PD(1238,2512);PD(1188,2596);PD(1138,2702);PD(1101,2803);PD(1077,2901);PD(1066,2994);PD(1069,3083);PD(1086,3166);PD(1099,3206);PD(1115,3245);PD(1135,3282);PD(1159,3318);PD(1179,3344);PD(1194,3350);PD(1207,3334);PD(1222,3295);PU(2241,3275);PD(2303,3238);PD(2328,3217);PD(2298,3202);PD(2227,3181);PD(2114,3163);PD(1987,3156);PD(1927,3157);PD(1872,3160);PD(1827,3167);PD(1794,3176);PD(1765,3187);PD(1742,3189);PD(1716,3182);PD(1676,3164);PD(1634,3145);PD(1592,3131);PD(1550,3120);PD(1507,3112);PD(1416,3108);PD(1315,3117);PD(1221,3132);PD(1176,3146);PD(1170,3154);PD(1172,3164);PD(1184,3177);PD(1202,3192);PD(1254,3227);PD(1305,3255);PD(1362,3276);PD(1428,3295);PD(1504,3310);PD(1563,3315);PD(1608,3309);PD(1644,3294);PD(1680,3279);PD(1726,3277);PD(1780,3287);PD(1842,3308);PD(1874,3318);PD(1914,3324);PD(1963,3327);PD(2025,3326);PD(2095,3322);PD(2146,3314);PD(2190,3300);PD(2241,3275);PU(509,3309);PD(505,3188);PD(490,3068);PD(464,3071);PD(405,3082);PD(322,3097);PD(330,3147);PD(336,3199);PD(339,3257);PD(339,3316);PD(421,3316);PD(481,3314);PD(509,3309);PU(1788,3143);PD(1776,3123);PD(1756,3112);PD(1735,3110);PD(1715,3119);PD(1702,3130);PD(1698,3138);PD(1702,3146);PD(1715,3155);PD(1738,3165);PD(1764,3165);PD(1775,3162);PD(1784,3157);PD(1788,3150);PD(1788,3143);PU(2149,3069);PD(2158,3003);PD(2158,2924);PD(2152,2836);PD(2138,2743);PD(2119,2649);PD(2094,2557);PD(2065,2473);PD(2032,2399);PD(2012,2359);PD(1986,2308);PD(1958,2252);PD(1930,2199);PD(1867,2076);PD(1751,2170);PD(1652,2262);PD(1579,2347);PD(1546,2404);PD(1516,2470);PD(1489,2543);PD(1467,2621);PD(1449,2705);PD(1436,2792);PD(1428,2881);PD(1425,2970);PD(1425,3075);PD(1493,3085);PD(1555,3097);PD(1609,3112);PD(1635,3119);PD(1655,3122);PD(1671,3119);PD(1686,3110);PD(1718,3095);PD(1753,3091);PD(1770,3093);PD(1785,3098);PD(1796,3105);PD(1805,3116);PD(1816,3128);PD(1842,3134);PD(1892,3135);PD(1977,3133);PD(2136,3126);PD(2149,3069);PU(480,3031);PD(512,3012);PD(537,2990);PD(560,2961);PD(581,2924);PD(603,2880);PD(612,2852);PD(609,2830);PD(597,2804);PD(570,2759);PD(539,2715);PD(510,2681);PD(491,2667);PD(483,2677);PD(480,2702);PD(484,2727);PD(494,2738);PD(499,2739);PD(501,2744);PD(499,2752);PD(494,2764);PD(484,2795);PD(480,2828);PD(476,2865);PD(463,2895);PD(435,2924);PD(387,2956);PD(343,2987);PD(318,3013);PD(312,3024);PD(311,3034);PD(313,3043);PD(320,3052);PD(344,3061);PD(384,3060);PD(432,3050);PD(480,3031);PU(367,2937);PD(408,2907);PD(431,2886);PD(440,2866);PD(440,2842);PD(428,2788);PD(405,2741);PD(373,2703);PD(333,2675);PD(302,2662);PD(281,2656);PD(262,2658);PD(241,2668);PD(225,2680);PD(211,2697);PD(199,2718);PD(188,2741);PD(176,2791);PD(176,2838);PD(194,2880);PD(225,2930);PD(257,2973);PD(279,2990);PD(309,2974);PD(367,2937);PU(711,2929);PD(752,2906);PD(787,2871);PD(815,2827);PD(834,2774);PD(840,2743);PD(842,2711);PD(840,2680);PD(835,2648);PD(813,2587);PD(780,2532);PD(737,2484);PD(686,2446);PD(658,2432);PD(629,2422);PD(599,2415);PD(569,2413);PD(540,2414);PD(518,2417);PD(502,2423);PD(490,2433);PD(479,2467);PD(478,2527);PD(482,2577);PD(490,2612);PD(507,2641);PD(536,2675);PD(585,2734);PD(616,2786);PD(625,2810);PD(630,2833);PD(631,2857);PD(629,2880);PD(626,2910);PD(630,2929);PD(640,2940);PD(660,2948);PD(676,2943);PD(711,2929);PU(2694,2852);PD(2781,2783);PD(2858,2711);PD(2925,2639);PD(2982,2565);PD(3028,2490);PD(3063,2415);PD(3087,2340);PD(3100,2265);PD(3109,2169);PD(3075,2191);PD(3044,2208);PD(3016,2215);PD(3003,2217);PD(2996,2223);PD(2995,2236);PD(2999,2256);PD(3002,2279);PD(2997,2291);PD(2980,2299);PD(2945,2304);PD(2890,2307);PD(2822,2302);PD(2752,2292);PD(2694,2279);PD(2677,2278);PD(2656,2289);PD(2629,2311);PD(2592,2348);PD(2534,2404);PD(2499,2427);PD(2506,2406);PD(2553,2355);PD(2604,2300);PD(2625,2272);PD(2602,2253);PD(2547,2223);PD(2498,2198);PD(2475,2179);PD(2472,2171);PD(2473,2163);PD(2480,2155);PD(2491,2145);PD(2505,2129);PD(2512,2115);PD(2494,2101);PD(2447,2083);PD(2380,2063);PD(2302,2044);PD(2223,2026);PD(2153,2014);PD(2100,2009);PD(2074,2012);PD(2061,2054);PD(2052,2134);PD(2042,2239);PD(2191,2390);PD(2310,2515);PD(2413,2638);PD(2495,2751);PD(2551,2846);PD(2579,2899);PD(2594,2921);PD(2626,2901);PD(2694,2852);PU(409,1658);PD(368,833);PD(345,428);PD(336,337);PD(328,294);PD(319,282);PD(308,282);PD(299,283);PD(292,287);PD(287,295);PD(285,312);PD(284,376);PD(288,498);PD(299,846);PD(310,1383);PD(325,2090);PD(337,2470);PD(343,2570);PD(350,2626);PD(358,2652);PD(368,2660);PD(397,2684);PD(425,2726);PD(446,2764);PD(459,2777);PD(446,2446);PD(409,1658);PU(1140,2637);PD(1171,2577);PD(1205,2521);PD(1239,2472);PD(1274,2430);PD(1343,2366);PD(1425,2303);PD(1510,2250);PD(1587,2213);PD(1620,2199);PD(1638,2183);PD(1647,2155);PD(1654,2108);PD(1658,2047);PD(1657,2019);PD(1624,2025);PD(1555,2055);PD(1471,2097);PD(1390,2145);PD(1344,2177);PD(1309,2206);PD(1284,2232);PD(1270,2256);PD(1260,2279);PD(1250,2291);PD(1238,2295);PD(1222,2293);PD(1160,2278);PD(1098,2269);PD(1035,2265);PD(971,2267);PD(906,2275);PD(840,2288);PD(772,2307);PD(703,2331);PD(586,2375);PD(648,2402);PD(702,2429);PD(751,2457);PD(771,2475);PD(791,2499);PD(809,2528);PD(826,2560);PD(851,2627);PD(861,2691);PD(861,2750);PD(937,2742);PD(998,2741);PD(1039,2749);PD(1060,2760);PD(1072,2766);PD(1095,2728);PD(1140,2637);PU(2961,2273);PD(2969,2264);PD(2971,2247);PD(2967,2217);PD(2956,2172);PD(2927,2084);PD(2898,2029);PD(2885,2018);PD(2875,2018);PD(2867,2030);PD(2865,2057);PD(2858,2097);PD(2845,2138);PD(2834,2159);PD(2829,2161);PD(2829,2140);PD(2832,2094);PD(2834,2056);PD(2834,2028);PD(2830,2009);PD(2822,1998);PD(2811,1997);PD(2795,2003);PD(2774,2018);PD(2749,2040);PD(2716,2069);PD(2703,2075);PD(2712,2058);PD(2742,2021);PD(2755,2005);PD(2761,1993);PD(2761,1983);PD(2756,1974);PD(2746,1968);PD(2733,1969);PD(2717,1977);PD(2695,1991);PD(2630,2044);PD(2571,2097);PD(2528,2141);PD(2512,2166);PD(2516,2177);PD(2529,2188);PD(2548,2200);PD(2573,2212);PD(2637,2235);PD(2713,2256);PD(2791,2272);PD(2864,2282);PD(2923,2283);PD(2961,2273);PU(2039,1994);PD(2008,1986);PD(1942,1981);PD(1864,1979);PD(1801,1981);PD(1766,1987);PD(1738,1994);PD(1717,2003);PD(1701,2015);PD(1690,2031);PD(1684,2052);PD(1680,2078);PD(1679,2111);PD(1682,2165);PD(1688,2187);PD(1720,2164);PD(1789,2108);PD(1882,2028);PD(1901,2069);PD(1913,2102);PD(1919,2125);PD(1935,2151);PD(1973,2189);PD(2025,2235);PD(2033,2115);PD(2038,2031);PD(2039,1994);PU(3099,2139);PD(3128,2106);PD(3144,2070);PD(3150,2025);PD(3147,1961);PD(3142,1930);PD(3133,1899);PD(3121,1870);PD(3107,1844);PD(3091,1823);PD(3074,1808);PD(3058,1800);PD(3042,1801);PD(3034,1809);PD(3026,1829);PD(3021,1859);PD(3017,1898);PD(3012,1940);PD(3005,1976);PD(2996,2005);PD(2983,2028);PD(2970,2051);PD(2963,2072);PD(2963,2096);PD(2969,2128);PD(2977,2158);PD(2987,2176);PD(2999,2185);PD(3017,2187);PD(3034,2184);PD(3055,2174);PD(3077,2159);PD(3099,2139);PU(1496,2055);PD(1574,2020);PD(1666,1989);PD(1760,1966);PD(1847,1953);PD(1961,1957);PD(2118,1979);PD(2287,2012);PD(2433,2052);PD(2532,2086);PD(2591,2040);PD(2623,2015);PD(2637,1999);PD(2637,1989);PD(2625,1978);PD(2605,1956);PD(2594,1923);PD(2588,1902);PD(2574,1886);PD(2544,1872);PD(2491,1854);PD(2356,1818);PD(2215,1793);PD(2067,1777);PD(1912,1772);PD(1772,1776);PD(1658,1790);PD(1558,1815);PD(1458,1856);PD(1420,1874);PD(1389,1892);PD(1363,1910);PD(1344,1929);PD(1329,1950);PD(1320,1972);PD(1314,1997);PD(1312,2025);PD(1317,2079);PD(1328,2118);PD(1337,2134);PD(1346,2139);PD(1361,2133);PD(1387,2117);PD(1438,2087);PD(1496,2055);PU(1281,2066);PD(1276,2046);PD(1265,2031);PD(1242,2020);PD(1204,2009);PD(1123,1985);PD(1038,1951);PD(958,1914);PD(893,1875);PD(849,1851);PD(827,1847);PD(818,1872);PD(806,1918);PD(799,1951);PD(801,1973);PD(813,1990);PD(838,2009);PD(877,2034);PD(929,2058);PD(984,2079);PD(1037,2093);PD(1089,2098);PD(1175,2101);PD(1286,2103);PD(1281,2066);PU(2968,2008);PD(2985,1958);PD(2996,1898);PD(2998,1839);PD(2990,1792);PD(2974,1759);PD(2949,1737);PD(2915,1725);PD(2867,1722);PD(2837,1724);PD(2814,1731);PD(2792,1746);PD(2767,1771);PD(2743,1804);PD(2729,1836);PD(2724,1866);PD(2727,1895);PD(2740,1921);PD(2761,1943);PD(2791,1961);PD(2829,1974);PD(2882,1993);PD(2918,2016);PD(2936,2036);PD(2945,2045);PD(2953,2035);PD(2968,2008);PU(1295,1960);PD(1303,1933);PD(1299,1910);PD(1279,1880);PD(1236,1833);PD(1169,1754);PD(1095,1657);PD(1027,1558);PD(974,1472);PD(954,1438);PD(940,1423);PD(925,1422);PD(903,1432);PD(864,1460);PD(821,1503);PD(781,1553);PD(749,1606);PD(739,1627);PD(733,1646);PD(732,1663);PD(735,1680);PD(760,1719);PD(810,1775);PD(870,1830);PD(942,1877);PD(1029,1920);PD(1136,1960);PD(1228,1991);PD(1270,2004);PD(1281,1991);PD(1295,1960);PU(2708,1957);PD(2713,1946);PD(2714,1935);PD(2711,1923);PD(2705,1913);PD(2685,1897);PD(2659,1894);PD(2638,1905);PD(2628,1924);PD(2628,1946);PD(2642,1963);PD(2661,1972);PD(2678,1974);PD(2694,1969);PD(2708,1957);PU(1432,1842);PD(1524,1802);PD(1609,1777);PD(1664,1764);PD(1691,1757);PD(1679,1719);PD(1645,1635);PD(1615,1553);PD(1586,1464);PD(1561,1369);PD(1539,1273);PD(1521,1176);PD(1507,1081);PD(1499,991);PD(1496,909);PD(1496,809);PD(1428,799);PD(1354,797);PD(1273,807);PD(1189,829);PD(1108,861);PD(1032,905);PD(954,960);PD(890,1015);PD(855,1057);PD(852,1088);PD(861,1137);PD(880,1200);PD(908,1272);PD(943,1351);PD(984,1434);PD(1030,1515);PD(1080,1593);PD(1146,1686);PD(1223,1783);PD(1290,1860);PD(1325,1891);PD(1361,1876);PD(1432,1842);PU(2694,1854);PD(2696,1849);PD(2694,1844);PD(2657,1816);PD(2575,1754);PD(2474,1675);PD(2377,1592);PD(2291,1512);PD(2221,1441);PD(2163,1377);PD(2139,1451);PD(2116,1536);PD(2097,1635);PD(2079,1747);PD(2193,1764);PD(2303,1784);PD(2426,1811);PD(2532,1839);PD(2592,1861);PD(2615,1867);PD(2645,1868);PD(2674,1863);PD(2694,1854);PU(2661,1716);PD(2619,1664);PD(2590,1622);PD(2574,1590);PD(2568,1565);PD(2571,1563);PD(2580,1571);PD(2593,1587);PD(2609,1610);PD(2650,1666);PD(2692,1713);PD(2736,1753);PD(2774,1723);PD(2813,1702);PD(2853,1693);PD(2876,1691);PD(2893,1680);PD(2910,1656);PD(2929,1616);PD(2956,1561);PD(2970,1538);PD(2963,1588);PD(2938,1661);PD(2931,1677);PD(2931,1689);PD(2940,1701);PD(2958,1715);PD(2980,1727);PD(2999,1728);PD(3027,1715);PD(3072,1686);PD(3133,1638);PD(3172,1593);PD(3189,1568);PD(3204,1554);PD(3209,1552);PD(3214,1553);PD(3216,1558);PD(3217,1566);PD(3200,1598);PD(3156,1647);PD(3103,1696);PD(3055,1730);PD(3020,1752);PD(3006,1767);PD(3008,1774);PD(3016,1778);PD(3029,1778);PD(3046,1775);PD(3094,1758);PD(3158,1729);PD(3201,1705);PD(3243,1677);PD(3283,1645);PD(3321,1611);PD(3391,1533);PD(3452,1446);PD(3502,1352);PD(3539,1253);PD(3552,1203);PD(3562,1152);PD(3568,1102);PD(3570,1051);PD(3568,1005);PD(3562,970);PD(3550,937);PD(3529,902);PD(3505,868);PD(3474,836);PD(3438,806);PD(3397,776);PD(3301,723);PD(3189,677);PD(3065,640);PD(2932,614);PD(2794,598);PD(2653,595);PD(2557,599);PD(2493,605);PD(2445,617);PD(2399,636);PD(2321,681);PD(2253,736);PD(2196,800);PD(2152,869);PD(2129,918);PD(2116,962);PD(2111,1015);PD(2110,1094);PD(2111,1172);PD(2116,1223);PD(2127,1261);PD(2149,1301);PD(2205,1382);PD(2286,1471);PD(2391,1571);PD(2523,1682);PD(2604,1745);PD(2661,1786);PD(2696,1805);PD(2711,1805);PD(2711,1793);PD(2703,1773);PD(2686,1747);PD(2661,1716);PU(2066,1662);PD(2080,1582);PD(2101,1494);PD(2123,1420);PD(2141,1381);PD(2144,1371);PD(2141,1352);PD(2132,1326);PD(2118,1294);PD(2099,1252);PD(2088,1211);PD(2083,1162);PD(2081,1094);PD(2084,1025);PD(2090,974);PD(2102,929);PD(2122,879);PD(2144,839);PD(2170,799);PD(2200,761);PD(2235,724);PD(2272,690);PD(2311,659);PD(2353,632);PD(2395,610);PD(2445,588);PD(2497,577);PD(2574,573);PD(2702,573);PD(2820,575);PD(2906,580);PD(2975,590);PD(3040,605);PD(3120,624);PD(3157,629);PD(3155,612);PD(3133,581);PD(3097,543);PD(3051,504);PD(2990,463);PD(2921,424);PD(2846,389);PD(2767,358);PD(2687,333);PD(2609,313);PD(2535,301);PD(2468,296);PD(2420,298);PD(2378,304);PD(2337,315);PD(2294,333);PD(2212,361);PD(2129,377);PD(2083,380);PD(2045,376);PD(2005,363);PD(1953,339);PD(1900,314);PD(1860,301);PD(1821,298);PD(1771,302);PD(1685,319);PD(1603,347);PD(1522,378);PD(1439,396);PD(1355,401);PD(1269,394);PD(1192,387);PD(1123,394);PD(1046,419);PD(947,464);PD(881,500);PD(823,538);PD(775,578);PD(735,621);PD(703,666);PD(681,713);PD(668,762);PD(663,813);PD(672,879);PD(693,969);PD(718,1055);PD(741,1111);PD(764,1138);PD(795,1164);PD(823,1181);PD(840,1184);PD(839,1161);PD(830,1118);PD(822,1081);PD(824,1057);PD(838,1033);PD(869,1000);PD(922,951);PD(980,906);PD(1041,868);PD(1105,836);PD(1170,810);PD(1237,792);PD(1305,780);PD(1372,776);PD(1436,779);PD(1486,788);PD(1503,794);PD(1515,801);PD(1520,809);PD(1518,817);PD(1516,881);PD(1526,1011);PD(1545,1162);PD(1566,1290);PD(1591,1393);PD(1621,1494);PD(1654,1590);PD(1691,1679);PD(1717,1743);PD(1888,1743);PD(2057,1743);PD(2066,1662);PU(1489,361);PD(1555,340);PD(1616,315);PD(1683,291);PD(1767,275);PD(1861,265);PD(1857,213);PD(1852,189);PD(1843,169);PD(1828,153);PD(1807,141);PD(1738,125);PD(1628,116);PD(1505,116);PD(1394,126);PD(1345,135);PD(1303,146);PD(1267,160);PD(1239,175);PD(1216,193);PD(1201,211);PD(1193,232);PD(1188,261);PD(1190,306);PD(1198,336);PD(1214,350);PD(1239,362);PD(1272,371);PD(1312,376);PD(1355,378);PD(1400,376);PD(1445,371);PD(1489,361);PU(2292,306);PD(2336,288);PD(2377,276);PD(2420,270);PD(2471,268);PD(2530,267);PD(2559,259);PD(2564,252);PD(2565,241);PD(2561,226);PD(2554,206);PD(2539,181);PD(2512,159);PD(2475,141);PD(2427,126);PD(2369,114);PD(2299,105);PD(2217,100);PD(2125,97);PD(2020,101);PD(1948,114);PD(1923,125);PD(1904,139);PD(1891,156);PD(1882,176);PD(1879,204);PD(1881,229);PD(1889,252);PD(1902,273);PD(1920,292);PD(1941,308);PD(1967,322);PD(1996,333);PD(2062,346);PD(2136,347);PD(2174,342);PD(2213,334);PD(2253,322);PD(2292,306);PU(432,3772);PD(436,3731);PD(432,3715);PD(416,3721);PD(388,3751);PD(364,3773);PD(354,3772);PD(360,3754);PD(381,3721);PD(411,3684);PD(357,3691);PD(332,3694);PD(320,3694);PD(317,3691);PD(325,3684);PD(351,3673);PD(387,3669);PD(429,3669);PD(380,3617);PD(332,3564);PD(384,3603);PD(436,3641);PD(442,3588);PD(447,3535);PD(449,3588);PD(452,3642);PD(501,3604);PD(536,3582);PD(550,3581);PD(540,3600);PD(515,3624);PD(489,3646);PD(483,3660);PD(497,3668);PD(533,3673);PD(586,3679);PD(533,3680);PD(498,3683);PD(483,3691);PD(487,3707);PD(508,3735);PD(531,3769);PD(535,3786);PD(522,3781);PD(494,3754);PD(453,3704);PD(452,3746);PD(447,3783);PD(437,3810);PD(434,3814);PD(432,3816);PD(430,3816);PD(429,3812);PD(429,3797);PD(432,3772);PU(1894,3511);PD(1882,3495);PD(1877,3478);PD(1878,3462);PD(1884,3446);PD(1895,3433);PD(1910,3423);PD(1928,3418);PD(1949,3418);PD(1977,3428);PD(1995,3447);PD(2002,3471);PD(1995,3497);PD(1974,3515);PD(1946,3524);PD(1917,3523);PD(1894,3511);PU(1504,3478);PD(1488,3458);PD(1483,3437);PD(1487,3418);PD(1501,3401);PD(1521,3390);PD(1542,3387);PD(1563,3391);PD(1582,3400);PD(1596,3414);PD(1605,3430);PD(1607,3449);PD(1600,3469);PD(1580,3488);PD(1555,3496);PD(1528,3493);PD(1504,3478);PU(2811,1578);PD(2795,1551);PD(2774,1514);PD(2760,1489);PD(2744,1475);PD(2721,1469);PD(2684,1468);PD(2631,1465);PD(2599,1456);PD(2591,1448);PD(2588,1439);PD(2589,1428);PD(2595,1414);PD(2619,1383);PD(2656,1349);PD(2682,1328);PD(2693,1312);PD(2692,1294);PD(2683,1267);PD(2664,1218);PD(2656,1183);PD(2655,1172);PD(2657,1163);PD(2662,1158);PD(2668,1156);PD(2698,1155);PD(2726,1159);PD(2753,1169);PD(2783,1185);PD(2809,1199);PD(2829,1203);PD(2855,1196);PD(2897,1177);PD(2935,1161);PD(2961,1153);PD(2977,1154);PD(2990,1163);PD(2999,1175);PD(3002,1188);PD(3000,1205);PD(2993,1229);PD(2981,1273);PD(2982,1305);PD(2999,1331);PD(3034,1359);PD(3063,1383);PD(3082,1404);PD(3090,1422);PD(3087,1438);PD(3074,1451);PD(3051,1460);PD(3017,1466);PD(2973,1468);PD(2943,1469);PD(2924,1477);PD(2909,1496);PD(2893,1531);PD(2872,1570);PD(2852,1590);PD(2842,1594);PD(2831,1593);PD(2821,1588);PD(2811,1578);PU(2985,1439);PD(3039,1437);PD(3062,1429);PD(3045,1406);PD(3003,1367);PD(2945,1317);PD(2963,1250);PD(2974,1202);PD(2976,1178);PD(2951,1184);PD(2900,1205);PD(2829,1238);PD(2762,1204);PD(2711,1182);PD(2685,1177);PD(2688,1201);PD(2704,1249);PD(2729,1315);PD(2666,1374);PD(2604,1432);PD(2685,1437);PD(2766,1441);PD(2804,1514);PD(2841,1588);PD(2873,1514);PD(2907,1439);PD(2985,1439);PU(3219,1253);PD(3207,1217);PD(3198,1177);PD(3190,1153);PD(3180,1138);PD(3162,1129);PD(3135,1122);PD(3083,1112);PD(3052,1102);PD(3037,1089);PD(3034,1071);PD(3038,1058);PD(3051,1043);PD(3073,1027);PD(3103,1010);PD(3171,975);PD(3157,903);PD(3151,866);PD(3151,838);PD(3157,819);PD(3169,811);PD(3187,811);PD(3211,821);PD(3241,841);PD(3278,869);PD(3299,885);PD(3316,893);PD(3333,894);PD(3353,889);PD(3392,879);PD(3437,875);PD(3456,876);PD(3470,879);PD(3479,885);PD(3484,894);PD(3479,924);PD(3457,972);PD(3430,1026);PD(3480,1085);PD(3503,1114);PD(3518,1137);PD(3524,1155);PD(3523,1168);PD(3512,1177);PD(3493,1182);PD(3466,1183);PD(3429,1180);PD(3346,1170);PD(3309,1228);PD(3281,1265);PD(3256,1282);PD(3245,1282);PD(3235,1278);PD(3226,1268);PD(3219,1253);PU(3330,1153);PD(3355,1148);PD(3415,1151);PD(3475,1155);PD(3500,1149);PD(3485,1125);PD(3449,1085);PD(3399,1034);PD(3430,969);PD(3452,921);PD(3456,897);PD(3430,898);PD(3377,909);PD(3336,919);PD(3310,921);PD(3294,916);PD(3278,900);PD(3248,874);PD(3213,851);PD(3172,831);PD(3182,907);PD(3192,984);PD(3131,1017);PD(3084,1048);PD(3068,1070);PD(3072,1078);PD(3084,1085);PD(3103,1090);PD(3131,1095);PD(3172,1101);PD(3195,1111);PD(3208,1130);PD(3217,1163);PD(3234,1222);PD(3247,1247);PD(3262,1243);PD(3288,1214);PD(3318,1175);PD(3330,1153);PU(2351,1174);PD(2331,1137);PD(2315,1117);PD(2298,1110);PD(2273,1112);PD(2230,1114);PD(2194,1108);PD(2180,1103);PD(2169,1096);PD(2161,1088);PD(2159,1078);PD(2176,1048);PD(2217,1003);PD(2275,950);PD(2252,906);PD(2237,870);PD(2230,838);PD(2232,813);PD(2244,797);PD(2274,801);PD(2328,820);PD(2399,851);PD(2471,820);PD(2525,802);PD(2556,799);PD(2565,814);PD(2568,841);PD(2564,876);PD(2554,912);PD(2548,934);PD(2552,953);PD(2570,976);PD(2606,1010);PD(2633,1036);PD(2650,1057);PD(2659,1074);PD(2659,1087);PD(2650,1096);PD(2632,1102);PD(2604,1105);PD(2567,1105);PD(2495,1103);PD(2467,1173);PD(2453,1203);PD(2439,1224);PD(2425,1237);PD(2411,1242);PD(2397,1237);PD(2383,1225);PD(2367,1204);PD(2351,1174);PU(2450,1150);PD(2474,1087);PD(2548,1087);PD(2603,1083);PD(2632,1074);PD(2621,1053);PD(2587,1022);PD(2546,992);PD(2523,974);PD(2522,949);PD(2533,900);PD(2544,851);PD(2541,826);PD(2514,831);PD(2465,851);PD(2402,883);PD(2340,852);PD(2294,829);PD(2269,818);PD(2260,825);PD(2259,844);PD(2266,873);PD(2282,910);PD(2306,962);PD(2246,1012);PD(2205,1050);PD(2187,1074);PD(2209,1083);PD(2262,1087);PD(2306,1088);PD(2331,1094);PD(2349,1113);PD(2368,1150);PD(2393,1195);PD(2412,1214);PD(2428,1195);PD(2450,1150);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_7(){//космонавт
M=0.4;//
PD(1729,4008);pendown();
PD(1639,3963);PD(1552,3925);PD(1466,3895);PD(1383,3872);PD(1302,3856);PD(1224,3849);PD(1149,3849);PD(1078,3857);PD(981,3869);PD(897,3871);PD(827,3864);PD(772,3847);PD(742,3830);PD(711,3808);PD(681,3781);PD(651,3750);PD(596,3680);PD(550,3601);PD(523,3548);PD(504,3519);PD(484,3510);PD(457,3511);PD(433,3512);PD(415,3508);PD(402,3496);PD(389,3474);PD(380,3457);PD(374,3442);PD(375,3422);PD(383,3393);PD(431,3280);PD(536,3055);PD(604,2911);PD(663,2780);PD(711,2678);PD(746,2603);PD(773,2548);PD(731,2523);PD(708,2506);PD(688,2484);PD(672,2458);PD(659,2429);PD(642,2364);PD(638,2292);PD(646,2219);PD(667,2149);PD(682,2116);PD(701,2086);PD(722,2058);PD(746,2035);PD(758,2025);PD(761,2021);PD(755,2021);PD(741,2026);PD(701,2038);PD(664,2045);PD(629,2046);PD(595,2041);PD(563,2032);PD(532,2016);PD(502,1995);PD(471,1968);PD(441,1936);PD(422,1909);PD(412,1885);PD(409,1860);PD(407,1836);PD(399,1815);PD(385,1794);PD(365,1772);PD(347,1752);PD(334,1733);PD(328,1714);PD(327,1695);PD(332,1675);PD(343,1663);PD(364,1656);PD(402,1651);PD(465,1639);PD(515,1621);PD(562,1600);PD(605,1589);PD(648,1587);PD(691,1595);PD(743,1615);PD(790,1646);PD(828,1686);PD(854,1730);PD(872,1764);PD(888,1778);PD(915,1790);PD(948,1818);PD(976,1851);PD(988,1878);PD(986,1889);PD(979,1900);PD(969,1909);PD(955,1917);PD(919,1929);PD(875,1933);PD(856,1935);PD(840,1941);PD(828,1950);PD(818,1963);PD(810,1978);PD(809,1985);PD(817,1984);PD(834,1976);PD(881,1965);PD(952,1964);PD(1040,1970);PD(1112,1813);PD(1164,1701);PD(1185,1650);PD(1151,1638);PD(1070,1624);PD(937,1603);PD(802,1577);PD(670,1548);PD(547,1517);PD(441,1487);PD(357,1458);PD(302,1434);PD(282,1414);PD(284,1406);PD(289,1402);PD(297,1401);PD(308,1404);PD(429,1446);PD(545,1480);PD(800,1538);PD(1016,1579);PD(1103,1593);PD(1166,1602);PD(1181,1604);PD(1194,1603);PD(1206,1595);PD(1221,1574);PD(1270,1478);PD(1359,1284);PD(1383,1233);PD(1411,1172);PD(1441,1109);PD(1468,1051);PD(1557,858);PD(1610,730);PD(1635,660);PD(1592,638);PD(1538,602);PD(1484,556);PD(1438,508);PD(1411,467);PD(1401,448);PD(1385,431);PD(1364,415);PD(1339,401);PD(1297,377);PD(1261,347);PD(1237,316);PD(1228,288);PD(1231,271);PD(1242,253);PD(1259,234);PD(1282,214);PD(1339,178);PD(1407,148);PD(1481,124);PD(1552,105);PD(1626,90);PD(1707,79);PD(1912,67);PD(2208,63);PD(2450,64);PD(2600,69);PD(2700,78);PD(2790,96);PD(2878,117);PD(2954,138);PD(3018,161);PD(3070,184);PD(3110,207);PD(3138,232);PD(3155,258);PD(3161,285);PD(3152,317);PD(3128,353);PD(3096,383);PD(3062,402);PD(3034,424);PD(3007,463);PD(2980,508);PD(2949,547);PD(2911,581);PD(2863,614);PD(2828,637);PD(2813,654);PD(2812,670);PD(2824,694);PD(2838,736);PD(2852,796);PD(2864,868);PD(2877,938);PD(2891,1009);PD(2901,1079);PD(2908,1111);PD(2917,1139);PD(2928,1162);PD(2942,1180);PD(2956,1196);PD(2968,1219);PD(2978,1245);PD(2984,1271);PD(2993,1314);PD(3003,1345);PD(3015,1362);PD(3029,1367);PD(3045,1360);PD(3063,1339);PD(3084,1306);PD(3107,1260);PD(3157,1167);PD(3203,1096);PD(3232,1068);PD(3260,1051);PD(3285,1045);PD(3307,1049);PD(3324,1063);PD(3336,1086);PD(3340,1118);PD(3337,1159);PD(3333,1189);PD(3334,1206);PD(3344,1212);PD(3365,1214);PD(3400,1218);PD(3430,1229);PD(3448,1234);PD(3468,1232);PD(3496,1221);PD(3535,1199);PD(3572,1179);PD(3596,1169);PD(3609,1168);PD(3612,1177);PD(3592,1203);PD(3545,1236);PD(3511,1257);PD(3487,1278);PD(3471,1301);PD(3460,1331);PD(3452,1360);PD(3449,1382);PD(3454,1400);PD(3464,1420);PD(3479,1459);PD(3485,1508);PD(3483,1539);PD(3473,1567);PD(3454,1599);PD(3423,1638);PD(3391,1680);PD(3373,1709);PD(3367,1735);PD(3368,1765);PD(3371,1795);PD(3368,1814);PD(3357,1829);PD(3336,1843);PD(3318,1857);PD(3302,1877);PD(3286,1902);PD(3273,1932);PD(3253,1999);PD(3246,2069);PD(3239,2118);PD(3223,2156);PD(3213,2178);PD(3205,2210);PD(3199,2252);PD(3196,2304);PD(3191,2373);PD(3181,2431);PD(3166,2479);PD(3143,2519);PD(3112,2552);PD(3073,2578);PD(3024,2600);PD(2965,2618);PD(2912,2633);PD(2881,2646);PD(2868,2660);PD(2865,2678);PD(2869,2718);PD(2884,2745);PD(2910,2761);PD(2949,2766);PD(2977,2768);PD(2999,2776);PD(3018,2791);PD(3032,2814);PD(3043,2845);PD(3050,2887);PD(3056,2940);PD(3059,3006);PD(3061,3079);PD(3059,3141);PD(3053,3193);PD(3044,3235);PD(3030,3267);PD(3013,3290);PD(2993,3305);PD(2968,3310);PD(2951,3312);PD(2936,3313);PD(2923,3314);PD(2914,3315);PD(2892,3340);PD(2858,3397);PD(2829,3446);PD(2795,3495);PD(2756,3542);PD(2714,3586);PD(2669,3627);PD(2621,3664);PD(2571,3696);PD(2520,3724);PD(2428,3765);PD(2372,3782);PD(2359,3784);PD(2348,3790);PD(2340,3801);PD(2334,3816);PD(2321,3841);PD(2296,3861);PD(2263,3875);PD(2225,3881);PD(2194,3874);PD(2163,3859);PD(2140,3838);PD(2131,3817);PD(2124,3802);PD(2107,3793);PD(2092,3796);PD(2073,3811);PD(2050,3837);PD(2022,3876);PD(1979,3942);PD(1961,3974);PD(1950,3998);PD(1922,4033);PD(1892,4064);PD(1871,4077);PD(1823,4056);PD(1729,4008);PU(1894,4012);PD(1912,3992);PD(1919,3978);PD(1936,3945);PD(1976,3882);PD(2015,3820);PD(2032,3790);PD(2002,3770);PD(1930,3734);PD(1881,3708);PD(1835,3679);PD(1792,3648);PD(1752,3612);PD(1713,3573);PD(1677,3529);PD(1642,3482);PD(1609,3429);PD(1570,3367);PD(1543,3330);PD(1521,3313);PD(1499,3309);PD(1478,3307);PD(1462,3298);PD(1448,3280);PD(1432,3253);PD(1418,3218);PD(1410,3178);PD(1407,3122);PD(1407,3041);PD(1410,2922);PD(1414,2853);PD(1413,2835);PD(1401,2820);PD(1372,2805);PD(1319,2786);PD(1246,2757);PD(1208,2738);PD(1181,2727);PD(1137,2723);PD(1106,2721);PD(1077,2712);PD(1046,2694);PD(1009,2667);PD(938,2611);PD(914,2643);PD(896,2668);PD(889,2684);PD(872,2727);PD(831,2818);PD(779,2928);PD(738,3020);PD(688,3126);PD(619,3272);PD(560,3401);PD(536,3466);PD(550,3513);PD(585,3585);PD(628,3662);PD(670,3721);PD(724,3772);PD(785,3811);PD(823,3828);PD(858,3835);PD(901,3836);PD(965,3830);PD(1120,3818);PD(1255,3820);PD(1317,3826);PD(1376,3835);PD(1434,3848);PD(1492,3865);PD(1622,3915);PD(1743,3971);PD(1824,4015);PD(1861,4034);PD(1874,4028);PD(1894,4012);PU(2293,3663);PD(2290,3552);PD(2278,3491);PD(2267,3477);PD(2251,3471);PD(2231,3472);PD(2206,3480);PD(2166,3492);PD(2162,3648);PD(2162,3762);PD(2166,3820);PD(2172,3829);PD(2185,3834);PD(2205,3836);PD(2232,3835);PD(2293,3831);PD(2293,3663);PU(2125,3492);PD(2100,3478);PD(2048,3466);PD(2006,3457);PD(1960,3442);PD(1911,3421);PD(1861,3396);PD(1812,3368);PD(1766,3337);PD(1726,3306);PD(1692,3274);PD(1626,3203);PD(1609,3265);PD(1600,3302);PD(1600,3330);PD(1610,3360);PD(1631,3402);PD(1684,3480);PD(1756,3562);PD(1836,3635);PD(1911,3687);PD(1981,3720);PD(2052,3744);PD(2124,3762);PD(2128,3635);PD(2129,3541);PD(2125,3492);PU(2426,3732);PD(2488,3705);PD(2564,3660);PD(2640,3604);PD(2704,3548);PD(2768,3470);PD(2821,3388);PD(2845,3340);PD(2857,3308);PD(2857,3282);PD(2849,3254);PD(2832,3206);PD(2802,3243);PD(2765,3285);PD(2719,3325);PD(2668,3362);PD(2612,3396);PD(2553,3425);PD(2493,3448);PD(2434,3465);PD(2378,3474);PD(2348,3483);PD(2337,3497);PD(2339,3544);PD(2341,3635);PD(2342,3709);PD(2350,3742);PD(2360,3747);PD(2375,3746);PD(2396,3741);PD(2426,3732);PU(490,3454);PD(564,3305);PD(724,2963);PD(771,2860);PD(827,2740);PD(871,2644);PD(889,2598);PD(878,2586);PD(853,2571);PD(826,2559);PD(811,2557);PD(728,2728);PD(649,2900);PD(622,2958);PD(559,3093);PD(481,3258);PD(436,3363);PD(415,3422);PD(415,3450);PD(428,3465);PD(449,3471);PD(472,3467);PD(490,3454);PU(2434,3422);PD(2525,3391);PD(2610,3348);PD(2687,3296);PD(2752,3236);PD(2819,3161);PD(2825,3003);PD(2827,2915);PD(2825,2859);PD(2816,2821);PD(2800,2786);PD(2770,2741);PD(2732,2698);PD(2686,2658);PD(2635,2622);PD(2579,2589);PD(2519,2562);PD(2456,2540);PD(2392,2524);PD(2337,2516);PD(2280,2512);PD(2221,2512);PD(2162,2516);PD(2104,2523);PD(2048,2534);PD(1994,2548);PD(1945,2565);PD(1876,2595);PD(1825,2622);PD(1780,2657);PD(1727,2707);PD(1700,2735);PD(1678,2762);PD(1660,2789);PD(1647,2815);PD(1639,2842);PD(1635,2870);PD(1634,2898);PD(1638,2928);PD(1647,2999);PD(1650,3071);PD(1650,3102);PD(1654,3132);PD(1662,3160);PD(1674,3187);PD(1712,3239);PD(1768,3292);PD(1834,3338);PD(1909,3376);PD(1991,3406);PD(2078,3428);PD(2168,3441);PD(2259,3445);PD(2349,3438);PD(2434,3422);PU(1520,3243);PD(1532,3209);PD(1540,3160);PD(1545,3103);PD(1547,3040);PD(1545,2978);PD(1539,2920);PD(1530,2872);PD(1518,2838);PD(1493,2788);PD(1466,2838);PD(1454,2870);PD(1446,2915);PD(1440,2969);PD(1438,3028);PD(1439,3087);PD(1443,3144);PD(1451,3193);PD(1462,3231);PD(1480,3271);PD(1490,3288);PD(1501,3274);PD(1520,3243);PU(2907,3247);PD(2895,3212);PD(2887,3164);PD(2883,3105);PD(2882,3042);PD(2885,2977);PD(2892,2914);PD(2902,2859);PD(2915,2815);PD(2921,2801);PD(2921,2795);PD(2916,2797);PD(2904,2805);PD(2892,2821);PD(2881,2849);PD(2872,2885);PD(2864,2927);PD(2855,3021);PD(2858,3109);PD(2869,3175);PD(2885,3235);PD(2902,3275);PD(2915,3284);PD(2916,3270);PD(2907,3247);PU(2997,3243);PD(3012,3195);PD(3021,3136);PD(3026,3071);PD(3027,3004);PD(3023,2940);PD(3015,2884);PD(3002,2839);PD(2986,2811);PD(2974,2800);PD(2965,2799);PD(2958,2808);PD(2949,2828);PD(2933,2892);PD(2922,2970);PD(2918,3052);PD(2922,3124);PD(2933,3183);PD(2946,3235);PD(2961,3273);PD(2973,3288);PD(2983,3274);PD(2997,3243);PU(1595,3206);PD(1606,3126);PD(1608,3022);PD(1602,2923);PD(1588,2855);PD(1570,2819);PD(1559,2814);PD(1558,2836);PD(1568,2884);PD(1576,2960);PD(1577,3065);PD(1571,3170);PD(1558,3244);PD(1554,3259);PD(1554,3268);PD(1557,3271);PD(1564,3268);PD(1579,3246);PD(1595,3206);PU(1715,2659);PD(1751,2625);PD(1793,2595);PD(1838,2568);PD(1887,2544);PD(1940,2523);PD(1995,2506);PD(2052,2492);PD(2110,2482);PD(2170,2476);PD(2230,2473);PD(2290,2474);PD(2350,2479);PD(2408,2488);PD(2465,2500);PD(2520,2517);PD(2572,2539);PD(2631,2571);PD(2696,2614);PD(2753,2658);PD(2790,2694);PD(2821,2734);PD(2836,2750);PD(2836,2742);PD(2822,2711);PD(2776,2643);PD(2708,2569);PD(2632,2503);PD(2560,2458);PD(2503,2431);PD(2465,2412);PD(2417,2398);PD(2337,2382);PD(2259,2374);PD(2182,2375);PD(2107,2383);PD(2033,2400);PD(1963,2424);PD(1895,2456);PD(1831,2495);PD(1772,2541);PD(1717,2597);PD(1665,2659);PD(1625,2718);PD(1603,2766);PD(1599,2783);PD(1601,2787);PD(1612,2777);PD(1633,2752);PD(1673,2704);PD(1715,2659);PU(1531,2766);PD(1554,2755);PD(1580,2728);PD(1600,2694);PD(1609,2663);PD(1601,2655);PD(1578,2649);PD(1538,2645);PD(1483,2643);PD(1386,2637);PD(1331,2627);PD(1302,2616);PD(1269,2606);PD(1250,2603);PD(1236,2606);PD(1226,2615);PD(1216,2633);PD(1204,2664);PD(1203,2685);PD(1217,2701);PD(1246,2718);PD(1304,2745);PD(1359,2763);PD(1410,2773);PD(1453,2773);PD(1496,2768);PD(1531,2766);PU(1154,2677);PD(1169,2654);PD(1184,2622);PD(1191,2601);PD(1192,2592);PD(1182,2594);PD(1160,2605);PD(1116,2619);PD(1065,2625);PD(1009,2625);PD(1051,2660);PD(1084,2682);PD(1112,2693);PD(1135,2691);PD(1154,2677);PU(1655,2536);PD(1691,2486);PD(1732,2440);PD(1777,2399);PD(1827,2362);PD(1879,2330);PD(1935,2303);PD(1993,2281);PD(2054,2264);PD(2117,2252);PD(2181,2246);PD(2246,2244);PD(2311,2248);PD(2377,2258);PD(2443,2273);PD(2508,2293);PD(2572,2320);PD(2646,2364);PD(2721,2426);PD(2754,2460);PD(2784,2493);PD(2807,2525);PD(2822,2553);PD(2833,2576);PD(2847,2589);PD(2867,2595);PD(2898,2596);PD(2946,2590);PD(2998,2574);PD(3050,2550);PD(3093,2522);PD(3111,2501);PD(3127,2470);PD(3141,2432);PD(3153,2389);PD(3161,2344);PD(3166,2301);PD(3166,2261);PD(3161,2228);PD(3155,2204);PD(3155,2185);PD(3162,2169);PD(3175,2152);PD(3187,2135);PD(3196,2115);PD(3201,2091);PD(3203,2064);PD(3212,2003);PD(3231,1939);PD(3244,1906);PD(3251,1877);PD(3251,1852);PD(3244,1830);PD(3230,1810);PD(3209,1791);PD(3179,1772);PD(3140,1751);PD(3052,1714);PD(2970,1689);PD(2937,1683);PD(2911,1682);PD(2890,1685);PD(2873,1694);PD(2861,1708);PD(2851,1730);PD(2844,1759);PD(2838,1796);PD(2822,1862);PD(2800,1912);PD(2767,1960);PD(2744,2000);PD(2730,2036);PD(2725,2072);PD(2729,2111);PD(2742,2156);PD(2764,2212);PD(2795,2282);PD(2821,2339);PD(2833,2375);PD(2835,2386);PD(2834,2393);PD(2830,2398);PD(2824,2399);PD(2800,2367);PD(2759,2292);PD(2734,2238);PD(2716,2190);PD(2705,2144);PD(2699,2098);PD(2697,2048);PD(2702,2011);PD(2718,1974);PD(2750,1922);PD(2776,1880);PD(2794,1845);PD(2804,1816);PD(2805,1793);PD(2798,1775);PD(2783,1761);PD(2759,1750);PD(2726,1741);PD(2705,1738);PD(2689,1740);PD(2678,1748);PD(2668,1762);PD(2659,1777);PD(2649,1786);PD(2639,1790);PD(2628,1790);PD(2608,1776);PD(2589,1744);PD(2582,1727);PD(2574,1714);PD(2562,1704);PD(2544,1696);PD(2480,1684);PD(2362,1671);PD(2315,1667);PD(2288,1668);PD(2275,1676);PD(2268,1692);PD(2262,1707);PD(2254,1719);PD(2245,1727);PD(2234,1731);PD(2222,1731);PD(2210,1727);PD(2198,1720);PD(2187,1707);PD(2172,1691);PD(2155,1683);PD(2129,1681);PD(2087,1686);PD(2011,1699);PD(1957,1716);PD(1918,1741);PD(1891,1774);PD(1868,1804);PD(1846,1818);PD(1836,1819);PD(1826,1815);PD(1817,1808);PD(1809,1796);PD(1800,1784);PD(1789,1780);PD(1771,1783);PD(1741,1794);PD(1715,1805);PD(1697,1819);PD(1684,1835);PD(1676,1856);PD(1666,1902);PD(1652,1954);PD(1640,2037);PD(1628,2155);PD(1618,2252);PD(1607,2296);PD(1602,2296);PD(1598,2281);PD(1596,2250);PD(1595,2203);PD(1594,2154);PD(1590,2123);PD(1583,2105);PD(1571,2095);PD(1507,2085);PD(1390,2073);PD(1273,2061);PD(1211,2052);PD(1200,2051);PD(1191,2054);PD(1184,2062);PD(1178,2074);PD(1175,2095);PD(1183,2113);PD(1208,2136);PD(1253,2169);PD(1282,2196);PD(1304,2228);PD(1312,2252);PD(1317,2282);PD(1319,2315);PD(1318,2351);PD(1306,2425);PD(1283,2489);PD(1263,2538);PD(1260,2563);PD(1294,2579);PD(1355,2594);PD(1430,2605);PD(1506,2609);PD(1607,2611);PD(1655,2536);PU(2769,2537);PD(2734,2490);PD(2699,2450);PD(2662,2416);PD(2622,2386);PD(2578,2361);PD(2529,2338);PD(2472,2318);PD(2407,2299);PD(2322,2280);PD(2242,2273);PD(2162,2277);PD(2077,2293);PD(2017,2310);PD(1959,2331);PD(1904,2357);PD(1853,2387);PD(1806,2419);PD(1764,2455);PD(1728,2493);PD(1699,2533);PD(1686,2555);PD(1686,2561);PD(1704,2549);PD(1743,2517);PD(1800,2473);PD(1857,2436);PD(1913,2406);PD(1970,2382);PD(2029,2364);PD(2092,2352);PD(2158,2345);PD(2231,2342);PD(2304,2345);PD(2372,2353);PD(2436,2367);PD(2497,2387);PD(2555,2413);PD(2611,2445);PD(2665,2485);PD(2719,2532);PD(2779,2584);PD(2805,2603);PD(2796,2582);PD(2769,2537);PU(1136,2580);PD(1161,2561);PD(1171,2539);PD(1169,2526);PD(1162,2514);PD(1151,2503);PD(1136,2493);PD(1091,2473);PD(1027,2455);PD(981,2445);PD(951,2444);PD(927,2455);PD(897,2478);PD(863,2509);PD(848,2527);PD(876,2542);PD(942,2565);PD(1016,2585);PD(1068,2595);PD(1101,2592);PD(1136,2580);PU(1235,2512);PD(1251,2477);PD(1254,2457);PD(1244,2452);PD(1221,2460);PD(1198,2477);PD(1192,2495);PD(1198,2515);PD(1199,2534);PD(1202,2550);PD(1208,2552);PD(1219,2539);PD(1235,2512);PU(861,2462);PD(902,2429);PD(939,2391);PD(973,2351);PD(1002,2308);PD(1027,2264);PD(1046,2218);PD(1060,2171);PD(1068,2124);PD(1070,2091);PD(1068,2064);PD(1060,2042);PD(1048,2025);PD(1029,2013);PD(1005,2005);PD(973,2000);PD(934,1998);PD(900,1999);PD(869,2004);PD(841,2012);PD(815,2025);PD(791,2042);PD(768,2064);PD(745,2092);PD(721,2125);PD(702,2157);PD(687,2189);PD(676,2221);PD(670,2252);PD(667,2284);PD(669,2317);PD(675,2350);PD(684,2385);PD(705,2433);PD(730,2474);PD(757,2501);PD(780,2512);PD(809,2497);PD(861,2462);PU(1219,2423);PD(1233,2411);PD(1238,2400);PD(1236,2385);PD(1226,2364);PD(1194,2321);PD(1144,2275);PD(1082,2228);PD(1048,2296);PD(1019,2349);PD(999,2382);PD(992,2394);PD(992,2405);PD(999,2414);PD(1013,2422);PD(1061,2434);PD(1137,2440);PD(1185,2435);PD(1219,2423);PU(1280,2368);PD(1277,2364);PD(1275,2365);PD(1273,2372);PD(1273,2385);PD(1273,2397);PD(1275,2405);PD(1277,2407);PD(1280,2403);PD(1282,2385);PD(1280,2368);PU(1284,2285);PD(1273,2253);PD(1243,2213);PD(1203,2173);PD(1159,2141);PD(1132,2125);PD(1117,2124);PD(1107,2141);PD(1094,2180);PD(1094,2190);PD(1100,2201);PD(1110,2211);PD(1126,2221);PD(1165,2248);PD(1205,2283);PD(1235,2309);PD(1260,2318);PD(1270,2316);PD(1278,2310);PD(1282,2299);PD(1284,2285);PU(1171,2001);PD(1218,1897);PD(1286,1751);PD(1345,1628);PD(1369,1573);PD(1391,1523);PD(1445,1410);PD(1485,1321);PD(1509,1257);PD(1521,1201);PD(1527,1136);PD(1535,1048);PD(1544,995);PD(1545,992);PD(1545,991);PD(1545,990);PD(1544,991);PD(1541,996);PD(1535,1005);PD(1520,1034);PD(1500,1074);PD(1450,1175);PD(1398,1284);PD(1346,1398);PD(1287,1524);PD(1229,1648);PD(1178,1757);PD(1158,1801);PD(1137,1846);PD(1127,1868);PD(1118,1888);PD(1109,1907);PD(1102,1922);PD(1085,1959);PD(1079,1984);PD(1082,2005);PD(1094,2031);PD(1112,2061);PD(1127,2074);PD(1146,2052);PD(1171,2001);PU(1609,2012);PD(1615,1958);PD(1633,1892);PD(1645,1852);PD(1648,1827);PD(1644,1810);PD(1631,1794);PD(1612,1760);PD(1599,1716);PD(1590,1665);PD(1503,1665);PD(1434,1663);PD(1394,1658);PD(1380,1665);PD(1359,1694);PD(1328,1748);PD(1288,1830);PD(1204,2011);PD(1254,2022);PD(1326,2033);PD(1425,2045);PD(1537,2056);PD(1591,2056);PD(1603,2051);PD(1608,2043);PD(1609,2030);PD(1609,2012);PU(772,1956);PD(824,1909);PD(761,1873);PD(713,1847);PD(664,1826);PD(614,1809);PD(567,1797);PD(524,1790);PD(488,1789);PD(460,1794);PD(445,1806);PD(440,1832);PD(447,1868);PD(465,1907);PD(491,1943);PD(522,1974);PD(551,1992);PD(589,2000);PD(646,2002);PD(687,2002);PD(716,1995);PD(742,1981);PD(772,1956);PU(937,1887);PD(951,1875);PD(954,1866);PD(944,1854);PD(921,1837);PD(879,1810);PD(829,1784);PD(775,1760);PD(717,1738);PD(657,1719);PD(597,1704);PD(536,1692);PD(478,1685);PD(403,1682);PD(364,1690);PD(357,1699);PD(358,1711);PD(368,1726);PD(385,1746);PD(406,1764);PD(422,1773);PD(442,1772);PD(470,1762);PD(499,1755);PD(526,1753);PD(558,1758);PD(603,1770);PD(666,1791);PD(728,1818);PD(784,1847);PD(833,1878);PD(862,1896);PD(888,1903);PD(912,1900);PD(937,1887);PU(3329,1801);PD(3334,1792);PD(3335,1781);PD(3333,1770);PD(3327,1759);PD(3306,1733);PD(3273,1707);PD(3231,1681);PD(3182,1656);PD(3126,1634);PD(3066,1616);PD(3012,1604);PD(2961,1598);PD(2915,1596);PD(2875,1599);PD(2844,1607);PD(2822,1619);PD(2811,1635);PD(2812,1655);PD(2818,1666);PD(2826,1670);PD(2840,1667);PD(2863,1657);PD(2886,1647);PD(2909,1643);PD(2936,1645);PD(2970,1651);PD(3053,1677);PD(3144,1716);PD(3221,1757);PD(3262,1791);PD(3279,1810);PD(3295,1819);PD(3312,1816);PD(3329,1801);PU(1746,1754);PD(1767,1738);PD(1779,1720);PD(1782,1693);PD(1781,1648);PD(1774,1590);PD(1765,1566);PD(1738,1577);PD(1700,1604);PD(1663,1637);PD(1638,1668);PD(1628,1688);PD(1625,1704);PD(1629,1720);PD(1641,1741);PD(1662,1766);PD(1684,1776);PD(1711,1772);PD(1746,1754);PU(1868,1734);PD(1875,1677);PD(1876,1615);PD(1871,1557);PD(1861,1514);PD(1853,1493);PD(1846,1484);PD(1840,1488);PD(1832,1501);PD(1821,1546);PD(1816,1618);PD(1818,1693);PD(1826,1747);PD(1837,1771);PD(1848,1776);PD(1859,1764);PD(1868,1734);PU(2660,1602);PD(2655,1510);PD(2643,1466);PD(2634,1460);PD(2626,1460);PD(2619,1467);PD(2613,1480);PD(2606,1528);PD(2604,1602);PD(2606,1675);PD(2613,1723);PD(2619,1737);PD(2626,1743);PD(2634,1744);PD(2643,1737);PD(2655,1693);PD(2660,1602);PU(804,1706);PD(787,1683);PD(762,1663);PD(732,1647);PD(697,1634);PD(661,1625);PD(625,1621);PD(590,1623);PD(559,1631);PD(541,1642);PD(537,1653);PD(547,1662);PD(569,1665);PD(609,1671);PD(664,1685);PD(719,1703);PD(759,1720);PD(786,1733);PD(804,1735);PD(810,1726);PD(804,1706);PU(2822,1730);PD(2817,1719);PD(2802,1705);PD(2781,1676);PD(2773,1647);PD(2777,1620);PD(2794,1595);PD(2824,1565);PD(2774,1545);PD(2735,1530);PD(2714,1524);PD(2704,1548);PD(2699,1607);PD(2700,1654);PD(2704,1681);PD(2717,1698);PD(2742,1712);PD(2773,1725);PD(2798,1733);PD(2816,1735);PD(2822,1730);PU(2255,1569);PD(2254,1496);PD(2246,1439);PD(2239,1420);PD(2231,1407);PD(2222,1403);PD(2213,1408);PD(2201,1455);PD(2196,1539);PD(2197,1626);PD(2207,1678);PD(2215,1687);PD(2223,1689);PD(2231,1685);PD(2237,1673);PD(2248,1632);PD(2255,1569);PU(3339,1682);PD(3354,1666);PD(3371,1640);PD(3379,1616);PD(3376,1592);PD(3364,1569);PD(3341,1546);PD(3309,1524);PD(3267,1502);PD(3215,1481);PD(3154,1460);PD(3087,1444);PD(3039,1442);PD(3019,1446);PD(3000,1454);PD(2983,1467);PD(2965,1483);PD(2931,1521);PD(2922,1547);PD(2927,1556);PD(2937,1562);PD(2954,1565);PD(2976,1566);PD(3043,1574);PD(3124,1596);PD(3202,1625);PD(3261,1657);PD(3293,1679);PD(3313,1689);PD(3325,1690);PD(3339,1682);PU(2004,1667);PD(2054,1655);PD(2107,1644);PD(2159,1635);PD(2159,1559);PD(2159,1530);PD(2157,1508);PD(2151,1493);PD(2140,1485);PD(2095,1485);PD(2005,1504);PD(1957,1517);PD(1927,1527);PD(1912,1537);PD(1911,1548);PD(1916,1579);PD(1919,1624);PD(1921,1659);PD(1932,1675);PD(1957,1677);PD(2004,1667);PU(2568,1582);PD(2565,1520);PD(2558,1492);PD(2513,1485);PD(2420,1480);PD(2294,1475);PD(2292,1556);PD(2289,1637);PD(2362,1638);PD(2430,1642);PD(2491,1650);PD(2533,1659);PD(2558,1664);PD(2565,1640);PD(2568,1582);PU(1609,1616);PD(1600,1593);PD(1580,1552);PD(1558,1487);PD(1542,1411);PD(1533,1351);PD(1523,1326);PD(1514,1330);PD(1510,1339);PD(1464,1450);PD(1396,1599);PD(1392,1606);PD(1391,1611);PD(1394,1616);PD(1402,1619);PD(1434,1622);PD(1496,1623);PD(1576,1621);PD(1609,1616);PU(1792,1501);PD(1800,1484);PD(1818,1463);PD(1832,1451);PD(1844,1447);PD(1856,1451);PD(1874,1462);PD(1895,1473);PD(1922,1477);PD(1964,1475);PD(2031,1468);PD(2102,1457);PD(2142,1446);PD(2163,1429);PD(2179,1401);PD(2189,1382);PD(2200,1369);PD(2212,1361);PD(2223,1358);PD(2235,1361);PD(2247,1369);PD(2258,1382);PD(2269,1401);PD(2281,1422);PD(2297,1434);PD(2324,1439);PD(2368,1441);PD(2443,1444);PD(2512,1451);PD(2545,1455);PD(2568,1454);PD(2584,1447);PD(2598,1434);PD(2608,1423);PD(2620,1417);PD(2632,1414);PD(2643,1415);PD(2664,1427);PD(2677,1452);PD(2684,1465);PD(2699,1477);PD(2721,1489);PD(2749,1500);PD(2797,1514);PD(2819,1517);PD(2817,1493);PD(2807,1439);PD(2797,1365);PD(2800,1298);PD(2807,1268);PD(2817,1241);PD(2829,1217);PD(2845,1197);PD(2864,1175);PD(2874,1154);PD(2877,1128);PD(2874,1092);PD(2866,1045);PD(2850,1006);PD(2827,974);PD(2796,951);PD(2755,934);PD(2704,924);PD(2642,920);PD(2568,921);PD(2446,933);PD(2340,952);PD(2244,976);PD(2244,1036);PD(2245,1068);PD(2252,1088);PD(2268,1103);PD(2297,1118);PD(2354,1147);PD(2399,1181);PD(2415,1197);PD(2426,1210);PD(2429,1222);PD(2424,1229);PD(2414,1232);PD(2402,1228);PD(2387,1220);PD(2371,1206);PD(2326,1172);PD(2276,1148);PD(2224,1135);PD(2177,1136);PD(2130,1155);PD(2080,1188);PD(2048,1213);PD(2027,1222);PD(2021,1221);PD(2018,1216);PD(2018,1207);PD(2022,1194);PD(2045,1169);PD(2087,1138);PD(2132,1112);PD(2166,1101);PD(2177,1096);PD(2184,1082);PD(2188,1062);PD(2188,1039);PD(2186,1014);PD(2180,989);PD(2171,968);PD(2159,952);PD(2137,937);PD(2109,924);PD(2075,913);PD(2037,905);PD(1953,899);PD(1863,905);PD(1761,925);PD(1670,955);PD(1633,971);PD(1603,988);PD(1581,1005);PD(1571,1020);PD(1562,1100);PD(1564,1232);PD(1573,1369);PD(1589,1468);PD(1612,1544);PD(1633,1579);PD(1646,1583);PD(1663,1580);PD(1685,1571);PD(1715,1556);PD(1769,1525);PD(1792,1501);PU(3449,1475);PD(3438,1445);PD(3425,1432);PD(3409,1434);PD(3392,1452);PD(3373,1471);PD(3353,1481);PD(3344,1482);PD(3337,1480);PD(3332,1475);PD(3330,1466);PD(3345,1439);PD(3380,1396);PD(3413,1351);PD(3427,1311);PD(3428,1294);PD(3423,1279);PD(3414,1266);PD(3401,1256);PD(3385,1249);PD(3369,1248);PD(3354,1252);PD(3339,1261);PD(3308,1297);PD(3275,1357);PD(3233,1446);PD(3305,1480);PD(3362,1516);PD(3399,1554);PD(3422,1595);PD(3440,1552);PD(3450,1511);PD(3449,1475);PU(2893,1520);PD(2903,1496);PD(2927,1465);PD(2956,1437);PD(2983,1420);PD(2997,1414);PD(3002,1408);PD(2998,1399);PD(2986,1386);PD(2966,1345);PD(2949,1284);PD(2937,1229);PD(2928,1202);PD(2913,1202);PD(2887,1211);PD(2867,1223);PD(2852,1241);PD(2840,1263);PD(2832,1290);PD(2829,1321);PD(2829,1358);PD(2833,1399);PD(2842,1445);PD(2864,1519);PD(2880,1545);PD(2889,1534);PD(2893,1520);PU(3299,1154);PD(3301,1127);PD(3299,1107);PD(3295,1093);PD(3287,1087);PD(3276,1087);PD(3262,1095);PD(3246,1109);PD(3226,1130);PD(3189,1186);PD(3144,1268);PD(3106,1347);PD(3090,1394);PD(3106,1408);PD(3144,1421);PD(3196,1434);PD(3244,1326);PD(3280,1232);PD(3299,1154);PU(1940,869);PD(2011,870);PD(2062,873);PD(2099,881);PD(2128,893);PD(2163,910);PD(2180,914);PD(2183,875);PD(2170,801);PD(2148,722);PD(2124,666);PD(2087,622);PD(2043,588);PD(2021,577);PD(2002,571);PD(1985,570);PD(1973,574);PD(1927,606);PD(1873,632);PD(1816,650);PD(1760,660);PD(1728,664);PD(1702,670);PD(1682,680);PD(1666,693);PD(1654,713);PD(1643,740);PD(1634,774);PD(1626,818);PD(1613,880);PD(1602,919);PD(1600,925);PD(1601,929);PD(1605,931);PD(1613,931);PD(1643,924);PD(1696,906);PD(1753,888);PD(1807,878);PD(1866,872);PD(1940,869);PU(2410,903);PD(2527,884);PD(2617,877);PD(2691,883);PD(2762,902);PD(2835,926);PD(2826,855);PD(2814,788);PD(2794,725);PD(2769,667);PD(2673,659);PD(2602,648);PD(2534,629);PD(2479,604);PD(2448,579);PD(2440,573);PD(2428,574);PD(2412,580);PD(2394,591);PD(2355,623);PD(2320,665);PD(2304,692);PD(2290,726);PD(2279,764);PD(2272,806);PD(2259,903);PD(2262,931);PD(2306,923);PD(2410,903);PU(2252,731);PD(2263,694);PD(2267,670);PD(2262,650);PD(2249,629);PD(2235,595);PD(2234,564);PD(2235,552);PD(2234,543);PD(2229,538);PD(2221,536);PD(2213,539);PD(2207,546);PD(2203,558);PD(2201,573);PD(2197,606);PD(2187,636);PD(2181,652);PD(2180,672);PD(2184,696);PD(2194,727);PD(2210,785);PD(2217,837);PD(2220,882);PD(2225,840);PD(2236,791);PD(2252,731);PU(1887,586);PD(1916,569);PD(1944,549);PD(1968,526);PD(1989,502);PD(2007,477);PD(2021,450);PD(2030,423);PD(2035,397);PD(2036,368);PD(2027,351);PD(2003,337);PD(1954,322);PD(1909,310);PD(1857,301);PD(1799,295);PD(1736,292);PD(1646,293);PD(1577,303);PD(1520,323);PD(1463,357);PD(1447,370);PD(1437,384);PD(1431,399);PD(1431,416);PD(1446,457);PD(1483,509);PD(1521,548);PD(1564,579);PD(1613,602);PD(1666,617);PD(1721,623);PD(1777,620);PD(1833,607);PD(1887,586);PU(2163,601);PD(2167,573);PD(2159,546);PD(2138,521);PD(2107,500);PD(2079,484);PD(2062,480);PD(2050,485);PD(2038,501);PD(2027,516);PD(2024,527);PD(2029,535);PD(2040,543);PD(2068,563);PD(2101,588);PD(2128,610);PD(2145,619);PD(2156,616);PD(2163,601);PU(2351,583);PD(2382,554);PD(2396,532);PD(2395,513);PD(2378,494);PD(2364,488);PD(2347,488);PD(2330,495);PD(2313,507);PD(2297,522);PD(2284,540);PD(2275,560);PD(2272,580);PD(2273,597);PD(2276,609);PD(2281,616);PD(2288,619);PD(2312,610);PD(2351,583);PU(2867,571);PD(2917,526);PD(2958,470);PD(2973,442);PD(2984,416);PD(2989,393);PD(2987,375);PD(2979,361);PD(2965,349);PD(2946,337);PD(2923,327);PD(2864,310);PD(2795,300);PD(2717,295);PD(2635,298);PD(2554,307);PD(2478,325);PD(2407,346);PD(2375,358);PD(2374,386);PD(2392,435);PD(2423,490);PD(2458,536);PD(2483,560);PD(2507,579);PD(2531,593);PD(2558,604);PD(2621,616);PD(2705,617);PD(2760,613);PD(2799,606);PD(2832,593);PD(2867,571);PU(2163,470);PD(2154,452);PD(2122,428);PD(2089,412);PD(2073,415);PD(2078,431);PD(2107,456);PD(2129,471);PD(2145,478);PD(2156,477);PD(2163,470);PU(2316,466);PD(2334,448);PD(2342,429);PD(2341,419);PD(2336,416);PD(2325,421);PD(2307,433);PD(2279,458);PD(2271,474);PD(2284,478);PD(2316,466);PU(2297,394);PD(2318,372);PD(2332,351);PD(2340,330);PD(2342,308);PD(2342,264);PD(2311,291);PD(2275,325);PD(2250,355);PD(2235,382);PD(2230,406);PD(2232,429);PD(2243,435);PD(2263,423);PD(2297,394);PU(2187,397);PD(2172,367);PD(2137,322);PD(2100,284);PD(2080,272);PD(2081,289);PD(2084,325);PD(2089,349);PD(2098,369);PD(2111,385);PD(2128,398);PD(2159,415);PD(2177,421);PD(2185,414);PD(2187,397);PU(1685,257);PD(1768,256);PD(1846,263);PD(1927,279);PD(2021,305);PD(2033,307);PD(2038,303);PD(2037,292);PD(2031,272);PD(2010,236);PD(1978,205);PD(1952,189);PD(1914,181);PD(1849,177);PD(1743,176);PD(1634,177);PD(1568,182);PD(1527,191);PD(1494,209);PD(1464,231);PD(1443,257);PD(1430,287);PD(1425,320);PD(1443,322);PD(1490,301);PD(1528,282);PD(1568,270);PD(1618,262);PD(1685,257);PU(2986,277);PD(2966,242);PD(2931,209);PD(2901,191);PD(2863,182);PD(2801,177);PD(2695,176);PD(2594,177);PD(2529,182);PD(2488,191);PD(2455,206);PD(2423,231);PD(2395,261);PD(2377,289);PD(2376,308);PD(2406,304);PD(2471,288);PD(2578,270);PD(2716,262);PD(2797,263);PD(2853,267);PD(2893,276);PD(2928,291);PD(2970,310);PD(2990,316);PD(2991,303);PD(2986,277);PU(2046,3274);PD(2023,3242);PD(2009,3205);PD(2006,3162);PD(2014,3114);PD(2019,3088);PD(2021,3064);PD(2019,3042);PD(2014,3021);PD(2008,2990);PD(2012,2959);PD(2026,2931);PD(2048,2905);PD(2077,2883);PD(2112,2865);PD(2152,2854);PD(2196,2850);PD(2254,2855);PD(2300,2869);PD(2338,2893);PD(2369,2929);PD(2387,2957);PD(2395,2978);PD(2395,2998);PD(2388,3023);PD(2379,3061);PD(2385,3092);PD(2395,3126);PD(2399,3175);PD(2396,3202);PD(2390,3227);PD(2380,3249);PD(2367,3268);PD(2352,3282);PD(2335,3291);PD(2318,3294);PD(2302,3289);PD(2281,3269);PD(2263,3236);PD(2249,3197);PD(2244,3159);PD(2242,3147);PD(2235,3139);PD(2222,3134);PD(2201,3133);PD(2180,3134);PD(2167,3139);PD(2161,3149);PD(2159,3167);PD(2155,3205);PD(2143,3240);PD(2126,3269);PD(2104,3288);PD(2088,3294);PD(2075,3294);PD(2062,3288);PD(2046,3274);PU(2114,3183);PD(2111,3163);PD(2104,3149);PD(2095,3142);PD(2081,3140);PD(2070,3143);PD(2060,3151);PD(2053,3163);PD(2048,3178);PD(2047,3194);PD(2048,3211);PD(2053,3226);PD(2062,3240);PD(2071,3249);PD(2081,3252);PD(2091,3250);PD(2099,3243);PD(2112,3219);PD(2114,3183);PU(2357,3226);PD(2364,3192);PD(2360,3162);PD(2355,3150);PD(2348,3141);PD(2338,3135);PD(2327,3133);PD(2316,3135);PD(2306,3142);PD(2298,3153);PD(2293,3166);PD(2290,3198);PD(2300,3230);PD(2315,3252);PD(2329,3259);PD(2343,3250);PD(2357,3226);PU(2265,3089);PD(2305,3074);PD(2333,3053);PD(2350,3028);PD(2357,2996);PD(2354,2968);PD(2346,2945);PD(2333,2925);PD(2315,2908);PD(2291,2895);PD(2262,2886);PD(2229,2881);PD(2190,2879);PD(2153,2880);PD(2125,2886);PD(2101,2899);PD(2076,2920);PD(2058,2938);PD(2045,2955);PD(2037,2971);PD(2034,2987);PD(2036,3002);PD(2043,3018);PD(2055,3034);PD(2072,3051);PD(2092,3069);PD(2112,3083);PD(2133,3093);PD(2155,3099);PD(2205,3101);PD(2265,3089);PU(2469,2994);PD(2475,2951);PD(2488,2922);PD(2494,2911);PD(2488,2896);PD(2470,2874);PD(2437,2842);PD(2397,2810);PD(2354,2785);PD(2308,2767);PD(2260,2756);PD(2211,2751);PD(2159,2753);PD(2105,2762);PD(2049,2778);PD(1994,2793);PD(1967,2793);PD(1971,2781);PD(1995,2766);PD(2039,2750);PD(2103,2731);PD(2164,2708);PD(2221,2675);PD(2250,2659);PD(2280,2647);PD(2311,2640);PD(2342,2638);PD(2373,2639);PD(2402,2646);PD(2428,2657);PD(2451,2673);PD(2471,2693);PD(2483,2713);PD(2489,2739);PD(2491,2776);PD(2493,2832);PD(2505,2863);PD(2516,2870);PD(2532,2873);PD(2552,2873);PD(2578,2870);PD(2620,2868);PD(2635,2875);PD(2622,2887);PD(2582,2900);PD(2548,2914);PD(2521,2938);PD(2504,2970);PD(2498,3008);PD(2494,3037);PD(2484,3048);PD(2474,3032);PD(2469,2994);PU(2512,2723);PD(2500,2691);PD(2471,2653);PD(2448,2631);PD(2423,2617);PD(2394,2607);PD(2358,2601);PD(2310,2591);PD(2288,2581);PD(2295,2572);PD(2334,2568);PD(2388,2575);PD(2438,2594);PD(2481,2622);PD(2512,2657);PD(2530,2692);PD(2538,2722);PD(2539,2734);PD(2537,2744);PD(2533,2750);PD(2526,2752);PD(2516,2743);PD(2512,2723);PU(1978,2187);PD(1929,2167);PD(1885,2145);PD(1849,2122);PD(1818,2097);PD(1795,2070);PD(1778,2041);PD(1767,2011);PD(1764,1980);PD(1768,1951);PD(1780,1923);PD(1799,1896);PD(1825,1871);PD(1856,1848);PD(1893,1827);PD(1934,1809);PD(1979,1792);PD(2079,1768);PD(2186,1756);PD(2241,1755);PD(2296,1758);PD(2350,1764);PD(2403,1775);PD(2484,1800);PD(2551,1828);PD(2605,1861);PD(2644,1897);PD(2658,1916);PD(2669,1936);PD(2676,1956);PD(2679,1977);PD(2679,1999);PD(2675,2021);PD(2666,2043);PD(2654,2066);PD(2626,2102);PD(2586,2133);PD(2532,2161);PD(2461,2189);PD(2413,2201);PD(2354,2209);PD(2288,2214);PD(2219,2216);PD(2149,2214);PD(2084,2209);PD(2026,2200);PD(1978,2187);PU(2369,2173);PD(2428,2161);PD(2480,2145);PD(2526,2126);PD(2565,2103);PD(2597,2078);PD(2620,2050);PD(2634,2021);PD(2639,1990);PD(2636,1967);PD(2630,1946);PD(2619,1925);PD(2603,1906);PD(2562,1871);PD(2506,1842);PD(2439,1819);PD(2361,1803);PD(2274,1796);PD(2180,1796);PD(2114,1802);PD(2054,1810);PD(2001,1822);PD(1953,1837);PD(1911,1856);PD(1876,1878);PD(1845,1904);PD(1820,1933);PD(1805,1962);PD(1799,1989);PD(1802,2017);PD(1813,2043);PD(1832,2067);PD(1858,2090);PD(1891,2111);PD(1929,2130);PD(1973,2147);PD(2021,2161);PD(2072,2172);PD(2128,2180);PD(2186,2184);PD(2246,2184);PD(2307,2181);PD(2369,2173);PU(3220,3868);PD(3158,3785);PD(3054,3820);PD(2976,3843);PD(2939,3847);PD(2951,3816);PD(2992,3752);PD(3013,3721);PD(3028,3695);PD(3037,3673);PD(3040,3654);PD(3037,3636);PD(3028,3617);PD(3013,3597);PD(2992,3573);PD(2963,3539);PD(2942,3506);PD(2930,3480);PD(2931,3467);PD(2964,3470);PD(3027,3487);PD(3093,3506);PD(3135,3514);PD(3168,3490);PD(3213,3433);PD(3240,3396);PD(3260,3369);PD(3276,3354);PD(3287,3351);PD(3295,3358);PD(3299,3378);PD(3301,3409);PD(3302,3453);PD(3302,3564);PD(3370,3587);PD(3428,3606);PD(3476,3618);PD(3496,3625);PD(3509,3632);PD(3513,3641);PD(3509,3651);PD(3478,3673);PD(3415,3697);PD(3316,3730);PD(3316,3840);PD(3315,3885);PD(3313,3918);PD(3307,3939);PD(3299,3948);PD(3286,3945);PD(3270,3931);PD(3248,3905);PD(3220,3868);PU(3366,3677);PD(3450,3649);PD(3363,3622);PD(3275,3597);PD(3271,3509);PD(3267,3422);PD(3219,3490);PD(3185,3532);PD(3155,3551);PD(3118,3551);PD(3064,3533);PD(3019,3520);PD(2997,3516);PD(3009,3538);PD(3042,3583);PD(3076,3631);PD(3090,3660);PD(3078,3688);PD(3048,3731);PD(3020,3772);PD(3011,3792);PD(3038,3787);PD(3095,3770);PD(3172,3742);PD(3220,3811);PD(3267,3881);PD(3274,3793);PD(3281,3707);PD(3366,3677);PU(3305,2742);PD(3289,2722);PD(3275,2713);PD(3257,2713);PD(3231,2721);PD(3194,2731);PD(3175,2728);PD(3173,2710);PD(3189,2678);PD(3204,2652);PD(3209,2634);PD(3204,2617);PD(3188,2594);PD(3170,2562);PD(3168,2541);PD(3173,2536);PD(3182,2534);PD(3195,2535);PD(3212,2540);PD(3246,2551);PD(3270,2551);PD(3288,2538);PD(3308,2512);PD(3328,2484);PD(3344,2479);PD(3355,2496);PD(3358,2534);PD(3360,2557);PD(3364,2573);PD(3372,2584);PD(3384,2591);PD(3411,2601);PD(3443,2613);PD(3463,2622);PD(3467,2630);PD(3453,2639);PD(3419,2654);PD(3386,2669);PD(3368,2683);PD(3360,2702);PD(3358,2731);PD(3355,2764);PD(3346,2777);PD(3329,2770);PD(3305,2742);PU(3354,2643);PD(3366,2633);PD(3370,2627);PD(3366,2622);PD(3354,2616);PD(3337,2601);PD(3330,2577);PD(3329,2561);PD(3327,2555);PD(3320,2560);PD(3309,2574);PD(3299,2584);PD(3287,2591);PD(3274,2594);PD(3261,2592);PD(3247,2590);PD(3241,2591);PD(3242,2598);PD(3248,2611);PD(3255,2624);PD(3258,2636);PD(3254,2647);PD(3246,2660);PD(3236,2672);PD(3236,2678);PD(3244,2678);PD(3262,2674);PD(3280,2671);PD(3293,2672);PD(3302,2679);PD(3309,2691);PD(3316,2704);PD(3320,2709);PD(3323,2703);PD(3326,2688);PD(3337,2663);PD(3354,2643);PU(790,1398);PD(700,1382);PD(619,1358);PD(552,1328);PD(500,1293);PD(470,1265);PD(453,1242);PD(447,1216);PD(447,1177);PD(447,1141);PD(441,1113);PD(429,1089);PD(408,1061);PD(382,1024);PD(377,999);PD(384,995);PD(396,1001);PD(413,1015);PD(433,1037);PD(459,1066);PD(477,1080);PD(491,1083);PD(505,1075);PD(570,1038);PD(649,1010);PD(738,989);PD(833,977);PD(931,974);PD(1026,980);PD(1117,996);PD(1198,1022);PD(1271,1055);PD(1317,1082);PD(1332,1095);PD(1345,1097);PD(1360,1085);PD(1383,1058);PD(1415,1025);PD(1432,1021);PD(1430,1041);PD(1405,1084);PD(1391,1109);PD(1379,1136);PD(1372,1163);PD(1369,1187);PD(1363,1225);PD(1345,1259);PD(1315,1290);PD(1270,1322);PD(1226,1345);PD(1174,1364);PD(1116,1380);PD(1052,1392);PD(986,1400);PD(919,1404);PD(853,1404);PD(790,1398);PU(1185,1326);PD(1248,1298);PD(1290,1273);PD(1307,1255);PD(1320,1237);PD(1328,1220);PD(1332,1202);PD(1333,1184);PD(1329,1167);PD(1321,1149);PD(1309,1133);PD(1275,1100);PD(1226,1071);PD(1163,1045);PD(1087,1023);PD(1000,1008);PD(914,1003);PD(826,1008);PD(734,1023);PD(657,1043);PD(593,1067);PD(542,1094);PD(506,1124);PD(494,1140);PD(486,1157);PD(481,1173);PD(480,1190);PD(484,1207);PD(491,1225);PD(503,1242);PD(519,1259);PD(554,1287);PD(592,1311);PD(634,1330);PD(682,1344);PD(735,1355);PD(797,1361);PD(866,1364);PD(945,1363);PD(1028,1359);PD(1090,1353);PD(1140,1342);PD(1185,1326);PU(755,1304);PD(706,1290);PD(645,1267);PD(615,1252);PD(593,1236);PD(577,1220);PD(568,1204);PD(566,1187);PD(571,1169);PD(582,1152);PD(601,1135);PD(651,1107);PD(719,1088);PD(801,1075);PD(890,1070);PD(981,1072);PD(1067,1083);PD(1143,1100);PD(1202,1126);PD(1222,1139);PD(1234,1153);PD(1239,1170);PD(1239,1192);PD(1234,1215);PD(1222,1233);PD(1201,1249);PD(1166,1267);PD(1125,1284);PD(1081,1295);PD(1024,1301);PD(947,1305);PD(829,1307);PD(755,1304);PU(1153,1238);PD(1181,1221);PD(1199,1206);PD(1208,1192);PD(1208,1178);PD(1198,1165);PD(1178,1151);PD(1149,1138);PD(1109,1123);PD(1026,1107);PD(918,1101);PD(811,1103);PD(732,1116);PD(649,1146);PD(606,1171);PD(599,1183);PD(601,1196);PD(611,1208);PD(629,1222);PD(675,1245);PD(733,1259);PD(814,1265);PD(931,1264);PD(1017,1262);PD(1079,1257);PD(1123,1249);PD(1153,1238);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_8(){//церковь
M=0.4;//
PD(1947,3838);pendown();
PD(1949,3787);PD(1953,3769);PD(1960,3793);PD(1963,3837);PD(1962,3880);PD(1957,3903);PD(1950,3888);PD(1947,3838);PU(1940,3713);PD(1942,3686);PD(1931,3655);PD(1907,3620);PD(1870,3579);PD(1845,3547);PD(1834,3521);PD(1839,3493);PD(1851,3468);PD(1867,3450);PD(1885,3443);PD(1893,3444);PD(1898,3448);PD(1899,3453);PD(1897,3459);PD(1895,3474);PD(1908,3487);PD(1932,3496);PD(1964,3500);PD(1999,3495);PD(2010,3485);PD(2000,3475);PD(1966,3470);PD(1938,3468);PD(1928,3467);PD(1933,3465);PD(1954,3461);PD(1994,3452);PD(2010,3442);PD(2001,3433);PD(1966,3429);PD(1922,3425);PD(1899,3416);PD(1907,3408);PD(1936,3406);PD(1957,3406);PD(1972,3402);PD(1982,3395);PD(1987,3384);PD(1987,3372);PD(1982,3364);PD(1969,3360);PD(1947,3358);PD(1930,3357);PD(1918,3355);PD(1911,3350);PD(1912,3344);PD(1922,3336);PD(1933,3337);PD(1955,3341);PD(1981,3336);PD(2004,3325);PD(2014,3310);PD(2011,3303);PD(2004,3297);PD(1994,3293);PD(1981,3292);PD(1967,3293);PD(1959,3297);PD(1955,3304);PD(1957,3315);PD(1960,3323);PD(1958,3325);PD(1953,3320);PD(1943,3309);PD(1932,3293);PD(1929,3284);PD(1935,3280);PD(1952,3277);PD(1969,3269);PD(1986,3244);PD(2004,3193);PD(2029,3107);PD(2061,2983);PD(2073,2918);PD(2072,2905);PD(2065,2903);PD(2054,2913);PD(2038,2932);PD(2001,2979);PD(1967,2948);PD(1933,2917);PD(1932,3049);PD(1929,3182);PD(1913,3016);PD(1898,2849);PD(1867,2880);PD(1836,2911);PD(1815,2859);PD(1794,2815);PD(1787,2810);PD(1792,2839);PD(1812,2897);PD(1844,2997);PD(1874,3119);PD(1895,3226);PD(1899,3282);PD(1898,3297);PD(1906,3308);PD(1910,3309);PD(1911,3311);PD(1908,3311);PD(1902,3310);PD(1890,3299);PD(1888,3278);PD(1876,3212);PD(1842,3092);PD(1807,2972);PD(1792,2905);PD(1790,2895);PD(1786,2886);PD(1778,2881);PD(1770,2879);PD(1759,2877);PD(1754,2869);PD(1753,2855);PD(1757,2834);PD(1768,2793);PD(1780,2778);PD(1795,2788);PD(1813,2822);PD(1840,2881);PD(1864,2849);PD(1876,2830);PD(1875,2815);PD(1858,2798);PD(1819,2770);PD(1760,2737);PD(1716,2723);PD(1699,2722);PD(1690,2719);PD(1687,2712);PD(1689,2701);PD(1691,2689);PD(1687,2677);PD(1679,2665);PD(1665,2653);PD(1633,2627);PD(1662,2612);PD(1678,2600);PD(1686,2580);PD(1689,2540);PD(1686,2472);PD(1684,2413);PD(1685,2386);PD(1685,2384);PD(1686,2384);PD(1686,2386);PD(1687,2390);PD(1690,2402);PD(1693,2420);PD(1704,2501);PD(1706,2560);PD(1704,2582);PD(1699,2599);PD(1692,2611);PD(1683,2618);PD(1671,2623);PD(1668,2629);PD(1675,2638);PD(1692,2651);PD(1713,2674);PD(1716,2694);PD(1713,2700);PD(1716,2705);PD(1724,2708);PD(1736,2709);PD(1773,2718);PD(1820,2738);PD(1852,2752);PD(1878,2759);PD(1905,2758);PD(1942,2750);PD(1975,2743);PD(2004,2741);PD(2033,2743);PD(2063,2750);PD(2090,2757);PD(2111,2760);PD(2125,2759);PD(2135,2753);PD(2154,2738);PD(2166,2737);PD(2172,2751);PD(2170,2780);PD(2145,2881);PD(2093,3041);PD(2056,3150);PD(2035,3225);PD(2026,3285);PD(2025,3351);PD(2029,3437);PD(2039,3485);PD(2053,3516);PD(2053,3546);PD(2039,3578);PD(2011,3615);PD(1990,3640);PD(1975,3663);PD(1966,3684);PD(1964,3700);PD(1962,3723);PD(1949,3737);PD(1941,3738);PD(1937,3734);PD(1937,3726);PD(1940,3713);PU(2046,3543);PD(2039,3546);PD(2022,3559);PD(1997,3576);PD(1973,3588);PD(1955,3604);PD(1947,3628);PD(1949,3642);PD(1956,3644);PD(1971,3632);PD(1997,3604);PD(2031,3564);PD(2046,3543);PU(2029,2850);PD(2052,2816);PD(2058,2794);PD(2045,2783);PD(2012,2780);PD(1961,2782);PD(1936,2792);PD(1933,2800);PD(1934,2811);PD(1941,2826);PD(1952,2845);PD(1976,2878);PD(1991,2893);PD(2005,2881);PD(2029,2850);PU(2149,2810);PD(2151,2798);PD(2148,2791);PD(2141,2788);PD(2129,2790);PD(2120,2794);PD(2114,2801);PD(2111,2808);PD(2112,2817);PD(2121,2832);PD(2131,2835);PD(2141,2828);PD(2149,2810);PU(2215,3027);PD(2213,2946);PD(2218,2910);PD(2224,2896);PD(2221,2870);PD(2217,2846);PD(2220,2838);PD(2231,2847);PD(2251,2873);PD(2263,2893);PD(2267,2907);PD(2263,2919);PD(2252,2934);PD(2243,2950);PD(2236,2975);PD(2230,3008);PD(2227,3048);PD(2223,3140);PD(2215,3027);PU(2897,2828);PD(2890,2804);PD(2894,2794);PD(2904,2780);PD(2908,2749);PD(2910,2730);PD(2912,2728);PD(2916,2742);PD(2921,2773);PD(2926,2823);PD(2923,2850);PD(2919,2855);PD(2913,2853);PD(2906,2844);PD(2897,2828);PU(1183,2766);PD(1180,2718);PD(1184,2686);PD(1188,2677);PD(1194,2674);PD(1200,2676);PD(1208,2684);PD(1213,2696);PD(1214,2714);PD(1212,2737);PD(1205,2766);PD(1190,2829);PD(1183,2766);PU(2184,2763);PD(2171,2715);PD(2169,2689);PD(2177,2677);PD(2199,2673);PD(2220,2673);PD(2229,2680);PD(2225,2690);PD(2206,2699);PD(2202,2701);PD(2200,2702);PD(2200,2704);PD(2203,2705);PD(2215,2707);PD(2234,2708);PD(2270,2705);PD(2280,2697);PD(2285,2680);PD(2307,2659);PD(2333,2637);PD(2340,2623);PD(2326,2618);PD(2293,2619);PD(2255,2616);PD(2234,2606);PD(2232,2600);PD(2234,2598);PD(2240,2598);PD(2249,2601);PD(2260,2604);PD(2267,2604);PD(2270,2600);PD(2269,2594);PD(2247,2580);PD(2200,2574);PD(2164,2572);PD(2134,2568);PD(2104,2559);PD(2067,2544);PD(2065,2543);PD(2065,2544);PD(2066,2545);PD(2068,2548);PD(2075,2556);PD(2087,2567);PD(2122,2588);PD(2160,2596);PD(2190,2600);PD(2208,2609);PD(2199,2617);PD(2163,2616);PD(2138,2613);PD(2126,2613);PD(2127,2617);PD(2141,2623);PD(2154,2631);PD(2163,2640);PD(2166,2650);PD(2165,2660);PD(2156,2666);PD(2137,2658);PD(2105,2634);PD(2056,2592);PD(1979,2516);PD(1930,2455);PD(1915,2419);PD(1907,2382);PD(1906,2345);PD(1911,2309);PD(1922,2276);PD(1940,2246);PD(1963,2221);PD(1991,2201);PD(2005,2194);PD(2012,2195);PD(2013,2206);PD(2009,2230);PD(2005,2251);PD(2006,2262);PD(2012,2266);PD(2024,2263);PD(2034,2261);PD(2041,2263);PD(2045,2268);PD(2046,2278);PD(2048,2286);PD(2052,2291);PD(2059,2293);PD(2067,2292);PD(2076,2289);PD(2083,2291);PD(2087,2297);PD(2088,2306);PD(2093,2321);PD(2104,2328);PD(2122,2326);PD(2143,2316);PD(2151,2308);PD(2150,2301);PD(2140,2292);PD(2119,2280);PD(2082,2258);PD(2069,2244);PD(2081,2241);PD(2118,2251);PD(2162,2263);PD(2206,2270);PD(2251,2272);PD(2295,2268);PD(2337,2259);PD(2376,2246);PD(2412,2227);PD(2444,2204);PD(2459,2194);PD(2473,2193);PD(2490,2201);PD(2516,2220);PD(2540,2239);PD(2559,2260);PD(2573,2281);PD(2584,2303);PD(2590,2326);PD(2591,2350);PD(2589,2376);PD(2582,2403);PD(2568,2438);PD(2541,2477);PD(2498,2526);PD(2434,2589);PD(2333,2694);PD(2276,2766);PD(2262,2789);PD(2248,2806);PD(2236,2816);PD(2224,2819);PD(2213,2815);PD(2203,2804);PD(2193,2787);PD(2184,2763);PU(2234,2728);PD(2216,2726);PD(2199,2728);PD(2194,2731);PD(2196,2733);PD(2203,2734);PD(2215,2735);PD(2228,2734);PD(2235,2733);PD(2237,2731);PD(2234,2728);PU(2388,2585);PD(2381,2577);PD(2347,2577);PD(2309,2579);PD(2291,2581);PD(2288,2587);PD(2293,2596);PD(2309,2604);PD(2337,2604);PD(2366,2597);PD(2388,2585);PU(2427,2533);PD(2435,2516);PD(2428,2505);PD(2412,2503);PD(2389,2510);PD(2364,2517);PD(2338,2509);PD(2315,2503);PD(2294,2510);PD(2279,2518);PD(2268,2516);PD(2239,2509);PD(2183,2505);PD(2127,2502);PD(2096,2495);PD(2069,2485);PD(2039,2478);PD(2014,2477);PD(2004,2482);PD(2010,2498);PD(2028,2512);PD(2054,2524);PD(2086,2530);PD(2120,2536);PD(2138,2543);PD(2181,2547);PD(2279,2550);PD(2339,2549);PD(2384,2546);PD(2413,2540);PD(2427,2533);PU(2409,2465);PD(2423,2462);PD(2434,2469);PD(2440,2476);PD(2446,2477);PD(2454,2475);PD(2464,2468);PD(2473,2459);PD(2475,2451);PD(2469,2442);PD(2454,2430);PD(2437,2419);PD(2425,2415);PD(2415,2420);PD(2405,2433);PD(2395,2444);PD(2385,2450);PD(2373,2449);PD(2357,2441);PD(2341,2434);PD(2327,2433);PD(2315,2437);PD(2302,2447);PD(2287,2458);PD(2277,2462);PD(2267,2458);PD(2255,2447);PD(2243,2436);PD(2232,2432);PD(2220,2434);PD(2204,2443);PD(2188,2451);PD(2175,2453);PD(2162,2448);PD(2148,2437);PD(2135,2426);PD(2124,2422);PD(2115,2423);PD(2105,2430);PD(2096,2437);PD(2087,2437);PD(2076,2432);PD(2062,2421);PD(2038,2406);PD(2021,2405);PD(2008,2403);PD(1998,2389);PD(1993,2380);PD(1987,2375);PD(1981,2376);PD(1974,2381);PD(1968,2401);PD(1975,2426);PD(1981,2437);PD(1988,2446);PD(1996,2450);PD(2004,2448);PD(2036,2449);PD(2098,2460);PD(2179,2472);PD(2275,2477);PD(2360,2475);PD(2409,2465);PU(2252,2405);PD(2267,2415);PD(2278,2418);PD(2290,2414);PD(2304,2403);PD(2318,2391);PD(2329,2387);PD(2339,2391);PD(2354,2403);PD(2368,2415);PD(2378,2418);PD(2386,2413);PD(2396,2397);PD(2405,2386);PD(2415,2379);PD(2426,2375);PD(2436,2376);PD(2450,2378);PD(2455,2369);PD(2449,2355);PD(2432,2348);PD(2411,2348);PD(2392,2357);PD(2380,2365);PD(2371,2367);PD(2361,2365);PD(2351,2358);PD(2340,2351);PD(2329,2348);PD(2317,2351);PD(2303,2358);PD(2288,2366);PD(2276,2369);PD(2265,2366);PD(2252,2358);PD(2239,2349);PD(2228,2347);PD(2217,2351);PD(2201,2364);PD(2186,2376);PD(2177,2381);PD(2170,2377);PD(2165,2365);PD(2159,2355);PD(2151,2349);PD(2141,2347);PD(2129,2350);PD(2100,2350);PD(2063,2341);PD(2031,2326);PD(2018,2311);PD(2012,2306);PD(1998,2309);PD(1990,2310);PD(1982,2307);PD(1976,2300);PD(1971,2290);PD(1968,2284);PD(1966,2285);PD(1964,2294);PD(1963,2310);PD(1963,2332);PD(1967,2344);PD(1975,2348);PD(1990,2347);PD(2001,2345);PD(2010,2346);PD(2016,2350);PD(2018,2357);PD(2023,2367);PD(2036,2366);PD(2055,2370);PD(2073,2388);PD(2082,2401);PD(2091,2406);PD(2100,2405);PD(2111,2397);PD(2122,2390);PD(2132,2388);PD(2143,2393);PD(2155,2403);PD(2168,2415);PD(2179,2419);PD(2189,2416);PD(2201,2406);PD(2214,2396);PD(2225,2392);PD(2237,2395);PD(2252,2405);PU(1933,2709);PD(1952,2695);PD(1971,2686);PD(1992,2684);PD(2018,2687);PD(2064,2693);PD(2107,2695);PD(2123,2696);PD(2134,2699);PD(2138,2704);PD(2136,2711);PD(2127,2717);PD(2109,2721);PD(2081,2721);PD(2045,2718);PD(1976,2715);PD(1930,2723);PD(1913,2732);PD(1907,2733);PD(1914,2726);PD(1933,2709);PU(1820,2702);PD(1794,2691);PD(1784,2686);PD(1789,2683);PD(1808,2683);PD(1839,2688);PD(1863,2702);PD(1873,2716);PD(1873,2720);PD(1857,2716);PD(1820,2702);PU(1966,2618);PD(1966,2598);PD(1967,2587);PD(1968,2585);PD(1969,2585);PD(1970,2588);PD(1971,2594);PD(1973,2623);PD(1971,2650);PD(1970,2654);PD(1968,2655);PD(1967,2654);PD(1966,2650);PD(1965,2638);PD(1966,2618);PU(2903,2659);PD(2893,2643);PD(2893,2627);PD(2902,2616);PD(2918,2613);PD(2935,2623);PD(2942,2637);PD(2938,2652);PD(2928,2662);PD(2915,2664);PD(2903,2659);PU(1822,2530);PD(1823,2467);PD(1825,2438);PD(1826,2436);PD(1827,2436);PD(1828,2437);PD(1829,2440);PD(1832,2452);PD(1836,2469);PD(1845,2536);PD(1847,2595);PD(1844,2637);PD(1834,2653);PD(1825,2619);PD(1822,2530);PU(2213,2643);PD(2244,2641);PD(2276,2643);PD(2281,2644);PD(2283,2645);PD(2283,2646);PD(2279,2647);PD(2266,2648);PD(2244,2649);PD(2221,2648);PD(2208,2647);PD(2205,2646);PD(2205,2645);PD(2207,2644);PD(2213,2643);PU(1208,2522);PD(1210,2485);PD(1212,2461);PD(1231,2432);PD(1277,2382);PD(1307,2349);PD(1326,2321);PD(1337,2297);PD(1341,2273);PD(1337,2240);PD(1328,2225);PD(1317,2229);PD(1308,2255);PD(1288,2300);PD(1252,2357);PD(1212,2416);PD(1188,2469);PD(1174,2519);PD(1173,2469);PD(1174,2445);PD(1180,2419);PD(1191,2394);PD(1205,2369);PD(1234,2316);PD(1255,2259);PD(1261,2233);PD(1264,2211);PD(1263,2194);PD(1257,2183);PD(1245,2174);PD(1238,2175);PD(1193,2277);PD(1159,2390);PD(1154,2418);PD(1148,2432);PD(1142,2433);PD(1133,2424);PD(1121,2407);PD(1114,2387);PD(1111,2365);PD(1111,2341);PD(1124,2289);PD(1151,2237);PD(1168,2210);PD(1176,2191);PD(1176,2179);PD(1168,2172);PD(1144,2161);PD(1115,2161);PD(1084,2171);PD(1048,2191);PD(1020,2216);PD(1005,2243);PD(1004,2271);PD(1016,2300);PD(1023,2309);PD(1027,2310);PD(1029,2302);PD(1030,2286);PD(1036,2252);PD(1051,2221);PD(1074,2197);PD(1101,2183);PD(1120,2180);PD(1127,2185);PD(1120,2199);PD(1099,2224);PD(1085,2244);PD(1075,2266);PD(1070,2290);PD(1069,2317);PD(1073,2343);PD(1082,2371);PD(1096,2397);PD(1113,2423);PD(1150,2470);PD(1153,2483);PD(1125,2462);PD(1067,2409);PD(1027,2368);PD(997,2331);PD(976,2298);PD(964,2267);PD(961,2238);PD(967,2211);PD(982,2185);PD(1006,2159);PD(1032,2138);PD(1048,2132);PD(1051,2140);PD(1036,2162);PD(1009,2193);PD(1044,2169);PD(1064,2159);PD(1090,2151);PD(1122,2146);PD(1157,2145);PD(1218,2140);PD(1256,2131);PD(1260,2127);PD(1260,2125);PD(1257,2123);PD(1251,2122);PD(1229,2122);PD(1192,2125);PD(1121,2126);PD(1070,2118);PD(1049,2108);PD(1037,2096);PD(1032,2078);PD(1032,2050);PD(1033,2029);PD(1035,2019);PD(1037,2019);PD(1040,2029);PD(1046,2046);PD(1055,2060);PD(1067,2071);PD(1083,2078);PD(1124,2083);PD(1174,2073);PD(1208,2060);PD(1229,2044);PD(1245,2020);PD(1262,1980);PD(1283,1927);PD(1298,1905);PD(1308,1938);PD(1318,2018);PD(1324,2076);PD(1332,2116);PD(1344,2143);PD(1362,2165);PD(1382,2190);PD(1394,2219);PD(1398,2250);PD(1395,2283);PD(1385,2318);PD(1368,2352);PD(1343,2387);PD(1312,2420);PD(1272,2466);PD(1240,2516);PD(1220,2553);PD(1209,2568);PD(1208,2554);PD(1208,2522);PU(1257,2453);PD(1290,2406);PD(1252,2440);PD(1225,2468);PD(1214,2486);PD(1216,2496);PD(1223,2494);PD(1237,2480);PD(1257,2453);PU(2918,2527);PD(2930,2510);PD(2930,2484);PD(2919,2452);PD(2900,2416);PD(2874,2379);PD(2842,2344);PD(2806,2312);PD(2769,2287);PD(2753,2280);PD(2745,2280);PD(2743,2288);PD(2746,2306);PD(2746,2333);PD(2738,2350);PD(2728,2347);PD(2723,2330);PD(2723,2301);PD(2720,2283);PD(2712,2269);PD(2695,2251);PD(2673,2224);PD(2656,2195);PD(2644,2166);PD(2637,2137);PD(2636,2107);PD(2640,2078);PD(2649,2050);PD(2664,2022);PD(2674,1998);PD(2670,1990);PD(2644,1975);PD(2602,1940);PD(2573,1914);PD(2554,1902);PD(2540,1902);PD(2526,1912);PD(2502,1925);PD(2478,1925);PD(2470,1923);PD(2465,1923);PD(2461,1928);PD(2458,1938);PD(2456,1976);PD(2457,2046);PD(2458,2119);PD(2456,2161);PD(2446,2184);PD(2427,2201);PD(2401,2217);PD(2368,2229);PD(2331,2237);PD(2291,2242);PD(2249,2244);PD(2209,2242);PD(2172,2235);PD(2139,2225);PD(2115,2214);PD(2103,2198);PD(2100,2171);PD(2101,2124);PD(2107,2049);PD(2117,1990);PD(2120,1978);PD(2122,1973);PD(2124,1973);PD(2126,1980);PD(2128,2015);PD(2129,2079);PD(2131,2157);PD(2135,2197);PD(2139,2207);PD(2145,2213);PD(2153,2215);PD(2165,2215);PD(2189,2211);PD(2205,2195);PD(2213,2165);PD(2217,2119);PD(2217,2095);PD(2220,2083);PD(2223,2084);PD(2230,2096);PD(2239,2129);PD(2242,2170);PD(2244,2218);PD(2304,2208);PD(2349,2196);PD(2373,2182);PD(2381,2139);PD(2385,2057);PD(2385,1947);PD(2327,1947);PD(2299,1946);PD(2276,1940);PD(2257,1930);PD(2241,1915);PD(2223,1897);PD(2211,1890);PD(2200,1894);PD(2184,1908);PD(2170,1920);PD(2154,1928);PD(2138,1932);PD(2121,1932);PD(2104,1928);PD(2087,1919);PD(2071,1906);PD(2055,1889);PD(2029,1854);PD(2018,1830);PD(2020,1827);PD(2026,1832);PD(2035,1843);PD(2046,1860);PD(2060,1878);PD(2076,1892);PD(2094,1902);PD(2112,1906);PD(2131,1906);PD(2149,1901);PD(2165,1891);PD(2179,1875);PD(2200,1844);PD(2244,1882);PD(2284,1907);PD(2324,1918);PD(2343,1917);PD(2360,1913);PD(2376,1905);PD(2389,1894);PD(2403,1877);PD(2411,1864);PD(2412,1854);PD(2408,1846);PD(2378,1837);PD(2318,1834);PD(2214,1830);PD(2118,1818);PD(2044,1802);PD(2004,1782);PD(1997,1774);PD(1994,1769);PD(1996,1767);PD(2001,1770);PD(2009,1765);PD(2014,1734);PD(2018,1671);PD(2019,1571);PD(2021,1477);PD(2024,1423);PD(2026,1411);PD(2028,1407);PD(2030,1412);PD(2033,1425);PD(2043,1525);PD(2046,1641);PD(2041,1738);PD(2029,1782);PD(2029,1785);PD(2040,1790);PD(2062,1795);PD(2093,1799);PD(2153,1804);PD(2184,1801);PD(2193,1735);PD(2200,1590);PD(2204,1491);PD(2207,1443);PD(2208,1438);PD(2209,1436);PD(2210,1436);PD(2211,1439);PD(2214,1452);PD(2217,1475);PD(2224,1567);PD(2228,1669);PD(2232,1746);PD(2239,1778);PD(2281,1770);PD(2340,1752);PD(2395,1731);PD(2420,1716);PD(2425,1657);PD(2430,1537);PD(2434,1373);PD(2244,1366);PD(2099,1356);PD(2022,1342);PD(1959,1332);PD(1852,1327);PD(1752,1328);PD(1707,1338);PD(1711,1350);PD(1720,1367);PD(1728,1377);PD(1735,1380);PD(1744,1378);PD(1755,1370);PD(1767,1362);PD(1774,1359);PD(1777,1363);PD(1778,1374);PD(1775,1391);PD(1768,1398);PD(1748,1400);PD(1714,1405);PD(1647,1413);PD(1582,1416);PD(1521,1415);PD(1466,1408);PD(1421,1399);PD(1385,1385);PD(1363,1368);PD(1356,1349);PD(1356,1332);PD(1358,1327);PD(1362,1332);PD(1369,1348);PD(1374,1358);PD(1378,1363);PD(1381,1362);PD(1381,1355);PD(1384,1348);PD(1388,1347);PD(1395,1353);PD(1405,1366);PD(1425,1388);PD(1445,1395);PD(1466,1389);PD(1489,1369);PD(1514,1341);PD(1534,1369);PD(1546,1381);PD(1562,1390);PD(1580,1396);PD(1600,1397);PD(1621,1396);PD(1640,1390);PD(1658,1381);PD(1672,1369);PD(1688,1347);PD(1692,1335);PD(1646,1327);PD(1542,1318);PD(1436,1308);PD(1381,1298);PD(1376,1288);PD(1377,1268);PD(1387,1235);PD(1405,1187);PD(1437,1116);PD(1456,1087);PD(1468,1095);PD(1482,1116);PD(1496,1137);PD(1514,1154);PD(1538,1165);PD(1571,1172);PD(1667,1175);PD(1820,1163);PD(1984,1149);PD(2056,1149);PD(2051,1166);PD(2028,1197);PD(2001,1236);PD(1990,1273);PD(1992,1293);PD(2005,1305);PD(2038,1313);PD(2100,1321);PD(2211,1326);PD(2356,1325);PD(2494,1317);PD(2582,1305);PD(2618,1295);PD(2587,1324);PD(2570,1342);PD(2560,1364);PD(2555,1397);PD(2554,1446);PD(2555,1498);PD(2560,1530);PD(2571,1551);PD(2589,1569);PD(2613,1598);PD(2624,1632);PD(2625,1649);PD(2622,1666);PD(2616,1680);PD(2606,1692);PD(2597,1697);PD(2592,1696);PD(2591,1686);PD(2594,1667);PD(2593,1635);PD(2582,1616);PD(2567,1610);PD(2560,1617);PD(2560,1641);PD(2565,1685);PD(2573,1723);PD(2581,1748);PD(2591,1760);PD(2602,1761);PD(2612,1749);PD(2622,1725);PD(2631,1690);PD(2639,1644);PD(2649,1573);PD(2651,1641);PD(2650,1685);PD(2641,1722);PD(2624,1758);PD(2598,1795);PD(2590,1808);PD(2586,1822);PD(2586,1838);PD(2588,1855);PD(2604,1888);PD(2632,1921);PD(2670,1962);PD(2699,2005);PD(2715,2043);PD(2716,2073);PD(2714,2086);PD(2716,2097);PD(2723,2107);PD(2733,2115);PD(2746,2123);PD(2750,2130);PD(2748,2136);PD(2739,2143);PD(2732,2151);PD(2729,2162);PD(2733,2175);PD(2742,2191);PD(2777,2235);PD(2836,2294);PD(2869,2328);PD(2895,2361);PD(2915,2393);PD(2928,2426);PD(2949,2491);PD(2944,2423);PD(2938,2385);PD(2927,2354);PD(2904,2322);PD(2867,2280);PD(2815,2216);PD(2781,2156);PD(2773,2129);PD(2770,2105);PD(2772,2085);PD(2781,2070);PD(2791,2060);PD(2802,2047);PD(2813,2034);PD(2824,2022);PD(2839,2008);PD(2861,1999);PD(2895,1994);PD(2946,1992);PD(3015,1989);PD(3065,1979);PD(3082,1972);PD(3094,1963);PD(3102,1952);PD(3104,1940);PD(3101,1926);PD(3092,1920);PD(3080,1922);PD(3069,1933);PD(3052,1943);PD(3022,1947);PD(2986,1945);PD(2953,1937);PD(2946,1932);PD(2951,1927);PD(2968,1923);PD(2999,1919);PD(3032,1914);PD(3055,1908);PD(3068,1899);PD(3073,1888);PD(3075,1875);PD(3070,1871);PD(3056,1874);PD(3028,1884);PD(2990,1899);PD(2970,1902);PD(2965,1891);PD(2970,1863);PD(2973,1839);PD(2968,1819);PD(2955,1798);PD(2929,1770);PD(2893,1729);PD(2879,1706);PD(2888,1683);PD(2908,1644);PD(2939,1593);PD(2979,1635);PD(3010,1666);PD(3031,1679);PD(3048,1674);PD(3066,1660);PD(3083,1642);PD(3093,1623);PD(3091,1612);PD(3076,1603);PD(3042,1595);PD(2986,1588);PD(2872,1573);PD(2865,1664);PD(2861,1715);PD(2864,1747);PD(2875,1770);PD(2897,1795);PD(2914,1814);PD(2924,1831);PD(2928,1849);PD(2925,1868);PD(2896,1914);PD(2835,1977);PD(2788,2019);PD(2770,2027);PD(2782,2003);PD(2825,1947);PD(2850,1911);PD(2863,1880);PD(2864,1868);PD(2862,1857);PD(2856,1847);PD(2848,1840);PD(2813,1829);PD(2753,1819);PD(2696,1807);PD(2663,1794);PD(2660,1789);PD(2665,1786);PD(2677,1787);PD(2697,1791);PD(2743,1795);PD(2787,1791);PD(2806,1786);PD(2808,1782);PD(2793,1781);PD(2759,1779);PD(2704,1774);PD(2670,1765);PD(2667,1763);PD(2667,1761);PD(2670,1760);PD(2676,1759);PD(2694,1759);PD(2721,1761);PD(2757,1763);PD(2786,1762);PD(2808,1757);PD(2825,1748);PD(2837,1733);PD(2845,1713);PD(2849,1687);PD(2850,1654);PD(2850,1573);PD(2753,1573);PD(2686,1568);PD(2637,1554);PD(2619,1543);PD(2607,1531);PD(2599,1516);PD(2596,1499);PD(2597,1488);PD(2601,1485);PD(2609,1489);PD(2622,1500);PD(2648,1518);PD(2672,1523);PD(2693,1516);PD(2709,1497);PD(2718,1482);PD(2727,1478);PD(2739,1485);PD(2759,1504);PD(2785,1528);PD(2807,1536);PD(2830,1527);PD(2863,1501);PD(2884,1485);PD(2898,1477);PD(2905,1478);PD(2907,1487);PD(2911,1503);PD(2922,1510);PD(2929,1511);PD(2930,1515);PD(2928,1522);PD(2921,1531);PD(2913,1542);PD(2910,1547);PD(2914,1548);PD(2924,1545);PD(2962,1491);PD(3028,1376);PD(3091,1258);PD(3119,1194);PD(3108,1188);PD(3083,1185);PD(3058,1181);PD(3048,1171);PD(3055,1161);PD(3075,1153);PD(3110,1145);PD(3161,1139);PD(3179,1136);PD(3182,1134);PD(3168,1133);PD(3137,1132);PD(3085,1126);PD(3065,1116);PD(3077,1102);PD(3123,1087);PD(3176,1072);PD(3204,1062);PD(3215,1052);PD(3213,1040);PD(3208,1023);PD(3197,990);PD(3183,945);PD(3167,893);PD(3142,818);PD(3125,779);PD(3117,769);PD(3107,764);PD(3095,762);PD(3080,762);PD(3049,765);PD(3036,773);PD(3041,788);PD(3062,811);PD(3082,833);PD(3090,848);PD(3086,856);PD(3072,863);PD(3049,868);PD(3017,872);PD(2926,877);PD(2800,876);PD(2701,876);PD(2631,878);PD(2583,884);PD(2548,895);PD(2514,903);PD(2459,909);PD(2386,914);PD(2298,916);PD(2092,914);PD(1870,903);PD(1824,900);PD(1793,897);PD(1783,896);PD(1778,895);PD(1777,895);PD(1777,895);PD(1778,894);PD(1780,894);PD(1841,893);PD(1983,893);PD(2203,892);PD(2354,890);PD(2455,889);PD(2455,717);PD(2459,590);PD(2467,529);PD(2470,525);PD(2472,526);PD(2475,531);PD(2478,541);PD(2484,576);PD(2489,631);PD(2501,721);PD(2519,791);PD(2531,818);PD(2544,838);PD(2558,852);PD(2572,858);PD(2585,857);PD(2593,842);PD(2596,807);PD(2598,745);PD(2601,644);PD(2609,564);PD(2613,547);PD(2615,536);PD(2617,533);PD(2618,531);PD(2619,532);PD(2619,534);PD(2622,564);PD(2623,628);PD(2627,734);PD(2633,809);PD(2643,862);PD(2807,858);PD(2970,854);PD(2977,663);PD(2981,591);PD(2986,536);PD(2991,503);PD(2996,498);PD(3003,533);PD(3006,579);PD(3006,634);PD(3264,627);PD(3521,619);PD(3464,656);PD(3403,688);PD(3334,714);PD(3260,735);PD(3260,917);PD(3259,1012);PD(3256,1068);PD(3248,1096);PD(3236,1106);PD(3224,1112);PD(3220,1117);PD(3222,1122);PD(3230,1127);PD(3238,1133);PD(3239,1139);PD(3235,1144);PD(3224,1149);PD(3212,1159);PD(3206,1188);PD(3207,1247);PD(3212,1350);PD(3222,1545);PD(3169,1571);PD(3147,1582);PD(3131,1595);PD(3123,1607);PD(3121,1619);PD(3131,1640);PD(3145,1646);PD(3161,1639);PD(3175,1617);PD(3188,1589);PD(3195,1582);PD(3195,1594);PD(3188,1626);PD(3179,1659);PD(3175,1675);PD(3166,1678);PD(3144,1682);PD(3127,1687);PD(3117,1700);PD(3111,1725);PD(3107,1768);PD(3108,1831);PD(3116,1867);PD(3128,1893);PD(3140,1932);PD(3159,1976);PD(3189,2014);PD(3218,2044);PD(3237,2076);PD(3244,2111);PD(3240,2148);PD(3225,2187);PD(3199,2230);PD(3161,2275);PD(3113,2324);PD(3029,2410);PD(2972,2481);PD(2941,2523);PD(2917,2540);PD(2910,2539);PD(2908,2537);PD(2911,2533);PD(2918,2527);PU(2997,2390);PD(3005,2356);PD(3000,2315);PD(2982,2262);PD(2949,2189);PD(2909,2101);PD(2893,2053);PD(2886,2038);PD(2872,2028);PD(2861,2025);PD(2853,2026);PD(2846,2030);PD(2841,2037);PD(2837,2060);PD(2839,2091);PD(2848,2128);PD(2862,2169);PD(2883,2212);PD(2908,2255);PD(2947,2325);PD(2963,2376);PD(2967,2401);PD(2975,2412);PD(2986,2409);PD(2997,2390);PU(3119,2237);PD(3121,2187);PD(3116,2148);PD(3101,2116);PD(3075,2087);PD(3053,2069);PD(3031,2057);PD(3009,2049);PD(2987,2046);PD(2944,2046);PD(2982,2086);PD(3013,2127);PD(3039,2175);PD(3056,2226);PD(3062,2275);PD(3063,2300);PD(3065,2311);PD(3073,2308);PD(3089,2293);PD(3109,2265);PD(3119,2237);PU(3203,2117);PD(3191,2088);PD(3162,2056);PD(3135,2029);PD(3128,2014);PD(3125,2010);PD(3106,2014);PD(3084,2022);PD(3079,2031);PD(3090,2045);PD(3119,2063);PD(3150,2090);PD(3169,2122);PD(3179,2144);PD(3190,2150);PD(3199,2141);PD(3203,2117);PU(2527,1867);PD(2542,1831);PD(2556,1803);PD(2561,1792);PD(2561,1786);PD(2556,1784);PD(2547,1786);PD(2532,1800);PD(2526,1819);PD(2522,1839);PD(2510,1858);PD(2495,1872);PD(2478,1877);PD(2472,1872);PD(2481,1860);PD(2495,1841);PD(2497,1825);PD(2488,1816);PD(2469,1816);PD(2445,1826);PD(2434,1839);PD(2438,1855);PD(2455,1877);PD(2480,1898);PD(2499,1903);PD(2514,1893);PD(2527,1867);PU(3010,1693);PD(2984,1677);PD(2965,1655);PD(2954,1641);PD(2949,1643);PD(2957,1662);PD(2975,1683);PD(2997,1700);PD(3018,1706);PD(3027,1705);PD(3028,1703);PD(3022,1699);PD(3010,1693);PU(2523,1503);PD(2522,1427);PD(2517,1388);PD(2513,1378);PD(2507,1373);PD(2500,1372);PD(2489,1372);PD(2478,1372);PD(2469,1374);PD(2464,1380);PD(2462,1392);PD(2465,1447);PD(2477,1561);PD(2482,1606);PD(2490,1634);PD(2500,1646);PD(2513,1644);PD(2521,1598);PD(2523,1503);PU(2879,2471);PD(2860,2429);PD(2814,2371);PD(2771,2321);PD(2762,2300);PD(2781,2307);PD(2803,2327);PD(2828,2355);PD(2851,2387);PD(2871,2421);PD(2885,2453);PD(2891,2478);PD(2887,2493);PD(2881,2491);PD(2879,2471);PU(1578,2342);PD(1575,2294);PD(1580,2263);PD(1584,2254);PD(1590,2251);PD(1597,2254);PD(1606,2262);PD(1613,2274);PD(1615,2290);PD(1612,2313);PD(1604,2344);PD(1585,2406);PD(1578,2342);PU(1668,2314);PD(1668,2302);PD(1670,2295);PD(1672,2293);PD(1675,2297);PD(1677,2314);PD(1675,2333);PD(1672,2336);PD(1670,2334);PD(1668,2327);PD(1668,2314);PU(1753,2220);PD(1711,2193);PD(1698,2179);PD(1721,2183);PD(1772,2200);PD(1804,2210);PD(1835,2217);PD(1864,2220);PD(1889,2218);PD(1912,2216);PD(1925,2218);PD(1931,2222);PD(1930,2231);PD(1922,2242);PD(1907,2250);PD(1887,2253);PD(1862,2253);PD(1807,2243);PD(1753,2220);PU(1575,2159);PD(1578,2137);PD(1575,2132);PD(1559,2130);PD(1526,2108);PD(1478,2068);PD(1415,2009);PD(1388,1981);PD(1369,1956);PD(1358,1933);PD(1355,1913);PD(1357,1894);PD(1365,1875);PD(1376,1856);PD(1390,1840);PD(1405,1826);PD(1421,1816);PD(1437,1812);PD(1451,1813);PD(1499,1826);PD(1564,1831);PD(1632,1829);PD(1689,1820);PD(1727,1810);PD(1750,1809);PD(1768,1818);PD(1788,1840);PD(1806,1865);PD(1818,1888);PD(1822,1911);PD(1819,1935);PD(1808,1961);PD(1789,1988);PD(1763,2019);PD(1727,2055);PD(1692,2088);PD(1664,2112);PD(1647,2125);PD(1643,2124);PD(1643,2109);PD(1635,2103);PD(1626,2113);PD(1626,2138);PD(1627,2160);PD(1621,2165);PD(1612,2152);PD(1609,2132);PD(1598,2093);PD(1572,2033);PD(1555,1997);PD(1545,1965);PD(1541,1938);PD(1542,1912);PD(1545,1889);PD(1543,1873);PD(1538,1862);PD(1528,1856);PD(1518,1854);PD(1508,1855);PD(1500,1860);PD(1494,1868);PD(1485,1894);PD(1482,1932);PD(1485,1957);PD(1495,1984);PD(1512,2014);PD(1538,2049);PD(1573,2096);PD(1590,2127);PD(1591,2150);PD(1579,2173);PD(1572,2181);PD(1570,2182);PD(1570,2175);PD(1575,2159);PU(1556,2098);PD(1533,2071);PD(1493,2033);PD(1453,1993);PD(1434,1959);PD(1432,1942);PD(1434,1924);PD(1441,1905);PD(1452,1884);PD(1462,1863);PD(1467,1848);PD(1467,1838);PD(1462,1833);PD(1443,1840);PD(1413,1871);PD(1401,1889);PD(1395,1908);PD(1394,1927);PD(1399,1947);PD(1429,1992);PD(1486,2049);PD(1533,2091);PD(1558,2112);PD(1563,2115);PD(1564,2113);PD(1562,2108);PD(1556,2098);PU(1706,2040);PD(1737,1994);PD(1748,1955);PD(1746,1938);PD(1740,1922);PD(1729,1907);PD(1713,1892);PD(1681,1870);PD(1665,1864);PD(1666,1873);PD(1686,1898);PD(1701,1913);PD(1711,1928);PD(1717,1943);PD(1719,1958);PD(1710,1993);PD(1685,2039);PD(1668,2064);PD(1659,2076);PD(1655,2074);PD(1657,2060);PD(1669,2004);PD(1673,1967);PD(1668,1938);PD(1652,1909);PD(1627,1875);PD(1611,1865);PD(1607,1878);PD(1617,1916);PD(1630,1970);PD(1637,2026);PD(1639,2060);PD(1644,2086);PD(1651,2100);PD(1659,2100);PD(1664,2094);PD(1674,2081);PD(1689,2062);PD(1706,2040);PU(1754,2169);PD(1710,2154);PD(1688,2143);PD(1706,2120);PD(1764,2076);PD(1822,2032);PD(1856,1996);PD(1873,1959);PD(1877,1913);PD(1874,1870);PD(1865,1839);PD(1848,1817);PD(1820,1799);PD(1800,1786);PD(1787,1768);PD(1779,1738);PD(1772,1692);PD(1769,1643);PD(1771,1612);PD(1780,1590);PD(1798,1568);PD(1829,1530);PD(1849,1494);PD(1859,1456);PD(1863,1413);PD(1863,1355);PD(1926,1355);PD(1990,1355);PD(1990,1547);PD(1989,1646);PD(1986,1703);PD(1983,1719);PD(1980,1728);PD(1975,1731);PD(1969,1730);PD(1954,1729);PD(1947,1736);PD(1955,1764);PD(1974,1807);PD(1997,1851);PD(2019,1884);PD(2030,1906);PD(2039,1943);PD(2046,1989);PD(2051,2039);PD(2054,2087);PD(2053,2129);PD(2049,2159);PD(2042,2172);PD(1977,2179);PD(1893,2180);PD(1811,2177);PD(1754,2169);PU(2286,2025);PD(2290,1980);PD(2300,1961);PD(2310,1980);PD(2314,2025);PD(2310,2070);PD(2300,2088);PD(2290,2070);PD(2286,2025);PU(2163,2025);PD(2164,2006);PD(2165,1994);PD(2166,1992);PD(2167,1993);PD(2168,1995);PD(2169,2001);PD(2171,2030);PD(2169,2057);PD(2167,2061);PD(2166,2062);PD(2165,2061);PD(2164,2058);PD(2163,2045);PD(2163,2025);PU(1096,2022);PD(1088,2002);PD(1087,1972);PD(1091,1945);PD(1101,1933);PD(1111,1948);PD(1115,1983);PD(1114,2013);PD(1111,2028);PD(1106,2030);PD(1096,2022);PU(1185,1983);PD(1186,1962);PD(1189,1948);PD(1194,1940);PD(1199,1940);PD(1210,1956);PD(1214,1983);PD(1210,2009);PD(1199,2025);PD(1194,2025);PD(1189,2018);PD(1186,2003);PD(1185,1983);PU(1077,1895);PD(1056,1888);PD(1045,1878);PD(1047,1866);PD(1060,1854);PD(1080,1857);PD(1105,1875);PD(1122,1895);PD(1122,1904);PD(1114,1902);PD(1102,1900);PD(1090,1897);PD(1077,1895);PU(1167,1874);PD(1186,1856);PD(1198,1850);PD(1209,1854);PD(1223,1868);PD(1235,1880);PD(1239,1887);PD(1237,1890);PD(1228,1888);PD(1203,1887);PD(1171,1894);PD(1136,1906);PD(1167,1874);PU(969,1873);PD(968,1864);PD(972,1859);PD(980,1856);PD(992,1856);PD(1014,1862);PD(1027,1874);PD(1027,1882);PD(1022,1887);PD(1014,1890);PD(1004,1891);PD(983,1886);PD(969,1873);PU(1295,1874);PD(1304,1867);PD(1312,1864);PD(1320,1867);PD(1329,1874);PD(1336,1882);PD(1336,1887);PD(1328,1890);PD(1312,1891);PD(1297,1890);PD(1289,1887);PD(1289,1882);PD(1295,1874);PU(974,1806);PD(980,1797);PD(996,1792);PD(1006,1790);PD(1012,1783);PD(1014,1771);PD(1013,1754);PD(1009,1733);PD(999,1720);PD(982,1712);PD(954,1706);PD(916,1694);PD(885,1676);PD(874,1666);PD(867,1655);PD(865,1646);PD(869,1638);PD(881,1640);PD(896,1657);PD(913,1670);PD(945,1679);PD(1005,1685);PD(1103,1689);PD(1255,1690);PD(1348,1681);PD(1379,1672);PD(1391,1668);PD(1382,1668);PD(1355,1671);PD(1304,1676);PD(1310,1578);PD(1311,1532);PD(1310,1503);PD(1307,1488);PD(1300,1487);PD(1293,1489);PD(1288,1482);PD(1285,1468);PD(1284,1446);PD(1285,1426);PD(1288,1411);PD(1292,1404);PD(1298,1404);PD(1308,1407);PD(1312,1401);PD(1335,1246);PD(1363,1091);PD(1366,1080);PD(1366,1072);PD(1363,1066);PD(1355,1062);PD(1320,1059);PD(1252,1058);PD(1190,1057);PD(1148,1053);PD(1120,1044);PD(1099,1030);PD(1065,1003);PD(1312,1003);PD(1559,1003);PD(1497,1029);PD(1461,1046);PD(1436,1068);PD(1415,1108);PD(1387,1180);PD(1356,1278);PD(1342,1357);PD(1342,1391);PD(1346,1421);PD(1355,1448);PD(1367,1472);PD(1384,1508);PD(1387,1540);PD(1390,1569);PD(1410,1603);PD(1432,1638);PD(1436,1664);PD(1420,1685);PD(1383,1705);PD(1349,1724);PD(1329,1746);PD(1326,1757);PD(1326,1767);PD(1331,1777);PD(1341,1785);PD(1352,1794);PD(1355,1802);PD(1349,1808);PD(1333,1813);PD(1271,1819);PD(1164,1820);PD(1025,1816);PD(974,1806);PU(1492,1789);PD(1473,1779);PD(1476,1774);PD(1505,1771);PD(1566,1771);PD(1642,1768);PD(1684,1757);PD(1695,1747);PD(1699,1733);PD(1698,1715);PD(1693,1692);PD(1688,1661);PD(1695,1644);PD(1704,1632);PD(1707,1616);PD(1705,1607);PD(1695,1604);PD(1677,1605);PD(1648,1610);PD(1588,1617);PD(1527,1613);PD(1474,1600);PD(1438,1579);PD(1418,1554);PD(1411,1536);PD(1413,1531);PD(1417,1530);PD(1425,1534);PD(1437,1542);PD(1461,1559);PD(1485,1565);PD(1505,1561);PD(1521,1545);PD(1528,1534);PD(1535,1532);PD(1545,1538);PD(1559,1552);PD(1583,1573);PD(1606,1579);PD(1630,1569);PD(1658,1544);PD(1678,1522);PD(1689,1514);PD(1693,1520);PD(1693,1538);PD(1695,1553);PD(1699,1562);PD(1708,1564);PD(1723,1562);PD(1736,1559);PD(1742,1560);PD(1742,1565);PD(1734,1575);PD(1726,1593);PD(1724,1624);PD(1730,1673);PD(1744,1746);PD(1747,1769);PD(1746,1782);PD(1740,1789);PD(1727,1791);PD(1683,1793);PD(1616,1799);PD(1543,1800);PD(1492,1789);PU(1613,1700);PD(1613,1681);PD(1615,1670);PD(1616,1668);PD(1616,1668);PD(1617,1671);PD(1619,1676);PD(1621,1706);PD(1619,1733);PD(1617,1736);PD(1616,1737);PD(1615,1736);PD(1614,1733);PD(1613,1720);PD(1613,1700);PU(1506,1726);PD(1499,1711);PD(1497,1688);PD(1498,1673);PD(1499,1668);PD(1504,1674);PD(1511,1692);PD(1519,1714);PD(1520,1728);PD(1516,1732);PD(1506,1726);PU(2670,1651);PD(2670,1634);PD(2672,1624);PD(2673,1621);PD(2674,1621);PD(2675,1623);PD(2677,1627);PD(2679,1651);PD(2677,1676);PD(2675,1680);PD(2674,1682);PD(2673,1681);PD(2672,1679);PD(2670,1668);PD(2670,1651);PU(2726,1651);PD(2727,1634);PD(2728,1624);PD(2729,1621);PD(2730,1621);PD(2732,1623);PD(2733,1627);PD(2735,1651);PD(2733,1676);PD(2732,1680);PD(2730,1682);PD(2729,1681);PD(2728,1679);PD(2727,1668);PD(2726,1651);PU(2795,1655);PD(2799,1622);PD(2808,1609);PD(2818,1613);PD(2821,1626);PD(2818,1646);PD(2808,1672);PD(2802,1685);PD(2798,1687);PD(2796,1677);PD(2795,1655);PU(920,1634);PD(906,1626);PD(898,1617);PD(895,1607);PD(897,1596);PD(904,1535);PD(906,1418);PD(905,1263);PD(929,1404);PD(953,1545);PD(1099,1552);PD(1178,1557);PD(1218,1561);PD(1225,1564);PD(1225,1568);PD(1220,1573);PD(1209,1579);PD(1177,1590);PD(1149,1589);PD(1126,1588);PD(1106,1596);PD(1096,1603);PD(1086,1605);PD(1076,1602);PD(1065,1595);PD(1054,1587);PD(1044,1584);PD(1034,1587);PD(1023,1595);PD(1000,1603);PD(972,1602);PD(957,1598);PD(950,1599);PD(948,1606);PD(953,1621);PD(957,1642);PD(957,1650);PD(944,1645);PD(920,1634);PU(1441,1497);PD(1434,1490);PD(1430,1481);PD(1429,1469);PD(1432,1455);PD(1442,1424);PD(1473,1456);PD(1487,1472);PD(1494,1486);PD(1496,1498);PD(1493,1506);PD(1486,1511);PD(1475,1511);PD(1459,1507);PD(1441,1497);PU(1571,1501);PD(1565,1497);PD(1563,1490);PD(1567,1481);PD(1576,1469);PD(1589,1455);PD(1598,1451);PD(1609,1454);PD(1623,1466);PD(1638,1485);PD(1641,1500);PD(1631,1506);PD(1613,1509);PD(1592,1507);PD(1571,1501);PU(1731,1459);PD(1750,1437);PD(1761,1438);PD(1763,1458);PD(1757,1477);PD(1745,1491);PD(1729,1496);PD(1718,1495);PD(1715,1490);PD(1719,1479);PD(1731,1459);PU(1369,1446);PD(1371,1432);PD(1374,1425);PD(1380,1432);PD(1389,1446);PD(1390,1461);PD(1383,1468);PD(1373,1461);PD(1369,1446);PU(2596,1446);PD(2605,1433);PD(2625,1411);PD(2643,1386);PD(2646,1369);PD(2646,1359);PD(2659,1355);PD(2679,1346);PD(2698,1326);PD(2713,1307);PD(2725,1300);PD(2734,1307);PD(2742,1326);PD(2757,1350);PD(2783,1367);PD(2795,1374);PD(2793,1379);PD(2773,1381);PD(2735,1381);PD(2684,1384);PD(2659,1390);PD(2658,1404);PD(2677,1428);PD(2688,1442);PD(2689,1450);PD(2676,1453);PD(2649,1453);PD(2611,1452);PD(2596,1446);PU(2790,1424);PD(2819,1394);PD(2849,1424);PD(2879,1453);PD(2819,1453);PD(2760,1453);PD(2790,1424);PU(2932,1422);PD(2956,1403);PD(2972,1401);PD(2974,1415);PD(2963,1433);PD(2944,1447);PD(2924,1453);PD(2914,1452);PD(2912,1447);PD(2918,1438);PD(2932,1422);PU(1266,1373);PD(1207,1226);PD(1159,1088);PD(1173,1111);PD(1208,1178);PD(1256,1277);PD(1250,1178);PD(1248,1140);PD(1248,1115);PD(1249,1107);PD(1250,1103);PD(1252,1104);PD(1254,1108);PD(1265,1164);PD(1275,1257);PD(1281,1344);PD(1278,1383);PD(1272,1380);PD(1266,1373);PU(2872,1346);PD(2894,1326);PD(2910,1316);PD(2921,1317);PD(2932,1326);PD(2942,1337);PD(2950,1339);PD(2959,1334);PD(2970,1321);PD(2981,1308);PD(2987,1303);PD(2991,1305);PD(2992,1315);PD(2986,1337);PD(2969,1353);PD(2939,1366);PD(2893,1376);PD(2829,1386);PD(2872,1346);PU(2941,1283);PD(2884,1274);PD(2757,1270);PD(2660,1269);PD(2608,1266);PD(2594,1262);PD(2586,1257);PD(2583,1251);PD(2582,1242);PD(2583,1233);PD(2588,1226);PD(2598,1221);PD(2617,1218);PD(2690,1214);PD(2828,1214);PD(3010,1217);PD(3083,1228);PD(3083,1238);PD(3072,1242);PD(3053,1247);PD(3035,1262);PD(3014,1277);PD(2985,1287);PD(2958,1290);PD(2941,1283);PU(1122,1247);PD(1083,1242);PD(1009,1233);PD(965,1228);PD(941,1223);PD(935,1221);PD(935,1219);PD(938,1216);PD(945,1214);PD(964,1209);PD(969,1205);PD(959,1201);PD(933,1195);PD(894,1188);PD(871,1187);PD(866,1188);PD(866,1190);PD(871,1194);PD(882,1199);PD(897,1206);PD(902,1210);PD(896,1212);PD(879,1212);PD(863,1211);PD(855,1202);PD(853,1180);PD(857,1137);PD(860,1094);PD(858,1069);PD(848,1057);PD(827,1050);PD(790,1041);PD(790,847);PD(787,701);PD(780,625);PD(778,610);PD(785,611);PD(800,676);PD(818,816);PD(840,1009);PD(921,1022);PD(971,1032);PD(996,1043);PD(1000,1049);PD(998,1055);PD(991,1063);PD(978,1071);PD(942,1093);PD(924,1108);PD(922,1122);PD(930,1142);PD(940,1155);PD(953,1164);PD(971,1170);PD(993,1171);PD(1051,1174);PD(1093,1183);PD(1121,1197);PD(1135,1218);PD(1139,1238);PD(1139,1247);PD(1133,1250);PD(1122,1247);PU(1070,1218);PD(1044,1216);PD(1020,1218);PD(1016,1219);PD(1014,1221);PD(1015,1222);PD(1017,1223);PD(1027,1224);PD(1044,1225);PD(1061,1224);PD(1072,1223);PD(1074,1222);PD(1075,1221);PD(1073,1219);PD(1070,1218);PU(2582,1174);PD(2585,1162);PD(2593,1152);PD(2608,1144);PD(2632,1138);PD(2709,1131);PD(2835,1130);PD(2999,1132);PD(2935,1161);PD(2897,1176);PD(2854,1186);PD(2800,1193);PD(2728,1197);PD(2647,1199);PD(2604,1198);PD(2592,1194);PD(2586,1190);PD(2583,1183);PD(2582,1174);PU(2096,1137);PD(2038,1120);PD(1997,1103);PD(1985,1095);PD(1987,1091);PD(2005,1092);PD(2039,1096);PD(2157,1105);PD(2309,1105);PD(2457,1097);PD(2561,1082);PD(2610,1070);PD(2631,1066);PD(2631,1071);PD(2613,1087);PD(2575,1109);PD(2522,1128);PD(2459,1143);PD(2388,1152);PD(2313,1157);PD(2237,1156);PD(2163,1150);PD(2096,1137);PU(2197,1036);PD(2190,1018);PD(2189,989);PD(2189,977);PD(2191,969);PD(2194,967);PD(2197,971);PD(2208,982);PD(2224,987);PD(2238,984);PD(2244,974);PD(2248,964);PD(2259,960);PD(2268,971);PD(2269,999);PD(2259,1024);PD(2240,1040);PD(2229,1044);PD(2218,1045);PD(2207,1043);PD(2197,1036);PU(2328,1000);PD(2329,975);PD(2331,965);PD(2337,968);PD(2348,982);PD(2360,996);PD(2367,1002);PD(2372,998);PD(2378,985);PD(2390,964);PD(2402,961);PD(2410,973);PD(2410,999);PD(2407,1018);PD(2399,1030);PD(2387,1038);PD(2368,1041);PD(2346,1043);PD(2334,1038);PD(2329,1025);PD(2328,1000);PU(1754,1020);PD(1741,1003);PD(1736,969);PD(1736,945);PD(1739,936);PD(1746,939);PD(1758,954);PD(1769,965);PD(1777,970);PD(1782,970);PD(1786,964);PD(1797,948);PD(1808,947);PD(1817,958);PD(1820,979);PD(1815,999);PD(1803,1017);PD(1788,1028);PD(1774,1029);PD(1767,1026);PD(1754,1020);PU(1873,1022);PD(1866,1004);PD(1864,975);PD(1865,962);PD(1867,955);PD(1869,953);PD(1873,957);PD(1883,968);PD(1899,973);PD(1913,970);PD(1919,960);PD(1924,950);PD(1935,945);PD(1944,957);PD(1945,985);PD(1935,1010);PD(1916,1026);PD(1905,1030);PD(1893,1031);PD(1882,1028);PD(1873,1022);PU(2046,985);PD(2047,961);PD(2049,951);PD(2055,953);PD(2066,968);PD(2078,983);PD(2087,988);PD(2096,983);PD(2108,967);PD(2120,952);PD(2127,949);PD(2130,959);PD(2131,985);PD(2130,1009);PD(2124,1023);PD(2111,1029);PD(2088,1030);PD(2066,1029);PD(2053,1023);PD(2047,1009);PD(2046,985);PU(2503,1015);PD(2504,997);PD(2517,976);PD(2530,965);PD(2537,963);PD(2539,972);PD(2540,992);PD(2537,1016);PD(2529,1028);PD(2517,1028);PD(2503,1015);PU(2790,1022);PD(2783,1006);
PD(2780,982);PD(2781,968);PD(2783,961);PD(2788,964);PD(2795,974);PD(2803,983);PD(2809,986);PD(2814,985);PD(2818,978);PD(2828,962);PD(2839,960);PD(2847,971);PD(2848,991);PD(2840,1012);PD(2825,1025);PD(2807,1029);
PD(2790,1022);PU(2903,1020);PD(2896,1005);PD(2893,982);PD(2893,968);PD(2896,963);PD(2900,964);PD(2907,974);PD(2914,983);PD(2920,987);PD(2926,984);PD(2934,975);PD(2940,968);PD(2945,965);PD(2950,966);PD(2956,972);
PD(2958,990);PD(2949,1009);PD(2936,1022);PD(2924,1029);PD(2913,1028);PD(2903,1020);PU(2568,992);PD(2573,968);PD(2582,945);PD(2589,937);PD(2594,936);PD(2596,945);PD(2596,962);PD(2593,992);PD(2582,1009);PD(2573,1007);
PD(2568,992);PU(2667,992);PD(2669,981);PD(2676,973);PD(2687,968);PD(2702,967);PD(2718,968);PD(2729,973);PD(2735,981);PD(2738,992);PD(2735,1003);PD(2729,1010);PD(2718,1015);PD(2702,1016);PD(2687,1015);PD(2676,1010);
PD(2669,1003);PD(2667,992);PU(2992,989);PD(2993,977);PD(2997,969);PD(3003,967);PD(3013,969);PD(3026,979);PD(3029,991);PD(3023,1004);PD(3008,1013);PD(3002,1013);PD(2996,1009);PD(2993,1000);PD(2992,989);PU(3058,992);
PD(3049,976);PD(3049,957);PD(3056,942);PD(3069,936);PD(3084,940);PD(3090,951);PD(3087,969);PD(3078,985);PD(3067,994);PD(3058,992);PU(1528,735);PD(1537,550);PD(1544,470);PD(1582,468);PD(1664,473);PD(1775,483);PD(1689,604);
PD(1639,675);PD(1612,724);PD(1600,771);PD(1595,837);PD(1590,897);PD(1583,934);PD(1572,957);PD(1554,972);PD(1520,995);PD(1528,735);PU(1171,840);PD(1163,828);PD(1161,818);PD(1163,809);PD(1171,797);PD(1178,788);PD(1181,781);
PD(1179,777);PD(1173,776);PD(1166,769);PD(1161,747);PD(1158,712);PD(1157,663);PD(1157,550);PD(1232,552);PD(1305,553);PD(1239,574);PD(1214,583);PD(1194,593);PD(1181,605);PD(1172,618);PD(1170,632);PD(1172,649);PD(1181,668);
PD(1194,689);PD(1210,706);PD(1230,715);PD(1253,718);PD(1279,713);PD(1306,702);PD(1335,684);PD(1364,660);PD(1394,629);PD(1438,580);PD(1442,696);PD(1444,757);PD(1441,796);PD(1433,819);PD(1418,835);PD(1394,854);PD(1375,858);
PD(1354,846);PD(1325,817);PD(1308,800);PD(1295,791);PD(1287,788);PD(1284,793);PD(1277,815);PD(1258,837);PD(1234,854);PD(1211,861);PD(1190,854);PD(1171,840);PU(1738,782);PD(1723,768);PD(1714,751);PD(1709,725);PD(1709,687);
PD(1710,614);PD(1723,673);PD(1737,718);PD(1756,746);PD(1768,754);PD(1782,758);PD(1799,758);PD(1818,755);PD(1838,749);PD(1857,740);PD(1875,726);PD(1892,709);PD(1924,663);PD(1954,598);PD(1990,515);PD(1990,628);PD(1986,712);
PD(1978,756);PD(1961,773);PD(1935,787);PD(1903,797);PD(1868,803);PD(1831,805);PD(1796,802);PD(1764,794);PD(1738,782);PU(1046,653);PD(1044,536);PD(985,536);PD(921,534);PD(884,524);PD(873,515);PD(865,504);PD(862,489);
PD(861,471);PD(861,423);PD(950,426);PD(999,428);PD(1017,429);PD(1005,431);PD(964,433);PD(932,437);PD(908,443);PD(892,450);PD(883,460);PD(879,472);PD(879,483);PD(882,491);PD(890,497);PD(922,507);PD(981,515);PD(1072,525);
PD(1071,576);PD(1067,633);PD(1058,699);PD(1053,735);PD(1049,742);PD(1047,716);PD(1046,653);PU(3382,584);PD(3404,572);PD(3423,556);PD(3438,536);PD(3450,512);PD(3467,477);PD(3477,470);PD(3480,491);PD(3476,540);PD(3467,607);
PD(3402,605);PD(3337,604);PD(3382,584);PU(1863,452);PD(1269,421);PD(701,385);PD(643,381);PD(604,377);PD(582,373);PD(580,369);PD(636,364);PD(775,360);PD(1323,355);PD(2261,356);PD(3036,358);PD(3558,362);PD(3852,368);PD(3947,375);
PD(3947,381);PD(3940,386);PD(3923,391);PD(3891,396);PD(3769,410);PD(3542,432);PD(3226,448);PD(2758,458);PD(2263,459);PD(1863,452);PU(1136,272);PD(693,253);PD(341,230);PD(310,226);PD(289,221);PD(279,215);PD(279,209);PD(785,203);
PD(1881,206);PD(2975,214);PD(3471,226);PD(3393,236);PD(3183,247);PD(2876,256);PD(2507,265);PD(1730,275);PD(1136,272);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_9(){//тигр
M=0.4;//
PD(526,4023);pendown();
PD(510,3998);PD(497,3964);PD(488,3922);PD(482,3873);PD(481,3818);PD(484,3757);PD(490,3693);PD(501,3627);PD(534,3457);PD(559,3373);PD(581,3313);PD(602,3265);PD(626,3217);PD(660,3158);PD(686,3113);PD(700,3079);PD(704,3048);PD(703,3010);PD(690,2955);PD(663,2890);PD(621,2815);PD(564,2731);PD(516,2656);PD(472,2575);PD(434,2488);PD(401,2396);PD(373,2300);PD(352,2201);PD(337,2101);PD(329,2000);PD(320,1833);PD(356,1842);PD(375,1844);PD(393,1841);PD(408,1831);PD(421,1815);PD(440,1761);PD(453,1676);PD(465,1580);PD(481,1503);PD(505,1434);PD(540,1357);PD(579,1291);PD(621,1235);PD(666,1189);PD(715,1154);PD(759,1129);PD(775,1191);PD(784,1221);PD(799,1248);PD(818,1274);PD(841,1298);PD(870,1322);PD(894,1334);PD(919,1338);PD(953,1336);PD(1007,1324);PD(1065,1301);PD(1130,1263);PD(1207,1211);PD(1253,1174);PD(1295,1137);PD(1334,1097);PD(1369,1056);PD(1400,1013);PD(1428,968);PD(1453,920);PD(1475,869);PD(1503,803);PD(1533,743);PD(1565,690);PD(1599,643);PD(1636,602);PD(1675,565);PD(1719,534);PD(1765,507);PD(1834,468);PD(1906,419);PD(1976,364);PD(2042,306);PD(2114,236);PD(2190,306);PD(2257,365);PD(2329,420);PD(2405,472);PD(2486,521);PD(2533,551);PD(2578,587);PD(2620,628);PD(2658,674);PD(2691,724);PD(2720,775);PD(2743,828);PD(2760,882);PD(2771,916);PD(2789,952);PD(2812,990);PD(2839,1028);PD(2907,1105);PD(2985,1177);PD(3069,1242);PD(3154,1294);PD(3194,1313);PD(3233,1328);PD(3269,1337);PD(3302,1341);PD(3325,1337);PD(3349,1328);PD(3373,1313);PD(3396,1294);PD(3417,1272);PD(3435,1246);PD(3449,1219);PD(3459,1191);PD(3474,1129);PD(3515,1153);PD(3567,1190);PD(3615,1238);PD(3658,1295);PD(3695,1362);PD(3728,1436);PD(3754,1517);PD(3775,1606);PD(3789,1700);PD(3800,1775);PD(3815,1820);PD(3825,1834);PD(3838,1842);PD(3852,1845);PD(3869,1843);PD(3909,1836);PD(3909,1953);PD(3905,2049);PD(3893,2146);PD(3875,2245);PD(3849,2343);PD(3817,2439);PD(3779,2532);PD(3735,2622);PD(3686,2705);PD(3609,2826);PD(3564,2904);PD(3542,2958);PD(3532,3006);PD(3529,3046);PD(3533,3078);PD(3547,3112);PD(3573,3158);PD(3612,3228);PD(3646,3302);PD(3675,3382);PD(3700,3465);PD(3720,3551);PD(3734,3639);PD(3743,3729);PD(3747,3820);PD(3746,3908);PD(3742,3960);PD(3731,3990);PD(3711,4015);PD(3686,4036);PD(3659,4048);PD(3626,4048);PD(3586,4035);PD(3534,4009);PD(3469,3967);PD(3387,3909);PD(3286,3833);PD(3234,3794);PD(3186,3763);PD(3142,3738);PD(3101,3719);PD(3059,3706);PD(3017,3697);PD(2971,3692);PD(2921,3691);PD(2805,3699);PD(2695,3718);PD(2604,3734);PD(2479,3744);PD(2323,3747);PD(2138,3744);PD(2033,3742);PD(1858,3741);PD(1750,3739);PD(1661,3735);PD(1589,3728);PD(1527,3717);PD(1424,3699);PD(1319,3692);PD(1225,3695);PD(1154,3708);PD(1096,3737);PD(1017,3785);PD(935,3841);PD(866,3895);PD(797,3949);PD(725,3996);PD(659,4030);PD(608,4046);PD(581,4048);PD(560,4045);PD(543,4038);PD(526,4023);PU(748,3844);PD(785,3805);PD(815,3757);PD(841,3698);PD(861,3627);PD(879,3567);PD(907,3508);PD(943,3452);PD(985,3399);PD(1003,3375);PD(1013,3343);PD(1018,3290);PD(1020,3202);PD(1028,3073);PD(1043,3003);PD(1047,2996);PD(1052,2993);PD(1056,2995);PD(1061,3001);PD(1069,3029);PD(1077,3076);PD(1091,3142);PD(1118,3214);PD(1155,3285);PD(1198,3350);PD(1251,3412);PD(1314,3468);PD(1390,3521);PD(1480,3572);PD(1532,3595);PD(1578,3610);PD(1631,3619);PD(1702,3624);PD(1804,3623);PD(1891,3611);PD(1930,3599);PD(1968,3584);PD(2006,3564);PD(2043,3540);PD(2090,3512);PD(2115,3500);PD(2148,3514);PD(2208,3549);PD(2288,3593);PD(2355,3616);PD(2429,3625);PD(2527,3622);PD(2602,3617);PD(2657,3608);PD(2704,3594);PD(2754,3570);PD(2844,3520);PD(2919,3468);PD(2983,3412);PD(3035,3351);PD(3082,3278);PD(3122,3196);PD(3150,3116);PD(3161,3054);PD(3164,3021);PD(3173,3001);PD(3179,2997);PD(3185,2996);PD(3192,3000);PD(3199,3008);PD(3207,3070);PD(3212,3192);PD(3214,3285);PD(3219,3340);PD(3231,3374);PD(3251,3402);PD(3291,3455);PD(3326,3513);PD(3354,3571);PD(3373,3627);PD(3389,3682);PD(3409,3732);PD(3432,3776);PD(3457,3813);PD(3484,3843);PD(3512,3864);PD(3540,3876);PD(3569,3878);PD(3586,3873);PD(3601,3865);PD(3614,3851);PD(3624,3833);PD(3637,3779);PD(3641,3703);PD(3638,3627);PD(3631,3554);PD(3618,3483);PD(3602,3417);PD(3581,3356);PD(3557,3302);PD(3529,3255);PD(3498,3217);PD(3458,3181);PD(3428,3164);PD(3416,3163);PD(3406,3166);PD(3396,3175);PD(3388,3188);PD(3382,3204);PD(3382,3225);PD(3386,3253);PD(3395,3288);PD(3408,3342);PD(3411,3368);PD(3394,3357);PD(3364,3323);PD(3345,3293);PD(3332,3263);PD(3325,3224);PD(3320,3171);PD(3318,3134);PD(3317,3106);PD(3321,3080);PD(3333,3050);PD(3393,2952);PD(3521,2763);PD(3594,2650);PD(3653,2545);PD(3698,2448);PD(3730,2359);PD(3748,2274);PD(3760,2173);PD(3765,2073);PD(3761,1994);PD(3749,1926);PD(3724,2004);PD(3698,2059);PD(3661,2114);PD(3624,2156);PD(3596,2173);PD(3592,2164);PD(3598,2142);PD(3626,2060);PD(3645,1971);PD(3655,1878);PD(3655,1782);PD(3647,1687);PD(3630,1593);PD(3604,1504);PD(3569,1422);PD(3538,1365);PD(3517,1339);PD(3507,1337);PD(3495,1341);PD(3482,1351);PD(3466,1366);PD(3430,1395);PD(3393,1417);PD(3354,1431);PD(3313,1437);PD(3269,1436);PD(3223,1428);PD(3175,1412);PD(3123,1389);PD(3090,1372);PD(3062,1359);PD(3051,1353);PD(3041,1348);PD(3035,1345);PD(3031,1343);PD(3023,1366);PD(3020,1428);PD(3017,1487);PD(3011,1545);PD(2999,1601);PD(2984,1655);PD(2965,1705);PD(2943,1752);PD(2917,1794);PD(2889,1832);PD(2865,1853);PD(2848,1862);PD(2843,1861);PD(2840,1857);PD(2840,1850);PD(2843,1839);PD(2852,1814);PD(2858,1792);PD(2865,1765);PD(2877,1731);PD(2897,1658);PD(2908,1569);PD(2911,1475);PD(2903,1389);PD(2886,1330);PD(2856,1276);PD(2816,1228);PD(2766,1187);PD(2710,1155);PD(2648,1133);PD(2583,1122);PD(2517,1123);PD(2461,1134);PD(2406,1151);PD(2355,1174);PD(2309,1201);PD(2271,1231);PD(2241,1263);PD(2222,1296);PD(2215,1328);PD(2221,1347);PD(2237,1368);PD(2261,1389);PD(2291,1409);PD(2326,1427);PD(2362,1441);PD(2398,1450);PD(2433,1453);PD(2455,1454);PD(2473,1457);PD(2488,1463);PD(2500,1473);PD(2519,1505);PD(2534,1561);PD(2548,1639);PD(2553,1714);PD(2548,1788);PD(2534,1860);PD(2520,1914);PD(2513,1940);PD(2482,2012);PD(2450,2074);PD(2447,2037);PD(2447,1949);PD(2446,1899);PD(2443,1858);PD(2437,1823);PD(2426,1795);PD(2412,1771);PD(2392,1751);PD(2366,1732);PD(2334,1714);PD(2299,1701);PD(2254,1691);PD(2202,1684);PD(2147,1680);PD(2091,1680);PD(2037,1683);PD(1987,1690);PD(1945,1700);PD(1883,1725);PD(1839,1756);PD(1822,1774);PD(1808,1796);PD(1796,1821);PD(1786,1850);PD(1777,1887);PD(1773,1919);PD(1776,1953);PD(1784,1995);PD(1793,2049);PD(1789,2066);PD(1747,2001);PD(1713,1921);PD(1710,1908);PD(1705,1887);PD(1699,1860);PD(1692,1832);PD(1683,1764);PD(1683,1684);PD(1691,1603);PD(1707,1528);PD(1718,1498);PD(1729,1479);PD(1742,1470);PD(1760,1468);PD(1812,1459);PD(1878,1437);PD(1942,1409);PD(1985,1380);PD(2008,1354);PD(2016,1328);PD(2010,1298);PD(1990,1259);PD(1972,1237);PD(1946,1215);PD(1913,1193);PD(1875,1173);PD(1792,1139);PD(1709,1120);PD(1659,1120);PD(1607,1127);PD(1556,1142);PD(1507,1164);PD(1461,1192);PD(1420,1226);PD(1386,1264);PD(1359,1305);PD(1343,1345);PD(1331,1393);PD(1324,1448);PD(1321,1507);PD(1323,1567);PD(1329,1625);PD(1339,1680);PD(1355,1729);PD(1367,1765);PD(1376,1792);PD(1382,1814);PD(1390,1839);PD(1393,1850);PD(1394,1857);PD(1391,1861);PD(1385,1862);PD(1368,1853);PD(1345,1832);PD(1317,1796);PD(1292,1754);PD(1270,1707);PD(1250,1656);PD(1234,1602);PD(1222,1545);PD(1214,1487);PD(1211,1429);PD(1209,1329);PD(1159,1362);PD(1102,1395);PD(1046,1418);PD(991,1432);PD(938,1437);PD(888,1433);PD(842,1419);PD(800,1396);PD(763,1365);PD(736,1340);PD(717,1335);PD(693,1368);PD(660,1433);PD(626,1511);PD(601,1582);PD(579,1679);PD(569,1772);PD(571,1863);PD(584,1950);PD(616,2091);PD(629,2145);PD(633,2163);PD(629,2166);PD(613,2155);PD(583,2127);PD(556,2098);PD(536,2069);PD(520,2037);PD(508,2001);PD(498,1961);PD(490,1943);PD(484,1944);PD(477,1961);PD(469,2031);PD(472,2143);PD(484,2262);PD(502,2357);PD(535,2447);PD(579,2542);PD(635,2643);PD(704,2752);PD(744,2810);PD(785,2870);PD(822,2925);PD(851,2968);PD(875,3008);PD(894,3049);PD(908,3090);PD(916,3131);PD(918,3171);PD(915,3210);PD(905,3248);PD(890,3284);PD(872,3317);PD(855,3341);PD(842,3356);PD(831,3360);PD(825,3355);PD(824,3340);PD(828,3315);PD(838,3281);PD(850,3233);PD(849,3195);PD(844,3181);PD(836,3170);PD(825,3163);PD(811,3161);PD(794,3166);PD(774,3179);PD(752,3199);PD(729,3224);PD(685,3286);PD(653,3351);PD(630,3428);PD(613,3508);PD(601,3588);PD(594,3664);PD(593,3733);PD(599,3792);PD(610,3835);PD(628,3861);PD(656,3876);PD(684,3878);PD(714,3868);PD(748,3844);PU(2318,1603);PD(2366,1601);PD(2395,1597);PD(2409,1590);PD(2413,1579);PD(2411,1565);PD(2405,1553);PD(2395,1542);PD(2379,1533);PD(2333,1520);PD(2262,1510);PD(2207,1503);PD(2170,1495);PD(2147,1483);PD(2129,1466);PD(2116,1450);PD(2107,1443);PD(2104,1446);PD(2103,1458);PD(2100,1469);PD(2093,1480);PD(2080,1488);PD(2064,1496);PD(2018,1506);PD(1957,1510);PD(1902,1515);PD(1859,1529);PD(1842,1539);PD(1830,1550);PD(1823,1563);PD(1820,1578);PD(1823,1589);PD(1834,1596);PD(1857,1598);PD(1895,1597);PD(1962,1598);PD(2018,1607);PD(2076,1615);PD(2145,1613);PD(2227,1606);PD(2318,1603);PU(2371,1091);PD(2402,1074);PD(2434,1052);PD(2465,1026);PD(2493,998);PD(2518,968);PD(2539,938);PD(2554,909);PD(2563,882);PD(2568,835);PD(2566,792);PD(2556,753);PD(2538,719);PD(2511,688);PD(2476,660);PD(2432,635);PD(2379,612);PD(2324,595);PD(2272,585);PD(2208,580);PD(2119,579);PD(2001,583);PD(1910,594);PD(1836,616);PD(1767,649);PD(1741,665);PD(1719,682);PD(1702,700);PD(1688,720);PD(1678,742);PD(1670,767);PD(1666,795);PD(1665,825);PD(1668,876);PD(1681,918);PD(1706,958);PD(1748,1006);PD(1781,1039);PD(1812,1062);PD(1854,1083);PD(1919,1111);PD(1957,1120);PD(2010,1125);PD(2074,1127);PD(2142,1126);PD(2211,1121);PD(2276,1114);PD(2330,1103);PD(2371,1091);PU(1792,3442);PD(1691,3431);PD(1610,3410);PD(1574,3395);PD(1540,3376);PD(1508,3352);PD(1475,3325);PD(1418,3275);PD(1475,3301);PD(1532,3323);PD(1595,3341);PD(1660,3353);PD(1728,3359);PD(1797,3360);PD(1866,3356);PD(1933,3346);PD(1997,3330);PD(2068,3310);PD(2117,3303);PD(2165,3309);PD(2237,3329);PD(2332,3352);PD(2420,3364);PD(2500,3362);PD(2592,3350);PD(2677,3331);PD(2742,3308);PD(2772,3294);PD(2788,3292);PD(2777,3312);PD(2732,3347);PD(2671,3384);PD(2609,3413);PD(2567,3426);PD(2515,3435);PD(2457,3441);PD(2395,3444);PD(2334,3443);PD(2275,3439);PD(2223,3432);PD(2180,3421);PD(2144,3410);PD(2115,3406);PD(2086,3409);PD(2049,3419);PD(1989,3437);PD(1940,3446);PD(1881,3447);PD(1792,3442);PU(1912,3231);PD(1836,3225);PD(1780,3216);PD(1731,3202);PD(1679,3179);PD(1600,3135);PD(1538,3092);PD(1489,3049);PD(1573,3078);PD(1671,3105);PD(1771,3122);PD(1869,3129);PD(1961,3126);PD(2051,3119);PD(2117,3117);PD(2313,3122);PD(2446,3120);PD(2536,3111);PD(2604,3093);PD(2667,3071);PD(2698,3064);PD(2701,3073);PD(2680,3099);PD(2640,3132);PD(2585,3165);PD(2522,3194);PD(2455,3216);PD(2368,3228);PD(2233,3235);PD(2074,3236);PD(1912,3231);PU(1278,3056);PD(1274,3008);PD(1277,2964);PD(1285,2923);PD(1300,2886);PD(1321,2853);PD(1349,2824);PD(1383,2799);PD(1422,2778);PD(1468,2759);PD(1489,2753);PD(1490,2760);PD(1475,2780);PD(1461,2803);PD(1458,2825);PD(1466,2843);PD(1484,2852);PD(1558,2855);PD(1616,2849);PD(1668,2830);PD(1724,2797);PD(1768,2759);PD(1807,2708);PD(1838,2651);PD(1856,2592);PD(1860,2553);PD(1857,2513);PD(1847,2470);PD(1832,2428);PD(1811,2385);PD(1784,2344);PD(1752,2304);PD(1716,2266);PD(1672,2227);PD(1713,2235);PD(1754,2249);PD(1791,2271);PD(1826,2300);PD(1858,2336);PD(1886,2379);PD(1910,2429);PD(1930,2485);PD(1946,2547);PD(1976,2660);PD(2009,2752);PD(2035,2818);PD(2046,2869);PD(2043,2898);PD(2035,2926);PD(2023,2952);PD(2006,2974);PD(1986,2993);PD(1964,3007);PD(1939,3016);PD(1913,3020);PD(1871,3020);PD(1908,2982);PD(1937,2944);PD(1953,2908);PD(1956,2872);PD(1947,2835);PD(1939,2819);PD(1929,2807);PD(1919,2799);PD(1907,2796);PD(1882,2801);PD(1854,2824);PD(1836,2841);PD(1814,2856);PD(1787,2870);PD(1755,2883);PD(1677,2904);PD(1576,2921);PD(1521,2929);PD(1474,2939);PD(1435,2951);PD(1403,2965);PD(1376,2982);PD(1354,3003);PD(1335,3028);PD(1318,3058);PD(1287,3119);PD(1278,3056);PU(2914,3052);PD(2897,3025);PD(2878,3001);PD(2857,2982);PD(2831,2965);PD(2765,2940);PD(2673,2922);PD(2564,2904);PD(2482,2883);PD(2423,2859);PD(2385,2829);PD(2354,2803);PD(2327,2796);PD(2315,2799);PD(2304,2806);PD(2295,2818);PD(2286,2835);PD(2277,2872);PD(2280,2908);PD(2296,2944);PD(2326,2982);PD(2362,3020);PD(2320,3020);PD(2294,3016);PD(2269,3007);PD(2247,2993);PD(2227,2974);PD(2211,2952);PD(2198,2926);PD(2190,2898);PD(2187,2869);PD(2198,2818);PD(2224,2752);PD(2257,2659);PD(2287,2546);PD(2301,2484);PD(2317,2432);PD(2334,2389);PD(2355,2354);PD(2394,2308);PD(2443,2268);PD(2492,2240);PD(2534,2230);PD(2545,2231);PD(2547,2237);PD(2537,2249);PD(2517,2269);PD(2470,2316);PD(2433,2367);PD(2404,2422);PD(2385,2479);PD(2377,2518);PD(2376,2556);PD(2379,2594);PD(2388,2632);PD(2401,2668);PD(2420,2703);PD(2443,2735);PD(2471,2766);PD(2522,2806);PD(2583,2837);PD(2643,2855);PD(2695,2859);PD(2711,2857);PD(2726,2855);PD(2739,2853);PD(2749,2852);PD(2767,2843);PD(2775,2825);PD(2772,2803);PD(2759,2780);PD(2743,2760);PD(2744,2753);PD(2766,2759);PD(2812,2778);PD(2856,2804);PD(2897,2839);PD(2929,2875);PD(2942,2904);PD(2944,2912);PD(2946,2926);PD(2950,2944);PD(2953,2963);PD(2956,3012);PD(2952,3058);PD(2942,3104);PD(2914,3052);PU(1199,2698);PD(1204,2689);PD(1221,2677);PD(1254,2660);PD(1305,2636);PD(1334,2611);PD(1365,2570);PD(1383,2543);PD(1403,2521);PD(1426,2503);PD(1452,2489);PD(1481,2480);PD(1513,2474);PD(1550,2473);PD(1590,2475);PD(1639,2479);PD(1673,2478);PD(1698,2470);PD(1723,2454);PD(1765,2424);PD(1757,2469);PD(1743,2523);PD(1721,2568);PD(1691,2606);PD(1653,2636);PD(1608,2658);PD(1554,2672);PD(1493,2678);PD(1424,2675);PD(1368,2672);PD(1326,2673);PD(1292,2678);PD(1262,2688);PD(1227,2702);PD(1208,2708);PD(1201,2706);PD(1199,2698);PU(2963,2687);PD(2935,2679);PD(2899,2675);PD(2856,2674);PD(2804,2677);PD(2737,2678);PD(2678,2671);PD(2626,2657);PD(2580,2635);PD(2543,2605);PD(2513,2568);PD(2491,2523);PD(2477,2471);PD(2473,2446);PD(2474,2435);PD(2483,2436);PD(2502,2448);PD(2524,2458);PD(2558,2465);PD(2602,2471);PD(2656,2474);PD(2703,2476);PD(2743,2482);PD(2777,2490);PD(2806,2501);PD(2830,2515);PD(2850,2533);PD(2866,2555);PD(2879,2581);PD(2889,2600);PD(2905,2617);PD(2924,2632);PD(2948,2643);PD(2990,2665);PD(3018,2687);PD(3029,2702);PD(3025,2707);PD(3004,2702);PD(2963,2687);PU(923,2642);PD(876,2574);PD(828,2488);PD(791,2406);PD(776,2352);PD(772,2326);PD(763,2307);PD(747,2252);PD(727,2139);PD(704,1987);PD(745,1899);PD(786,1828);PD(842,1753);PD(903,1686);PD(964,1634);PD(1006,1603);PD(978,1659);PD(947,1722);PD(921,1780);PD(901,1834);PD(885,1887);PD(874,1941);PD(866,1996);PD(862,2056);PD(861,2122);PD(864,2253);PD(875,2361);PD(895,2463);PD(929,2572);PD(958,2659);PD(969,2695);PD(955,2680);PD(923,2642);PU(3267,2667);PD(3279,2632);PD(3295,2596);PD(3323,2526);PD(3345,2438);PD(3361,2339);PD(3370,2233);PD(3373,2125);PD(3368,2022);PD(3357,1928);PD(3337,1849);PD(3307,1772);PD(3271,1695);PD(3245,1638);PD(3239,1611);PD(3272,1636);PD(3344,1705);PD(3391,1754);PD(3430,1801);PD(3460,1847);PD(3484,1894);PD(3525,1983);PD(3507,2124);PD(3494,2203);PD(3477,2281);PD(3456,2355);PD(3431,2426);PD(3403,2493);PD(3371,2553);PD(3337,2607);PD(3301,2653);PD(3277,2679);PD(3266,2689);PD(3263,2685);PD(3267,2667);PU(1057,2544);PD(1044,2504);PD(1036,2462);PD(1030,2422);PD(1023,2382);PD(1019,2336);PD(1023,2280);PD(1031,2245);PD(1042,2222);PD(1066,2206);PD(1106,2189);PD(1197,2158);PD(1310,2127);PD(1409,2104);PD(1458,2100);PD(1442,2118);PD(1387,2153);PD(1300,2208);PD(1229,2268);PD(1199,2299);PD(1172,2332);PD(1149,2367);PD(1129,2403);PD(1098,2479);PD(1084,2537);PD(1081,2568);PD(1076,2580);PD(1069,2572);PD(1057,2544);PU(3143,2498);PD(3124,2445);PD(3101,2395);PD(3073,2349);PD(3039,2305);PD(3000,2264);PD(2955,2225);PD(2903,2187);PD(2845,2151);PD(2802,2123);PD(2794,2108);PD(2820,2105);PD(2881,2117);PD(2944,2130);PD(2992,2139);PD(3028,2150);PD(3069,2166);PD(3112,2184);PD(3157,2203);PD(3179,2215);PD(3194,2229);PD(3203,2251);PD(3210,2283);PD(3214,2337);PD(3210,2382);PD(3203,2422);PD(3198,2462);PD(3189,2503);PD(3178,2540);PD(3170,2557);PD(3163,2558);PD(3155,2539);PD(3143,2498);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_10(){//зайчик
M=0.4;//
PD(1963,3916);pendown();
PD(1921,3892);PD(1899,3883);PD(1892,3889);PD(1891,3909);PD(1888,3929);PD(1882,3937);PD(1862,3931);PD(1832,3913);PD(1797,3886);PD(1760,3854);PD(1733,3830);PD(1715,3818);PD(1703,3815);PD(1695,3823);PD(1687,3831);PD(1680,3830);PD(1670,3822);PD(1658,3804);PD(1646,3781);PD(1639,3754);PD(1637,3716);PD(1640,3662);PD(1649,3591);PD(1667,3524);PD(1696,3459);PD(1735,3396);PD(1786,3333);PD(1849,3270);PD(1925,3205);PD(2015,3137);PD(2077,3090);PD(2103,3068);PD(2075,3078);PD(2008,3110);PD(1915,3152);PD(1815,3187);PD(1699,3218);PD(1562,3247);PD(1443,3270);PD(1376,3282);PD(1316,3289);PD(1214,3298);PD(1126,3299);PD(1041,3293);PD(959,3279);PD(879,3258);PD(803,3230);PD(732,3195);PD(665,3153);PD(604,3104);PD(563,3062);PD(539,3023);PD(535,3006);PD(535,2992);PD(541,2981);PD(552,2975);PD(558,2969);PD(558,2959);PD(554,2944);PD(545,2924);PD(532,2887);PD(530,2855);PD(533,2841);PD(539,2831);PD(547,2825);PD(557,2822);PD(567,2819);PD(572,2808);PD(572,2786);PD(569,2752);PD(565,2713);PD(567,2692);PD(575,2683);PD(591,2681);PD(605,2679);PD(614,2674);PD(619,2663);PD(621,2647);PD(627,2614);PD(645,2579);PD(675,2544);PD(715,2508);PD(766,2473);PD(826,2440);PD(894,2408);PD(971,2378);PD(1046,2349);PD(1086,2330);PD(1094,2322);PD(1095,2316);PD(1090,2311);PD(1078,2306);PD(1014,2281);PD(952,2252);PD(893,2221);PD(843,2190);PD(805,2162);PD(782,2138);PD(778,2129);PD(779,2122);PD(785,2118);PD(797,2117);PD(804,2112);PD(800,2098);PD(785,2076);PD(761,2043);PD(712,1975);PD(671,1905);PD(638,1833);PD(614,1760);PD(599,1710);PD(591,1693);PD(585,1732);PD(573,1816);PD(557,1933);PD(457,1816);PD(376,1709);PD(318,1613);PD(295,1566);PD(280,1541);PD(268,1536);PD(254,1545);PD(233,1562);PD(220,1564);PD(214,1552);PD(212,1524);PD(203,1470);PD(183,1401);PD(165,1338);PD(157,1284);PD(158,1236);PD(169,1191);PD(176,1173);PD(178,1160);PD(176,1150);PD(169,1143);PD(162,1129);PD(160,1103);PD(163,1069);PD(171,1030);PD(183,989);PD(197,951);PD(213,917);PD(230,892);PD(244,876);PD(250,866);PD(247,862);PD(236,861);PD(219,859);PD(212,854);PD(237,818);PD(296,742);PD(336,696);PD(374,658);PD(411,627);PD(448,603);PD(487,585);PD(528,573);PD(572,567);PD(619,564);PD(702,569);PD(768,579);PD(800,584);PD(823,580);PD(845,564);PD(876,531);PD(900,506);PD(927,484);PD(958,463);PD(992,445);PD(1076,411);PD(1184,381);PD(1276,360);PD(1363,346);PD(1445,338);PD(1519,337);PD(1587,342);PD(1645,352);PD(1695,369);PD(1734,392);PD(1764,412);PD(1792,422);PD(1827,426);PD(1878,425);PD(1929,424);PD(1962,428);PD(1988,438);PD(2014,457);PD(2055,483);PD(2093,494);PD(2122,499);PD(2143,512);PD(2155,520);PD(2175,521);PD(2208,514);PD(2259,498);PD(2347,475);PD(2432,464);PD(2470,464);PD(2505,467);PD(2536,473);PD(2561,483);PD(2581,491);PD(2600,495);PD(2617,496);PD(2632,492);PD(2677,482);PD(2728,481);PD(2776,490);PD(2812,508);PD(2850,528);PD(2890,536);PD(2934,546);PD(2980,570);PD(3010,589);PD(3034,596);PD(3062,594);PD(3106,583);PD(3181,571);PD(3253,572);PD(3326,577);PD(3402,579);PD(3441,579);PD(3471,584);PD(3495,593);PD(3516,607);PD(3555,627);PD(3598,635);PD(3621,638);PD(3643,646);PD(3664,658);PD(3683,675);PD(3700,695);PD(3714,719);PD(3724,745);PD(3731,773);PD(3734,814);PD(3732,855);PD(3724,893);PD(3710,930);PD(3692,963);PD(3669,993);PD(3642,1018);PD(3611,1039);PD(3584,1057);PD(3576,1071);PD(3610,1097);PD(3682,1142);PD(3759,1191);PD(3824,1240);PD(3878,1290);PD(3921,1342);PD(3955,1397);PD(3980,1457);PD(3996,1521);PD(4005,1590);PD(4007,1648);PD(4004,1689);PD(3993,1728);PD(3972,1774);PD(3930,1844);PD(3885,1901);PD(3845,1946);PD(3816,1991);PD(3796,2058);PD(3774,2166);PD(3758,2278);PD(3752,2359);PD(3749,2381);PD(3737,2409);PD(3717,2443);PD(3692,2479);PD(3628,2555);PD(3555,2626);PD(3481,2687);PD(3525,2702);PD(3552,2712);PD(3571,2721);PD(3579,2730);PD(3576,2742);PD(3534,2780);PD(3437,2846);PD(3349,2900);PD(3275,2937);PD(3244,2950);PD(3219,2965);PD(3199,2985);PD(3183,3007);PD(3103,3137);PD(2998,3294);PD(2896,3439);PD(2824,3531);PD(2747,3607);PD(2662,3676);PD(2566,3740);PD(2457,3802);PD(2354,3851);PD(2270,3884);PD(2198,3903);PD(2132,3909);PD(2101,3910);PD(2085,3912);PD(2081,3919);PD(2088,3930);PD(2094,3941);PD(2091,3948);PD(2080,3951);PD(2063,3951);PD(2016,3940);PD(1963,3916);PU(2052,3916);PD(2050,3905);PD(2057,3899);PD(2075,3896);PD(2104,3895);PD(2182,3888);PD(2266,3867);PD(2356,3835);PD(2448,3791);PD(2540,3739);PD(2629,3679);PD(2713,3611);PD(2788,3539);PD(2876,3434);PD(2981,3294);PD(3078,3152);PD(3145,3038);PD(3157,3015);PD(3164,2998);PD(3165,2987);PD(3159,2980);PD(3118,2981);PD(3030,2996);PD(2979,3006);PD(2947,3017);PD(2928,3032);PD(2914,3054);PD(2874,3120);PD(2819,3195);PD(2762,3267);PD(2712,3319);PD(2642,3376);PD(2575,3416);PD(2507,3441);PD(2436,3453);PD(2387,3456);PD(2356,3454);PD(2334,3446);PD(2314,3429);PD(2299,3411);PD(2291,3392);PD(2288,3368);PD(2290,3336);PD(2295,3307);PD(2304,3279);PD(2318,3252);PD(2335,3227);PD(2383,3179);PD(2450,3134);PD(2544,3079);PD(2582,3050);PD(2583,3040);PD(2574,3030);PD(2566,3025);PD(2556,3019);PD(2544,3011);PD(2530,3003);PD(2491,2979);PD(2462,2968);PD(2432,2967);PD(2392,2975);PD(2306,3000);PD(2211,3041);PD(2113,3095);PD(2016,3157);PD(1924,3226);PD(1842,3298);PD(1775,3370);PD(1727,3437);PD(1690,3517);PD(1666,3597);PD(1655,3676);PD(1658,3749);PD(1664,3786);PD(1670,3803);PD(1677,3803);PD(1689,3789);PD(1700,3775);PD(1708,3770);PD(1714,3772);PD(1719,3782);PD(1735,3808);PD(1767,3841);PD(1804,3873);PD(1837,3896);PD(1850,3902);PD(1858,3900);PD(1862,3891);PD(1863,3872);PD(1863,3835);PD(1902,3861);PD(1988,3911);PD(2049,3937);PD(2054,3931);PD(2052,3916);PU(2563,3401);PD(2607,3376);PD(2650,3346);PD(2693,3311);PD(2734,3271);PD(2774,3226);PD(2814,3176);PD(2853,3120);PD(2891,3059);PD(2924,3006);PD(2879,3006);PD(2856,3007);PD(2844,3010);PD(2843,3019);PD(2850,3034);PD(2857,3048);PD(2857,3057);PD(2849,3061);PD(2832,3062);PD(2790,3056);PD(2738,3041);PD(2677,3020);PD(2533,3104);PD(2437,3164);PD(2375,3209);PD(2354,3230);PD(2337,3250);PD(2325,3270);PD(2316,3292);PD(2304,3331);PD(2302,3364);PD(2310,3391);PD(2328,3415);PD(2346,3429);PD(2369,3438);PD(2394,3442);PD(2423,3443);PD(2455,3439);PD(2489,3430);PD(2525,3418);PD(2563,3401);PU(1461,3251);PD(1588,3227);PD(1716,3196);PD(1835,3162);PD(1933,3127);PD(2033,3077);PD(2144,3008);PD(2252,2927);PD(2347,2843);PD(2414,2781);PD(2441,2763);PD(2433,2779);PD(2413,2801);PD(2393,2822);PD(2385,2835);PD(2401,2860);PD(2441,2904);PD(2489,2952);PD(2532,2989);PD(2564,3010);PD(2585,3018);PD(2591,3017);PD(2594,3012);PD(2595,3004);PD(2592,2992);PD(2589,2980);PD(2589,2971);PD(2593,2967);PD(2601,2966);PD(2635,2977);PD(2699,3006);PD(2773,3036);PD(2817,3048);PD(2829,3047);PD(2833,3043);PD(2828,3035);PD(2815,3020);PD(2799,3000);PD(2795,2990);PD(2808,2990);PD(2839,2988);PD(2883,2987);PD(2935,2984);PD(3042,2976);PD(3139,2959);PD(3231,2933);PD(3323,2894);PD(3398,2854);PD(3474,2807);PD(3533,2764);PD(3556,2738);PD(3511,2719);PD(3426,2704);PD(3411,2699);PD(3407,2691);PD(3414,2684);PD(3432,2681);PD(3453,2676);PD(3482,2660);PD(3518,2633);PD(3562,2595);PD(3617,2541);PD(3648,2506);PD(3654,2495);PD(3654,2489);PD(3647,2488);PD(3634,2492);PD(3605,2493);PD(3563,2484);PD(3544,2476);PD(3529,2467);PD(3520,2457);PD(3515,2445);PD(3515,2432);PD(3520,2416);PD(3529,2399);PD(3543,2379);PD(3561,2361);PD(3579,2350);PD(3604,2344);PD(3638,2342);PD(3690,2339);PD(3721,2331);PD(3736,2298);PD(3748,2232);PD(3750,2168);PD(3742,2118);PD(3735,2099);PD(3725,2086);PD(3714,2077);PD(3700,2074);PD(3690,2076);PD(3688,2081);PD(3692,2092);PD(3703,2110);PD(3720,2139);PD(3725,2154);PD(3716,2152);PD(3696,2131);PD(3667,2095);PD(3676,2142);PD(3679,2161);PD(3679,2175);PD(3676,2184);PD(3670,2187);PD(3659,2177);PD(3655,2155);PD(3641,2116);PD(3608,2073);PD(3584,2045);PD(3566,2015);PD(3553,1979);PD(3543,1933);PD(3537,1890);PD(3534,1853);PD(3535,1822);PD(3540,1798);PD(3553,1754);PD(3466,1746);PD(3383,1734);PD(3319,1718);PD(3268,1695);PD(3224,1664);PD(3186,1621);PD(3161,1574);PD(3155,1550);PD(3153,1526);PD(3155,1503);PD(3161,1482);PD(3182,1443);PD(3214,1409);PD(3259,1378);PD(3320,1348);PD(3377,1316);PD(3401,1293);PD(3398,1276);PD(3388,1259);PD(3372,1242);PD(3351,1226);PD(3291,1193);PD(3212,1163);PD(3127,1135);PD(3095,1119);PD(3131,1124);PD(3210,1146);PD(3319,1178);PD(3375,1146);PD(3406,1129);PD(3421,1123);PD(3420,1128);PD(3408,1143);PD(3384,1163);PD(3363,1171);PD(3349,1174);PD(3347,1184);PD(3359,1203);PD(3385,1235);PD(3415,1271);PD(3430,1294);PD(3462,1316);PD(3529,1352);PD(3572,1375);PD(3612,1401);PD(3648,1429);PD(3679,1458);PD(3704,1487);PD(3723,1516);PD(3735,1544);PD(3739,1569);PD(3732,1612);PD(3714,1657);PD(3691,1693);PD(3669,1707);PD(3659,1712);PD(3655,1722);PD(3663,1732);PD(3683,1736);PD(3720,1742);PD(3768,1758);PD(3795,1771);PD(3811,1782);PD(3818,1793);PD(3817,1805);PD(3804,1842);PD(3786,1898);PD(3764,1961);PD(3738,2012);PD(3724,2037);PD(3719,2053);PD(3723,2065);PD(3737,2079);PD(3751,2090);PD(3761,2090);PD(3769,2073);PD(3779,2039);PD(3791,2007);PD(3811,1971);PD(3839,1932);PD(3874,1889);PD(3914,1839);PD(3947,1788);PD(3970,1736);PD(3986,1683);PD(3993,1629);PD(3992,1574);PD(3982,1517);PD(3964,1459);PD(3947,1421);PD(3927,1385);PD(3902,1349);PD(3872,1314);PD(3795,1244);PD(3691,1170);PD(3610,1117);PD(3526,1069);PD(3442,1025);PD(3358,986);PD(3277,952);PD(3200,926);PD(3129,906);PD(3065,895);PD(3023,891);PD(2990,894);PD(2955,906);PD(2910,929);PD(2859,954);PD(2807,975);PD(2754,993);PD(2701,1008);PD(2650,1018);PD(2599,1024);PD(2551,1026);PD(2505,1023);PD(2413,1015);PD(2353,1017);PD(2308,1032);PD(2259,1064);PD(2214,1095);PD(2186,1111);PD(2179,1114);PD(2176,1113);PD(2176,1109);PD(2180,1101);PD(2182,1091);PD(2173,1088);PD(2155,1091);PD(2129,1099);PD(2068,1128);PD(2007,1167);PD(1965,1213);PD(1923,1281);PD(1890,1352);PD(1877,1408);PD(1873,1432);PD(1862,1438);PD(1848,1428);PD(1833,1400);PD(1818,1362);PD(1799,1411);PD(1785,1467);PD(1779,1531);PD(1776,1583);PD(1767,1617);PD(1762,1627);PD(1755,1631);PD(1749,1630);PD(1741,1621);PD(1738,1607);PD(1747,1597);PD(1759,1576);PD(1764,1528);PD(1768,1468);PD(1779,1411);PD(1785,1385);PD(1785,1355);PD(1782,1321);PD(1775,1286);PD(1750,1209);PD(1714,1129);PD(1669,1051);PD(1617,979);PD(1561,918);PD(1503,873);PD(1478,854);PD(1477,847);PD(1509,862);PD(1562,899);PD(1603,929);PD(1640,945);PD(1692,953);PD(1778,957);PD(1889,957);PD(1973,948);PD(2007,939);PD(2038,927);PD(2065,912);PD(2090,893);PD(2124,858);PD(2151,816);PD(2171,770);PD(2183,722);PD(2188,674);PD(2184,628);PD(2172,587);PD(2151,552);PD(2117,521);PD(2088,508);PD(2075,509);PD(2069,516);PD(2070,529);PD(2076,553);PD(2082,593);PD(2078,627);PD(2061,662);PD(2031,703);PD(2002,741);PD(1990,769);PD(1986,784);PD(1977,790);PD(1970,782);PD(1971,762);PD(1973,747);PD(1969,739);PD(1958,735);PD(1939,734);PD(1918,732);PD(1912,730);PD(1923,724);PD(1952,714);PD(2001,692);PD(2035,666);PD(2046,651);PD(2054,635);PD(2059,617);PD(2060,597);PD(2057,562);PD(2048,530);PD(2034,503);PD(2015,480);PD(1990,462);PD(1961,448);PD(1927,440);PD(1889,437);PD(1847,440);PD(1824,452);PD(1816,478);PD(1818,524);PD(1819,561);PD(1816,591);PD(1805,618);PD(1786,649);PD(1756,689);PD(1734,706);PD(1728,704);PD(1726,700);PD(1729,694);PD(1736,684);PD(1743,673);PD(1743,667);PD(1734,664);PD(1716,663);PD(1690,660);PD(1679,652);PD(1691,645);PD(1720,646);PD(1740,647);PD(1757,643);PD(1771,634);PD(1784,619);PD(1798,593);PD(1805,564);PD(1805,534);PD(1799,503);PD(1788,473);PD(1770,444);PD(1747,417);PD(1719,394);PD(1676,373);PD(1617,360);PD(1545,354);PD(1463,354);PD(1374,361);PD(1283,374);PD(1191,394);PD(1103,419);PD(1026,448);PD(964,477);PD(916,510);PD(880,547);PD(856,590);PD(841,641);PD(835,702);PD(837,775);PD(845,868);PD(855,923);PD(859,934);PD(859,941);PD(857,943);PD(851,941);PD(833,905);PD(819,833);PD(811,751);PD(813,680);PD(821,612);PD(765,595);PD(703,584);PD(633,579);PD(563,583);PD(507,594);PD(459,616);PD(412,645);PD(361,692);PD(309,752);PD(288,780);PD(273,804);PD(265,822);PD(267,830);PD(279,840);PD(281,856);PD(272,876);PD(253,897);PD(227,924);PD(209,953);PD(196,990);PD(185,1040);PD(180,1071);PD(178,1094);PD(181,1109);PD(188,1118);PD(194,1125);PD(195,1137);PD(193,1156);PD(186,1183);PD(173,1236);PD(171,1286);PD(179,1339);PD(198,1401);PD(217,1468);PD(226,1518);PD(226,1555);PD(253,1523);PD(281,1489);PD(327,1590);PD(385,1691);PD(459,1791);PD(519,1859);PD(546,1887);PD(566,1740);PD(586,1482);PD(596,1331);PD(611,1183);PD(630,1053);PD(651,957);PD(659,926);PD(666,909);PD(668,905);PD(669,904);PD(670,907);PD(671,913);PD(666,963);PD(651,1053);PD(624,1209);PD(608,1352);PD(603,1482);PD(608,1601);PD(624,1709);PD(651,1809);PD(688,1900);PD(737,1984);PD(794,2062);PD(834,2103);PD(853,2117);PD(860,2131);PD(855,2141);PD(837,2145);PD(824,2146);PD(820,2149);PD(825,2156);PD(840,2167);PD(903,2206);PD(995,2251);PD(1084,2289);PD(1140,2304);PD(1223,2293);PD(1369,2265);PD(1476,2245);PD(1560,2234);PD(1646,2230);PD(1758,2232);PD(1959,2238);PD(1945,2203);PD(1911,2134);PD(1849,2018);PD(1783,1890);PD(1741,1792);PD(1723,1736);PD(1713,1709);PD(1701,1716);PD(1678,1740);PD(1640,1777);PD(1590,1812);PD(1528,1842);PD(1460,1866);PD(1405,1880);PD(1383,1875);PD(1392,1866);PD(1415,1863);PD(1468,1850);PD(1538,1818);PD(1607,1777);PD(1658,1736);PD(1679,1711);PD(1692,1687);PD(1699,1661);PD(1700,1628);PD(1705,1586);PD(1715,1571);PD(1724,1585);PD(1724,1617);PD(1723,1646);PD(1726,1678);PD(1734,1714);PD(1747,1756);PD(1792,1865);PD(1867,2019);PD(1983,2254);PD(2070,2279);PD(2139,2302);PD(2183,2324);PD(2196,2335);PD(2201,2340);PD(2195,2339);PD(2180,2334);PD(2048,2290);PD(1936,2262);PD(1826,2248);PD(1698,2244);PD(1551,2252);PD(1392,2276);PD(1230,2313);PD(1072,2359);PD(928,2412);PD(806,2470);PD(755,2499);PD(714,2529);PD(682,2558);PD(660,2587);PD(645,2629);PD(634,2688);PD(629,2722);PD(624,2739);PD(620,2740);PD(614,2728);PD(603,2705);PD(591,2695);PD(581,2706);PD(579,2733);PD(586,2773);PD(600,2821);PD(611,2857);PD(612,2875);PD(603,2874);PD(583,2856);PD(571,2847);PD(562,2843);PD(553,2844);PD(545,2850);PD(540,2862);PD(541,2879);PD(551,2904);PD(569,2938);PD(590,2977);PD(599,2998);PD(595,3004);PD(580,3001);PD(559,3000);PD(552,3009);PD(558,3026);PD(576,3050);PD(638,3110);PD(725,3174);PD(794,3211);PD(867,3241);PD(946,3262);PD(1032,3275);PD(1125,3281);PD(1227,3279);PD(1338,3269);PD(1461,3251);PU(2324,2976);PD(2383,2957);PD(2420,2949);PD(2436,2946);PD(2439,2937);PD(2429,2919);PD(2405,2891);PD(2366,2852);PD(2294,2914);PD(2263,2941);PD(2231,2969);PD(2203,2994);PD(2180,3013);PD(2138,3049);PD(2194,3025);PD(2256,3001);PD(2324,2976);PU(2639,2999);PD(2624,2985);PD(2615,2983);PD(2612,2993);PD(2618,3005);PD(2629,3015);PD(2642,3020);PD(2648,3014);PD(2639,2999);PU(3669,2462);PD(3697,2444);PD(3719,2421);PD(3734,2396);PD(3739,2372);PD(3716,2361);PD(3656,2357);PD(3612,2358);PD(3584,2363);PD(3565,2373);PD(3550,2392);PD(3533,2421);PD(3529,2442);PD(3538,2457);PD(3560,2469);PD(3590,2479);PD(3614,2482);PD(3639,2476);PD(3669,2462);PU(3693,2043);PD(3719,2008);PD(3742,1969);PD(3761,1922);PD(3779,1862);PD(3791,1810);PD(3793,1784);PD(3702,1757);PD(3601,1736);PD(3584,1749);PD(3565,1781);PD(3549,1820);PD(3542,1856);PD(3544,1864);PD(3551,1871);PD(3560,1875);PD(3573,1877);PD(3602,1883);PD(3629,1901);PD(3647,1930);PD(3654,1968);PD(3653,1987);PD(3650,2005);PD(3643,2021);PD(3634,2032);PD(3619,2048);PD(3612,2062);PD(3615,2069);PD(3621,2073);PD(3630,2075);PD(3642,2073);PD(3668,2063);PD(3693,2043);PU(3638,1985);PD(3637,1950);PD(3626,1920);PD(3607,1899);PD(3583,1891);PD(3567,1893);PD(3560,1900);PD(3559,1916);PD(3563,1945);PD(3571,1975);PD(3581,2000);PD(3592,2017);PD(3604,2027);PD(3615,2030);PD(3625,2024);PD(3633,2009);PD(3638,1985);PU(3618,1716);PD(3659,1692);PD(3693,1659);PD(3717,1621);PD(3725,1585);PD(3719,1546);PD(3702,1507);PD(3674,1470);PD(3638,1437);PD(3584,1401);PD(3519,1365);PD(3461,1337);PD(3423,1326);PD(3384,1336);PD(3330,1359);PD(3273,1391);PD(3226,1425);PD(3201,1450);PD(3185,1472);PD(3177,1495);PD(3175,1523);PD(3178,1557);PD(3187,1588);PD(3202,1616);PD(3222,1642);PD(3248,1664);PD(3280,1683);PD(3318,1700);PD(3361,1713);PD(3434,1728);PD(3504,1734);PD(3567,1730);PD(3618,1716);PU(1912,1259);PD(1937,1223);PD(1966,1191);PD(1997,1161);PD(2031,1135);PD(2067,1111);PD(2105,1092);PD(2145,1077);PD(2186,1065);PD(2238,1049);PD(2285,1025);PD(2302,1013);PD(2314,1003);PD(2317,995);PD(2310,991);PD(2293,984);PD(2286,974);PD(2310,972);PD(2368,984);PD(2412,993);PD(2461,998);PD(2518,1000);PD(2582,999);PD(2680,989);PD(2769,970);PD(2848,943);PD(2916,907);PD(2972,866);PD(3013,818);PD(3028,793);PD(3039,766);PD(3046,738);PD(3048,710);PD(3046,686);PD(3039,662);PD(3029,640);PD(3016,619);PD(2999,601);PD(2980,585);PD(2959,572);PD(2935,563);PD(2893,553);PD(2872,553);PD(2871,571);PD(2880,605);PD(2887,631);PD(2888,654);PD(2883,680);PD(2872,713);PD(2858,766);PD(2858,804);PD(2860,824);PD(2852,833);PD(2841,823);PD(2836,802);PD(2836,785);PD(2832,779);PD(2823,784);PD(2805,799);PD(2799,804);PD(2795,807);PD(2794,806);PD(2794,803);PD(2803,789);PD(2819,763);PD(2837,736);PD(2851,709);PD(2859,683);PD(2864,657);PD(2864,631);PD(2859,605);PD(2850,580);PD(2836,555);PD(2810,523);PD(2777,503);PD(2736,495);PD(2685,498);PD(2648,506);PD(2631,515);PD(2632,531);PD(2647,557);PD(2658,581);PD(2666,612);PD(2672,653);PD(2674,707);PD(2671,785);PD(2664,818);PD(2656,808);PD(2653,782);PD(2652,763);PD(2649,754);PD(2642,755);PD(2629,763);PD(2617,773);PD(2613,773);PD(2617,762);PD(2629,738);PD(2644,701);PD(2652,663);PD(2652,627);PD(2644,593);PD(2630,561);PD(2608,534);PD(2581,511);PD(2547,494);PD(2494,482);PD(2429,481);PD(2356,490);PD(2280,509);PD(2186,538);PD(2197,590);PD(2205,655);PD(2203,716);PD(2189,773);PD(2166,824);PD(2134,870);PD(2092,909);PD(2042,940);PD(1984,962);PD(1917,973);PD(1828,978);PD(1740,977);PD(1674,968);PD(1633,958);PD(1664,1005);PD(1694,1056);PD(1726,1120);PD(1757,1190);PD(1784,1260);PD(1806,1315);PD(1827,1350);PD(1842,1372);PD(1850,1394);PD(1850,1398);PD(1851,1399);PD(1853,1397);PD(1856,1393);PD(1862,1379);PD(1870,1357);PD(1890,1304);PD(1912,1259);PU(3597,1023);PD(3631,1002);PD(3659,976);PD(3683,947);PD(3701,914);PD(3713,878);PD(3719,841);PD(3718,803);PD(3711,763);PD(3693,721);PD(3665,684);PD(3648,670);PD(3631,659);PD(3614,652);PD(3597,649);PD(3584,651);PD(3576,660);PD(3571,675);PD(3570,700);PD(3564,749);PD(3550,794);PD(3532,841);PD(3516,889);PD(3501,938);PD(3508,892);PD(3512,866);PD(3511,853);PD(3503,852);PD(3487,859);PD(3466,868);PD(3457,862);PD(3466,850);PD(3485,840);PD(3504,830);PD(3521,813);PD(3534,791);PD(3545,766);PD(3552,738);PD(3555,710);PD(3554,682);PD(3548,656);PD(3529,633);PD(3495,613);PD(3454,598);PD(3411,593);PD(3363,593);PD(3364,675);PD(3360,735);PD(3349,791);PD(3341,813);PD(3332,831);PD(3323,843);PD(3313,847);PD(3309,838);PD(3316,818);PD(3323,803);PD(3323,795);PD(3313,794);PD(3292,799);PD(3270,803);PD(3263,802);PD(3273,795);PD(3299,778);PD(3323,760);PD(3337,743);PD(3343,719);PD(3344,684);PD(3342,655);PD(3337,631);PD(3326,612);PD(3311,598);PD(3291,588);PD(3266,583);PD(3236,581);PD(3199,584);PD(3135,594);PD(3088,605);PD(3068,615);PD(3059,628);PD(3056,651);PD(3059,690);PD(3061,727);PD(3058,757);PD(3050,783);PD(3035,811);PD(3015,849);PD(3006,869);PD(3018,873);PD(3048,875);PD(3119,887);PD(3225,919);PD(3338,959);PD(3429,1000);PD(3486,1028);PD(3527,1040);PD(3561,1038);PD(3597,1023);PU(1472,2801);PD(1448,2788);PD(1432,2773);PD(1421,2755);PD(1417,2736);PD(1419,2715);PD(1426,2692);PD(1439,2669);PD(1457,2645);PD(1508,2596);PD(1577,2546);PD(1663,2500);PD(1762,2458);PD(1836,2437);PD(1915,2423);PD(1995,2416);PD(2072,2415);PD(2140,2421);PD(2194,2434);PD(2215,2443);PD(2231,2453);PD(2240,2465);PD(2244,2478);PD(2237,2508);PD(2218,2541);PD(2188,2578);PD(2149,2616);PD(2103,2654);PD(2051,2689);PD(1995,2722);PD(1937,2749);PD(1872,2773);PD(1806,2793);PD(1740,2808);PD(1677,2818);PD(1616,2822);PD(1561,2821);PD(1512,2814);PD(1472,2801);PU(1856,2762);PD(1948,2727);PD(2022,2691);PD(2085,2652);PD(2141,2606);PD(2182,2565);PD(2210,2530);PD(2223,2501);PD(2223,2477);PD(2208,2459);PD(2179,2445);PD(2135,2435);PD(2077,2430);PD(2002,2430);PD(1925,2437);PD(1847,2453);PD(1771,2475);PD(1698,2503);PD(1628,2537);PD(1565,2577);PD(1508,2622);PD(1479,2650);PD(1458,2676);PD(1444,2700);PD(1437,2722);PD(1438,2742);PD(1447,2760);PD(1463,2775);PD(1486,2788);PD(1515,2798);PD(1553,2803);PD(1598,2804);PD(1647,2802);PD(1754,2788);PD(1856,2762);PU(2722,2366);PD(2699,2349);PD(2684,2332);PD(2676,2314);PD(2674,2293);PD(2676,2271);PD(2682,2258);PD(2695,2250);PD(2719,2246);PD(2770,2253);PD(2832,2277);PD(2862,2292);PD(2888,2308);PD(2907,2324);PD(2917,2338);PD(2919,2359);PD(2908,2376);PD(2887,2388);PD(2858,2395);PD(2825,2397);PD(2789,2393);PD(2754,2383);PD(2722,2366);PU(2890,2368);PD(2899,2358);PD(2904,2349);PD(2905,2341);PD(2901,2333);PD(2878,2316);PD(2834,2293);PD(2792,2275);PD(2756,2263);PD(2728,2258);PD(2706,2258);PD(2691,2265);PD(2683,2278);PD(2683,2297);PD(2690,2321);PD(2702,2339);PD(2724,2355);PD(2752,2368);PD(2783,2377);PD(2816,2383);PD(2846,2383);PD(2872,2378);PD(2890,2368);PU(2674,2046);PD(2685,2017);PD(2697,1998);PD(2706,1983);PD(2708,1972);PD(2702,1964);PD(2688,1961);PD(2668,1974);PD(2646,2004);PD(2631,2030);PD(2620,2043);PD(2613,2045);PD(2611,2033);PD(2621,2012);PD(2646,1978);PD(2667,1946);PD(2668,1929);PD(2651,1929);PD(2618,1950);PD(2602,1961);PD(2591,1967);PD(2585,1967);PD(2585,1961);PD(2597,1944);PD(2619,1928);PD(2639,1916);PD(2651,1909);PD(2646,1886);PD(2626,1836);PD(2605,1779);PD(2596,1741);PD(2589,1716);PD(2572,1689);PD(2560,1674);PD(2555,1666);PD(2559,1665);PD(2571,1669);PD(2592,1670);PD(2611,1658);PD(2633,1639);PD(2666,1625);PD(2706,1615);PD(2753,1609);PD(2806,1607);PD(2862,1610);PD(2920,1618);PD(2979,1631);PD(3026,1644);PD(3053,1655);PD(3064,1666);PD(3062,1678);PD(3049,1715);PD(3034,1771);PD(3013,1839);PD(2983,1901);PD(2963,1932);PD(2941,1957);PD(2917,1976);PD(2890,1990);PD(2860,1999);PD(2825,2004);PD(2784,2004);PD(2738,2001);PD(2721,2001);PD(2710,2004);PD(2702,2012);PD(2698,2025);PD(2690,2049);PD(2678,2067);PD(2672,2072);PD(2670,2069);PD(2670,2061);PD(2674,2046);PU(2928,1947);PD(2964,1901);PD(2993,1841);PD(3012,1776);PD(3017,1717);PD(3013,1685);PD(3005,1665);PD(2988,1653);PD(2956,1643);PD(2882,1628);PD(2801,1624);PD(2724,1631);PD(2667,1648);PD(2640,1663);PD(2626,1677);PD(2620,1698);PD(2620,1729);PD(2627,1781);PD(2639,1827);PD(2656,1870);PD(2675,1832);PD(2693,1804);PD(2712,1795);PD(2735,1804);PD(2767,1833);PD(2794,1866);PD(2806,1896);PD(2802,1926);PD(2784,1960);PD(2762,1994);PD(2828,1987);PD(2858,1981);PD(2885,1972);PD(2909,1961);PD(2928,1947);PU(2780,1933);PD(2786,1917);PD(2787,1899);PD(2784,1881);PD(2777,1864);PD(2767,1850);PD(2754,1838);PD(2740,1830);PD(2723,1827);PD(2707,1830);PD(2695,1838);PD(2687,1850);PD(2682,1864);PD(2682,1881);PD(2686,1898);PD(2695,1916);PD(2708,1932);PD(2732,1952);PD(2750,1960);PD(2765,1953);PD(2780,1933);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_11(){//дятел вуди
M=0.4;//
PD(1820,4104);pendown();
PD(1719,4079);PD(1622,4048);PD(1530,4012);PD(1441,3970);PD(1358,3923);PD(1280,3871);PD(1208,3814);PD(1142,3752);PD(1100,3708);PD(1063,3663);PD(1029,3615);PD(998,3564);PD(940,3443);PD(882,3291);PD(875,3287);PD(863,3293);PD(845,3308);PD(823,3332);PD(778,3377);PD(730,3419);PD(679,3456);PD(628,3488);PD(579,3514);PD(533,3531);PD(493,3540);PD(460,3539);PD(451,3534);PD(452,3520);PD(466,3496);PD(492,3457);PD(561,3350);PD(620,3239);PD(668,3125);PD(706,3007);PD(732,2887);PD(748,2764);PD(753,2640);PD(746,2513);PD(733,2392);PD(716,2309);PD(706,2278);PD(693,2252);PD(677,2228);PD(658,2204);PD(616,2155);PD(580,2106);PD(549,2057);PD(521,2007);PD(498,1954);PD(477,1897);PD(460,1836);PD(444,1770);PD(434,1706);PD(430,1642);PD(431,1578);PD(437,1513);PD(448,1448);PD(465,1383);PD(486,1319);PD(512,1256);PD(542,1195);PD(576,1135);PD(615,1078);PD(658,1023);PD(705,970);PD(755,921);PD(809,876);PD(866,834);PD(978,763);PD(1085,710);PD(1220,660);PD(1413,601);PD(1458,585);PD(1510,557);PD(1570,518);PD(1643,466);PD(1777,369);PD(1888,296);PD(2000,240);PD(2134,184);PD(2260,141);PD(2347,123);PD(2373,123);PD(2395,128);PD(2411,139);PD(2424,158);PD(2432,184);PD(2438,220);PD(2440,266);PD(2441,325);PD(2446,461);PD(2458,592);PD(2479,713);PD(2506,818);PD(2525,876);PD(2542,920);PD(2559,955);PD(2578,982);PD(2601,1002);PD(2630,1019);PD(2666,1033);PD(2712,1048);PD(2782,1074);PD(2853,1109);PD(2925,1151);PD(2998,1202);PD(3071,1259);PD(3143,1323);PD(3214,1393);PD(3282,1469);PD(3371,1578);PD(3457,1696);PD(3547,1832);PD(3648,1997);PD(3752,2176);PD(3793,2266);PD(3794,2276);PD(3791,2281);PD(3785,2282);PD(3775,2280);PD(3745,2263);PD(3701,2234);PD(3585,2157);PD(3447,2074);PD(3297,1989);PD(3147,1908);PD(3008,1837);PD(2891,1783);PD(2806,1750);PD(2764,1744);PD(2755,1757);PD(2752,1777);PD(2749,1794);PD(2743,1811);PD(2732,1828);PD(2719,1843);PD(2686,1868);PD(2649,1880);PD(2623,1885);PD(2605,1899);PD(2589,1931);PD(2568,1991);PD(2542,2061);PD(2510,2130);PD(2471,2200);PD(2426,2271);PD(2374,2342);PD(2314,2414);PD(2248,2488);PD(2173,2564);PD(2070,2667);PD(2087,2725);PD(2115,2783);PD(2158,2841);PD(2211,2898);PD(2318,2832);PD(2423,2758);PD(2530,2666);PD(2627,2569);PD(2704,2475);PD(2764,2376);PD(2819,2266);PD(2860,2182);PD(2886,2149);PD(2895,2182);PD(2896,2258);PD(2890,2352);PD(2877,2441);PD(2854,2535);PD(2819,2650);PD(2792,2746);PD(2784,2788);PD(2802,2772);PD(2838,2725);PD(2875,2674);PD(2897,2653);PD(2915,2670);PD(2932,2713);PD(2944,2772);PD(2949,2835);PD(2945,2893);PD(2933,2955);PD(2912,3020);PD(2885,3086);PD(2852,3152);PD(2812,3217);PD(2767,3279);PD(2718,3339);PD(2674,3393);PD(2663,3415);PD(2697,3401);PD(2752,3364);PD(2814,3314);PD(2872,3261);PD(2923,3210);PD(2951,3189);PD(2949,3229);PD(2925,3323);PD(2890,3432);PD(2856,3516);PD(2827,3571);PD(2796,3622);PD(2763,3669);PD(2728,3712);PD(2692,3751);PD(2653,3787);PD(2613,3819);PD(2570,3847);PD(2525,3872);PD(2477,3893);PD(2428,3911);PD(2375,3926);PD(2262,3945);PD(2138,3951);PD(2024,3945);PD(1903,3929);PD(1785,3905);PD(1681,3875);PD(1639,3860);PD(1618,3854);PD(1610,3856);PD(1609,3865);PD(1638,3893);PD(1712,3944);PD(1808,4005);PD(1901,4060);PD(1954,4090);PD(1976,4111);PD(1963,4117);PD(1928,4118);PD(1879,4114);PD(1820,4104);PU(1429,3820);PD(1364,3743);PD(1326,3681);PD(1317,3655);PD(1315,3633);PD(1319,3615);PD(1331,3601);PD(1346,3597);PD(1372,3603);PD(1412,3620);PD(1470,3649);PD(1549,3688);PD(1628,3722);PD(1707,3751);PD(1785,3776);PD(1862,3797);PD(1938,3813);PD(2013,3825);PD(2085,3832);PD(2156,3834);PD(2224,3832);PD(2289,3825);PD(2350,3813);PD(2408,3797);PD(2463,3776);PD(2513,3750);PD(2558,3720);PD(2618,3662);PD(2687,3582);PD(2740,3509);PD(2753,3474);PD(2722,3481);PD(2666,3501);PD(2590,3521);PD(2495,3536);PD(2406,3542);PD(2348,3536);PD(2336,3530);PD(2332,3524);PD(2337,3514);PD(2351,3498);PD(2391,3463);PD(2448,3421);PD(2516,3370);PD(2587,3308);PD(2656,3240);PD(2715,3172);PD(2764,3094);PD(2819,2987);PD(2861,2888);PD(2872,2839);PD(2865,2836);PD(2860,2838);PD(2841,2863);PD(2802,2917);PD(2735,2996);PD(2655,3069);PD(2617,3098);PD(2584,3119);PD(2559,3129);PD(2544,3127);PD(2543,3116);PD(2550,3102);PD(2597,3001);PD(2665,2825);PD(2723,2657);PD(2740,2582);PD(2723,2597);PD(2697,2633);PD(2636,2703);PD(2546,2790);PD(2449,2874);PD(2366,2934);PD(2297,2971);PD(2225,3004);PD(2151,3032);PD(2078,3055);PD(2006,3072);PD(1937,3083);PD(1873,3087);PD(1815,3085);PD(1759,3073);PD(1736,3061);PD(1737,3052);PD(1741,3048);PD(1901,3002);PD(2052,2949);PD(2055,2939);PD(2052,2921);PD(2043,2897);PD(2029,2869);PD(2000,2805);PD(1983,2749);PD(1976,2723);PD(1964,2702);PD(1948,2684);PD(1926,2668);PD(1882,2636);PD(1854,2600);PD(1845,2579);PD(1839,2557);PD(1837,2531);PD(1837,2503);PD(1845,2455);PD(1856,2431);PD(1875,2444);PD(1902,2478);PD(1931,2513);PD(1965,2537);PD(1983,2545);PD(2000,2549);PD(2016,2549);PD(2031,2546);PD(2039,2541);PD(2037,2536);PD(2025,2529);PD(2004,2522);PD(1986,2514);PD(1971,2504);PD(1958,2490);PD(1946,2471);PD(1927,2416);PD(1909,2330);PD(1898,2269);PD(1830,2328);PD(1768,2373);PD(1693,2409);PD(1615,2433);PD(1541,2441);PD(1511,2439);PD(1481,2433);PD(1452,2422);PD(1425,2409);PD(1400,2393);PD(1378,2374);PD(1360,2353);PD(1346,2331);PD(1328,2282);PD(1317,2225);PD(1314,2162);PD(1318,2091);PD(1329,2013);PD(1347,1928);PD(1373,1836);PD(1405,1737);PD(1438,1642);PD(1449,1600);PD(1405,1590);PD(1302,1569);PD(1236,1555);PD(1177,1539);PD(1124,1522);PD(1077,1502);PD(1034,1479);PD(994,1453);PD(956,1422);PD(919,1387);PD(863,1323);PD(823,1257);PD(809,1223);PD(799,1190);PD(792,1157);PD(790,1123);PD(787,1091);PD(778,1063);PD(768,1045);PD(758,1044);PD(712,1102);PD(672,1159);PD(636,1217);PD(606,1274);PD(580,1332);PD(559,1390);PD(543,1448);PD(532,1507);PD(526,1566);PD(525,1625);PD(529,1684);PD(538,1743);PD(552,1803);PD(570,1864);PD(594,1924);PD(622,1985);PD(651,2038);PD(684,2090);PD(721,2141);PD(761,2188);PD(802,2232);PD(844,2271);PD(886,2304);PD(926,2330);PD(980,2366);PD(1008,2395);PD(1012,2409);PD(1012,2420);PD(1007,2427);PD(999,2432);PD(973,2430);PD(934,2414);PD(891,2393);PD(871,2385);PD(864,2450);PD(857,2608);PD(851,2700);PD(844,2786);PD(833,2866);PD(819,2941);PD(801,3013);PD(780,3081);PD(755,3147);PD(727,3212);PD(692,3289);PD(682,3325);PD(711,3303);PD(765,3239);PD(823,3158);PD(862,3090);PD(882,3053);PD(899,3030);PD(916,3020);PD(930,3023);PD(944,3040);PD(955,3071);PD(966,3116);PD(975,3175);PD(988,3255);PD(1008,3332);PD(1034,3407);PD(1066,3478);PD(1105,3547);PD(1151,3613);PD(1203,3676);PD(1262,3737);PD(1333,3800);PD(1405,3856);PD(1464,3893);PD(1493,3902);PD(1477,3875);PD(1429,3820);PU(2166,2400);PD(2209,2375);PD(2254,2335);PD(2299,2285);PD(2345,2224);PD(2389,2155);PD(2430,2079);PD(2467,1999);PD(2499,1915);PD(2519,1855);PD(2532,1806);PD(2539,1765);PD(2540,1732);PD(2534,1705);PD(2521,1685);PD(2502,1670);PD(2477,1659);PD(2460,1658);PD(2449,1668);PD(2440,1697);PD(2430,1750);PD(2412,1831);PD(2387,1898);PD(2356,1951);PD(2318,1990);PD(2292,2007);PD(2263,2014);PD(2220,2012);PD(2152,2001);PD(2136,2004);PD(2118,2021);PD(2096,2055);PD(2066,2112);PD(2027,2199);PD(2004,2273);PD(1998,2305);PD(1995,2334);PD(1997,2359);PD(2002,2380);PD(2010,2398);PD(2022,2411);PD(2038,2420);PD(2057,2425);PD(2079,2426);PD(2105,2422);PD(2134,2414);PD(2166,2400);PU(1686,2316);PD(1728,2288);PD(1782,2245);PD(1843,2190);PD(1908,2127);PD(1972,2061);PD(2032,1995);PD(2083,1933);PD(2122,1880);PD(2179,1781);PD(2218,1689);PD(2235,1616);PD(2238,1546);PD(2230,1482);PD(2211,1424);PD(2198,1399);PD(2182,1377);PD(2165,1357);PD(2145,1341);PD(2123,1329);PD(2100,1320);PD(2074,1315);PD(2048,1315);PD(1998,1319);PD(1981,1420);PD(1962,1516);PD(1941,1586);PD(1912,1639);PD(1871,1686);PD(1845,1709);PD(1817,1729);PD(1787,1746);PD(1756,1759);PD(1725,1768);PD(1695,1773);PD(1666,1774);PD(1638,1771);PD(1605,1758);PD(1578,1735);PD(1559,1707);PD(1552,1676);PD(1551,1661);PD(1548,1653);PD(1542,1652);PD(1534,1658);PD(1513,1689);PD(1484,1747);PD(1445,1842);PD(1418,1933);PD(1402,2022);PD(1397,2112);PD(1401,2187);PD(1413,2248);PD(1433,2295);PD(1462,2330);PD(1483,2345);PD(1505,2356);PD(1528,2362);PD(1553,2362);PD(1613,2349);PD(1686,2316);PU(3584,2053);PD(3555,1996);PD(3486,1885);PD(3400,1760);PD(3325,1658);PD(3248,1566);PD(3178,1487);PD(3111,1419);PD(3045,1360);PD(2980,1308);PD(2911,1262);PD(2838,1219);PD(2759,1178);PD(2689,1146);PD(2625,1121);PD(2563,1102);PD(2498,1088);PD(2426,1079);PD(2343,1073);PD(2243,1071);PD(2124,1071);PD(1915,1076);PD(1735,1088);PD(1593,1106);PD(1499,1130);PD(1482,1138);PD(1474,1145);PD(1474,1153);PD(1482,1164);PD(1510,1184);PD(1555,1202);PD(1581,1211);PD(1596,1220);PD(1599,1227);PD(1591,1232);PD(1544,1239);PD(1458,1239);PD(1406,1236);PD(1361,1230);PD(1322,1221);PD(1287,1210);PD(1257,1195);PD(1231,1177);PD(1209,1156);PD(1190,1130);PD(1171,1095);PD(1159,1057);PD(1156,1028);PD(1164,1016);PD(1184,1026);PD(1222,1051);PD(1265,1074);PD(1310,1085);PD(1354,1083);PD(1396,1068);PD(1448,1017);PD(1525,917);PD(1598,821);PD(1671,733);PD(1746,652);PD(1820,579);PD(1895,514);PD(1970,457);PD(2045,409);PD(2119,370);PD(2208,329);PD(2252,318);PD(2264,325);PD(2270,340);PD(2274,365);PD(2278,398);PD(2303,657);PD(2325,829);PD(2336,888);PD(2346,931);PD(2357,960);PD(2368,976);PD(2392,988);PD(2432,997);PD(2468,1001);PD(2484,996);PD(2473,955);PD(2448,868);PD(2417,744);PD(2392,616);PD(2375,486);PD(2365,354);PD(2358,249);PD(2352,202);PD(2318,207);PD(2245,231);PD(2155,266);PD(2069,306);PD(1923,384);PD(1790,468);PD(1655,569);PD(1503,696);PD(1421,763);PD(1379,790);PD(1372,776);PD(1374,741);PD(1380,706);PD(1379,691);PD(1345,700);PD(1276,721);PD(1178,757);PD(1076,805);PD(984,855);PD(920,902);PD(896,927);PD(882,950);PD(876,981);PD(875,1027);PD(877,1075);PD(883,1121);PD(893,1165);PD(907,1207);PD(925,1246);PD(946,1284);PD(971,1319);PD(999,1351);PD(1031,1381);PD(1066,1408);PD(1104,1433);PD(1146,1454);PD(1190,1473);PD(1237,1488);PD(1288,1501);PD(1341,1510);PD(1426,1522);PD(1484,1531);PD(1507,1531);PD(1531,1522);PD(1562,1502);PD(1603,1469);PD(1693,1401);PD(1795,1332);PD(1859,1295);PD(1906,1274);PD(1953,1264);PD(2015,1260);PD(2072,1258);PD(2111,1260);PD(2141,1268);PD(2167,1281);PD(2205,1316);PD(2239,1369);PD(2267,1435);PD(2287,1514);PD(2304,1595);PD(2441,1595);PD(2502,1596);PD(2560,1600);PD(2617,1608);PD(2676,1620);PD(2804,1658);PD(2959,1717);PD(3101,1780);PD(3233,1846);PD(3354,1915);PD(3464,1987);PD(3522,2028);PD(3559,2051);PD(3579,2059);PD(3584,2053);PU(2299,1895);PD(2323,1860);PD(2337,1825);PD(2340,1796);PD(2331,1775);PD(2321,1770);PD(2309,1769);PD(2295,1774);PD(2280,1783);PD(2252,1810);PD(2230,1847);PD(2221,1876);PD(2219,1899);PD(2222,1917);PD(2231,1928);PD(2244,1932);PD(2261,1928);PD(2279,1916);PD(2299,1895);PU(2670,1771);PD(2676,1739);PD(2672,1704);PD(2659,1676);PD(2642,1665);PD(2632,1678);PD(2622,1709);PD(2614,1750);PD(2611,1789);PD(2612,1799);PD(2617,1805);PD(2625,1807);PD(2634,1806);PD(2653,1794);PD(2670,1771);PU(1748,1573);PD(1776,1532);PD(1791,1489);PD(1793,1471);PD(1791,1455);PD(1785,1443);PD(1775,1435);PD(1755,1433);PD(1732,1438);PD(1709,1451);PD(1687,1468);PD(1667,1490);PD(1651,1515);PD(1641,1540);PD(1637,1566);PD(1639,1591);PD(1646,1609);PD(1656,1620);PD(1669,1624);PD(1686,1622);PD(1705,1613);PD(1726,1596);PD(1748,1573);PU(1676,1006);PD(1735,951);PD(1809,866);PD(1874,793);PD(1908,762);PD(1914,770);PD(1911,791);PD(1900,823);PD(1882,864);PD(1870,895);PD(1864,924);PD(1865,949);PD(1872,969);PD(1885,984);PD(1902,992);PD(1923,992);PD(1949,984);PD(1982,954);PD(2014,906);PD(2039,848);PD(2055,786);PD(2058,724);PD(2054,654);PD(2045,592);PD(2032,552);PD(2022,545);PD(2006,547);PD(1984,557);PD(1955,576);PD(1878,638);PD(1777,734);PD(1702,813);PD(1642,887);PD(1599,952);PD(1574,1004);PD(1568,1024);PD(1567,1039);PD(1571,1049);PD(1581,1054);PD(1596,1052);PD(1617,1044);PD(1644,1029);PD(1676,1006);PU(1207,2683);PD(1173,2661);PD(1145,2628);PD(1124,2584);PD(1110,2532);PD(1103,2472);PD(1103,2406);PD(1111,2335);PD(1127,2261);PD(1149,2187);PD(1169,2143);PD(1178,2131);PD(1188,2125);PD(1198,2126);PD(1208,2132);PD(1217,2148);PD(1223,2179);PD(1227,2228);PD(1228,2300);PD(1228,2386);PD(1233,2438);PD(1244,2469);PD(1266,2498);PD(1289,2523);PD(1309,2535);PD(1336,2538);PD(1381,2533);PD(1479,2522);PD(1533,2521);PD(1548,2525);PD(1556,2532);PD(1561,2542);PD(1564,2556);PD(1564,2571);PD(1560,2586);PD(1551,2599);PD(1537,2611);PD(1488,2636);PD(1407,2664);PD(1341,2683);PD(1288,2692);PD(1244,2692);PD(1207,2683);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_12(){//лев 
M=0.4;//
PD(2484,4197);pendown();
PD(2491,4180);PD(2510,4151);PD(2536,4106);PD(2554,4058);PD(2562,4012);PD(2560,3974);PD(2525,3916);PD(2454,3828);PD(2415,3783);PD(2384,3744);PD(2362,3709);PD(2347,3677);PD(2338,3647);PD(2336,3616);PD(2340,3583);PD(2350,3548);PD(2367,3501);PD(2392,3457);PD(2422,3418);PD(2456,3384);PD(2494,3356);PD(2535,3335);PD(2577,3321);PD(2619,3316);PD(2661,3316);PD(2656,3231);PD(2654,3197);PD(2656,3168);PD(2660,3142);PD(2669,3120);PD(2680,3101);PD(2696,3083);PD(2717,3067);PD(2742,3052);PD(2771,3041);PD(2809,3034);PD(2856,3030);PD(2910,3029);PD(3033,3039);PD(3167,3061);PD(3276,3079);PD(3381,3089);PD(3470,3088);PD(3531,3078);PD(3562,3062);PD(3590,3042);PD(3614,3016);PD(3635,2986);PD(3652,2950);PD(3665,2910);PD(3675,2865);PD(3680,2815);PD(3682,2762);PD(3679,2720);PD(3670,2683);PD(3655,2642);PD(3617,2578);PD(3561,2513);PD(3532,2485);PD(3504,2462);PD(3480,2447);PD(3461,2441);PD(3430,2453);PD(3382,2484);PD(3331,2515);PD(3274,2542);PD(3211,2563);PD(3144,2579);PD(3072,2589);PD(2998,2593);PD(2922,2591);PD(2843,2584);PD(2778,2572);PD(2713,2552);PD(2632,2518);PD(2519,2462);PD(2357,2386);PD(2265,2348);PD(2229,2341);PD(2200,2334);PD(2182,2339);PD(2164,2360);PD(2150,2390);PD(2145,2423);PD(2149,2434);PD(2164,2440);PD(2194,2441);PD(2245,2438);PD(2345,2433);PD(2337,2488);PD(2322,2545);PD(2294,2609);PD(2258,2676);PD(2214,2742);PD(2165,2806);PD(2113,2862);PD(2062,2909);PD(2012,2942);PD(1976,2965);PD(1961,2980);PD(1976,2999);PD(2013,3023);PD(2060,3044);PD(2104,3056);PD(2154,3067);PD(2175,3082);PD(2175,3092);PD(2169,3104);PD(2156,3120);PD(2136,3140);PD(2088,3178);PD(2034,3211);PD(1974,3238);PD(1912,3258);PD(1848,3271);PD(1786,3275);PD(1727,3272);PD(1672,3260);PD(1634,3249);PD(1613,3250);PD(1613,3273);PD(1626,3315);PD(1646,3359);PD(1668,3391);PD(1681,3405);PD(1687,3416);PD(1687,3423);PD(1681,3428);PD(1649,3429);PD(1592,3419);PD(1503,3394);PD(1422,3363);PD(1345,3323);PD(1267,3272);PD(1232,3248);PD(1204,3231);PD(1184,3222);PD(1171,3222);PD(1163,3231);PD(1161,3249);PD(1164,3275);PD(1171,3312);PD(1180,3359);PD(1180,3382);PD(1155,3378);PD(1107,3354);PD(1051,3318);PD(1002,3279);PD(951,3221);PD(907,3151);PD(869,3072);PD(823,3127);PD(803,3148);PD(787,3161);PD(774,3166);PD(764,3163);PD(756,3152);PD(751,3133);PD(749,3104);PD(748,3066);PD(745,3023);PD(738,2997);PD(733,2991);PD(727,2991);PD(720,2995);PD(713,3004);PD(687,3018);PD(639,3027);PD(591,3030);PD(563,3024);PD(565,2998);PD(590,2948);PD(631,2886);PD(552,2860);PD(476,2829);PD(400,2785);PD(367,2762);PD(340,2741);PD(322,2722);PD(313,2707);PD(314,2695);PD(322,2687);PD(337,2681);PD(363,2678);PD(416,2673);PD(375,2656);PD(311,2609);PD(225,2526);PD(142,2435);PD(92,2364);PD(71,2296);PD(59,2210);PD(54,2114);PD(86,2135);PD(120,2153);PD(154,2166);PD(172,2171);PD(181,2170);PD(182,2161);PD(178,2143);PD(157,2055);PD(142,1957);PD(133,1866);PD(134,1801);PD(151,1719);PD(179,1623);PD(207,1543);PD(227,1510);PD(237,1517);PD(246,1535);PD(268,1570);PD(310,1616);PD(367,1671);PD(367,1621);PD(379,1569);PD(407,1509);PD(424,1482);PD(441,1460);PD(458,1445);PD(471,1439);PD(488,1447);PD(501,1465);PD(507,1470);PD(514,1460);PD(522,1436);PD(531,1396);PD(546,1334);PD(565,1276);PD(587,1222);PD(613,1171);PD(643,1126);PD(675,1084);PD(712,1048);PD(751,1016);PD(799,984);PD(832,974);PD(842,976);PD(848,984);PD(851,997);PD(849,1016);PD(848,1056);PD(852,1094);PD(862,1130);PD(931,1068);PD(1015,1008);PD(1119,948);PD(1238,890);PD(1219,802);PD(1202,703);PD(1185,591);PD(1175,522);PD(1164,482);PD(1146,459);PD(1115,437);PD(1091,421);PD(1072,404);PD(1057,385);PD(1045,364);PD(1038,342);PD(1033,317);PD(1032,289);PD(1034,258);PD(1040,224);PD(1049,197);PD(1064,174);PD(1087,151);PD(1113,130);PD(1138,118);PD(1168,114);PD(1211,114);PD(1275,113);PD(1317,106);PD(1352,101);PD(1403,103);PD(1449,106);PD(1476,100);PD(1504,89);PD(1552,80);PD(1624,70);PD(1707,55);PD(1818,40);PD(1913,38);PD(1955,43);PD(1994,51);PD(2029,63);PD(2061,78);PD(2090,98);PD(2116,121);PD(2138,149);PD(2158,180);PD(2175,216);PD(2189,255);PD(2201,299);PD(2210,347);PD(2218,405);PD(2327,413);PD(2438,425);PD(2523,442);PD(2586,466);PD(2633,497);PD(2667,530);PD(2681,550);PD(2700,598);PD(2746,696);PD(2811,830);PD(2887,794);PD(2964,768);PD(3041,752);PD(3096,745);PD(3119,738);PD(3070,660);PD(2993,559);PD(2944,521);PD(2879,484);PD(2832,461);PD(2792,436);PD(2758,408);PD(2730,377);PD(2709,345);PD(2693,310);PD(2684,272);PD(2681,233);PD(2683,203);PD(2690,178);PD(2703,158);PD(2722,141);PD(2747,128);PD(2781,118);PD(2822,111);PD(2873,106);PD(2971,95);PD(3030,82);PD(3083,73);PD(3163,76);PD(3249,89);PD(3319,110);PD(3368,135);PD(3405,169);PD(3443,225);PD(3494,317);PD(3565,449);PD(3642,586);PD(3684,661);PD(3718,730);PD(3744,792);PD(3763,849);PD(3775,902);PD(3779,951);PD(3777,998);PD(3768,1043);PD(3753,1079);PD(3731,1110);PD(3702,1135);PD(3668,1155);PD(3629,1169);PD(3586,1176);PD(3542,1175);PD(3495,1167);PD(3454,1156);PD(3484,1198);PD(3532,1280);PD(3575,1382);PD(3611,1497);PD(3639,1620);PD(3658,1744);PD(3667,1862);PD(3665,1969);PD(3651,2059);PD(3629,2136);PD(3708,2224);PD(3777,2307);PD(3838,2396);PD(3886,2484);PD(3920,2568);PD(3932,2616);PD(3939,2670);PD(3944,2727);PD(3945,2786);PD(3942,2843);PD(3936,2896);PD(3926,2943);PD(3913,2980);PD(3873,3049);PD(3819,3113);PD(3789,3141);PD(3758,3167);PD(3725,3188);PD(3693,3205);PD(3646,3221);PD(3592,3233);PD(3530,3241);PD(3463,3244);PD(3390,3243);PD(3313,3238);PD(3232,3228);PD(3148,3213);PD(3065,3198);PD(2998,3189);PD(2946,3188);PD(2907,3195);PD(2879,3210);PD(2861,3234);PD(2851,3268);PD(2846,3312);PD(2846,3348);PD(2850,3373);PD(2860,3392);PD(2879,3411);PD(2906,3434);PD(2922,3443);PD(2935,3454);PD(2948,3482);PD(2959,3517);PD(2963,3549);PD(2953,3580);PD(2928,3610);PD(2903,3632);PD(2893,3646);PD(2907,3663);PD(2942,3685);PD(2981,3703);PD(3013,3711);PD(3039,3716);PD(3062,3725);PD(3072,3733);PD(3074,3742);PD(3068,3754);PD(3052,3770);PD(3017,3797);PD(2975,3816);PD(2957,3824);PD(2942,3834);PD(2932,3847);PD(2925,3863);PD(2921,3880);PD(2922,3898);PD(2927,3917);PD(2935,3937);PD(2945,3963);PD(2940,3976);PD(2923,3976);PD(2893,3962);PD(2853,3940);PD(2845,3998);PD(2832,4044);PD(2809,4090);PD(2778,4134);PD(2739,4173);PD(2709,4196);PD(2692,4203);PD(2683,4192);PD(2681,4163);PD(2678,4137);PD(2670,4122);PD(2658,4122);PD(2644,4136);PD(2612,4162);PD(2557,4187);PD(2530,4196);PD(2506,4202);PD(2490,4202);PD(2484,4197);PU(2644,4094);PD(2678,4063);PD(2698,4050);PD(2706,4066);PD(2709,4104);PD(2711,4156);PD(2752,4111);PD(2771,4085);PD(2786,4056);PD(2799,4020);PD(2810,3979);PD(2822,3926);PD(2834,3895);PD(2839,3887);PD(2845,3884);PD(2851,3887);PD(2858,3895);PD(2868,3907);PD(2878,3907);PD(2884,3895);PD(2887,3872);PD(2895,3839);PD(2914,3810);PD(2942,3789);PD(2975,3779);PD(3000,3771);PD(3016,3758);PD(3018,3751);PD(3016,3745);PD(3010,3741);PD(2999,3739);PD(2963,3731);PD(2919,3709);PD(2880,3683);PD(2859,3660);PD(2858,3647);PD(2862,3631);PD(2874,3613);PD(2891,3593);PD(2911,3571);PD(2923,3552);PD(2928,3534);PD(2927,3518);PD(2905,3485);PD(2866,3447);PD(2822,3414);PD(2788,3401);PD(2761,3396);PD(2731,3384);PD(2706,3369);PD(2695,3356);PD(2690,3348);PD(2675,3344);PD(2654,3344);PD(2628,3346);PD(2570,3357);PD(2519,3377);PD(2491,3396);PD(2464,3419);PD(2438,3447);PD(2416,3477);PD(2397,3509);PD(2383,3541);PD(2374,3572);PD(2371,3601);PD(2375,3649);PD(2391,3691);PD(2425,3739);PD(2485,3806);PD(2520,3846);PD(2548,3883);PD(2569,3917);PD(2583,3949);PD(2591,3980);PD(2593,4012);PD(2588,4044);PD(2578,4078);PD(2561,4128);PD(2554,4154);PD(2562,4158);PD(2583,4147);PD(2612,4125);PD(2644,4094);PU(1602,3340);PD(1588,3296);PD(1581,3252);PD(1582,3217);PD(1592,3203);PD(1619,3210);PD(1671,3224);PD(1722,3237);PD(1773,3244);PD(1822,3245);PD(1870,3240);PD(1918,3229);PD(1966,3211);PD(2014,3188);PD(2062,3158);PD(2105,3127);PD(2126,3106);PD(2129,3099);PD(2126,3094);PD(2118,3091);PD(2105,3090);PD(2063,3079);PD(2006,3053);PD(1954,3021);PD(1923,2992);PD(1915,2976);PD(1918,2963);PD(1936,2949);PD(1973,2929);PD(2022,2900);PD(2071,2861);PD(2120,2814);PD(2165,2762);PD(2207,2706);PD(2243,2648);PD(2273,2589);PD(2294,2532);PD(2313,2469);PD(2208,2469);PD(2133,2467);PD(2098,2460);PD(2122,2387);PD(2190,2230);PD(2268,2047);PD(2315,1904);PD(2329,1841);PD(2337,1781);PD(2340,1722);PD(2338,1661);PD(2332,1571);PD(2324,1528);PD(2292,1530);PD(2228,1544);PD(2166,1559);PD(2135,1561);PD(2138,1533);PD(2158,1475);PD(2177,1405);PD(2186,1329);PD(2184,1252);PD(2172,1177);PD(2159,1139);PD(2146,1119);PD(2140,1115);PD(2134,1117);PD(2128,1123);PD(2122,1135);PD(2102,1157);PD(2064,1188);PD(2023,1216);PD(1997,1228);PD(1992,1207);PD(1990,1159);PD(1986,1102);PD(1975,1050);PD(1956,1001);PD(1930,955);PD(1910,929);PD(1893,920);PD(1874,928);PD(1846,953);PD(1817,978);PD(1802,988);PD(1794,969);PD(1785,923);PD(1774,876);PD(1757,852);PD(1722,857);PD(1665,883);PD(1596,923);PD(1527,972);PD(1474,1013);PD(1448,1030);PD(1444,1009);PD(1442,958);PD(1440,907);PD(1437,882);PD(1396,885);PD(1312,908);PD(1211,941);PD(1123,978);PD(1072,1004);PD(1025,1035);PD(981,1069);PD(940,1108);PD(909,1138);PD(884,1159);PD(865,1171);PD(850,1174);PD(840,1167);PD(832,1151);PD(826,1124);PD(821,1088);PD(813,1037);PD(800,1016);PD(768,1038);PD(713,1091);PD(676,1132);PD(646,1173);PD(622,1220);PD(598,1277);PD(575,1353);PD(562,1421);PD(558,1479);PD(564,1523);PD(567,1534);PD(565,1542);PD(559,1546);PD(551,1547);PD(527,1537);PD(500,1514);PD(479,1493);PD(465,1484);PD(455,1488);PD(443,1503);PD(426,1534);PD(411,1577);PD(399,1621);PD(395,1661);PD(391,1685);PD(382,1699);PD(362,1694);PD(327,1672);PD(287,1639);PD(251,1602);PD(238,1586);PD(229,1582);PD(222,1589);PD(213,1610);PD(195,1663);PD(182,1716);PD(172,1770);PD(167,1825);PD(167,1881);PD(170,1938);PD(178,1997);PD(191,2057);PD(205,2133);PD(205,2178);PD(200,2190);PD(190,2197);PD(176,2199);PD(158,2197);PD(124,2188);PD(95,2179);PD(81,2175);PD(74,2180);PD(74,2195);PD(79,2224);PD(96,2288);PD(124,2351);PD(165,2414);PD(219,2479);PD(284,2546);PD(346,2598);PD(403,2633);PD(454,2651);PD(476,2657);PD(489,2663);PD(496,2669);PD(495,2676);PD(473,2689);PD(423,2702);PD(350,2716);PD(391,2746);PD(447,2783);PD(507,2813);PD(566,2835);PD(622,2846);PD(691,2855);PD(659,2898);PD(630,2939);PD(607,2976);PD(598,2995);PD(598,3004);PD(610,3005);PD(636,3000);PD(682,2986);PD(724,2962);PD(755,2945);PD(775,2942);PD(782,2973);PD(779,3037);PD(772,3124);PD(818,3086);PD(856,3060);PD(885,3052);PD(896,3055);PD(905,3063);PD(911,3075);PD(914,3092);PD(936,3141);PD(982,3207);PD(1038,3270);PD(1092,3313);PD(1142,3343);PD(1135,3282);PD(1133,3236);PD(1140,3197);PD(1147,3182);PD(1156,3171);PD(1166,3163);PD(1177,3161);PD(1193,3167);PD(1204,3181);PD(1220,3201);PD(1253,3228);PD(1298,3259);PD(1351,3291);PD(1409,3322);PD(1465,3350);PD(1517,3371);PD(1561,3384);PD(1600,3392);PD(1620,3394);PD(1616,3377);PD(1602,3340);PU(2808,3325);PD(2811,3285);PD(2819,3251);PD(2832,3221);PD(2851,3198);PD(2875,3179);PD(2903,3166);PD(2937,3159);PD(2976,3157);PD(3064,3167);PD(3185,3188);PD(3313,3209);PD(3429,3217);PD(3482,3217);PD(3532,3212);PD(3579,3205);PD(3623,3194);PD(3664,3180);PD(3702,3162);PD(3737,3141);PD(3770,3117);PD(3800,3089);PD(3827,3057);PD(3852,3023);PD(3874,2985);PD(3896,2937);PD(3909,2895);PD(3915,2847);PD(3916,2781);PD(3914,2723);PD(3909,2671);PD(3901,2624);PD(3889,2582);PD(3869,2531);PD(3844,2477);PD(3815,2423);PD(3781,2370);PD(3746,2320);PD(3710,2275);PD(3673,2236);PD(3638,2204);PD(3624,2196);PD(3613,2199);PD(3600,2215);PD(3583,2246);PD(3551,2303);PD(3516,2355);PD(3481,2403);PD(3522,2433);PD(3569,2469);PD(3609,2508);PD(3642,2548);PD(3670,2591);PD(3691,2637);PD(3706,2684);PD(3714,2734);PD(3717,2787);PD(3714,2841);PD(3706,2890);PD(3692,2936);PD(3674,2978);PD(3651,3015);PD(3623,3048);PD(3591,3076);PD(3553,3099);PD(3526,3109);PD(3490,3116);PD(3447,3119);PD(3397,3120);PD(3283,3112);PD(3155,3090);PD(3036,3072);PD(2920,3064);PD(2868,3063);PD(2823,3066);PD(2786,3071);PD(2759,3079);PD(2734,3095);PD(2714,3116);PD(2698,3142);PD(2688,3172);PD(2683,3204);PD(2683,3237);PD(2690,3270);PD(2702,3302);PD(2719,3329);PD(2736,3349);PD(2754,3363);PD(2771,3370);PD(2785,3370);PD(2797,3362);PD(2805,3347);PD(2808,3325);PU(3148,2548);PD(3236,2524);PD(3314,2490);PD(3383,2445);PD(3445,2389);PD(3493,2335);PD(3533,2281);PD(3565,2225);PD(3591,2167);PD(3610,2104);PD(3623,2036);PD(3630,1960);PD(3632,1877);PD(3629,1783);PD(3620,1691);PD(3605,1602);PD(3585,1515);PD(3558,1432);PD(3526,1353);PD(3489,1277);PD(3446,1207);PD(3405,1142);PD(3394,1110);PD(3399,1104);PD(3412,1104);PD(3433,1110);PD(3461,1122);PD(3504,1135);PD(3548,1142);PD(3591,1141);PD(3632,1134);PD(3668,1121);PD(3699,1102);PD(3721,1079);PD(3734,1051);PD(3738,997);PD(3737,920);PD(3731,880);PD(3721,838);PD(3705,789);PD(3680,732);PD(3604,580);PD(3481,360);PD(3439,288);PD(3404,233);PD(3371,190);PD(3338,159);PD(3304,137);PD(3264,123);PD(3217,113);PD(3159,106);PD(3118,103);PD(3085,102);PD(3060,106);PD(3042,113);PD(3030,124);PD(3023,140);PD(3022,161);PD(3025,188);PD(3038,226);PD(3059,256);PD(3093,280);PD(3141,301);PD(3176,317);PD(3191,332);PD(3191,337);PD(3185,341);PD(3174,343);PD(3157,341);PD(3122,333);PD(3090,320);PD(3062,303);PD(3038,282);PD(3018,258);PD(3004,231);PD(2995,202);PD(2992,171);PD(2990,147);PD(2984,134);PD(2968,128);PD(2938,127);PD(2896,131);PD(2869,145);PD(2855,170);PD(2850,209);PD(2853,232);PD(2861,254);PD(2873,275);PD(2890,295);PD(2909,313);PD(2931,328);PD(2956,339);PD(2982,346);PD(3016,357);PD(3025,370);PD(3017,376);PD(3002,378);PD(2983,377);PD(2962,373);PD(2917,357);PD(2880,334);PD(2850,298);PD(2827,256);PD(2815,213);PD(2817,175);PD(2821,156);PD(2819,146);PD(2808,145);PD(2786,150);PD(2749,163);PD(2725,185);PD(2714,216);PD(2714,258);PD(2720,288);PD(2730,316);PD(2745,342);PD(2765,366);PD(2791,390);PD(2821,413);PD(2857,436);PD(2900,459);PD(2961,491);PD(3004,521);PD(3040,563);PD(3086,629);PD(3138,715);PD(3155,759);PD(3125,771);PD(3064,780);PD(2994,792);PD(2929,812);PD(2869,840);PD(2816,876);PD(2770,918);PD(2733,965);PD(2706,1017);PD(2690,1072);PD(2687,1112);PD(2691,1157);PD(2702,1207);PD(2718,1258);PD(2739,1310);PD(2764,1360);PD(2792,1406);PD(2824,1446);PD(2851,1482);PD(2859,1503);PD(2847,1507);PD(2817,1492);PD(2786,1464);PD(2756,1422);PD(2727,1371);PD(2702,1314);PD(2680,1253);PD(2665,1192);PD(2656,1134);PD(2656,1084);PD(2659,1044);PD(2654,1018);PD(2635,997);PD(2598,969);PD(2531,925);PD(2461,886);PD(2395,855);PD(2338,835);PD(2283,820);PD(2293,905);PD(2297,947);PD(2297,973);PD(2292,985);PD(2280,988);PD(2270,985);PD(2263,976);PD(2259,960);PD(2258,937);PD(2248,842);PD(2224,686);PD(2197,520);PD(2180,402);PD(2168,317);PD(2153,253);PD(2131,203);PD(2100,161);PD(2057,119);PD(2013,91);PD(1960,73);PD(1894,62);PD(1849,58);PD(1819,59);PD(1798,67);PD(1779,83);PD(1759,113);PD(1750,144);PD(1758,183);PD(1780,223);PD(1812,259);PD(1849,285);PD(1873,302);PD(1878,316);PD(1866,323);PD(1837,319);PD(1816,310);PD(1797,296);PD(1779,279);PD(1762,258);PD(1737,210);PD(1724,155);PD(1721,129);PD(1716,109);PD(1709,94);PD(1699,86);PD(1686,83);PD(1669,86);PD(1648,93);PD(1623,106);PD(1600,123);PD(1585,144);PD(1578,169);PD(1580,195);PD(1589,222);PD(1605,248);PD(1629,272);PD(1659,294);PD(1671,301);PD(1677,308);PD(1678,314);PD(1675,318);PD(1658,321);PD(1630,313);PD(1610,302);PD(1593,287);PD(1577,269);PD(1564,248);PD(1553,226);PD(1547,203);PD(1544,181);PD(1545,159);PD(1548,138);PD(1547,123);PD(1543,115);PD(1535,113);PD(1508,120);PD(1480,140);PD(1457,170);PD(1439,206);PD(1433,231);PD(1431,255);PD(1433,278);PD(1441,300);PD(1454,322);PD(1472,344);PD(1496,366);PD(1525,389);PD(1550,407);PD(1569,423);PD(1583,440);PD(1593,462);PD(1610,532);PD(1628,660);PD(1636,742);PD(1635,791);PD(1632,801);PD(1626,801);PD(1618,791);PD(1609,769);PD(1598,737);PD(1595,711);PD(1593,701);PD(1588,695);PD(1581,692);PD(1570,693);PD(1543,704);PD(1507,730);PD(1455,778);PD(1429,815);PD(1425,829);PD(1428,838);PD(1438,845);PD(1455,847);PD(1471,848);PD(1479,856);PD(1481,873);PD(1477,903);PD(1474,943);PD(1477,960);PD(1500,947);PD(1547,916);PD(1617,873);PD(1688,838);PD(1748,816);PD(1784,813);PD(1800,830);PD(1806,861);PD(1811,892);PD(1822,910);PD(1830,913);PD(1838,913);PD(1847,908);PD(1856,899);PD(1874,882);PD(1894,875);PD(1908,880);PD(1925,893);PD(1942,914);PD(1960,942);PD(1993,1008);PD(2018,1082);PD(2042,1173);PD(2093,1116);PD(2133,1075);PD(2159,1058);PD(2169,1065);PD(2179,1085);PD(2189,1114);PD(2198,1151);PD(2213,1239);PD(2218,1329);PD(2217,1382);PD(2213,1423);PD(2205,1453);PD(2194,1476);PD(2180,1504);PD(2179,1520);PD(2202,1521);PD(2246,1511);PD(2293,1495);PD(2326,1479);PD(2341,1471);PD(2354,1473);PD(2361,1539);PD(2364,1683);PD(2360,1821);PD(2347,1923);PD(2316,2022);PD(2259,2153);PD(2219,2247);PD(2201,2290);PD(2219,2301);PD(2262,2314);PD(2366,2355);PD(2533,2436);PD(2626,2480);PD(2710,2516);PD(2787,2541);PD(2860,2559);PD(2929,2568);PD(2999,2569);PD(3071,2562);PD(3148,2548);PU(2725,921);PD(2757,868);PD(2769,835);PD(2712,702);PD(2642,550);PD(2629,534);PD(2609,518);PD(2582,504);PD(2550,490);PD(2472,468);PD(2383,454);PD(2293,448);PD(2242,450);PD(2228,454);PD(2220,461);PD(2218,471);PD(2220,484);PD(2232,546);PD(2251,652);PD(2275,787);PD(2326,797);PD(2403,821);PD(2493,863);PD(2586,919);PD(2675,986);PD(2690,968);PD(2725,921);PU(1363,851);PD(1390,816);PD(1424,769);PD(1444,744);PD(1470,719);PD(1498,698);PD(1527,682);PD(1589,649);PD(1579,569);PD(1570,506);PD(1559,466);PD(1546,442);PD(1527,430);PD(1492,411);PD(1454,376);PD(1421,337);PD(1403,302);PD(1399,266);PD(1401,229);PD(1411,174);PD(1413,146);PD(1403,134);PD(1381,130);PD(1345,135);PD(1308,155);PD(1291,173);PD(1278,193);PD(1271,215);PD(1268,239);PD(1270,262);PD(1277,285);PD(1289,305);PD(1305,322);PD(1329,343);PD(1338,357);PD(1333,365);PD(1312,367);PD(1293,362);PD(1276,348);PD(1261,327);PD(1249,300);PD(1240,270);PD(1236,237);PD(1237,203);PD(1243,169);PD(1243,159);PD(1235,153);PD(1218,150);PD(1188,150);PD(1158,152);PD(1133,158);PD(1112,168);PD(1095,181);PD(1083,199);PD(1074,222);PD(1068,249);PD(1067,281);PD(1072,332);PD(1087,371);PD(1114,400);PD(1156,423);PD(1177,434);PD(1191,452);PD(1201,480);PD(1211,526);PD(1224,611);PD(1235,691);PD(1248,780);PD(1262,837);PD(1271,854);PD(1281,866);PD(1292,873);PD(1305,875);PD(1337,868);PD(1363,851);PU(1511,2918);PD(1457,2888);PD(1393,2834);PD(1322,2763);PD(1270,2793);PD(1235,2809);PD(1204,2819);PD(1178,2821);PD(1158,2817);PD(1143,2805);PD(1134,2787);PD(1132,2762);PD(1137,2731);PD(1141,2713);PD(1140,2702);PD(1136,2696);PD(1127,2695);PD(1097,2698);PD(1073,2693);PD(1055,2683);PD(1043,2664);PD(1033,2647);PD(1018,2637);PD(992,2632);PD(953,2630);PD(917,2629);PD(888,2624);PD(864,2616);PD(846,2605);PD(833,2590);PD(825,2571);PD(822,2549);PD(824,2523);PD(829,2488);PD(825,2473);PD(810,2476);PD(780,2493);PD(760,2506);PD(747,2510);PD(737,2505);PD(725,2491);PD(711,2465);PD(706,2440);PD(701,2428);PD(687,2420);PD(657,2415);PD(610,2410);PD(536,2400);PD(481,2379);PD(459,2365);PD(442,2348);PD(427,2328);PD(415,2304);PD(400,2250);PD(395,2185);PD(401,2123);PD(416,2073);PD(438,2042);PD(468,2016);PD(502,1996);PD(541,1983);PD(582,1976);PD(622,1977);PD(662,1985);PD(699,2002);PD(742,2028);PD(741,1877);PD(742,1798);PD(746,1748);PD(753,1717);PD(766,1696);PD(780,1680);PD(783,1666);PD(773,1648);PD(751,1621);PD(717,1575);PD(687,1524);PD(669,1482);PD(667,1459);PD(682,1470);PD(704,1507);PD(735,1559);PD(769,1606);PD(804,1648);PD(855,1621);PD(910,1601);PD(969,1586);PD(1000,1581);PD(1018,1574);PD(1024,1565);PD(1022,1554);PD(986,1456);PD(964,1367);PD(960,1329);PD(960,1298);PD(964,1276);PD(974,1263);PD(979,1264);PD(984,1274);PD(987,1294);PD(988,1321);PD(992,1379);PD(1003,1434);PD(1020,1482);PD(1043,1521);PD(1056,1537);PD(1070,1545);PD(1088,1544);PD(1118,1535);PD(1139,1527);PD(1157,1517);PD(1171,1506);PD(1178,1494);PD(1201,1460);PD(1243,1419);PD(1288,1384);PD(1321,1369);PD(1345,1359);PD(1372,1334);PD(1395,1310);PD(1417,1299);PD(1427,1299);PD(1435,1302);PD(1443,1309);PD(1448,1319);PD(1454,1328);PD(1464,1332);PD(1478,1333);PD(1497,1331);PD(1519,1328);PD(1533,1330);PD(1541,1337);PD(1547,1352);PD(1553,1364);PD(1564,1374);PD(1578,1383);PD(1596,1389);PD(1614,1393);PD(1628,1400);PD(1638,1410);PD(1645,1421);PD(1648,1448);PD(1635,1480);PD(1626,1499);PD(1622,1518);PD(1621,1538);PD(1626,1559);PD(1630,1602);PD(1624,1647);PD(1619,1669);PD(1618,1686);PD(1623,1699);PD(1633,1709);PD(1654,1734);PD(1674,1767);PD(1688,1803);PD(1693,1834);PD(1695,1848);PD(1703,1857);PD(1718,1861);PD(1743,1863);PD(1785,1858);PD(1830,1843);PD(1878,1817);PD(1930,1781);PD(1969,1755);PD(1982,1754);PD(1970,1774);PD(1932,1810);PD(1901,1834);PD(1868,1853);PD(1833,1868);PD(1794,1878);PD(1736,1892);PD(1709,1899);PD(1716,1916);PD(1740,1950);PD(1763,1986);PD(1781,2022);PD(1793,2058);PD(1799,2096);PD(1802,2109);PD(1812,2118);PD(1829,2122);PD(1857,2124);PD(1910,2120);PD(1961,2112);PD(1988,2107);PD(2000,2106);PD(1998,2112);PD(1984,2124);PD(1944,2139);PD(1884,2145);PD(1812,2145);PD(1788,2221);PD(1773,2258);PD(1753,2296);PD(1729,2333);PD(1700,2368);PD(1655,2421);PD(1637,2450);PD(1656,2470);PD(1702,2500);PD(1731,2521);PD(1756,2543);PD(1775,2567);PD(1788,2592);PD(1797,2619);PD(1801,2649);PD(1800,2680);PD(1794,2715);PD(1777,2768);PD(1753,2815);PD(1722,2854);PD(1686,2886);PD(1646,2909);PD(1603,2922);PD(1558,2926);PD(1511,2918);PU(1654,2870);PD(1675,2857);PD(1695,2840);PD(1712,2821);PD(1727,2798);PD(1750,2747);PD(1761,2688);PD(1763,2647);PD(1759,2619);PD(1746,2594);PD(1722,2564);PD(1699,2542);PD(1676,2524);PD(1652,2511);PD(1628,2503);PD(1603,2498);PD(1590,2491);PD(1586,2480);PD(1589,2464);PD(1611,2426);PD(1650,2373);PD(1707,2303);PD(1738,2260);PD(1752,2228);PD(1755,2194);PD(1755,2165);PD(1748,2146);PD(1731,2133);PD(1699,2119);PD(1664,2108);PD(1641,2106);PD(1618,2117);PD(1586,2142);PD(1530,2176);PD(1475,2196);PD(1427,2209);PD(1393,2227);PD(1376,2238);PD(1356,2241);PD(1325,2234);PD(1273,2217);PD(1199,2187);PD(1134,2153);PD(1085,2119);PD(1058,2088);PD(1052,2076);PD(1043,2057);PD(1032,2034);PD(1020,2011);PD(1000,1967);PD(986,1923);PD(977,1875);PD(971,1822);PD(967,1799);PD(960,1782);PD(948,1769);PD(931,1760);PD(894,1740);PD(855,1716);PD(832,1701);PD(818,1696);PD(807,1700);PD(796,1715);PD(777,1753);PD(767,1806);PD(767,1873);PD(776,1957);PD(785,2033);PD(785,2075);PD(781,2085);PD(774,2088);PD(764,2085);PD(751,2077);PD(708,2048);PD(668,2026);PD(632,2011);PD(599,2003);PD(568,2001);PD(540,2007);PD(513,2020);PD(488,2039);PD(456,2077);PD(435,2122);PD(424,2170);PD(423,2219);PD(432,2266);PD(451,2307);PD(479,2341);PD(516,2365);PD(560,2377);PD(614,2381);PD(670,2379);PD(720,2369);PD(729,2369);PD(735,2375);PD(739,2388);PD(741,2409);PD(743,2444);PD(753,2461);PD(772,2462);PD(804,2448);PD(825,2439);PD(842,2434);PD(855,2434);PD(864,2439);PD(869,2448);PD(870,2462);PD(867,2481);PD(861,2505);PD(854,2531);PD(852,2552);PD(857,2569);PD(867,2583);PD(884,2592);PD(908,2599);PD(939,2602);PD(978,2604);PD(1024,2605);PD(1051,2609);PD(1065,2617);PD(1071,2632);PD(1079,2655);PD(1093,2669);PD(1113,2675);PD(1139,2671);PD(1156,2669);PD(1166,2675);PD(1170,2693);PD(1171,2728);PD(1175,2775);PD(1183,2800);PD(1209,2793);PD(1257,2764);PD(1306,2736);PD(1340,2725);PD(1352,2726);PD(1362,2732);PD(1370,2742);PD(1376,2756);PD(1393,2791);PD(1421,2824);PD(1458,2855);PD(1503,2880);PD(1541,2895);PD(1574,2898);PD(1609,2890);PD(1654,2870);PU(1549,2128);PD(1576,2107);PD(1592,2085);PD(1595,2075);PD(1595,2067);PD(1591,2062);PD(1582,2060);PD(1552,2045);PD(1504,2009);PD(1459,1970);PD(1439,1946);PD(1463,1952);PD(1520,1988);PD(1581,2029);PD(1616,2046);PD(1633,2027);PD(1650,1984);PD(1661,1935);PD(1661,1901);PD(1639,1884);PD(1599,1871);PD(1555,1862);PD(1524,1850);PD(1513,1841);PD(1508,1835);PD(1509,1831);PD(1515,1829);PD(1542,1831);PD(1587,1841);PD(1637,1855);PD(1662,1857);PD(1661,1837);PD(1651,1801);PD(1640,1775);PD(1626,1752);PD(1607,1731);PD(1586,1713);PD(1562,1698);PD(1537,1686);PD(1509,1678);PD(1482,1675);PD(1421,1672);PD(1356,1846);PD(1291,2019);PD(1362,2095);PD(1388,2123);PD(1411,2144);PD(1431,2157);PD(1451,2164);PD(1471,2164);PD(1493,2158);PD(1519,2146);PD(1549,2128);PU(1736,2008);PD(1705,1940);PD(1681,2004);PD(1655,2067);PD(1706,2091);PD(1728,2100);PD(1744,2105);PD(1755,2103);PD(1761,2097);PD(1758,2065);PD(1736,2008);PU(1324,1840);PD(1365,1721);PD(1383,1659);PD(1376,1639);PD(1358,1619);PD(1331,1600);PD(1298,1583);PD(1261,1569);PD(1222,1560);PD(1183,1557);PD(1149,1559);PD(1126,1564);PD(1110,1570);PD(1099,1577);PD(1094,1586);PD(1101,1610);PD(1130,1645);PD(1163,1684);PD(1168,1700);PD(1148,1692);PD(1106,1658);PD(1077,1630);PD(1058,1618);PD(1046,1619);PD(1034,1631);PD(1019,1662);PD(1008,1702);PD(1003,1738);PD(1008,1760);PD(1036,1768);PD(1094,1775);PD(1148,1783);PD(1171,1794);PD(1153,1803);PD(1112,1806);PD(1064,1801);PD(1027,1791);PD(1011,1783);PD(1003,1786);PD(1002,1806);PD(1006,1846);PD(1018,1909);PD(1036,1959);PD(1050,1982);PD(1068,1994);PD(1102,1999);PD(1160,2001);PD(1263,2002);PD(1324,1840);PU(974,1706);PD(978,1678);PD(989,1648);PD(998,1626);PD(999,1614);PD(970,1616);PD(919,1631);PD(869,1651);PD(847,1667);PD(860,1684);PD(892,1707);PD(928,1727);PD(957,1736);PD(968,1727);PD(974,1706);PU(1595,1614);PD(1590,1571);PD(1580,1538);PD(1575,1524);PD(1575,1510);PD(1581,1497);PD(1595,1482);PD(1611,1457);PD(1613,1433);PD(1610,1424);PD(1603,1417);PD(1594,1414);PD(1582,1415);PD(1545,1425);PD(1526,1426);PD(1520,1416);PD(1521,1394);PD(1521,1368);PD(1514,1356);PD(1500,1359);PD(1482,1376);PD(1466,1388);PD(1453,1388);PD(1443,1376);PD(1439,1353);PD(1436,1335);PD(1428,1326);PD(1413,1332);PD(1398,1346);PD(1387,1365);PD(1383,1386);PD(1381,1398);PD(1376,1404);PD(1366,1406);PD(1349,1403);PD(1331,1401);PD(1312,1407);PD(1290,1419);PD(1264,1439);PD(1228,1476);PD(1214,1501);PD(1220,1512);PD(1238,1522);PD(1263,1533);PD(1293,1543);PD(1355,1555);PD(1398,1552);PD(1412,1547);PD(1426,1545);PD(1440,1547);PD(1453,1552);PD(1476,1571);PD(1490,1600);PD(1501,1621);PD(1524,1640);PD(1553,1655);PD(1585,1664);PD(1592,1650);PD(1595,1614);PU(1458,1628);PD(1463,1614);PD(1456,1598);PD(1439,1586);PD(1417,1580);PD(1399,1581);PD(1391,1585);PD(1392,1594);PD(1400,1609);PD(1414,1626);PD(1429,1635);PD(1444,1636);PD(1458,1628);PU(1538,2749);PD(1516,2719);PD(1502,2686);PD(1497,2652);PD(1501,2618);PD(1511,2594);PD(1526,2584);PD(1548,2588);PD(1578,2605);PD(1591,2617);PD(1600,2630);PD(1605,2644);PD(1606,2657);PD(1602,2669);PD(1595,2681);PD(1583,2689);PD(1568,2695);PD(1532,2704);PD(1571,2733);PD(1598,2757);PD(1609,2771);PD(1601,2780);PD(1583,2778);PD(1560,2767);PD(1538,2749);PU(1565,2637);PD(1557,2624);PD(1549,2618);PD(1542,2618);PD(1534,2623);PD(1527,2632);PD(1525,2639);PD(1529,2646);PD(1538,2653);PD(1559,2664);PD(1571,2665);PD(1573,2656);PD(1565,2637);PU(1195,2643);PD(1186,2631);PD(1192,2623);PD(1214,2618);PD(1254,2616);PD(1287,2617);PD(1307,2620);PD(1317,2626);PD(1317,2635);PD(1297,2646);PD(1260,2653);PD(1220,2652);PD(1195,2643);PU(1225,2488);PD(1202,2460);PD(1186,2435);PD(1177,2412);PD(1175,2390);PD(1180,2370);PD(1191,2351);PD(1209,2333);PD(1233,2316);PD(1259,2301);PD(1280,2294);PD(1300,2295);PD(1325,2302);PD(1353,2315);PD(1374,2333);PD(1388,2355);PD(1396,2379);PD(1397,2406);PD(1391,2432);PD(1377,2459);PD(1356,2485);PD(1320,2514);PD(1288,2524);PD(1273,2522);PD(1258,2515);PD(1242,2504);PD(1225,2488);PU(1331,2472);PD(1346,2452);PD(1354,2428);PD(1358,2399);PD(1356,2364);PD(1355,2349);PD(1352,2345);PD(1346,2352);PD(1336,2369);PD(1319,2396);PD(1301,2408);PD(1281,2404);PD(1257,2386);PD(1234,2365);PD(1221,2359);PD(1215,2369);PD(1214,2395);PD(1222,2427);PD(1241,2460);PD(1267,2487);PD(1291,2498);PD(1310,2490);PD(1331,2472);PU(923,2373);PD(899,2350);PD(881,2327);PD(869,2303);PD(863,2279);PD(863,2255);PD(870,2232);PD(883,2208);PD(902,2186);PD(923,2168);PD(944,2155);PD(966,2148);PD(988,2145);PD(1011,2147);PD(1033,2154);PD(1054,2166);PD(1075,2183);PD(1094,2203);PD(1106,2224);PD(1113,2247);PD(1115,2275);PD(1110,2311);PD(1095,2342);PD(1074,2367);PD(1047,2385);PD(1016,2396);PD(984,2399);PD(953,2391);PD(923,2373);PU(1058,2340);PD(1077,2315);PD(1085,2298);PD(1085,2292);PD(1081,2289);PD(1075,2289);PD(1065,2292);PD(1050,2293);PD(1036,2288);PD(1023,2277);PD(1013,2264);PD(1006,2248);PD(1003,2233);PD(1006,2219);PD(1016,2208);PD(1029,2196);PD(1029,2185);PD(1017,2176);PD(995,2173);PD(963,2182);PD(928,2205);PD(900,2233);PD(889,2258);PD(894,2280);PD(907,2307);PD(925,2333);PD(944,2352);PD(972,2366);PD(1002,2369);PD(1032,2360);PD(1058,2340);PU(555,2223);PD(522,2204);PD(508,2187);PD(511,2177);PD(520,2174);PD(535,2180);PD(556,2194);PD(583,2210);PD(606,2216);PD(613,2215);PD(617,2212);PD(616,2207);PD(610,2199);PD(597,2179);PD(593,2156);PD(596,2146);PD(603,2136);PD(615,2129);PD(629,2123);PD(661,2119);PD(690,2127);PD(706,2145);PD(716,2170);PD(718,2197);PD(710,2215);PD(682,2230);PD(640,2236);PD(594,2234);PD(555,2223);PU(689,2170);PD(675,2156);PD(652,2148);PD(630,2147);PD(621,2156);PD(624,2169);PD(633,2179);PD(648,2185);PD(667,2187);PD(684,2182);PD(689,2170);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_13(){//роза 
M=0.4;//
PD(2136,4157);pendown();
PD(2052,4089);PD(1911,3954);PD(1838,3882);PD(1776,3825);PD(1722,3780);PD(1672,3747);PD(1624,3722);PD(1574,3704);PD(1518,3692);PD(1455,3683);PD(1378,3670);PD(1308,3650);PD(1248,3624);PD(1197,3591);PD(1156,3553);PD(1126,3510);PD(1107,3462);PD(1101,3411);PD(1109,3368);PD(1130,3329);PD(1143,3312);PD(1158,3299);PD(1173,3291);PD(1188,3288);PD(1191,3286);PD(1184,3280);PD(1170,3271);PD(1149,3261);PD(1113,3241);PD(1079,3216);PD(1047,3185);PD(1018,3152);PD(994,3117);PD(976,3081);PD(964,3046);PD(960,3014);PD(962,2997);PD(969,2984);PD(982,2975);PD(1002,2969);PD(1066,2968);PD(1167,2980);PD(1301,3000);PD(1370,2938);PD(1419,2891);PD(1439,2866);PD(1393,2848);PD(1281,2817);PD(1126,2773);PD(1025,2733);PD(994,2714);PD(975,2695);PD(967,2676);PD(969,2656);PD(1021,2608);PD(1136,2517);PD(1207,2462);PD(1278,2402);PD(1342,2342);PD(1393,2289);PD(1467,2206);PD(1531,2139);PD(1586,2087);PD(1634,2048);PD(1678,2020);PD(1721,2002);PD(1764,1993);PD(1809,1990);PD(1878,1998);PD(1950,2018);PD(2016,2038);PD(2067,2046);PD(2228,2072);PD(2386,2110);PD(2399,2110);PD(2417,2104);PD(2437,2092);PD(2459,2075);PD(2502,2034);PD(2534,1988);PD(2554,1934);PD(2574,1853);PD(2590,1771);PD(2596,1710);PD(2596,1672);PD(2567,1717);PD(2549,1740);PD(2528,1760);PD(2502,1778);PD(2473,1793);PD(2441,1804);PD(2407,1813);PD(2370,1819);PD(2331,1820);PD(2268,1816);PD(2237,1806);PD(2239,1800);PD(2252,1796);PD(2277,1793);PD(2311,1792);PD(2355,1791);PD(2391,1788);PD(2420,1782);PD(2444,1773);PD(2462,1761);PD(2478,1743);PD(2490,1721);PD(2502,1693);PD(2515,1661);PD(2531,1635);PD(2548,1614);PD(2568,1599);PD(2593,1583);PD(2605,1561);PD(2610,1520);PD(2611,1446);PD(2604,1263);PD(2588,1000);PD(2574,741);PD(2572,560);PD(2581,435);PD(2550,456);PD(2522,486);PD(2499,531);PD(2471,604);PD(2433,703);PD(2386,821);PD(2419,872);PD(2448,927);PD(2473,983);PD(2488,1027);PD(2486,1044);PD(2479,1068);PD(2481,1125);PD(2483,1167);PD(2483,1189);PD(2477,1195);PD(2467,1188);PD(2455,1181);PD(2448,1182);PD(2442,1192);PD(2437,1212);PD(2423,1258);PD(2405,1308);PD(2391,1338);PD(2383,1350);PD(2378,1345);PD(2372,1326);PD(2369,1316);PD(2366,1310);PD(2362,1308);PD(2356,1311);PD(2341,1333);PD(2314,1381);PD(2287,1432);PD(2270,1454);PD(2260,1454);PD(2251,1435);PD(2237,1400);PD(2190,1441);PD(2154,1468);PD(2127,1480);PD(2116,1480);PD(2109,1476);PD(2104,1469);PD(2103,1458);PD(2101,1445);PD(2099,1440);PD(2093,1443);PD(2084,1453);PD(2046,1491);PD(2002,1523);PD(1983,1534);PD(1970,1538);PD(1964,1536);PD(1967,1525);PD(1971,1509);PD(1967,1489);PD(1961,1478);PD(1954,1474);PD(1944,1479);PD(1928,1493);PD(1893,1519);PD(1852,1543);PD(1816,1560);PD(1796,1562);PD(1802,1532);PD(1825,1469);PD(1843,1422);PD(1850,1398);PD(1846,1392);PD(1832,1398);PD(1809,1409);PD(1800,1404);PD(1807,1381);PD(1827,1336);PD(1846,1296);PD(1851,1275);PD(1843,1271);PD(1822,1287);PD(1813,1295);PD(1809,1295);PD(1809,1287);PD(1813,1270);PD(1828,1231);PD(1850,1188);PD(1869,1154);PD(1876,1137);PD(1870,1134);PD(1851,1142);PD(1826,1175);PD(1801,1238);PD(1777,1306);PD(1757,1355);PD(1737,1390);PD(1724,1355);PD(1717,1336);PD(1710,1333);PD(1704,1348);PD(1693,1383);PD(1674,1441);PD(1646,1498);PD(1614,1549);PD(1582,1586);PD(1565,1601);PD(1556,1603);PD(1553,1591);PD(1552,1562);PD(1551,1525);PD(1548,1510);PD(1520,1534);PD(1459,1592);PD(1382,1657);PD(1304,1711);PD(1272,1729);PD(1248,1739);PD(1239,1741);PD(1233,1740);PD(1231,1736);PD(1232,1730);PD(1244,1693);PD(1251,1663);PD(1253,1644);PD(1247,1638);PD(1237,1643);PD(1218,1653);PD(1193,1666);PD(1164,1681);PD(1094,1712);PD(1007,1745);PD(931,1769);PD(895,1774);PD(899,1754);PD(917,1715);PD(936,1675);PD(941,1657);PD(911,1657);PD(847,1665);PD(775,1671);PD(697,1671);PD(633,1666);PD(607,1657);PD(619,1635);PD(649,1592);PD(678,1549);PD(687,1530);PD(669,1530);PD(634,1538);PD(569,1547);PD(475,1552);PD(390,1551);PD(353,1545);PD(361,1528);PD(381,1493);PD(401,1458);PD(409,1438);PD(373,1429);PD(285,1421);PD(182,1411);PD(107,1397);PD(51,1380);PD(107,1334);PD(170,1286);PD(243,1239);PD(301,1204);PD(325,1184);PD(305,1174);PD(258,1163);PD(192,1150);PD(247,1113);PD(312,1078);PD(388,1044);PD(452,1017);PD(487,999);PD(477,992);PD(443,986);PD(401,984);PD(364,986);PD(356,984);PD(353,976);PD(379,952);PD(444,912);PD(523,869);PD(594,838);PD(643,817);PD(663,803);PD(646,791);PD(604,779);PD(543,768);PD(628,742);PD(723,717);PD(833,691);PD(952,667);PD(903,642);PD(854,615);PD(917,604);PD(1003,597);PD(1119,595);PD(1215,596);PD(1256,590);PD(1245,575);PD(1218,552);PD(1178,524);PD(1222,522);PD(1275,528);PD(1335,544);PD(1393,567);PD(1441,594);PD(1486,627);PD(1476,587);PD(1466,548);PD(1527,581);PD(1605,640);PD(1712,737);PD(1839,859);PD(1974,766);PD(2111,668);PD(2249,566);PD(2358,482);PD(2426,432);PD(2499,374);PD(2552,327);PD(2585,291);PD(2596,267);PD(2599,253);PD(2609,245);PD(2630,241);PD(2667,240);PD(2717,241);PD(2738,244);PD(2736,254);PD(2731,278);PD(2724,314);PD(2716,357);PD(2705,419);PD(2698,465);PD(2696,499);PD(2701,524);PD(2714,543);PD(2736,558);PD(2768,573);PD(2812,591);PD(2903,630);PD(2958,658);PD(2975,666);PD(2992,667);PD(3011,659);PD(3040,641);PD(3092,612);PD(3168,577);PD(3240,548);PD(3282,536);PD(3285,544);PD(3281,563);PD(3278,578);PD(3285,583);PD(3310,578);PD(3360,563);PD(3431,544);PD(3483,536);PD(3521,538);PD(3490,563);PD(3459,590);PD(3525,600);PD(3588,613);PD(3648,634);PD(3678,648);PD(3691,657);PD(3688,663);PD(3673,669);PD(3652,679);PD(3642,691);PD(3644,701);PD(3659,706);PD(3699,722);PD(3765,758);PD(3826,797);PD(3852,821);PD(3843,829);PD(3820,833);PD(3794,834);PD(3779,840);PD(3795,865);PD(3841,917);PD(3889,971);PD(3909,1002);PD(3897,1012);PD(3866,1016);PD(3837,1018);PD(3824,1023);PD(3845,1048);PD(3895,1098);PD(3944,1151);PD(3965,1181);PD(3952,1195);PD(3921,1207);PD(3879,1216);PD(3941,1283);PD(3986,1334);PD(4016,1375);PD(4031,1405);PD(4029,1422);PD(3968,1415);PD(3824,1374);PD(3789,1363);PD(3814,1403);PD(3831,1431);PD(3835,1446);PD(3802,1436);PD(3728,1404);PD(3669,1378);PD(3634,1368);PD(3627,1369);PD(3627,1374);PD(3634,1384);PD(3648,1397);PD(3664,1413);PD(3666,1423);PD(3656,1427);PD(3637,1425);PD(3577,1406);PD(3502,1369);PD(3467,1348);PD(3449,1343);PD(3449,1352);PD(3463,1376);PD(3477,1401);PD(3477,1411);PD(3451,1401);PD(3408,1375);PD(3361,1341);PD(3320,1307);PD(3274,1264);PD(3274,1305);PD(3274,1346);PD(3224,1298);PD(3179,1248);PD(3137,1195);PD(3115,1165);PD(3103,1153);PD(3095,1155);PD(3090,1171);PD(3086,1187);PD(3081,1193);PD(3075,1192);PD(3066,1183);PD(3048,1146);PD(3030,1087);PD(3019,1049);PD(3011,1030);PD(3003,1026);PD(2996,1037);PD(2988,1049);PD(2982,1050);PD(2976,1040);PD(2970,1016);PD(2962,944);PD(2958,834);PD(2956,700);PD(2857,669);PD(2777,645);PD(2721,629);PD(2681,621);PD(2680,708);PD(2679,1016);PD(2683,1242);PD(2691,1386);PD(2702,1452);PD(2736,1498);PD(2787,1550);PD(2842,1594);PD(2884,1617);PD(2925,1620);PD(2970,1617);PD(3006,1614);PD(3020,1621);PD(3005,1635);PD(2967,1644);PD(2919,1649);PD(2870,1645);PD(2819,1623);PD(2764,1585);PD(2725,1555);PD(2709,1554);PD(2720,1593);PD(2747,1652);PD(2783,1713);PD(2818,1762);PD(2859,1809);PD(2921,1768);PD(2966,1741);PD(3012,1719);PD(3059,1702);PD(3108,1690);PD(3159,1682);PD(3211,1679);PD(3264,1681);PD(3319,1688);PD(3346,1694);PD(3360,1700);PD(3363,1709);PD(3358,1723);PD(3347,1748);PD(3351,1763);PD(3374,1770);PD(3421,1772);PD(3477,1778);PD(3542,1792);PD(3602,1810);PD(3638,1829);PD(3625,1846);PD(3588,1882);PD(3535,1932);PD(3610,1933);PD(3673,1941);PD(3743,1959);PD(3801,1982);PD(3824,2002);PD(3809,2018);PD(3772,2039);PD(3718,2064);PD(3782,2077);PD(3809,2084);PD(3836,2094);PD(3860,2108);PD(3878,2122);PD(3912,2156);PD(3868,2166);PD(3837,2176);PD(3824,2184);PD(3845,2206);PD(3896,2242);PD(3950,2287);PD(4006,2344);PD(4048,2394);PD(4060,2421);PD(4035,2416);PD(3981,2397);PD(3825,2353);PD(3715,2334);PD(3726,2349);PD(3754,2381);PD(3784,2415);PD(3796,2434);PD(3778,2439);PD(3733,2433);PD(3678,2421);PD(3628,2405);PD(3601,2394);PD(3588,2392);PD(3586,2400);PD(3590,2420);PD(3592,2445);PD(3584,2455);PD(3546,2446);PD(3490,2424);PD(3434,2398);PD(3397,2375);PD(3380,2361);PD(3373,2359);PD(3372,2373);PD(3377,2403);PD(3381,2433);PD(3380,2448);PD(3371,2451);PD(3354,2447);PD(3295,2423);PD(3227,2386);PD(3165,2346);PD(3124,2311);PD(3100,2288);PD(3090,2289);PD(3099,2310);PD(3124,2342);PD(3161,2382);PD(3208,2427);PD(3317,2522);PD(3426,2602);PD(3535,2678);PD(3603,2736);PD(3622,2762);PD(3635,2787);PD(3640,2812);PD(3638,2840);PD(3628,2872);PD(3610,2909);PD(3583,2954);PD(3548,3008);PD(3473,3111);PD(3407,3185);PD(3376,3212);PD(3346,3232);PD(3317,3247);PD(3288,3255);PD(3236,3267);PD(3281,3358);PD(3326,3448);PD(3371,3533);PD(3400,3601);PD(3414,3666);PD(3415,3697);PD(3412,3727);PD(3405,3754);PD(3394,3780);PD(3374,3809);PD(3345,3835);PD(3308,3858);PD(3261,3878);PD(3206,3895);PD(3142,3909);PD(3070,3920);PD(2989,3929);PD(2912,3939);PD(2837,3956);PD(2752,3985);PD(2646,4027);PD(2572,4052);PD(2507,4062);PD(2478,4061);PD(2452,4057);PD(2429,4048);PD(2409,4036);PD(2373,4008);PD(2334,4070);PD(2302,4112);PD(2266,4146);PD(2230,4169);PD(2199,4177);PD(2173,4170);PD(2136,4157);PU(2299,4043);PD(2330,4005);PD(2342,3984);PD(2332,3956);PD(2306,3902);PD(2270,3827);PD(2139,3821);PD(2084,3818);PD(2037,3812);PD(1998,3802);PD(1965,3789);PD(1936,3770);PD(1909,3745);PD(1883,3712);PD(1856,3672);PD(1824,3624);PD(1801,3599);PD(1781,3590);PD(1755,3591);PD(1711,3592);PD(1668,3582);PD(1634,3565);PD(1616,3542);PD(1613,3526);PD(1615,3507);PD(1622,3484);PD(1633,3459);PD(1669,3398);PD(1724,3323);PD(1782,3246);PD(1826,3179);PD(1853,3125);PD(1863,3088);PD(1861,3082);PD(1857,3079);PD(1850,3079);PD(1838,3082);PD(1801,3100);PD(1743,3134);PD(1639,3190);PD(1525,3239);PD(1423,3274);PD(1350,3288);PD(1314,3291);PD(1281,3300);PD(1250,3314);PD(1224,3332);PD(1202,3354);PD(1185,3380);PD(1175,3408);PD(1171,3437);PD(1175,3468);PD(1187,3496);PD(1207,3522);PD(1234,3546);PD(1268,3567);PD(1309,3585);PD(1357,3600);PD(1411,3612);PD(1492,3629);PD(1561,3646);PD(1621,3667);PD(1676,3694);PD(1731,3728);PD(1790,3773);PD(1856,3831);PD(1933,3903);PD(2043,4006);PD(2112,4063);PD(2137,4078);PD(2159,4087);PD(2180,4091);PD(2203,4092);PD(2231,4090);PD(2253,4082);PD(2275,4067);PD(2299,4043);PU(2613,3985);PD(2688,3952);PD(2770,3927);PD(2862,3907);PD(2963,3895);PD(3096,3878);PD(3199,3854);PD(3240,3838);PD(3275,3821);PD(3303,3800);PD(3324,3777);PD(3338,3751);PD(3346,3722);PD(3348,3690);PD(3344,3654);PD(3333,3615);PD(3317,3572);PD(3295,3525);PD(3267,3474);PD(3201,3340);PD(3133,3171);PD(3077,3025);PD(3028,2912);PD(2984,2827);PD(2942,2767);PD(2912,2735);PD(2894,2725);PD(2887,2735);PD(2893,2767);PD(2898,2815);PD(2891,2873);PD(2874,2935);PD(2848,2994);PD(2818,3047);PD(2948,3206);PD(3022,3301);PD(3079,3383);PD(3121,3455);PD(3147,3517);PD(3158,3572);PD(3155,3620);PD(3137,3663);PD(3106,3703);PD(3072,3730);PD(3055,3735);PD(3057,3718);PD(3082,3683);PD(3097,3662);PD(3108,3639);PD(3115,3616);PD(3118,3591);PD(3117,3564);PD(3111,3537);PD(3102,3507);PD(3089,3477);PD(3035,3398);PD(2939,3280);PD(2843,3170);PD(2787,3117);PD(2778,3117);PD(2772,3123);PD(2769,3136);PD(2769,3154);PD(2779,3204);PD(2800,3265);PD(2827,3340);PD(2849,3409);PD(2863,3473);PD(2870,3530);PD(2871,3580);PD(2865,3624);PD(2852,3660);PD(2832,3690);PD(2801,3715);PD(2765,3732);PD(2749,3736);PD(2736,3737);PD(2727,3734);PD(2723,3727);PD(2729,3716);PD(2743,3711);PD(2757,3708);PD(2773,3697);PD(2788,3682);PD(2803,3663);PD(2827,3620);PD(2836,3579);PD(2831,3529);PD(2816,3468);PD(2794,3399);PD(2766,3328);PD(2734,3259);PD(2702,3198);PD(2670,3148);PD(2640,3116);PD(2571,3069);PD(2468,3011);PD(2359,2947);PD(2272,2884);PD(2234,2851);PD(2209,2834);PD(2192,2831);PD(2175,2839);PD(2153,2856);PD(2145,2870);PD(2215,2948);PD(2382,3117);PD(2502,3237);PD(2577,3318);PD(2618,3371);PD(2636,3409);PD(2650,3476);PD(2652,3534);PD(2641,3586);PD(2618,3632);PD(2592,3678);PD(2584,3712);PD(2587,3726);PD(2595,3739);PD(2607,3750);PD(2625,3761);PD(2662,3776);PD(2700,3781);PD(2743,3776);PD(2794,3761);PD(2849,3746);PD(2898,3741);PD(2920,3741);PD(2925,3744);PD(2912,3750);PD(2879,3761);PD(2815,3781);PD(2752,3803);PD(2698,3817);PD(2648,3817);PD(2598,3802);PD(2546,3772);PD(2514,3754);PD(2483,3742);PD(2446,3735);PD(2399,3731);PD(2332,3725);PD(2264,3714);PD(2198,3698);PD(2135,3678);PD(2078,3654);PD(2029,3629);PD(1991,3602);PD(1966,3574);PD(1957,3558);PD(1952,3541);PD(1951,3523);PD(1953,3505);PD(1958,3484);PD(1957,3476);PD(1946,3479);PD(1923,3493);PD(1870,3525);PD(1845,3547);PD(1843,3567);PD(1857,3594);PD(1894,3653);PD(1928,3699);PD(1960,3734);PD(1994,3760);PD(2031,3778);PD(2073,3789);PD(2122,3794);PD(2182,3796);PD(2293,3796);PD(2335,3868);PD(2378,3932);PD(2421,3975);PD(2442,3990);PD(2465,4000);PD(2488,4006);PD(2513,4008);PD(2566,4001);PD(2613,3985);PU(2556,3645);PD(2585,3606);PD(2602,3567);PD(2605,3547);PD(2601,3531);PD(2590,3516);PD(2570,3500);PD(2527,3470);PD(2536,3519);PD(2537,3540);PD(2534,3559);PD(2527,3577);PD(2517,3594);PD(2504,3607);PD(2489,3618);PD(2471,3624);PD(2453,3627);PD(2411,3618);PD(2360,3596);PD(2309,3566);PD(2270,3533);PD(2251,3511);PD(2251,3504);PD(2275,3513);PD(2330,3540);PD(2362,3555);PD(2389,3564);PD(2412,3567);PD(2433,3564);PD(2453,3558);PD(2464,3548);PD(2468,3531);PD(2467,3502);PD(2462,3477);PD(2454,3456);PD(2439,3440);PD(2417,3428);PD(2387,3419);PD(2347,3413);PD(2298,3410);PD(2237,3409);PD(2160,3410);PD(2110,3414);PD(2074,3424);PD(2042,3442);PD(2021,3457);PD(2004,3472);PD(1991,3489);PD(1983,3505);PD(1979,3522);PD(1980,3539);PD(1986,3555);PD(1997,3570);PD(2027,3596);PD(2069,3620);PD(2119,3642);PD(2175,3660);PD(2236,3675);PD(2298,3685);PD(2360,3691);PD(2419,3690);PD(2471,3685);PD(2506,3678);PD(2532,3665);PD(2556,3645);PU(1874,3471);PD(1968,3416);PD(2049,3380);PD(2105,3367);PD(2165,3360);PD(2228,3358);PD(2291,3362);PD(2354,3372);PD(2414,3386);PD(2471,3406);PD(2523,3430);PD(2559,3450);PD(2581,3459);PD(2593,3459);PD(2596,3450);PD(2594,3430);PD(2585,3406);PD(2569,3378);PD(2544,3345);PD(2468,3257);PD(2350,3133);PD(2204,2981);PD(2135,2903);PD(2130,2895);PD(2124,2891);PD(2117,2890);PD(2106,2893);PD(2072,2914);PD(2014,2956);PD(1956,3001);PD(1923,3031);PD(1908,3056);PD(1905,3083);PD(1897,3121);PD(1871,3172);PD(1822,3247);PD(1744,3351);PD(1700,3413);PD(1677,3457);PD(1673,3474);PD(1674,3489);PD(1679,3503);PD(1688,3515);PD(1702,3528);PD(1717,3536);PD(1733,3539);PD(1753,3537);PD(1803,3516);PD(1874,3471);PU(1469,3223);PD(1532,3202);PD(1597,3174);PD(1667,3140);PD(1743,3097);PD(1924,2979);PD(2159,2810);PD(2312,2697);PD(2422,2625);PD(2509,2580);PD(2596,2547);PD(2662,2522);PD(2701,2496);PD(2712,2480);PD(2719,2462);PD(2722,2439);PD(2723,2412);PD(2722,2365);PD(2714,2327);PD(2697,2296);PD(2668,2269);PD(2623,2245);PD(2560,2221);PD(2474,2195);PD(2362,2165);PD(2258,2138);PD(2177,2121);PD(2104,2113);PD(2025,2111);PD(1950,2111);PD(1899,2115);PD(1860,2125);PD(1825,2141);PD(1787,2164);PD(1755,2190);PD(1727,2222);PD(1702,2263);PD(1680,2315);PD(1657,2380);PD(1634,2461);PD(1609,2561);PD(1570,2698);PD(1527,2808);PD(1504,2853);PD(1479,2893);PD(1453,2926);PD(1425,2955);PD(1369,3006);PD(1407,3007);PD(1478,3008);PD(1539,3002);PD(1594,2989);PD(1645,2969);PD(1695,2947);PD(1723,2937);PD(1730,2937);PD(1732,2940);PD(1729,2946);PD(1723,2955);PD(1686,2981);PD(1626,3008);PD(1554,3029);PD(1480,3042);PD(1433,3045);PD(1380,3043);PD(1321,3038);PD(1259,3028);PD(1183,3016);PD(1126,3008);PD(1085,3006);PD(1059,3010);PD(1052,3014);PD(1048,3020);PD(1047,3028);PD(1049,3038);PD(1061,3064);PD(1082,3097);PD(1119,3146);PD(1157,3184);PD(1199,3214);PD(1244,3233);PD(1293,3244);PD(1346,3245);PD(1405,3238);PD(1469,3223);PU(3313,3198);PD(3349,3172);PD(3391,3132);PD(3436,3081);PD(3481,3025);PD(3521,2968);PD(3554,2914);PD(3576,2869);PD(3584,2835);PD(3581,2815);PD(3572,2794);PD(3556,2771);PD(3534,2746);PD(3469,2690);PD(3375,2622);PD(3268,2542);PD(3164,2453);PD(3095,2391);PD(3034,2348);PD(2983,2323);PD(2938,2314);PD(2898,2321);PD(2839,2335);PD(2800,2348);PD(2779,2359);PD(2771,2372);PD(2774,2390);PD(2775,2429);PD(2767,2476);PD(2761,2507);PD(2765,2533);PD(2782,2564);PD(2818,2612);PD(2869,2671);PD(2900,2695);PD(2928,2710);PD(2973,2743);PD(3020,2796);PD(3070,2872);PD(3118,2965);PD(3162,3069);PD(3188,3138);PD(3205,3186);PD(3211,3199);PD(3220,3208);PD(3230,3214);PD(3243,3217);PD(3274,3213);PD(3313,3198);PU(2781,3038);PD(2806,2979);PD(2821,2922);PD(2827,2867);PD(2824,2814);PD(2811,2762);PD(2789,2711);PD(2758,2660);PD(2716,2609);PD(2671,2560);PD(2577,2591);PD(2507,2617);PD(2444,2648);PD(2379,2688);PD(2302,2743);PD(2225,2800);PD(2290,2859);PD(2374,2918);PD(2486,2980);PD(2596,3039);PD(2674,3088);PD(2715,3118);PD(2733,3131);PD(2748,3105);PD(2781,3038);PU(1514,2719);PD(1550,2616);PD(1588,2491);PD(1613,2405);PD(1637,2333);PD(1663,2272);PD(1690,2221);PD(1719,2180);PD(1752,2146);PD(1789,2118);PD(1830,2094);PD(1873,2072);PD(1893,2059);PD(1893,2051);PD(1877,2045);PD(1821,2034);PD(1768,2034);PD(1719,2045);PD(1678,2064);PD(1613,2126);PD(1523,2230);PD(1470,2291);PD(1410,2355);PD(1348,2414);PD(1290,2465);PD(1183,2554);PD(1120,2613);PD(1102,2634);PD(1093,2652);PD(1091,2666);PD(1095,2678);PD(1118,2702);PD(1159,2725);PD(1220,2749);PD(1305,2774);PD(1361,2790);PD(1404,2800);PD(1435,2805);PD(1458,2803);PD(1475,2795);PD(1488,2778);PD(1500,2753);PD(1514,2719);PU(3543,2358);PD(3531,2333);PD(3529,2320);PD(3537,2320);PD(3553,2333);PD(3596,2358);PD(3662,2385);PD(3745,2413);PD(3697,2364);PD(3670,2335);PD(3660,2320);PD(3665,2314);PD(3684,2313);PD(3738,2313);PD(3790,2318);PD(3842,2327);PD(3897,2342);PD(3955,2357);PD(3979,2355);PD(3954,2327);PD(3894,2280);PD(3828,2234);PD(3782,2208);PD(3770,2204);PD(3764,2198);PD(3761,2192);PD(3764,2185);PD(3781,2169);PD(3816,2152);PD(3859,2134);PD(3820,2118);PD(3775,2107);PD(3724,2103);PD(3702,2102);PD(3686,2099);PD(3676,2094);PD(3673,2087);PD(3685,2067);PD(3723,2039);PD(3754,2016);PD(3768,2002);PD(3747,1989);PD(3697,1976);PD(3633,1966);PD(3570,1961);PD(3530,1961);PD(3509,1957);PD(3504,1948);PD(3508,1930);PD(3521,1900);PD(3540,1873);PD(3552,1858);PD(3555,1847);PD(3549,1838);PD(3535,1826);PD(3496,1813);PD(3438,1807);PD(3375,1809);PD(3323,1820);PD(3302,1828);PD(3291,1828);PD(3289,1819);PD(3294,1801);PD(3302,1770);PD(3310,1746);PD(3311,1734);PD(3304,1727);PD(3286,1722);PD(3257,1719);PD(3196,1718);PD(3133,1724);PD(3068,1744);PD(2989,1777);PD(2921,1811);PD(2893,1834);PD(2911,1855);PD(2956,1889);PD(3020,1935);PD(3119,1854);PD(3191,1800);PD(3226,1781);PD(3206,1809);PD(3147,1865);PD(3087,1922);PD(3062,1950);PD(3132,1988);PD(3219,2018);PD(3256,1999);PD(3326,1953);PD(3394,1909);PD(3432,1894);PD(3415,1918);PD(3353,1968);PD(3258,2039);PD(3346,2072);PD(3433,2104);PD(3516,2060);PD(3577,2030);PD(3604,2023);PD(3595,2036);PD(3548,2070);PD(3508,2098);PD(3498,2116);PD(3523,2131);PD(3584,2152);PD(3655,2179);PD(3730,2212);PD(3798,2247);PD(3845,2278);PD(3874,2300);PD(3845,2289);PD(3838,2286);PD(3828,2281);PD(3816,2276);PD(3802,2270);PD(3772,2256);PD(3739,2241);PD(3655,2205);PD(3566,2174);PD(3495,2153);PD(3461,2151);PD(3460,2172);PD(3469,2215);PD(3476,2259);PD(3471,2270);PD(3456,2249);PD(3435,2199);PD(3418,2158);PD(3401,2133);PD(3375,2116);PD(3332,2100);PD(3276,2084);PD(3250,2080);PD(3252,2112);PD(3267,2180);PD(3280,2250);PD(3281,2283);PD(3275,2284);PD(3266,2267);PD(3253,2227);PD(3231,2153);PD(3211,2084);PD(3200,2053);PD(3179,2044);PD(3133,2026);PD(3084,2007);PD(3055,1995);PD(3046,2014);PD(3045,2077);PD(3046,2117);PD(3045,2141);PD(3044,2147);PD(3041,2150);PD(3039,2149);PD(3035,2145);PD(3024,2115);PD(3018,2074);PD(3014,2023);PD(3002,1985);PD(2980,1955);PD(2945,1928);PD(2905,1902);PD(2886,1891);PD(2879,1900);PD(2880,1925);PD(2889,1962);PD(2903,2007);PD(2943,2111);PD(2992,2206);PD(3025,2257);PD(3046,2281);PD(3054,2284);PD(3058,2280);PD(3061,2271);PD(3062,2255);PD(3066,2225);PD(3076,2201);PD(3083,2193);PD(3089,2193);PD(3095,2201);PD(3103,2218);PD(3127,2258);PD(3167,2301);PD(3219,2343);PD(3278,2379);PD(3344,2413);PD(3344,2354);PD(3344,2296);PD(3378,2327);PD(3423,2360);PD(3481,2392);PD(3526,2410);PD(3551,2410);PD(3556,2404);PD(3557,2393);PD(3552,2378);PD(3543,2358);PU(2842,2293);PD(2903,2278);PD(2952,2272);PD(2976,2269);PD(2990,2261);PD(2990,2249);PD(2977,2237);PD(2959,2217);PD(2938,2181);PD(2914,2132);PD(2891,2077);PD(2870,2019);PD(2852,1963);PD(2841,1914);PD(2836,1875);PD(2833,1837);PD(2825,1818);PD(2799,1792);PD(2758,1740);PD(2717,1681);PD(2692,1637);PD(2688,1627);PD(2684,1622);PD(2680,1622);PD(2677,1627);PD(2670,1658);PD(2660,1717);PD(2638,1837);PD(2609,1960);PD(2596,2015);PD(2589,2061);PD(2587,2101);PD(2591,2134);PD(2600,2162);PD(2616,2186);PD(2639,2208);PD(2668,2227);PD(2713,2258);PD(2742,2286);PD(2754,2305);PD(2767,2312);PD(2793,2307);PD(2842,2293);PU(1150,1645);PD(1255,1595);PD(1298,1579);PD(1295,1599);PD(1286,1634);PD(1279,1666);PD(1283,1679);PD(1317,1665);PD(1371,1627);PD(1432,1578);PD(1486,1527);PD(1535,1475);PD(1559,1453);PD(1564,1465);PD(1566,1493);PD(1568,1531);PD(1595,1499);PD(1621,1454);PD(1649,1390);PD(1671,1326);PD(1679,1277);PD(1683,1253);PD(1692,1243);PD(1705,1247);PD(1720,1267);PD(1728,1277);PD(1737,1274);PD(1748,1257);PD(1764,1222);PD(1786,1145);PD(1803,1047);PD(1807,1001);PD(1808,964);PD(1805,940);PD(1798,934);PD(1785,940);PD(1759,952);PD(1725,968);PD(1685,986);PD(1586,1033);PD(1555,1170);PD(1521,1292);PD(1482,1394);PD(1452,1451);PD(1434,1480);PD(1431,1482);PD(1430,1481);PD(1429,1479);PD(1430,1474);PD(1436,1457);PD(1448,1429);PD(1476,1356);PD(1499,1273);PD(1516,1193);PD(1523,1127);PD(1524,1063);PD(1421,1099);PD(1318,1135);PD(1294,1225);PD(1264,1316);PD(1226,1405);PD(1186,1477);PD(1139,1543);PD(1098,1590);PD(1075,1602);PD(1081,1585);PD(1105,1555);PD(1141,1508);PD(1175,1446);PD(1208,1370);PD(1240,1279);PD(1262,1201);PD(1266,1163);PD(1234,1165);PD(1167,1180);PD(1115,1195);PD(1086,1209);PD(1070,1229);PD(1058,1262);PD(1024,1350);PD(976,1432);PD(950,1468);PD(923,1499);PD(896,1524);PD(869,1541);PD(864,1543);PD(862,1542);PD(862,1540);PD(864,1535);PD(875,1521);PD(895,1501);PD(937,1450);PD(975,1388);PD(1006,1321);PD(1024,1256);PD(1029,1233);PD(1029,1220);PD(1024,1215);PD(1015,1216);PD(976,1227);PD(913,1242);PD(869,1253);PD(835,1268);PD(803,1292);PD(765,1329);PD(713,1378);PD(657,1419);PD(610,1446);PD(584,1449);PD(591,1440);PD(618,1427);PD(663,1397);PD(717,1350);PD(761,1304);PD(775,1278);PD(703,1281);PD(543,1298);PD(375,1317);PD(284,1325);PD(276,1324);PD(272,1323);PD(271,1322);PD(274,1320);PD(290,1316);PD(320,1311);PD(420,1296);PD(576,1276);PD(659,1264);PD(721,1253);PD(760,1243);PD(772,1235);PD(742,1205);PD(682,1170);PD(613,1140);PD(557,1127);PD(531,1126);PD(520,1124);PD(524,1122);PD(543,1119);PD(590,1119);PD(642,1130);PD(698,1154);PD(758,1190);PD(827,1236);PD(931,1214);PD(1037,1191);PD(954,1103);PD(912,1063);PD(869,1027);PD(824,996);PD(780,971);PD(717,937);PD(700,921);PD(726,927);PD(794,957);PD(838,980);PD(887,1012);PD(936,1049);PD(982,1089);PD(1080,1181);PD(1168,1154);PD(1230,1131);PD(1256,1112);PD(1222,1067);PD(1140,981);PD(1081,924);PD(1032,884);PD(988,855);PD(945,835);PD(917,824);PD(897,814);PD(891,811);PD(888,808);PD(887,806);PD(890,806);PD(917,809);PD(951,822);PD(992,842);PD(1037,868);PD(1132,933);PD(1218,1006);PD(1321,1108);PD(1413,1072);PD(1479,1045);PD(1511,1027);PD(1497,994);PD(1451,933);PD(1388,862);PD(1324,800);PD(1253,747);PD(1188,707);PD(1146,682);PD(1133,669);PD(1156,672);PD(1202,693);PD(1262,726);PD(1322,765);PD(1395,822);PD(1482,903);PD(1582,1002);PD(1662,961);PD(1713,935);PD(1750,915);PD(1772,897);PD(1780,880);PD(1774,859);PD(1755,834);PD(1722,800);PD(1676,755);PD(1585,670);PD(1538,635);PD(1528,643);PD(1524,663);PD(1522,676);PD(1511,678);PD(1486,667);PD(1442,642);PD(1374,605);PD(1321,584);PD(1281,574);PD(1307,615);PD(1322,638);PD(1327,648);PD(1321,649);PD(1305,643);PD(1241,633);PD(1127,624);PD(1031,622);PD(977,629);PD(966,635);PD(967,642);PD(979,652);PD(1002,663);PD(1034,679);PD(1042,691);PD(1025,699);PD(985,703);PD(901,712);PD(798,729);PD(710,748);PD(669,763);PD(669,772);PD(682,776);PD(701,782);PD(718,796);PD(725,807);PD(722,815);PD(708,823);PD(682,833);PD(620,857);PD(548,892);PD(500,920);PD(477,942);PD(475,949);PD(479,955);PD(490,958);PD(507,960);PD(535,967);PD(566,985);PD(597,1012);PD(546,1020);PD(484,1039);PD(406,1071);PD(339,1105);PD(310,1127);PD(323,1141);PD(353,1157);PD(383,1173);PD(395,1185);PD(378,1200);PD(336,1219);PD(277,1248);PD(213,1288);PD(162,1328);PD(141,1353);PD(148,1363);PD(167,1371);PD(195,1379);PD(230,1385);PD(308,1391);PD(378,1387);PD(432,1380);PD(457,1381);PD(455,1404);PD(443,1446);PD(430,1489);PD(423,1514);PD(450,1523);PD(515,1523);PD(593,1513);PD(662,1497);PD(737,1470);PD(728,1514);PD(717,1556);PD(700,1596);PD(689,1619);PD(688,1632);PD(700,1639);PD(725,1644);PD(774,1645);PD(844,1639);PD(915,1627);PD(969,1613);PD(980,1610);PD(986,1613);PD(987,1623);PD(984,1640);PD(974,1673);PD(965,1699);PD(962,1711);PD(966,1719);PD(976,1721);PD(994,1717);PD(1054,1693);PD(1150,1645);PU(1923,1466);PD(1954,1441);PD(1971,1432);PD(1980,1436);PD(1985,1452);PD(1993,1474);PD(2005,1478);PD(2026,1465);PD(2063,1431);PD(2115,1379);PD(2125,1417);PD(2134,1443);PD(2142,1453);PD(2164,1438);PD(2204,1401);PD(2229,1378);PD(2246,1366);PD(2255,1364);PD(2258,1373);PD(2259,1388);PD(2263,1396);PD(2270,1397);PD(2278,1392);PD(2299,1365);PD(2326,1317);PD(2342,1283);PD(2355,1262);PD(2363,1254);PD(2368,1260);PD(2372,1274);PD(2377,1282);PD(2382,1284);PD(2388,1280);PD(2401,1255);PD(2414,1208);PD(2423,1172);PD(2432,1150);PD(2441,1139);PD(2453,1139);PD(2460,1140);PD(2464,1138);PD(2466,1131);PD(2465,1121);PD(2454,1088);PD(2434,1041);PD(2425,1021);PD(2423,1009);PD(2426,1003);PD(2436,1002);PD(2450,999);PD(2454,988);PD(2445,965);PD(2423,926);PD(2397,884);PD(2377,868);PD(2368,869);PD(2359,875);PD(2349,887);PD(2338,905);PD(2325,931);PD(2321,951);PD(2327,974);PD(2342,1009);PD(2365,1068);PD(2378,1125);PD(2379,1143);PD(2380,1154);PD(2379,1157);PD(2379,1157);PD(2378,1155);PD(2376,1150);PD(2358,1099);PD(2335,1046);PD(2313,1005);PD(2299,988);PD(2283,1001);PD(2265,1032);PD(2253,1056);PD(2249,1077);PD(2252,1099);PD(2263,1130);PD(2279,1187);PD(2285,1246);PD(2283,1305);PD(2272,1242);PD(2259,1185);PD(2245,1137);PD(2235,1115);PD(2227,1106);PD(2217,1109);PD(2200,1123);PD(2186,1139);PD(2178,1158);PD(2176,1185);PD(2179,1226);PD(2182,1262);PD(2182,1278);PD(2180,1277);PD(2175,1259);PD(2163,1223);PD(2152,1202);PD(2143,1200);PD(2132,1207);PD(2119,1220);PD(2106,1238);PD(2083,1283);PD(2073,1326);PD(2071,1352);PD(2070,1362);PD(2068,1356);PD(2064,1335);PD(2057,1294);PD(1974,1377);PD(1914,1433);PD(1884,1452);PD(1904,1425);PD(1961,1370);PD(2021,1314);PD(2046,1281);PD(2032,1272);PD(1994,1274);PD(1971,1278);PD(1959,1278);PD(1955,1275);PD(1961,1270);PD(1989,1260);PD(2026,1256);PD(2062,1246);PD(2099,1224);PD(2115,1211);PD(2126,1199);PD(2131,1188);PD(2129,1180);PD(2104,1171);PD(2053,1159);PD(1983,1144);PD(2070,1149);PD(2118,1151);PD(2147,1148);PD(2165,1138);PD(2180,1119);PD(2194,1092);PD(2197,1077);PD(2163,1069);PD(2093,1058);PD(1997,1047);PD(2114,1048);PD(2181,1049);PD(2219,1044);PD(2240,1031);PD(2258,1006);PD(2285,962);PD(2176,941);PD(2120,930);PD(2096,924);PD(2100,920);PD(2131,919);PD(2191,922);PD(2246,930);PD(2276,935);PD(2294,933);PD(2308,918);PD(2323,888);PD(2338,846);PD(2341,825);PD(2312,819);PD(2251,810);PD(2213,806);PD(2189,806);PD(2178,809);PD(2179,816);PD(2181,823);PD(2178,828);PD(2170,831);PD(2156,833);PD(2124,835);PD(2091,841);PD(2076,846);PD(2069,852);PD(2069,859);PD(2076,869);PD(2083,879);PD(2084,885);PD(2081,888);PD(2072,889);PD(2041,902);PD(2003,931);PD(1987,946);PD(1976,960);PD(1972,970);PD(1977,974);PD(1982,978);PD(1978,990);PD(1962,1011);PD(1936,1039);PD(1910,1068);PD(1893,1090);PD(1887,1106);PD(1891,1115);PD(1897,1122);PD(1897,1133);PD(1891,1150);PD(1878,1173);PD(1858,1210);PD(1850,1231);PD(1857,1238);PD(1877,1235);PD(1896,1230);PD(1902,1236);PD(1892,1259);PD(1867,1305);PD(1846,1344);PD(1839,1363);PD(1843,1369);PD(1860,1366);PD(1881,1361);PD(1889,1365);PD(1885,1379);PD(1871,1408);PD(1854,1445);PD(1844,1474);PD(1840,1494);PD(1843,1506);PD(1853,1509);PD(1870,1504);PD(1893,1489);PD(1923,1466);PU(3766,1360);PD(3759,1333);PD(3760,1317);PD(3769,1314);PD(3786,1325);PD(3825,1345);PD(3888,1369);PD(3947,1387);PD(3977,1391);PD(3972,1369);PD(3946,1328);PD(3910,1282);PD(3871,1243);PD(3820,1201);PD(3872,1192);PD(3908,1180);PD(3923,1164);PD(3911,1141);PD(3880,1110);PD(3838,1078);PD(3793,1050);PD(3767,1033);PD(3762,1020);PD(3780,1008);PD(3821,993);PD(3874,978);PD(3800,906);PD(3762,867);PD(3744,844);PD(3741,837);PD(3742,832);PD(3747,828);PD(3755,825);PD(3769,819);PD(3776,812);PD(3777,804);PD(3770,794);PD(3734,770);PD(3667,738);PD(3616,714);PD(3589,699);PD(3584,693);PD(3583,689);PD(3587,686);PD(3596,683);PD(3617,673);PD(3627,662);PD(3610,648);PD(3570,635);PD(3515,625);PD(3459,621);PD(3428,620);PD(3411,617);PD(3408,611);PD(3415,600);PD(3422,589);PD(3423,582);PD(3416,579);PD(3399,579);PD(3357,587);PD(3303,607);PD(3260,627);PD(3238,633);PD(3232,627);PD(3236,607);PD(3238,595);PD(3239,587);PD(3236,582);PD(3230,581);PD(3204,592);PD(3154,619);PD(3088,660);PD(3061,689);PD(3061,701);PD(3070,713);PD(3088,725);PD(3114,739);PD(3183,773);PD(3282,727);PD(3366,690);PD(3429,670);PD(3450,667);PD(3453,670);PD(3436,679);PD(3399,696);PD(3328,729);PD(3268,762);PD(3216,794);PD(3275,828);PD(3336,862);PD(3446,827);PD(3544,801);PD(3622,792);PD(3690,793);PD(3610,806);PD(3539,822);PD(3466,845);PD(3410,870);PD(3387,889);PD(3400,906);PD(3433,930);PD(3461,945);PD(3483,951);PD(3510,949);PD(3549,938);PD(3614,924);PD(3675,919);PD(3732,920);PD(3660,933);PD(3598,946);PD(3548,961);PD(3507,976);PD(3562,1024);PD(3592,1049);PD(3618,1063);PD(3647,1071);PD(3682,1072);PD(3732,1076);PD(3763,1084);PD(3765,1088);PD(3754,1091);PD(3734,1093);PD(3707,1094);PD(3666,1094);PD(3643,1099);PD(3633,1111);PD(3629,1133);PD(3630,1175);PD(3639,1218);PD(3647,1241);PD(3649,1251);PD(3645,1250);PD(3635,1238);PD(3618,1199);PD(3605,1143);PD(3598,1107);PD(3588,1080);PD(3571,1058);PD(3546,1037);PD(3509,1012);PD(3490,1006);PD(3483,1041);PD(3481,1108);PD(3483,1181);PD(3490,1235);PD(3494,1257);PD(3495,1266);PD(3491,1263);PD(3483,1249);PD(3469,1194);PD(3463,1096);PD(3461,972);PD(3411,937);PD(3360,903);PD(3349,955);PD(3341,1020);PD(3339,1101);PD(3339,1148);PD(3338,1169);PD(3334,1166);PD(3326,1143);PD(3319,1077);PD(3320,988);PD(3327,881);PD(3271,848);PD(3244,834);PD(3224,826);PD(3209,826);PD(3199,831);PD(3187,885);PD(3182,1000);PD(3181,1059);PD(3179,1105);PD(3176,1133);PD(3172,1139);PD(3160,1098);PD(3153,1030);PD(3152,952);PD(3158,879);PD(3171,792);PD(3092,758);PD(3013,724);PD(3004,761);PD(2997,813);PD(2993,888);PD(2993,939);PD(2995,963);PD(3003,966);PD(3020,952);PD(3036,938);PD(3044,934);PD(3047,939);PD(3047,954);PD(3046,1022);PD(3056,1080);PD(3063,1101);PD(3070,1113);PD(3078,1115);PD(3086,1105);PD(3095,1090);PD(3105,1088);PD(3115,1098);PD(3124,1119);PD(3147,1159);PD(3189,1214);PD(3220,1248);PD(3236,1262);PD(3241,1258);PD(3237,1236);PD(3234,1223);PD(3233,1215);PD(3236,1211);PD(3242,1213);PD(3270,1233);PD(3325,1278);PD(3376,1321);PD(3406,1342);PD(3415,1345);PD(3421,1344);PD(3424,1339);PD(3426,1331);PD(3430,1315);PD(3440,1311);PD(3462,1320);PD(3504,1342);PD(3558,1371);PD(3586,1380);PD(3593,1377);PD(3595,1370);PD(3595,1358);PD(3591,1341);PD(3583,1300);PD(3663,1348);PD(3724,1382);PD(3760,1396);PD(3769,1395);PD(3773,1388);PD(3772,1377);PD(3766,1360);PU(1908,1000);PD(1901,994);PD(1905,983);PD(1920,966);PD(1947,941);PD(1995,905);PD(2024,889);PD(2029,885);PD(2019,876);PD(2012,869);PD(2013,861);PD(2023,852);PD(2043,841);PD(2081,825);PD(2110,818);PD(2124,814);PD(2131,803);PD(2138,797);PD(2160,793);PD(2196,791);PD(2246,792);PD(2362,797);PD(2389,687);PD(2406,607);PD(2409,570);PD(2364,592);PD(2263,653);PD(2124,741);PD(1987,824);PD(1849,905);PD(1849,972);PD(1846,1035);PD(1840,1088);PD(1830,1136);PD(1880,1072);PD(1903,1041);PD(1915,1020);PD(1917,1008);PD(1908,1000);PU(1778,3446);PD(1788,3429);PD(1813,3409);PD(1867,3367);PD(1945,3299);PD(2024,3231);PD(2083,3188);PD(2108,3175);PD(2131,3167);PD(2154,3162);PD(2177,3161);PD(2220,3164);PD(2258,3176);PD(2300,3201);PD(2354,3241);PD(2397,3281);PD(2406,3296);PD(2382,3288);PD(2328,3254);PD(2267,3217);PD(2224,3200);PD(2197,3199);PD(2173,3196);PD(2136,3200);PD(2090,3221);PD(2031,3261);PD(1953,3325);PD(1869,3394);PD(1815,3435);PD(1798,3446);PD(1786,3451);PD(1780,3451);PD(1778,3446);PU(2175,1346);PD(2175,1337);PD(2177,1332);PD(2180,1332);PD(2183,1338);PD(2185,1353);PD(2182,1365);PD(2176,1363);PD(2175,1346);PU(1945,1161);PD(1960,1159);PD(1971,1163);PD(1970,1168);PD(1953,1170);PD(1944,1169);PD(1939,1167);PD(1939,1164);PD(1945,1161);PU(3761,1219);PD(3714,1173);PD(3679,1138);PD(3668,1126);PD(3661,1117);PD(3659,1114);PD(3659,1113);PD(3660,1112);PD(3662,1113);PD(3712,1154);PD(3794,1232);PD(3868,1307);PD(3895,1341);PD(3853,1305);PD(3761,1219);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_14(){//домик
M=0.4;//
PD(1149,4115);pendown();
PD(1114,4092);PD(1081,4059);PD(1055,4024);PD(1044,3995);PD(1039,3984);PD(1024,3979);PD(997,3970);PD(967,3948);PD(942,3922);PD(931,3897);PD(917,3870);PD(883,3833);PD(837,3789);PD(799,3817);PD(776,3830);PD(750,3839);PD(721,3844);PD(691,3846);PD(661,3844);PD(632,3838);PD(605,3829);PD(583,3816);PD(548,3783);PD(520,3744);PD(500,3702);PD(491,3660);PD(482,3624);PD(463,3594);PD(452,3581);PD(445,3567);PD(443,3554);PD(445,3540);PD(447,3529);PD(446,3520);PD(441,3515);PD(432,3514);PD(403,3502);PD(364,3473);PD(340,3449);PD(327,3427);PD(320,3398);PD(319,3354);PD(320,3322);PD(324,3293);PD(331,3267);PD(342,3243);PD(356,3223);PD(373,3205);PD(394,3189);PD(419,3175);PD(455,3151);PD(478,3123);PD(488,3108);PD(500,3098);PD(516,3092);PD(536,3090);PD(555,3089);PD(567,3087);PD(574,3081);PD(576,3074);PD(561,3048);PD(522,3007);PD(482,2963);PD(466,2932);PD(463,2919);PD(457,2908);PD(448,2897);PD(435,2888);PD(404,2877);PD(368,2876);PD(324,2876);PD(281,2863);PD(241,2840);PD(205,2805);PD(191,2785);PD(181,2761);PD(174,2734);PD(170,2704);PD(169,2674);PD(171,2644);PD(177,2615);PD(186,2589);PD(193,2572);PD(196,2558);PD(193,2547);PD(186,2537);PD(177,2525);PD(172,2510);PD(170,2493);PD(171,2475);PD(183,2436);PD(207,2397);PD(235,2357);PD(243,2326);PD(244,2308);PD(254,2300);PD(261,2297);PD(264,2290);PD(264,2276);PD(261,2258);PD(258,2236);PD(259,2216);PD(265,2197);PD(275,2179);PD(305,2148);PD(347,2123);PD(392,2108);PD(430,2108);PD(446,2110);PD(457,2108);PD(465,2101);PD(470,2088);PD(482,2065);PD(504,2051);PD(533,2049);PD(567,2057);PD(588,2064);PD(603,2065);PD(613,2059);PD(622,2045);PD(631,2031);PD(643,2024);PD(661,2023);PD(686,2026);PD(709,2030);PD(724,2029);PD(732,2023);PD(734,2012);PD(743,1987);PD(763,1960);PD(781,1945);PD(801,1937);PD(826,1936);PD(862,1939);PD(912,1942);PD(931,1935);PD(941,1920);PD(962,1912);PD(988,1912);PD(1010,1921);PD(1021,1928);PD(1030,1930);PD(1039,1926);PD(1048,1916);PD(1068,1897);PD(1089,1882);PD(1098,1874);PD(1094,1862);PD(1075,1846);PD(1037,1820);PD(997,1793);PD(973,1772);PD(962,1752);PD(960,1727);PD(961,1702);PD(971,1687);PD(996,1679);PD(1044,1674);PD(1084,1668);PD(1113,1660);PD(1132,1650);PD(1143,1637);PD(1200,1480);PD(1238,1346);PD(1188,1338);PD(1074,1326);PD(958,1313);PD(831,1294);PD(700,1270);PD(568,1243);PD(443,1214);PD(328,1183);PD(230,1153);PD(154,1125);PD(133,1114);PD(123,1107);PD(122,1103);PD(131,1102);PD(171,1110);PD(234,1129);PD(328,1159);PD(435,1188);PD(550,1216);PD(669,1242);PD(790,1265);PD(907,1284);PD(1016,1298);PD(1115,1307);PD(1252,1317);PD(1267,1252);PD(1276,1216);PD(1280,1187);PD(1280,1163);PD(1274,1141);PD(1240,1093);PD(1170,1026);PD(1106,968);PD(1056,931);PD(1006,906);PD(943,883);PD(880,861);PD(821,835);PD(769,808);PD(724,779);PD(687,750);PD(659,722);PD(641,694);PD(635,669);PD(636,659);PD(642,655);PD(654,658);PD(675,667);PD(718,682);PD(787,697);PD(873,710);PD(964,722);PD(1053,730);PD(1128,734);PD(1180,733);PD(1199,725);PD(1183,700);PD(1143,658);PD(1109,615);PD(1083,568);PD(1075,546);PD(1071,527);PD(1070,511);PD(1075,501);PD(1108,507);PD(1180,529);PD(1259,554);PD(1311,564);PD(1345,573);PD(1377,594);PD(1408,622);PD(1425,533);PD(1442,445);PD(1864,320);PD(2287,195);PD(2570,233);PD(2852,270);PD(2939,191);PD(3027,113);PD(3320,113);PD(3612,113);PD(3612,188);PD(3611,227);PD(3606,255);PD(3595,277);PD(3577,296);PD(3558,315);PD(3547,330);PD(3543,341);PD(3548,350);PD(3586,361);PD(3665,365);PD(3752,368);PD(3790,371);PD(3797,427);PD(3809,557);PD(3851,943);PD(3889,1211);PD(3927,1206);PD(4015,1187);PD(4095,1167);PD(4135,1159);PD(4144,1158);PD(4147,1160);PD(4146,1163);PD(4143,1168);PD(4104,1185);PD(4019,1207);PD(3935,1226);PD(3897,1236);PD(3920,1401);PD(3960,1627);PD(3965,1649);PD(3976,1660);PD(3995,1664);PD(4029,1664);PD(4062,1663);PD(4085,1667);PD(4104,1679);PD(4122,1700);PD(4154,1740);PD(4091,1795);PD(4029,1847);PD(3968,1895);PD(3906,1940);PD(3914,2215);PD(3920,2361);PD(3926,2447);PD(3934,2492);PD(3948,2512);PD(3967,2539);PD(3977,2575);PD(3975,2600);PD(3964,2621);PD(3935,2646);PD(3882,2681);PD(3833,2714);PD(3802,2739);PD(3787,2760);PD(3783,2781);PD(3774,2814);PD(3755,2838);PD(3743,2850);PD(3733,2869);PD(3726,2894);PD(3721,2924);PD(3715,2989);PD(3770,2969);PD(3814,2959);PD(3849,2962);PD(3862,2967);PD(3872,2976);PD(3878,2986);PD(3881,3000);PD(3872,3030);PD(3852,3077);PD(3824,3130);PD(3794,3178);PD(3775,3207);PD(3771,3221);PD(3785,3221);PD(3817,3209);PD(3866,3195);PD(3914,3189);PD(3941,3190);PD(3957,3196);PD(3967,3206);PD(3974,3224);PD(3974,3244);PD(3969,3272);PD(3958,3304);PD(3943,3342);PD(3901,3422);PD(3848,3501);PD(3824,3535);PD(3810,3563);PD(3805,3590);PD(3807,3624);PD(3809,3655);PD(3806,3684);PD(3799,3711);PD(3786,3738);PD(3741,3798);PD(3665,3875);PD(3575,3954);PD(3493,4013);PD(3456,4035);PD(3423,4051);PD(3394,4061);PD(3370,4064);PD(3339,4058);PD(3314,4041);PD(3295,4013);PD(3282,3976);PD(3275,3929);PD(3275,3875);PD(3282,3814);PD(3295,3747);PD(3310,3684);PD(3313,3654);PD(3302,3648);PD(3275,3656);PD(3230,3665);PD(3179,3666);PD(3150,3662);PD(3133,3655);PD(3125,3641);PD(3121,3617);PD(3124,3583);PD(3138,3541);PD(3161,3493);PD(3194,3437);PD(3236,3377);PD(3286,3312);PD(3343,3244);PD(3408,3174);PD(3453,3124);PD(3471,3099);PD(3460,3093);PD(3433,3088);PD(3412,3083);PD(3397,3076);PD(3391,3064);PD(3393,3048);PD(3421,3001);PD(3483,2931);PD(3536,2874);PD(3565,2837);PD(3575,2809);PD(3574,2777);PD(3568,2748);PD(3557,2730);PD(3536,2716);PD(3498,2702);PD(3459,2688);PD(3439,2675);PD(3430,2656);PD(3429,2626);PD(3431,2599);PD(3436,2580);PD(3446,2567);PD(3463,2557);PD(3481,2545);PD(3492,2525);PD(3498,2486);PD(3502,2417);PD(3505,2328);PD(3505,2287);PD(3443,2332);PD(3301,2448);PD(3102,2613);PD(3007,2604);PD(2932,2595);PD(2881,2587);PD(2864,2583);PD(2857,2586);PD(2860,2597);PD(2873,2620);PD(2883,2642);PD(2889,2666);PD(2890,2690);PD(2888,2714);PD(2882,2737);PD(2872,2756);PD(2859,2772);PD(2843,2783);PD(2811,2797);PD(2839,2845);PD(2852,2870);PD(2859,2893);PD(2861,2916);PD(2859,2941);PD(2845,2982);PD(2823,3022);PD(2797,3051);PD(2774,3062);PD(2758,3076);PD(2746,3107);PD(2742,3140);PD(2750,3158);PD(2781,3175);PD(2812,3204);PD(2843,3244);PD(2870,3291);PD(2894,3346);PD(2905,3395);PD(2904,3438);PD(2891,3476);PD(2868,3510);PD(2838,3546);PD(2808,3573);PD(2787,3584);PD(2780,3589);PD(2776,3604);PD(2773,3627);PD(2773,3658);PD(2771,3699);PD(2765,3725);PD(2751,3744);PD(2725,3763);PD(2682,3787);PD(2646,3796);PD(2632,3798);PD(2620,3803);PD(2612,3812);PD(2606,3823);PD(2599,3841);PD(2585,3858);PD(2567,3873);PD(2546,3885);PD(2521,3895);PD(2494,3901);PD(2467,3904);PD(2438,3903);PD(2402,3900);PD(2382,3902);PD(2373,3909);PD(2371,3924);PD(2367,3954);PD(2356,3982);PD(2340,4008);PD(2318,4031);PD(2293,4051);PD(2264,4065);PD(2232,4075);PD(2199,4078);PD(2156,4071);PD(2111,4052);PD(2073,4027);PD(2052,4001);PD(2038,3986);PD(2018,3979);PD(1995,3973);PD(1976,3958);PD(1955,3942);PD(1932,3938);PD(1907,3946);PD(1884,3967);PD(1870,3978);PD(1854,3986);PD(1837,3990);PD(1820,3991);PD(1801,3992);PD(1781,3998);PD(1760,4009);PD(1738,4024);PD(1697,4055);PD(1662,4070);PD(1629,4071);PD(1595,4058);PD(1571,4048);PD(1556,4045);PD(1547,4050);PD(1538,4063);PD(1522,4083);PD(1498,4098);PD(1469,4109);PD(1437,4115);PD(1404,4116);PD(1373,4111);PD(1346,4100);PD(1326,4084);PD(1316,4074);PD(1306,4071);PD(1295,4077);PD(1278,4091);PD(1247,4114);PD(1216,4125);PD(1184,4125);PD(1149,4115);PU(1267,4046);PD(1287,4006);PD(1321,4040);PD(1357,4067);PD(1398,4084);PD(1441,4084);PD(1482,4071);PD(1499,4061);PD(1512,4049);PD(1521,4036);PD(1524,4022);PD(1529,4003);PD(1543,3995);PD(1560,3998);PD(1579,4013);PD(1603,4032);PD(1631,4039);PD(1662,4034);PD(1696,4016);PD(1729,3990);PD(1743,3969);PD(1746,3953);PD(1756,3944);PD(1772,3944);PD(1796,3953);PD(1816,3960);PD(1831,3962);PD(1843,3960);PD(1854,3953);PD(1863,3940);PD(1868,3923);PD(1869,3903);PD(1866,3882);PD(1860,3860);PD(1851,3839);PD(1839,3820);PD(1825,3806);PD(1811,3790);PD(1800,3770);PD(1794,3747);PD(1791,3721);PD(1792,3695);PD(1797,3669);PD(1806,3646);PD(1819,3625);PD(1841,3604);PD(1855,3602);PD(1857,3616);PD(1843,3643);PD(1829,3670);PD(1823,3697);PD(1824,3725);PD(1830,3752);PD(1843,3775);PD(1860,3793);PD(1882,3806);PD(1908,3810);PD(1924,3810);PD(1930,3813);PD(1927,3818);PD(1913,3828);PD(1897,3850);PD(1894,3875);PD(1898,3888);PD(1907,3895);PD(1922,3898);PD(1945,3897);PD(1965,3898);PD(1979,3900);PD(1987,3906);PD(1990,3914);PD(1994,3933);PD(2006,3944);PD(2021,3946);PD(2036,3938);PD(2044,3933);PD(2052,3936);PD(2060,3946);PD(2070,3965);PD(2081,3985);PD(2097,4003);PD(2117,4018);PD(2141,4030);PD(2180,4042);PD(2218,4043);PD(2253,4035);PD(2284,4019);PD(2310,3996);PD(2328,3966);PD(2339,3931);PD(2340,3892);PD(2338,3865);PD(2345,3854);PD(2368,3856);PD(2412,3868);PD(2442,3875);PD(2466,3877);PD(2491,3871);PD(2520,3858);PD(2544,3844);PD(2563,3829);PD(2576,3813);PD(2582,3796);PD(2589,3779);PD(2599,3768);PD(2614,3762);PD(2636,3759);PD(2671,3754);PD(2700,3744);PD(2723,3729);PD(2739,3710);PD(2748,3687);PD(2750,3660);PD(2744,3631);PD(2731,3598);PD(2719,3574);PD(2717,3561);PD(2726,3557);PD(2749,3556);PD(2775,3552);PD(2799,3540);PD(2822,3521);PD(2842,3498);PD(2858,3471);PD(2869,3442);PD(2874,3412);PD(2872,3382);PD(2854,3331);PD(2827,3277);PD(2794,3230);PD(2762,3199);PD(2742,3190);PD(2721,3187);PD(2698,3187);PD(2676,3192);PD(2656,3200);PD(2640,3211);PD(2629,3225);PD(2625,3241);PD(2621,3257);PD(2612,3274);PD(2598,3291);PD(2581,3308);PD(2540,3334);PD(2500,3344);PD(2463,3337);PD(2427,3323);PD(2407,3314);PD(2391,3313);PD(2376,3321);PD(2354,3340);PD(2332,3357);PD(2306,3370);PD(2277,3380);PD(2246,3385);PD(2215,3385);PD(2183,3382);PD(2152,3374);PD(2122,3361);PD(2075,3332);PD(2032,3297);PD(2001,3263);PD(1990,3237);PD(1977,3218);PD(1947,3196);PD(1910,3170);PD(1881,3135);PD(1857,3104);PD(1834,3080);PD(1806,3067);PD(1769,3063);PD(1730,3069);PD(1698,3083);PD(1680,3095);PD(1668,3096);PD(1658,3086);PD(1645,3064);PD(1622,3030);PD(1599,3015);PD(1586,3014);PD(1574,3018);PD(1560,3027);PD(1547,3041);PD(1529,3058);PD(1517,3066);PD(1510,3065);PD(1504,3055);PD(1496,3043);PD(1482,3031);PD(1464,3020);PD(1441,3011);PD(1386,2997);PD(1326,2992);PD(1277,2988);PD(1256,2977);PD(1274,2968);PD(1318,2963);PD(1353,2962);PD(1372,2956);PD(1382,2941);PD(1387,2913);PD(1389,2862);PD(1383,2799);PD(1373,2742);PD(1360,2711);PD(1350,2712);PD(1333,2725);PD(1310,2748);PD(1284,2779);PD(1228,2854);PD(1180,2934);PD(1126,3035);PD(1198,3025);PD(1250,3023);PD(1271,3031);PD(1258,3043);PD(1211,3055);PD(1170,3064);PD(1134,3076);PD(1103,3090);PD(1077,3108);PD(1057,3128);PD(1042,3150);PD(1033,3175);PD(1030,3202);PD(1030,3253);PD(995,3200);PD(975,3177);PD(949,3153);PD(919,3131);PD(885,3112);PD(820,3084);PD(762,3068);PD(739,3064);PD(721,3064);PD(710,3067);PD(706,3075);PD(701,3087);PD(688,3090);PD(672,3082);PD(656,3066);PD(648,3057);PD(639,3053);PD(631,3052);PD(623,3055);PD(611,3071);PD(607,3099);PD(606,3118);PD(600,3128);PD(587,3130);PD(564,3126);PD(527,3122);PD(506,3128);PD(502,3134);PD(504,3142);PD(511,3151);PD(524,3162);PD(557,3189);PD(500,3189);PD(473,3191);PD(448,3197);PD(425,3206);PD(406,3219);PD(388,3235);PD(374,3254);PD(362,3276);PD(353,3302);PD(347,3338);PD(348,3372);PD(355,3403);PD(369,3430);PD(388,3453);PD(412,3470);PD(441,3482);PD(473,3485);PD(491,3486);PD(500,3490);PD(500,3499);PD(494,3512);PD(483,3540);PD(480,3563);PD(487,3579);PD(501,3584);PD(511,3587);PD(517,3597);PD(521,3613);PD(522,3638);PD(525,3665);PD(532,3692);PD(543,3718);PD(558,3742);PD(576,3765);PD(596,3784);PD(618,3799);PD(642,3810);PD(666,3816);PD(691,3818);PD(715,3816);PD(739,3811);PD(762,3803);PD(782,3791);PD(800,3776);PD(814,3759);PD(832,3735);PD(847,3727);PD(857,3734);PD(864,3758);PD(869,3772);PD(879,3786);PD(894,3799);PD(913,3810);PD(934,3822);PD(949,3836);PD(958,3852);PD(962,3872);PD(975,3907);PD(998,3934);PD(1015,3944);PD(1027,3946);PD(1035,3939);PD(1043,3921);PD(1050,3903);PD(1055,3897);PD(1059,3906);PD(1065,3930);PD(1078,3981);PD(1090,4014);PD(1104,4038);PD(1126,4060);PD(1146,4075);PD(1166,4085);PD(1186,4090);PD(1206,4090);PD(1225,4086);PD(1242,4077);PD(1256,4064);PD(1267,4046);PU(3425,4015);PD(3463,3995);PD(3510,3964);PD(3560,3925);PD(3612,3882);PD(3662,3838);PD(3706,3794);PD(3740,3755);PD(3762,3723);PD(3775,3687);PD(3781,3649);PD(3779,3614);PD(3769,3586);PD(3767,3573);PD(3773,3554);PD(3788,3527);PD(3811,3494);PD(3868,3412);PD(3913,3331);PD(3929,3294);PD(3939,3264);PD(3943,3242);PD(3940,3229);PD(3916,3220);PD(3876,3223);PD(3828,3237);PD(3775,3260);PD(3749,3272);PD(3729,3278);PD(3716,3278);PD(3708,3272);PD(3708,3261);PD(3713,3244);PD(3725,3222);PD(3744,3195);PD(3786,3130);PD(3820,3069);PD(3840,3023);PD(3842,3000);PD(3826,2993);PD(3800,2994);PD(3763,3006);PD(3713,3027);PD(3657,3050);PD(3629,3056);PD(3636,3038);PD(3660,3004);PD(3677,2981);PD(3689,2957);PD(3696,2933);PD(3697,2910);PD(3693,2889);PD(3684,2871);PD(3671,2858);PD(3652,2849);PD(3629,2847);PD(3604,2858);PD(3569,2888);PD(3515,2942);PD(3444,3018);PD(3415,3055);PD(3433,3060);PD(3478,3058);PD(3523,3054);PD(3542,3059);PD(3512,3100);PD(3442,3182);PD(3317,3328);PD(3224,3452);PD(3191,3503);PD(3167,3548);PD(3152,3584);PD(3147,3612);PD(3149,3624);PD(3157,3633);PD(3168,3638);PD(3185,3641);PD(3229,3636);PD(3288,3620);PD(3332,3606);PD(3353,3603);PD(3348,3647);PD(3329,3747);PD(3311,3850);PD(3307,3929);PD(3310,3960);PD(3317,3985);PD(3326,4004);PD(3339,4017);PD(3357,4030);PD(3370,4034);PD(3389,4029);PD(3425,4015);PU(2326,3322);PD(2339,3311);PD(2348,3297);PD(2354,3281);PD(2357,3264);PD(2357,3227);PD(2389,3257);PD(2427,3286);PD(2468,3304);PD(2507,3310);PD(2539,3303);PD(2566,3283);PD(2583,3257);PD(2589,3229);PD(2582,3198);PD(2577,3171);PD(2582,3155);PD(2599,3152);PD(2625,3161);PD(2647,3168);PD(2668,3167);PD(2687,3158);PD(2702,3144);PD(2713,3125);PD(2718,3103);PD(2715,3080);PD(2705,3056);PD(2694,3038);PD(2693,3028);PD(2706,3025);PD(2735,3025);PD(2763,3025);PD(2783,3018);PD(2797,3002);PD(2812,2975);PD(2828,2934);PD(2829,2899);PD(2815,2864);PD(2786,2824);PD(2752,2783);PD(2800,2766);PD(2818,2758);PD(2833,2748);PD(2845,2736);PD(2854,2722);PD(2859,2706);PD(2860,2689);PD(2858,2670);PD(2852,2650);PD(2843,2631);PD(2833,2615);PD(2819,2601);PD(2802,2590);PD(2755,2570);PD(2688,2556);PD(2382,2493);PD(2104,2431);PD(2085,2428);PD(2076,2432);PD(2075,2448);PD(2080,2481);PD(2090,2532);PD(2104,2574);PD(2115,2593);PD(2129,2602);PD(2151,2604);PD(2189,2601);PD(2224,2597);PD(2245,2598);PD(2255,2604);PD(2258,2616);PD(2256,2628);PD(2249,2634);PD(2236,2635);PD(2215,2632);PD(2194,2629);PD(2175,2632);PD(2157,2641);PD(2138,2659);PD(2113,2693);PD(2103,2723);PD(2102,2739);PD(2098,2746);PD(2089,2743);PD(2072,2732);PD(2042,2715);PD(2019,2711);PD(2003,2722);PD(1990,2746);PD(1975,2768);PD(1961,2773);PD(1953,2758);PD(1956,2733);PD(1967,2708);PD(1984,2687);PD(1995,2669);PD(1995,2649);PD(1985,2632);PD(1969,2625);PD(1943,2637);PD(1905,2667);PD(1884,2689);PD(1871,2706);PD(1867,2723);PD(1870,2740);PD(1886,2776);PD(1907,2801);PD(1931,2816);PD(1957,2818);PD(1982,2816);PD(1987,2824);PD(1974,2844);PD(1940,2879);PD(1921,2900);PD(1906,2922);PD(1896,2943);PD(1890,2964);PD(1889,2982);PD(1894,2997);PD(1904,3008);PD(1919,3016);PD(1939,3026);PD(1947,3041);PD(1939,3056);PD(1919,3066);PD(1899,3075);PD(1891,3088);PD(1903,3112);PD(1932,3141);PD(1967,3165);PD(1997,3175);PD(2012,3177);PD(2021,3182);PD(2024,3192);PD(2022,3209);PD(2021,3227);PD(2028,3244);PD(2044,3264);PD(2070,3286);PD(2103,3311);PD(2136,3329);PD(2169,3342);PD(2201,3350);PD(2233,3351);PD(2265,3347);PD(2295,3337);PD(2326,3322);PU(1023,3119);PD(1037,3095);PD(1058,3076);PD(1095,3028);PD(1147,2931);PD(1181,2867);PD(1214,2814);PD(1247,2771);PD(1284,2732);PD(1340,2686);PD(1373,2671);PD(1383,2680);PD(1393,2697);PD(1401,2723);PD(1409,2753);PD(1419,2822);PD(1420,2890);PD(1417,2928);PD(1419,2952);PD(1425,2965);PD(1437,2972);PD(1461,2981);PD(1486,2993);PD(1500,2998);PD(1518,2999);PD(1538,2996);PD(1562,2989);PD(1590,2980);PD(1609,2979);PD(1625,2989);PD(1645,3010);PD(1663,3028);PD(1679,3039);PD(1694,3043);PD(1709,3041);PD(1721,3035);PD(1728,3028);PD(1730,3019);PD(1727,3008);PD(1694,2924);PD(1673,2852);PD(1663,2777);PD(1659,2688);PD(1662,2612);PD(1667,2555);PD(1679,2505);PD(1698,2450);PD(1730,2375);PD(1753,2333);PD(1760,2315);PD(1755,2302);PD(1562,2170);PD(1383,2060);PD(1373,2067);PD(1369,2081);PD(1365,2105);PD(1356,2132);PD(1341,2161);PD(1322,2190);PD(1300,2218);PD(1275,2243);PD(1250,2264);PD(1225,2280);PD(1202,2289);PD(1181,2291);PD(1152,2283);PD(1109,2265);PD(1065,2247);PD(1023,2237);PD(976,2231);PD(917,2230);PD(847,2232);PD(811,2241);PD(805,2249);PD(806,2261);PD(813,2275);PD(826,2294);PD(838,2310);PD(854,2318);PD(878,2320);PD(913,2318);PD(975,2318);PD(1035,2327);PD(1090,2345);PD(1135,2372);PD(1158,2394);PD(1160,2410);PD(1141,2425);PD(1096,2441);PD(1070,2452);PD(1046,2469);PD(1023,2492);PD(1000,2522);PD(971,2567);PD(962,2588);PD(975,2597);PD(1002,2611);PD(1020,2619);PD(1033,2621);PD(1042,2616);PD(1051,2603);PD(1074,2570);PD(1100,2537);PD(1130,2508);PD(1162,2481);PD(1195,2459);PD(1228,2442);PD(1260,2431);PD(1288,2427);PD(1334,2404);PD(1407,2348);PD(1474,2295);PD(1506,2278);PD(1492,2321);PD(1449,2417);PD(1396,2513);PD(1339,2592);PD(1311,2625);PD(1282,2651);PD(1254,2672);PD(1226,2687);PD(1204,2700);PD(1183,2723);PD(1161,2758);PD(1135,2808);PD(1087,2898);PD(1039,2973);PD(994,3029);PD(954,3062);PD(928,3077);PD(920,3090);PD(930,3103);PD(957,3121);PD(987,3139);PD(1005,3144);PD(1016,3137);PD(1023,3119);PU(951,3020);PD(997,2971);PD(1043,2908);PD(1086,2835);PD(1122,2757);PD(1140,2717);PD(1159,2689);PD(1180,2669);PD(1208,2653);PD(1260,2621);PD(1313,2571);PD(1363,2510);PD(1404,2441);PD(1422,2405);PD(1429,2385);PD(1427,2378);PD(1415,2382);PD(1387,2403);PD(1356,2433);PD(1339,2448);PD(1320,2460);PD(1301,2467);PD(1281,2469);PD(1240,2476);PD(1199,2491);PD(1158,2520);PD(1122,2560);PD(1109,2581);PD(1099,2600);PD(1094,2617);PD(1095,2630);PD(1097,2642);PD(1093,2648);PD(1081,2652);PD(1060,2653);PD(1010,2646);PD(969,2628);PD(952,2615);PD(937,2599);PD(926,2580);PD(917,2560);PD(910,2535);PD(908,2517);PD(909,2503);PD(916,2493);PD(924,2487);PD(931,2487);PD(936,2495);PD(941,2509);PD(946,2526);PD(953,2529);PD(964,2515);PD(984,2484);PD(1001,2457);PD(1020,2437);PD(1039,2424);PD(1060,2417);PD(1094,2408);PD(1106,2397);PD(1098,2385);PD(1070,2373);PD(1000,2355);PD(945,2347);PD(924,2347);PD(906,2350);PD(892,2355);PD(883,2364);PD(873,2376);PD(862,2377);PD(846,2366);PD(821,2342);PD(799,2319);PD(785,2296);PD(778,2272);PD(776,2244);PD(779,2199);PD(785,2167);PD(796,2150);PD(807,2145);PD(815,2153);PD(814,2173);PD(812,2182);PD(813,2189);PD(817,2194);PD(826,2197);PD(861,2201);PD(929,2201);PD(990,2203);PD(1038,2208);PD(1078,2216);PD(1113,2230);PD(1162,2249);PD(1194,2258);PD(1208,2254);PD(1226,2242);PD(1246,2224);PD(1266,2202);PD(1305,2149);PD(1331,2096);PD(1353,2031);PD(1280,1984);PD(1212,1946);PD(1153,1918);PD(1122,1908);PD(1103,1906);PD(1090,1912);PD(1078,1926);PD(1064,1952);PD(1058,1978);PD(1056,1997);PD(1049,2002);PD(1035,1993);PD(1015,1969);PD(992,1949);PD(969,1943);PD(960,1945);PD(952,1950);PD(947,1958);PD(945,1970);PD(943,1983);PD(935,1988);PD(914,1986);PD(879,1977);PD(834,1969);PD(801,1974);PD(788,1983);PD(777,1996);PD(767,2012);PD(759,2033);PD(748,2067);PD(736,2085);PD(725,2087);PD(713,2074);PD(696,2065);PD(667,2060);PD(648,2062);PD(638,2068);PD(636,2082);PD(638,2108);PD(643,2156);PD(597,2115);PD(557,2086);PD(528,2074);PD(517,2076);PD(508,2081);PD(502,2089);PD(499,2098);PD(501,2119);PD(516,2139);PD(530,2151);PD(532,2156);PD(520,2156);PD(494,2151);PD(440,2144);PD(391,2147);PD(350,2157);PD(318,2174);PD(296,2195);PD(287,2221);PD(291,2250);PD(312,2280);PD(343,2314);PD(305,2314);PD(284,2315);PD(275,2318);PD(275,2325);PD(284,2337);PD(292,2350);PD(292,2361);PD(282,2372);PD(262,2388);PD(228,2420);PD(209,2453);PD(206,2470);PD(206,2487);PD(210,2504);PD(219,2520);PD(230,2540);PD(234,2556);PD(230,2573);PD(219,2596);PD(204,2638);PD(199,2681);PD(204,2725);PD(219,2766);PD(235,2790);PD(257,2811);PD(283,2828);PD(310,2841);PD(338,2848);PD(365,2850);PD(388,2845);PD(406,2834);PD(416,2826);PD(424,2826);PD(433,2833);PD(445,2846);PD(455,2858);PD(466,2867);PD(477,2871);PD(487,2870);PD(497,2868);PD(502,2872);PD(503,2884);PD(500,2905);PD(497,2933);PD(502,2947);PD(515,2947);PD(535,2932);PD(544,2924);PD(549,2923);PD(549,2930);PD(546,2945);PD(544,2963);PD(546,2980);PD(552,2994);PD(561,3007);PD(572,3017);PD(586,3023);PD(602,3026);PD(619,3025);PD(651,3024);PD(669,3032);PD(675,3039);PD(683,3041);PD(693,3039);PD(706,3034);PD(721,3029);PD(738,3028);PD(760,3031);PD(786,3040);PD(839,3055);PD(880,3058);PD(914,3047);PD(951,3020);PU(1870,3031);PD(1857,2983);PD(1854,2950);PD(1862,2925);PD(1882,2897);PD(1919,2853);PD(1877,2811);PD(1857,2788);PD(1844,2767);PD(1836,2745);PD(1834,2724);PD(1838,2703);PD(1848,2682);PD(1863,2661);PD(1884,2640);PD(1925,2609);PD(1954,2596);PD(1961,2587);PD(1959,2563);PD(1948,2529);PD(1931,2488);PD(1910,2446);PD(1888,2407);PD(1865,2374);PD(1844,2354);PD(1820,2337);PD(1806,2331);PD(1795,2335);PD(1784,2349);PD(1760,2391);PD(1733,2454);PD(1718,2503);PD(1707,2562);PD(1701,2627);PD(1699,2696);PD(1701,2765);PD(1708,2830);PD(1719,2890);PD(1734,2939);PD(1764,3000);PD(1789,3028);PD(1813,3037);PD(1834,3048);PD(1856,3059);PD(1870,3060);PD(1874,3050);PD(1870,3031);PU(3717,2814);PD(3729,2807);PD(3737,2798);PD(3740,2788);PD(3739,2778);PD(3725,2759);PD(3696,2746);PD(3653,2739);PD(3628,2739);PD(3616,2748);PD(3612,2766);PD(3615,2779);PD(3622,2792);PD(3634,2802);PD(3648,2810);PD(3682,2819);PD(3717,2814);PU(3848,2660);PD(3888,2633);PD(3915,2610);PD(3931,2590);PD(3937,2572);PD(3936,2557);PD(3931,2546);PD(3923,2540);PD(3912,2538);PD(3876,2546);PD(3821,2572);PD(3741,2616);PD(3628,2598);PD(3551,2587);PD(3503,2587);PD(3488,2591);PD(3478,2598);PD(3473,2609);PD(3471,2622);PD(3476,2634);PD(3488,2647);PD(3507,2660);PD(3531,2672);PD(3595,2695);PD(3669,2711);PD(3719,2717);PD(3753,2714);PD(3790,2697);PD(3848,2660);PU(2088,2668);PD(2093,2653);PD(2093,2634);PD(2087,2610);PD(2074,2580);PD(2054,2522);PD(2046,2468);PD(2045,2439);PD(2038,2423);PD(2023,2413);PD(1995,2406);PD(1958,2401);PD(1939,2403);PD(1984,2534);PD(2049,2678);PD(2061,2691);PD(2069,2693);PD(2077,2686);PD(2088,2668);PU(3725,2350);PD(3723,2185);PD(3717,2117);PD(3689,2134);PD(3634,2176);PD(3606,2198);PD(3585,2218);PD(3569,2239);PD(3558,2263);PD(3546,2334);PD(3539,2455);PD(3535,2547);PD(3612,2563);PD(3673,2575);PD(3708,2581);PD(3716,2570);PD(3722,2532);PD(3724,2461);PD(3725,2350);PU(3006,2563);PD(2974,2535);PD(2897,2481);PD(2692,2337);PD(2354,2098);PD(1922,1792);PD(1504,1792);PD(1209,1795);PD(1088,1803);PD(1208,1888);PD(1494,2077);PD(1899,2342);PD(2139,2397);PD(2500,2476);PD(2900,2553);PD(2986,2566);PD(3006,2563);PU(3254,2437);PD(3342,2365);PD(3464,2263);PD(3606,2145);PD(3751,2025);PD(3938,1870);PD(4045,1777);PD(4073,1750);PD(4087,1733);PD(4090,1724);PD(4082,1722);PD(3930,1839);PD(3581,2122);PD(3092,2524);PD(2523,2107);PD(1954,1691);PD(1508,1700);PD(1217,1707);PD(1069,1712);PD(1034,1716);PD(1016,1721);PD(1010,1728);PD(1009,1737);PD(1027,1747);PD(1096,1754);PD(1238,1757);PD(1475,1760);PD(1939,1762);PD(2448,2122);PD(2824,2389);PD(3013,2524);PD(3057,2555);PD(3083,2568);PD(3140,2530);PD(3254,2437);PU(3828,2533);PD(3881,2506);PD(3879,2379);PD(3875,2250);PD(3868,2119);PD(3859,1988);PD(3807,2032);PD(3754,2076);PD(3754,2324);PD(3757,2497);PD(3765,2565);PD(3788,2554);PD(3828,2533);PU(3525,2128);PD(3847,1865);PD(4009,1733);PD(4057,1695);PD(4006,1693);PD(3988,1696);PD(3966,1704);PD(3935,1723);PD(3891,1754);PD(3748,1867);PD(3502,2070);PD(3283,2254);PD(3147,2372);PD(3105,2411);PD(3078,2439);PD(3066,2456);PD(3065,2465);PD(3077,2478);PD(3085,2484);PD(3216,2379);PD(3525,2128);PU(3473,2050);PD(3730,1836);PD(3863,1719);PD(3896,1686);PD(3913,1663);PD(3918,1646);PD(3917,1631);PD(3869,1341);PD(3821,1010);PD(3784,699);PD(3765,473);PD(3761,402);PD(3652,398);PD(3599,396);PD(3565,398);PD(3547,403);PD(3542,412);PD(3527,435);PD(3493,464);PD(3443,498);PD(3443,766);PD(3446,954);PD(3452,1026);PD(3458,947);PD(3459,769);PD(3456,521);PD(3601,525);PD(3747,529);PD(3756,796);PD(3766,1061);PD(3708,1142);PD(3664,1201);PD(3639,1233);PD(3630,1236);PD(3616,1231);PD(3596,1220);PD(3573,1204);PD(3519,1160);PD(3401,1322);PD(3312,1440);PD(3267,1496);PD(3232,1508);PD(3169,1521);PD(3089,1534);PD(2945,1331);PD(2842,1184);PD(2797,1115);PD(2806,1099);PD(2835,1080);PD(2879,1057);PD(2879,783);PD(2875,580);PD(2865,508);PD(2854,480);PD(2850,409);PD(2850,312);PD(2805,303);PD(2721,292);PD(2582,275);PD(2445,257);PD(2364,246);PD(2321,238);PD(2326,487);PD(2326,619);PD(2323,754);PD(2315,892);PD(2303,1033);PD(2286,1178);PD(2264,1328);PD(2238,1482);PD(2207,1643);PD(2189,1737);PD(2181,1789);PD(2185,1815);PD(2197,1829);PD(2331,1927);PD(2618,2136);PD(2898,2341);PD(3017,2427);PD(3152,2317);PD(3473,2050);PU(2177,1578);PD(2231,1273);PD(2265,1003);PD(2275,877);PD(2282,752);PD(2284,626);PD(2283,498);PD(2279,325);PD(2272,250);PD(2097,294);PD(1566,452);PD(1475,478);PD(1435,683);PD(1375,966);PD(1307,1240);PD(1239,1479);PD(1177,1657);PD(1173,1671);PD(1178,1679);PD(1198,1679);PD(1236,1675);PD(1383,1668);PD(1640,1664);PD(1974,1664);PD(2049,1720);PD(2104,1761);PD(2131,1778);PD(2148,1719);PD(2177,1578);PU(3185,1484);PD(3183,1467);PD(3162,1426);PD(3123,1360);PD(3065,1269);PD(2928,1063);PD(2886,1089);PD(2857,1112);PD(2848,1129);PD(2925,1247);PD(3072,1451);PD(3098,1478);PD(3127,1493);PD(3156,1495);PD(3185,1484);PU(3405,1263);PD(3556,1058);PD(3509,1058);PD(3495,1059);PD(3482,1062);PD(3469,1069);PD(3456,1082);PD(3421,1130);PD(3366,1221);PD(3293,1335);PD(3258,1383);PD(3222,1334);PD(3148,1216);PD(3092,1124);PD(3056,1075);PD(3044,1063);PD(3032,1056);PD(3020,1054);PD(3007,1056);PD(2968,1061);PD(3102,1264);PD(3198,1408);PD(3244,1468);PD(3294,1407);PD(3405,1263);PU(3350,1180);PD(3406,1091);PD(3426,1053);PD(3376,1053);PD(3262,1056);PD(3191,1059);PD(3142,1063);PD(3115,1069);PD(3107,1077);PD(3134,1131);PD(3185,1213);PD(3235,1287);PD(3261,1315);PD(3291,1271);PD(3350,1180);PU(3669,1137);PD(3699,1090);PD(3711,1067);PD(3694,1061);PD(3652,1058);PD(3620,1061);PD(3598,1067);PD(3580,1078);PD(3564,1096);PD(3538,1133);PD(3579,1167);PD(3608,1190);PD(3622,1199);PD(3637,1181);PD(3669,1137);PU(1318,1039);PD(1322,1003);PD(1318,975);PD(1305,946);PD(1278,907);PD(1242,849);PD(1221,803);PD(1217,791);PD(1213,782);PD(1204,775);PD(1191,770);PD(1138,763);PD(1040,756);PD(893,745);PD(780,730);PD(735,720);PD(710,717);PD(703,721);PD(708,731);PD(745,758);PD(810,792);PD(891,828);PD(975,859);PD(1027,879);PD(1073,904);PD(1120,940);PD(1180,995);PD(1261,1069);PD(1300,1101);PD(1309,1082);PD(1318,1039);PU(3097,1026);PD(3200,1028);PD(3306,1023);PD(3415,1013);PD(3415,770);PD(3415,526);PD(3299,518);PD(3176,511);PD(3045,508);PD(2907,508);PD(2907,775);PD(2907,1043);PD(2952,1030);PD(3013,1023);PD(3097,1026);PU(3607,986);PD(3601,933);PD(3598,866);PD(3598,790);PD(3540,790);PD(3509,791);PD(3493,795);PD(3488,805);PD(3491,823);PD(3497,870);PD(3500,943);PD(3500,1030);PD(3557,1030);PD(3591,1029);PD(3607,1025);PD(3611,1012);PD(3607,986);PU(3734,1008);PD(3728,963);PD(3725,888);PD(3725,790);PD(3675,790);PD(3645,791);PD(3631,796);PD(3628,809);PD(3632,834);PD(3638,888);PD(3641,954);PD(3641,1030);PD(3691,1030);PD(3716,1029);PD(3731,1026);PD(3736,1019);PD(3734,1008);PU(1374,785);PD(1398,660);PD(1367,627);PD(1352,613);PD(1334,602);PD(1314,595);PD(1295,593);PD(1246,584);PD(1183,564);PD(1129,546);PD(1103,542);PD(1104,557);PD(1118,582);PD(1143,613);PD(1175,645);PD(1196,666);PD(1213,688);PD(1226,712);PD(1233,735);PD(1253,793);PD(1285,858);PD(1302,887);PD(1318,909);PD(1331,922);PD(1339,923);PD(1355,877);PD(1374,785);PU(3596,660);PD(3591,557);PD(3542,557);PD(3493,557);PD(3488,660);PD(3484,762);PD(3542,762);PD(3600,762);PD(3596,660);PU(3725,700);PD(3723,643);PD(3717,594);PD(3710,572);PD(3702,558);PD(3688,552);PD(3667,550);PD(3627,550);PD(3627,656);PD(3627,762);PD(3676,762);PD(3704,761);PD(3719,754);PD(3725,736);PD(3725,700);PU(3433,467);PD(3446,459);PD(3452,452);PD(3451,447);PD(3438,444);PD(3372,438);PD(3234,432);PD(3116,427);PD(3038,427);PD(2991,431);PD(2965,440);PD(2944,456);PD(2935,468);PD(3001,477);PD(3158,484);PD(3316,488);PD(3387,491);PD(3404,485);PD(3433,467);PU(2956,356);PD(2953,329);PD(2957,309);PD(2972,289);PD(2999,264);PD(3022,241);PD(3037,222);PD(3045,204);PD(3047,188);PD(3044,179);PD(3041,173);PD(3037,170);PD(3029,172);PD(3005,188);PD(2961,223);PD(2879,289);PD(2879,378);PD(2879,467);PD(2922,435);PD(2944,416);PD(2956,400);PD(2960,381);PD(2956,356);PU(3504,374);PD(3499,360);PD(3490,349);PD(3473,341);PD(3446,334);PD(3352,326);PD(3186,320);PD(2992,316);PD(2992,356);PD(2992,394);PD(3165,399);PD(3312,403);PD(3423,406);PD(3472,407);PD(3497,404);PD(3506,394);PD(3504,374);PU(3539,279);PD(3551,265);PD(3556,254);PD(3485,247);PD(3316,241);PD(3199,240);PD(3121,242);PD(3075,247);PD(3052,257);PD(3042,267);PD(3042,273);PD(3053,279);PD(3078,284);PD(3186,293);PD(3336,295);PD(3472,290);PD(3539,279);PU(3570,191);PD(3570,155);PD(3323,155);PD(3185,156);PD(3111,159);PD(3092,163);PD(3081,168);PD(3077,175);PD(3076,183);PD(3077,192);PD(3082,199);PD(3092,204);PD(3111,208);PD(3184,213);PD(3320,216);PD(3493,219);PD(3567,223);PD(3569,215);PD(3570,191);PU(2903,2224);PD(2869,2209);PD(2840,2192);PD(2814,2171);PD(2792,2147);PD(2775,2121);PD(2762,2093);PD(2754,2063);PD(2752,2032);PD(2752,1990);PD(2855,1990);PD(2992,1987);PD(3175,1980);PD(3391,1971);PD(3381,2019);PD(3362,2074);PD(3329,2127);PD(3284,2175);PD(3233,2211);PD(3198,2227);PD(3162,2237);PD(3119,2242);PD(3064,2244);PD(2972,2237);PD(2903,2224);PU(3076,2117);PD(3076,2018);PD(2928,2018);PD(2863,2019);PD(2817,2022);PD(2789,2027);PD(2780,2033);PD(2788,2065);PD(2807,2103);PD(2832,2140);PD(2858,2165);PD(2894,2183);PD(2937,2199);PD(2985,2209);PD(3031,2214);PD(3076,2215);PD(3076,2117);PU(3213,2186);PD(3260,2154);PD(3303,2112);PD(3320,2089);PD(3333,2067);PD(3341,2046);PD(3344,2028);PD(3341,2014);PD(3328,2007);PD(3295,2007);PD(3236,2011);PD(3156,2020);PD(3119,2028);PD(3113,2058);PD(3107,2124);PD(3106,2159);PD(3106,2185);PD(3110,2203);PD(3119,2213);PD(3132,2216);PD(3152,2212);PD(3179,2202);PD(3213,2186);PU(2747,1839);PD(2753,1733);PD(2760,1655);PD(2767,1596);PD(3085,1592);PD(3401,1588);PD(3401,1765);PD(3401,1943);PD(3250,1952);PD(3092,1959);PD(2921,1961);PD(2743,1961);PD(2747,1839);PU(3088,1860);PD(3092,1792);PD(2937,1792);PD(2780,1792);PD(2780,1863);PD(2780,1935);PD(2932,1930);PD(3083,1926);PD(3088,1860);PU(3358,1899);PD(3361,1873);PD(3367,1836);PD(3377,1792);PD(3247,1792);PD(3119,1792);PD(3119,1856);PD(3119,1919);PD(3239,1919);PD(3296,1918);PD(3333,1915);PD(3353,1909);PD(3358,1899);PU(3090,1693);PD(3090,1623);PD(2942,1623);PD(2794,1623);PD(2794,1662);PD(2791,1699);PD(2786,1733);PD(2783,1743);PD(2783,1751);PD(2787,1756);PD(2798,1760);PD(2843,1763);PD(2934,1764);PD(3090,1764);PD(3090,1693);PU(3373,1693);PD(3373,1623);PD(3254,1623);PD(3137,1623);PD(3127,1667);PD(3121,1699);PD(3118,1723);PD(3119,1741);PD(3126,1752);PD(3165,1763);PD(3246,1764);PD(3373,1764);PD(3373,1693);PU(2460,1195);PD(2358,1108);PD(2364,960);PD(2371,801);PD(2379,629);PD(2388,449);PD(2546,459);PD(2657,466);PD(2704,470);PD(2708,565);PD(2715,790);PD(2725,1108);PD(2643,1195);PD(2561,1283);PD(2460,1195);PU(2618,1171);PD(2673,1115);PD(2547,1115);PD(2420,1115);PD(2484,1171);PD(2530,1210);PD(2554,1228);PD(2576,1211);PD(2618,1171);PU(2529,931);PD(2529,783);PD(2465,779);PD(2400,775);PD(2396,924);PD(2395,1033);PD(2399,1081);PD(2421,1085);PD(2467,1084);PD(2529,1080);PD(2529,931);PU(2690,992);PD(2684,906);PD(2681,837);PD(2681,776);PD(2625,776);PD(2568,776);PD(2568,931);PD(2568,1087);PD(2633,1087);PD(2699,1087);PD(2690,992);PU(2533,622);PD(2533,497);PD(2478,488);PD(2438,483);PD(2420,483);PD(2415,524);PD(2410,618);PD(2405,748);PD(2468,748);PD(2533,748);PD(2533,622);PU(2681,621);PD(2681,494);PD(2625,494);PD(2568,494);PD(2568,621);PD(2568,748);PD(2625,748);PD(2681,748);PD(2681,621);PU(1492,1264);PD(1425,1170);PD(1455,1054);PD(1482,933);PD(1507,804);PD(1531,670);PD(1665,655);PD(1761,645);PD(1805,643);PD(1792,794);PD(1754,1030);PD(1736,1109);PD(1714,1166);PD(1680,1219);PD(1627,1281);PD(1559,1357);PD(1492,1264);PU(1616,1246);PD(1650,1205);PD(1665,1181);PD(1638,1174);PD(1573,1174);PD(1508,1178);PD(1482,1183);PD(1520,1243);PD(1561,1298);PD(1579,1283);PD(1616,1246);PU(1568,1140);PD(1573,1103);PD(1586,1020);PD(1603,903);PD(1564,903);PD(1544,905);PD(1531,911);PD(1522,923);PD(1516,943);PD(1492,1045);PD(1473,1119);PD(1472,1131);PD(1477,1138);PD(1491,1142);PD(1516,1143);PD(1552,1142);PD(1568,1140);PU(1723,1020);PD(1746,903);PD(1692,903);PD(1663,904);PD(1646,910);PD(1637,924);PD(1631,950);PD(1622,1003);PD(1610,1070);PD(1599,1144);PD(1648,1140);PD(1699,1136);PD(1723,1020);PU(1619,787);PD(1628,723);PD(1630,694);PD(1617,694);PD(1592,698);PD(1573,706);PD(1561,721);PD(1552,748);PD(1544,792);PD(1530,875);PD(1568,875);PD(1589,873);PD(1602,862);PD(1610,836);PD(1619,787);PU(1761,780);PD(1769,710);PD(1770,679);PD(1752,678);PD(1716,683);PD(1688,690);PD(1673,701);PD(1664,722);PD(1658,759);PD(1649,814);PD(1641,851);PD(1640,863);PD(1646,870);PD(1662,874);PD(1691,875);PD(1747,875);PD(1761,780);PU(1936,1254);PD(1885,1183);PD(1863,1139);PD(1907,851);PD(1959,591);PD(2002,574);PD(2091,548);PD(2213,512);PD(2220,549);PD(2221,614);PD(2215,734);PD(2203,881);PD(2189,1026);PD(2176,1095);PD(2152,1156);PD(2112,1219);PD(2049,1297);PD(2008,1346);PD(1936,1254);PU(2073,1216);PD(2105,1172);PD(2115,1151);PD(2082,1151);PD(2008,1154);PD(1906,1160);PD(1959,1229);PD(1997,1275);PD(2018,1287);PD(2038,1262);PD(2073,1216);PU(2019,1098);PD(2023,1044);PD(2031,962);PD(2040,859);PD(1990,865);PD(1940,869);PD(1923,967);PD(1909,1046);PD(1898,1098);PD(1895,1115);PD(1901,1124);PD(1920,1128);PD(1954,1129);PD(1988,1128);PD(2007,1123);PD(2016,1114);PD(2019,1098);PU(2149,1063);PD(2158,1000);PD(2167,923);PD(2176,838);PD(2127,844);PD(2098,849);PD(2082,859);PD(2073,884);PD(2067,930);PD(2064,965);PD(2060,1002);PD(2056,1035);PD(2053,1063);PD(2050,1092);PD(2053,1108);PD(2066,1114);PD(2094,1115);PD(2120,1113);PD(2135,1107);PD(2144,1091);PD(2149,1063);PU(2049,717);PD(2053,633);PD(2053,595);PD(2041,597);PD(2015,605);PD(1997,614);PD(1985,628);PD(1976,650);PD(1970,680);PD(1965,708);PD(1961,737);PD(1957,765);PD(1953,787);PD(1949,813);PD(1952,826);PD(1966,832);PD(1994,833);PD(2042,833);PD(2049,717);PU(2156,810);PD(2174,802);PD(2183,784);PD(2187,746);PD(2187,677);PD(2187,553);PD(2138,569);PD(2112,578);PD(2097,589);PD(2090,604);PD(2088,627);PD(2086,679);PD(2080,745);PD(2077,792);PD(2085,815);PD(2110,820);PD(2156,810);PU(3006,755);PD(3006,563);PD(3172,567);PD(3337,572);PD(3337,755);PD(3337,938);PD(3172,943);PD(3006,947);PD(3006,755);PU(3316,755);PD(3316,593);PD(3175,593);PD(3034,593);PD(3034,639);PD(3031,705);PD(3024,802);PD(3016,917);PD(3167,917);PD(3316,917);PD(3316,755);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_15(){//пейзаж
M=0.4;//  
PD(2046,3775);pendown();
PD(2050,3657);PD(2060,3612);PD(2070,3657);PD(2074,3775);PD(2070,3893);PD(2060,3937);PD(2050,3893);PD(2046,3775);PU(2330,3903);PD(2322,3880);PD(2327,3854);PD(2342,3833);PD(2362,3824);PD(2383,3831);PD(2399,3847);PD(2407,3870);PD(2406,3895);PD(2393,3914);PD(2373,3922);PD(2350,3919);PD(2330,3903);PU(1834,3878);PD(1847,3762);PD(1870,3631);PD(1875,3614);PD(1881,3603);PD(1887,3598);PD(1892,3599);PD(1900,3617);PD(1899,3652);PD(1881,3773);PD(1867,3852);PD(1856,3896);PD(1847,3909);PD(1838,3900);PD(1834,3878);PU(1501,3818);PD(1497,3792);PD(1503,3772);PD(1518,3759);PD(1541,3756);PD(1556,3760);PD(1566,3768);PD(1572,3779);PD(1573,3796);PD(1572,3812);PD(1566,3824);PD(1556,3832);PD(1541,3835);PD(1528,3836);PD(1516,3833);PD(1507,3827);PD(1501,3818);PU(2510,3699);PD(2436,3616);PD(2392,3563);PD(2381,3547);PD(2376,3536);PD(2377,3530);PD(2383,3528);PD(2432,3570);PD(2524,3664);PD(2613,3761);PD(2653,3813);PD(2651,3821);PD(2646,3824);PD(2636,3820);PD(2622,3810);PD(2578,3769);PD(2510,3699);PU(2738,3790);PD(2726,3767);PD(2729,3745);PD(2735,3737);PD(2744,3731);PD(2755,3728);PD(2769,3728);PD(2784,3732);PD(2794,3739);PD(2799,3751);PD(2801,3768);PD(2795,3793);PD(2779,3806);PD(2759,3806);PD(2738,3790);PU(2290,3731);PD(2237,3655);PD(2215,3607);PD(2217,3599);PD(2221,3597);PD(2228,3599);PD(2237,3606);PD(2261,3632);PD(2293,3675);PD(2328,3733);PD(2339,3767);PD(2335,3772);PD(2326,3769);PD(2311,3755);PD(2290,3731);PU(1623,3744);PD(1641,3705);PD(1683,3643);PD(1726,3586);PD(1751,3564);PD(1756,3576);PD(1748,3600);PD(1727,3638);PD(1691,3694);PD(1664,3728);PD(1643,3749);PD(1635,3754);PD(1628,3755);PD(1624,3751);PD(1623,3744);PU(1228,3634);PD(1252,3609);PD(1307,3568);PD(1363,3531);PD(1391,3518);PD(1395,3530);PD(1385,3547);PD(1362,3570);PD(1324,3600);PD(1287,3623);PD(1256,3637);PD(1235,3641);PD(1228,3634);PU(2839,3610);PD(2807,3584);PD(2794,3562);PD(2795,3553);PD(2797,3547);PD(2802,3544);PD(2808,3545);PD(2830,3556);PD(2863,3583);PD(2893,3613);PD(2897,3630);PD(2878,3629);PD(2839,3610);PU(3123,3617);PD(3108,3601);PD(3105,3576);PD(3112,3552);PD(3128,3536);PD(3141,3533);PD(3154,3535);PD(3165,3541);PD(3175,3549);PD(3182,3559);PD(3186,3571);PD(3185,3583);PD(3181,3594);PD(3168,3611);PD(3155,3620);PD(3140,3622);PD(3123,3617);PU(1077,3576);PD(1076,3556);PD(1085,3538);PD(1094,3533);PD(1104,3533);PD(1114,3537);PD(1124,3544);PD(1138,3563);PD(1137,3583);PD(1123,3595);PD(1105,3597);PD(1088,3591);PD(1077,3576);PU(1926,3552);PD(1872,3532);PD(1829,3510);PD(1787,3480);PD(1740,3439);PD(1698,3394);PD(1662,3345);PD(1634,3292);PD(1612,3235);PD(1598,3176);PD(1591,3115);PD(1592,3053);PD(1602,2992);PD(1608,2967);PD(1614,2953);PD(1619,2950);PD(1624,2957);PD(1630,3000);PD(1631,3080);PD(1632,3149);PD(1636,3198);PD(1645,3237);PD(1661,3274);PD(1701,3343);PD(1747,3400);PD(1801,3446);PD(1865,3484);PD(1914,3507);PD(1955,3520);PD(2000,3526);PD(2059,3528);PD(2122,3524);PD(2181,3513);PD(2235,3495);PD(2285,3471);PD(2331,3439);PD(2372,3400);PD(2409,3353);PD(2443,3299);PD(2469,3247);PD(2483,3204);PD(2489,3154);PD(2489,3079);PD(2493,2990);PD(2503,2961);PD(2515,2991);PD(2523,3080);PD(2523,3129);PD(2518,3175);PD(2509,3221);PD(2496,3264);PD(2479,3305);PD(2458,3345);PD(2433,3382);PD(2405,3416);PD(2374,3447);PD(2340,3475);PD(2303,3500);PD(2264,3521);PD(2222,3538);PD(2178,3551);PD(2132,3560);PD(2084,3564);PD(1995,3563);PD(1926,3552);PU(2636,3442);PD(2583,3401);PD(2550,3370);PD(2542,3359);PD(2539,3351);PD(2541,3346);PD(2548,3344);PD(2588,3365);PD(2651,3412);PD(2711,3463);PD(2738,3494);PD(2737,3507);PD(2735,3514);PD(2704,3492);PD(2636,3442);PU(1468,3487);PD(1482,3467);PD(1516,3438);PD(1553,3412);PD(1579,3401);PD(1588,3402);PD(1594,3406);PD(1594,3412);PD(1591,3419);PD(1574,3439);PD(1542,3464);PD(1507,3486);PD(1484,3497);PD(1471,3497);PD(1468,3487);PU(951,3428);PD(956,3415);PD(979,3401);PD(1067,3371);PD(1139,3355);PD(1164,3351);PD(1181,3352);PD(1188,3357);PD(1183,3366);PD(1140,3385);PD(1063,3408);PD(988,3425);PD(951,3428);PU(1270,3315);PD(1297,3294);PD(1360,3260);PD(1438,3224);PD(1507,3198);PD(1531,3194);PD(1537,3201);PD(1525,3216);PD(1497,3236);PD(1433,3267);PD(1358,3296);PD(1296,3315);PD(1270,3315);PU(3476,3294);PD(3477,3272);PD(3491,3253);PD(3513,3241);PD(3538,3241);PD(3551,3256);PD(3553,3279);PD(3549,3292);PD(3541,3303);PD(3530,3310);PD(3518,3314);PD(3505,3315);PD(3493,3312);PD(3483,3305);PD(3476,3294);PU(2918,3277);PD(2868,3231);PD(2800,3154);PD(2644,2971);PD(2498,2804);PD(2490,2796);PD(2482,2793);PD(2474,2794);PD(2463,2802);PD(2430,2839);PD(2372,2914);PD(2296,3010);PD(2258,3055);PD(2228,3048);PD(2172,3021);PD(2101,2987);PD(2051,2972);PD(2032,2971);PD(2014,2975);PD(1998,2984);PD(1981,2996);PD(1943,3030);PD(1873,2982);PD(1820,2949);PD(1791,2935);PD(1750,2916);PD(1669,2870);PD(1561,2807);PD(1462,2852);PD(1388,2886);PD(1350,2907);PD(1322,2956);PD(1270,3061);PD(1219,3165);PD(1195,3212);PD(1148,3202);PD(1058,3164);PD(964,3115);PD(907,3075);PD(871,3032);PD(797,2947);PD(698,2832);PD(583,2698);PD(409,2496);PD(313,2380);PD(289,2347);PD(276,2327);PD(275,2317);PD(281,2314);PD(327,2355);PD(418,2453);PD(518,2557);PD(590,2616);PD(655,2638);PD(739,2653);PD(778,2657);PD(800,2661);PD(804,2663);PD(804,2664);PD(799,2666);PD(790,2667);PD(739,2672);PD(701,2682);PD(677,2695);PD(666,2712);PD(684,2752);PD(732,2817);PD(769,2856);PD(803,2886);PD(836,2908);PD(871,2924);PD(904,2937);PD(918,2944);PD(913,2946);PD(892,2945);PD(860,2944);PD(847,2948);PD(866,2973);PD(909,3023);PD(941,3054);PD(976,3081);PD(1015,3105);PD(1057,3126);PD(1122,3150);PD(1153,3157);PD(1153,3105);PD(1144,2990);PD(1132,2853);PD(1131,2781);PD(1136,2761);PD(1145,2748);PD(1159,2739);PD(1178,2729);PD(1213,2711);PD(1235,2692);PD(1251,2662);PD(1270,2611);PD(1342,2479);PD(1472,2274);PD(1541,2173);PD(1602,2086);PD(1648,2026);PD(1672,2004);PD(1687,2009);PD(1693,2022);PD(1655,2172);PD(1583,2382);PD(1550,2474);PD(1531,2544);PD(1524,2573);PD(1511,2596);PD(1491,2618);PD(1459,2643);PD(1429,2666);PD(1410,2686);PD(1400,2704);PD(1397,2725);PD(1393,2764);PD(1383,2802);PD(1374,2831);PD(1373,2845);PD(1420,2829);PD(1525,2783);PD(1634,2732);PD(1694,2707);PD(1709,2702);PD(1717,2702);PD(1720,2706);PD(1719,2712);PD(1697,2733);PD(1654,2759);PD(1596,2788);PD(1676,2832);PD(1825,2912);PD(1898,2949);PD(1903,2925);PD(1911,2869);PD(1923,2777);PD(1938,2694);PD(1953,2634);PD(1963,2611);PD(1979,2636);PD(2004,2699);PD(2031,2765);PD(2049,2801);PD(2057,2821);PD(2060,2849);PD(2056,2880);PD(2046,2908);PD(2040,2921);PD(2039,2930);PD(2044,2934);PD(2056,2935);PD(2092,2943);PD(2143,2963);PD(2188,2982);PD(2210,2987);PD(2207,2964);PD(2193,2914);PD(2175,2852);PD(2165,2801);PD(2141,2620);PD(2132,2486);PD(2129,2449);PD(2122,2414);PD(2111,2380);PD(2095,2345);PD(2070,2294);PD(2060,2262);PD(2070,2238);PD(2095,2204);PD(2121,2166);PD(2131,2134);PD(2134,2110);PD(2143,2097);PD(2154,2098);PD(2163,2115);PD(2163,2140);PD(2153,2173);PD(2137,2210);PD(2114,2246);PD(2107,2263);PD(2107,2283);PD(2114,2305);PD(2125,2326);PD(2140,2347);PD(2158,2364);PD(2178,2376);PD(2199,2382);PD(2224,2381);PD(2250,2367);PD(2285,2336);PD(2337,2280);PD(2414,2190);PD(2467,2124);PD(2498,2089);PD(2523,2074);PD(2530,2077);PD(2531,2086);PD(2525,2100);PD(2512,2122);PD(2463,2187);PD(2381,2286);PD(2319,2356);PD(2280,2394);PD(2250,2410);PD(2218,2413);PD(2165,2413);PD(2170,2509);PD(2177,2597);PD(2186,2674);PD(2192,2713);PD(2199,2734);PD(2213,2742);PD(2235,2742);PD(2276,2739);PD(2239,2777);PD(2203,2815);PD(2227,2904);PD(2246,2966);PD(2259,2992);PD(2303,2941);PD(2396,2819);PD(2475,2718);PD(2551,2632);PD(2629,2556);PD(2714,2485);PD(2734,2474);PD(2747,2475);PD(2717,2518);PD(2627,2608);PD(2536,2699);PD(2498,2747);PD(2502,2761);PD(2514,2776);PD(2532,2792);PD(2556,2807);PD(2611,2834);PD(2670,2850);PD(2707,2856);PD(2722,2859);PD(2717,2862);PD(2692,2863);PD(2653,2868);PD(2632,2879);PD(2673,2943);PD(2783,3079);PD(2942,3265);PD(2953,3181);PD(2959,3111);PD(2958,3061);PD(2956,3042);PD(2959,3028);PD(2969,3017);PD(2986,3007);PD(3005,2997);PD(3015,2985);PD(3017,2967);PD(3013,2938);PD(3010,2907);PD(3015,2874);PD(3027,2833);PD(3048,2780);PD(3097,2658);PD(3148,2513);PD(3200,2376);PD(3246,2270);PD(3276,2206);PD(3288,2166);PD(3292,2149);PD(3301,2146);PD(3312,2156);PD(3322,2177);PD(3328,2224);PD(3330,2294);PD(3331,2329);PD(3335,2357);PD(3342,2380);PD(3351,2398);PD(3364,2411);PD(3381,2420);PD(3401,2425);PD(3426,2427);PD(3446,2428);PD(3460,2432);PD(3469,2439);PD(3471,2448);PD(3469,2458);PD(3460,2464);PD(3446,2468);PD(3425,2469);PD(3396,2472);PD(3374,2478);PD(3358,2489);PD(3349,2505);PD(3346,2525);PD(3349,2549);PD(3358,2578);PD(3374,2612);PD(3402,2670);PD(3374,2725);PD(3355,2768);PD(3346,2807);PD(3347,2846);PD(3358,2886);PD(3364,2905);PD(3364,2920);PD(3357,2935);PD(3343,2951);PD(3321,2993);PD(3303,3059);PD(3293,3124);PD(3298,3161);PD(3306,3160);PD(3328,3138);PD(3376,3079);PD(3463,2968);PD(3587,2823);PD(3765,2633);PD(3852,2544);PD(3924,2472);PD(3975,2426);PD(3993,2414);PD(3980,2447);PD(3936,2505);PD(3856,2594);PD(3732,2723);PD(3565,2903);PD(3443,3048);PD(3374,3138);PD(3333,3186);PD(3304,3200);PD(3271,3202);PD(3236,3194);PD(3206,3175);PD(3181,3155);PD(3165,3147);PD(3137,3170);PD(3083,3224);PD(3033,3273);PD(2994,3297);PD(2977,3299);PD(2959,3297);PD(2940,3289);PD(2918,3277);PU(3073,3182);PD(3148,3104);PD(3109,3051);PD(3094,3028);PD(3095,3025);PD(3115,3042);PD(3155,3080);PD(3217,3137);PD(3247,3161);PD(3257,3131);PD(3265,3059);PD(3272,3009);PD(3280,2973);PD(3290,2949);PD(3305,2934);PD(3319,2920);PD(3326,2906);PD(3324,2885);PD(3315,2852);PD(3306,2818);PD(3304,2792);PD(3312,2766);PD(3330,2732);PD(3363,2671);PD(3333,2609);PD(3319,2574);PD(3308,2529);PD(3298,2475);PD(3291,2413);PD(3279,2279);PD(3254,2335);PD(3221,2421);PD(3175,2547);PD(3126,2681);PD(3085,2786);PD(3069,2825);PD(3058,2864);PD(3051,2902);PD(3048,2937);PD(3047,2969);PD(3042,2993);PD(3034,3010);PD(3021,3023);PD(3007,3037);PD(2998,3060);PD(2992,3096);PD(2989,3151);PD(2988,3228);PD(2993,3260);PD(3020,3237);PD(3073,3182);PU(1266,2987);PD(1301,2906);PD(1326,2842);PD(1346,2779);PD(1367,2702);PD(1377,2674);PD(1390,2651);PD(1409,2632);PD(1437,2615);PD(1466,2596);PD(1484,2577);PD(1496,2550);PD(1506,2509);PD(1533,2411);PD(1579,2282);PD(1620,2169);PD(1634,2114);PD(1585,2174);PD(1481,2326);PD(1374,2493);PD(1314,2596);PD(1302,2633);PD(1293,2670);PD(1285,2689);PD(1272,2707);PD(1252,2724);PD(1228,2740);PD(1197,2760);PD(1180,2778);PD(1173,2801);PD(1171,2838);PD(1174,2923);PD(1181,3015);PD(1190,3089);PD(1198,3119);PD(1221,3080);PD(1266,2987);PU(2012,2897);PD(2021,2871);PD(2023,2849);PD(2018,2825);PD(2004,2791);PD(1993,2769);PD(1984,2756);PD(1978,2751);PD(1976,2756);PD(1972,2773);PD(1961,2780);PD(1951,2808);PD(1947,2880);PD(1948,2934);PD(1951,2962);PD(1954,2968);PD(1958,2969);PD(1964,2967);PD(1971,2962);PD(1993,2935);PD(2012,2897);PU(2692,3264);PD(2654,3254);PD(2623,3243);PD(2604,3232);PD(2596,3223);PD(2600,3215);PD(2614,3213);PD(2642,3217);PD(2685,3226);PD(2752,3241);PD(2789,3252);PD(2805,3262);PD(2808,3274);PD(2807,3283);PD(2795,3285);PD(2761,3279);PD(2692,3264);PU(697,3239);PD(693,3215);PD(698,3195);PD(712,3180);PD(732,3175);PD(752,3182);PD(767,3201);PD(774,3224);PD(769,3246);PD(754,3257);PD(731,3259);PD(710,3253);PD(697,3239);PU(1350,3080);PD(1344,3073);PD(1341,3066);PD(1342,3060);PD(1348,3056);PD(1374,3050);PD(1418,3048);PD(1465,3051);PD(1491,3058);PD(1496,3063);PD(1495,3069);PD(1487,3075);PD(1473,3082);PD(1443,3088);PD(1405,3090);PD(1370,3088);PD(1350,3080);PU(2589,3064);PD(2589,3051);PD(2596,3041);PD(2623,3037);PD(2661,3041);PD(2695,3050);PD(2709,3062);PD(2692,3072);PD(2654,3076);PD(2613,3073);PD(2589,3064);PU(3748,2959);PD(3735,2948);PD(3730,2938);PD(3731,2926);PD(3738,2910);PD(3752,2889);PD(3766,2881);PD(3782,2885);PD(3802,2901);PD(3811,2913);PD(3816,2924);PD(3815,2936);PD(3810,2951);PD(3797,2969);PD(3785,2977);PD(3769,2973);PD(3748,2959);PU(497,2805);PD(506,2782);PD(522,2773);PD(538,2782);PD(548,2805);PD(549,2820);PD(545,2830);PD(536,2835);PD(522,2836);PD(508,2835);PD(499,2830);PD(496,2820);PD(497,2805);PU(854,2667);PD(852,2657);PD(859,2653);PD(870,2657);PD(875,2667);PD(873,2677);PD(869,2681);PD(861,2677);PD(854,2667);PU(883,2618);PD(868,2581);PD(847,2534);PD(830,2497);PD(825,2476);PD(833,2471);PD(854,2484);PD(865,2491);PD(872,2492);PD(876,2488);PD(875,2479);PD(864,2448);PD(840,2406);PD(817,2369);PD(811,2348);PD(821,2345);PD(847,2364);PD(862,2376);PD(870,2381);PD(874,2378);PD(875,2366);PD(863,2330);PD(833,2275);PD(803,2224);PD(792,2197);PD(800,2194);PD(826,2215);PD(845,2232);PD(856,2238);PD(860,2235);PD(857,2224);PD(831,2178);PD(779,2105);PD(764,2083);PD(757,2067);PD(757,2058);PD(762,2055);PD(787,2068);PD(826,2105);PD(879,2166);PD(871,2111);PD(858,2068);PD(835,2029);PD(808,2001);PD(780,1990);PD(767,1986);PD(762,1976);PD(764,1968);PD(770,1964);PD(779,1962);PD(790,1962);PD(817,1969);PD(845,1985);PD(865,1998);PD(874,2001);PD(875,1993);PD(871,1974);PD(864,1947);PD(861,1929);PD(851,1924);PD(826,1928);PD(811,1930);PD(800,1930);PD(793,1927);PD(790,1921);PD(800,1903);PD(825,1888);PD(859,1877);PD(893,1874);PD(909,1874);PD(921,1871);PD(929,1866);PD(931,1858);PD(907,1844);PD(848,1827);PD(777,1812);PD(715,1806);PD(672,1828);PD(594,1882);PD(520,1935);PD(462,1970);PD(439,1980);PD(420,1986);PD(407,1987);PD(398,1983);PD(396,1973);PD(405,1966);PD(467,1931);PD(547,1873);PD(613,1817);PD(634,1788);PD(587,1771);PD(484,1737);PD(394,1706);PD(332,1680);PD(312,1669);PD(300,1660);PD(295,1652);PD(298,1645);PD(343,1654);PD(443,1686);PD(592,1732);PD(760,1771);PD(941,1802);PD(1126,1823);PD(1247,1830);PD(1370,1830);PD(1495,1825);PD(1621,1814);PD(1746,1797);PD(1871,1775);PD(1994,1747);PD(2115,1713);PD(2190,1688);PD(2214,1670);PD(2186,1652);PD(2107,1628);PD(2057,1616);PD(2025,1611);PD(1999,1616);PD(1968,1628);PD(1891,1653);PD(1775,1679);PD(1678,1698);PD(1629,1706);PD(1617,1706);PD(1611,1704);PD(1609,1700);PD(1609,1695);PD(1641,1679);PD(1719,1658);PD(1819,1636);PD(1900,1615);PD(1957,1596);PD(1983,1582);PD(1967,1560);PD(1921,1525);PD(1849,1469);PD(1771,1396);PD(1725,1349);PD(1695,1325);PD(1673,1319);PD(1647,1325);PD(1610,1336);PD(1579,1341);PD(1565,1340);PD(1556,1337);PD(1552,1332);PD(1554,1327);PD(1572,1314);PD(1609,1300);PD(1665,1283);PD(1662,1202);PD(1664,1152);PD(1672,1108);PD(1688,1070);PD(1713,1035);PD(1747,1003);PD(1792,974);PD(1848,944);PD(1918,914);PD(2002,877);PD(2064,839);PD(2087,819);PD(2104,800);PD(2117,779);PD(2125,758);PD(2130,719);PD(2124,694);PD(2116,686);PD(2105,682);PD(2091,681);PD(2074,683);PD(2054,687);PD(2032,691);PD(2010,696);PD(1990,700);PD(1960,703);PD(1947,696);PD(1960,683);PD(1992,672);PD(2031,659);PD(2063,639);PD(2077,626);PD(2081,616);PD(2078,605);PD(2066,590);PD(2044,571);PD(2020,566);PD(1985,576);PD(1930,600);PD(1872,622);PD(1816,634);PD(1794,635);PD(1778,634);PD(1770,629);PD(1771,621);PD(1786,611);PD(1810,607);PD(1850,597);PD(1902,575);PD(1948,549);PD(1971,528);PD(1965,510);PD(1936,489);PD(1890,465);PD(1829,440);PD(1758,415);PD(1679,392);PD(1597,371);PD(1516,356);PD(1416,337);PD(1367,322);PD(1363,320);PD(1362,317);PD(1364,315);PD(1370,314);PD(1392,311);PD(1427,310);PD(1489,314);PD(1560,325);PD(1636,342);PD(1715,363);PD(1792,389);PD(1866,418);PD(1932,448);PD(1987,480);PD(2027,507);PD(2061,534);PD(2089,561);PD(2112,588);PD(2129,617);PD(2142,647);PD(2151,679);PD(2156,714);PD(2158,758);PD(2154,787);PD(2139,812);PD(2108,844);PD(2076,871);PD(2034,898);PD(1983,925);PD(1923,951);PD(1866,977);PD(1816,1003);PD(1776,1029);PD(1747,1054);PD(1722,1082);PD(1708,1107);PD(1702,1136);PD(1700,1177);PD(1703,1211);PD(1709,1243);PD(1721,1274);PD(1738,1304);PD(1790,1368);PD(1868,1439);PD(1951,1498);PD(2052,1557);PD(2150,1604);PD(2227,1630);PD(2275,1640);PD(2254,1599);PD(2237,1560);PD(2227,1521);PD(2222,1483);PD(2224,1446);PD(2231,1410);PD(2244,1376);PD(2264,1345);PD(2289,1317);PD(2335,1280);PD(2397,1250);PD(2490,1221);PD(2630,1185);PD(2784,1144);PD(2896,1105);PD(2932,1087);PD(2966,1065);PD(2998,1040);PD(3028,1012);PD(3054,983);PD(3075,954);PD(3092,924);PD(3103,895);PD(3115,836);PD(3118,775);PD(3114,711);PD(3102,646);PD(3083,580);PD(3057,516);PD(3025,455);PD(2986,397);PD(2960,356);PD(2960,341);PD(2981,353);PD(3021,392);PD(3064,449);PD(3098,514);PD(3125,585);PD(3143,660);PD(3152,736);PD(3152,811);PD(3142,884);PD(3121,951);PD(3114,972);PD(3110,989);PD(3111,1003);PD(3117,1017);PD(3154,1051);PD(3230,1103);PD(3271,1136);PD(3286,1157);PD(3275,1161);PD(3236,1142);PD(3161,1098);PD(3108,1073);PD(3072,1063);PD(3049,1068);PD(3037,1078);PD(3028,1088);PD(3024,1100);PD(3025,1113);PD(3038,1145);PD(3071,1185);PD(3108,1232);PD(3112,1249);PD(3086,1236);PD(3034,1191);PD(2962,1125);PD(2846,1161);PD(2736,1195);PD(2632,1221);PD(2531,1245);PD(2488,1263);PD(2486,1273);PD(2495,1285);PD(2515,1300);PD(2544,1319);PD(2623,1373);PD(2689,1423);PD(2734,1460);PD(2747,1477);PD(2727,1475);PD(2683,1453);PD(2620,1414);PD(2539,1359);PD(2456,1306);PD(2409,1284);PD(2381,1294);PD(2347,1318);PD(2327,1336);PD(2318,1351);PD(2317,1364);PD(2323,1379);PD(2343,1403);PD(2380,1435);PD(2429,1473);PD(2484,1511);PD(2506,1531);PD(2509,1545);PD(2494,1548);PD(2464,1535);PD(2420,1508);PD(2362,1466);PD(2311,1429);PD(2279,1414);PD(2269,1414);PD(2262,1420);PD(2259,1430);PD(2258,1445);PD(2263,1464);PD(2276,1486);PD(2298,1513);PD(2328,1542);PD(2407,1607);PD(2508,1675);PD(2579,1724);PD(2599,1747);PD(2558,1736);PD(2488,1700);PD(2409,1650);PD(2341,1597);PD(2312,1573);PD(2291,1558);PD(2277,1552);PD(2272,1556);PD(2281,1576);PD(2308,1605);PD(2347,1641);PD(2396,1682);PD(2511,1765);PD(2625,1833);PD(2752,1892);PD(2880,1939);PD(3017,1974);PD(3168,2000);PD(3291,2019);PD(3350,2035);PD(3351,2041);PD(3336,2045);PD(3308,2046);PD(3268,2045);PD(3168,2035);PD(3054,2016);PD(2960,1996);PD(2870,1972);PD(2783,1943);PD(2701,1911);PD(2622,1874);PD(2547,1834);PD(2476,1789);PD(2410,1741);PD(2358,1704);PD(2318,1684);PD(2302,1680);PD(2287,1680);PD(2275,1684);PD(2265,1692);PD(2211,1715);PD(2103,1751);PD(1997,1784);PD(1950,1799);PD(1932,1892);PD(1923,1985);PD(1942,1976);PD(1976,1945);PD(2009,1918);PD(2028,1915);PD(2030,1921);PD(2028,1932);PD(2019,1946);PD(2004,1964);PD(1976,2001);PD(1949,2049);PD(1930,2092);PD(1928,2115);PD(1942,2110);PD(1968,2088);PD(1995,2069);PD(2012,2065);PD(2016,2076);PD(2001,2098);PD(1958,2166);PD(1933,2225);PD(1938,2228);PD(1950,2218);PD(1964,2206);PD(1975,2200);PD(1982,2199);PD(1987,2203);PD(1985,2225);PD(1968,2262);PD(1945,2305);PD(1935,2330);PD(1935,2336);PD(1938,2338);PD(1944,2336);PD(1954,2328);PD(1966,2320);PD(1974,2316);PD(1979,2316);PD(1981,2321);PD(1975,2347);PD(1956,2395);PD(1933,2446);PD(1917,2474);PD(1912,2479);PD(1908,2480);PD(1906,2474);PD(1905,2464);PD(1895,2431);PD(1871,2386);PD(1852,2350);PD(1845,2327);PD(1847,2321);PD(1852,2319);PD(1861,2322);PD(1873,2330);PD(1882,2336);PD(1889,2337);PD(1891,2332);PD(1891,2323);PD(1880,2293);PD(1857,2254);PD(1837,2218);PD(1832,2197);PD(1842,2194);PD(1865,2211);PD(1880,2223);PD(1887,2226);PD(1890,2221);PD(1891,2206);PD(1878,2168);PD(1847,2118);PD(1821,2077);PD(1813,2052);PD(1815,2048);PD(1822,2048);PD(1833,2055);PD(1849,2067);PD(1865,2081);PD(1875,2086);PD(1878,2083);PD(1875,2072);PD(1850,2028);PD(1801,1956);PD(1788,1935);PD(1781,1921);PD(1781,1912);PD(1786,1909);PD(1808,1920);PD(1843,1954);PD(1891,2011);PD(1891,1933);PD(1891,1894);PD(1888,1864);PD(1881,1844);PD(1868,1832);PD(1847,1826);PD(1815,1826);PD(1770,1831);PD(1710,1840);PD(1583,1856);PD(1496,1863);PD(1465,1865);PD(1437,1872);PD(1411,1885);PD(1383,1905);PD(1321,1946);PD(1235,1992);PD(1154,2030);PD(1105,2046);PD(1092,2045);PD(1087,2041);PD(1090,2034);PD(1100,2025);PD(1146,1996);PD(1225,1954);PD(1299,1915);PD(1335,1894);PD(1340,1888);PD(1338,1884);PD(1329,1881);PD(1315,1880);PD(1290,1880);PD(1265,1885);PD(1239,1895);PD(1211,1912);PD(1171,1934);PD(1147,1940);PD(1143,1937);PD(1144,1930);PD(1153,1919);PD(1168,1905);PD(1190,1885);PD(1199,1873);PD(1168,1863);PD(1096,1858);PD(1018,1859);PD(968,1867);PD(945,1879);PD(931,1896);PD(920,1924);PD(910,1971);PD(906,1997);PD(907,2009);PD(917,2009);PD(938,1998);PD(972,1986);PD(1003,1985);PD(1019,1994);PD(1022,2005);PD(1012,2014);PD(991,2018);PD(957,2025);PD(929,2044);PD(910,2072);PD(903,2105);PD(903,2148);PD(944,2104);PD(972,2078);PD(995,2063);PD(1004,2060);PD(1010,2061);PD(1015,2064);PD(1016,2072);PD(1008,2088);PD(986,2111);PD(960,2142);PD(933,2185);PD(912,2228);PD(903,2259);PD(916,2260);PD(945,2237);PD(975,2213);PD(987,2214);PD(979,2239);PD(952,2286);PD(928,2331);PD(917,2364);PD(917,2374);PD(921,2377);PD(928,2375);PD(940,2365);PD(956,2352);PD(972,2344);PD(983,2343);PD(988,2350);PD(978,2369);PD(952,2407);PD(929,2445);PD(918,2470);PD(918,2477);PD(921,2479);PD(928,2477);PD(938,2469);PD(949,2462);PD(956,2461);PD(959,2466);PD(959,2476);PD(949,2512);PD(926,2570);PD(908,2606);PD(897,2625);PD(889,2628);PD(883,2618);PU(3514,2460);PD(3505,2428);PD(3485,2388);PD(3466,2352);PD(3458,2328);PD(3458,2321);PD(3462,2319);PD(3468,2321);PD(3478,2328);PD(3488,2335);PD(3495,2337);PD(3499,2334);PD(3500,2326);PD(3492,2299);PD(3471,2261);PD(3451,2223);PD(3444,2200);PD(3446,2195);PD(3451,2195);PD(3459,2199);PD(3471,2208);PD(3487,2222);PD(3495,2227);PD(3499,2221);PD(3500,2207);PD(3487,2168);PD(3457,2112);PD(3435,2069);PD(3429,2041);PD(3432,2035);PD(3438,2036);PD(3449,2045);PD(3463,2063);PD(3474,2076);PD(3481,2082);PD(3484,2081);PD(3485,2073);PD(3471,2037);PD(3435,1984);PD(3400,1932);PD(3391,1905);PD(3396,1902);PD(3408,1908);PD(3425,1922);PD(3447,1946);PD(3500,2004);PD(3500,1928);PD(3495,1874);PD(3482,1836);PD(3472,1823);PD(3460,1814);PD(3446,1808);PD(3429,1806);PD(3403,1798);PD(3371,1779);PD(3348,1759);PD(3349,1750);PD(3379,1755);PD(3433,1770);PD(3497,1786);PD(3548,1799);PD(3567,1804);PD(3576,1809);PD(3576,1816);PD(3566,1825);PD(3548,1860);PD(3536,1919);PD(3526,1997);PD(3576,1949);PD(3612,1920);PD(3634,1910);PD(3639,1913);PD(3638,1921);PD(3631,1934);PD(3617,1952);PD(3590,1987);PD(3566,2027);PD(3548,2067);PD(3542,2097);PD(3543,2107);PD(3547,2109);PD(3555,2103);PD(3567,2088);PD(3584,2071);PD(3596,2061);PD(3605,2059);PD(3610,2063);PD(3607,2087);PD(3584,2129);PD(3554,2179);PD(3542,2212);PD(3542,2220);PD(3547,2223);PD(3556,2219);PD(3570,2208);PD(3594,2191);PD(3606,2192);PD(3604,2209);PD(3587,2239);PD(3564,2277);PD(3549,2314);PD(3545,2331);PD(3545,2338);PD(3549,2336);PD(3556,2324);PD(3566,2310);PD(3575,2303);PD(3581,2303);PD(3585,2309);PD(3584,2333);PD(3570,2371);PD(3550,2416);PD(3542,2447);PD(3538,2464);PD(3528,2477);PD(3518,2475);PD(3514,2460);PU(3570,2464);PD(3573,2453);PD(3583,2446);PD(3603,2442);PD(3634,2441);PD(3679,2446);PD(3697,2455);PD(3688,2466);PD(3666,2469);PD(3634,2472);PD(3603,2478);PD(3587,2481);PD(3577,2480);PD(3572,2474);PD(3570,2464);PU(2817,2400);PD(2826,2380);PD(2859,2350);PD(2891,2328);PD(2912,2320);PD(2918,2321);PD(2921,2326);PD(2920,2334);PD(2917,2345);PD(2898,2367);PD(2866,2389);PD(2834,2402);PD(2817,2400);PU(3748,2321);PD(3733,2285);PD(3711,2238);PD(3694,2201);PD(3690,2180);PD(3698,2175);PD(3718,2187);PD(3729,2195);PD(3737,2196);PD(3740,2192);PD(3740,2182);PD(3729,2152);PD(3704,2110);PD(3682,2072);PD(3676,2051);PD(3686,2049);PD(3711,2067);PD(3726,2080);PD(3735,2085);PD(3739,2081);PD(3739,2070);PD(3727,2033);PD(3697,1978);PD(3667,1927);PD(3657,1901);PD(3664,1898);PD(3690,1919);PD(3709,1936);PD(3721,1942);PD(3725,1939);PD(3722,1928);PD(3695,1881);PD(3643,1809);PD(3629,1787);PD(3622,1771);PD(3621,1762);PD(3626,1759);PD(3651,1772);PD(3689,1809);PD(3739,1870);PD(3739,1819);PD(3737,1769);PD(3731,1723);PD(3725,1701);PD(3716,1687);PD(3703,1681);PD(3682,1679);PD(3652,1676);PD(3635,1667);PD(3634,1660);PD(3639,1654);PD(3649,1649);PD(3665,1646);PD(3711,1643);PD(3770,1647);PD(3826,1655);PD(3858,1666);PD(3863,1671);PD(3860,1675);PD(3848,1678);PD(3827,1679);PD(3805,1681);PD(3791,1688);PD(3782,1704);PD(3776,1733);PD(3770,1780);PD(3768,1819);PD(3768,1839);PD(3773,1844);PD(3786,1835);PD(3811,1809);PD(3841,1782);PD(3862,1767);PD(3870,1764);PD(3876,1765);PD(3879,1768);PD(3881,1775);PD(3872,1792);PD(3851,1815);PD(3823,1850);PD(3795,1899);PD(3775,1946);PD(3773,1971);PD(3789,1965);PD(3816,1939);PD(3842,1914);PD(3851,1916);PD(3842,1943);PD(3817,1991);PD(3792,2041);PD(3782,2072);PD(3783,2080);PD(3788,2082);PD(3797,2078);PD(3810,2067);PD(3835,2049);PD(3845,2051);PD(3839,2072);PD(3817,2110);PD(3794,2148);PD(3783,2174);PD(3783,2180);PD(3786,2183);PD(3793,2181);PD(3803,2173);PD(3813,2166);PD(3820,2165);PD(3824,2169);PD(3824,2179);PD(3813,2216);PD(3790,2273);PD(3773,2310);PD(3761,2329);PD(3754,2332);PD(3748,2321);PU(2973,2276);PD(2966,2266);PD(2963,2252);PD(2968,2247);PD(2980,2255);PD(2989,2269);PD(2990,2279);PD(2982,2281);PD(2973,2276);PU(294,2206);PD(281,2201);PD(274,2196);PD(270,2190);PD(271,2184);PD(285,2169);PD(315,2153);PD(338,2144);PD(355,2141);PD(366,2144);PD(377,2155);PD(391,2165);PD(418,2168);PD(470,2163);PD(557,2152);PD(658,2140);PD(716,2136);PD(730,2138);PD(732,2142);PD(724,2149);PD(704,2158);PD(619,2177);PD(492,2195);PD(369,2206);PD(294,2206);PU(445,2131);PD(447,2117);PD(464,2104);PD(487,2093);PD(500,2090);PD(506,2095);PD(508,2108);PD(500,2124);PD(480,2135);PD(459,2138);PD(445,2131);PU(2125,1995);PD(2119,1967);PD(2117,1930);PD(2118,1910);PD(2122,1898);PD(2128,1893);PD(2134,1894);PD(2148,1916);PD(2156,1959);PD(2155,1995);PD(2149,2015);PD(2144,2018);PD(2138,2016);PD(2132,2009);PD(2125,1995);PU(3866,1991);PD(3887,1977);PD(3937,1963);PD(3987,1952);PD(4012,1949);PD(4021,1951);PD(4022,1960);PD(4009,1973);PD(3977,1988);PD(3938,1999);PD(3900,2004);PD(3876,2000);PD(3866,1991);PU(3030,1905);PD(3004,1882);PD(2970,1871);PD(2954,1869);PD(2943,1865);PD(2939,1857);PD(2941,1846);PD(2942,1835);PD(2940,1827);PD(2935,1822);PD(2927,1820);PD(2913,1814);PD(2907,1799);PD(2909,1791);PD(2916,1786);PD(2926,1783);PD(2940,1783);PD(2980,1790);PD(3031,1806);PD(3059,1819);PD(3074,1832);PD(3074,1843);PD(3059,1853);PD(3051,1857);PD(3049,1862);PD(3052,1871);PD(3061,1882);PD(3069,1894);PD(3073,1904);PD(3072,1913);PD(3066,1921);PD(3059,1925);PD(3050,1924);PD(3041,1918);PD(3030,1905);PU(3539,1782);PD(3518,1773);PD(3515,1762);PD(3529,1753);PD(3556,1750);PD(3575,1751);PD(3588,1755);PD(3596,1762);PD(3598,1771);PD(3596,1783);PD(3586,1789);PD(3568,1789);PD(3539,1782);PU(1034,1726);PD(1018,1715);PD(1018,1705);PD(1032,1697);PD(1057,1693);PD(1091,1696);PD(1118,1702);PD(1136,1711);PD(1143,1723);PD(1130,1731);PD(1100,1734);PD(1064,1732);PD(1034,1726);PU(1461,1707);PD(1460,1695);PD(1473,1686);PD(1492,1682);PD(1510,1686);PD(1520,1696);PD(1524,1709);PD(1516,1718);PD(1496,1721);PD(1475,1718);PD(1461,1707);PU(2636,1654);PD(2611,1637);PD(2598,1622);PD(2598,1612);PD(2611,1609);PD(2637,1616);PD(2669,1632);PD(2697,1650);PD(2709,1665);PD(2704,1676);PD(2689,1678);PD(2665,1670);PD(2636,1654);PU(3500,1644);PD(3502,1630);PD(3510,1624);PD(3525,1624);PD(3548,1631);PD(3566,1642);PD(3569,1653);PD(3558,1662);PD(3535,1665);PD(3520,1664);PD(3509,1659);PD(3502,1653);PD(3500,1644);PU(1256,1609);PD(1255,1598);PD(1251,1591);PD(1245,1588);PD(1238,1589);PD(1229,1589);PD(1222,1584);PD(1219,1572);PD(1218,1554);PD(1219,1529);PD(1226,1518);PD(1246,1516);PD(1283,1520);PD(1327,1527);PD(1350,1533);PD(1355,1541);PD(1342,1551);PD(1332,1564);PD(1332,1579);PD(1335,1585);PD(1333,1590);PD(1329,1593);PD(1322,1595);PD(1305,1601);PD(1293,1616);PD(1282,1632);PD(1270,1636);PD(1260,1628);PD(1256,1609);PU(356,1602);PD(338,1593);PD(325,1583);PD(318,1574);PD(318,1566);PD(323,1561);PD(330,1559);PD(340,1561);PD(353,1566);PD(373,1575);PD(393,1580);PD(413,1580);PD(433,1576);PD(477,1553);PD(531,1508);PD(585,1453);PD(607,1424);PD(591,1406);PD(551,1383);PD(497,1360);PD(440,1342);PD(398,1326);PD(381,1312);PD(385,1303);PD(400,1299);PD(425,1302);PD(463,1311);PD(494,1319);PD(508,1321);PD(502,1302);PD(487,1266);PD(473,1220);PD(466,1176);PD(469,1141);PD(480,1122);PD(490,1125);PD(494,1144);PD(500,1192);PD(516,1243);PD(540,1293);PD(572,1338);PD(616,1378);PD(673,1417);PD(726,1444);PD(761,1451);PD(744,1391);PD(690,1259);PD(625,1118);PD(577,1029);PD(550,992);PD(615,999);PD(680,1006);PD(656,969);PD(642,935);PD(642,907);PD(648,896);PD(654,895);PD(662,904);PD(673,924);PD(694,957);PD(711,976);PD(734,986);PD(757,986);PD(775,977);PD(786,960);PD(794,940);PD(803,931);PD(814,940);PD(830,960);PD(848,979);PD(871,987);PD(898,982);PD(929,965);PD(942,954);PD(952,941);PD(957,929);PD(958,916);PD(956,903);PD(949,891);PD(938,880);PD(923,871);PD(908,861);PD(899,853);PD(897,846);PD(902,841);PD(913,826);PD(917,804);PD(911,782);PD(897,763);PD(885,756);PD(868,754);PD(844,756);PD(811,762);PD(766,770);PD(742,770);PD(736,766);PD(736,760);PD(740,752);PD(748,741);PD(758,732);PD(771,726);PD(784,724);PD(799,725);PD(824,728);PD(840,720);PD(854,710);PD(876,706);PD(888,704);PD(896,698);PD(901,690);PD(903,679);PD(908,643);PD(919,610);PD(933,589);PD(945,587);PD(950,614);PD(940,665);PD(930,699);PD(927,723);PD(930,743);PD(940,763);PD(951,795);PD(951,823);PD(948,836);PD(949,844);PD(952,847);PD(958,845);PD(973,830);PD(989,802);PD(1003,738);PD(1008,646);PD(1007,592);PD(1009,558);PD(1016,538);PD(1027,529);PD(1046,528);PD(1057,539);PD(1084,576);PD(1140,639);PD(1192,698);PD(1209,728);PD(1190,726);PD(1156,704);PD(1116,670);PD(1081,631);PD(1044,586);PD(1044,643);PD(1046,675);PD(1054,700);PD(1069,722);PD(1094,746);PD(1137,775);PD(1196,803);PD(1255,824);PD(1301,833);PD(1309,830);PD(1313,824);PD(1314,814);PD(1312,801);PD(1300,767);PD(1279,725);PD(1250,679);PD(1216,631);PD(1178,586);PD(1139,546);PD(1108,516);PD(1091,496);PD(1087,490);PD(1087,486);PD(1090,485);PD(1096,487);PD(1112,490);PD(1121,490);PD(1123,485);PD(1120,476);PD(1119,458);PD(1126,446);PD(1133,446);PD(1141,452);PD(1148,464);PD(1154,480);PD(1184,528);PD(1232,586);PD(1269,621);PD(1298,640);PD(1329,648);PD(1374,649);PD(1431,645);PD(1480,633);PD(1520,614);PD(1549,588);PD(1555,577);PD(1552,563);PD(1538,544);PD(1513,518);PD(1462,476);PD(1408,446);PD(1349,429);PD(1286,423);PD(1235,420);PD(1210,411);PD(1207,406);PD(1212,401);PD(1225,396);PD(1246,391);PD(1301,389);PD(1364,398);PD(1425,415);PD(1476,439);PD(1516,469);PD(1549,505);PD(1572,542);PD(1580,574);PD(1575,597);PD(1559,620);PD(1536,640);PD(1505,658);PD(1470,673);PD(1432,684);PD(1393,689);PD(1353,689);PD(1315,686);PD(1298,686);PD(1305,700);PD(1319,728);PD(1335,769);PD(1340,808);PD(1338,825);PD(1334,839);PD(1327,850);PD(1318,857);PD(1273,858);PD(1209,844);PD(1144,819);PD(1094,789);PD(1046,746);PD(1017,810);PD(1001,863);PD(998,900);PD(999,927);PD(991,952);PD(974,975);PD(952,994);PD(926,1009);PD(898,1017);PD(869,1017);PD(842,1009);PD(823,1000);PD(809,998);PD(797,1003);PD(785,1015);PD(774,1028);PD(774,1038);PD(785,1047);PD(809,1058);PD(871,1102);PD(949,1174);PD(986,1213);PD(1016,1248);PD(1037,1278);PD(1044,1297);PD(1038,1318);PD(1020,1335);PD(994,1346);PD(960,1353);PD(922,1355);PD(882,1351);PD(841,1341);PD(802,1325);PD(770,1310);PD(754,1304);PD(751,1308);PD(755,1322);PD(768,1358);PD(785,1408);PD(794,1441);PD(797,1460);PD(792,1471);PD(780,1477);PD(745,1477);PD(693,1463);PD(663,1454);PD(642,1450);PD(629,1450);PD(622,1456);PD(601,1490);PD(561,1533);PD(515,1574);PD(474,1600);PD(440,1615);PD(415,1620);PD(391,1616);PD(356,1602);PU(1006,1314);PD(1012,1310);PD(1015,1305);PD(1013,1298);PD(1007,1288);PD(979,1255);PD(927,1202);PD(849,1135);PD(771,1080);PD(734,1059);PD(700,1044);PD(670,1034);PD(645,1030);PD(632,1031);PD(628,1038);PD(633,1055);PD(648,1085);PD(663,1110);PD(679,1128);PD(696,1141);PD(715,1147);PD(779,1174);PD(870,1222);PD(952,1271);PD(988,1301);PD(985,1307);PD(978,1308);PD(964,1306);PD(946,1299);PD(892,1274);PD(814,1232);PD(733,1190);PD(697,1175);PD(697,1190);PD(707,1218);PD(725,1243);PD(755,1267);PD(794,1287);PD(837,1304);PD(884,1316);PD(929,1322);PD(971,1322);PD(1006,1314);PU(2898,1575);PD(2883,1557);PD(2881,1544);PD(2900,1541);PD(2928,1550);PD(2953,1565);PD(2963,1580);PD(2958,1591);PD(2943,1593);PD(2922,1588);PD(2898,1575);PU(2038,1521);PD(2003,1492);PD(1975,1463);PD(1955,1438);PD(1947,1420);PD(1937,1404);PD(1912,1380);PD(1890,1358);PD(1878,1336);PD(1877,1327);PD(1878,1319);PD(1883,1314);PD(1891,1312);PD(1905,1322);PD(1921,1345);PD(1956,1391);PD(2015,1458);PD(2063,1511);PD(2084,1541);PD(2083,1547);PD(2075,1546);PD(2060,1537);PD(2038,1521);PU(3172,1486);PD(3154,1476);PD(3147,1459);PD(3140,1445);PD(3124,1439);PD(3112,1435);PD(3112,1425);PD(3130,1416);PD(3165,1411);PD(3204,1412);PD(3237,1420);PD(3253,1430);PD(3259,1441);PD(3254,1450);PD(3239,1453);PD(3224,1460);PD(3217,1475);PD(3216,1487);PD(3211,1492);PD(3197,1492);PD(3172,1486);PU(378,1472);PD(360,1463);PD(353,1452);PD(379,1443);PD(437,1439);PD(496,1443);PD(528,1452);PD(528,1460);PD(520,1467);PD(504,1473);PD(483,1477);PD(431,1479);PD(378,1472);PU(3834,1465);PD(3812,1453);PD(3800,1438);PD(3799,1432);PD(3800,1427);PD(3805,1424);PD(3814,1424);PD(3844,1429);PD(3870,1438);PD(3888,1449);PD(3895,1462);PD(3893,1475);PD(3885,1479);PD(3867,1476);PD(3834,1465);PU(1115,1427);PD(1116,1416);PD(1119,1411);PD(1129,1409);PD(1156,1405);PD(1195,1398);PD(1242,1390);PD(1325,1376);PD(1372,1370);PD(1392,1372);PD(1397,1381);PD(1381,1393);PD(1338,1407);PD(1273,1420);PD(1190,1434);PD(1156,1437);PD(1133,1437);PD(1119,1433);PD(1115,1427);PU(3591,1360);PD(3555,1339);PD(3528,1318);PD(3519,1308);PD(3518,1301);PD(3523,1298);PD(3533,1298);PD(3567,1308);PD(3612,1331);PD(3640,1348);PD(3658,1362);PD(3667,1373);PD(3667,1381);PD(3659,1384);PD(3644,1382);PD(3621,1374);PD(3591,1360);PU(611,1281);PD(562,1194);PD(532,1123);PD(525,1096);PD(522,1076);PD(526,1063);PD(535,1058);PD(547,1068);PD(557,1091);PD(581,1145);PD(622,1230);PD(657,1299);PD(673,1336);PD(675,1346);PD(675,1352);PD(671,1354);PD(666,1355);PD(645,1333);PD(611,1281);PU(1901,1205);PD(1897,1195);PD(1900,1184);PD(1908,1175);PD(1921,1171);PD(1930,1178);PD(1933,1192);PD(1930,1205);PD(1923,1212);PD(1912,1213);PD(1901,1205);PU(2307,1185);PD(2315,1167);PD(2345,1143);PD(2383,1125);PD(2419,1116);PD(2434,1115);PD(2445,1117);PD(2453,1121);PD(2455,1129);PD(2450,1139);PD(2437,1143);PD(2409,1151);PD(2368,1171);PD(2327,1187);PD(2307,1185);PU(3653,1037);PD(3609,1011);PD(3577,987);PD(3559,966);PD(3559,951);PD(3592,961);PD(3653,995);PD(3713,1034);PD(3739,1058);PD(3736,1069);PD(3723,1069);PD(3697,1059);PD(3653,1037);PU(2903,907);PD(2920,880);PD(2933,851);PD(2941,822);PD(2944,791);PD(2941,760);PD(2934,728);PD(2922,697);PD(2904,666);PD(2879,627);PD(2867,605);PD(2868,595);PD(2879,593);PD(2900,609);PD(2929,649);PD(2957,699);PD(2976,745);PD(2981,776);PD(2979,811);PD(2971,846);PD(2959,881);PD(2943,912);PD(2925,937);PD(2905,953);PD(2884,960);PD(2877,957);PD(2877,948);PD(2886,932);PD(2903,907);PU(756,899);PD(743,884);PD(739,867);PD(744,849);PD(755,834);PD(771,821);PD(790,813);PD(811,812);PD(833,818);PD(851,835);PD(859,856);PD(857,879);PD(844,900);PD(825,913);PD(803,917);PD(780,912);PD(756,899);PU(818,861);PD(812,851);PD(797,847);PD(782,851);PD(776,861);PD(782,871);PD(797,875);PD(812,871);PD(818,861);PU(3415,882);PD(3405,864);PD(3406,851);PD(3420,848);PD(3438,854);PD(3453,867);PD(3460,882);PD(3455,895);PD(3444,899);PD(3430,895);PD(3415,882);PU(3277,783);PD(3225,742);PD(3203,713);PD(3204,703);PD(3206,696);PD(3210,694);PD(3217,696);PD(3244,712);PD(3292,749);PD(3357,805);PD(3375,832);PD(3348,826);PD(3277,783);PU(2268,600);PD(2255,563);PD(2256,543);PD(2272,549);PD(2291,571);PD(2307,600);PD(2314,628);PD(2313,639);PD(2310,646);PD(2306,649);PD(2300,647);PD(2285,631);PD(2268,600);PU(1315,590);PD(1270,567);PD(1223,532);PD(1185,492);PD(1164,456);PD(1161,441);PD(1162,431);PD(1165,425);PD(1171,424);PD(1187,436);PD(1205,464);PD(1219,483);PD(1242,504);PD(1271,525);PD(1304,545);PD(1364,579);PD(1386,599);PD(1370,603);PD(1315,590);PU(1983,363);PD(1943,337);PD(1917,318);PD(1905,305);PD(1909,299);PD(1945,305);PD(1997,327);PD(2051,358);PD(2091,391);PD(2105,407);PD(2110,417);PD(2107,421);PD(2097,420);PD(2054,402);PD(1983,363);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_16(){//робот
M=0.4;//  
PD(1414,4061);pendown();
PD(1402,4032);PD(1397,3986);PD(1398,3968);PD(1401,3951);PD(1408,3934);PD(1422,3914);PD(1473,3856);PD(1568,3761);PD(1692,3631);PD(1751,3556);PD(1759,3517);PD(1757,3470);PD(1748,3418);PD(1562,3412);PD(1424,3413);PD(1370,3422);PD(1351,3447);PD(1312,3487);PD(1287,3508);PD(1257,3527);PD(1219,3544);PD(1172,3561);PD(1040,3594);PD(847,3632);PD(689,3659);PD(573,3675);PD(494,3681);PD(446,3677);PD(425,3670);PD(414,3655);PD(410,3623);PD(409,3564);PD(411,3504);PD(419,3462);PD(440,3422);PD(481,3364);PD(546,3281);PD(605,3214);PD(661,3160);PD(717,3117);PD(776,3075);PD(776,2907);PD(776,2810);PD(772,2760);PD(769,2747);PD(763,2741);PD(755,2738);PD(745,2738);PD(713,2735);PD(680,2729);PD(670,2726);PD(662,2720);PD(657,2707);PD(653,2686);PD(650,2600);PD(649,2436);PD(649,2151);PD(579,2081);PD(529,2029);PD(508,2001);PD(530,1973);PD(581,1936);PD(640,1905);PD(684,1891);PD(708,1888);PD(725,1878);PD(742,1855);PD(762,1816);PD(781,1781);PD(801,1751);PD(823,1728);PD(848,1709);PD(876,1695);PD(908,1686);PD(945,1681);PD(988,1679);PD(1034,1681);PD(1069,1685);PD(1095,1693);PD(1115,1705);PD(1144,1729);PD(1115,1768);PD(1100,1783);PD(1084,1795);PD(1067,1803);PD(1051,1806);PD(1023,1813);PD(1000,1829);PD(992,1842);PD(991,1853);PD(999,1864);PD(1016,1880);PD(1050,1898);PD(1085,1902);PD(1105,1898);PD(1116,1889);PD(1121,1872);PD(1122,1844);PD(1124,1821);PD(1129,1800);PD(1137,1783);PD(1148,1770);PD(1162,1761);PD(1179,1755);PD(1199,1753);PD(1221,1755);PD(1264,1770);PD(1301,1794);PD(1332,1827);PD(1353,1867);PD(1362,1896);PD(1364,1919);PD(1357,1943);PD(1342,1976);PD(1326,2014);PD(1317,2063);PD(1313,2145);PD(1312,2279);PD(1312,2418);PD(1308,2491);PD(1305,2510);PD(1300,2521);PD(1293,2525);PD(1284,2526);PD(1275,2527);PD(1268,2530);PD(1263,2537);PD(1260,2551);PD(1257,2602);PD(1256,2697);PD(1257,2786);PD(1260,2837);PD(1263,2850);PD(1267,2858);PD(1272,2860);PD(1278,2859);PD(1296,2853);PD(1307,2850);PD(1311,2825);PD(1314,2763);PD(1314,2674);PD(1439,2568);PD(1565,2462);PD(1482,2424);PD(1400,2388);PD(1390,2283);PD(1382,2204);PD(1374,2158);PD(1376,2144);PD(1385,2130);PD(1404,2113);PD(1432,2094);PD(1477,2062);PD(1496,2042);PD(1475,1993);PD(1425,1889);PD(1381,1801);PD(1362,1740);PD(1363,1666);PD(1377,1541);PD(1381,1510);PD(1379,1492);PD(1372,1484);PD(1357,1482);PD(1340,1479);PD(1323,1470);PD(1306,1456);PD(1289,1437);PD(1256,1385);PD(1229,1317);PD(1196,1237);PD(1161,1183);PD(1134,1136);PD(1113,1074);PD(1107,1044);PD(1105,1018);PD(1107,1000);PD(1115,991);PD(1125,950);PD(1129,859);PD(1128,793);PD(1124,751);PD(1115,725);PD(1101,706);PD(1087,688);PD(1079,667);PD(1074,637);PD(1072,597);PD(1071,551);PD(1065,522);PD(1050,502);PD(1022,481);PD(961,430);PD(886,358);PD(837,306);PD(811,270);PD(802,236);PD(800,188);PD(800,106);PD(905,97);PD(1005,89);PD(1090,85);PD(1166,86);PD(1242,92);PD(1423,124);PD(1693,189);PD(2110,295);PD(2114,751);PD(2118,1207);PD(2080,1322);PD(2043,1438);PD(2081,1503);PD(2100,1540);PD(2112,1580);PD(2121,1628);PD(2127,1693);PD(2135,1780);PD(2145,1813);PD(2154,1774);PD(2162,1691);PD(2167,1629);PD(2176,1583);PD(2189,1544);PD(2208,1506);PD(2248,1437);PD(2210,1329);PD(2173,1221);PD(2176,758);PD(2180,295);PD(2595,191);PD(2863,124);PD(3043,92);PD(3119,86);PD(3196,85);PD(3282,89);PD(3385,97);PD(3490,106);PD(3490,191);PD(3488,274);PD(3366,391);PD(3274,474);PD(3229,508);PD(3221,533);PD(3217,593);PD(3216,636);PD(3212,666);PD(3202,689);PD(3188,707);PD(3171,729);PD(3162,761);PD(3162,823);PD(3167,933);PD(3175,1127);PD(3134,1174);PD(3096,1235);PD(3062,1312);PD(3034,1380);PD(3001,1434);PD(2983,1454);PD(2966,1469);PD(2949,1478);PD(2932,1482);PD(2923,1483);PD(2917,1489);PD(2913,1500);PD(2912,1519);PD(2916,1584);PD(2929,1696);PD(2929,1729);PD(2920,1767);PD(2900,1818);PD(2865,1891);PD(2815,1993);PD(2794,2042);PD(2813,2062);PD(2858,2094);PD(2886,2113);PD(2904,2130);PD(2914,2144);PD(2915,2158);PD(2908,2204);PD(2900,2283);PD(2890,2388);PD(2807,2424);PD(2725,2462);PD(2850,2568);PD(2976,2674);PD(2976,2760);PD(2979,2811);PD(2988,2843);PD(2995,2853);PD(3004,2860);PD(3015,2863);PD(3028,2865);PD(3032,2815);PD(3034,2697);PD(3033,2602);PD(3030,2551);PD(3026,2537);PD(3021,2529);PD(3014,2525);PD(3004,2523);PD(2994,2521);PD(2987,2516);PD(2982,2506);PD(2978,2488);PD(2975,2415);PD(2976,2278);PD(2977,2144);PD(2974,2064);PD(2965,2016);PD(2949,1978);PD(2937,1951);PD(2929,1926);PD(2926,1901);PD(2928,1879);PD(2935,1857);PD(2946,1837);PD(2962,1818);PD(2983,1799);PD(3019,1776);PD(3054,1761);PD(3085,1754);PD(3113,1756);PD(3135,1766);PD(3153,1784);PD(3164,1811);PD(3168,1844);PD(3169,1872);PD(3174,1889);PD(3185,1898);PD(3205,1902);PD(3240,1898);PD(3274,1880);PD(3291,1864);PD(3298,1853);PD(3298,1842);PD(3289,1829);PD(3267,1813);PD(3238,1806);PD(3223,1803);PD(3206,1795);PD(3189,1783);PD(3175,1768);PD(3145,1729);PD(3175,1705);PD(3194,1693);PD(3219,1685);PD(3250,1681);PD(3289,1679);PD(3338,1681);PD(3381,1688);PD(3418,1699);PD(3450,1715);PD(3477,1735);PD(3500,1761);PD(3519,1793);PD(3535,1830);PD(3546,1858);PD(3559,1876);PD(3577,1886);PD(3604,1892);PD(3647,1907);PD(3699,1934);PD(3747,1965);PD(3775,1991);PD(3759,2021);PD(3711,2079);PD(3641,2156);PD(3641,2438);PD(3640,2601);PD(3637,2686);PD(3633,2707);PD(3628,2720);PD(3620,2726);PD(3610,2729);PD(3577,2735);PD(3546,2738);PD(3535,2738);PD(3527,2741);PD(3522,2747);PD(3518,2760);PD(3514,2812);PD(3514,2911);PD(3514,3083);PD(3570,3116);PD(3624,3158);PD(3694,3229);PD(3769,3315);PD(3835,3405);PD(3860,3442);PD(3873,3475);PD(3879,3514);PD(3881,3569);PD(3880,3625);PD(3875,3656);PD(3864,3670);PD(3842,3677);PD(3799,3679);PD(3725,3674);PD(3629,3662);PD(3518,3645);PD(3288,3602);PD(3099,3555);PD(3039,3531);PD(2987,3498);PD(2946,3460);PD(2920,3419);PD(2860,3413);PD(2723,3415);PD(2533,3422);PD(2529,3491);PD(2524,3559);PD(2708,3745);PD(2811,3850);PD(2866,3912);PD(2880,3934);PD(2888,3952);PD(2892,3969);PD(2893,3988);PD(2889,4028);PD(2878,4056);PD(2859,4073);PD(2832,4078);PD(2763,4038);PD(2636,3943);PD(2468,3809);PD(2440,3845);PD(2410,3875);PD(2373,3900);PD(2335,3917);PD(2300,3923);PD(2280,3928);PD(2272,3941);PD(2270,3956);PD(2263,3969);PD(2252,3980);PD(2236,3990);PD(2195,4003);PD(2141,4008);PD(2088,4003);PD(2049,3991);PD(2036,3982);PD(2026,3971);PD(2020,3958);PD(2018,3943);PD(2010,3929);PD(1990,3923);PD(1955,3916);PD(1917,3899);PD(1880,3874);PD(1850,3844);PD(1820,3806);PD(1685,3917);PD(1563,4015);PD(1489,4065);PD(1464,4076);PD(1444,4078);PD(1428,4073);PD(1414,4061);PU(1638,3888);PD(1806,3752);PD(1806,3682);PD(1803,3633);PD(1796,3615);PD(1739,3668);PD(1620,3790);PD(1548,3866);PD(1495,3924);PD(1464,3966);PD(1453,3991);PD(1456,4012);PD(1462,4022);PD(1518,3982);PD(1638,3888);PU(2836,3991);PD(2826,3966);PD(2794,3925);PD(2742,3866);PD(2668,3789);PD(2546,3669);PD(2488,3620);PD(2481,3640);PD(2479,3687);PD(2482,3720);PD(2487,3745);PD(2496,3763);PD(2508,3775);PD(2567,3821);PD(2674,3907);PD(2777,3987);PD(2826,4022);PD(2834,4012);PD(2836,3991);PU(2208,3951);PD(2213,3931);PD(2207,3906);PD(2193,3882);PD(2172,3865);PD(2151,3860);PD(2130,3862);PD(2111,3871);PD(2094,3885);PD(2081,3902);PD(2074,3921);PD(2074,3939);PD(2084,3955);PD(2108,3963);PD(2148,3965);PD(2187,3961);PD(2208,3951);PU(2004,3865);PD(1983,3855);PD(1967,3841);PD(1956,3826);PD(1949,3807);PD(1947,3786);PD(1949,3763);PD(1957,3738);PD(1969,3711);PD(1980,3689);PD(1982,3675);PD(1977,3668);PD(1961,3662);PD(1934,3649);PD(1911,3630);PD(1896,3607);PD(1891,3583);PD(1910,3543);PD(1956,3485);PD(2022,3415);PD(1913,3415);PD(1806,3415);PD(1815,3454);PD(1827,3492);PD(1842,3528);PD(1857,3586);PD(1870,3676);PD(1876,3728);PD(1884,3771);PD(1896,3807);PD(1911,3834);PD(1929,3855);PD(1952,3869);PD(1979,3877);PD(2011,3879);PD(2024,3879);PD(2027,3876);PD(2021,3872);PD(2004,3865);PU(2379,3833);PD(2394,3810);PD(2405,3780);PD(2412,3735);PD(2417,3669);PD(2429,3569);PD(2445,3509);PD(2461,3478);PD(2472,3447);PD(2475,3437);PD(2475,3429);PD(2472,3423);PD(2465,3419);PD(2434,3416);PD(2373,3415);PD(2266,3415);PD(2324,3476);PD(2350,3504);PD(2370,3529);PD(2384,3552);PD(2391,3572);PD(2393,3591);PD(2389,3608);PD(2379,3623);PD(2364,3638);PD(2333,3660);PD(2311,3672);PD(2306,3676);PD(2305,3685);PD(2309,3696);PD(2318,3711);PD(2332,3735);PD(2340,3759);PD(2342,3782);PD(2338,3804);PD(2329,3824);PD(2315,3843);PD(2296,3859);PD(2272,3872);PD(2269,3874);PD(2268,3875);PD(2269,3876);PD(2272,3876);PD(2283,3876);PD(2300,3874);PD(2343,3858);PD(2379,3833);PU(2276,3775);PD(2272,3753);PD(2262,3732);PD(2248,3712);PD(2230,3694);PD(2210,3678);PD(2188,3666);PD(2166,3658);PD(2143,3655);PD(2116,3660);PD(2087,3674);PD(2060,3695);PD(2036,3720);PD(2017,3746);PD(2006,3772);PD(2004,3795);PD(2012,3813);PD(2056,3818);PD(2149,3820);PD(2279,3817);PD(2276,3775);PU(734,3605);PD(977,3562);PD(1138,3522);PD(1193,3502);PD(1236,3480);PD(1267,3457);PD(1290,3432);PD(1310,3399);PD(1321,3365);PD(1325,3317);PD(1326,3243);PD(1324,3117);PD(1318,3001);PD(1312,2941);PD(1306,2912);PD(1301,2906);PD(1296,2905);PD(1288,2908);PD(1278,2914);PD(1192,2954);PD(1024,3025);PD(871,3093);PD(761,3152);PD(718,3182);PD(680,3213);PD(646,3246);PD(612,3284);PD(538,3376);PD(494,3445);PD(480,3474);PD(472,3503);PD(467,3531);PD(466,3562);PD(467,3602);PD(470,3626);PD(478,3638);PD(491,3641);PD(573,3630);PD(734,3605);PU(3824,3562);PD(3822,3518);PD(3815,3483);PD(3799,3450);PD(3772,3409);PD(3718,3337);PD(3670,3277);PD(3623,3227);PD(3575,3185);PD(3522,3148);PD(3461,3113);PD(3388,3078);PD(3301,3041);PD(3148,2977);PD(3047,2931);PD(2982,2898);PD(2972,3011);PD(2966,3131);PD(2963,3257);PD(2965,3335);PD(2977,3397);PD(2988,3422);PD(3005,3445);PD(3027,3465);PD(3057,3483);PD(3141,3517);PD(3265,3549);PD(3436,3584);PD(3662,3625);PD(3726,3634);PD(3779,3639);PD(3824,3641);PD(3824,3562);PU(2066,3618);PD(2082,3609);PD(2088,3597);PD(2082,3587);PD(2068,3585);PD(2049,3592);PD(2032,3605);PD(2024,3619);PD(2028,3626);PD(2042,3626);PD(2066,3618);PU(2258,3605);PD(2241,3592);PD(2222,3585);PD(2207,3587);PD(2201,3597);PD(2206,3607);PD(2217,3616);PD(2235,3622);PD(2256,3625);PD(2265,3625);PD(2268,3622);PD(2266,3616);PD(2258,3605);PU(2000,3570);PD(2033,3552);PD(2070,3543);PD(2103,3546);PD(2128,3559);PD(2137,3566);PD(2145,3568);PD(2153,3566);PD(2162,3559);PD(2187,3546);PD(2220,3543);PD(2256,3552);PD(2290,3570);PD(2317,3590);PD(2332,3597);PD(2336,3590);PD(2333,3570);PD(2308,3533);PD(2259,3484);PD(2224,3453);PD(2204,3440);PD(2194,3441);PD(2190,3456);PD(2184,3470);PD(2174,3480);PD(2160,3486);PD(2145,3488);PD(2130,3486);PD(2116,3479);PD(2105,3469);PD(2100,3454);PD(2098,3445);PD(2095,3439);PD(2091,3436);PD(2085,3438);PD(2062,3456);PD(2022,3494);PD(1969,3549);PD(1947,3581);PD(1950,3594);PD(1958,3597);PD(1974,3589);PD(2000,3570);PU(2877,3360);PD(2887,3338);PD(2895,3282);PD(2902,3180);PD(2910,3025);PD(2924,2702);PD(2881,2667);PD(2858,2647);PD(2826,2619);PD(2788,2586);PD(2750,2553);PD(2660,2472);PD(2403,2406);PD(2145,2340);PD(1888,2406);PD(1630,2472);PD(1499,2587);PD(1366,2702);PD(1377,2992);PD(1385,3205);PD(1389,3313);PD(1396,3340);PD(1411,3358);PD(1648,3368);PD(2144,3372);PD(2641,3369);PD(2877,3360);PU(1030,2970);PD(1192,2904);PD(1192,2715);PD(1192,2526);PD(1079,2526);PD(967,2527);PD(900,2622);PD(833,2716);PD(833,2883);PD(833,2963);PD(836,3014);PD(842,3039);PD(851,3044);PD(910,3020);PD(1030,2970);PU(3457,2881);PD(3457,2716);PD(3391,2622);PD(3323,2527);PD(3207,2526);PD(3092,2526);PD(3092,2714);PD(3092,2903);PD(3264,2975);PD(3388,3025);PD(3447,3047);PD(3454,2999);PD(3457,2881);PU(869,2574);PD(948,2467);PD(1102,2472);PD(1256,2477);PD(1256,2262);PD(1256,2048);PD(1009,2043);PD(829,2036);PD(749,2025);PD(737,2004);PD(730,1976);PD(725,1960);PD(718,1949);PD(708,1941);PD(696,1938);PD(665,1943);PD(629,1966);PD(588,1998);PD(615,2039);PD(629,2058);PD(638,2067);PD(643,2066);PD(646,2056);PD(658,2039);PD(679,2032);PD(687,2033);PD(694,2039);PD(698,2053);PD(702,2078);PD(705,2175);PD(706,2357);PD(706,2681);PD(748,2681);PD(773,2677);PD(797,2662);PD(827,2629);PD(869,2574);PU(3581,2357);PD(3577,2032);PD(3608,2032);PD(3620,2034);PD(3631,2039);PD(3639,2046);PD(3643,2056);PD(3647,2066);PD(3652,2067);PD(3661,2058);PD(3675,2039);PD(3701,1998);PD(3660,1966);PD(3622,1943);PD(3588,1933);PD(3572,1935);PD(3562,1942);PD(3557,1955);PD(3556,1976);PD(3554,1996);PD(3546,2013);PD(3531,2025);PD(3505,2034);PD(3415,2044);PD(3258,2046);PD(3034,2046);PD(3034,2262);PD(3034,2477);PD(3188,2472);PD(3343,2467);PD(3422,2574);PD(3464,2629);PD(3494,2662);PD(3518,2677);PD(3543,2681);PD(3586,2681);PD(3581,2357);PU(1950,2183);PD(1945,2070);PD(1942,2022);PD(1772,2104);PD(1596,2196);PD(1607,2281);PD(1631,2400);PD(1640,2410);PD(1664,2411);PD(1712,2402);PD(1796,2381);PD(1954,2340);PD(1950,2183);PU(2677,2306);PD(2690,2229);PD(2692,2194);PD(2516,2103);PD(2341,2018);PD(2337,2065);PD(2335,2179);PD(2335,2340);PD(2491,2382);PD(2602,2410);PD(2651,2419);PD(2661,2384);PD(2677,2306);PU(2842,2256);PD(2847,2199);PD(2846,2165);PD(2837,2144);PD(2819,2128);PD(2794,2110);PD(2778,2103);PD(2768,2133);PD(2754,2206);PD(2748,2249);PD(2740,2293);PD(2734,2332);PD(2729,2361);PD(2719,2416);PD(2776,2386);PD(2808,2368);PD(2826,2349);PD(2835,2316);PD(2842,2256);PU(1562,2361);PD(1552,2300);PD(1537,2213);PD(1522,2135);PD(1511,2103);PD(1496,2110);PD(1470,2128);PD(1452,2144);PD(1444,2165);PD(1443,2199);PD(1448,2256);PD(1454,2311);PD(1462,2344);PD(1475,2364);PD(1494,2378);PD(1531,2394);PD(1553,2397);PD(1560,2394);PD(1563,2386);PD(1564,2375);PD(1562,2361);PU(2208,2304);PD(2272,2327);PD(2272,2256);PD(2272,2205);PD(2272,2179);PD(2235,2173);PD(2145,2170);PD(2055,2173);PD(2018,2179);PD(2018,2205);PD(2018,2256);PD(2018,2327);PD(2081,2304);PD(2117,2294);PD(2145,2291);PD(2173,2294);PD(2208,2304);PU(1898,1825);PD(1873,1752);PD(1858,1693);PD(1851,1639);PD(1849,1578);PD(1848,1515);PD(1844,1482);PD(1833,1469);PD(1812,1468);PD(1795,1469);PD(1785,1473);PD(1782,1481);PD(1785,1494);PD(1787,1510);PD(1782,1525);PD(1773,1540);PD(1758,1553);PD(1716,1575);PD(1659,1588);PD(1597,1590);PD(1548,1581);PD(1529,1571);PD(1513,1559);PD(1501,1543);PD(1492,1524);PD(1482,1503);PD(1474,1490);PD(1466,1488);PD(1458,1494);PD(1444,1535);PD(1431,1614);PD(1415,1738);PD(1489,1889);PD(1544,2010);PD(1572,2091);PD(1582,2145);PD(1764,2053);PD(1946,1961);PD(1898,1825);PU(2804,1877);PD(2873,1729);PD(2857,1610);PD(2845,1533);PD(2832,1493);PD(2824,1488);PD(2816,1491);PD(2807,1503);PD(2798,1524);PD(2789,1543);PD(2777,1559);PD(2761,1571);PD(2742,1581);PD(2693,1590);PD(2630,1588);PD(2574,1575);PD(2532,1553);PD(2517,1540);PD(2507,1525);PD(2503,1510);PD(2505,1494);PD(2507,1481);PD(2505,1473);PD(2495,1469);PD(2478,1468);PD(2457,1469);PD(2446,1482);PD(2442,1515);PD(2441,1578);PD(2439,1637);PD(2431,1692);PD(2416,1751);PD(2392,1825);PD(2344,1961);PD(2523,2052);PD(2702,2142);PD(2718,2083);PD(2750,1999);PD(2804,1877);PU(2279,2056);PD(2279,1997);PD(2145,1997);PD(2011,1997);PD(2009,2057);PD(2009,2117);PD(2143,2117);PD(2279,2117);PD(2279,2056);PU(1290,1967);PD(1297,1940);PD(1299,1912);PD(1294,1885);PD(1286,1860);PD(1273,1838);PD(1256,1821);PD(1237,1810);PD(1215,1806);PD(1192,1810);PD(1178,1821);PD(1176,1837);PD(1185,1856);PD(1192,1866);PD(1194,1877);PD(1192,1889);PD(1187,1902);PD(1171,1924);PD(1149,1937);PD(1118,1945);PD(1075,1947);PD(1027,1938);PD(975,1914);PD(952,1900);PD(934,1885);PD(922,1870);PD(917,1857);PD(929,1830);PD(957,1800);PD(993,1774);PD(1027,1761);PD(1054,1753);PD(1070,1740);PD(1066,1731);PD(1052,1725);PD(1030,1722);PD(1001,1721);PD(939,1728);PD(888,1744);PD(869,1757);PD(851,1774);PD(835,1796);PD(820,1822);PD(799,1879);PD(790,1937);PD(790,1990);PD(1036,1990);PD(1163,1989);PD(1239,1986);PD(1277,1979);PD(1290,1967);PU(3500,1937);PD(3491,1881);PD(3468,1823);PD(3453,1797);PD(3436,1774);PD(3418,1755);PD(3399,1743);PD(3350,1727);PD(3289,1721);PD(3261,1722);PD(3238,1725);PD(3224,1731);PD(3220,1740);PD(3236,1753);PD(3262,1761);PD(3297,1774);PD(3333,1800);PD(3361,1830);PD(3373,1857);PD(3367,1869);PD(3353,1884);PD(3333,1899);PD(3307,1913);PD(3250,1937);PD(3199,1947);PD(3156,1940);PD(3120,1920);PD(3107,1908);PD(3099,1894);PD(3095,1880);PD(3097,1865);PD(3106,1839);PD(3107,1823);PD(3099,1814);PD(3080,1809);PD(3064,1809);PD(3049,1814);PD(3034,1823);PD(3020,1835);PD(2999,1867);PD(2992,1904);PD(2992,1932);PD(2995,1954);PD(3004,1969);PD(3022,1979);PD(3100,1989);PD(3254,1990);PD(3500,1990);PD(3500,1937);PU(2088,1930);PD(2084,1870);PD(2073,1751);PD(2064,1666);PD(2053,1604);PD(2038,1557);PD(2018,1513);PD(1977,1438);PD(2012,1338);PD(2031,1272);PD(2041,1189);PD(2045,1042);PD(2046,782);PD(2046,327);PD(1959,305);PD(1921,295);PD(1886,286);PD(1858,279);PD(1839,274);PD(1806,265);PD(1806,730);PD(1806,1195);PD(1863,1325);PD(1894,1399);PD(1910,1454);PD(1918,1508);PD(1919,1579);PD(1922,1659);PD(1934,1734);PD(1958,1819);PD(1997,1930);PD(2015,1943);PD(2046,1947);PD(2075,1943);PD(2088,1930);PU(2331,1820);PD(2350,1756);PD(2363,1700);PD(2369,1643);PD(2371,1576);PD(2372,1504);PD(2379,1450);PD(2396,1396);PD(2427,1324);PD(2484,1195);PD(2484,731);PD(2484,265);PD(2453,274);PD(2404,286);PD(2333,305);PD(2244,327);PD(2244,782);PD(2244,1040);PD(2248,1187);PD(2259,1270);PD(2278,1335);PD(2310,1432);PD(2272,1510);PD(2253,1554);PD(2239,1603);PD(2227,1661);PD(2217,1733);PD(2204,1859);PD(2203,1923);PD(2207,1938);PD(2216,1945);PD(2229,1946);PD(2246,1945);PD(2272,1939);PD(2290,1924);PD(2308,1887);PD(2331,1820);PU(2742,1518);PD(2748,1487);PD(2749,1432);PD(2745,1394);PD(2739,1372);PD(2727,1362);PD(2707,1357);PD(2670,1359);PD(2638,1370);PD(2611,1393);PD(2588,1427);PD(2572,1469);PD(2572,1503);PD(2578,1516);PD(2587,1526);PD(2600,1534);PD(2618,1540);PD(2656,1543);PD(2693,1541);PD(2723,1532);PD(2742,1518);PU(1719,1506);PD(1716,1472);PD(1700,1430);PD(1676,1392);PD(1650,1369);PD(1619,1359);PD(1583,1357);PD(1563,1362);PD(1551,1371);PD(1545,1388);PD(1541,1417);PD(1540,1466);PD(1545,1506);PD(1552,1524);PD(1564,1534);PD(1590,1537);PD(1634,1535);PD(1673,1532);PD(1699,1527);PD(1713,1518);PD(1719,1506);PU(1482,1401);PD(1483,1380);PD(1489,1362);PD(1498,1346);PD(1510,1334);PD(1526,1324);PD(1547,1318);PD(1571,1314);PD(1599,1312);PD(1638,1314);PD(1667,1322);PD(1692,1339);PD(1723,1369);PD(1749,1393);PD(1772,1411);PD(1793,1422);PD(1812,1425);PD(1847,1425);PD(1798,1321);PD(1750,1215);PD(1750,975);PD(1750,734);PD(1468,734);PD(1185,734);PD(1185,866);PD(1185,1000);PD(1405,1005);PD(1626,1009);PD(1667,1058);PD(1683,1080);PD(1695,1102);PD(1703,1123);PD(1706,1143);PD(1706,1161);PD(1700,1178);PD(1691,1193);PD(1676,1205);PD(1652,1216);PD(1611,1223);PD(1547,1227);PD(1451,1228);PD(1257,1228);PD(1287,1310);PD(1315,1377);PD(1342,1416);PD(1357,1428);PD(1375,1435);PD(1396,1438);PD(1421,1439);PD(1454,1438);PD(1472,1434);PD(1480,1422);PD(1482,1401);PU(2955,1408);PD(2978,1363);PD(3004,1302);PD(3034,1228);PD(2839,1228);PD(2743,1227);PD(2679,1223);PD(2638,1216);PD(2613,1205);PD(2599,1192);PD(2589,1177);PD(2583,1159);PD(2582,1140);PD(2586,1119);PD(2594,1098);PD(2606,1077);PD(2623,1056);PD(2664,1009);PD(2884,1005);PD(3104,1000);PD(3104,866);PD(3104,734);PD(2822,734);PD(2540,734);PD(2540,972);PD(2540,1212);PD(2492,1318);PD(2443,1425);PD(2478,1425);PD(2496,1422);PD(2518,1411);PD(2541,1393);PD(2567,1369);PD(2597,1339);PD(2623,1322);PD(2650,1314);PD(2688,1312);PD(2741,1318);PD(2778,1334);PD(2791,1346);PD(2801,1361);PD(2806,1379);PD(2808,1400);PD(2810,1422);PD(2817,1434);PD(2836,1439);PD(2872,1439);PD(2903,1438);PD(2926,1433);PD(2942,1423);PD(2955,1408);PU(1634,1173);PD(1642,1170);PD(1647,1164);PD(1650,1155);PD(1650,1144);PD(1641,1117);PD(1623,1087);PD(1614,1075);PD(1604,1067);PD(1591,1060);PD(1572,1056);PD(1506,1050);PD(1384,1047);PD(1171,1041);PD(1171,1075);PD(1179,1107);PD(1197,1139);PD(1213,1155);PD(1235,1165);PD(1271,1171);PD(1326,1174);PD(1496,1177);PD(1634,1173);PU(2914,1173);PD(3075,1171);PD(3097,1129);PD(3112,1100);PD(3120,1078);PD(3119,1063);PD(3107,1053);PD(3041,1045);PD(2905,1047);PD(2784,1050);PD(2718,1056);PD(2699,1060);PD(2686,1067);PD(2676,1075);PD(2667,1087);PD(2649,1115);PD(2640,1141);PD(2641,1162);PD(2653,1174);PD(2676,1177);PD(2709,1177);PD(2787,1175);PD(2914,1173);PU(1747,466);PD(1744,349);PD(1739,283);PD(1736,264);PD(1731,252);PD(1726,246);PD(1719,243);PD(1711,242);PD(1705,245);PD(1701,252);PD(1698,266);PD(1694,316);PD(1693,406);PD(1693,482);PD(1690,538);PD(1687,560);PD(1681,577);PD(1672,592);PD(1660,603);PD(1623,619);PD(1568,627);PD(1488,630);PD(1381,632);PD(1203,639);PD(1129,648);PD(1132,658);PD(1141,667);PD(1159,673);PD(1189,678);PD(1287,683);PD(1453,684);PD(1750,684);PD(1747,466);PU(3147,670);PD(3159,661);PD(3161,653);PD(3152,647);PD(3132,643);PD(3052,637);PD(2915,635);PD(2781,634);PD(2703,630);PD(2660,621);PD(2633,605);PD(2612,586);PD(2601,558);PD(2597,504);PD(2596,408);PD(2596,317);PD(2592,266);PD(2589,253);PD(2585,245);PD(2580,242);PD(2572,243);PD(2565,246);PD(2559,252);PD(2554,264);PD(2551,283);PD(2546,349);PD(2543,466);PD(2540,684);PD(2836,682);PD(3049,677);PD(3147,670);PU(1630,548);PD(1635,481);PD(1634,368);PD(1630,222);PD(1531,196);PD(1459,177);PD(1422,169);PD(1414,171);PD(1410,177);PD(1411,186);PD(1417,199);PD(1441,232);PD(1482,275);PD(1522,317);PD(1543,347);PD(1551,382);PD(1552,435);PD(1552,524);PD(1345,521);PD(1227,520);PD(1165,522);PD(1149,526);PD(1141,531);PD(1137,539);PD(1136,549);PD(1136,559);PD(1139,566);PD(1148,571);PD(1166,575);PD(1238,578);PD(1377,579);PD(1518,578);PD(1592,575);PD(1611,571);PD(1622,565);PD(1627,558);PD(1630,548);PU(3154,549);PD(3153,539);PD(3149,531);PD(3140,526);PD(3125,522);PD(3063,520);PD(2945,521);PD(2738,524);PD(2738,435);PD(2739,382);PD(2746,347);PD(2767,317);PD(2808,275);PD(2848,232);PD(2873,199);PD(2879,186);PD(2880,177);PD(2877,171);PD(2869,169);PD(2856,172);PD(2832,177);PD(2798,185);PD(2759,195);PD(2660,220);PD(2656,381);PD(2656,500);PD(2659,560);PD(2674,569);PD(2716,575);PD(2793,578);PD(2911,579);PD(3052,578);PD(3125,575);PD(3142,571);PD(3151,566);PD(3154,559);PD(3154,549);PU(1425,459);PD(1384,423);PD(1283,346);PD(1140,240);PD(1036,240);PD(984,239);PD(952,236);PD(936,229);PD(931,219);PD(936,208);PD(951,202);PD(981,198);PD(1030,198);PD(1079,197);PD(1109,193);PD(1125,187);PD(1129,176);PD(1137,162);PD(1157,155);PD(1169,157);PD(1178,162);PD(1184,171);PD(1185,182);PD(1195,202);PD(1222,232);PD(1267,273);PD(1331,323);PD(1436,404);PD(1486,437);PD(1492,425);PD(1492,397);PD(1484,375);PD(1469,351);PD(1448,324);PD(1421,296);PD(1392,267);PD(1371,241);PD(1357,217);PD(1352,193);PD(1348,173);PD(1338,157);PD(1321,145);PD(1296,137);PD(1209,131);PD(1063,135);PD(864,144);PD(858,192);PD(858,222);PD(870,251);PD(904,291);PD(965,353);PD(1080,466);PD(1253,466);PD(1375,464);PD(1425,459);PU(3319,357);PD(3377,297);PD(3410,257);PD(3425,227);PD(3429,196);PD(3429,144);PD(3229,135);PD(3082,131);PD(2994,138);PD(2968,146);PD(2952,158);PD(2942,174);PD(2938,195);PD(2932,219);PD(2920,243);PD(2898,268);PD(2867,298);PD(2837,326);PD(2816,352);PD(2803,375);PD(2798,397);PD(2799,425);PD(2805,437);PD(2855,404);PD(2961,323);PD(3023,273);PD(3068,232);PD(3095,202);PD(3104,182);PD(3106,171);PD(3112,162);PD(3121,157);PD(3133,155);PD(3153,162);PD(3161,176);PD(3165,187);PD(3181,193);PD(3211,197);PD(3260,198);PD(3308,198);PD(3339,202);PD(3354,208);PD(3358,219);PD(3354,229);PD(3337,236);PD(3305,239);PD(3253,240);PD(3145,240);PD(3016,341);PD(2920,416);PD(2873,454);PD(2881,459);PD(2914,462);PD(2967,465);PD(3034,466);PD(3210,466);PD(3319,357);PU(522,3553);PD(528,3510);PD(542,3466);PD(579,3410);PD(645,3340);PD(727,3266);PD(813,3202);PD(916,3143);PD(1056,3074);PD(1185,3016);PD(1256,2992);PD(1267,2998);PD(1273,3025);PD(1275,3082);PD(1273,3178);PD(1268,3300);PD(1255,3370);PD(1243,3393);PD(1225,3411);PD(1202,3427);PD(1171,3443);PD(1097,3468);PD(962,3502);PD(795,3540);PD(625,3574);PD(522,3594);PD(522,3553);PU(3542,3548);PD(3355,3508);PD(3232,3479);PD(3157,3458);PD(3112,3439);PD(3083,3424);PD(3062,3409);PD(3045,3391);PD(3034,3369);PD(3022,3298);PD(3017,3178);PD(3016,3087);PD(3018,3030);PD(3023,3000);PD(3031,2992);PD(3103,3017);PD(3236,3076);PD(3377,3146);PD(3477,3202);PD(3543,3249);PD(3603,3298);PD(3654,3347);PD(3697,3396);PD(3730,3443);PD(3753,3487);PD(3765,3528);PD(3765,3564);PD(3763,3574);PD(3759,3580);PD(3749,3583);PD(3733,3584);PD(3667,3573);PD(3542,3548);PU(1540,3292);PD(1506,3270);PD(1514,2996);PD(1520,2842);PD(1527,2752);PD(1539,2699);PD(1561,2654);PD(1597,2585);PD(1822,2505);PD(2048,2426);PD(2087,2455);PD(2119,2475);PD(2145,2482);PD(2170,2475);PD(2203,2455);PD(2242,2426);PD(2471,2506);PD(2699,2587);PD(2733,2663);PD(2753,2712);PD(2765,2768);PD(2772,2857);PD(2777,3000);PD(2780,3141);PD(2779,3223);PD(2772,3266);PD(2759,3288);PD(2748,3297);PD(2732,3304);PD(2704,3309);PD(2657,3312);PD(2481,3315);PD(2153,3316);PD(1843,3315);PD(1663,3312);PD(1575,3305);PD(1540,3292);PU(2712,3006);PD(2709,2864);PD(2703,2777);PD(2693,2723);PD(2677,2683);PD(2646,2620);PD(2451,2553);PD(2350,2518);PD(2286,2500);PD(2248,2495);PD(2223,2500);PD(2197,2514);PD(2187,2524);PD(2243,2555);PD(2379,2616);PD(2570,2699);PD(2565,2890);PD(2561,3082);PD(2365,3171);PD(2222,3234);PD(2153,3260);PD(2084,3234);PD(1937,3172);PD(1736,3083);PD(1736,2891);PD(1736,2701);PD(1929,2615);PD(2122,2529);PD(2073,2506);PD(2042,2494);PD(2006,2495);PD(1944,2513);PD(1834,2551);PD(1752,2581);PD(1690,2608);PD(1666,2621);PD(1646,2636);PD(1630,2652);PD(1616,2671);PD(1597,2719);PD(1586,2784);PD(1580,2873);PD(1575,2990);PD(1570,3174);PD(1573,3260);PD(1719,3270);PD(2149,3271);PD(2716,3267);PD(2712,3006);PU(2403,3100);PD(2512,3049);PD(2512,2890);PD(2512,2729);PD(2331,2649);PD(2151,2567);PD(1971,2653);PD(1791,2738);PD(1795,2896);PD(1799,3054);PD(1976,3133);PD(2152,3213);PD(2223,3181);PD(2258,3165);PD(2304,3144);PD(2355,3122);PD(2403,3100);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_17(){//конь
M=0.4;//  
PD(2843,3913);pendown();
PD(2683,3901);PD(2503,3880);PD(2319,3851);PD(2146,3817);PD(1940,3774);PD(1754,3738);PD(1627,3712);PD(1564,3694);PD(1555,3687);PD(1554,3680);PD(1560,3673);PD(1574,3667);PD(1622,3656);PD(1699,3648);PD(1849,3631);PD(2049,3603);PD(2191,3583);PD(2286,3576);PD(2318,3577);PD(2340,3581);PD(2352,3588);PD(2357,3598);PD(2343,3609);PD(2311,3612);PD(2254,3619);PD(2180,3634);PD(2073,3652);PD(1935,3669);PD(1816,3682);PD(1760,3696);PD(1754,3703);PD(1752,3708);PD(1756,3710);PD(1764,3711);PD(1847,3716);PD(2018,3725);PD(2221,3732);PD(2388,3724);PD(2463,3715);PD(2534,3702);PD(2603,3685);PD(2673,3663);PD(2793,3625);PD(2883,3600);PD(2958,3579);PD(3030,3553);PD(3083,3529);PD(3104,3512);PD(3086,3502);PD(3040,3500);PD(2975,3507);PD(2904,3522);PD(2833,3535);PD(2769,3538);PD(2743,3536);PD(2721,3532);PD(2706,3525);PD(2698,3516);PD(2700,3506);PD(2712,3495);PD(2733,3482);PD(2762,3470);PD(2842,3444);PD(2942,3422);PD(3057,3400);PD(3131,3381);PD(3179,3362);PD(3213,3337);PD(3233,3320);PD(3241,3309);PD(3240,3301);PD(3229,3295);PD(3180,3297);PD(3097,3316);PD(3046,3330);PD(3010,3337);PD(2986,3337);PD(2973,3332);PD(2967,3318);PD(2966,3297);PD(2968,3268);PD(2974,3234);PD(2997,3158);PD(3030,3082);PD(3046,3047);PD(3055,3021);PD(3058,3002);PD(3054,2992);PD(3042,2987);PD(3027,2989);PD(3008,2998);PD(2987,3012);PD(2944,3054);PD(2907,3107);PD(2860,3183);PD(2807,3247);PD(2749,3299);PD(2685,3340);PD(2587,3382);PD(2456,3425);PD(2315,3461);PD(2183,3485);PD(2091,3498);PD(2032,3508);PD(1962,3515);PD(1841,3524);PD(1760,3527);PD(1705,3526);PD(1665,3519);PD(1630,3507);PD(1573,3481);PD(1722,3463);PD(1856,3442);PD(1962,3418);PD(2043,3390);PD(2103,3357);PD(2152,3313);PD(2213,3244);PD(2282,3158);PD(2352,3064);PD(2418,2969);PD(2474,2882);PD(2515,2809);PD(2534,2759);PD(2537,2699);PD(2532,2627);PD(2519,2547);PD(2455,2551);PD(2406,2560);PD(2375,2572);PD(2353,2613);PD(2323,2685);PD(2290,2765);PD(2254,2828);PD(2204,2890);PD(2131,2963);PD(2084,3011);PD(2051,3051);PD(2028,3089);PD(2012,3130);PD(1991,3179);PD(1974,3195);PD(1966,3187);PD(1963,3175);PD(1962,3158);PD(1966,3138);PD(1985,3084);PD(2019,3013);PD(2077,2904);PD(2072,2718);PD(2068,2611);PD(2061,2543);PD(2045,2489);PD(2015,2423);PD(1989,2372);PD(1966,2336);PD(1946,2312);PD(1926,2300);PD(1899,2290);PD(1884,2287);PD(1872,2293);PD(1857,2309);PD(1841,2337);PD(1834,2378);PD(1833,2396);PD(1830,2410);PD(1824,2421);PD(1816,2429);PD(1788,2435);PD(1744,2431);PD(1720,2429);PD(1697,2431);PD(1677,2437);PD(1658,2447);PD(1632,2468);PD(1625,2486);PD(1638,2502);PD(1672,2520);PD(1707,2540);PD(1722,2558);PD(1707,2593);PD(1672,2653);PD(1645,2702);PD(1629,2749);PD(1622,2794);PD(1626,2837);PD(1640,2877);PD(1665,2917);PD(1700,2955);PD(1746,2992);PD(1839,3063);PD(1897,3122);PD(1915,3147);PD(1925,3170);PD(1927,3191);PD(1923,3210);PD(1916,3223);PD(1901,3236);PD(1881,3249);PD(1855,3262);PD(1789,3287);PD(1707,3309);PD(1548,3328);PD(1320,3340);PD(1205,3343);PD(1105,3343);PD(1029,3340);PD(988,3333);PD(971,3325);PD(964,3321);PD(968,3318);PD(981,3318);PD(1029,3307);PD(1098,3284);PD(1159,3260);PD(1185,3243);PD(1182,3234);PD(1174,3231);PD(1109,3194);PD(968,3104);PD(882,3050);PD(816,3011);PD(767,2988);PD(736,2979);PD(727,2981);PD(721,2986);PD(719,2995);PD(721,3008);PD(736,3045);PD(763,3097);PD(791,3152);PD(797,3175);PD(770,3160);PD(718,3126);PD(688,3101);PD(669,3082);PD(659,3065);PD(659,3052);PD(660,3042);PD(654,3037);PD(641,3037);PD(622,3041);PD(569,3065);PD(500,3106);PD(434,3144);PD(398,3161);PD(386,3167);PD(381,3182);PD(384,3194);PD(393,3205);PD(408,3215);PD(428,3225);PD(482,3242);PD(552,3253);PD(600,3260);PD(648,3274);PD(701,3295);PD(762,3323);PD(1075,3476);PD(1263,3556);PD(1335,3581);PD(1416,3617);PD(1482,3651);PD(1510,3673);PD(1501,3679);PD(1475,3673);PD(1431,3656);PD(1369,3627);PD(1293,3596);PD(1218,3577);PD(1181,3570);PD(1146,3558);PD(1111,3541);PD(1077,3519);PD(1024,3485);PD(991,3471);PD(938,3453);PD(835,3409);PD(723,3360);PD(634,3331);PD(540,3316);PD(413,3308);PD(316,3301);PD(260,3294);PD(228,3281);PD(203,3258);PD(186,3238);PD(177,3225);PD(177,3216);PD(185,3210);PD(198,3206);PD(217,3199);PD(242,3191);PD(268,3182);PD(328,3157);PD(386,3127);PD(436,3095);PD(471,3064);PD(486,3051);PD(503,3042);PD(523,3036);PD(545,3034);PD(579,3030);PD(598,3023);PD(584,3004);PD(540,2980);PD(486,2958);PD(440,2949);PD(408,2946);PD(384,2938);PD(383,2931);PD(394,2921);PD(414,2909);PD(440,2896);PD(501,2874);PD(553,2865);PD(584,2868);PD(597,2877);PD(591,2888);PD(564,2898);PD(541,2905);PD(528,2915);PD(524,2927);PD(529,2941);PD(543,2956);PD(566,2971);PD(596,2985);PD(634,2999);PD(652,3003);PD(661,2995);PD(663,2966);PD(660,2908);PD(655,2808);PD(713,2870);PD(772,2925);PD(856,2986);PD(966,3055);PD(1102,3131);PD(1194,3178);PD(1254,3199);PD(1275,3201);PD(1291,3198);PD(1303,3189);PD(1312,3175);PD(1348,3127);PD(1411,3054);PD(1443,3017);PD(1468,2984);PD(1488,2953);PD(1503,2920);PD(1523,2844);PD(1534,2736);PD(1537,2668);PD(1534,2612);PD(1525,2565);PD(1506,2525);PD(1477,2489);PD(1436,2454);PD(1382,2418);PD(1312,2378);PD(1218,2324);PD(1152,2280);PD(1113,2246);PD(1101,2221);PD(1103,2209);PD(1111,2203);PD(1123,2202);PD(1139,2206);PD(1183,2229);PD(1240,2272);PD(1302,2325);PD(1334,2357);PD(1366,2380);PD(1428,2414);PD(1489,2442);PD(1520,2451);PD(1518,2428);PD(1498,2381);PD(1461,2319);PD(1414,2249);PD(1349,2155);PD(1314,2089);PD(1306,2061);PD(1302,2032);PD(1302,2000);PD(1305,1963);PD(1308,1918);PD(1307,1876);PD(1303,1838);PD(1294,1803);PD(1283,1766);PD(1281,1742);PD(1288,1725);PD(1305,1707);PD(1331,1670);PD(1353,1619);PD(1366,1568);PD(1365,1531);PD(1359,1521);PD(1351,1515);PD(1341,1511);PD(1329,1511);PD(1299,1519);PD(1260,1540);PD(1224,1559);PD(1207,1564);PD(1213,1534);PD(1236,1470);PD(1252,1428);PD(1260,1396);PD(1261,1374);PD(1256,1356);PD(1246,1329);PD(1242,1306);PD(1243,1297);PD(1246,1292);PD(1250,1289);PD(1256,1291);PD(1268,1314);PD(1280,1359);PD(1291,1401);PD(1317,1442);PD(1364,1492);PD(1437,1556);PD(1468,1587);PD(1482,1607);PD(1466,1624);PD(1429,1647);PD(1405,1660);PD(1386,1676);PD(1372,1694);PD(1362,1718);PD(1356,1787);PD(1363,1897);PD(1373,1983);PD(1386,2042);PD(1412,2098);PD(1458,2176);PD(1514,2279);PD(1538,2340);PD(1542,2364);PD(1552,2376);PD(1567,2374);PD(1586,2358);PD(1612,2317);PD(1638,2254);PD(1663,2173);PD(1685,2080);PD(1705,1978);PD(1721,1872);PD(1732,1768);PD(1737,1669);PD(1741,1531);PD(1751,1445);PD(1758,1379);PD(1753,1281);PD(1746,1204);PD(1746,1153);PD(1749,1135);PD(1753,1124);PD(1759,1117);PD(1767,1115);PD(1776,1119);PD(1785,1133);PD(1796,1154);PD(1807,1183);PD(1829,1259);PD(1850,1357);PD(1865,1428);PD(1882,1489);PD(1901,1539);PD(1921,1578);PD(1943,1605);PD(1965,1619);PD(1988,1621);PD(2011,1609);PD(2038,1556);PD(2074,1453);PD(2111,1351);PD(2138,1298);PD(2153,1287);PD(2160,1286);PD(2167,1677);PD(2163,2079);PD(2156,2104);PD(2146,2110);PD(2122,2062);PD(2083,1956);PD(2044,1854);PD(2016,1794);PD(2005,1778);PD(1994,1768);PD(1983,1766);PD(1971,1768);PD(1943,1796);PD(1912,1850);PD(1887,1912);PD(1877,1964);PD(1881,2000);PD(1897,2038);PD(1931,2088);PD(1987,2159);PD(2029,2216);PD(2067,2277);PD(2098,2341);PD(2125,2407);PD(2146,2476);PD(2161,2546);PD(2170,2618);PD(2173,2691);PD(2177,2754);PD(2184,2780);PD(2206,2770);PD(2229,2742);PD(2251,2698);PD(2273,2641);PD(2293,2573);PD(2310,2497);PD(2325,2414);PD(2335,2327);PD(2340,2276);PD(2338,2245);PD(2328,2223);PD(2309,2203);PD(2293,2187);PD(2282,2172);PD(2276,2157);PD(2274,2141);PD(2284,2106);PD(2313,2060);PD(2334,2027);PD(2348,1991);PD(2357,1944);PD(2364,1874);PD(2367,1807);PD(2366,1748);PD(2360,1693);PD(2351,1637);PD(2334,1513);PD(2328,1360);PD(2327,1263);PD(2322,1202);PD(2309,1155);PD(2285,1102);PD(2266,1069);PD(2249,1042);PD(2234,1025);PD(2224,1020);PD(2214,1028);PD(2211,1039);PD(2212,1050);PD(2215,1072);PD(2218,1102);PD(2221,1136);PD(2226,1182);PD(2226,1203);PD(2221,1203);PD(2210,1184);PD(2184,1130);PD(2152,1051);PD(2133,1006);PD(2110,962);PD(2085,919);PD(2055,877);PD(1987,799);PD(1907,727);PD(1816,662);PD(1715,604);PD(1603,555);PD(1483,515);PD(1381,484);PD(1311,459);PD(1268,438);PD(1243,418);PD(1235,406);PD(1233,398);PD(1237,392);PD(1249,387);PD(1308,381);PD(1404,389);PD(1517,408);PD(1627,436);PD(1779,478);PD(1949,516);PD(2136,550);PD(2335,579);PD(2455,595);PD(2551,610);PD(2629,628);PD(2695,649);PD(2756,677);PD(2815,712);PD(2880,758);PD(2955,817);PD(3041,881);PD(3099,912);PD(3119,916);PD(3135,912);PD(3145,901);PD(3152,882);PD(3155,838);PD(3145,787);PD(3124,736);PD(3095,691);PD(3048,651);PD(2982,611);PD(2906,576);PD(2829,553);PD(2681,529);PD(2423,494);PD(2196,464);PD(2048,441);PD(1934,417);PD(1813,385);PD(1714,356);PD(1668,337);PD(1664,332);PD(1672,328);PD(1691,326);PD(1722,325);PD(1857,341);PD(2074,382);PD(2297,424);PD(2466,446);PD(2537,449);PD(2602,448);PD(2663,442);PD(2723,432);PD(2829,405);PD(2913,377);PD(2982,347);PD(3040,380);PD(3124,431);PD(3210,495);PD(3284,560);PD(3334,615);PD(3368,667);PD(3394,717);PD(3412,768);PD(3423,821);PD(3427,879);PD(3425,944);PD(3416,1018);PD(3401,1103);PD(3386,1187);PD(3377,1258);PD(3374,1316);PD(3376,1362);PD(3384,1397);PD(3398,1421);PD(3418,1435);PD(3445,1439);PD(3479,1433);PD(3518,1415);PD(3560,1388);PD(3603,1354);PD(3644,1315);PD(3679,1273);PD(3708,1231);PD(3727,1191);PD(3741,1127);PD(3744,1055);PD(3736,986);PD(3718,931);PD(3689,883);PD(3651,835);PD(3622,804);PD(3617,790);PD(3723,839);PD(3847,913);PD(3885,947);PD(3918,987);PD(3946,1032);PD(3968,1081);PD(3985,1133);PD(3995,1186);PD(3998,1240);PD(3993,1293);PD(3976,1369);PD(3947,1447);PD(3910,1526);PD(3863,1603);PD(3808,1677);PD(3747,1748);PD(3679,1813);PD(3605,1873);PD(3585,1889);PD(3575,1901);PD(3575,1910);PD(3584,1919);PD(3624,1928);PD(3690,1930);PD(3725,1927);PD(3757,1919);PD(3787,1908);PD(3816,1893);PD(3843,1873);PD(3870,1847);PD(3897,1817);PD(3924,1781);PD(3957,1739);PD(3974,1724);PD(3974,1761);PD(3961,1834);PD(3940,1920);PD(3916,1994);PD(3900,2037);PD(3889,2077);PD(3883,2114);PD(3881,2148);PD(3884,2180);PD(3892,2211);PD(3904,2239);PD(3921,2266);PD(3959,2313);PD(3993,2350);PD(4019,2376);PD(4039,2406);PD(4053,2437);PD(4061,2469);PD(4063,2502);PD(4059,2535);PD(4048,2567);PD(4032,2598);PD(3992,2644);PD(3934,2688);PD(3851,2735);PD(3737,2788);PD(3594,2856);PD(3497,2911);PD(3463,2937);PD(3435,2964);PD(3413,2992);PD(3394,3023);PD(3372,3066);PD(3359,3105);PD(3353,3152);PD(3353,3217);PD(3355,3290);PD(3362,3352);PD(3373,3405);PD(3390,3448);PD(3413,3484);PD(3441,3511);PD(3475,3532);PD(3516,3546);PD(3565,3563);PD(3586,3577);PD(3574,3595);PD(3543,3618);PD(3510,3632);PD(3458,3641);PD(3375,3649);PD(3248,3656);PD(3062,3667);PD(2963,3676);PD(2897,3692);PD(2853,3706);PD(2829,3719);PD(2822,3731);PD(2829,3746);PD(2852,3757);PD(2895,3767);PD(2965,3776);PD(3052,3791);PD(3146,3812);PD(3225,3836);PD(3270,3855);PD(3280,3870);PD(3278,3882);PD(3239,3895);PD(3165,3908);PD(3079,3918);PD(3006,3920);PD(2932,3917);PD(2843,3913);PU(1616,3260);PD(1630,3242);PD(1635,3224);PD(1634,3200);PD(1626,3164);PD(1607,3110);PD(1585,3067);PD(1559,3036);PD(1534,3023);PD(1520,3026);PD(1504,3039);PD(1483,3063);PD(1461,3096);PD(1414,3158);PD(1369,3199);PD(1340,3220);PD(1331,3237);PD(1351,3255);PD(1393,3270);PD(1450,3282);PD(1511,3286);PD(1551,3286);PD(1579,3282);PD(1600,3274);PD(1616,3260);PU(2670,3196);PD(2703,3157);PD(2734,3130);PD(2768,3114);PD(2810,3106);PD(2826,3090);PD(2845,3052);PD(2875,2981);PD(2921,2886);PD(2966,2788);PD(2997,2704);PD(3020,2616);PD(3041,2510);PD(3055,2409);PD(3055,2310);PD(3039,2181);PD(3004,1988);PD(2955,1757);PD(2897,1540);PD(2867,1443);PD(2837,1358);PD(2809,1288);PD(2783,1236);PD(2755,1200);PD(2721,1173);PD(2705,1164);PD(2690,1160);PD(2677,1160);PD(2667,1166);PD(2664,1179);PD(2667,1205);PD(2676,1243);PD(2690,1289);PD(2732,1404);PD(2787,1534);PD(2822,1615);PD(2836,1659);PD(2833,1669);PD(2825,1675);PD(2810,1678);PD(2790,1678);PD(2733,1668);PD(2653,1645);PD(2602,1630);PD(2562,1621);PD(2535,1619);PD(2519,1625);PD(2514,1638);PD(2518,1660);PD(2532,1690);PD(2556,1730);PD(2602,1795);PD(2659,1861);PD(2729,1928);PD(2814,2000);PD(2853,2033);PD(2885,2065);PD(2910,2096);PD(2930,2127);PD(2945,2160);PD(2955,2195);PD(2961,2232);PD(2963,2273);PD(2958,2338);PD(2944,2412);PD(2926,2478);PD(2907,2519);PD(2857,2642);PD(2801,2825);PD(2787,2870);PD(2768,2913);PD(2744,2955);PD(2714,2997);PD(2658,3076);PD(2616,3147);PD(2591,3204);PD(2587,3239);PD(2592,3250);PD(2599,3256);PD(2606,3258);PD(2615,3256);PD(2638,3236);PD(2670,3196);PU(3203,2812);PD(3224,2725);PD(3254,2589);PD(3333,2245);PD(3403,1973);PD(3436,1862);PD(3467,1766);PD(3498,1685);PD(3528,1617);PD(3547,1574);PD(3557,1543);PD(3559,1523);PD(3552,1516);PD(3538,1520);PD(3515,1537);PD(3484,1565);PD(3446,1606);PD(3395,1660);PD(3355,1694);PD(3338,1704);PD(3322,1707);PD(3309,1703);PD(3296,1693);PD(3271,1651);PD(3246,1577);PD(3218,1467);PD(3183,1319);PD(3167,1258);PD(3147,1200);PD(3124,1145);PD(3096,1093);PD(3065,1044);PD(3030,998);PD(2991,954);PD(2948,913);PD(2901,875);PD(2850,839);PD(2794,806);PD(2734,776);PD(2670,748);PD(2602,722);PD(2529,699);PD(2451,677);PD(2307,647);PD(2158,623);PD(2030,610);PD(1953,612);PD(1936,618);PD(1926,625);PD(1922,634);PD(1924,645);PD(1949,676);PD(2001,720);PD(2080,783);PD(2146,842);PD(2204,899);PD(2253,958);PD(2298,1021);PD(2339,1091);PD(2379,1170);PD(2420,1262);PD(2455,1339);PD(2487,1405);PD(2518,1461);PD(2548,1505);PD(2576,1539);PD(2602,1562);PD(2628,1575);PD(2651,1578);PD(2670,1573);PD(2682,1564);PD(2689,1547);PD(2692,1518);PD(2686,1451);PD(2661,1356);PD(2622,1247);PD(2574,1139);PD(2529,1046);PD(2497,970);PD(2479,915);PD(2477,888);PD(2491,883);PD(2515,890);PD(2606,968);PD(2763,1118);PD(2918,1273);PD(3001,1366);PD(3020,1404);PD(3035,1464);PD(3051,1563);PD(3071,1719);PD(3075,1751);PD(3080,1772);PD(3086,1781);PD(3092,1778);PD(3103,1740);PD(3113,1658);PD(3120,1577);PD(3127,1540);PD(3137,1549);PD(3149,1592);PD(3162,1661);PD(3175,1750);PD(3196,1955);PD(3206,2149);PD(3201,2286);PD(3191,2413);PD(3178,2511);PD(3168,2575);PD(3151,2747);PD(3151,2843);PD(3157,2855);PD(3164,2862);PD(3170,2864);PD(3177,2862);PD(3191,2846);PD(3203,2812);PU(3581,2723);PD(3664,2688);PD(3743,2647);PD(3811,2605);PD(3864,2564);PD(3885,2536);PD(3894,2506);PD(3893,2492);PD(3890,2478);PD(3883,2465);PD(3872,2454);PD(3848,2427);PD(3829,2391);PD(3816,2348);PD(3808,2298);PD(3807,2242);PD(3811,2182);PD(3821,2119);PD(3837,2053);PD(3851,1998);PD(3858,1961);PD(3858,1950);PD(3856,1945);PD(3853,1944);PD(3847,1949);PD(3762,2078);PD(3694,2200);PD(3692,2249);PD(3690,2334);PD(3690,2445);PD(3642,2462);PD(3599,2484);PD(3566,2515);PD(3552,2536);PD(3546,2551);PD(3550,2565);PD(3562,2584);PD(3573,2601);PD(3580,2616);PD(3582,2630);PD(3579,2642);PD(3555,2669);PD(3507,2702);PD(3468,2729);PD(3443,2748);PD(3432,2761);PD(3434,2767);PD(3481,2759);PD(3581,2723);PU(991,2826);PD(979,2771);PD(969,2671);PD(961,2587);PD(948,2524);PD(926,2469);PD(892,2407);PD(864,2358);PD(843,2308);PD(828,2255);PD(820,2197);PD(816,2132);PD(818,2058);PD(826,1971);PD(838,1870);PD(858,1693);PD(872,1506);PD(883,1367);PD(896,1312);PD(905,1325);PD(913,1358);PD(918,1408);PD(921,1469);PD(921,1606);PD(910,1729);PD(895,1835);PD(891,1909);PD(899,1968);PD(920,2028);PD(935,2066);PD(941,2094);PD(941,2117);PD(934,2138);PD(925,2152);PD(914,2163);PD(902,2171);PD(889,2173);PD(867,2179);PD(854,2191);PD(873,2253);PD(931,2378);PD(966,2450);PD(993,2513);PD(1010,2562);PD(1016,2592);PD(1020,2635);PD(1030,2674);PD(1039,2693);PD(1046,2702);PD(1055,2702);PD(1065,2695);PD(1080,2677);PD(1087,2659);PD(1124,2544);PD(1175,2430);PD(1183,2421);PD(1189,2418);PD(1195,2421);PD(1201,2430);PD(1212,2464);PD(1211,2506);PD(1198,2553);PD(1174,2599);PD(1136,2665);PD(1101,2738);PD(1073,2798);PD(1054,2834);PD(1038,2846);PD(1021,2850);PD(1004,2843);PD(991,2826);PU(787,2728);PD(724,2659);PD(686,2609);PD(668,2569);PD(663,2527);PD(665,2508);PD(670,2493);PD(679,2483);PD(691,2477);PD(717,2462);PD(735,2437);PD(745,2404);PD(746,2364);PD(745,2323);PD(750,2309);PD(759,2321);PD(769,2359);PD(780,2425);PD(782,2462);PD(779,2473);PD(773,2479);PD(765,2483);PD(754,2484);PD(728,2487);PD(713,2499);PD(708,2521);PD(713,2554);PD(724,2583);PD(742,2595);PD(751,2595);PD(759,2591);PD(766,2582);PD(772,2568);PD(777,2555);PD(783,2549);PD(792,2549);PD(806,2556);PD(826,2572);PD(832,2592);PD(822,2610);PD(797,2625);PD(782,2632);PD(771,2641);PD(765,2651);PD(764,2661);PD(776,2684);PD(807,2709);PD(830,2722);PD(847,2729);PD(859,2729);PD(866,2720);PD(866,2673);PD(852,2577);PD(850,2554);PD(851,2544);PD(859,2547);PD(873,2560);PD(893,2588);PD(905,2624);PD(908,2657);PD(899,2677);PD(893,2702);PD(895,2753);PD(898,2802);PD(893,2822);PD(857,2795);PD(787,2728);PU(608,2747);PD(587,2712);PD(568,2665);PD(555,2615);PD(550,2570);PD(552,2541);PD(557,2519);PD(568,2503);PD(586,2489);PD(600,2477);PD(610,2461);PD(617,2441);PD(621,2417);PD(617,2353);PD(598,2268);PD(587,2217);PD(584,2170);PD(588,2111);PD(601,2022);PD(617,1882);PD(617,1771);PD(611,1724);PD(600,1682);PD(585,1642);PD(566,1603);PD(535,1541);PD(522,1504);PD(534,1465);PD(564,1401);PD(588,1356);PD(609,1327);PD(635,1308);PD(670,1293);PD(702,1277);PD(735,1255);PD(767,1226);PD(800,1191);PD(849,1140);PD(873,1122);PD(868,1144);PD(848,1187);PD(820,1235);PD(793,1273);PD(756,1303);PD(697,1341);PD(658,1366);PD(626,1393);PD(603,1421);PD(588,1452);PD(581,1484);PD(581,1518);PD(590,1555);PD(607,1593);PD(623,1629);PD(635,1669);PD(645,1713);PD(651,1762);PD(654,1879);PD(646,2029);PD(638,2140);PD(636,2214);PD(641,2268);PD(653,2323);PD(667,2377);PD(670,2413);PD(662,2448);PD(642,2498);PD(619,2559);PD(609,2614);PD(609,2667);PD(619,2721);PD(628,2750);PD(629,2763);PD(622,2762);PD(608,2747);PU(1039,1987);PD(1031,1942);PD(1023,1881);PD(1012,1812);PD(995,1751);PD(978,1670);PD(965,1555);PD(961,1479);PD(963,1430);PD(971,1394);PD(986,1359);PD(1007,1311);PD(1015,1270);PD(1011,1235);PD(995,1205);PD(981,1176);PD(975,1143);PD(975,1128);PD(979,1126);PD(988,1139);PD(1002,1168);PD(1027,1213);PD(1051,1236);PD(1061,1242);PD(1068,1249);PD(1071,1259);PD(1071,1271);PD(1060,1304);PD(1034,1352);PD(1014,1390);PD(1002,1426);PD(997,1470);PD(996,1531);PD(998,1589);PD(1003,1634);PD(1013,1671);PD(1029,1707);PD(1054,1753);PD(1077,1787);PD(1096,1809);PD(1112,1820);PD(1125,1820);PD(1133,1807);PD(1136,1783);PD(1135,1747);PD(1127,1672);PD(1153,1716);PD(1178,1758);PD(1205,1798);PD(1219,1820);PD(1221,1839);PD(1210,1864);PD(1184,1906);PD(1146,1963);PD(1119,1998);PD(1094,2014);PD(1070,2017);PD(1059,2014);PD(1050,2008);PD(1043,1999);PD(1039,1987);PU(769,1648);PD(762,1617);PD(752,1568);PD(745,1540);PD(737,1517);PD(727,1501);PD(716,1490);PD(703,1486);PD(690,1487);PD(677,1495);PD(663,1510);PD(643,1539);PD(638,1558);PD(649,1570);PD(677,1582);PD(705,1594);PD(718,1607);PD(715,1618);PD(699,1627);PD(688,1628);PD(675,1622);PD(659,1611);PD(643,1595);PD(626,1571);PD(617,1552);PD(616,1532);PD(621,1508);PD(635,1471);PD(653,1445);PD(679,1427);PD(718,1411);PD(766,1400);PD(797,1402);PD(805,1407);PD(810,1415);PD(809,1427);PD(803,1441);PD(794,1487);PD(796,1561);PD(799,1628);PD(790,1658);PD(778,1658);PD(769,1648);PU(1058,1617);PD(1056,1596);PD(1048,1572);PD(1045,1560);PD(1048,1556);PD(1060,1562);PD(1082,1578);PD(1122,1602);PD(1145,1607);PD(1152,1602);PD(1155,1592);PD(1154,1577);PD(1151,1556);PD(1143,1487);PD(1133,1396);PD(1130,1336);PD(1131,1301);PD(1139,1283);PD(1154,1271);PD(1177,1264);PD(1191,1269);PD(1190,1280);PD(1178,1288);PD(1167,1297);PD(1159,1312);PD(1153,1332);PD(1149,1357);PD(1150,1422);PD(1163,1503);PD(1176,1583);PD(1177,1624);PD(1153,1635);PD(1113,1637);PD(1075,1631);PD(1058,1617);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_18(){//он и она
M=0.4;//  
PD(2189,4056);pendown();
PD(2175,4024);PD(2158,3995);PD(2135,3967);PD(2106,3939);PD(2027,3882);PD(1912,3816);PD(1807,3757);PD(1748,3714);PD(1730,3693);PD(1717,3670);PD(1708,3643);PD(1699,3610);PD(1700,3560);PD(1713,3494);PD(1726,3459);PD(1745,3422);PD(1770,3385);PD(1800,3347);PD(1875,3271);PD(1967,3198);PD(2021,3155);PD(2068,3109);PD(2108,3058);PD(2142,3005);PD(2168,2948);PD(2187,2889);PD(2199,2828);PD(2203,2764);PD(2202,2712);PD(2197,2665);PD(2188,2620);PD(2175,2577);PD(2155,2532);PD(2129,2485);PD(2096,2432);PD(2055,2372);PD(2020,2321);PD(2000,2284);PD(1992,2249);PD(1990,2207);PD(1991,2172);PD(1995,2145);PD(2003,2124);PD(2014,2108);PD(2028,2096);PD(2042,2097);PD(2060,2112);PD(2090,2143);PD(2115,2175);PD(2135,2205);PD(2148,2232);PD(2156,2256);PD(2156,2273);PD(2150,2283);PD(2137,2284);PD(2117,2275);PD(2105,2269);PD(2096,2267);PD(2091,2269);PD(2088,2274);PD(2093,2295);PD(2111,2326);PD(2123,2340);PD(2137,2349);PD(2152,2354);PD(2170,2354);PD(2190,2350);PD(2201,2343);PD(2205,2329);PD(2204,2307);PD(2195,2260);PD(2179,2204);PD(2169,2174);PD(2164,2143);PD(2163,2113);PD(2166,2081);PD(2169,2046);PD(2167,2022);PD(2157,2003);PD(2138,1981);PD(2116,1961);PD(2094,1951);PD(2066,1950);PD(2024,1954);PD(1947,1963);PD(1947,1846);PD(1946,1779);PD(1940,1734);PD(1924,1693);PD(1894,1643);PD(1842,1570);PD(1792,1516);PD(1675,1421);PD(1552,1329);PD(1445,1256);PD(1379,1219);PD(1336,1209);PD(1294,1206);PD(1254,1210);PD(1218,1221);PD(1188,1238);PD(1164,1259);PD(1148,1286);PD(1143,1317);PD(1146,1356);PD(1158,1381);PD(1183,1397);PD(1226,1410);PD(1276,1425);PD(1310,1444);PD(1318,1455);PD(1313,1461);PD(1291,1461);PD(1247,1458);PD(1183,1456);PD(1132,1465);PD(1113,1472);PD(1099,1481);PD(1090,1492);PD(1087,1504);PD(1087,1511);PD(1091,1517);PD(1099,1520);PD(1111,1523);PD(1157,1523);PD(1239,1520);PD(1326,1516);PD(1378,1517);PD(1410,1526);PD(1439,1545);PD(1471,1570);PD(1480,1582);PD(1461,1584);PD(1422,1588);PD(1373,1598);PD(1326,1616);PD(1284,1632);PD(1245,1638);PD(1198,1637);PD(1142,1637);PD(1107,1635);PD(1083,1628);PD(1065,1616);PD(1047,1595);PD(1026,1563);PD(1017,1541);PD(1018,1534);PD(1021,1528);PD(1028,1525);PD(1037,1524);PD(1052,1516);PD(1058,1496);PD(1060,1483);PD(1066,1471);PD(1076,1462);PD(1089,1454);PD(1127,1442);PD(1181,1438);PD(1249,1437);PD(1192,1420);PD(1159,1405);PD(1135,1385);PD(1120,1360);PD(1115,1332);PD(1118,1302);PD(1131,1273);PD(1153,1244);PD(1184,1218);PD(1208,1205);PD(1235,1195);PD(1265,1188);PD(1296,1185);PD(1328,1186);PD(1359,1190);PD(1388,1197);PD(1415,1208);PD(1590,1329);PD(1784,1480);PD(1805,1498);PD(1816,1505);PD(1818,1502);PD(1815,1489);PD(1800,1426);PD(1781,1317);PD(1768,1235);PD(1756,1190);PD(1741,1168);PD(1716,1154);PD(1647,1104);PD(1544,1009);PD(1482,945);PD(1431,884);PD(1391,828);PD(1362,776);PD(1345,731);PD(1340,691);PD(1347,657);PD(1366,631);PD(1382,618);PD(1399,611);PD(1416,608);PD(1434,611);PD(1474,632);PD(1523,675);PD(1583,745);PD(1640,833);PD(1692,935);PD(1738,1051);PD(1774,1136);PD(1799,1171);PD(1815,1156);PD(1827,1119);PD(1836,1083);PD(1848,1048);PD(1864,1014);PD(1883,981);PD(1932,918);PD(1995,859);PD(2061,801);PD(2093,762);PD(2094,738);PD(2087,711);PD(2071,682);PD(2048,650);PD(1982,581);PD(1894,510);PD(1788,438);PD(1668,370);PD(1541,309);PD(1410,258);PD(1343,238);PD(1286,226);PD(1223,220);PD(1142,219);PD(1058,220);PD(1006,225);PD(971,237);PD(936,258);PD(908,280);PD(883,307);PD(861,336);PD(841,367);PD(826,401);PD(814,435);PD(807,469);PD(804,504);PD(813,593);PD(833,707);PD(873,895);PD(894,1012);PD(901,1086);PD(897,1144);PD(891,1183);PD(882,1216);PD(871,1246);PD(856,1271);PD(837,1294);PD(815,1314);PD(789,1332);PD(758,1348);PD(718,1364);PD(678,1375);PD(635,1381);PD(583,1383);PD(510,1380);PD(480,1373);PD(510,1365);PD(583,1362);PD(653,1357);PD(714,1345);PD(764,1323);PD(805,1294);PD(836,1255);PD(858,1208);PD(871,1151);PD(875,1085);PD(869,997);PD(854,910);PD(823,778);PD(802,673);PD(790,588);PD(786,514);PD(786,458);PD(792,418);PD(804,384);PD(827,344);PD(854,305);PD(883,272);PD(916,244);PD(953,222);PD(993,205);PD(1037,193);PD(1086,186);PD(1139,183);PD(1207,188);PD(1280,200);PD(1358,219);PD(1438,244);PD(1519,274);PD(1601,310);PD(1681,349);PD(1758,391);PD(1831,436);PD(1899,483);PD(1960,530);PD(2013,577);PD(2056,623);PD(2089,668);PD(2109,711);PD(2117,751);PD(2112,773);PD(2096,798);PD(2065,828);PD(2016,869);PD(1950,927);PD(1908,977);PD(1879,1032);PD(1857,1103);PD(1847,1140);PD(1836,1164);PD(1823,1177);PD(1808,1183);PD(1794,1186);PD(1786,1192);PD(1782,1199);PD(1784,1209);PD(1795,1254);PD(1808,1331);PD(1823,1423);PD(1842,1492);PD(1870,1554);PD(1911,1623);PD(1943,1676);PD(1960,1717);PD(1968,1762);PD(1970,1827);PD(1971,1898);PD(1980,1929);PD(2006,1934);PD(2062,1923);PD(2082,1922);PD(2101,1927);PD(2122,1939);PD(2146,1959);PD(2172,1984);PD(2186,2006);PD(2191,2034);PD(2190,2076);PD(2195,2149);PD(2210,2218);PD(2224,2279);PD(2227,2331);PD(2223,2356);PD(2216,2370);PD(2202,2378);PD(2180,2382);PD(2155,2380);PD(2131,2371);PD(2109,2355);PD(2090,2335);PD(2076,2313);PD(2067,2289);PD(2066,2266);PD(2073,2245);PD(2081,2236);PD(2088,2232);PD(2097,2234);PD(2108,2242);PD(2120,2251);PD(2127,2254);PD(2130,2251);PD(2129,2244);PD(2115,2216);PD(2087,2173);PD(2069,2150);PD(2053,2135);PD(2040,2128);PD(2029,2128);PD(2021,2136);PD(2015,2152);PD(2012,2175);PD(2011,2207);PD(2014,2242);PD(2026,2278);PD(2051,2325);PD(2093,2389);PD(2131,2448);PD(2162,2502);PD(2187,2551);PD(2205,2597);PD(2217,2642);PD(2225,2688);PD(2227,2735);PD(2225,2787);PD(2212,2886);PD(2190,2963);PD(2151,3036);PD(2097,3108);PD(2033,3174);PD(1964,3229);PD(1911,3267);PD(1865,3307);PD(1826,3347);PD(1793,3387);PD(1767,3429);PD(1748,3472);PD(1734,3516);PD(1727,3562);PD(1725,3599);PD(1728,3630);PD(1737,3659);PD(1755,3685);PD(1781,3710);PD(1818,3737);PD(1868,3766);PD(1930,3800);PD(2054,3874);PD(2135,3934);PD(2172,3981);PD(2202,4032);PD(2213,4055);PD(2220,4075);PD(2221,4090);PD(2217,4098);PD(2204,4088);PD(2189,4056);PU(1194,1613);PD(1220,1619);PD(1245,1618);PD(1274,1611);PD(1311,1596);PD(1367,1575);PD(1404,1566);PD(1417,1562);PD(1418,1552);PD(1356,1543);PD(1227,1538);PD(1101,1540);PD(1044,1548);PD(1053,1564);PD(1074,1590);PD(1089,1604);PD(1103,1611);PD(1115,1614);PD(1126,1610);PD(1154,1606);PD(1194,1613);PU(1709,1036);PD(1675,956);PD(1638,881);PD(1600,813);PD(1560,754);PD(1522,705);PD(1485,667);PD(1451,643);PD(1422,635);PD(1397,638);PD(1379,647);PD(1367,661);PD(1361,680);PD(1361,703);PD(1367,730);PD(1378,761);PD(1395,794);PD(1442,868);PD(1506,946);PD(1586,1027);PD(1679,1105);PD(1725,1139);PD(1747,1150);PD(1737,1115);PD(1709,1036);PU(3423,3914);PD(3384,3837);PD(3330,3760);PD(3270,3694);PD(3215,3651);PD(3151,3621);PD(3083,3600);PD(3017,3579);PD(2948,3550);PD(2881,3514);PD(2819,3475);PD(2767,3434);PD(2727,3396);PD(2713,3378);PD(2704,3362);PD(2700,3347);PD(2702,3334);PD(2705,3328);PD(2708,3319);PD(2713,3309);PD(2717,3297);PD(2728,3271);PD(2739,3243);PD(2764,3176);PD(2733,3167);PD(2703,3152);PD(2672,3128);PD(2643,3099);PD(2622,3069);PD(2607,3033);PD(2596,2993);PD(2592,2960);PD(2596,2942);PD(2608,2954);PD(2618,2992);PD(2631,3038);PD(2654,3079);PD(2685,3113);PD(2723,3140);PD(2764,3161);PD(2774,3079);PD(2784,3018);PD(2802,2965);PD(2833,2907);PD(2883,2834);PD(2916,2784);PD(2933,2748);PD(2937,2707);PD(2935,2643);PD(2931,2525);PD(2932,2437);PD(2940,2374);PD(2955,2331);PD(2967,2312);PD(2979,2298);PD(2992,2289);PD(3005,2286);PD(3017,2288);PD(3027,2295);PD(3036,2308);PD(3042,2326);PD(3055,2376);PD(3072,2426);PD(3103,2496);PD(3155,2606);PD(3215,2736);PD(3251,2827);PD(3269,2895);PD(3274,2956);PD(3272,2998);PD(3263,3026);PD(3243,3046);PD(3210,3065);PD(3116,3104);PD(2995,3145);PD(2885,3176);PD(2821,3186);PD(2799,3184);PD(2786,3188);PD(2778,3200);PD(2771,3223);PD(2759,3265);PD(2740,3306);PD(2731,3323);PD(2726,3338);PD(2727,3353);PD(2732,3368);PD(2761,3401);PD(2817,3446);PD(2877,3487);PD(2952,3524);PD(3039,3559);PD(3140,3591);PD(3185,3607);PD(3223,3626);PD(3260,3654);PD(3303,3696);PD(3357,3761);PD(3412,3843);PD(3454,3920);PD(3471,3971);PD(3470,3979);PD(3467,3982);PD(3462,3980);PD(3456,3974);PD(3440,3950);PD(3423,3914);PU(3048,3104);PD(3144,3069);PD(3206,3045);PD(3232,3029);PD(3248,3004);PD(3255,2968);PD(3251,2922);PD(3237,2863);PD(3213,2793);PD(3179,2709);PD(3134,2611);PD(3062,2452);PD(3027,2361);PD(3016,2327);PD(3003,2317);PD(2988,2330);PD(2969,2366);PD(2958,2400);PD(2953,2442);PD(2953,2502);PD(2956,2588);PD(2966,2759);PD(2910,2836);PD(2863,2906);PD(2833,2959);PD(2814,3010);PD(2800,3075);PD(2783,3165);PD(2855,3157);PD(2942,3138);PD(3048,3104);PU(3707,3802);PD(3713,3748);PD(3716,3673);PD(3715,3547);PD(3711,3340);PD(3707,3159);PD(3658,3119);PD(3607,3078);PD(3660,2897);PD(3701,2760);PD(3723,2683);PD(3724,2668);PD(3721,2654);PD(3715,2642);PD(3705,2631);PD(3678,2616);PD(3641,2611);PD(3622,2612);PD(3611,2617);PD(3606,2627);PD(3604,2643);PD(3603,2660);PD(3592,2669);PD(3564,2672);PD(3511,2670);PD(3446,2671);PD(3412,2680);PD(3406,2689);PD(3408,2700);PD(3416,2714);PD(3430,2732);PD(3448,2754);PD(3452,2765);PD(3440,2764);PD(3413,2752);PD(3396,2735);PD(3388,2710);PD(3389,2682);PD(3399,2654);PD(3414,2644);PD(3442,2642);PD(3487,2648);PD(3553,2663);PD(3567,2665);PD(3577,2664);PD(3582,2658);PD(3584,2649);PD(3579,2631);PD(3567,2620);PD(3560,2616);PD(3559,2610);PD(3563,2603);PD(3570,2597);PD(3595,2587);PD(3627,2582);PD(3663,2590);PD(3705,2609);PD(3739,2632);PD(3754,2653);PD(3737,2718);PD(3697,2853);PD(3657,2990);PD(3641,3058);PD(3655,3084);PD(3691,3124);PD(3721,3155);PD(3735,3180);PD(3737,3213);PD(3732,3265);PD(3731,3371);PD(3739,3498);PD(3745,3615);PD(3741,3728);PD(3735,3777);PD(3728,3817);PD(3719,3846);PD(3708,3861);PD(3702,3849);PD(3707,3802);PU(2406,3817);PD(2366,3800);PD(2336,3775);PD(2307,3733);PD(2269,3663);PD(2241,3593);PD(2222,3516);PD(2215,3443);PD(2221,3382);PD(2249,3333);PD(2308,3253);PD(2374,3173);PD(2424,3121);PD(2447,3111);PD(2467,3112);PD(2475,3114);PD(2479,3112);PD(2480,3105);PD(2477,3095);PD(2438,2987);PD(2406,2850);PD(2381,2731);PD(2420,2647);PD(2448,2599);PD(2491,2542);PD(2553,2472);PD(2642,2381);PD(2781,2236);PD(2860,2149);PD(2899,2111);PD(2946,2077);PD(2992,2054);PD(3024,2050);PD(3017,2063);PD(2975,2087);PD(2917,2125);PD(2870,2170);PD(2795,2255);PD(2667,2385);PD(2556,2500);PD(2477,2598);PD(2449,2640);PD(2429,2678);PD(2417,2712);PD(2413,2740);PD(2421,2804);PD(2442,2899);PD(2467,2998);PD(2489,3069);PD(2501,3100);PD(2501,3118);PD(2487,3129);PD(2455,3138);PD(2432,3151);PD(2402,3178);PD(2368,3215);PD(2332,3258);PD(2299,3303);PD(2270,3347);PD(2249,3385);PD(2238,3415);PD(2237,3474);PD(2250,3546);PD(2273,3622);PD(2306,3690);PD(2341,3739);PD(2382,3776);PD(2404,3791);PD(2425,3801);PD(2446,3808);PD(2467,3810);PD(2500,3806);PD(2531,3796);PD(2560,3780);PD(2586,3759);PD(2608,3734);PD(2624,3705);PD(2635,3674);PD(2639,3642);PD(2637,3620);PD(2630,3603);PD(2616,3590);PD(2595,3577);PD(2563,3562);PD(2548,3561);PD(2546,3576);PD(2557,3607);PD(2566,3653);PD(2563,3701);PD(2557,3722);PD(2549,3740);PD(2539,3753);PD(2527,3761);PD(2507,3765);PD(2486,3765);PD(2467,3762);PD(2448,3755);PD(2416,3734);PD(2391,3706);PD(2376,3673);PD(2374,3640);PD(2378,3624);PD(2386,3610);PD(2399,3598);PD(2416,3587);PD(2430,3579);PD(2440,3571);PD(2445,3562);PD(2445,3553);PD(2430,3532);PD(2395,3507);PD(2376,3493);PD(2362,3476);PD(2352,3458);PD(2346,3438);PD(2344,3416);PD(2346,3393);PD(2353,3369);PD(2364,3344);PD(2376,3324);PD(2391,3307);PD(2407,3294);PD(2424,3286);PD(2442,3282);PD(2460,3283);PD(2478,3289);PD(2496,3299);PD(2522,3327);PD(2536,3358);PD(2537,3374);PD(2536,3389);PD(2530,3403);PD(2520,3413);PD(2504,3422);PD(2487,3424);PD(2469,3420);PD(2454,3412);PD(2441,3400);PD(2433,3386);PD(2431,3370);PD(2437,3354);PD(2442,3350);PD(2447,3352);PD(2452,3358);PD(2457,3370);PD(2470,3389);PD(2487,3399);PD(2504,3399);PD(2519,3387);PD(2519,3364);PD(2504,3336);PD(2481,3312);PD(2457,3302);PD(2439,3306);PD(2421,3318);PD(2403,3334);PD(2387,3355);PD(2374,3378);PD(2365,3401);PD(2361,3424);PD(2364,3443);PD(2383,3470);PD(2420,3498);PD(2440,3512);PD(2456,3528);PD(2466,3543);PD(2471,3559);PD(2470,3574);PD(2464,3586);PD(2453,3597);PD(2436,3604);PD(2410,3615);PD(2396,3631);PD(2394,3655);PD(2405,3684);PD(2425,3710);PD(2455,3729);PD(2488,3737);PD(2519,3734);PD(2531,3726);PD(2538,3709);PD(2538,3678);PD(2534,3627);PD(2530,3564);PD(2535,3534);PD(2544,3529);PD(2557,3531);PD(2574,3538);PD(2598,3549);PD(2617,3561);PD(2632,3575);PD(2644,3591);PD(2653,3608);PD(2660,3648);PD(2653,3696);PD(2638,3736);PD(2615,3768);PD(2583,3794);PD(2536,3817);PD(2500,3831);PD(2475,3836);PD(2448,3831);PD(2406,3817);PU(3161,3385);PD(3205,3376);PD(3313,3370);PD(3402,3366);PD(3457,3358);PD(3502,3339);PD(3559,3303);PD(3618,3262);PD(3654,3226);PD(3663,3210);PD(3667,3196);PD(3665,3183);PD(3658,3172);PD(3647,3165);PD(3634,3163);PD(3619,3164);PD(3603,3168);PD(3574,3185);PD(3556,3210);PD(3545,3235);PD(3539,3246);PD(3528,3248);PD(3503,3252);PD(3467,3259);PD(3423,3267);PD(3340,3278);PD(3299,3278);PD(3294,3271);PD(3295,3262);PD(3303,3252);PD(3315,3241);PD(3350,3219);PD(3392,3203);PD(3448,3187);PD(3486,3172);PD(3507,3157);PD(3514,3141);PD(3512,3129);PD(3509,3120);PD(3502,3114);PD(3494,3112);PD(3468,3119);PD(3433,3140);PD(3398,3162);PD(3375,3173);PD(3362,3173);PD(3358,3164);PD(3378,3143);PD(3423,3119);PD(3472,3099);PD(3505,3095);PD(3527,3107);PD(3538,3122);PD(3540,3139);PD(3532,3158);PD(3516,3175);PD(3493,3192);PD(3462,3206);PD(3425,3217);PD(3362,3235);PD(3331,3248);PD(3329,3252);PD(3336,3255);PD(3353,3255);PD(3380,3253);PD(3456,3242);PD(3501,3232);PD(3525,3217);PD(3539,3195);PD(3550,3177);PD(3563,3162);PD(3577,3151);PD(3593,3143);PD(3610,3139);PD(3627,3139);PD(3645,3144);PD(3662,3152);PD(3687,3176);PD(3697,3198);PD(3686,3224);PD(3653,3259);PD(3601,3300);PD(3533,3344);PD(3484,3372);PD(3443,3387);PD(3390,3393);PD(3306,3394);PD(3203,3392);PD(3161,3385);PU(906,3260);PD(864,3224);PD(827,3188);PD(795,3149);PD(766,3104);PD(738,3052);PD(710,2989);PD(682,2914);PD(651,2824);PD(629,2754);PD(615,2695);PD(609,2637);PD(607,2571);PD(602,2466);PD(591,2386);PD(586,2358);PD(584,2336);PD(586,2319);PD(593,2309);PD(605,2303);PD(622,2302);PD(645,2306);PD(675,2313);PD(779,2337);PD(862,2347);PD(892,2347);PD(914,2343);PD(926,2335);PD(927,2323);PD(900,2312);PD(837,2311);PD(777,2311);PD(730,2303);PD(713,2297);PD(701,2289);PD(696,2280);PD(699,2270);PD(732,2261);PD(800,2258);PD(842,2256);PD(880,2252);PD(914,2244);PD(941,2234);PD(974,2212);PD(1001,2182);PD(1021,2143);PD(1035,2097);PD(1042,2045);PD(1043,1988);PD(1036,1926);PD(1023,1860);PD(1015,1827);PD(1010,1800);PD(1010,1779);PD(1014,1762);PD(1023,1749);PD(1038,1738);PD(1058,1729);PD(1085,1720);PD(1134,1714);PD(1189,1718);PD(1214,1724);PD(1237,1732);PD(1254,1742);PD(1264,1753);PD(1267,1759);PD(1263,1761);PD(1252,1760);PD(1233,1755);PD(1182,1746);PD(1124,1744);PD(1073,1748);PD(1044,1758);PD(1037,1772);PD(1036,1795);PD(1041,1831);PD(1051,1884);PD(1063,1951);PD(1067,2014);PD(1064,2071);PD(1053,2123);PD(1036,2169);PD(1012,2207);PD(982,2237);PD(945,2258);PD(921,2269);PD(911,2276);PD(914,2281);PD(930,2287);PD(943,2294);PD(952,2302);PD(958,2312);PD(959,2321);PD(949,2341);PD(923,2357);PD(881,2368);PD(832,2369);PD(774,2361);PD(701,2344);PD(648,2329);PD(620,2324);PD(609,2328);PD(607,2342);PD(621,2387);PD(653,2457);PD(679,2503);PD(706,2540);PD(736,2570);PD(770,2593);PD(811,2611);PD(859,2624);PD(917,2634);PD(985,2640);PD(1108,2650);PD(1192,2660);PD(1269,2682);PD(1354,2720);PD(1442,2772);PD(1530,2836);PD(1586,2884);PD(1625,2924);PD(1653,2961);PD(1674,3001);PD(1697,3068);PD(1707,3123);PD(1708,3148);PD(1711,3158);PD(1719,3155);PD(1734,3140);PD(1769,3089);PD(1815,3006);PD(1837,2959);PD(1853,2917);PD(1863,2878);PD(1867,2841);PD(1866,2806);PD(1859,2772);PD(1847,2737);PD(1829,2701);PD(1809,2661);PD(1799,2628);PD(1797,2588);PD(1801,2530);PD(1804,2477);PD(1801,2437);PD(1791,2408);PD(1773,2391);PD(1745,2385);PD(1706,2388);PD(1654,2400);PD(1588,2420);PD(1502,2443);PD(1421,2454);PD(1347,2455);PD(1283,2446);PD(1257,2438);PD(1234,2428);PD(1215,2416);PD(1201,2402);PD(1192,2386);PD(1189,2369);PD(1191,2349);PD(1199,2328);PD(1214,2309);PD(1233,2302);PD(1263,2310);PD(1311,2333);PD(1369,2352);PD(1436,2360);PD(1506,2358);PD(1573,2344);PD(1583,2340);PD(1587,2337);PD(1586,2335);PD(1578,2333);PD(1544,2331);PD(1482,2331);PD(1423,2331);PD(1373,2326);PD(1332,2319);PD(1299,2307);PD(1274,2291);PD(1256,2271);PD(1246,2247);PD(1242,2218);PD(1249,2193);PD(1269,2171);PD(1299,2153);PD(1336,2140);PD(1378,2133);PD(1421,2132);PD(1463,2138);PD(1500,2152);PD(1525,2162);PD(1530,2158);PD(1510,2141);PD(1473,2122);PD(1432,2111);PD(1387,2112);PD(1337,2123);PD(1281,2146);PD(1244,2164);PD(1224,2172);PD(1217,2169);PD(1222,2158);PD(1251,2135);PD(1303,2112);PD(1364,2095);PD(1420,2088);PD(1454,2090);PD(1481,2098);PD(1507,2114);PD(1538,2141);PD(1561,2162);PD(1575,2180);PD(1583,2194);PD(1583,2203);PD(1576,2208);PD(1563,2207);PD(1543,2199);PD(1517,2186);PD(1490,2173);PD(1461,2163);PD(1431,2157);PD(1400,2154);PD(1370,2155);PD(1341,2159);PD(1315,2166);PD(1293,2177);PD(1266,2198);PD(1258,2218);PD(1269,2242);PD(1298,2275);PD(1325,2298);PD(1350,2310);PD(1385,2313);PD(1444,2310);PD(1524,2310);PD(1600,2316);PD(1657,2328);PD(1679,2342);PD(1669,2352);PD(1636,2361);PD(1578,2370);PD(1493,2379);PD(1433,2383);PD(1391,2381);PD(1353,2371);PD(1307,2352);PD(1264,2334);PD(1238,2326);PD(1225,2328);PD(1218,2338);PD(1215,2351);PD(1215,2364);PD(1220,2376);PD(1229,2387);PD(1257,2407);PD(1300,2424);PD(1355,2435);PD(1417,2435);PD(1496,2420);PD(1603,2392);PD(1671,2374);PD(1725,2365);PD(1766,2366);PD(1796,2377);PD(1816,2399);PD(1827,2433);PD(1830,2479);PD(1827,2539);PD(1824,2590);PD(1827,2628);PD(1836,2661);PD(1854,2701);PD(1871,2737);PD(1882,2772);PD(1889,2806);PD(1890,2841);PD(1886,2876);PD(1877,2914);PD(1863,2955);PD(1844,2999);PD(1816,3053);PD(1789,3099);PD(1764,3135);PD(1741,3162);PD(1721,3177);PD(1706,3180);PD(1697,3170);PD(1693,3147);PD(1683,3091);PD(1656,3023);PD(1618,2958);PD(1576,2905);PD(1502,2842);PD(1416,2782);PD(1331,2734);PD(1256,2704);PD(1153,2683);PD(1013,2668);PD(944,2662);PD(886,2654);PD(836,2643);PD(793,2629);PD(756,2611);PD(723,2588);PD(694,2561);PD(667,2529);PD(621,2467);PD(621,2550);PD(627,2630);PD(646,2725);PD(679,2835);PD(725,2962);PD(770,3064);PD(820,3144);PD(847,3178);PD(877,3208);PD(909,3236);PD(945,3261);PD(996,3295);PD(1016,3312);PD(1007,3318);PD(983,3311);PD(948,3291);PD(906,3260);PU(837,2276);PD(805,2274);PD(773,2276);PD(768,2277);PD(765,2278);PD(766,2279);PD(769,2280);PD(782,2281);PD(804,2282);PD(827,2281);PD(840,2280);PD(843,2279);PD(844,2278);PD(842,2277);PD(837,2276);PU(3509,2558);PD(3502,2541);PD(3500,2509);PD(3499,2492);PD(3495,2481);PD(3491,2476);PD(3484,2477);PD(3447,2481);PD(3384,2476);PD(3320,2464);PD(3279,2450);PD(3269,2439);PD(3270,2430);PD(3287,2417);PD(3322,2399);PD(3369,2371);PD(3404,2340);PD(3416,2325);PD(3423,2310);PD(3425,2297);PD(3422,2286);PD(3405,2271);PD(3378,2258);PD(3364,2250);PD(3351,2240);PD(3341,2226);PD(3332,2209);PD(3320,2166);PD(3316,2111);PD(3311,2062);PD(3299,2028);PD(3267,2006);PD(3208,1979);PD(3146,1957);PD(3102,1947);PD(3036,1977);PD(2913,2050);PD(2770,2142);PD(2647,2230);PD(2603,2260);PD(2572,2272);PD(2551,2254);PD(2526,2210);PD(2511,2178);PD(2496,2158);PD(2477,2146);PD(2453,2138);PD(2395,2121);PD(2353,2096);PD(2319,2058);PD(2287,2001);PD(2250,1910);PD(2213,1799);PD(2181,1687);PD(2163,1595);PD(2160,1562);PD(2159,1544);PD(2160,1540);PD(2162,1540);PD(2164,1542);PD(2167,1548);PD(2186,1605);PD(2214,1712);PD(2239,1804);PD(2264,1883);PD(2290,1949);PD(2315,2003);PD(2342,2046);PD(2371,2077);PD(2401,2098);PD(2433,2110);PD(2477,2123);PD(2511,2143);PD(2534,2169);PD(2547,2201);PD(2559,2231);PD(2574,2244);PD(2617,2221);PD(2695,2165);PD(2789,2099);PD(2869,2050);PD(2934,2014);PD(2996,1974);PD(3021,1958);PD(3046,1946);PD(3072,1938);PD(3098,1934);PD(3156,1937);PD(3220,1956);PD(3252,1969);PD(3278,1984);PD(3300,2000);PD(3317,2019);PD(3329,2040);PD(3338,2063);PD(3343,2090);PD(3344,2121);PD(3346,2170);PD(3354,2202);PD(3372,2225);PD(3405,2248);PD(3422,2261);PD(3433,2275);PD(3440,2290);PD(3442,2307);PD(3439,2323);PD(3431,2341);PD(3418,2358);PD(3401,2375);PD(3362,2403);PD(3327,2421);PD(3310,2427);PD(3304,2432);PD(3308,2436);PD(3323,2443);PD(3365,2450);PD(3426,2454);PD(3461,2454);PD(3484,2451);PD(3496,2445);PD(3500,2436);PD(3491,2418);PD(3471,2406);PD(3451,2396);PD(3443,2383);PD(3447,2374);PD(3457,2372);PD(3474,2378);PD(3498,2393);PD(3515,2408);PD(3524,2424);PD(3527,2445);PD(3524,2476);PD(3521,2524);PD(3531,2551);PD(3539,2564);PD(3533,2568);PD(3520,2565);PD(3509,2558);PU(628,2265);PD(657,2181);PD(672,2134);PD(689,2119);PD(722,2107);PD(747,2102);PD(757,2098);PD(751,2093);PD(732,2086);PD(698,2072);PD(748,2046);PD(793,2026);PD(836,2020);PD(880,2028);PD(931,2050);PD(971,2074);PD(995,2095);PD(1000,2104);PD(1000,2111);PD(995,2115);PD(984,2117);PD(975,2119);PD(970,2125);PD(968,2136);PD(969,2151);PD(971,2169);PD(966,2184);PD(952,2199);PD(930,2214);PD(883,2235);PD(838,2244);PD(800,2236);PD(762,2217);PD(731,2190);PD(713,2159);PD(707,2147);PD(702,2140);PD(696,2137);PD(690,2140);PD(681,2156);PD(677,2186);PD(669,2224);PD(648,2259);PD(633,2276);PD(625,2282);PD(624,2278);PD(628,2265);PU(933,2186);PD(946,2171);PD(952,2159);PD(952,2149);PD(945,2138);PD(920,2120);PD(882,2109);PD(835,2105);PD(782,2110);PD(720,2118);PD(741,2159);PD(758,2187);PD(778,2203);PD(807,2211);PD(851,2214);PD(876,2213);PD(898,2208);PD(917,2199);PD(933,2186);PU(960,2090);PD(946,2075);PD(912,2061);PD(867,2050);PD(821,2046);PD(787,2049);PD(784,2056);PD(812,2067);PD(871,2081);PD(930,2094);PD(957,2101);PD(959,2098);PD(960,2090);PU(2633,2029);PD(2610,1941);PD(2600,1855);PD(2599,1816);PD(2602,1779);PD(2607,1745);PD(2616,1715);PD(2630,1686);PD(2649,1657);PD(2674,1628);PD(2702,1599);PD(2770,1544);PD(2850,1496);PD(2940,1437);PD(3048,1355);PD(3174,1256);PD(3309,1161);PD(3421,1083);PD(3490,1024);PD(3528,974);PD(3564,912);PD(3596,839);PD(3625,759);PD(3649,674);PD(3667,588);PD(3679,503);PD(3683,421);PD(3684,372);PD(3687,338);PD(3692,317);PD(3699,310);PD(3706,321);PD(3709,351);PD(3709,396);PD(3705,451);PD(3691,578);PD(3667,697);PD(3645,781);PD(3620,854);PD(3590,918);PD(3556,974);PD(3514,1025);PD(3463,1075);PD(3401,1124);PD(3327,1175);PD(3180,1279);PD(3049,1380);PD(2944,1462);PD(2859,1518);PD(2786,1562);PD(2724,1609);PD(2677,1656);PD(2647,1699);PD(2636,1733);PD(2629,1774);PD(2626,1821);PD(2628,1871);PD(2634,1924);PD(2643,1977);PD(2657,2029);PD(2674,2079);PD(2677,2095);PD(2671,2103);PD(2654,2081);PD(2633,2029);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();}
}
//////////////////////////////////////
void ris_19(){//конь  ДРУГОЙ СПОСОБ РИСОВАНИЯ 
M=5.6;//
PD(66,55);pendown();
PD(74,52);PD(82,47);PD(90,46);PD(98,42);PD(106,39);PD(99,43);PD(92,46);PD(86,48);PD(78,51);PD(70,56);PD(62,59);PD(54,63);PD(46,67);PD(38,68);PD(30,70);PD(28,76);PD(36,81);PD(44,85);PD(49,80);PD(55,76);PD(51,84);PD(54,89);PD(62,84);PD(70,79);PD(78,74);PD(83,68);PD(75,65);PD(68,64);PD(76,63);PD(84,63);PD(92,63);PD(100,63);PD(108,64);PD(116,65);PD(124,66);PD(132,69);PD(135,76);PD(128,83);PD(120,89);PD(114,97);PD(114,105);PD(119,113);PD(119,120);PD(116,126);PD(124,128);PD(129,131);PD(133,138);PD(140,133);PD(144,125);PD(147,117);PD(147,109);PD(147,101);PD(147,93);PD(142,85);PD(139,77);PD(141,77);PD(145,85);PD(153,92);PD(159,100);PD(163,108);PD(166,116);PD(174,120);PD(179,115);PD(180,107);PD(178,99);PD(173,91);PD(167,83);PD(161,75);PD(155,67);PD(147,60);PD(139,57);PD(131,55);PD(123,54);PD(115,53);PD(117,51);PD(125,50);PD(133,50);PD(141,51);PD(149,52);PD(157,53);PD(165,55);PD(173,57);PD(181,59);PD(189,63);PD(197,68);PD(203,76);PD(208,84);PD(216,88);PD(214,80);PD(211,72);PD(210,64);PD(218,65);PD(226,67);PD(226,61);PD(218,58);PD(210,57);PD(202,55);PD(194,53);PD(195,49);PD(203,50);PD(211,52);PD(219,52);PD(214,47);PD(206,44);PD(198,43);PD(190,40);PD(182,37);PD(174,35);PD(166,35);PD(158,34);PD(150,35);PD(142,35);PD(134,35);PD(126,36);PD(128,39);PD(136,40);PD(144,40);PD(152,42);PD(160,44);PD(165,45);PD(157,46);PD(149,44);PD(141,43);PD(133,42);PD(125,41);PD(117,40);PD(110,38);PD(118,36);PD(126,35);PD(134,33);PD(142,32);PD(150,30);PD(158,28);PD(166,26);PD(174,25);PD(182,24);PD(190,23);PD(198,23);PD(206,23);PD(214,22);PD(222,23);PD(230,24);PD(226,28);PD(218,30);PD(210,31);PD(202,33);PD(202,38);PD(210,40);PD(218,40);PD(226,41);PD(234,41);PD(242,41);PD(250,43);PD(250,47);PD(242,51);PD(238,59);PD(236,67);PD(236,75);PD(238,83);PD(243,91);PD(251,96);PD(259,100);PD(267,104);PD(275,107);PD(283,113);PD(287,121);PD(285,129);PD(278,137);PD(274,145);PD(274,153);PD(278,161);PD(280,169);PD(281,177);PD(275,169);PD(267,163);PD(259,162);PD(252,165);PD(260,171);PD(268,179);PD(274,187);PD(278,195);PD(281,203);PD(282,211);PD(282,219);PD(279,227);PD(272,234);PD(264,239);PD(256,243);PD(263,235);PD(265,227);PD(265,219);PD(262,211);PD(255,203);PD(247,198);PD(239,199);PD(238,207);PD(239,215);PD(240,223);PD(242,231);PD(242,239);PD(240,247);PD(236,255);PD(229,263);PD(221,268);PD(213,273);PD(205,272);PD(197,269);PD(189,268);PD(181,267);PD(173,267);PD(165,268);PD(157,270);PD(149,271);PD(141,273);PD(133,275);PD(125,276);PD(117,276);PD(124,274);PD(132,272);PD(140,270);PD(148,268);PD(156,267);PD(164,266);PD(172,265);PD(180,264);PD(188,263);PD(196,262);PD(204,260);PD(212,256);PD(220,250);PD(223,242);PD(222,234);PD(214,237);PD(206,243);PD(198,249);PD(190,253);PD(182,256);PD(174,257);PD(166,258);PD(158,259);PD(150,260);PD(142,261);PD(134,263);PD(126,265);PD(118,267);PD(110,270);PD(102,271);PD(94,272);PD(88,270);PD(96,266);PD(104,264);PD(112,261);PD(120,258);PD(128,254);PD(136,248);PD(144,240);PD(150,232);PD(153,224);PD(156,216);PD(157,218);PD(155,226);PD(161,223);PD(165,215);PD(165,207);PD(165,199);PD(165,191);PD(167,183);PD(168,175);PD(167,167);PD(167,159);PD(162,151);PD(164,143);PD(165,135);PD(165,127);PD(163,119);PD(161,111);PD(156,103);PD(153,108);PD(153,116);PD(151,124);PD(149,132);PD(144,140);PD(139,148);PD(133,156);PD(132,164);PD(136,172);PD(143,172);PD(146,164);PD(149,156);PD(152,152);PD(153,160);PD(153,168);PD(152,176);PD(152,184);PD(152,192);PD(153,200);PD(152,208);PD(148,200);PD(146,192);PD(141,184);PD(134,189);PD(131,197);PD(130,205);PD(128,213);PD(124,220);PD(124,212);PD(125,204);PD(124,196);PD(123,188);PD(123,180);PD(123,172);PD(122,164);PD(120,156);PD(119,148);PD(116,140);PD(112,132);PD(108,136);PD(103,144);PD(98,152);PD(96,160);PD(95,168);PD(95,176);PD(100,183);PD(102,188);PD(94,195);PD(90,203);PD(88,205);PD(89,199);PD(86,191);PD(91,192);PD(97,189);PD(95,181);PD(91,173);PD(93,165);PD(92,157);PD(94,149);PD(100,141);PD(105,133);PD(107,125);PD(99,129);PD(91,135);PD(83,142);PD(79,140);PD(87,134);PD(95,130);PD(100,127);PD(107,120);PD(109,112);PD(109,104);PD(108,96);PD(104,88);PD(97,80);PD(91,72);PD(83,74);PD(75,79);PD(67,83);PD(59,88);PD(51,94);PD(47,98);PD(47,90);PD(42,87);PD(36,93);PD(40,96);PD(32,94);PD(27,92);PD(35,90);PD(39,88);PD(44,87);PD(44,86);PD(39,84);PD(31,80);PD(23,75);PD(15,72);PD(17,66);PD(25,66);PD(33,65);PD(41,65);PD(49,63);PD(57,59);PD(65,57);PD(72,53);PD(77,51);PD(84,48);PD(85,48);PD(80,49);PD(75,53);PD(67,55);PD(62,57);PD(57,59);PD(51,64);PD(43,67);PD(35,68);PD(27,71);PD(28,77);PD(36,82);PD(33,81);PD(29,78);PD(21,73);PD(13,71);PD(21,67);PD(29,67);PD(37,66);PD(45,65);PD(52,62);PD(55,61);PD(48,64);PD(45,66);PD(38,66);PD(33,67);PD(27,70);PD(20,72);PD(18,68);PD(26,68);PD(27,69);PD(19,71);PD(21,69);PD(23,71);PD(22,70);PD(26,75);PD(34,81);PD(41,84);PD(37,90);PD(38,95);PD(30,92);PD(33,92);PD(33,93);PD(40,88);PD(47,88);PD(47,96);PD(43,107);PD(42,115);PD(45,123);PD(46,131);PD(44,139);PD(44,147);PD(45,155);PD(45,163);PD(46,171);PD(45,179);PD(42,187);PD(40,195);PD(45,203);PD(53,207);PD(59,215);PD(58,217);PD(51,209);PD(43,206);PD(39,198);PD(38,190);PD(42,182);PD(44,174);PD(44,166);PD(43,158);PD(42,150);PD(42,142);PD(44,134);PD(44,126);PD(39,119);PD(40,111);PD(42,108);PD(41,115);PD(44,123);PD(45,131);PD(44,137);PD(43,145);PD(43,153);PD(44,161);PD(45,168);PD(45,175);PD(43,182);PD(39,190);PD(40,198);PD(47,205);PD(55,210);PD(59,217);PD(57,212);PD(49,207);PD(42,203);PD(46,205);PD(46,197);PD(44,189);PD(50,186);PD(43,190);PD(50,195);PD(54,187);PD(56,185);PD(55,193);PD(55,200);PD(47,197);PD(46,194);PD(54,192);PD(55,184);PD(60,173);PD(59,165);PD(58,157);PD(57,149);PD(58,141);PD(61,133);PD(66,125);PD(68,117);PD(69,109);PD(69,101);PD(75,101);PD(79,109);PD(83,117);PD(85,125);PD(81,123);PD(78,115);PD(74,107);PD(71,115);PD(69,123);PD(65,131);PD(61,139);PD(62,146);PD(66,152);PD(62,160);PD(62,168);PD(63,176);PD(65,184);PD(64,192);PD(64,200);PD(62,206);PD(62,198);PD(61,190);PD(61,182);PD(62,174);PD(60,166);PD(59,158);PD(58,150);PD(62,147);PD(64,153);PD(61,161);PD(61,168);PD(62,175);PD(63,183);PD(64,191);PD(63,199);PD(63,206);PD(64,198);PD(68,197);PD(68,189);PD(69,181);PD(71,173);PD(73,165);PD(74,157);PD(81,161);PD(86,169);PD(81,177);PD(80,178);PD(80,170);PD(73,176);PD(70,184);PD(69,190);PD(70,198);PD(74,206);PD(72,213);PD(69,220);PD(70,215);PD(72,208);PD(70,201);PD(74,209);PD(71,206);PD(69,201);PD(68,197);PD(64,191);PD(62,186);PD(62,178);PD(63,185);PD(61,188);PD(61,180);PD(55,183);PD(55,191);PD(56,199);PD(52,195);PD(53,198);PD(52,197);PD(47,196);PD(46,203);PD(39,196);PD(38,194);PD(39,189);PD(40,196);PD(46,203);PD(46,195);PD(46,187);PD(45,188);PD(49,195);PD(55,188);PD(57,180);PD(64,183);PD(64,191);PD(68,197);PD(69,189);PD(69,181);PD(72,174);PD(74,166);PD(75,158);PD(82,164);PD(84,172);PD(81,170);PD(73,174);PD(70,180);PD(79,184);PD(82,189);PD(81,197);PD(81,205);PD(81,209);PD(81,208);PD(80,201);PD(81,193);PD(83,185);PD(75,184);PD(70,185);PD(69,193);PD(64,195);PD(63,187);PD(61,179);PD(56,184);PD(55,192);PD(49,200);PD(42,199);PD(40,191);PD(44,183);PD(44,175);PD(44,167);PD(44,159);PD(44,151);PD(44,143);PD(44,135);PD(44,127);PD(43,119);PD(42,111);PD(44,103);PD(50,95);PD(58,89);PD(66,84);PD(74,79);PD(82,75);PD(90,72);PD(96,79);PD(104,87);PD(107,95);PD(109,103);PD(109,111);PD(108,119);PD(105,126);PD(106,131);PD(101,139);PD(95,147);PD(92,155);PD(93,163);PD(92,171);PD(93,179);PD(97,187);PD(94,195);PD(90,199);PD(87,191);PD(92,194);PD(90,195);PD(92,195);PD(96,192);PD(97,186);PD(93,178);PD(93,170);PD(94,162);PD(93,154);PD(97,146);PD(103,138);PD(108,130);PD(105,125);PD(107,122);PD(110,114);PD(110,106);PD(109,98);PD(107,90);PD(100,82);PD(94,74);PD(86,72);PD(78,76);PD(70,80);PD(62,85);PD(54,91);PD(48,97);PD(48,91);PD(48,83);PD(54,77);PD(50,83);PD(52,90);PD(51,90);PD(49,90);PD(48,89);PD(49,83);PD(50,80);PD(50,87);PD(57,87);PD(65,82);PD(70,79);PD(75,76);PD(83,72);PD(80,66);PD(73,64);PD(81,64);PD(89,64);PD(97,64);PD(105,64);PD(113,65);PD(121,67);PD(129,69);PD(135,74);PD(129,82);PD(121,88);PD(114,95);PD(113,103);PD(116,111);PD(120,119);PD(113,124);PD(121,129);PD(128,130);PD(131,138);PD(139,136);PD(144,128);PD(147,120);PD(148,112);PD(148,104);PD(148,96);PD(145,88);PD(141,80);PD(140,77);PD(143,83);PD(150,91);PD(157,98);PD(161,106);PD(164,114);PD(171,120);PD(179,119);PD(181,111);PD(180,103);PD(176,95);PD(171,87);PD(165,79);PD(159,71);PD(152,63);PD(144,57);PD(136,55);PD(128,54);PD(120,52);PD(117,51);PD(123,51);PD(131,51);PD(139,52);PD(147,53);PD(155,54);PD(163,55);PD(171,57);PD(179,60);PD(187,63);PD(195,67);PD(202,75);PD(206,83);PD(214,89);PD(217,83);PD(213,75);PD(211,67);PD(216,65);PD(224,67);PD(230,64);PD(222,58);PD(214,57);PD(206,55);PD(198,53);PD(193,50);PD(201,50);PD(209,52);PD(217,53);PD(218,48);PD(210,45);PD(202,42);PD(194,40);PD(186,37);PD(178,35);PD(170,34);PD(162,33);PD(154,33);PD(146,34);PD(138,34);PD(131,34);PD(126,36);PD(126,40);PD(133,41);PD(141,41);PD(149,42);PD(157,44);PD(164,45);PD(158,45);PD(153,44);PD(148,43);PD(140,42);PD(133,40);PD(125,39);PD(129,34);PD(137,33);PD(143,32);PD(151,31);PD(159,29);PD(167,27);PD(175,26);PD(183,25);PD(191,24);PD(199,24);PD(207,24);PD(215,23);PD(223,24);PD(231,25);PD(223,28);PD(215,30);PD(207,31);PD(199,33);PD(203,39);PD(211,41);PD(219,41);PD(227,42);PD(235,42);PD(243,42);PD(251,45);PD(247,47);PD(239,53);PD(236,61);PD(235,69);PD(236,77);PD(238,85);PD(244,93);PD(252,98);PD(260,101);PD(268,105);PD(276,109);PD(284,115);PD(286,123);PD(283,131);PD(276,139);PD(273,147);PD(274,155);PD(277,163);PD(279,171);PD(274,167);PD(266,162);PD(258,161);PD(251,165);PD(259,171);PD(267,179);PD(273,187);PD(277,195);PD(280,203);PD(281,211);PD(281,219);PD(278,227);PD(271,234);PD(263,239);PD(261,239);PD(266,231);PD(267,223);PD(265,215);PD(260,207);PD(252,199);PD(244,196);PD(237,201);PD(237,209);PD(238,217);PD(240,225);PD(241,233);PD(241,241);PD(238,249);PD(234,257);PD(226,264);PD(218,269);PD(210,273);PD(202,270);PD(194,268);PD(186,266);PD(178,266);PD(170,267);PD(162,268);PD(154,269);PD(146,271);PD(138,273);PD(130,274);PD(122,275);PD(127,274);PD(135,272);PD(143,270);PD(151,269);PD(158,268);PD(163,267);PD(169,266);PD(176,264);PD(182,265);PD(190,264);PD(198,262);PD(206,260);PD(214,256);PD(222,249);PD(225,241);PD(222,233);PD(214,236);PD(206,242);PD(198,248);PD(190,252);PD(182,255);PD(174,256);PD(166,257);PD(158,258);PD(150,259);PD(142,260);PD(134,262);PD(126,264);PD(118,266);PD(110,269);PD(102,270);PD(94,271);PD(90,269);PD(98,266);PD(106,264);PD(114,262);PD(122,258);PD(130,253);PD(138,247);PD(146,239);PD(151,231);PD(154,223);PD(154,220);PD(156,228);PD(162,223);PD(166,215);PD(166,207);PD(166,199);PD(166,191);PD(168,183);PD(169,175);PD(168,167);PD(168,159);PD(163,151);PD(165,143);PD(166,135);PD(166,127);PD(164,119);PD(162,111);PD(157,103);PD(152,106);PD(152,114);PD(151,122);PD(148,130);PD(145,138);PD(139,146);PD(133,154);PD(131,162);PD(134,170);PD(141,176);PD(146,168);PD(149,160);PD(152,154);PD(152,162);PD(152,170);PD(151,178);PD(151,186);PD(152,194);PD(152,202);PD(150,204);PD(148,196);PD(145,188);PD(138,183);PD(132,191);PD(130,199);PD(128,207);PD(126,215);PD(123,216);PD(125,210);PD(126,202);PD(124,194);PD(124,186);PD(124,178);PD(124,170);PD(123,162);PD(121,154);PD(119,146);PD(116,138);PD(111,130);PD(107,134);PD(103,142);PD(98,150);PD(95,158);PD(95,165);PD(94,173);PD(94,178);PD(93,173);PD(96,180);PD(103,185);PD(98,189);PD(98,184);PD(99,189);PD(99,185);PD(92,177);PD(95,169);PD(95,161);PD(97,153);PD(101,145);PD(106,137);PD(108,129);PD(107,121);PD(109,113);PD(109,105);PD(108,97);PD(105,89);PD(98,81);PD(92,73);PD(84,74);PD(76,78);PD(68,82);PD(60,87);PD(52,93);PD(45,101);PD(42,109);PD(42,117);PD(46,125);PD(46,133);PD(44,141);PD(44,149);PD(45,157);PD(45,165);PD(44,173);PD(44,181);PD(41,189);PD(41,197);PD(47,202);PD(55,194);PD(56,186);PD(59,179);PD(64,185);PD(64,193);PD(69,195);PD(69,187);PD(72,179);PD(77,171);PD(85,171);PD(81,170);PD(75,171);PD(74,170);PD(75,162);PD(79,162);PD(83,170);PD(75,170);PD(76,162);PD(80,165);PD(82,166);PD(76,167);PD(77,161);PD(78,164);PD(72,172);PD(70,180);PD(68,188);PD(68,196);PD(64,192);PD(64,184);PD(63,176);PD(62,168);PD(62,160);PD(65,152);PD(61,158);PD(60,154);PD(59,146);PD(64,151);PD(60,156);PD(60,150);PD(62,151);PD(58,145);PD(60,139);PD(63,131);PD(67,123);PD(69,115);PD(70,107);PD(71,99);PD(76,105);PD(80,113);PD(84,121);PD(83,124);PD(79,116);PD(80,115);PD(83,123);PD(81,118);PD(78,111);PD(73,107);PD(70,114);PD(68,120);PD(66,125);PD(63,133);PD(61,134);PD(63,132);PD(53,133);PD(53,132);PD(52,126);PD(47,120);PD(50,112);PD(58,104);PD(63,103);PD(64,111);PD(60,119);PD(55,117);PD(49,119);PD(54,124);PD(52,125);PD(51,124);PD(48,119);PD(52,111);PD(60,103);PD(60,105);PD(59,105);PD(62,108);PD(62,116);PD(61,110);PD(61,117);PD(55,116);PD(48,116);PD(53,114);PD(53,111);PD(55,115);PD(52,115);PD(49,122);PD(57,129);PD(60,136);PD(59,144);PD(59,152);PD(59,160);PD(61,168);PD(61,176);PD(54,183);PD(53,191);PD(50,199);PD(42,200);PD(40,192);PD(43,184);PD(44,176);PD(44,168);PD(44,160);PD(44,152);PD(44,144);PD(44,136);PD(44,128);PD(44,127);PD(41,122);PD(40,114);PD(41,119);PD(44,125);PD(44,133);PD(43,141);PD(42,149);PD(43,155);PD(45,163);PD(46,171);PD(45,179);PD(42,187);PD(40,195);PD(45,203);PD(53,196);PD(55,188);PD(57,180);PD(64,183);PD(64,191);PD(68,197);PD(69,189);PD(71,181);PD(77,185);PD(82,187);PD(82,190);PD(78,185);PD(77,186);PD(73,182);PD(69,187);PD(68,195);PD(62,193);PD(61,185);PD(59,179);PD(55,186);PD(53,194);PD(47,202);PD(53,208);PD(53,208);PD(48,205);PD(41,198);PD(40,190);PD(44,182);PD(45,174);PD(46,166);PD(45,158);PD(44,150);PD(44,142);PD(44,134);PD(44,126);PD(43,118);PD(42,110);PD(45,102);PD(51,94);PD(59,88);PD(67,83);PD(75,79);PD(83,74);PD(91,72);PD(97,80);PD(104,88);PD(108,96);PD(109,104);PD(109,112);PD(107,120);PD(107,128);PD(103,136);PD(97,144);PD(93,152);PD(94,160);PD(95,152);PD(99,144);PD(105,136);PD(102,142);PD(97,150);PD(94,155);PD(95,150);PD(98,147);PD(101,143);PD(103,138);PD(107,130);PD(104,126);PD(96,130);PD(88,137);PD(80,142);PD(85,137);PD(90,134);PD(84,139);PD(82,138);PD(89,133);PD(97,129);PD(105,123);PD(110,117);PD(111,109);PD(110,101);PD(109,93);PD(104,85);PD(97,77);PD(90,70);PD(83,72);PD(80,74);PD(75,77);PD(82,71);PD(82,66);PD(81,65);PD(89,65);PD(97,65);PD(105,65);PD(113,66);PD(121,68);PD(129,70);PD(133,76);PD(126,83);PD(118,89);PD(112,97);PD(112,105);PD(117,113);PD(116,119);PD(115,127);PD(123,130);PD(127,133);PD(133,140);PD(141,135);PD(145,127);PD(148,119);PD(149,111);PD(149,103);PD(149,95);PD(146,88);PD(154,95);PD(159,103);PD(154,100);PD(151,108);PD(151,116);PD(149,124);PD(147,132);PD(142,140);PD(137,148);PD(131,156);PD(130,164);PD(134,172);PD(142,176);PD(147,168);PD(150,160);PD(151,159);PD(151,167);PD(150,175);PD(150,183);PD(150,191);PD(151,199);PD(149,202);PD(149,196);PD(146,188);PD(139,182);PD(132,189);PD(129,197);PD(128,205);PD(126,213);PD(125,216);PD(126,210);PD(127,202);PD(125,194);PD(125,186);PD(125,178);PD(125,170);PD(124,162);PD(122,154);PD(120,146);PD(117,138);PD(112,130);PD(108,124);PD(112,116);PD(112,108);PD(116,113);PD(114,120);PD(115,128);PD(123,131);PD(127,135);PD(134,141);PD(142,135);PD(146,127);PD(149,119);PD(150,114);PD(150,106);PD(150,98);PD(150,92);PD(156,100);PD(155,99);PD(151,98);PD(154,98);PD(152,97);PD(159,104);PD(162,110);PD(165,117);PD(173,121);PD(181,118);PD(182,110);PD(181,102);PD(177,94);PD(171,86);PD(166,78);PD(159,70);PD(152,62);PD(144,56);PD(136,54);PD(128,53);PD(121,52);PD(129,52);PD(137,53);PD(145,54);PD(153,55);PD(161,56);PD(169,58);PD(177,60);PD(185,63);PD(193,67);PD(200,74);PD(204,82);PD(212,89);PD(219,86);PD(215,78);PD(213,70);PD(215,66);PD(223,68);PD(231,66);PD(225,59);PD(217,56);PD(209,55);PD(201,53);PD(194,51);PD(202,52);PD(210,54);PD(218,54);PD(219,47);PD(211,44);PD(203,42);PD(195,40);PD(187,37);PD(179,34);PD(171,33);PD(163,33);PD(155,32);PD(147,33);PD(146,31);PD(154,31);PD(162,29);PD(170,28);PD(178,27);PD(186,26);PD(194,25);PD(202,25);PD(210,24);PD(218,24);PD(226,25);PD(221,27);PD(213,29);PD(205,30);PD(197,34);PD(203,40);PD(211,42);PD(219,42);PD(227,43);PD(235,43);PD(243,43);PD(249,46);PD(241,50);PD(236,58);PD(234,66);PD(234,74);PD(236,82);PD(240,90);PD(248,96);PD(256,101);PD(264,104);PD(272,108);PD(280,112);PD(285,120);PD(284,128);PD(277,136);PD(272,144);PD(272,152);PD(275,160);PD(278,168);PD(277,169);PD(269,162);PD(261,160);PD(253,161);PD(254,169);PD(262,175);PD(269,183);PD(274,191);PD(278,199);PD(280,207);PD(280,215);PD(279,223);PD(274,231);PD(266,236);PD(264,236);PD(267,228);PD(267,220);PD(265,212);PD(258,204);PD(250,197);PD(242,195);PD(236,202);PD(236,210);PD(237,218);PD(239,226);PD(240,234);PD(240,242);PD(237,250);PD(232,258);PD(224,264);PD(216,270);PD(208,271);PD(200,268);PD(192,266);PD(184,265);PD(189,265);PD(197,264);PD(205,262);PD(213,258);PD(221,251);PD(225,243);PD(225,235);PD(217,233);PD(209,239);PD(201,245);PD(193,250);PD(185,253);PD(177,254);PD(169,255);PD(161,256);PD(153,258);PD(145,259);PD(137,260);PD(129,262);PD(121,264);PD(113,267);PD(105,269);PD(97,270);PD(90,270);PD(98,267);PD(106,265);PD(114,263);PD(122,259);PD(130,254);PD(138,248);PD(146,240);PD(152,232);PD(157,230);PD(163,223);PD(167,215);PD(167,207);PD(167,199);PD(167,191);PD(169,183);PD(170,175);PD(169,167);PD(169,159);PD(164,151);PD(166,143);PD(167,135);PD(167,127);PD(165,119);PD(172,122);PD(180,120);PD(183,112);PD(183,104);PD(179,96);PD(174,88);PD(168,80);PD(162,72);PD(155,64);PD(147,57);PD(139,54);PD(145,55);PD(153,56);PD(161,57);PD(169,59);PD(177,61);PD(185,64);PD(193,68);PD(200,75);PD(204,83);PD(212,90);PD(220,87);PD(216,79);PD(214,71);PD(216,67);PD(224,69);PD(232,66);PD(226,58);PD(218,55);PD(211,53);PD(206,52);PD(201,51);PD(202,52);PD(210,54);PD(218,52);PD(215,45);PD(207,43);PD(212,43);PD(220,43);PD(228,44);PD(236,44);PD(244,45);PD(245,45);PD(239,51);PD(235,59);PD(233,67);PD(233,75);PD(235,83);PD(240,91);PD(248,97);PD(256,102);PD(264,105);PD(272,109);PD(280,113);PD(284,121);PD(282,129);PD(275,137);PD(271,145);PD(271,152);PD(274,159);PD(276,167);PD(273,164);PD(265,159);PD(257,159);PD(249,164);PD(256,171);PD(264,178);PD(270,186);PD(275,194);PD(278,202);PD(279,210);PD(279,218);PD(276,226);PD(269,234);PD(265,233);PD(268,227);PD(268,219);PD(265,211);PD(258,203);PD(250,196);PD(242,194);PD(235,201);PD(235,209);PD(236,217);PD(238,225);PD(239,233);PD(239,241);PD(236,249);PD(232,257);PD(224,263);PD(216,269);PD(208,270);PD(200,267);PD(192,265);PD(197,265);PD(205,263);PD(213,259);PD(221,252);PD(226,244);PD(226,236);PD(219,231);PD(211,236);PD(203,243);PD(195,248);PD(187,251);PD(179,253);PD(171,254);PD(163,255);PD(155,256);PD(147,257);PD(139,259);PD(131,261);PD(123,263);PD(115,265);PD(107,267);PD(99,269);PD(98,268);PD(104,267);PD(112,264);PD(120,261);PD(128,257);PD(136,251);PD(144,243);PD(151,235);PD(155,229);PD(162,226);PD(167,218);PD(168,210);PD(168,202);PD(168,194);PD(169,186);PD(171,178);PD(171,170);PD(170,162);PD(167,154);PD(164,146);PD(169,138);PD(168,130);PD(167,122);PD(172,123);PD(180,121);PD(183,113);PD(184,105);PD(181,97);PD(175,89);PD(170,81);PD(164,73);PD(157,65);PD(149,57);PD(153,57);PD(161,58);PD(169,60);PD(177,62);PD(185,65);PD(193,69);PD(199,76);PD(204,84);PD(212,91);PD(220,88);PD(218,80);PD(215,72);PD(218,69);PD(226,71);PD(232,69);PD(233,77);PD(235,85);PD(241,93);PD(249,99);PD(257,103);PD(265,107);PD(273,110);PD(281,115);PD(283,123);PD(280,131);PD(273,139);PD(270,147);PD(269,157);PD(274,162);PD(270,161);PD(262,158);PD(254,159);PD(249,166);PD(257,173);PD(265,180);PD(270,188);PD(274,196);PD(277,204);PD(279,212);PD(277,220);PD(274,228);PD(267,234);PD(269,228);PD(269,220);PD(267,212);PD(260,204);PD(252,196);PD(244,193);PD(236,198);PD(234,206);PD(235,214);PD(236,222);PD(238,230);PD(238,238);PD(237,246);PD(233,254);PD(226,261);PD(218,266);PD(210,270);PD(202,267);PD(201,265);PD(209,262);PD(217,257);PD(225,249);PD(228,241);PD(225,233);PD(217,231);PD(209,237);PD(201,243);PD(193,248);PD(185,251);PD(177,252);PD(169,253);PD(162,255);PD(155,256);PD(147,256);PD(139,258);PD(131,260);PD(123,262);PD(115,264);PD(111,265);PD(106,266);PD(109,263);PD(117,261);PD(123,260);PD(131,256);PD(139,249);PD(147,241);PD(153,233);PD(160,230);PD(164,225);PD(165,221);PD(167,219);PD(168,214);PD(169,208);PD(169,200);PD(169,192);PD(171,184);PD(172,176);PD(172,168);PD(171,160);PD(167,152);PD(167,144);PD(170,136);PD(169,128);PD(171,124);PD(179,123);PD(184,115);PD(185,107);PD(183,99);PD(178,91);PD(172,83);PD(166,75);PD(160,67);PD(152,59);PD(155,58);PD(163,59);PD(171,61);PD(179,64);PD(187,67);PD(195,71);PD(200,79);PD(206,87);PD(214,93);PD(222,87);PD(218,79);PD(216,71);PD(221,71);PD(229,71);PD(231,75);PD(233,83);PD(238,91);PD(246,98);PD(254,103);PD(262,106);PD(270,110);PD(278,114);PD(282,121);PD(280,129);PD(273,137);PD(269,139);PD(271,131);PD(276,123);PD(271,115);PD(263,110);PD(255,107);PD(247,104);PD(245,107);PD(253,112);PD(250,120);PD(258,126);PD(261,132);PD(260,140);PD(263,148);PD(267,156);PD(273,162);PD(273,157);PD(274,160);PD(268,157);PD(260,157);PD(252,159);PD(249,167);PD(257,174);PD(264,181);PD(270,189);PD(274,197);PD(277,205);PD(278,213);PD(276,221);PD(272,229);PD(270,230);PD(271,222);PD(269,214);PD(263,206);PD(255,198);PD(247,193);PD(239,194);PD(233,202);PD(233,210);PD(234,218);PD(236,226);PD(237,234);PD(237,242);PD(234,250);PD(229,258);PD(221,263);PD(213,268);PD(205,267);PD(206,264);PD(214,260);PD(222,253);PD(228,245);PD(228,237);PD(222,229);PD(214,232);PD(206,238);PD(198,244);PD(190,248);PD(182,251);PD(174,252);PD(168,253);PD(176,252);PD(181,250);PD(189,247);PD(197,243);PD(205,238);PD(213,231);PD(219,223);PD(223,215);PD(226,207);PD(227,199);PD(229,191);PD(231,183);PD(238,180);PD(245,188);PD(253,191);PD(249,183);PD(246,175);PD(243,167);PD(241,159);PD(239,151);PD(237,143);PD(235,135);PD(233,127);PD(231,119);PD(230,111);PD(228,103);PD(224,96);PD(222,104);PD(223,112);PD(224,120);PD(225,128);PD(226,136);PD(227,144);PD(226,152);PD(226,160);PD(225,168);PD(224,176);PD(223,184);PD(221,188);PD(220,180);PD(218,172);PD(216,180);PD(215,188);PD(214,196);PD(211,204);PD(204,211);PD(196,219);PD(188,227);PD(180,234);PD(176,233);PD(179,225);PD(183,217);PD(187,209);PD(189,201);PD(191,193);PD(187,187);PD(179,193);PD(174,201);PD(171,209);PD(169,208);PD(170,202);PD(170,194);PD(171,186);PD(173,178);PD(173,170);PD(172,162);PD(169,154);PD(166,146);PD(171,138);PD(170,130);PD(172,125);PD(180,123);PD(185,115);PD(186,107);PD(184,99);PD(179,91);PD(173,83);PD(167,75);PD(161,67);PD(153,59);PD(161,60);PD(169,62);PD(177,64);PD(185,67);PD(193,71);PD(199,79);PD(195,78);PD(189,72);PD(182,71);PD(186,79);PD(191,87);PD(196,95);PD(198,103);PD(201,111);PD(204,119);PD(207,127);PD(209,135);PD(209,143);PD(206,151);PD(198,158);PD(190,165);PD(183,173);PD(178,181);PD(182,185);PD(190,183);PD(198,181);PD(198,187);PD(195,195);PD(191,203);PD(189,211);PD(190,218);PD(197,212);PD(201,204);PD(204,196);PD(206,188);PD(208,180);PD(210,172);PD(212,164);PD(214,156);PD(215,148);PD(216,140);PD(217,132);PD(216,124);PD(215,116);PD(213,108);PD(209,100);PD(205,92);PD(202,84);PD(210,92);PD(218,92);PD(222,84);PD(218,76);PD(219,71);PD(227,73);PD(230,76);PD(233,84);PD(238,92);PD(246,99);PD(254,104);PD(262,107);PD(270,111);PD(278,115);PD(281,123);PD(278,131);PD(271,139);PD(271,133);PD(276,125);PD(274,117);PD(266,111);PD(258,107);PD(250,104);PD(242,103);PD(248,109);PD(251,116);PD(253,124);PD(260,128);PD(259,136);PD(260,144);PD(264,152);PD(264,156);PD(256,156);PD(248,162);PD(251,170);PD(259,176);PD(266,184);PD(271,192);PD(274,200);PD(276,208);PD(276,216);PD(274,224);PD(272,226);PD(271,218);PD(268,210);PD(260,202);PD(252,194);PD(252,187);PD(248,179);PD(245,171);PD(243,163);PD(241,155);PD(239,147);PD(237,139);PD(235,131);PD(233,123);PD(232,115);PD(230,107);PD(228,99);PD(221,98);PD(221,106);PD(222,114);PD(223,122);PD(224,130);PD(225,138);PD(226,146);PD(225,154);PD(225,162);PD(224,170);PD(223,178);PD(222,186);PD(221,181);PD(220,173);PD(216,177);PD(215,185);PD(214,193);PD(212,201);PD(206,209);PD(198,216);PD(190,224);PD(182,232);PD(177,234);PD(180,226);PD(184,218);PD(187,210);PD(190,202);PD(192,194);PD(189,186);PD(181,190);PD(175,198);PD(171,206);PD(171,203);PD(171,195);PD(172,187);PD(173,179);PD(174,171);PD(173,163);PD(171,155);PD(167,147);PD(172,139);PD(171,131);PD(173,126);PD(181,123);PD(186,115);PD(187,107);PD(185,99);PD(180,91);PD(174,83);PD(168,75);PD(162,67);PD(156,60);PD(164,62);PD(172,64);PD(180,66);PD(181,71);PD(185,79);PD(190,87);PD(195,95);PD(197,103);PD(200,111);PD(203,119);PD(206,127);PD(208,135);PD(208,143);PD(205,151);PD(197,158);PD(189,165);PD(182,173);PD(177,181);PD(181,186);PD(189,184);PD(197,182);PD(197,188);PD(193,196);PD(190,203);PD(189,208);PD(187,213);PD(191,219);PD(198,212);PD(202,204);PD(205,196);PD(207,188);PD(209,180);PD(211,172);PD(213,164);PD(215,156);PD(216,148);PD(217,140);PD(218,132);PD(217,124);PD(216,116);PD(214,108);PD(210,100);PD(206,92);PD(207,90);PD(215,96);PD(223,88);PD(221,80);PD(218,72);PD(226,74);PD(230,78);PD(233,86);PD(239,94);PD(247,101);PD(248,101);PD(242,102);PD(246,109);PD(250,115);PD(251,123);PD(259,128);PD(258,136);PD(259,144);PD(263,152);PD(259,155);PD(251,158);PD(246,166);PD(254,174);PD(262,180);PD(267,188);PD(271,196);PD(274,204);PD(276,212);PD(274,220);PD(271,226);PD(273,223);PD(271,215);PD(266,207);PD(258,199);PD(255,191);PD(251,183);PD(248,175);PD(245,167);PD(252,173);PD(260,179);PD(266,187);PD(270,195);PD(273,203);PD(274,211);PD(274,219);PD(273,218);PD(270,210);PD(262,202);PD(254,194);PD(253,186);PD(250,178);PD(247,170);PD(251,173);PD(259,179);PD(265,187);PD(269,195);PD(272,203);PD(273,211);PD(271,214);PD(269,208);PD(261,200);PD(256,192);PD(253,184);PD(250,176);PD(250,173);PD(258,180);PD(264,187);PD(268,195);PD(271,203);PD(272,211);PD(272,208);PD(264,202);PD(256,194);PD(255,186);PD(252,178);PD(253,177);PD(261,184);PD(266,192);PD(269,200);PD(271,208);PD(263,200);PD(258,192);PD(255,184);PD(255,179);PD(262,187);PD(266,195);PD(269,203);PD(265,201);PD(258,193);PD(257,185);PD(258,183);PD(263,191);PD(267,199);PD(264,199);PD(261,191);PD(257,183);PD(261,189);PD(265,197);PD(261,195);PD(263,196);PD(261,193);PD(256,193);PD(248,192);PD(240,192);PD(233,200);PD(232,208);PD(233,216);PD(235,224);PD(236,232);PD(236,240);PD(234,248);PD(229,256);PD(222,262);PD(214,267);PD(206,266);PD(212,262);PD(220,256);PD(227,248);PD(230,240);PD(226,232);PD(218,228);PD(211,234);PD(204,239);PD(198,243);PD(191,247);PD(185,249);PD(177,251);PD(169,253);PD(161,255);PD(153,256);PD(145,257);PD(137,258);PD(129,260);PD(127,257);PD(135,249);PD(143,241);PD(151,233);PD(159,227);PD(167,219);PD(170,211);PD(174,203);PD(177,195);PD(185,187);PD(191,191);PD(190,199);PD(187,207);PD(184,215);PD(180,223);PD(177,231);PD(180,229);PD(183,221);PD(189,220);PD(197,215);PD(202,207);PD(204,199);PD(207,191);PD(210,183);PD(212,175);PD(213,167);PD(215,159);PD(216,151);PD(218,143);PD(219,135);PD(218,127);PD(217,119);PD(215,111);PD(213,103);PD(209,95);PD(208,92);PD(216,96);PD(224,88);PD(222,80);PD(220,73);PD(228,75);PD(230,83);PD(235,91);PD(243,99);PD(240,103);PD(246,110);PD(248,117);PD(252,125);PD(258,131);PD(257,139);PD(259,147);PD(262,154);PD(254,155);PD(246,162);PD(243,158);PD(240,150);PD(238,142);PD(237,134);PD(235,126);PD(233,118);PD(231,110);PD(229,102);PD(225,94);PD(220,101);PD(221,109);PD(221,117);PD(223,125);PD(224,133);PD(224,141);PD(224,149);PD(224,157);PD(223,165);PD(222,173);PD(222,180);PD(219,173);PD(214,179);PD(214,187);PD(212,195);PD(210,203);PD(203,210);PD(195,218);PD(187,226);PD(179,233);PD(182,225);PD(187,219);PD(190,221);PD(184,228);PD(183,225);PD(188,221);PD(183,227);PD(188,222);PD(186,223);PD(193,217);PD(201,211);PD(204,203);PD(207,195);PD(209,187);PD(212,179);PD(214,171);PD(215,163);PD(217,155);PD(218,147);PD(219,139);PD(220,131);PD(219,123);PD(217,115);PD(215,107);PD(212,99);PD(213,97);PD(221,92);PD(225,84);PD(221,76);PD(228,77);PD(230,85);PD(236,93);PD(241,101);PD(243,109);PD(248,115);PD(249,123);PD(257,129);PD(256,137);PD(257,145);PD(261,153);PD(253,154);PD(245,162);PD(242,154);PD(240,146);PD(239,138);PD(237,130);PD(235,122);PD(233,114);PD(231,106);PD(229,98);PD(222,95);PD(219,103);PD(220,111);PD(221,119);PD(222,127);PD(223,135);PD(223,143);PD(223,151);PD(223,159);PD(222,167);PD(219,171);PD(214,177);PD(213,185);PD(212,193);PD(210,201);PD(204,208);PD(204,207);PD(206,199);PD(209,191);PD(212,183);PD(212,176);PD(215,170);PD(216,162);PD(218,154);PD(219,146);PD(220,138);PD(221,130);PD(220,122);PD(218,114);PD(216,106);PD(213,98);PD(218,96);PD(226,88);PD(224,80);PD(226,77);PD(229,84);PD(234,92);PD(241,100);PD(241,108);PD(248,114);PD(247,122);PD(255,130);PD(255,137);PD(256,145);PD(259,152);PD(251,155);PD(245,159);PD(243,151);PD(241,143);PD(239,135);PD(237,127);PD(235,119);PD(234,111);PD(232,103);PD(228,95);PD(220,96);PD(218,104);PD(219,112);PD(220,119);PD(221,126);PD(222,133);PD(222,141);PD(222,149);PD(222,157);PD(221,165);PD(219,170);PD(215,169);PD(217,163);PD(219,155);PD(220,147);PD(221,139);PD(221,142);PD(221,150);PD(221,158);PD(220,166);PD(217,168);PD(219,160);PD(220,152);PD(221,147);PD(219,152);PD(220,160);PD(219,168);PD(218,161);PD(216,168);PD(216,176);PD(208,184);PD(206,192);PD(206,200);PD(202,208);PD(194,216);PD(187,215);PD(190,207);PD(191,199);PD(191,191);PD(185,186);PD(177,184);PD(181,176);PD(187,168);PD(195,160);PD(203,153);PD(204,151);PD(196,157);PD(188,165);PD(181,173);PD(176,181);PD(180,188);PD(178,192);PD(173,200);PD(171,199);PD(172,193);PD(173,185);PD(175,177);PD(175,169);PD(174,161);PD(171,153);PD(169,145);PD(173,137);PD(172,129);PD(178,127);PD(186,119);PD(188,111);PD(187,103);PD(183,95);PD(178,87);PD(172,79);PD(166,71);PD(159,63);PD(163,62);PD(171,64);PD(179,67);PD(181,73);PD(185,81);PD(191,89);PD(195,97);PD(197,105);PD(200,113);PD(203,121);PD(206,129);PD(207,137);PD(206,145);PD(201,153);PD(193,159);PD(185,167);PD(178,175);PD(174,180);PD(176,177);PD(176,169);PD(175,161);PD(172,153);PD(170,145);PD(174,137);PD(173,129);PD(180,126);PD(188,118);PD(189,110);PD(188,102);PD(184,94);PD(178,86);PD(173,78);PD(166,70);PD(161,63);PD(169,65);PD(177,67);PD(179,72);PD(183,80);PD(189,88);PD(194,96);PD(196,104);PD(198,112);PD(201,120);PD(205,128);PD(206,136);PD(206,144);PD(201,152);PD(193,158);PD(185,166);PD(178,174);PD(177,173);PD(176,165);PD(175,157);PD(170,149);PD(175,141);PD(175,133);PD(179,128);PD(187,120);PD(190,112);PD(190,104);PD(186,96);PD(181,88);PD(175,80);PD(169,72);PD(162,64);PD(170,66);PD(178,68);PD(180,76);PD(185,84);PD(191,92);PD(194,100);PD(196,108);PD(199,116);PD(202,124);PD(205,132);PD(205,140);PD(203,148);PD(196,154);PD(188,162);PD(180,170);PD(178,171);PD(177,163);PD(175,155);PD(171,147);PD(176,139);PD(175,131);PD(183,125);PD(190,117);PD(191,109);PD(190,101);PD(185,93);PD(180,85);PD(174,77);PD(168,69);PD(170,67);PD(178,69);PD(179,77);PD(185,85);PD(191,93);PD(193,101);PD(195,109);PD(198,117);PD(202,125);PD(204,133);PD(204,141);PD(201,149);PD(193,156);PD(185,164);PD(179,168);PD(178,160);PD(174,152);PD(174,144);PD(177,136);PD(180,129);PD(188,121);PD(191,113);PD(192,105);PD(189,97);PD(183,89);PD(178,81);PD(172,73);PD(168,67);PD(176,70);PD(179,78);PD(185,86);PD(190,94);PD(192,102);PD(195,110);PD(198,118);PD(201,126);PD(203,134);PD(203,142);PD(199,150);PD(191,157);PD(183,165);PD(179,163);PD(177,155);PD(173,147);PD(178,139);PD(179,131);PD(187,123);PD(192,115);PD(193,107);PD(195,114);PD(199,122);PD(201,130);PD(202,138);PD(201,146);PD(194,153);PD(186,161);PD(180,165);PD(179,157);PD(174,149);PD(179,141);PD(179,133);PD(186,125);PD(193,117);PD(195,116);PD(198,124);PD(201,132);PD(201,140);PD(199,148);PD(191,155);PD(183,163);PD(181,159);PD(176,151);PD(178,143);PD(179,135);PD(185,127);PD(193,119);PD(195,120);PD(199,128);PD(200,136);PD(200,144);PD(194,151);PD(186,159);PD(182,159);PD(177,151);PD(179,143);PD(180,135);PD(186,127);PD(194,119);PD(197,127);PD(199,135);PD(199,143);PD(194,150);PD(186,158);PD(182,156);PD(177,148);PD(182,140);PD(182,132);PD(190,124);PD(196,125);PD(198,133);PD(198,141);PD(195,148);PD(187,156);PD(181,154);PD(178,146);PD(183,138);PD(185,130);PD(193,122);PD(196,129);PD(197,137);PD(196,145);PD(189,153);PD(182,154);PD(179,146);PD(184,138);PD(186,130);PD(193,124);PD(196,132);PD(196,140);PD(193,148);PD(185,156);PD(180,148);PD(185,140);PD(185,132);PD(193,125);PD(195,133);PD(195,141);PD(191,149);PD(184,153);PD(182,145);PD(186,137);PD(189,129);PD(193,131);PD(194,139);PD(192,147);PD(185,153);PD(183,145);PD(187,137);PD(190,129);PD(193,134);PD(193,142);PD(188,150);PD(183,147);PD(188,139);PD(189,131);PD(192,135);PD(192,143);PD(186,151);PD(186,144);PD(189,136);PD(191,134);PD(191,142);PD(186,150);PD(188,143);PD(189,135);PD(190,135);PD(190,143);PD(186,147);PD(187,147);PD(186,152);PD(183,160);PD(180,168);PD(178,176);PD(177,184);PD(185,186);PD(191,191);PD(191,199);PD(190,207);PD(187,215);PD(194,216);PD(202,208);PD(206,200);PD(209,192);PD(211,184);PD(213,176);PD(211,181);PD(211,189);PD(210,197);PD(206,205);PD(207,200);PD(210,192);PD(211,187);PD(210,194);PD(208,201);PD(207,200);PD(204,203);PD(198,211);PD(191,218);PD(188,212);PD(191,204);PD(194,196);PD(197,188);PD(193,194);PD(193,191);PD(188,185);PD(196,183);PD(194,189);PD(191,185);PD(196,186);PD(195,186);PD(189,187);PD(181,187);PD(175,194);PD(172,195);PD(173,189);PD(178,188);PD(174,195);PD(174,190);PD(177,190);PD(176,190);PD(175,183);PD(175,175);PD(169,167);PD(167,159);PD(166,151);PD(166,143);PD(166,135);PD(165,127);PD(163,119);PD(161,111);PD(156,103);PD(150,108);PD(150,116);PD(149,124);PD(149,132);PD(144,140);PD(139,148);PD(133,156);PD(132,164);PD(136,172);PD(144,172);PD(148,164);PD(151,166);PD(151,174);PD(151,182);PD(151,190);PD(151,198);PD(149,194);PD(146,186);PD(138,181);PD(131,189);PD(128,197);PD(127,198);PD(126,190);PD(126,182);PD(126,174);PD(125,166);PD(124,158);PD(122,150);PD(120,142);PD(117,134);PD(111,126);PD(112,118);PD(113,110);PD(117,117);PD(110,124);PD(118,131);PD(125,132);PD(130,140);PD(138,140);PD(145,132);PD(148,125);PD(147,124);PD(147,129);PD(144,136);PD(139,144);PD(132,152);PD(129,160);PD(131,168);PD(137,176);PD(145,174);PD(149,166);PD(150,165);PD(149,173);PD(149,181);PD(149,189);PD(149,193);PD(148,187);PD(140,180);PD(132,186);PD(128,194);PD(127,188);PD(127,180);PD(127,172);PD(126,164);PD(124,156);PD(123,148);PD(120,140);PD(116,132);PD(115,130);PD(123,133);PD(129,140);PD(137,142);PD(142,137);PD(138,144);PD(131,152);PD(128,160);PD(130,168);PD(136,176);PD(144,176);PD(149,168);PD(148,173);PD(148,181);PD(145,183);PD(146,175);PD(147,181);PD(143,179);PD(146,181);PD(145,180);PD(137,180);PD(130,188);PD(128,186);PD(128,178);PD(128,170);PD(127,162);PD(125,154);PD(123,146);PD(120,138);PD(120,134);PD(127,139);PD(135,143);PD(138,143);PD(131,151);PD(127,159);PD(128,166);PD(133,174);PD(134,182);PD(128,187);PD(129,181);PD(129,173);PD(127,166);PD(131,173);PD(134,181);PD(130,181);PD(130,173);PD(133,181);PD(131,177);PD(132,181);PD(132,178);PD(125,170);PD(125,162);PD(126,156);PD(125,148);PD(122,140);PD(123,135);PD(130,143);PD(134,146);PD(128,154);PD(127,153);PD(125,145);PD(122,137);PD(129,143);PD(130,150);PD(126,147);PD(124,139);PD(129,144);PD(128,151);PD(126,143);PD(129,149);PD(129,146);PD(124,142);PD(116,134);PD(111,126);PD(112,120);PD(114,113);PD(113,116);PD(110,108);PD(110,100);PD(110,94);PD(106,86);PD(98,78);PD(92,70);PD(85,68);PD(90,66);PD(98,66);PD(105,66);PD(99,67);PD(91,68);PD(88,67);PD(96,67);PD(93,69);PD(95,72);PD(102,79);PD(108,86);PD(114,79);PD(116,71);PD(117,68);PD(125,70);PD(133,73);PD(128,80);PD(120,86);PD(113,94);PD(110,90);PD(113,83);PD(116,75);PD(118,69);PD(126,71);PD(131,75);PD(125,82);PD(117,88);PD(112,92);PD(113,84);PD(117,76);PD(120,70);PD(128,72);PD(128,78);PD(120,84);PD(112,91);PD(115,83);PD(118,75);PD(123,72);PD(129,75);PD(123,81);PD(115,88);PD(115,84);PD(119,76);PD(124,73);PD(126,78);PD(118,84);PD(114,86);PD(119,78);PD(125,75);PD(122,80);PD(114,87);PD(118,82);PD(121,76);PD(124,77);PD(123,76);PD(118,82);PD(110,85);PD(102,82);PD(97,75);PD(99,79);PD(91,72);PD(83,74);PD(75,79);PD(67,83);PD(59,88);PD(51,94);PD(45,102);PD(42,110);PD(43,118);PD(44,126);PD(44,134);PD(44,142);PD(44,150);PD(44,158);PD(44,166);PD(44,174);PD(44,182);PD(40,190);PD(41,198);PD(48,201);PD(55,193);PD(55,185);PD(60,178);PD(61,170);PD(61,162);PD(61,154);PD(61,146);PD(61,138);PD(66,130);PD(69,122);PD(71,114);PD(75,107);PD(75,106);PD(71,106);PD(73,101);PD(72,103);PD(73,105);PD(71,113);PD(70,121);PD(66,129);PD(62,137);PD(60,145);PD(61,153);PD(61,161);PD(61,169);PD(61,177);PD(55,184);PD(55,192);PD(49,200);PD(42,199);PD(40,191);PD(44,183);PD(44,175);PD(44,167);PD(44,159);PD(44,151);PD(44,143);PD(44,135);PD(44,127);PD(43,119);PD(42,111);PD(44,103);PD(48,95);PD(47,87);PD(39,83);PD(31,78);PD(27,72);PD(35,65);PD(43,64);PD(51,62);PD(59,58);PD(67,55);PD(75,51);PD(83,47);PD(91,46);PD(96,43);PD(98,43);PD(103,40);PD(96,43);PD(88,46);PD(80,48);PD(72,53);PD(64,56);PD(56,60);PD(48,65);PD(40,65);PD(32,67);PD(26,75);PD(34,79);PD(42,84);PD(50,88);PD(58,87);PD(66,81);PD(74,76);PD(82,71);PD(90,72);PD(98,79);PD(106,87);PD(113,95);PD(113,103);PD(113,111);PD(113,119);PD(117,127);PD(125,131);PD(133,138);PD(140,133);PD(144,125);PD(147,117);PD(147,109);PD(155,102);PD(160,110);PD(168,118);PD(176,120);PD(179,113);PD(180,105);PD(177,97);PD(171,89);PD(166,81);PD(168,73);PD(173,67);PD(181,67);PD(189,67);PD(197,73);PD(205,81);PD(213,88);PD(217,83);PD(221,75);PD(228,67);PD(224,59);PD(220,52);PD(214,45);PD(206,42);PD(198,41);PD(190,38);PD(182,37);PD(174,35);PD(166,35);PD(158,34);PD(150,35);PD(142,35);PD(134,35);PD(126,35);PD(118,36);PD(114,38);PD(122,36);PD(121,40);PD(113,39);PD(118,38);PD(120,39);PD(128,36);PD(136,35);PD(144,35);PD(152,35);PD(160,34);PD(168,35);PD(176,36);PD(184,38);PD(192,41);PD(200,43);PD(208,45);PD(216,48);PD(219,54);PD(226,61);PD(226,69);PD(218,77);PD(217,85);PD(211,87);PD(203,79);PD(195,71);PD(187,63);PD(179,59);PD(171,56);PD(163,54);PD(155,53);PD(147,52);PD(139,52);PD(136,53);PD(144,56);PD(152,59);PD(160,59);PD(168,60);PD(176,60);PD(184,61);PD(192,69);PD(200,76);PD(208,84);PD(216,88);PD(218,80);PD(223,72);PD(229,64);PD(221,56);PD(219,49);PD(211,43);PD(203,40);PD(195,40);PD(187,37);PD(179,34);PD(171,33);PD(163,33);PD(155,31);PD(154,30);PD(162,30);PD(170,29);PD(178,28);PD(186,27);PD(194,26);PD(202,26);PD(210,25);PD(218,25);PD(223,26);PD(215,28);PD(207,29);PD(199,31);PD(199,39);PD(205,41);PD(197,39);PD(189,36);PD(181,34);PD(173,32);PD(165,32);PD(164,31);PD(172,29);PD(180,29);PD(188,28);PD(196,27);PD(204,27);PD(212,26);PD(219,26);PD(213,27);PD(205,28);PD(197,32);PD(198,39);PD(191,36);PD(183,33);PD(175,32);PD(167,31);PD(172,30);PD(180,30);PD(188,29);PD(196,28);PD(201,28);PD(195,33);PD(193,36);PD(185,33);PD(177,31);PD(180,31);PD(188,30);PD(196,29);PD(193,35);PD(185,32);PD(184,31);PD(192,30);PD(192,34);PD(189,30);PD(191,32);PD(195,29);PD(203,26);PD(208,28);PD(200,33);PD(204,41);PD(212,43);PD(220,43);PD(228,45);PD(236,45);PD(243,46);PD(236,54);PD(233,62);PD(227,58);PD(220,54);PD(219,46);PD(214,43);PD(222,46);PD(230,46);PD(238,46);PD(238,50);PD(233,58);PD(228,58);PD(222,53);PD(219,45);PD(224,47);PD(232,47);PD(240,47);PD(233,55);PD(229,58);PD(224,52);PD(227,48);PD(235,48);PD(233,53);PD(229,57);PD(226,50);PD(232,49);PD(232,53);PD(226,53);PD(231,50);PD(230,55);PD(230,51);PD(228,52);PD(229,57);PD(230,65);PD(223,73);PD(226,80);PD(230,88);PD(237,96);PD(236,104);PD(244,112);PD(244,119);PD(251,127);PD(255,135);PD(255,143);PD(259,151);PD(251,154);PD(245,156);PD(243,148);PD(241,140);PD(239,132);PD(237,124);PD(236,116);PD(234,108);PD(232,100);PD(226,92);PD(218,97);PD(217,105);PD(217,110);PD(216,104);PD(216,100);PD(221,97);PD(226,90);PD(226,84);PD(226,82);PD(225,79);PD(228,87);PD(235,95);PD(236,103);PD(242,111);PD(243,118);PD(249,126);PD(254,134);PD(253,142);PD(257,150);PD(249,155);PD(245,152);PD(243,144);PD(241,136);PD(239,128);PD(238,120);PD(236,112);PD(234,104);PD(231,96);PD(228,88);PD(235,96);PD(234,102);PD(230,94);PD(229,91);PD(237,99);PD(234,97);PD(231,94);PD(235,101);PD(239,109);PD(243,117);PD(247,125);PD(253,133);PD(252,141);PD(255,149);PD(247,156);PD(245,148);PD(243,140);PD(241,132);PD(239,124);PD(238,116);PD(236,108);PD(240,111);PD(241,119);PD(248,127);PD(252,135);PD(252,143);PD(252,150);PD(247,151);PD(245,143);PD(243,135);PD(241,127);PD(239,119);PD(238,111);PD(242,115);PD(242,122);PD(250,130);PD(250,138);PD(252,146);PD(248,152);PD(246,144);PD(244,136);PD(242,128);PD(243,124);PD(250,132);PD(249,140);PD(252,148);PD(247,146);PD(246,138);PD(244,130);PD(243,125);PD(249,133);PD(248,141);PD(250,149);PD(248,143);PD(246,135);PD(244,127);PD(248,135);PD(247,134);PD(247,131);PD(248,138);PD(249,146);PD(254,148);PD(262,151);PD(270,149);PD(271,141);PD(271,133);PD(275,127);PD(277,119);PD(269,112);PD(264,109);PD(260,106);PD(255,104);PD(253,104);PD(245,103);PD(242,109);PD(240,117);PD(241,115);PD(242,108);PD(246,103);PD(254,106);PD(262,110);PD(270,112);PD(278,116);PD(280,124);PD(276,132);PD(273,132);PD(279,124);PD(275,116);PD(278,117);PD(278,124);PD(275,132);PD(276,128);PD(276,129);PD(276,135);PD(274,143);PD(274,151);PD(277,159);PD(279,167);PD(280,175);PD(274,168);PD(266,163);PD(258,162);PD(252,166);PD(252,174);PD(252,182);PD(253,190);PD(246,191);PD(240,191);PD(232,199);PD(231,207);PD(232,215);PD(233,223);PD(235,231);PD(235,239);PD(233,247);PD(229,255);PD(221,261);PD(213,266);PD(209,265);PD(217,260);PD(225,252);PD(230,244);PD(230,236);PD(223,228);PD(217,227);PD(222,220);PD(225,212);PD(227,204);PD(229,196);PD(231,188);PD(234,180);PD(242,185);PD(241,190);PD(233,197);PD(230,205);PD(230,213);PD(232,221);PD(233,229);PD(234,237);PD(233,245);PD(229,253);PD(222,260);PD(214,265);PD(212,264);PD(220,258);PD(228,250);PD(231,242);PD(230,234);PD(222,226);PD(222,221);PD(226,213);PD(228,205);PD(230,197);PD(231,189);PD(234,181);PD(241,186);PD(237,192);PD(230,200);PD(231,195);PD(233,187);PD(238,183);PD(238,190);PD(232,194);PD(234,186);PD(239,186);PD(233,194);PD(235,186);PD(237,189);PD(237,185);PD(236,186);PD(231,193);PD(228,201);PD(229,209);PD(230,217);PD(232,225);PD(233,233);PD(233,241);PD(230,249);PD(225,256);PD(217,262);PD(213,264);PD(216,261);PD(224,255);PD(227,253);PD(223,257);PD(228,252);PD(230,247);PD(231,242);PD(231,237);PD(228,231);PD(222,224);PD(226,216);PD(228,208);PD(229,215);PD(230,223);PD(232,231);PD(227,229);PD(224,221);PD(228,214);PD(229,222);PD(231,230);PD(225,226);PD(227,218);PD(228,223);PD(230,230);PD(225,224);PD(227,221);PD(226,225);PD(224,228);PD(216,231);PD(208,236);PD(200,241);PD(192,246);PD(184,249);PD(176,251);PD(168,253);PD(160,255);PD(152,256);PD(144,257);PD(136,259);PD(128,260);PD(128,256);PD(136,248);PD(144,240);PD(152,232);PD(158,233);PD(150,241);PD(142,247);PD(135,252);PD(140,257);PD(137,257);PD(129,259);PD(122,260);PD(128,258);PD(135,253);PD(134,257);PD(132,255);PD(137,251);PD(144,245);PD(151,237);PD(157,233);PD(149,241);PD(151,238);PD(155,234);PD(159,226);PD(164,218);PD(165,210);PD(165,202);PD(165,194);PD(166,186);PD(168,178);PD(168,170);PD(167,162);PD(166,154);PD(166,146);PD(166,138);PD(165,130);PD(164,122);PD(162,114);PD(159,106);PD(151,105);PD(147,113);PD(146,121);PD(142,129);PD(137,137);PD(129,145);PD(126,153);PD(126,161);PD(126,169);PD(126,177);PD(126,185);PD(126,193);PD(126,201);PD(128,204);PD(128,196);PD(130,188);PD(132,180);PD(132,172);PD(132,164);PD(133,156);PD(139,148);PD(144,140);PD(149,132);PD(151,124);PD(152,116);PD(152,108);PD(156,103);PD(161,111);PD(163,119);PD(165,127);PD(166,135);PD(166,143);PD(166,151);PD(167,159);PD(167,167);PD(168,175);PD(167,183);PD(165,191);PD(165,199);PD(165,207);PD(165,215);PD(161,223);PD(155,231);PD(149,239);PD(141,247);PD(135,255);PD(143,260);PD(151,257);PD(159,256);PD(167,256);PD(175,256);PD(183,255);PD(191,253);PD(199,249);PD(207,243);PD(215,236);PD(223,235);PD(223,243);PD(219,251);PD(211,259);PD(203,267);PD(195,267);PD(187,267);PD(179,267);PD(171,267);PD(163,268);PD(155,268);PD(150,269);PD(145,270);PD(140,271);PD(135,272);PD(136,270);PD(144,269);PD(152,267);PD(160,266);PD(168,265);PD(176,264);PD(184,263);PD(192,262);PD(200,261);PD(208,258);PD(216,254);PD(222,246);PD(224,238);PD(224,230);PD(224,222);PD(224,214);PD(232,206);PD(240,198);PD(248,193);PD(251,188);PD(248,180);PD(245,172);PD(242,164);PD(240,156);PD(238,148);PD(236,140);PD(234,132);PD(232,124);PD(231,116);PD(229,108);PD(227,100);PD(221,96);PD(213,91);PD(205,83);PD(197,75);PD(189,69);PD(182,71);PD(186,79);PD(190,87);PD(190,95);PD(189,98);PD(186,92);PD(181,84);PD(175,76);PD(171,69);PD(176,75);PD(180,82);PD(187,90);PD(189,95);PD(187,90);PD(182,85);PD(177,80);PD(177,75);PD(171,70);PD(177,71);PD(185,67);PD(193,72);PD(194,77);PD(188,70);PD(195,76);PD(191,73);
//PD(63,56);pendown();
//PD(68,54);PD(73,53);PD(78,49);PD(83,47);PD(88,46);PD(93,45);PD(98,42);PD(103,40);PD(105,40);PD(100,43);PD(95,45);PD(89,47);PD(84,49);PD(79,51);PD(74,54);PD(69,56);PD(64,58);PD(59,60);PD(54,63);PD(49,66);PD(44,68);PD(39,68);PD(34,69);PD(29,71);PD(26,75);PD(31,77);PD(36,81);PD(41,84);PD(46,85);PD(48,80);PD(53,77);PD(55,77);PD(52,82);PD(50,87);PD(54,89);PD(59,86);PD(64,83);PD(69,79);PD(74,76);PD(79,73);PD(84,70);PD(80,67);PD(75,65);PD(70,64);PD(73,63);PD(78,63);PD(83,63);PD(88,63);PD(93,63);PD(98,63);PD(103,63);PD(108,64);PD(113,64);PD(118,65);PD(123,66);PD(128,67);PD(133,70);PD(136,74);PD(133,79);PD(128,83);PD(123,87);PD(118,91);PD(115,96);PD(114,101);PD(114,106);PD(117,111);PD(120,116);PD(119,120);PD(114,123);PD(118,127);PD(123,128);PD(128,128);PD(129,132);PD(131,137);PD(136,137);PD(140,133);PD(143,128);PD(145,123);PD(147,118);PD(147,113);PD(147,108);PD(147,103);PD(147,98);PD(147,93);PD(144,88);PD(141,83);PD(139,78);PD(140,73);PD(142,78);PD(144,83);PD(148,88);PD(153,92);PD(157,97);PD(161,102);PD(163,107);PD(165,112);PD(167,117);PD(172,119);PD(177,120);PD(179,115);PD(180,110);PD(180,105);PD(178,100);PD(175,95);PD(172,90);PD(169,85);PD(165,80);PD(161,75);PD(157,70);PD(153,65);PD(148,61);PD(143,58);PD(138,56);PD(133,55);PD(128,55);PD(123,54);PD(118,53);PD(113,53);PD(116,51);PD(121,50);PD(126,50);PD(131,50);PD(136,51);PD(141,51);PD(146,52);PD(151,53);PD(156,53);PD(161,54);PD(166,55);PD(171,56);PD(176,58);PD(181,59);PD(186,61);PD(191,64);PD(196,67);PD(200,72);PD(204,77);PD(206,82);PD(211,87);PD(216,88);PD(216,83);PD(213,78);PD(211,73);PD(210,68);PD(211,63);PD(216,64);PD(221,66);PD(226,67);PD(229,64);PD(224,60);PD(219,58);PD(214,58);PD(209,57);PD(204,56);PD(199,55);PD(194,53);PD(192,49);PD(197,49);PD(202,50);PD(207,51);PD(212,52);PD(217,52);PD(219,49);PD(214,47);PD(209,45);PD(204,44);PD(199,43);PD(194,41);PD(189,39);PD(184,38);PD(179,36);PD(174,35);PD(169,35);PD(164,35);PD(159,34);PD(154,34);PD(149,35);PD(144,35);PD(139,35);PD(134,35);PD(129,36);PD(124,36);PD(127,39);PD(132,40);PD(137,40);PD(142,40);PD(147,41);PD(152,42);PD(157,43);PD(162,44);PD(166,45);PD(161,46);PD(156,45);PD(151,45);PD(146,44);PD(141,43);PD(136,42);PD(131,41);PD(126,41);PD(121,41);PD(116,40);PD(111,39);PD(113,37);PD(118,36);PD(123,35);PD(128,34);PD(133,33);PD(138,32);PD(143,31);PD(148,30);PD(153,29);PD(158,28);PD(163,27);PD(168,26);PD(173,25);PD(178,25);PD(183,24);PD(188,24);PD(193,23);PD(198,23);PD(203,23);PD(208,22);PD(213,22);PD(218,22);PD(223,23);PD(228,24);PD(231,26);PD(226,28);PD(221,29);PD(216,30);PD(211,31);PD(206,32);PD(201,33);PD(200,37);PD(205,38);PD(210,40);PD(215,40);PD(220,40);PD(225,41);PD(230,41);PD(235,41);PD(240,41);PD(245,42);PD(250,43);PD(253,47);PD(248,48);PD(243,50);PD(239,55);PD(238,60);PD(237,65);PD(236,70);PD(236,75);PD(237,80);PD(239,85);PD(242,90);PD(247,94);PD(252,97);PD(257,99);PD(262,101);PD(267,104);PD(272,106);PD(277,109);PD(282,112);PD(286,117);PD(287,122);PD(286,127);PD(283,132);PD(278,137);PD(275,142);PD(274,147);PD(274,152);PD(276,157);PD(278,162);PD(279,167);PD(280,172);PD(281,177);PD(277,172);PD(273,167);PD(268,163);PD(263,162);PD(258,162);PD(253,163);PD(255,167);PD(260,171);PD(265,176);PD(269,181);PD(273,186);PD(276,191);PD(278,196);PD(280,201);PD(282,206);PD(282,211);PD(282,216);PD(281,221);PD(279,226);PD(276,231);PD(271,235);PD(266,238);PD(261,241);PD(256,243);PD(261,238);PD(264,233);PD(265,228);PD(266,223);PD(265,218);PD(263,213);PD(260,208);PD(255,203);PD(250,199);PD(245,197);PD(240,198);PD(238,203);PD(238,208);PD(238,213);PD(239,218);PD(240,223);PD(241,228);PD(242,233);PD(242,238);PD(242,243);PD(240,248);PD(237,253);PD(234,258);PD(229,263);PD(224,266);PD(219,270);PD(214,273);PD(209,274);PD(204,271);PD(199,270);PD(194,269);PD(189,268);PD(184,267);PD(179,267);PD(174,267);PD(169,268);PD(164,268);PD(159,269);PD(154,270);PD(149,271);PD(144,272);PD(139,274);PD(134,275);PD(129,275);PD(124,276);PD(119,276);PD(121,275);PD(126,273);PD(131,272);PD(136,270);PD(141,269);PD(146,268);PD(151,268);PD(156,267);PD(161,266);PD(166,266);PD(171,265);PD(176,264);PD(181,264);PD(186,263);PD(191,262);PD(196,262);PD(201,261);PD(206,259);PD(211,257);PD(216,254);PD(221,249);PD(223,244);PD(224,239);PD(222,234);PD(217,235);PD(212,239);PD(207,243);PD(202,246);PD(197,250);PD(192,253);PD(187,254);PD(182,256);PD(177,256);PD(172,257);PD(167,258);PD(162,258);PD(157,259);PD(152,260);PD(147,260);PD(142,261);PD(137,262);PD(132,263);PD(127,265);PD(122,266);PD(117,267);PD(112,269);PD(107,270);PD(102,271);PD(97,272);PD(92,272);PD(87,271);PD(92,268);PD(97,266);PD(102,264);PD(107,263);PD(112,261);PD(117,259);PD(122,257);PD(127,254);PD(132,251);PD(137,247);PD(142,242);PD(146,237);PD(150,232);PD(152,227);PD(154,222);PD(156,217);PD(157,217);PD(156,222);PD(156,227);PD(160,225);PD(163,220);PD(165,215);PD(165,210);PD(165,205);PD(165,200);PD(165,195);PD(165,190);PD(166,185);PD(167,180);PD(168,175);PD(168,170);PD(167,165);PD(167,160);PD(165,155);PD(161,150);PD(162,145);PD(166,140);PD(165,135);PD(165,130);PD(164,125);PD(163,120);PD(162,115);PD(160,110);PD(158,105);PD(153,103);PD(153,108);PD(153,113);PD(152,118);PD(152,123);PD(150,128);PD(148,133);PD(146,138);PD(143,143);PD(139,148);PD(134,153);PD(132,158);PD(132,163);PD(134,168);PD(137,173);PD(142,174);PD(145,169);PD(146,164);PD(148,159);PD(150,154);PD(152,151);PD(153,156);PD(153,161);PD(153,166);PD(153,171);PD(152,176);PD(152,181);PD(152,186);PD(152,191);PD(153,196);PD(153,201);PD(153,206);PD(150,205);PD(148,200);PD(147,195);PD(145,190);PD(142,185);PD(137,185);PD(134,190);PD(132,195);PD(131,200);PD(130,205);PD(129,210);PD(127,215);PD(125,220);PD(123,216);PD(124,211);PD(124,206);PD(125,201);PD(124,196);PD(123,191);PD(123,186);PD(123,181);PD(123,176);PD(123,171);PD(122,166);PD(121,161);PD(120,156);PD(119,151);PD(118,146);PD(117,141);PD(115,136);PD(111,131);PD(108,134);PD(106,139);PD(103,144);PD(100,149);PD(97,154);PD(96,159);PD(96,164);PD(95,169);PD(95,174);PD(96,179);PD(100,183);PD(104,186);PD(100,190);PD(95,194);PD(91,199);PD(90,204);PD(88,207);PD(89,200);PD(88,195);PD(85,190);PD(89,191);PD(94,193);PD(97,189);PD(96,184);PD(93,179);PD(91,174);PD(92,169);PD(93,164);PD(92,159);PD(92,154);PD(94,149);PD(97,144);PD(101,139);PD(105,134);PD(107,129);PD(106,125);PD(101,128);PD(96,130);PD(91,135);PD(86,139);PD(81,143);PD(78,141);PD(83,137);PD(88,134);PD(93,131);PD(99,128);PD(104,124);PD(108,119);PD(109,114);PD(109,109);PD(109,104);PD(108,99);PD(107,94);PD(105,89);PD(101,84);PD(96,79);PD(93,74);PD(88,72);PD(83,74);PD(78,77);PD(73,80);PD(68,82);PD(63,85);PD(58,89);PD(53,92);PD(49,97);PD(47,98);PD(47,93);PD(47,88);PD(43,87);PD(38,89);PD(37,94);PD(42,95);PD(37,96);PD(32,94);PD(27,92);PD(31,91);PD(36,90);PD(43,85);PD(38,84);PD(33,82);PD(28,78);PD(23,75);PD(18,73);PD(13,72);PD(16,67);PD(21,66);PD(26,66);PD(31,66);PD(36,65);PD(41,65);PD(46,64);PD(51,62);PD(56,60);PD(61,58);PD(66,56);PD(72,54);PD(78,50);PD(83,48);PD(79,50);PD(56,61);PD(51,64);PD(46,66);PD(41,67);PD(36,68);PD(31,69);PD(26,72);PD(28,77);PD(33,80);PD(38,83);PD(32,80);PD(22,74);PD(17,72);PD(14,70);PD(19,67);PD(24,67);PD(29,67);PD(34,66);PD(39,66);PD(44,65);PD(49,64);PD(47,65);PD(36,67);PD(30,68);PD(25,72);PD(21,72);PD(16,71);PD(19,68);PD(24,68);PD(29,68);PD(23,72);PD(18,70);PD(19,69);PD(24,69);PD(23,71);PD(22,70);PD(35,91);PD(38,95);PD(32,93);PD(31,92);PD(35,94);PD(43,107);PD(42,112);PD(42,117);PD(44,122);PD(46,127);PD(46,132);PD(45,137);PD(44,142);PD(44,147);PD(44,152);PD(45,157);PD(45,162);PD(46,167);PD(46,172);PD(45,177);PD(44,182);PD(42,187);PD(40,192);PD(41,197);PD(44,202);PD(49,205);PD(54,208);PD(58,213);PD(61,218);PD(58,217);PD(54,212);PD(49,208);PD(44,206);PD(41,202);PD(38,197);PD(37,192);PD(40,187);PD(42,182);PD(44,177);PD(44,172);PD(44,167);PD(43,162);PD(43,157);PD(42,152);PD(41,147);PD(42,142);PD(43,137);PD(44,132);PD(44,127);PD(41,123);PD(39,118);PD(39,113);PD(41,108);PD(41,111);PD(41,116);PD(43,121);PD(45,126);PD(45,131);PD(44,137);PD(43,143);PD(43,148);PD(43,153);PD(44,158);PD(45,166);PD(45,171);PD(43,183);PD(40,188);PD(39,193);PD(40,198);PD(44,203);PD(49,206);PD(54,209);PD(57,214);PD(55,212);PD(50,208);PD(45,206);PD(42,202);PD(46,205);PD(46,197);PD(44,192);PD(45,187);PD(50,185);PD(46,187);PD(46,193);PD(51,194);PD(53,189);PD(54,184);PD(56,185);PD(55,190);PD(55,195);PD(56,200);PD(51,199);PD(46,196);PD(46,194);PD(51,195);PD(54,190);PD(55,185);PD(61,175);PD(60,170);PD(59,165);PD(58,160);PD(58,155);PD(57,150);PD(58,145);PD(58,140);PD(60,135);PD(63,130);PD(66,125);PD(68,120);PD(68,115);PD(69,110);PD(69,105);PD(70,100);PD(74,99);PD(76,104);PD(79,109);PD(81,114);PD(85,119);PD(85,124);PD(83,127);PD(81,122);PD(79,117);PD(77,112);PD(74,107);PD(71,112);PD(71,117);PD(69,122);PD(67,127);PD(65,132);PD(62,137);PD(59,142);PD(62,146);PD(66,149);PD(65,154);PD(63,159);PD(62,164);PD(62,169);PD(63,174);PD(64,179);PD(65,184);PD(65,189);PD(64,194);PD(64,199);PD(64,204);PD(62,205);PD(62,200);PD(62,195);PD(61,190);PD(61,185);PD(61,180);PD(62,175);PD(61,170);PD(60,165);PD(59,160);PD(59,155);PD(58,150);PD(59,145);PD(64,147);PD(65,152);PD(63,157);PD(61,162);PD(62,171);PD(63,180);PD(64,185);PD(64,190);PD(63,195);PD(63,200);PD(63,205);PD(68,198);PD(68,193);PD(68,188);PD(69,183);PD(70,178);PD(71,173);PD(72,168);PD(73,163);PD(74,158);PD(78,158);PD(81,162);PD(85,167);PD(85,172);PD(81,177);PD(80,177);PD(81,172);PD(77,171);PD(73,176);PD(71,181);PD(70,186);PD(69,192);PD(70,197);PD(71,202);PD(74,207);PD(74,211);PD(70,216);PD(69,217);PD(72,211);PD(71,206);PD(69,201);PD(72,205);PD(74,210);PD(72,206);PD(62,191);PD(62,186);PD(62,181);PD(63,185);PD(63,190);PD(53,199);PD(52,195);PD(54,196);PD(51,197);PD(53,197);PD(38,194);PD(47,186);PD(71,177);PD(73,172);PD(74,167);PD(74,162);PD(76,158);PD(80,162);PD(84,167);PD(84,172);PD(82,173);PD(79,169);PD(74,173);PD(71,179);PD(77,184);PD(82,184);PD(82,189);PD(81,194);PD(80,199);PD(80,204);PD(83,209);PD(80,208);PD(90,199);PD(88,194);PD(88,191);PD(93,194);PD(90,197);PD(88,192);PD(91,195);PD(97,184);PD(94,179);PD(92,174);PD(93,169);PD(94,164);PD(93,159);PD(93,154);PD(95,149);PD(98,144);PD(102,139);PD(106,134);PD(108,129);PD(107,124);PD(105,124);PD(109,119);PD(110,114);PD(110,109);PD(110,104);PD(109,99);PD(108,94);PD(106,89);PD(102,84);PD(97,79);PD(94,74);PD(89,71);PD(84,73);PD(79,75);PD(74,78);PD(69,81);PD(64,84);PD(59,87);PD(54,91);PD(49,95);PD(48,93);PD(48,88);PD(48,83);PD(51,79);PD(52,80);PD(49,85);PD(51,90);PD(52,91);PD(49,92);PD(51,91);PD(49,84);PD(51,80);PD(69,80);PD(75,76);PD(80,73);PD(85,70);PD(81,67);PD(76,65);PD(77,64);PD(82,64);PD(87,64);PD(92,64);PD(97,64);PD(102,64);PD(107,65);PD(112,65);PD(117,66);PD(122,67);PD(127,68);PD(132,70);PD(135,74);PD(132,79);PD(127,83);PD(122,87);PD(117,91);PD(114,96);PD(113,101);PD(113,106);PD(116,111);PD(119,116);PD(118,119);PD(113,123);PD(117,128);PD(122,129);PD(127,128);PD(128,133);PD(131,138);PD(136,138);PD(141,134);PD(143,129);PD(146,124);PD(147,119);PD(148,114);PD(148,109);PD(148,104);PD(148,99);PD(148,94);PD(146,89);PD(143,84);PD(141,79);PD(141,78);PD(145,86);PD(150,91);PD(155,95);PD(158,100);PD(161,105);PD(163,110);PD(165,115);PD(169,120);PD(174,121);PD(179,119);PD(180,114);PD(181,109);PD(181,104);PD(179,99);PD(176,94);PD(172,89);PD(169,84);PD(165,79);PD(162,74);PD(158,69);PD(153,64);PD(148,60);PD(143,57);PD(138,55);PD(133,54);PD(128,54);PD(123,53);PD(118,52);PD(119,51);PD(124,51);PD(129,51);PD(134,51);PD(139,52);PD(144,53);PD(149,53);PD(154,54);PD(159,55);PD(164,56);PD(169,57);PD(174,58);PD(179,60);PD(184,61);PD(189,64);PD(194,67);PD(199,71);PD(202,76);PD(205,81);PD(209,86);PD(214,89);PD(218,86);PD(216,81);PD(213,76);PD(212,71);PD(211,66);PD(214,65);PD(219,66);PD(224,67);PD(229,67);PD(228,62);PD(223,59);PD(218,57);PD(213,57);PD(208,56);PD(203,55);PD(198,53);PD(193,51);PD(195,50);PD(200,50);PD(205,51);PD(210,53);PD(215,53);PD(220,52);PD(218,48);PD(213,46);PD(208,44);PD(203,43);PD(198,42);PD(193,40);PD(188,38);PD(183,36);PD(178,35);PD(173,34);PD(168,34);PD(163,34);PD(158,33);PD(153,33);PD(148,34);PD(143,34);PD(138,34);PD(133,34);PD(127,35);PD(128,40);PD(135,41);PD(140,41);PD(145,42);PD(150,43);PD(155,44);PD(160,45);PD(158,45);PD(149,43);PD(144,42);PD(139,42);PD(141,33);PD(146,32);PD(151,31);PD(156,29);PD(161,28);PD(166,27);PD(171,27);PD(176,26);PD(181,25);PD(186,25);PD(191,24);PD(196,24);PD(201,24);PD(206,24);PD(211,23);PD(216,23);PD(221,24);PD(226,24);PD(231,25);PD(226,27);PD(221,28);PD(216,29);PD(211,30);PD(206,31);PD(201,32);PD(198,36);PD(203,39);PD(208,40);PD(213,41);PD(218,41);PD(223,42);PD(228,42);PD(233,42);PD(238,42);PD(243,42);PD(248,43);PD(253,46);PD(248,47);PD(243,49);PD(239,54);PD(237,59);PD(236,64);PD(235,69);PD(235,74);PD(236,79);PD(238,84);PD(241,89);PD(245,93);PD(250,96);PD(255,99);PD(260,101);PD(265,104);PD(270,106);PD(275,108);PD(280,111);PD(284,116);PD(286,121);PD(286,126);PD(283,131);PD(278,136);PD(274,141);PD(273,146);PD(273,151);PD(275,156);PD(277,161);PD(278,166);PD(279,171);PD(277,170);PD(272,166);PD(267,162);PD(262,161);PD(257,161);PD(252,163);PD(254,168);PD(259,171);PD(264,176);PD(268,181);PD(272,186);PD(275,191);PD(277,196);PD(279,201);PD(281,206);PD(281,211);PD(281,216);PD(280,221);PD(278,226);PD(275,231);PD(270,235);PD(265,238);PD(260,240);PD(263,236);PD(266,231);PD(267,226);PD(266,221);PD(265,216);PD(263,211);PD(259,206);PD(254,201);PD(249,197);PD(244,196);PD(239,198);PD(237,203);PD(237,208);PD(237,213);PD(238,218);PD(239,223);PD(240,228);PD(241,233);PD(241,238);PD(241,243);PD(239,248);PD(236,253);PD(233,258);PD(228,262);PD(223,266);PD(218,269);PD(213,272);PD(208,272);PD(203,270);PD(198,269);PD(193,267);PD(188,267);PD(183,266);PD(178,266);PD(173,266);PD(168,267);PD(163,268);PD(158,269);PD(153,270);PD(148,271);PD(143,272);PD(138,273);PD(133,274);PD(128,275);PD(123,275);PD(129,273);PD(134,272);PD(139,271);PD(144,270);PD(149,269);PD(154,268);PD(160,267);PD(168,266);PD(177,265);PD(182,265);PD(187,264);PD(192,263);PD(197,263);PD(202,261);PD(207,260);PD(212,257);PD(217,254);PD(222,249);PD(224,244);PD(225,239);PD(223,234);PD(218,233);PD(213,237);PD(208,241);PD(203,245);PD(198,248);PD(193,251);PD(188,253);PD(183,254);PD(178,255);PD(173,256);PD(168,257);PD(163,257);PD(158,258);PD(153,259);PD(148,259);PD(143,260);PD(138,261);PD(133,262);PD(128,263);PD(123,265);PD(118,266);PD(113,268);PD(108,269);PD(103,270);PD(98,271);PD(93,271);PD(88,271);PD(93,268);PD(98,266);PD(103,265);PD(108,264);PD(113,262);PD(118,260);PD(123,257);PD(128,255);PD(133,251);PD(138,247);PD(143,242);PD(147,237);PD(151,232);PD(153,227);PD(155,222);PD(155,223);PD(156,228);PD(160,226);PD(163,221);PD(165,216);PD(166,211);PD(166,206);PD(166,201);PD(166,196);PD(166,191);PD(167,186);PD(168,181);PD(169,176);PD(169,171);PD(168,166);PD(168,161);PD(167,156);PD(163,151);PD(162,146);PD(167,141);PD(167,136);PD(166,131);PD(165,126);PD(164,121);PD(163,116);PD(162,111);PD(160,106);PD(155,101);PD(152,105);PD(152,110);PD(152,115);PD(151,120);PD(150,125);PD(148,130);PD(146,135);PD(143,140);PD(140,145);PD(136,150);PD(132,155);PD(131,160);PD(132,165);PD(134,170);PD(138,175);PD(143,174);PD(146,169);PD(147,164);PD(149,159);PD(151,154);PD(152,157);PD(152,162);PD(152,167);PD(151,172);PD(151,177);PD(151,182);PD(151,187);PD(151,192);PD(152,197);PD(152,202);PD(152,207);PD(150,202);PD(148,197);PD(147,192);PD(145,187);PD(140,183);PD(135,186);PD(132,191);PD(130,196);PD(129,201);PD(129,206);PD(128,211);PD(126,216);PD(124,216);PD(125,211);PD(125,206);PD(126,201);PD(125,196);PD(124,191);PD(124,186);PD(124,181);PD(124,176);PD(124,171);PD(123,166);PD(122,161);PD(121,156);PD(120,151);PD(119,146);PD(118,141);PD(116,136);PD(112,131);PD(107,133);PD(106,138);PD(103,143);PD(100,148);PD(97,153);PD(95,158);PD(95,163);PD(94,171);PD(94,176);PD(92,176);PD(97,182);PD(102,185);PD(100,189);PD(99,188);PD(97,183);PD(101,187);PD(100,186);PD(81,169);PD(76,170);PD(74,170);PD(75,165);PD(75,160);PD(79,161);PD(82,166);PD(82,169);PD(77,168);PD(76,167);PD(76,162);PD(78,162);PD(82,167);PD(79,166);PD(77,165);PD(78,163);PD(64,152);PD(62,157);PD(60,158);PD(60,153);PD(60,148);PD(63,148);PD(62,153);PD(61,155);PD(60,150);PD(63,150);PD(62,150);PD(60,137);PD(62,132);PD(65,127);PD(68,122);PD(69,117);PD(70,112);PD(70,107);PD(70,102);PD(73,99);PD(75,104);PD(78,109);PD(80,114);PD(84,119);PD(84,124);PD(83,124);PD(81,119);PD(79,114);PD(80,116);PD(83,121);PD(82,119);PD(74,106);PD(71,111);PD(70,118);PD(66,127);PD(64,132);PD(61,137);PD(54,130);PD(53,135);PD(53,129);PD(50,124);PD(47,121);PD(48,116);PD(51,111);PD(56,106);PD(61,101);PD(63,103);PD(62,108);PD(63,113);PD(61,118);PD(55,119);PD(52,115);PD(49,119);PD(51,124);PD(54,125);PD(53,126);PD(48,122);PD(48,117);PD(51,112);PD(56,107);PD(61,102);PD(61,105);PD(57,107);PD(62,110);PD(62,115);PD(61,114);PD(62,111);PD(55,116);PD(50,115);PD(53,112);PD(56,114);PD(55,115);PD(45,129);PD(40,121);PD(40,116);PD(41,119);PD(71,101);PD(74,103);PD(74,105);PD(71,106);PD(72,101);PD(72,106);PD(97,77);PD(93,72);PD(88,70);PD(82,73);PD(82,66);PD(81,65);PD(86,65);PD(91,65);PD(96,65);PD(101,65);PD(106,66);PD(111,66);PD(116,67);PD(121,68);PD(126,69);PD(131,71);PD(133,75);PD(130,80);PD(125,84);PD(120,87);PD(115,92);PD(112,97);PD(112,102);PD(113,107);PD(116,112);PD(119,117);PD(115,120);PD(113,125);PD(118,129);PD(123,130);PD(127,130);PD(128,135);PD(132,139);PD(137,139);PD(142,134);PD(144,129);PD(147,124);PD(148,119);PD(149,114);PD(149,109);PD(149,104);PD(149,99);PD(149,94);PD(147,89);PD(151,92);PD(155,97);PD(159,102);PD(158,103);PD(153,101);PD(151,106);PD(151,111);PD(151,116);PD(150,121);PD(149,126);PD(147,131);PD(145,136);PD(142,141);PD(138,146);PD(134,151);PD(131,156);PD(130,161);PD(131,166);PD(134,171);PD(138,176);PD(143,175);PD(146,170);PD(148,165);PD(150,160);PD(151,159);PD(151,164);PD(151,169);PD(150,174);PD(150,179);PD(150,184);PD(150,189);PD(151,194);PD(151,199);PD(151,204);PD(149,197);PD(148,192);PD(146,187);PD(141,182);PD(136,184);PD(132,189);PD(130,194);PD(129,199);PD(128,204);PD(127,209);PD(126,214);PD(126,210);PD(127,205);PD(127,200);PD(126,195);PD(125,190);PD(125,185);PD(125,180);PD(125,175);PD(125,170);PD(124,165);PD(123,160);PD(122,155);PD(121,150);PD(120,145);PD(118,140);PD(116,135);PD(112,130);PD(110,127);PD(108,122);PD(110,117);PD(111,112);PD(111,107);PD(111,102);PD(110,97);PD(109,92);PD(106,87);PD(101,82);PD(98,77);PD(94,72);PD(89,69);PD(85,68);PD(87,66);PD(92,66);PD(97,66);PD(102,66);PD(99,67);PD(94,69);PD(89,68);PD(87,67);PD(92,67);PD(97,67);PD(95,72);PD(100,76);PD(103,81);PD(107,86);PD(112,83);PD(114,78);PD(116,73);PD(114,68);PD(117,68);PD(122,69);PD(127,70);PD(132,72);PD(132,77);PD(127,81);PD(122,85);PD(117,89);PD(113,94);PD(111,99);PD(110,94);PD(108,89);PD(104,84);PD(99,79);PD(98,75);PD(101,80);PD(109,87);PD(114,82);PD(116,77);PD(117,72);PD(118,69);PD(123,70);PD(128,71);PD(132,74);PD(129,79);PD(124,82);PD(119,86);PD(114,91);PD(111,94);PD(109,89);PD(112,85);PD(116,80);PD(117,75);PD(118,70);PD(123,71);PD(128,72);PD(130,76);PD(126,80);PD(121,84);PD(116,88);PD(112,93);PD(111,87);PD(116,82);PD(118,77);PD(119,72);PD(123,72);PD(128,73);PD(129,77);PD(124,80);PD(119,84);PD(114,89);PD(111,88);PD(116,83);PD(118,78);PD(120,73);PD(124,73);PD(128,75);PD(124,79);PD(119,83);PD(114,88);PD(114,86);PD(118,81);PD(120,76);PD(124,74);PD(126,77);PD(121,81);PD(116,85);PD(120,80);PD(121,75);PD(126,76);PD(121,80);PD(123,76);PD(141,55);PD(136,54);PD(131,53);PD(126,52);PD(121,52);PD(132,52);PD(137,53);PD(142,53);PD(147,54);PD(152,55);PD(157,55);PD(162,56);PD(167,57);PD(172,59);PD(177,60);PD(182,62);PD(187,64);PD(192,66);PD(197,70);PD(201,75);PD(204,80);PD(207,85);PD(212,89);PD(217,89);PD(218,84);PD(215,79);PD(214,74);PD(212,69);PD(213,65);PD(218,67);PD(223,68);PD(228,69);PD(231,64);PD(226,59);PD(221,57);PD(216,56);PD(211,55);PD(206,54);PD(201,53);PD(196,52);PD(198,51);PD(203,52);PD(208,53);PD(213,54);PD(218,54);PD(222,50);PD(217,46);PD(212,44);PD(207,43);PD(202,41);PD(197,40);PD(192,39);PD(187,37);PD(182,35);PD(177,34);PD(172,33);PD(167,33);PD(162,32);PD(157,32);PD(152,33);PD(147,33);PD(148,32);PD(153,31);PD(158,30);PD(163,29);PD(168,28);PD(173,27);PD(178,27);PD(183,26);PD(188,26);PD(193,25);PD(198,25);PD(203,25);PD(208,24);PD(213,24);PD(218,24);PD(223,25);PD(227,26);PD(222,27);PD(217,28);PD(212,29);PD(207,30);PD(202,31);PD(197,34);PD(200,39);PD(205,40);PD(210,42);PD(215,42);PD(220,42);PD(225,43);PD(230,43);PD(235,43);PD(240,43);PD(245,44);PD(250,45);PD(245,47);PD(240,51);PD(237,56);PD(235,61);PD(234,66);PD(234,71);PD(234,76);PD(235,81);PD(238,86);PD(241,91);PD(246,95);PD(251,98);PD(256,101);PD(261,103);PD(266,105);PD(271,107);PD(276,110);PD(281,113);PD(284,118);PD(285,123);PD(284,128);PD(280,133);PD(275,138);PD(272,143);PD(272,148);PD(272,153);PD(274,158);PD(276,163);PD(278,168);PD(276,168);PD(271,164);PD(266,161);PD(261,160);PD(256,160);PD(251,163);PD(253,168);PD(258,172);PD(263,176);PD(267,181);PD(271,186);PD(274,191);PD(276,196);PD(278,201);PD(280,206);PD(280,211);PD(280,216);PD(279,221);PD(277,226);PD(274,231);PD(269,235);PD(264,237);PD(266,233);PD(267,228);PD(268,223);PD(267,218);PD(265,213);PD(262,208);PD(257,203);PD(252,198);PD(247,196);PD(242,195);PD(237,199);PD(236,204);PD(236,209);PD(237,214);PD(238,219);PD(239,224);PD(239,229);PD(240,234);PD(240,239);PD(239,244);PD(237,249);PD(235,254);PD(231,259);PD(226,263);PD(221,266);PD(216,270);PD(211,272);PD(206,270);PD(201,268);PD(196,267);PD(191,266);PD(186,265);PD(189,265);PD(194,264);PD(199,263);PD(204,262);PD(209,260);PD(214,257);PD(219,253);PD(223,248);PD(225,243);PD(226,238);PD(223,233);PD(218,232);PD(213,236);PD(208,240);PD(203,244);PD(198,247);PD(193,250);PD(188,252);PD(183,253);PD(178,254);PD(173,255);PD(168,256);PD(163,256);PD(158,257);PD(153,258);PD(148,258);PD(143,259);PD(138,260);PD(133,261);PD(128,262);PD(123,264);PD(118,265);PD(113,267);PD(108,268);PD(103,269);PD(98,270);PD(93,270);PD(94,269);PD(99,267);PD(104,266);PD(109,264);PD(114,263);PD(119,260);PD(124,258);PD(129,255);PD(134,251);PD(139,247);PD(144,242);PD(148,237);PD(152,232);PD(154,227);PD(159,229);PD(163,224);PD(165,219);PD(167,214);PD(167,209);PD(167,204);PD(167,199);PD(167,194);PD(167,189);PD(169,184);PD(169,179);PD(170,174);PD(170,169);PD(169,164);PD(169,159);PD(166,154);PD(163,149);PD(165,144);PD(168,139);PD(167,134);PD(167,129);PD(166,124);PD(165,119);PD(163,113);PD(158,102);PD(153,100);PD(150,105);PD(150,110);PD(150,115);PD(149,121);PD(148,126);PD(146,131);PD(144,136);PD(141,141);PD(137,146);PD(133,151);PD(130,156);PD(129,161);PD(130,166);PD(133,171);PD(137,176);PD(142,177);PD(146,172);PD(148,167);PD(150,162);PD(150,168);PD(149,173);PD(149,178);PD(149,183);PD(149,188);PD(149,193);PD(150,198);PD(147,188);PD(143,183);PD(138,181);PD(133,186);PD(130,191);PD(128,196);PD(127,198);PD(126,193);PD(126,188);PD(126,183);PD(126,178);PD(126,173);PD(126,168);PD(125,163);PD(124,158);PD(123,153);PD(122,148);PD(120,143);PD(118,138);PD(116,133);PD(111,128);PD(108,123);PD(111,118);PD(112,113);PD(112,108);PD(115,112);PD(118,117);PD(113,121);PD(113,126);PD(118,130);PD(123,131);PD(126,132);PD(128,137);PD(133,141);PD(138,139);PD(143,134);PD(145,129);PD(148,123);PD(145,132);PD(142,137);PD(139,142);PD(136,147);PD(131,152);PD(128,157);PD(128,162);PD(130,167);PD(132,172);PD(137,177);PD(142,178);PD(147,173);PD(149,168);PD(148,173);PD(148,178);PD(148,183);PD(148,188);PD(143,182);PD(138,180);PD(133,185);PD(130,190);PD(128,195);PD(127,190);PD(127,185);PD(127,180);PD(127,175);PD(127,170);PD(126,165);PD(125,160);PD(124,155);PD(123,150);PD(122,145);PD(120,140);PD(118,135);PD(114,130);PD(111,125);PD(111,120);PD(113,115);PD(113,110);PD(116,116);PD(113,120);PD(113,119);PD(114,114);PD(114,118);PD(116,130);PD(121,132);PD(125,132);PD(127,137);PD(132,141);PD(137,141);PD(142,136);PD(138,142);PD(135,147);PD(130,152);PD(127,157);PD(127,162);PD(129,167);PD(131,172);PD(136,177);PD(135,182);PD(130,187);PD(128,190);PD(128,185);PD(128,180);PD(128,175);PD(128,170);PD(127,165);PD(130,172);PD(135,177);PD(134,182);PD(129,187);PD(129,183);PD(129,178);PD(129,173);PD(132,175);PD(135,180);PD(130,185);PD(130,180);PD(130,175);PD(134,178);PD(131,183);PD(131,178);PD(134,179);PD(132,178);PD(145,176);PD(147,177);PD(147,182);PD(145,183);PD(144,178);PD(146,179);PD(145,182);PD(145,179);PD(126,160);PD(125,155);PD(124,150);PD(123,145);PD(121,140);PD(119,135);PD(115,130);PD(120,133);PD(124,134);PD(128,139);PD(133,143);PD(138,141);PD(134,147);PD(129,152);PD(126,156);PD(125,151);PD(124,146);PD(123,141);PD(121,136);PD(123,134);PD(127,139);PD(132,143);PD(135,144);PD(131,149);PD(127,154);PD(126,148);PD(124,143);PD(122,138);PD(123,135);PD(127,140);PD(132,144);PD(130,149);PD(127,150);PD(126,145);PD(124,140);PD(125,139);PD(130,144);PD(130,148);PD(127,147);PD(126,142);PD(129,144);PD(128,147);PD(128,144);PD(105,137);PD(102,142);PD(99,147);PD(96,152);PD(94,157);PD(94,155);PD(96,150);PD(99,145);PD(102,140);PD(106,135);PD(98,147);PD(83,141);PD(79,141);PD(84,137);PD(89,134);PD(91,134);PD(86,138);PD(81,141);PD(85,138);PD(84,139);PD(42,147);PD(82,185);PD(78,186);PD(74,188);PD(77,185);PD(81,192);PD(109,265);PD(114,264);PD(119,261);PD(124,259);PD(129,256);PD(134,252);PD(139,248);PD(144,243);PD(148,238);PD(152,233);PD(154,228);PD(159,230);PD(163,225);PD(166,220);PD(168,215);PD(168,210);PD(168,205);PD(168,200);PD(168,195);PD(168,190);PD(169,185);PD(170,180);PD(171,175);PD(171,170);PD(170,165);PD(170,160);PD(168,155);PD(164,150);PD(165,145);PD(169,140);PD(168,135);PD(168,130);PD(167,125);PD(166,120);PD(169,121);PD(174,122);PD(179,120);PD(181,115);PD(182,110);PD(182,105);PD(180,100);PD(177,95);PD(174,90);PD(171,85);PD(167,80);PD(163,75);PD(159,70);PD(155,65);PD(150,60);PD(145,57);PD(140,54);PD(145,55);PD(150,55);PD(155,56);PD(160,57);PD(165,58);PD(170,59);PD(175,61);PD(180,62);PD(185,64);PD(190,66);PD(195,69);PD(199,74);PD(202,79);PD(205,84);PD(210,89);PD(215,92);PD(220,87);PD(218,82);PD(216,77);PD(214,72);PD(213,67);PD(217,67);PD(222,69);PD(227,70);PD(232,66);PD(229,61);PD(224,57);PD(219,55);PD(214,55);PD(204,53);PD(207,42);PD(212,43);PD(217,43);PD(222,44);PD(227,44);PD(232,44);PD(237,44);PD(242,44);PD(247,45);PD(242,48);PD(237,53);PD(235,58);PD(234,63);PD(233,68);PD(233,73);PD(234,78);PD(235,83);PD(238,88);PD(242,93);PD(247,97);PD(252,100);PD(257,102);PD(262,104);PD(267,107);PD(272,109);PD(277,112);PD(282,115);PD(284,120);PD(284,125);PD(282,130);PD(277,135);PD(273,140);PD(271,145);PD(271,150);PD(273,156);PD(275,161);PD(276,166);PD(273,164);PD(268,160);PD(263,159);PD(258,159);PD(253,160);PD(249,165);PD(254,170);PD(259,173);PD(264,178);PD(268,183);PD(271,188);PD(274,193);PD(276,198);PD(278,203);PD(279,208);PD(280,213);PD(279,218);PD(278,223);PD(275,228);PD(270,233);PD(265,236);PD(268,230);PD(269,225);PD(268,220);PD(267,215);PD(265,210);PD(260,205);PD(255,200);PD(250,196);PD(245,194);PD(240,195);PD(236,200);PD(235,205);PD(235,210);PD(236,215);PD(237,220);PD(238,225);PD(239,230);PD(239,235);PD(239,240);PD(238,245);PD(236,250);PD(233,255);PD(229,260);PD(224,263);PD(219,267);PD(214,270);PD(209,271);PD(204,268);PD(199,267);PD(194,266);PD(195,265);PD(200,264);PD(205,263);PD(210,260);PD(215,258);PD(220,253);PD(224,248);PD(226,243);PD(227,238);PD(224,233);PD(219,231);PD(214,234);PD(209,238);PD(204,242);PD(199,246);PD(194,249);PD(189,251);PD(184,252);PD(179,253);PD(174,254);PD(169,254);PD(164,255);PD(159,256);PD(154,256);PD(149,257);PD(144,258);PD(139,259);PD(134,260);PD(129,261);PD(124,262);PD(119,264);PD(114,265);PD(109,267);PD(104,268);PD(99,269);PD(98,268);PD(104,267);PD(109,266);PD(116,264);PD(121,261);PD(126,259);PD(131,256);PD(136,252);PD(141,247);PD(146,242);PD(150,237);PD(154,232);PD(158,232);PD(163,226);PD(168,217);PD(169,211);PD(169,206);PD(169,201);PD(169,196);PD(169,191);PD(170,186);PD(171,181);PD(172,176);PD(172,171);PD(171,166);PD(171,161);PD(170,156);PD(166,151);PD(165,146);PD(170,141);PD(170,136);PD(169,131);PD(168,126);PD(167,121);PD(171,122);PD(176,123);PD(181,119);PD(182,114);PD(183,109);PD(183,104);PD(181,99);PD(178,94);PD(174,89);PD(171,84);PD(167,79);PD(164,74);PD(160,69);PD(155,64);PD(150,59);PD(145,56);PD(151,57);PD(156,57);PD(161,58);PD(166,59);PD(171,60);PD(176,62);PD(181,63);PD(186,65);PD(191,68);PD(196,71);PD(199,76);PD(202,81);PD(206,86);PD(211,91);PD(216,92);PD(221,87);PD(219,82);PD(217,77);PD(215,72);PD(215,68);PD(220,69);PD(225,71);PD(230,69);PD(232,70);PD(232,75);PD(233,80);PD(235,85);PD(238,90);PD(243,95);PD(248,98);PD(253,101);PD(258,104);PD(263,106);PD(268,108);PD(273,110);PD(278,113);PD(282,117);PD(283,122);PD(282,127);PD(279,132);PD(274,137);PD(271,142);PD(270,147);PD(268,156);PD(271,161);PD(274,163);PD(272,163);PD(267,159);PD(262,158);PD(257,158);PD(252,160);PD(248,165);PD(253,170);PD(258,174);PD(263,178);PD(267,183);PD(270,188);PD(273,193);PD(275,198);PD(277,203);PD(278,208);PD(279,213);PD(278,218);PD(277,223);PD(274,228);PD(269,233);PD(269,230);PD(270,225);PD(269,220);PD(268,215);PD(266,210);PD(261,205);PD(256,200);PD(251,196);PD(246,193);PD(241,194);PD(236,198);PD(234,203);PD(234,208);PD(234,213);PD(235,218);PD(236,223);PD(237,228);PD(238,233);PD(238,238);PD(238,243);PD(236,248);PD(233,253);PD(230,258);PD(225,261);PD(220,265);PD(215,268);PD(210,270);PD(205,268);PD(200,266);PD(200,265);PD(205,264);PD(210,261);PD(215,259);PD(220,254);PD(225,249);PD(227,244);PD(228,239);PD(226,234);PD(221,230);PD(216,231);PD(211,235);PD(206,239);PD(201,243);PD(196,247);PD(191,249);PD(186,251);PD(181,252);PD(176,253);PD(171,253);PD(166,254);PD(159,255);PD(150,256);PD(145,257);PD(140,258);PD(135,259);PD(130,260);PD(125,261);PD(119,263);PD(128,259);PD(133,255);PD(136,256);PD(141,257);PD(133,258);PD(130,258);PD(135,256);PD(134,256);PD(142,247);PD(147,242);PD(151,237);PD(155,232);PD(159,232);PD(153,238);PD(148,243);PD(143,247);PD(151,238);PD(155,233);PD(153,237);PD(175,252);PD(180,250);PD(185,249);PD(190,247);PD(195,244);PD(200,241);PD(205,238);PD(210,234);PD(215,229);PD(219,224);PD(221,219);PD(223,214);PD(225,209);PD(226,204);PD(227,199);PD(228,194);PD(229,189);PD(231,184);PD(234,179);PD(239,181);PD(243,186);PD(248,191);PD(253,191);PD(250,186);PD(248,181);PD(246,176);PD(244,171);PD(243,166);PD(241,161);PD(240,156);PD(239,151);PD(237,146);PD(236,141);PD(235,136);PD(234,131);PD(233,126);PD(232,121);PD(231,116);PD(230,111);PD(228,106);PD(227,101);PD(225,96);PD(222,100);PD(222,105);PD(223,110);PD(223,115);PD(224,120);PD(225,125);PD(225,130);PD(226,135);PD(226,140);PD(227,145);PD(226,150);PD(226,155);PD(226,160);PD(225,165);PD(225,170);PD(224,175);PD(224,180);PD(223,185);PD(221,190);PD(221,185);PD(220,180);PD(220,175);PD(217,174);PD(216,179);PD(216,184);PD(215,189);PD(215,194);PD(214,199);PD(211,204);PD(207,209);PD(202,213);PD(197,218);PD(192,223);PD(187,228);PD(182,233);PD(177,236);PD(176,233);PD(178,228);PD(180,223);PD(183,218);PD(185,213);PD(187,208);PD(189,203);PD(190,198);PD(191,193);PD(190,188);PD(185,187);PD(180,192);PD(176,197);PD(174,202);PD(172,207);PD(170,212);PD(170,205);PD(170,200);PD(170,195);PD(170,190);PD(171,185);PD(172,180);PD(173,175);PD(173,170);PD(172,165);PD(172,160);PD(170,155);PD(166,150);PD(167,145);PD(171,140);PD(170,135);PD(170,130);PD(169,125);PD(172,123);PD(177,124);PD(182,119);PD(183,114);PD(184,109);PD(184,104);PD(182,99);PD(179,94);PD(175,89);PD(172,84);PD(168,79);PD(165,74);PD(161,69);PD(156,64);PD(151,59);PD(151,58);PD(156,58);PD(161,59);PD(166,60);PD(171,61);PD(176,63);PD(181,64);PD(186,66);PD(191,69);PD(195,72);PD(199,77);PD(201,82);PD(206,87);PD(211,92);PD(216,93);PD(221,88);PD(221,83);PD(218,78);PD(216,73);PD(216,69);PD(221,71);PD(226,72);PD(231,69);PD(231,74);PD(232,79);PD(234,84);PD(237,89);PD(241,94);PD(246,98);PD(251,101);PD(256,104);PD(261,106);PD(266,108);PD(271,110);PD(276,113);PD(280,116);PD(282,121);PD(282,126);PD(279,131);PD(274,136);PD(270,141);PD(269,138);PD(270,133);PD(272,128);PD(276,123);PD(274,118);PD(269,114);PD(264,111);PD(259,108);PD(254,106);PD(249,104);PD(244,103);PD(245,107);PD(250,110);PD(253,114);PD(250,119);PD(254,124);PD(259,126);PD(261,130);PD(261,135);PD(260,140);PD(261,145);PD(264,150);PD(266,155);PD(270,160);PD(265,157);PD(260,157);PD(255,157);PD(250,161);PD(248,166);PD(253,171);PD(258,175);PD(263,179);PD(267,184);PD(270,189);PD(273,194);PD(275,199);PD(276,204);PD(277,209);PD(277,214);PD(277,219);PD(275,224);PD(272,229);PD(270,229);PD(271,224);PD(270,219);PD(269,214);PD(266,209);PD(261,204);PD(256,199);PD(251,195);PD(246,192);PD(241,193);PD(236,197);PD(233,202);PD(233,207);PD(233,212);PD(234,217);PD(235,222);PD(236,227);PD(237,232);PD(237,237);PD(237,242);PD(235,247);PD(233,252);PD(230,257);PD(225,260);PD(220,264);PD(215,267);PD(210,269);PD(205,267);PD(203,265);PD(208,263);PD(213,261);PD(218,257);PD(223,252);PD(227,247);PD(228,242);PD(228,237);PD(225,232);PD(220,229);PD(215,231);PD(210,235);PD(205,239);PD(200,243);PD(195,246);PD(190,248);PD(185,250);PD(180,251);PD(152,269);PD(142,271);PD(136,272);PD(105,267);PD(172,186);PD(173,181);PD(174,176);PD(174,171);PD(173,166);PD(173,161);PD(172,156);PD(168,151);PD(167,146);PD(172,141);PD(172,136);PD(171,131);PD(170,126);PD(173,124);PD(178,124);PD(183,119);PD(184,114);PD(185,109);PD(185,104);PD(183,99);PD(180,94);PD(176,89);PD(173,84);PD(169,79);PD(166,74);PD(162,69);PD(157,64);PD(152,59);PD(157,59);PD(162,60);PD(167,61);PD(172,63);PD(177,64);PD(182,66);PD(187,68);PD(192,70);PD(197,75);PD(200,80);PD(194,78);PD(190,74);PD(186,69);PD(182,71);PD(184,76);PD(187,81);PD(191,86);PD(194,91);PD(197,96);PD(198,101);PD(199,106);PD(201,111);PD(203,116);PD(205,121);PD(207,126);PD(208,131);PD(209,136);PD(209,141);PD(208,146);PD(206,151);PD(201,156);PD(196,159);PD(191,164);PD(186,169);PD(182,174);PD(179,179);PD(177,184);PD(182,185);PD(187,184);PD(192,182);PD(197,181);PD(200,183);PD(198,188);PD(196,193);PD(193,198);PD(191,203);PD(190,208);PD(188,213);PD(189,218);PD(194,216);PD(198,211);PD(200,206);PD(202,201);PD(204,196);PD(205,191);PD(207,186);PD(208,181);PD(209,176);PD(211,171);PD(212,166);PD(213,161);PD(214,156);PD(214,151);PD(215,146);PD(216,141);PD(217,136);PD(217,131);PD(216,126);PD(215,121);PD(215,116);PD(213,111);PD(212,106);PD(210,101);PD(208,96);PD(205,91);PD(203,86);PD(205,87);PD(210,92);PD(215,95);PD(220,90);PD(223,85);PD(220,80);PD(218,75);PD(217,70);PD(222,72);PD(227,73);PD(230,73);PD(231,78);PD(232,83);PD(235,88);PD(239,93);PD(244,98);PD(249,101);PD(254,104);PD(259,106);PD(264,108);PD(269,110);PD(274,113);PD(279,116);PD(281,121);PD(281,126);PD(278,131);PD(273,136);PD(270,139);PD(271,134);PD(273,129);PD(277,124);PD(276,119);PD(271,114);PD(266,111);PD(261,108);PD(256,106);PD(251,104);PD(246,102);PD(241,104);PD(246,108);PD(251,111);PD(251,116);PD(250,121);PD(255,126);PD(260,127);PD(260,132);PD(259,137);PD(259,142);PD(261,147);PD(264,152);PD(267,157);PD(262,156);PD(257,156);PD(252,158);PD(247,163);PD(249,168);PD(254,173);PD(259,176);PD(263,181);PD(267,186);PD(270,191);PD(272,196);PD(274,201);PD(276,206);PD(276,211);PD(276,216);PD(275,221);PD(273,226);PD(271,227);PD(272,222);PD(271,217);PD(269,212);PD(265,207);PD(260,202);PD(255,197);PD(252,193);PD(252,188);PD(250,183);PD(248,178);PD(246,173);PD(244,168);PD(243,163);PD(242,158);PD(240,153);PD(239,148);PD(238,143);PD(237,138);PD(235,133);PD(234,128);PD(233,123);PD(232,118);PD(231,113);PD(230,108);PD(229,103);PD(227,98);PD(223,96);PD(221,101);PD(221,106);PD(222,111);PD(223,116);PD(223,121);PD(224,126);PD(224,131);PD(225,136);PD(225,141);PD(226,146);PD(225,151);PD(225,156);PD(225,161);PD(224,166);PD(224,171);PD(223,176);PD(222,181);PD(222,186);PD(221,177);PD(219,172);PD(216,175);PD(215,180);PD(215,185);PD(214,190);PD(213,195);PD(212,200);PD(209,205);PD(205,209);PD(200,214);PD(195,219);PD(190,224);PD(185,229);PD(180,233);PD(176,235);PD(178,230);PD(180,225);PD(183,220);PD(185,215);PD(187,210);PD(189,205);PD(191,200);PD(192,195);PD(192,190);PD(188,186);PD(183,188);PD(178,193);PD(175,198);PD(173,203);PD(171,205);PD(171,200);PD(171,195);PD(171,190);PD(173,185);PD(174,180);PD(175,175);PD(175,170);PD(174,165);PD(174,160);PD(172,155);PD(168,150);PD(169,145);PD(173,140);PD(172,135);PD(172,130);PD(171,125);PD(176,126);PD(181,122);PD(185,117);PD(186,112);PD(186,107);PD(185,102);PD(183,97);PD(179,92);PD(176,87);PD(173,82);PD(169,77);PD(165,72);PD(161,67);PD(156,62);PD(157,60);PD(162,61);PD(167,62);PD(172,64);PD(177,65);PD(182,67);PD(181,70);PD(182,75);PD(185,80);PD(189,85);PD(193,90);PD(195,95);PD(197,100);PD(198,105);PD(200,110);PD(201,115);PD(203,120);PD(206,125);PD(207,130);PD(208,135);PD(208,140);PD(207,145);PD(205,150);PD(201,155);PD(196,158);PD(191,163);PD(186,168);PD(182,173);PD(178,178);PD(176,183);PD(180,187);PD(185,185);PD(190,184);PD(195,182);PD(199,183);PD(197,188);PD(195,193);PD(192,198);PD(190,205);PD(187,213);PD(188,218);PD(193,218);PD(198,213);PD(200,208);PD(202,203);PD(204,198);PD(206,193);PD(207,188);PD(209,183);PD(210,178);PD(211,173);PD(212,168);PD(213,163);PD(214,158);PD(215,153);PD(216,148);PD(217,143);PD(217,138);PD(218,133);PD(218,128);PD(217,123);PD(216,118);PD(215,113);PD(214,108);PD(212,103);PD(210,98);PD(207,93);PD(204,88);PD(208,91);PD(213,95);PD(218,93);PD(223,88);PD(223,83);PD(220,78);PD(218,73);PD(222,73);PD(227,74);PD(229,76);PD(230,81);PD(233,86);PD(236,91);PD(241,96);PD(246,100);PD(251,103);PD(245,101);PD(240,104);PD(245,109);PD(250,112);PD(250,116);PD(249,121);PD(254,126);PD(259,128);PD(259,133);PD(258,138);PD(259,143);PD(261,148);PD(263,153);PD(261,155);PD(256,155);PD(251,158);PD(246,163);PD(248,168);PD(253,173);PD(258,177);PD(262,181);PD(266,186);PD(269,191);PD(271,196);PD(273,201);PD(275,206);PD(275,211);PD(275,216);PD(274,221);PD(272,227);PD(272,219);PD(271,214);PD(268,209);PD(263,204);PD(258,199);PD(253,194);PD(254,189);PD(251,184);PD(249,179);PD(247,174);PD(246,169);PD(247,168);PD(252,173);PD(257,177);PD(261,181);PD(265,186);PD(268,191);PD(270,196);PD(272,201);PD(274,206);PD(274,211);PD(274,216);PD(273,221);PD(272,215);PD(270,210);PD(265,205);PD(260,200);PD(255,195);PD(256,190);PD(253,185);PD(251,180);PD(249,175);PD(247,170);PD(250,172);PD(255,176);PD(260,180);PD(263,185);PD(266,190);PD(269,195);PD(271,200);PD(273,205);PD(273,210);PD(273,215);PD(271,210);PD(266,205);PD(261,200);PD(256,195);PD(257,190);PD(254,185);PD(252,180);PD(250,175);PD(250,173);PD(255,177);PD(259,181);PD(263,186);PD(266,191);PD(268,196);PD(270,201);PD(272,206);PD(272,211);PD(269,207);PD(264,202);PD(259,197);PD(257,192);PD(256,187);PD(254,182);PD(252,177);PD(253,177);PD(258,181);PD(262,186);PD(265,191);PD(267,196);PD(269,201);PD(271,206);PD(268,205);PD(263,200);PD(258,195);PD(259,190);PD(256,185);PD(254,180);PD(256,180);PD(260,185);PD(263,190);PD(266,195);PD(268,200);PD(270,205);PD(266,202);PD(261,197);PD(259,192);PD(258,187);PD(256,182);PD(258,183);PD(261,188);PD(264,193);PD(266,198);PD(268,203);PD(263,198);PD(259,193);PD(259,188);PD(257,183);PD(261,189);PD(264,195);PD(266,200);PD(261,195);PD(262,193);PD(262,195);PD(247,192);PD(242,191);PD(237,195);PD(233,200);PD(232,205);PD(232,210);PD(233,215);PD(234,220);PD(235,225);PD(236,230);PD(236,235);PD(236,240);PD(235,245);PD(233,250);PD(230,255);PD(226,259);PD(221,262);PD(216,266);PD(211,268);PD(206,266);PD(209,264);PD(214,261);PD(219,257);PD(224,252);PD(228,247);PD(229,242);PD(229,237);PD(226,232);PD(221,228);PD(216,229);PD(207,237);PD(196,245);PD(191,247);PD(178,232);PD(180,227);PD(183,222);PD(185,217);PD(190,220);PD(195,217);PD(199,212);PD(202,207);PD(204,202);PD(205,197);PD(207,192);PD(208,187);PD(210,182);PD(211,177);PD(212,172);PD(213,167);PD(214,162);PD(215,157);PD(216,152);PD(217,147);PD(218,142);PD(218,137);PD(219,132);PD(218,127);PD(218,122);PD(217,117);PD(216,112);PD(214,107);PD(212,102);PD(210,97);PD(207,92);PD(210,94);PD(215,97);PD(220,92);PD(225,87);PD(223,82);PD(221,77);PD(220,73);PD(225,75);PD(229,77);PD(230,82);PD(232,87);PD(236,92);PD(241,97);PD(243,100);PD(240,105);PD(245,110);PD(250,113);PD(247,118);PD(250,123);PD(255,128);PD(258,131);PD(257,136);PD(257,141);PD(259,146);PD(262,151);PD(261,154);PD(256,154);PD(251,157);PD(246,162);PD(243,161);PD(242,156);PD(241,151);PD(239,146);PD(238,141);PD(237,136);PD(236,131);PD(235,126);PD(234,121);PD(233,116);PD(232,111);PD(230,106);PD(229,101);PD(227,96);PD(222,96);PD(220,101);PD(220,106);PD(221,111);PD(222,116);PD(222,121);PD(223,126);PD(223,131);PD(224,136);PD(224,141);PD(225,146);PD(224,151);PD(224,156);PD(224,161);PD(223,166);PD(223,171);PD(222,176);PD(214,178);PD(214,183);PD(213,188);PD(213,193);PD(212,198);PD(210,203);PD(206,208);PD(201,212);PD(196,217);PD(191,222);PD(186,227);PD(181,231);PD(180,230);PD(182,225);PD(185,220);PD(189,221);PD(189,223);PD(184,228);PD(182,228);PD(184,223);PD(187,220);PD(186,225);PD(184,226);PD(186,221);PD(185,225);PD(201,210);PD(203,205);PD(205,200);PD(207,195);PD(208,190);PD(210,185);PD(211,180);PD(213,175);PD(214,170);PD(215,165);PD(216,160);PD(217,155);PD(218,150);PD(219,145);PD(219,140);PD(220,135);PD(220,130);PD(219,125);PD(218,120);PD(217,115);PD(216,110);PD(214,105);PD(212,100);PD(210,95);PD(216,97);PD(221,92);PD(226,87);PD(224,82);PD(222,77);PD(224,75);PD(228,78);PD(229,83);PD(232,88);PD(236,93);PD(241,98);PD(239,103);PD(242,108);PD(247,112);PD(248,116);PD(247,121);PD(252,126);PD(257,129);PD(257,134);PD(256,139);PD(257,144);PD(259,149);PD(260,153);PD(255,153);PD(250,157);PD(245,162);PD(243,157);PD(242,152);PD(241,147);PD(239,142);PD(238,137);PD(237,132);PD(236,127);PD(235,122);PD(234,117);PD(233,112);PD(232,107);PD(230,102);PD(229,97);PD(224,93);PD(219,98);PD(219,103);PD(220,108);PD(220,113);PD(221,118);PD(221,123);PD(222,128);PD(223,133);PD(223,138);PD(223,143);PD(223,148);PD(223,153);PD(223,158);PD(222,163);PD(222,168);PD(221,173);PD(216,172);PD(214,177);PD(213,182);PD(213,187);PD(212,192);PD(211,197);PD(209,202);PD(206,207);PD(203,208);PD(205,203);PD(207,198);PD(209,193);PD(210,188);PD(212,183);PD(213,176);PD(215,171);PD(216,166);PD(217,161);PD(218,156);PD(218,151);PD(219,146);PD(220,141);PD(221,136);PD(221,131);PD(220,126);PD(219,121);PD(219,116);PD(217,111);PD(216,106);PD(214,101);PD(214,98);PD(219,95);PD(224,90);PD(227,85);PD(224,80);PD(223,76);PD(227,78);PD(228,83);PD(231,88);PD(235,93);PD(240,98);PD(238,103);PD(241,108);PD(246,112);PD(247,116);PD(246,121);PD(251,126);PD(256,130);PD(256,135);PD(255,140);PD(256,145);PD(259,150);PD(257,152);PD(252,154);PD(247,159);PD(245,158);PD(243,153);PD(242,148);PD(241,143);PD(240,138);PD(238,133);PD(237,128);PD(236,123);PD(235,118);PD(234,113);PD(233,108);PD(232,103);PD(230,98);PD(226,93);PD(221,95);PD(218,100);PD(218,105);PD(219,110);PD(219,115);PD(220,121);PD(222,134);PD(222,139);PD(223,144);PD(222,149);PD(222,154);PD(222,159);PD(221,164);PD(221,169);PD(218,169);PD(216,169);PD(217,164);PD(218,159);PD(219,154);PD(220,149);PD(221,144);PD(221,139);PD(222,146);PD(221,151);PD(221,156);PD(221,161);PD(220,166);PD(219,169);PD(218,166);PD(219,161);PD(220,156);PD(220,151);PD(220,159);PD(219,164);PD(218,167);PD(203,152);PD(198,156);PD(193,160);PD(188,165);PD(183,170);PD(179,175);PD(176,180);PD(176,185);PD(181,187);PD(180,190);PD(176,195);PD(173,200);PD(172,199);PD(172,194);PD(173,189);PD(175,185);PD(180,189);PD(176,193);PD(173,198);PD(173,192);PD(175,187);PD(179,189);PD(174,194);PD(174,190);PD(176,191);PD(176,190);PD(176,177);PD(176,172);PD(175,167);PD(175,162);PD(174,157);PD(171,152);PD(169,147);PD(173,142);PD(174,137);PD(173,132);PD(173,127);PD(176,127);PD(181,123);PD(186,118);PD(186,113);PD(187,108);PD(186,103);PD(184,98);PD(181,93);PD(178,88);PD(174,83);PD(171,78);PD(167,73);PD(163,68);PD(158,63);PD(159,62);PD(164,63);PD(169,64);PD(174,65);PD(179,67);PD(180,70);PD(181,75);PD(184,80);PD(188,85);PD(192,90);PD(194,95);PD(196,100);PD(197,105);PD(199,110);PD(200,115);PD(202,120);PD(205,125);PD(206,130);PD(207,135);PD(207,140);PD(206,145);PD(203,150);PD(199,154);PD(194,158);PD(189,163);PD(184,168);PD(180,173);PD(177,176);PD(177,171);PD(176,166);PD(176,161);PD(175,156);PD(171,151);PD(170,146);PD(175,141);PD(175,136);PD(174,131);PD(176,128);PD(181,124);PD(186,119);PD(187,114);PD(188,109);PD(188,104);PD(186,99);PD(183,94);PD(179,89);PD(176,84);PD(172,79);PD(169,74);PD(165,69);PD(160,64);PD(162,63);PD(167,64);PD(172,66);PD(177,67);PD(180,69);PD(180,74);PD(183,79);PD(186,84);PD(190,89);PD(193,94);PD(194,99);PD(196,104);PD(197,109);PD(199,114);PD(201,119);PD(203,124);PD(205,129);PD(206,134);PD(206,139);PD(206,144);PD(203,149);PD(199,153);PD(194,157);PD(189,162);PD(184,167);PD(179,172);PD(178,171);PD(177,166);PD(177,161);PD(176,156);PD(172,151);PD(171,146);PD(176,141);PD(176,136);PD(175,131);PD(178,128);PD(183,123);PD(188,118);PD(188,113);PD(189,108);PD(188,103);PD(186,98);PD(183,93);PD(180,88);PD(176,83);PD(173,78);PD(169,73);PD(165,68);PD(162,64);PD(167,65);PD(172,67);PD(177,68);PD(178,72);PD(180,77);PD(183,82);PD(187,87);PD(191,92);PD(193,97);PD(194,102);PD(196,107);PD(197,112);PD(199,117);PD(202,122);PD(203,127);PD(205,132);PD(205,137);PD(205,142);PD(204,147);PD(200,151);PD(195,155);PD(190,160);PD(185,165);PD(180,170);PD(178,167);PD(178,162);PD(177,157);PD(174,152);PD(172,147);PD(176,142);PD(177,137);PD(176,132);PD(179,128);PD(184,123);PD(189,118);PD(189,113);PD(190,108);PD(189,103);PD(187,98);PD(184,93);PD(181,88);PD(177,83);PD(174,78);PD(170,73);PD(166,68);PD(166,66);PD(171,67);PD(176,69);PD(177,72);PD(179,77);PD(182,82);PD(186,87);PD(190,92);PD(192,97);PD(193,102);PD(195,107);PD(196,112);PD(198,117);PD(201,122);PD(202,127);PD(204,132);PD(204,137);PD(204,142);PD(203,147);PD(198,152);PD(193,156);PD(188,161);PD(183,166);PD(179,167);PD(179,162);PD(178,157);PD(175,152);PD(173,147);PD(177,142);PD(178,137);PD(177,132);PD(181,127);PD(186,122);PD(190,117);PD(191,112);PD(191,107);PD(190,102);PD(188,97);PD(184,92);PD(181,87);PD(178,82);PD(174,77);PD(170,72);PD(166,67);PD(171,68);PD(176,70);PD(177,75);PD(180,80);PD(184,85);PD(188,90);PD(190,95);PD(192,100);PD(193,105);PD(195,110);PD(196,115);PD(198,120);PD(201,125);PD(202,130);PD(203,135);PD(203,140);PD(202,145);PD(199,150);PD(194,154);PD(189,159);PD(184,164);PD(180,166);PD(180,161);PD(179,156);PD(175,151);PD(174,146);PD(179,141);PD(179,136);PD(178,131);PD(183,126);PD(188,121);PD(191,116);PD(192,111);PD(192,106);PD(191,101);PD(188,96);PD(185,91);PD(181,86);PD(178,81);PD(174,76);PD(170,71);PD(172,70);PD(176,73);PD(178,78);PD(181,83);PD(185,88);PD(189,93);PD(190,98);PD(187,93);PD(184,88);PD(180,83);PD(176,77);PD(172,72);PD(173,71);PD(175,75);PD(186,68);PD(191,71);PD(196,75);PD(194,77);PD(190,72);PD(192,72);PD(196,77);PD(192,73);PD(186,90);PD(193,109);PD(195,114);PD(197,119);PD(199,124);PD(201,129);PD(202,134);PD(202,139);PD(202,144);PD(199,149);PD(194,153);PD(189,158);PD(184,163);PD(181,164);PD(181,159);PD(178,154);PD(175,149);PD(177,144);PD(180,139);PD(179,134);PD(181,129);PD(186,124);PD(191,119);PD(192,114);PD(194,113);PD(196,118);PD(198,123);PD(200,128);PD(201,133);PD(201,138);PD(201,143);PD(199,148);PD(194,152);PD(189,157);PD(184,162);PD(182,161);PD(181,156);PD(177,151);PD(176,146);PD(181,141);PD(181,136);PD(180,131);PD(185,126);PD(190,121);PD(193,116);PD(194,117);PD(197,122);PD(198,127);PD(200,132);PD(200,137);PD(200,142);PD(199,147);PD(194,151);PD(189,156);PD(184,161);PD(183,158);PD(180,153);PD(177,148);PD(180,143);PD(182,138);PD(182,133);PD(184,128);PD(189,123);PD(194,118);PD(196,123);PD(198,128);PD(199,133);PD(199,138);PD(199,143);PD(197,148);PD(192,152);PD(187,157);PD(184,158);PD(181,153);PD(178,148);PD(181,143);PD(183,138);PD(183,133);PD(185,128);PD(190,123);PD(195,122);PD(196,127);PD(198,132);PD(198,137);PD(198,142);PD(197,147);PD(192,151);PD(187,156);PD(183,155);PD(179,150);PD(180,145);PD(184,140);PD(183,135);PD(184,130);PD(189,125);PD(194,122);PD(195,127);PD(197,132);PD(197,137);PD(197,142);PD(195,147);PD(190,152);PD(185,157);PD(182,152);PD(180,147);PD(184,142);PD(185,137);PD(184,132);PD(188,127);PD(193,122);PD(194,127);PD(196,132);PD(196,137);PD(196,142);PD(194,147);PD(189,152);PD(184,154);PD(181,149);PD(183,144);PD(186,139);PD(185,134);PD(187,129);PD(192,124);PD(194,129);PD(195,134);PD(195,139);PD(195,144);PD(191,149);PD(186,154);PD(182,150);PD(183,145);PD(187,140);PD(186,135);PD(187,130);PD(192,125);PD(193,130);PD(194,135);PD(194,140);PD(193,145);PD(189,150);PD(184,151);PD(183,146);PD(188,141);PD(188,136);PD(187,131);PD(192,128);PD(193,133);PD(193,138);PD(193,143);PD(190,148);PD(185,151);PD(184,146);PD(189,141);PD(189,136);PD(188,131);PD(191,130);PD(192,135);PD(192,140);PD(191,145);PD(187,150);PD(185,147);PD(189,142);PD(190,137);PD(189,132);PD(191,133);PD(191,138);PD(191,143);PD(188,148);PD(186,147);PD(190,142);PD(188,147);PD(189,144);PD(216,105);PD(214,100);PD(218,97);PD(223,92);PD(228,87);PD(226,82);PD(224,77);PD(225,79);PD(230,88);PD(234,93);PD(239,98);PD(237,103);PD(240,108);PD(245,113);PD(245,117);PD(246,122);PD(251,127);PD(255,132);PD(254,137);PD(254,142);PD(256,147);PD(258,151);PD(253,152);PD(248,157);PD(245,156);PD(244,151);PD(242,146);PD(241,141);PD(240,136);PD(239,131);PD(238,126);PD(237,121);PD(236,116);PD(235,111);PD(233,106);PD(232,101);PD(230,96);PD(225,91);PD(230,89);PD(234,94);PD(239,99);PD(235,104);PD(240,109);PD(245,114);PD(243,118);PD(246,123);PD(251,128);PD(254,133);PD(253,138);PD(254,143);PD(256,148);PD(254,151);PD(249,155);PD(246,155);PD(244,150);PD(243,145);PD(242,140);PD(241,135);PD(240,130);PD(239,125);PD(238,120);PD(237,115);PD(235,110);PD(234,105);PD(233,100);PD(230,95);PD(227,90);PD(231,92);PD(236,97);PD(236,102);PD(234,99);PD(230,94);PD(229,91);PD(234,96);PD(236,101);PD(234,98);PD(230,93);PD(236,100);PD(239,109);PD(244,114);PD(242,119);PD(246,124);PD(251,129);PD(253,134);PD(252,139);PD(253,144);PD(255,149);PD(250,153);PD(246,154);PD(245,149);PD(244,144);PD(243,139);PD(242,134);PD(240,129);PD(239,124);PD(238,119);PD(237,114);PD(236,109);PD(238,109);PD(243,114);PD(241,119);PD(245,124);PD(250,129);PD(252,134);PD(251,139);PD(252,144);PD(254,149);PD(249,153);PD(247,151);PD(245,146);PD(244,141);PD(243,136);PD(242,131);PD(241,126);PD(240,121);PD(239,116);PD(238,111);PD(240,112);PD(241,117);PD(243,123);PD(248,128);PD(251,133);PD(250,138);PD(251,143);PD(253,148);PD(248,153);PD(247,148);PD(246,143);PD(245,138);PD(243,133);PD(242,128);PD(241,123);PD(245,126);PD(250,131);PD(249,136);PD(249,141);PD(251,146);PD(249,151);PD(247,146);PD(246,141);PD(245,136);PD(244,131);PD(243,126);PD(246,128);PD(249,133);PD(248,138);PD(249,143);PD(251,148);PD(249,147);PD(247,142);PD(246,137);PD(245,132);PD(244,127);PD(248,132);PD(247,137);PD(246,131);PD(247,133);PD(273,130);PD(277,125);PD(278,120);PD(273,115);PD(268,111);PD(260,107);PD(240,116);PD(240,113);PD(218,110);PD(217,105);PD(216,100);PD(233,64);PD(228,59);PD(223,56);PD(221,53);PD(221,48);PD(216,45);PD(217,44);PD(222,45);PD(227,45);PD(232,45);PD(237,45);PD(242,45);PD(240,49);PD(236,54);PD(234,59);PD(232,62);PD(227,57);PD(222,54);PD(224,50);PD(219,45);PD(223,46);PD(228,46);PD(233,46);PD(238,46);PD(241,47);PD(236,52);PD(233,57);PD(231,60);PD(226,55);PD(224,52);PD(222,47);PD(226,47);PD(231,47);PD(236,47);PD(239,48);PD(234,53);PD(232,58);PD(229,57);PD(224,53);PD(224,48);PD(229,48);PD(234,48);PD(237,49);PD(233,54);PD(230,57);PD(225,53);PD(227,49);PD(232,49);PD(235,50);PD(231,55);PD(227,53);PD(230,50);PD(233,51);PD(229,54);PD(231,51);PD(229,53);PD(205,29);PD(200,30);PD(196,35);PD(200,40);PD(199,40);PD(194,38);PD(189,36);PD(184,35);PD(179,33);PD(174,32);PD(169,32);PD(164,32);PD(159,31);PD(161,30);PD(166,29);PD(171,29);PD(176,28);PD(181,27);PD(186,27);PD(191,26);PD(196,26);PD(201,26);PD(206,26);PD(211,25);PD(216,25);PD(221,26);PD(219,27);PD(214,28);PD(209,29);PD(204,28);PD(199,30);PD(195,35);PD(196,38);PD(191,36);PD(186,34);PD(181,33);PD(176,32);PD(171,31);PD(166,31);PD(167,30);PD(172,29);PD(177,29);PD(182,28);PD(187,28);PD(192,27);PD(197,27);PD(202,27);PD(207,27);PD(212,26);PD(217,26);PD(213,27);PD(208,27);PD(199,29);PD(194,34);PD(192,36);PD(187,34);PD(182,32);PD(177,31);PD(172,30);PD(179,30);PD(184,29);PD(189,29);PD(194,28);PD(199,28);PD(194,33);PD(190,34);PD(185,32);PD(180,31);PD(185,30);PD(190,29);PD(195,29);PD(194,32);PD(189,32);PD(184,31);PD(191,30);PD(194,31);PD(190,31);PD(135,53);PD(118,39);PD(113,39);PD(115,38);PD(120,37);PD(123,38);PD(121,39);PD(120,38);PD(98,43);PD(151,93);PD(155,98);PD(151,101);PD(150,98);PD(151,94);PD(152,99);PD(151,96);PD(214,176);PD(211,188);PD(211,193);PD(210,198);PD(208,203);PD(205,205);PD(207,200);PD(209,195);PD(210,190);PD(209,199);PD(196,188);PD(194,193);PD(193,191);PD(190,186);PD(192,184);PD(197,183);PD(196,187);PD(192,187);PD(194,184);PD(196,186);PD(193,186);PD(194,186);PD(222,220);PD(224,215);PD(226,210);PD(227,205);PD(228,200);PD(229,195);PD(230,190);PD(232,185);PD(234,180);PD(239,182);PD(243,187);PD(245,190);PD(240,191);PD(235,196);PD(231,201);PD(231,206);PD(231,211);PD(232,216);PD(233,221);PD(234,226);PD(235,231);PD(235,236);PD(235,241);PD(234,246);PD(232,251);PD(228,256);PD(223,260);PD(218,263);PD(213,266);PD(208,266);PD(211,264);PD(216,261);PD(221,256);PD(226,251);PD(229,246);PD(231,241);PD(230,236);PD(226,231);PD(221,227);PD(218,226);PD(222,221);PD(225,216);PD(226,211);PD(228,206);PD(229,201);PD(230,196);PD(231,191);PD(232,186);PD(234,181);PD(239,183);PD(243,188);PD(240,190);PD(235,195);PD(231,200);PD(230,205);PD(230,210);PD(231,215);PD(232,220);PD(233,225);PD(234,230);PD(234,235);PD(234,240);PD(233,245);PD(231,250);PD(228,255);PD(223,259);PD(218,262);PD(213,265);PD(210,265);PD(215,263);PD(220,258);PD(225,253);PD(229,248);PD(231,243);PD(232,238);PD(229,233);PD(224,228);PD(219,226);PD(223,221);PD(226,216);PD(227,211);PD(229,206);PD(230,199);PD(231,194);PD(232,189);PD(234,184);PD(238,183);PD(242,188);PD(237,192);PD(232,197);PD(232,193);PD(234,188);PD(235,183);PD(239,186);PD(238,190);PD(233,195);PD(234,190);PD(236,185);PD(239,187);PD(235,192);PD(236,188);PD(238,187);PD(237,188);PD(229,211);PD(230,216);PD(231,221);PD(232,226);PD(233,231);PD(233,236);PD(233,241);PD(232,246);PD(230,251);PD(226,256);PD(221,259);PD(216,263);PD(221,258);PD(226,253);PD(228,252);PD(224,256);PD(231,246);PD(232,235);PD(227,230);PD(222,225);PD(224,221);PD(227,216);PD(228,211);PD(229,218);PD(230,223);PD(231,228);PD(232,233);PD(228,230);PD(223,225);PD(226,220);PD(228,215);PD(229,220);PD(230,225);PD(231,230);PD(228,229);PD(224,224);PD(227,219);PD(228,223);PD(229,228);PD(226,226);PD(227,221);PD(228,227);PD(227,225);PD(272,133);PD(275,128);PD(279,123);PD(277,118);PD(272,113);PD(274,114);PD(279,117);PD(280,122);PD(279,127);PD(276,132);PD(273,133);PD(276,128);PD(278,127);PD(275,132);PD(278,118);
if(FL_st==true){penup();PD(0,0);X1=0;Y1=0;M=1.0;stoptok();} 
} 
//////////////////////////////////////
